within ;
encapsulated package EHSTEG
  "Energy Harvesting Systems based on Thermoeletric Generators"
  import Pipe_Simulation;

  //Copyright (C) 2015-2017 Chair of Automation and Energy Systems, Saarland University (for more information see 'Documentation')

//import***********************************************************************/
  import Modelica;
  import ThermoelectricGenerator_V5_7;
  import HeatPipe;
//*****************************************************************************/

//extends**********************************************************************/
  extends Modelica.Icons.Package;
//*****************************************************************************/

  package UsersGuide "User's Guide"
    package License "License information"
      extends Modelica.Icons.Information;

    package ModelicaLicense2 "Modelica License 2"
      extends Modelica.Icons.Information;

      annotation (Documentation(info="<html>
<head>
<title>The Modelica License 2</title>
<style type=\"text/css\">
*       { font-size: 10pt; font-family: Arial,sans-serif; }
code    { font-size:  9pt; font-family: Courier,monospace;}
h6      { font-size: 10pt; font-weight: bold; color: green; }
h5      { font-size: 11pt; font-weight: bold; color: green; }
h4      { font-size: 13pt; font-weight: bold; color: green; }
address {                  font-weight: normal}
td      { solid #000; vertical-align:top; }
th      { solid #000; vertical-align:top; font-weight: bold; }
table   { solid #000; border-collapse: collapse;}
</style>
</head>

<p>All files in this directory (Modelica) and in all
subdirectories, especially all files that build package \"Modelica\" and all
files in \"Modelica/Resources/*\" and \"Modelica/help\" are licensed by the <b><u>Modelica Association</u></b> under the <b><u>Modelica License 2</u></b> (with exception of files
\"Modelica/Resources/C-Sources/win32_dirent.*, ModelicaMatIO.*, ModelicaStandardTables.*\").</p>

<p style=\"margin-left: 40px;\"><b>Licensor:</b><br>
Modelica Association<br>
(Ideella F&ouml;reningar 822003-8858 in Link&ouml;ping) <br>
c/o PELAB, IDA, Link&ouml;pings Universitet <br>
S-58183 Link&ouml;ping <br>
Sweden<br>
email: Board@Modelica.org<br>
web: <a href=\"https://www.Modelica.org\">https://www.Modelica.org</a></p>

<p style=\"margin-left: 40px;\"><b>Copyright notices of the files:</b><br/>
Copyright &copy; 1998-2013,
ABB, Austrian Institute of Technology, T.&nbsp;B&ouml;drich, DLR, Dassault Syst&egrave;mes AB, Fraunhofer, A.&nbsp;Haumer, ITI, Modelon,
TU Hamburg-Harburg, Politecnico di Milano, XRG Simulation.
</p>

<p>
<a href=\"#The_Modelica_License_2-outline\">The Modelica License 2</a><br>
<a href=\"#Frequently_Asked_Questions-outline\">Frequently Asked Questions</a><br>
</p>

<hr>

<h4><a name=\"The_Modelica_License_2-outline\"></a>The Modelica License 2</h4>

<p>
<b>Preamble.</b> The goal of this license is that Modelica related
model libraries, software, images, documents, data files etc. can be
used freely in the original or a modified form, in open source and in
commercial environments (as long as the license conditions below are
fulfilled, in particular sections 2c) and 2d). The Original Work is
provided free of charge and the use is completely at your own risk.
Developers of free Modelica packages are encouraged to utilize this
license for their work.</p>

<p>
The Modelica License applies to any Original Work that contains the
following licensing notice adjacent to the copyright notice(s) for
this Original Work:</p>

<p><b>Licensed by the Modelica Association under the Modelica License 2</b></p>

<p><b>1. Definitions.</b></p>
<ol type=\"a\">
  <li>&ldquo;License&rdquo; is this Modelica License.</li>

  <li>&ldquo;Original Work&rdquo; is any work of authorship, including
  software, images, documents, data files, that contains the above
  licensing notice or that is packed together with a licensing notice
  referencing it.</li>

  <li>&ldquo;Licensor&rdquo; is the provider of the Original Work who has
  placed this licensing notice adjacent to the copyright notice(s) for
  the Original Work. The Original Work is either directly provided by
  the owner of the Original Work, or by a licensee of the owner.</li>

  <li>&ldquo;Derivative Work&rdquo; is any modification of the Original
  Work which represents, as a whole, an original work of authorship.
  For the matter of clarity and as examples:

  <ol  type=\"A\">
    <li>Derivative Work shall not include work that remains separable from
    the Original Work, as well as merely extracting a part of the
    Original Work without modifying it.</li>

    <li>Derivative Work shall not include (a) fixing of errors and/or (b)
    adding vendor specific Modelica annotations and/or (c) using a
    subset of the classes of a Modelica package, and/or (d) using a
    different representation, e.g., a binary representation.</li>

    <li>Derivative Work shall include classes that are copied from the
    Original Work where declarations, equations or the documentation
    are modified.</li>

    <li>Derivative Work shall include executables to simulate the models
    that are generated by a Modelica translator based on the Original
    Work (of a Modelica package).</li>
  </ol>

  <li>&ldquo;Modified Work&rdquo; is any modification of the Original Work
  with the following exceptions: (a) fixing of errors and/or (b)
  adding vendor specific Modelica annotations and/or (c) using a
  subset of the classes of a Modelica package, and/or (d) using a
  different representation, e.g., a binary representation.</li>

  <li>&quot;Source Code&quot; means the preferred form of the Original
  Work for making modifications to it and all available documentation
  describing how to modify the Original Work.</li>

  <li>&ldquo;You&rdquo; means an individual or a legal entity exercising
  rights under, and complying with all of the terms of, this License.</li>

  <li>&ldquo;Modelica package&rdquo; means any Modelica library that is
  defined with the &ldquo;<code><b>package</b>&nbsp;&lt;Name&gt;&nbsp;...&nbsp;<b>end</b>&nbsp;&lt;Name&gt;;</code>&rdquo; Modelica language element.</li>

</ol>

<p>
<b>2. Grant of Copyright License.</b> Licensor grants You a
worldwide, royalty-free, non-exclusive, sublicensable license, for
the duration of the copyright, to do the following:</p>

<ol type=\"a\">
  <li><p>
  To reproduce the Original Work in copies, either alone or as part of
  a collection.</p></li>
  <li><p>
  To create Derivative Works according to Section 1d) of this License.</p></li>
  <li><p>
  To distribute or communicate to the public copies of the <u>Original
  Work</u> or a <u>Derivative Work</u> under <u>this License</u>. No
  fee, neither as a copyright-license fee, nor as a selling fee for
  the copy as such may be charged under this License. Furthermore, a
  verbatim copy of this License must be included in any copy of the
  Original Work or a Derivative Work under this License.<br>
  For the matter of clarity, it is permitted A) to distribute or
  communicate such copies as part of a (possible commercial)
  collection where other parts are provided under different licenses
  and a license fee is charged for the other parts only and B) to
  charge for mere printing and shipping costs.</p></li>
  <li><p>
  To distribute or communicate to the public copies of a <u>Derivative
  Work</u>, alternatively to Section 2c), under <u>any other license</u>
  of your choice, especially also under a license for
  commercial/proprietary software, as long as You comply with Sections
  3, 4 and 8 below. <br>      For the matter of clarity, no
  restrictions regarding fees, either as to a copyright-license fee or
  as to a selling fee for the copy as such apply.</p></li>
  <li><p>
  To perform the Original Work publicly.</p></li>
  <li><p>
  To display the Original Work publicly.</p></li>
</ol>

<p>
<b>3. Acceptance.</b> Any use of the Original Work or a
Derivative Work, or any action according to either Section 2a) to 2f)
above constitutes Your acceptance of this License.</p>

<p>
<b>4. Designation of Derivative Works and of Modified Works.
</b>The identifying designation of Derivative Work and of Modified
Work must be different to the corresponding identifying designation
of the Original Work. This means especially that the (root-level)
name of a Modelica package under this license must be changed if the
package is modified (besides fixing of errors, adding vendor specific
Modelica annotations, using a subset of the classes of a Modelica
package, or using another representation, e.g. a binary
representation).</p>

<p>
<b>5. Grant of Patent License.</b>
Licensor grants You a worldwide, royalty-free, non-exclusive, sublicensable license,
under patent claims owned by the Licensor or licensed to the Licensor by
the owners of the Original Work that are embodied in the Original Work
as furnished by the Licensor, for the duration of the patents,
to make, use, sell, offer for sale, have made, and import the Original Work
and Derivative Works under the conditions as given in Section 2.
For the matter of clarity, the license regarding Derivative Works covers
patent claims to the extent as they are embodied in the Original Work only.</p>

<p>
<b>6. Provision of Source Code.</b> Licensor agrees to provide
You with a copy of the Source Code of the Original Work but reserves
the right to decide freely on the manner of how the Original Work is
provided.<br>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;For the matter of clarity, Licensor might provide only a binary
representation of the Original Work. In that case, You may (a) either
reproduce the Source Code from the binary representation if this is
possible (e.g., by performing a copy of an encrypted Modelica
package, if encryption allows the copy operation) or (b) request the
Source Code from the Licensor who will provide it to You.</p>

<p>
<b>7. Exclusions from License Grant.</b> Neither the names of
Licensor, nor the names of any contributors to the Original Work, nor
any of their trademarks or service marks, may be used to endorse or
promote products derived from this Original Work without express
prior permission of the Licensor. Except as otherwise expressly
stated in this License and in particular in Sections 2 and 5, nothing
in this License grants any license to Licensor&rsquo;s trademarks,
copyrights, patents, trade secrets or any other intellectual
property, and no patent license is granted to make, use, sell, offer
for sale, have made, or import embodiments of any patent claims.<br>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;No license is granted to the trademarks of
Licensor even if such trademarks are included in the Original Work,
except as expressly stated in this License. Nothing in this License
shall be interpreted to prohibit Licensor from licensing under terms
different from this License any Original Work that Licensor otherwise
would have a right to license.</p>

<p>
<b>8. Attribution Rights.</b> You must retain in the Source
Code of the Original Work and of any Derivative Works that You
create, all author, copyright, patent, or trademark notices, as well
as any descriptive text identified therein as an &quot;Attribution
Notice&quot;. The same applies to the licensing notice of this
License in the Original Work. For the matter of clarity, &ldquo;author
notice&rdquo; means the notice that identifies the original
author(s). <br>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;You must cause the Source Code for any Derivative
Works that You create to carry a prominent Attribution Notice
reasonably calculated to inform recipients that You have modified the
Original Work. <br>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;In case the Original Work or Derivative Work is not provided in
Source Code, the Attribution Notices shall be appropriately
displayed, e.g., in the documentation of the Derivative Work.</p>

<p><b>9. Disclaimer
of Warranty. <br></b><u><b>The Original Work is provided under this
License on an &quot;as is&quot; basis and without warranty, either
express or implied, including, without limitation, the warranties of
non-infringement, merchantability or fitness for a particular
purpose. The entire risk as to the quality of the Original Work is
with You.</b></u> This disclaimer of warranty constitutes an
essential part of this License. No license to the Original Work is
granted by this License except under this disclaimer.</p>

<p>
<b>10. Limitation of Liability.</b> Under no circumstances and
under no legal theory, whether in tort (including negligence),
contract, or otherwise, shall the Licensor, the owner or a licensee
of the Original Work be liable to anyone for any direct, indirect,
general, special, incidental, or consequential damages of any
character arising as a result of this License or the use of the
Original Work including, without limitation, damages for loss of
goodwill, work stoppage, computer failure or malfunction, or any and
all other commercial damages or losses. This limitation of liability
shall not apply to the extent applicable law prohibits such
limitation.</p>

<p>
<b>11. Termination.</b> This License conditions your rights to
undertake the activities listed in Section 2 and 5, including your
right to create Derivative Works based upon the Original Work, and
doing so without observing these terms and conditions is prohibited
by copyright law and international treaty. Nothing in this License is
intended to affect copyright exceptions and limitations. This License
shall terminate immediately and You may no longer exercise any of the
rights granted to You by this License upon your failure to observe
the conditions of this license.</p>

<p>
<b>12. Termination for Patent Action.</b> This License shall
terminate automatically and You may no longer exercise any of the
rights granted to You by this License as of the date You commence an
action, including a cross-claim or counterclaim, against Licensor,
any owners of the Original Work or any licensee alleging that the
Original Work infringes a patent. This termination provision shall
not apply for an action alleging patent infringement through
combinations of the Original Work under combination with other
software or hardware.</p>

<p>
<b>13. Jurisdiction.</b> Any action or suit relating to this
License may be brought only in the courts of a jurisdiction wherein
the Licensor resides and under the laws of that jurisdiction
excluding its conflict-of-law provisions. The application of the
United Nations Convention on Contracts for the International Sale of
Goods is expressly excluded. Any use of the Original Work outside the
scope of this License or after its termination shall be subject to
the requirements and penalties of copyright or patent law in the
appropriate jurisdiction. This section shall survive the termination
of this License.</p>

<p>
<b>14. Attorneys&rsquo; Fees.</b> In any action to enforce the
terms of this License or seeking damages relating thereto, the
prevailing party shall be entitled to recover its costs and expenses,
including, without limitation, reasonable attorneys' fees and costs
incurred in connection with such action, including any appeal of such
action. This section shall survive the termination of this License.</p>

<p>
<b>15. Miscellaneous.</b>
</p>
<ol type=\"a\">
  <li>If any
  provision of this License is held to be unenforceable, such
  provision shall be reformed only to the extent necessary to make it
  enforceable.</li>

  <li>No verbal
  ancillary agreements have been made. Changes and additions to this
  License must appear in writing to be valid. This also applies to
  changing the clause pertaining to written form.</li>

  <li>You may use the
  Original Work in all ways not otherwise restricted or conditioned by
  this License or by law, and Licensor promises not to interfere with
  or be responsible for such uses by You.</li>
</ol>

<hr>

<h5><a name=\"Frequently_Asked_Questions-outline\"></a>
Frequently Asked Questions</h5>
<p>This
section contains questions/answer to users and/or distributors of
Modelica packages and/or documents under Modelica License 2. Note,
the answers to the questions below are not a legal interpretation of
the Modelica License 2. In case of a conflict, the language of the
license shall prevail.</p>

<h6>Using or Distributing a Modelica <u>Package</u> under the Modelica License 2</h6>

<p><b>What are the main
differences to the previous version of the Modelica License?</b></p>
<ol>
  <li><p>
  Modelica License 1 is unclear whether the licensed Modelica package
  can be distributed under a different license. Version 2 explicitly
  allows that &ldquo;Derivative Work&rdquo; can be distributed under
  any license of Your choice, see examples in Section 1d) as to what
  qualifies as Derivative Work (so, version 2 is clearer).</p>
  <li><p>
  If You modify a Modelica package under Modelica License 2 (besides
  fixing of errors, adding vendor specific Modelica annotations, using
  a subset of the classes of a Modelica package, or using another
  representation, e.g., a binary representation), you must rename the
  root-level name of the package for your distribution. In version 1
  you could keep the name (so, version 2 is more restrictive). The
  reason of this restriction is to reduce the risk that Modelica
  packages are available that have identical names, but different
  functionality.</p>
  <li><p>
  Modelica License 1 states that &ldquo;It is not allowed to charge a
  fee for the original version or a modified version of the software,
  besides a reasonable fee for distribution and support&rdquo;.
  Version 2 has a similar intention for all Original Work under
  <u>Modelica License 2</u> (to remain free of charge and open source)
  but states this more clearly as &ldquo;No fee, neither as a
  copyright-license fee, nor as a selling fee for the copy as such may
  be charged&rdquo;. Contrary to version 1, Modelica License 2 has no
  restrictions on fees for Derivative Work that is provided under a
  different license (so, version 2 is clearer and has fewer
  restrictions).</p>
  <li><p>
  Modelica License 2 introduces several useful provisions for the
  licensee (articles 5, 6, 12), and for the licensor (articles 7, 12,
  13, 14) that have no counter part in version 1.</p>
  <li><p>
  Modelica License 2 can be applied to all type of work, including
  documents, images and data files, contrary to version 1 that was
  dedicated for software only (so, version 2 is more general).</p>
</ol>

<p><b>Can I distribute a
Modelica package (under Modelica License 2) as part of my commercial
Modelica modeling and simulation environment?</b></p>
<p>Yes,
according to Section 2c). However, you are not allowed to charge a
fee for this part of your environment. Of course, you can charge for
your part of the environment.
</p>

<p><b>Can I distribute a
Modelica package (under Modelica License 2) under a different
license?</b></p>
<p>No.
The license of an unmodified Modelica package cannot be changed
according to Sections 2c) and 2d). This means that you cannot <u>sell</u>
copies of it, any distribution has to be free of charge.</p>

<p><b>Can I distribute a
Modelica package (under Modelica License 2) under a different license
when I first encrypt the package?</b></p>
<p>No.
Merely encrypting a package does not qualify for Derivative Work and
therefore the encrypted package has to stay under Modelica License 2.</p>

<p><b>Can I distribute a
Modelica package (under Modelica License 2) under a different license
when I first add classes to the package?</b></p>
<p>No.
The package itself remains unmodified, i.e., it is Original Work, and
therefore the license for this part must remain under Modelica
License 2. The newly added classes can be, however, under a different
license.
</p>

<p><b>Can
I copy a class out of a Modelica package (under Modelica License 2)
and include it </b><u><b>unmodified</b></u><b> in a Modelica package
under a </b><u><b>commercial/proprietary license</b></u><b>?</b></p>
<p>No,
according to article 2c). However, you can include model, block,
function, package, record and connector classes in your Modelica
package under <u>Modelica License 2</u>. This means that your
Modelica package could be under a commercial/proprietary license, but
one or more classes of it are under Modelica License 2.<br>Note, a
&ldquo;type&rdquo; class (e.g., type Angle = Real(unit=&rdquo;rad&rdquo;))
can be copied and included unmodified under a commercial/proprietary
license (for details, see the next question).</p>

<p><b>Can
I copy a type class or </b><u><b>part</b></u><b> of a model, block,
function, record, connector class, out of a Modelica package (under
Modelica License 2) and include it modified or unmodified in a
Modelica package under a </b><u><b>commercial/proprietary</b></u><b>
license</b></p>
<p>Yes,
according to article 2d), since this will in the end usually qualify
as Derivative Work. The reasoning is the following: A type class or
part of another class (e.g., an equation, a declaration, part of a
class description) cannot be utilized &ldquo;by its own&rdquo;. In
order to make this &ldquo;usable&rdquo;, you have to add additional
code in order that the class can be utilized. This is therefore
usually Derivative Work and Derivative Work can be provided under a
different license. Note, this only holds, if the additional code
introduced is sufficient to qualify for Derivative Work. Merely, just
copying a class and changing, say, one character in the documentation
of this class would be no Derivative Work and therefore the copied
code would have to stay under Modelica License 2.</p>

<p><b>Can
I copy a class out of a Modelica package (under Modelica License 2)
and include it in </b><u><b>modified </b></u><b>form in a
</b><u><b>commercial/proprietary</b></u><b> Modelica package?</b></p>
<p>Yes.
If the modification can be seen as a &ldquo;Derivative Work&rdquo;,
you can place it under your commercial/proprietary license. If the
modification does not qualify as &ldquo;Derivative Work&rdquo; (e.g.,
bug fixes, vendor specific annotations), it must remain under
Modelica License 2. This means that your Modelica package could be
under a commercial/proprietary license, but one or more parts of it
are under Modelica License 2.</p>

<p><b>Can I distribute a
&ldquo;save total model&rdquo; under my commercial/proprietary
license, even if classes under Modelica License 2 are included?</b></p>
<p>Your
classes of the &ldquo;save total model&rdquo; can be distributed
under your commercial/proprietary license, but the classes under
Modelica License 2 must remain under Modelica License 2. This means
you can distribute a &ldquo;save total model&rdquo;, but some parts
might be under Modelica License 2.</p>

<p><b>Can I distribute a
Modelica package (under Modelica License 2) in encrypted form?</b></p>
<p>Yes.
Note, if the encryption does not allow &ldquo;copying&rdquo; of
classes (in to unencrypted Modelica source code), you have to send
the Modelica source code of this package to your customer, if he/she
wishes it, according to article&nbsp;6.</p>

<p><b>Can I distribute an
executable under my commercial/proprietary license, if the model from
which the executable is generated uses models from a Modelica package
under Modelica License 2?</b></p>
<p>Yes,
according to article 2d), since this is seen as Derivative Work. The
reasoning is the following: An executable allows the simulation of a
concrete model, whereas models from a Modelica package (without
pre-processing, translation, tool run-time library) are not able to
be simulated without tool support. By the processing of the tool and
by its run-time libraries, significant new functionality is added (a
model can be simulated whereas previously it could not be simulated)
and functionality available in the package is removed (e.g., to build
up a new model by dragging components of the package is no longer
possible with the executable).</p>

<p><b>Is my modification to
a Modelica package (under Modelica License 2) a Derivative Work?</b></p>
<p>It
is not possible to give a general answer to it. To be regarded as &quot;an
original work of authorship&quot;, a derivative work must be
different enough from the original or must contain a substantial
amount of new material. Making minor changes or additions of little
substance to a preexisting work will not qualify the work as a new
version for such purposes.
</p>

<h6>Using or Distributing a Modelica <u>Document</u> under the Modelica License 2</h6>

<p>This
section is devoted especially for the following applications:</p>
<ol type=\"a\">
  <li><p>
  A Modelica tool extracts information out of a Modelica package and
  presents the result in form of a &ldquo;manual&rdquo; for this
  package in, e.g., html, doc, or pdf format.</p>
  <li><p>
  The Modelica language specification is a document defining the
  Modelica language. It will be licensed under Modelica License 2.</p>
  <li><p>
  Someone writes a book about the Modelica language and/or Modelica
  packages and uses information which is available in the Modelica
  language specification and/or the corresponding Modelica package.</p>
</ol>

<p><b>Can I sell a manual
that was basically derived by extracting information automatically
from a Modelica package under Modelica License 2 (e.g., a &ldquo;reference
guide&rdquo; of the Modelica Standard Library):</b></p>
<p>Yes.
Extracting information from a Modelica package, and providing it in a
human readable, suitable format, like html, doc or pdf format, where
the content is significantly modified (e.g. tables with interface
information are constructed from the declarations of the public
variables) qualifies as Derivative Work and there are no restrictions
to charge a fee for Derivative Work under alternative 2d).</p>

<p><b>Can
I copy a text passage out of a Modelica document (under Modelica
License 2) and use it </b><u><b>unmodified</b></u><b> in my document
(e.g. the Modelica syntax description in the Modelica Specification)?</b></p>
<p>Yes.
In case you distribute your document, the copied parts are still
under Modelica License 2 and you are not allowed to charge a license
fee for this part. You can, of course, charge a fee for the rest of
your document.</p>

<p><b>Can
I copy a text passage out of a Modelica document (under Modelica
License 2) and use it in </b><u><b>modified</b></u><b> form in my
document?</b></p>
<p>Yes,
the creation of Derivative Works is allowed. In case the content is
significantly modified this qualifies as Derivative Work and there
are no restrictions to charge a fee for Derivative Work under
alternative 2d).</p>

<p><b>Can I sell a printed
version of a Modelica document (under Modelica License 2), e.g., the
Modelica Language Specification?</b></p>
<p>No,
if you are not the copyright-holder, since article 2c) does not allow
a selling fee for a (in this case physical) copy. However, mere
printing and shipping costs may be recovered.</p>
</html>"));
    end ModelicaLicense2;
    annotation (Documentation(info="<html>

This program is free software: you can redistribute it and/or modify it under the terms of the <b> GNU 
General Public License </b> as published by the Free Software Foundation, either <b>version 3</b> of 
the License, or any later version.
This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even 
the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU 
General PUblic License for more details.
You should have received a copy of the GNU General Public License along with this program.
If not, see <a href=\"http://www.gnu.org/licenses\">http://www.gnu.org/licenses</a>. <p>

Type classes, parts of models, blocks, functions, records and/or connector classes are also 
under the GNU General Public License, version 3 of the License, or any later version, according 
to article 2d) of <a href=\"//EHSTEG.UsersGuide.License.ModelicaLicense2\">The Modelica License 2</a>. <br>  

</html>
"));

    end License;
    extends Modelica.Icons.Information;

    package Publications "Publications"
      extends Modelica.Icons.Information;

    annotation (Documentation(info="<html>

The EHSTEG library was created in connection with the dissertation 'Model-based Development of Thermoelectric Energy Harvesting Systems' by Marco Nesarajah.

Morevoer, various publications arised in connection with the EHSTEG library or with one detail of the library, or the library was influenced by publications.<br>
Here follows an overview:<p>

  <u>For more information regarding the development process:</u> <br>
  Nesarajah, M.; Frey, G.: Multiphysics Simulation in the Development of Thermoelectric Energy Harvesting Systems. Journal of Electronic Materials (JEM), Vol. 45,
  No. 3, pp. 1408-1411, Mar. 2016.<p>
  
  <u>For more information regarding a thermoelectric device:</u> <br>
  Felgner, F.; Exel, L.; Nesarajah, M.; Frey, G.: Component-oriented Modeling of Thermoelectric Devices for Energy System Design. IEEE Transactions on Industrial Electronics, 
  Vol.: 61, No.: 3, pp. 1301-1310, March 2014 <p>
  
  Nesarajah, M.; Frey, G.: Thermoelectric Power Generation: Peltier Element versus Thermoelectric Generator (TEC vs. TEG). Proceedings of the 42nd Annual Conference of IEEE Industrial
  Electronics Society (IECON 2016), Florence, Italy, pp. 4252 - 4257, Oct. 2016. <p>

  <u>For more information regarding the green barbecue:</u> <br>
  Nesarajah, M.; Frey, G.: Energy Harvesting from Open Fireplaces. 2nd International Congress on Energy Efficiency and Energy Related Materials, 
  Oludeniz, Turkey, Oct. 2014; in: A.Y. Oral et al. (Eds.): 2nd International Congress on Energy Efficiency and Energy Related Materials (ENEFM2014), Springer Proceedings
  in Energy. ISBN: 978-3-319-16900-2 (Print), ISBN: 978-3-319-16901-9 (Online), Springer International Publishing, pp. 525-531, 2015.<p>
  
  Nesarajah, M.; Frey, G.: Thermoelectric Applications for Home Use: Thermostat and Green Barbecue 2.0. Proceedings of the 14th European Conference on
  Thermoelectrics (ECT 2016), Lisbon, Portugal, Sep. 2016. [IN PRESS]<p>
  
  <u>For more information regarding the control strategy:</u> <br>
  Nesarajah, M.; Felgner, F.; Frey, G.: Modeling and Simulation of a Thermoelectric Energy Harvesting System for Control Design Purposes. Proceedings of the 
  16th International Conference on Mechatronics - Mechatronika (ME), IEEE, Brno, Czech Republic, pp. 170-177, Dec. 2014.<p>
  
  Nesarajah, M.; Felgner, F.; Frey, G.: Model-based System Assesment of Thermoelectric Energy Harvesting from the Exhaust Gas Pipe of Oil-fired Heating. MM (Modern Machinery)
  Science Journal, ISSN 1803-1269, pp. 570-575, Mar. 2015. <p>
  
  Chen, M.: Adaptive Removal and Revival of Underheated Thermoelectric Generation Modules. IEEE Transactions on Industrial Electronics, Vol. 61, No. 11, pp. 6100-6107, Nov. 2014.<p>
    
  <u>For more information regarding the thermostat:</u> <br>
  Nesarajah, M.; Exel, L.; Frey, G.: Modelica Library for Dynamic Simulation of Thermoelectric Generators. 11th European Conference on Thermoelectrics, Noordwijk, 
  The Netherlands, Nov. 2013; in: A. Amaldi and F. Tang (Eds.): Proceedings of the 11th European Conference on Thermoelectrics: ECT 2013, ISBN: 978-3-319-07331-6 (Print), 
  ISBN: 978-3-319-07332-3 (Online), Springer International Publishing Switzerland, pp. 213-217, 2014. <p>
  
  Nesarajah, M.; Frey, G.: Thermoelectric Applications for Home Use: Thermostat and Green Barbecue 2.0. Proceedings of the 14th European Conference on
  Thermoelectrics (ECT 2016), Lisbon, Portugal, Sep. 2016. [IN PRESS] <p>
  
  <u>For more information regarding the cost integration:</u> <br>
  Felgner, F.; Exel, L.; Frey, G.: Model-based design and validation of waste heat recovery systems. IEEE International Energy Conference (ENERGYCON 2012), pp. 265-270, 2012.<p>
  
</html>
"));

    end Publications;

    package ReleaseNotes "Release notes"
      extends Modelica.Icons.ReleaseNotes;
      annotation (Documentation(info="<html>
  <p>
  <table>
  <tr> <td> Version 1.0 </td>  <td> May 26, 2015 </td> <td> first version of EHSTEG </td> </tr> 
  <tr> <td> Version 2.0 </td>  <td> February 23, 2017 </td> <td> version of EHSTEG, which fits with the dissertation of M. Nesarajah 'Model-based Development of Thermoelectric Energy Harvesting Systems' </td> </tr> 
  </table> <br>                     
</html>
"));
    end ReleaseNotes;

    package Contact "Contact"
      extends Modelica.Icons.Contact;

        annotation (Documentation(info="<html>
  <p> 
  <table>
  <tr> <td> Dipl.-Ing. Marco Nesarajah </td> <td> Secretariat </td> </tr>
  <tr> <td> </td> <td> </td> </tr>
  <tr> <td> Saarland University </td> <td> Saarland University </td> </tr>
  <tr> <td> Faculty Natural Sciences and Technology NT </td> <td> Faculty Natural Sciences and Technology NT </td> </tr>
  <tr> <td> Chair of Automation and Energy Systems </td> <td> Chair of Automation and Energy Systems </td> </tr>
  <tr> <td> D-66123 Saarbruecken </td> <td> D-66123 Saarbruecken </td> </tr>
  <tr> <td> Germany </td> <td> Germany </td> </tr>
  <tr> <td> Building A5 1 / Room 1.28 </td> <td> Building A5 1 / Room 1.34  </td> </tr>
  <tr> <td> Tel: +49-(0)681-302-57566 </td> <td> Tel: +49-(0)681-302-57595 </td> </tr>
  <tr> <td> Fax: +49-(0)681-302-57599 </td> <td> Fax: +49-(0)681-302-57599 </td> </tr>
  <tr> <td> marco.nesarajah@aut.uni-saarland.de </td> <td> sekretariat@aut.uni-saarland.de </td> </tr>
  <tr> <td> </td> </tr>
  <tr> <td> URL: <a href=\"http://www.aut.uni-saarland.de\">www.aut.uni-saarland.de</a> </td> </tr>
  </table> <br>
</html>
"));
    end Contact;
     annotation (Documentation(info="<html>
  ******************************************************************************************************************** <br>
  <b>Important note:</b> To use the 'EHSTEG' Library fully, 'Modelica Standard Library' and 
  <a href=\"http://www.aut.uni-saarland.de/software\">'ThermoelectricGenerator'</a> 
  must be loaded before. <br> The usage of 'HeatPipe' Library is also recommended.<br>
  ******************************************************************************************************************** <p>

EHSTEG is a Modelica library to model and simulate as well as to design and control Energy Harvesting Systems (EHS) based on Thermoelectric <br> 
Generators (TEG). Developing a thermoelectric EHS, three main challenges have to be solved. The first challenge is to guarantee an optimized <br>
thermal connection of the TEG. The second is to find a good design of the EHS by specifying the kind, the number, and the arrangement of the <br>
TEGs and the last challenge is to find an optimized electrical connection. <p> 

A model-based development process for thermoelectric EHS is shown in the figure below. The process is divided into different steps and  <br>
supports the developer in finding an optimized thermoelectric EHS for a given heat source and given objectives (technical and economical). <br>
During the process several steps can be supported by simulation models (EHSTEG Library). <p><br>

<img src=\"Figures/model-based development process.png\" 
alt=\"model-based development process.png\"><br>
<p>
  The approach is determined by a V-model, see figure below. <p>
<img src=\"Figures/v-model.png\"
     alt=\"v-model.png\"><br>
</html>
"));
  end UsersGuide;

  package Components "package contains the used components to build up an EHS"

    //Copyright (C) 2015-2017 Chair of Automation and Energy Systems, Saarland University (for more information see 'Documentation')

    package Controlling "controllable components"

      //Copyright (C) 2015-2017 Chair of Automation and Energy Systems, Saarland University (for more information see 'Documentation')

      model CPUCoolerControlled
        "controlled CPU cooler - The temperature/duty cycle table was created with the help of the optimization toolbox / CPU cooler is 'Scythe Katana 4'"

        //Copyright (C) 2015-2017 Chair of Automation and Energy Systems, Saarland University (for more information see 'Documentation')

      //import***********************************************************************/
          import Modelica.SIunits.*;
      //*****************************************************************************/

      //parameter definition*********************************************************/
          parameter Area A_equivalent = 0.252
          "equivalent surface area of cooling element"; // m^2
          parameter Thickness d_equivalent = 0.0005
          "equivalent thickness of cooling element"; // m
          // One fin: 10cm x 2cm x 0.5mm
          // number of fins: 3 x 42 = 126
          // A_one_fin = 0.002 m^2
          // d_one_fin = 0.0005 m
          parameter ThermalConductivity lambda_Cu=400 "thermal conductivity"; // W/(m K)
          parameter Density rho_Cu = 8920 "density"; // kg/m^3
          parameter SpecificHeatCapacity cp_Cu = 385 "specific heat capacity"; // J/(kg K)
          parameter Temperature RT = 293.15 "ambient temperature"; // K
      //*****************************************************************************/

      //variable definition**********************************************************/
          Real h;
      //*****************************************************************************/

      //used components**************************************************************/
        Modelica.Thermal.HeatTransfer.Interfaces.HeatPort_a port1 annotation (
            Placement(transformation(extent={{-10,-100},{10,-80}}),
              iconTransformation(extent={{-10,-100},{10,-80}})));
        Modelica.Blocks.Tables.CombiTable1Ds Duty_Cycle_Power_Table(table=[0,0.24; 10,
              0.24; 20,0.24; 30,0.36; 40,0.36; 50,0.48; 60,0.72; 70,0.96; 80,1.32; 90,
              1.68; 100,2.04])
          "from datasheet: first column is DutyCycle, second is Power Consumption [W] (current is given, voltage is constant 12 V)"
          annotation (Placement(transformation(extent={{-60,40},{-40,60}})));
        Modelica.Blocks.Interfaces.RealInput T_hot_TEG
          "Connector of Real input signals"
          annotation (Placement(transformation(extent={{-166,42},{-126,82}}),
              iconTransformation(extent={{-108,30},{-88,50}})));
        Modelica.Thermal.HeatTransfer.Components.Convection convection annotation (
            Placement(transformation(
              extent={{-10,-10},{10,10}},
              rotation=90,
              origin={0,24})));
        Modelica.Thermal.HeatTransfer.Components.ThermalConductor thermalConductor2(G=
             (lambda_Cu*A_equivalent/d_equivalent)/2) annotation (Placement(
              transformation(
              extent={{-10,-10},{10,10}},
              rotation=90,
              origin={0,-24})));
        Modelica.Thermal.HeatTransfer.Components.HeatCapacitor heatCapacitor(C=cp_Cu*(
              rho_Cu*A_equivalent*d_equivalent)) annotation (Placement(transformation(
              extent={{-10,-10},{10,10}},
              rotation=270,
              origin={20,-44})));
        Modelica.Thermal.HeatTransfer.Components.ThermalConductor thermalConductor1(G=
             (lambda_Cu*A_equivalent/d_equivalent)/2) annotation (Placement(
              transformation(
              extent={{-10,-10},{10,10}},
              rotation=90,
              origin={0,-64})));
        Modelica.Thermal.HeatTransfer.Sources.FixedTemperature fixedTemperature(T=RT)
          annotation (Placement(transformation(extent={{-26,70},{-6,90}})));
        Modelica.Blocks.Interfaces.RealOutput energy_consumption
          "Connector of Real output signals"
          annotation (Placement(transformation(extent={{90,52},{110,72}})));
        Modelica.Blocks.Tables.CombiTable1Ds Duty_Cycle_Speed_Table(table=[0,250; 10,250;
              20,290; 30,500; 40,850; 50,1160; 60,1480; 70,1760; 80,2070; 90,2330; 100,
              2550])
          "from datasheet: first column is DutyCycle, second is Speed [rpm]"
          annotation (Placement(transformation(extent={{-76,0},{-56,20}})));
        Modelica.Blocks.Math.Product m
          annotation (Placement(transformation(extent={{-70,-36},{-50,-16}})));
        Modelica.Blocks.Math.Add velocity "[m/s]"
          annotation (Placement(transformation(extent={{-42,-60},{-22,-40}})));
        Modelica.Blocks.Sources.Constant const_m(k=0.00190885)
          annotation (Placement(transformation(extent={{-100,-60},{-80,-40}})));
        Modelica.Blocks.Sources.Constant const_n(k=0.0374335)
          annotation (Placement(transformation(extent={{-76,-80},{-56,-60}})));
        Modelica.Blocks.Tables.CombiTable1Ds Control_Temperature_DutyCycle(table=
              [0,0; 95,50; 120,55; 140,55; 165,65; 185,75; 210,80; 230,90; 250,
              100], smoothness=Modelica.Blocks.Types.Smoothness.LinearSegments)
          annotation (Placement(transformation(extent={{-92,30},{-72,50}})));
        Modelica.Blocks.Sources.Constant conversion_factor(k=273.15)
          annotation (Placement(transformation(extent={{-156,12},{-136,32}})));
        Modelica.Blocks.Math.Add T_hot_TEG_in_Celsius(k2=-1)
          annotation (Placement(transformation(extent={{-102,68},{-82,88}})));
        extends Cost.ConditionalCostPortDevice;
      //*****************************************************************************/

      //equations********************************************************************/
      equation

        /*
  *******************rpm in m/s*************************************************
  from datasheet: airflow for DC 100% and DC 20%
  V_dot = c*A
  d_rotor = 0,0825cm ==> A 
  ==> two values: c1 and c2
  --> linear equation (based on c1 and c2) for the complete intervall
  ******************************************************************************  
  */

        h = 7.8*(velocity.y^0.78); //empirical, very rough approximation according to R. Fischer: Elektrische Maschinen, 10th edition, Hanser-Verlag 1999, p.378; for forced convection; see Dymola help for convection block
        convection.Gc = A_equivalent*h;

        //cost equations
        QHeat = 0;
        electPowerOut = 0;
        electPowerIn = energy_consumption;
        //end cost equations

        connect(thermalConductor1.port_a, port1) annotation (Line(
            points={{0,-74},{0,-90}},
            color={191,0,0},
            smooth=Smooth.None));
        connect(thermalConductor1.port_b, thermalConductor2.port_a) annotation (Line(
            points={{0,-54},{0,-34}},
            color={191,0,0},
            smooth=Smooth.None));
        connect(thermalConductor1.port_b, heatCapacitor.port) annotation (Line(
            points={{0,-54},{0,-44},{10,-44}},
            color={191,0,0},
            smooth=Smooth.None));
        connect(thermalConductor2.port_b, convection.solid) annotation (Line(
            points={{5.55112e-016,-14},{0,-14},{0,14},{-4.44089e-016,14}},
            color={191,0,0},
            smooth=Smooth.None));
        connect(fixedTemperature.port, convection.fluid) annotation (Line(
            points={{-6,80},{6.66134e-016,80},{6.66134e-016,34}},
            color={191,0,0},
            smooth=Smooth.None));
        connect(Duty_Cycle_Speed_Table.y[1], m.u1) annotation (Line(
            points={{-55,10},{-50,10},{-50,-4},{-82,-4},{-82,-20},{-72,-20}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(m.y, velocity.u1) annotation (Line(
            points={{-49,-26},{-46,-26},{-46,-44},{-44,-44}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(m.u2, const_m.y) annotation (Line(
            points={{-72,-32},{-76,-32},{-76,-50},{-79,-50}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(velocity.u2, const_n.y) annotation (Line(
            points={{-44,-56},{-50,-56},{-50,-70},{-55,-70}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(Duty_Cycle_Power_Table.y[1], energy_consumption) annotation (Line(
            points={{-39,50},{26,50},{26,62},{100,62}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(T_hot_TEG, T_hot_TEG_in_Celsius.u1) annotation (Line(
            points={{-146,62},{-113,62},{-113,84},{-104,84}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(conversion_factor.y, T_hot_TEG_in_Celsius.u2) annotation (Line(
            points={{-135,22},{-108,22},{-108,72},{-104,72}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(T_hot_TEG_in_Celsius.y, Control_Temperature_DutyCycle.u)
          annotation (Line(
            points={{-81,78},{-74,78},{-74,62},{-102,62},{-102,40},{-94,40}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(Control_Temperature_DutyCycle.y[1], Duty_Cycle_Power_Table.u)
          annotation (Line(
            points={{-71,40},{-68,40},{-68,50},{-62,50}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(Control_Temperature_DutyCycle.y[1], Duty_Cycle_Speed_Table.u)
          annotation (Line(
            points={{-71,40},{-64,40},{-64,26},{-90,26},{-90,10},{-78,10}},
            color={0,0,127},
            smooth=Smooth.None));
      //*****************************************************************************/

      annotation (Documentation(info="<html>
   <p>
**************************************************************************** <br>
  <b> Copyright (C) 2015-2017 Chair of Automation and Energy Systems, Saarland University </b> <br>
------------------------------------------------------------------------------------------------------------------ <br>
  This file is part of EHSTEG. <p>                    
  
  For more information see <a href=\"//EHSTEG.UsersGuide\">User's Guide</a> <p>
  
**************************************************************************** <p>
</html>
"),                      Icon(coordinateSystem(preserveAspectRatio=false, extent={{-100,
                  -100},{100,100}}),
                         graphics={
              Polygon(
                points={{-48,100},{-48,-54},{-34,-70},{0,-70},{0,-64},{-28,-64},{-40,-52},
                    {-42,100},{-48,100}},
                lineColor={255,128,0},
                smooth=Smooth.Bezier,
                fillColor={255,128,0},
                fillPattern=FillPattern.Solid),
              Polygon(
                points={{-64,98},{-64,-52},{-50,-68},{-16,-68},{-16,-62},{-44,-62},{-56,
                    -50},{-58,98},{-64,98}},
                lineColor={255,128,0},
                smooth=Smooth.Bezier,
                fillColor={255,128,0},
                fillPattern=FillPattern.Solid),
              Polygon(
                points={{48,100},{48,-54},{34,-70},{0,-70},{0,-64},{28,-64},{40,-52},{
                    42,100},{48,100}},
                lineColor={255,128,0},
                smooth=Smooth.Bezier,
                fillColor={255,128,0},
                fillPattern=FillPattern.Solid),
              Polygon(
                points={{64,98},{64,-52},{50,-68},{16,-68},{16,-62},{44,-62},{56,-50},
                    {58,98},{64,98}},
                lineColor={255,128,0},
                smooth=Smooth.Bezier,
                fillColor={255,128,0},
                fillPattern=FillPattern.Solid),
              Polygon(
                points={{80,100},{80,-60},{66,-76},{32,-76},{32,-70},{60,-70},{72,-58},
                    {72,100},{80,100}},
                lineColor={255,128,0},
                smooth=Smooth.Bezier,
                fillColor={255,128,0},
                fillPattern=FillPattern.Solid),
              Polygon(
                points={{-80,100},{-80,-60},{-66,-76},{-32,-76},{-32,-70},{-60,-70},{-72,
                    -58},{-72,100},{-80,100}},
                lineColor={255,128,0},
                smooth=Smooth.Bezier,
                fillColor={255,128,0},
                fillPattern=FillPattern.Solid),
              Rectangle(
                extent={{-40,-60},{40,-80}},
                lineColor={175,175,175},
                fillPattern=FillPattern.Solid,
                fillColor={175,175,175}),
              Rectangle(
                extent={{-100,84},{100,82}},
                lineColor={175,175,175},
                fillColor={175,175,175},
                fillPattern=FillPattern.Solid),
              Rectangle(
                extent={{-100,92},{100,90}},
                lineColor={175,175,175},
                fillColor={175,175,175},
                fillPattern=FillPattern.Solid),
              Rectangle(
                extent={{-100,100},{100,98}},
                lineColor={175,175,175},
                fillColor={175,175,175},
                fillPattern=FillPattern.Solid),
              Rectangle(
                extent={{-100,60},{100,58}},
                lineColor={175,175,175},
                fillColor={175,175,175},
                fillPattern=FillPattern.Solid),
              Rectangle(
                extent={{-100,68},{100,66}},
                lineColor={175,175,175},
                fillColor={175,175,175},
                fillPattern=FillPattern.Solid),
              Rectangle(
                extent={{-100,76},{100,74}},
                lineColor={175,175,175},
                fillColor={175,175,175},
                fillPattern=FillPattern.Solid),
              Rectangle(
                extent={{-100,36},{100,34}},
                lineColor={175,175,175},
                fillColor={175,175,175},
                fillPattern=FillPattern.Solid),
              Rectangle(
                extent={{-100,44},{100,42}},
                lineColor={175,175,175},
                fillColor={175,175,175},
                fillPattern=FillPattern.Solid),
              Rectangle(
                extent={{-100,52},{100,50}},
                lineColor={175,175,175},
                fillColor={175,175,175},
                fillPattern=FillPattern.Solid),
              Rectangle(
                extent={{-100,12},{100,10}},
                lineColor={175,175,175},
                fillColor={175,175,175},
                fillPattern=FillPattern.Solid),
              Rectangle(
                extent={{-100,20},{100,18}},
                lineColor={175,175,175},
                fillColor={175,175,175},
                fillPattern=FillPattern.Solid),
              Rectangle(
                extent={{-100,28},{100,26}},
                lineColor={175,175,175},
                fillColor={175,175,175},
                fillPattern=FillPattern.Solid),
              Rectangle(
                extent={{-100,-12},{100,-14}},
                lineColor={175,175,175},
                fillColor={175,175,175},
                fillPattern=FillPattern.Solid),
              Rectangle(
                extent={{-100,-4},{100,-6}},
                lineColor={175,175,175},
                fillColor={175,175,175},
                fillPattern=FillPattern.Solid),
              Rectangle(
                extent={{-100,4},{100,2}},
                lineColor={175,175,175},
                fillColor={175,175,175},
                fillPattern=FillPattern.Solid),
              Rectangle(
                extent={{-100,-36},{100,-38}},
                lineColor={175,175,175},
                fillColor={175,175,175},
                fillPattern=FillPattern.Solid),
              Rectangle(
                extent={{-100,-28},{100,-30}},
                lineColor={175,175,175},
                fillColor={175,175,175},
                fillPattern=FillPattern.Solid),
              Rectangle(
                extent={{-100,-20},{100,-22}},
                lineColor={175,175,175},
                fillColor={175,175,175},
                fillPattern=FillPattern.Solid),
              Rectangle(
                extent={{-100,100},{100,-38}},
                lineColor={0,0,0},
                lineThickness=1),
              Ellipse(
                extent={{8,30},{-8,96}},
                lineColor={0,0,0},
                lineThickness=1,
                fillColor={0,0,0},
                fillPattern=FillPattern.Solid),
              Ellipse(
                extent={{8,-36},{-8,30}},
                lineColor={0,0,0},
                lineThickness=1,
                fillColor={0,0,0},
                fillPattern=FillPattern.Solid),
              Ellipse(
                extent={{8,-33},{-8,33}},
                lineColor={0,0,0},
                lineThickness=1,
                fillColor={0,0,0},
                fillPattern=FillPattern.Solid,
                origin={34,31},
                rotation=90),
              Ellipse(
                extent={{8,-33},{-8,33}},
                lineColor={0,0,0},
                lineThickness=1,
                fillColor={0,0,0},
                fillPattern=FillPattern.Solid,
                origin={-34,31},
                rotation=90),
              Rectangle(
                extent={{-30,-60},{30,-52}},
                fillColor={0,127,0},
                fillPattern=FillPattern.CrossDiag,
                pattern=LinePattern.None,
                lineColor={0,0,0}),
              Text(
                extent={{-30,-52},{30,-60}},
                lineColor={0,0,0},
                fillColor={0,127,0},
                fillPattern=FillPattern.CrossDiag,
                textString="controlled")}),
                                Diagram(coordinateSystem(preserveAspectRatio=false,
                extent={{-100,-100},{100,100}})));
      end CPUCoolerControlled;

    annotation (Documentation(info="<html>
   <p>
**************************************************************************** <br>
  <b> Copyright (C) 2015-2017 Chair of Automation and Energy Systems, Saarland University </b> <br>
------------------------------------------------------------------------------------------------------------------ <br>
  This file is part of EHSTEG. <p>                    
  
  For more information see <a href=\"//EHSTEG.UsersGuide\">User's Guide</a> <p>
  
**************************************************************************** <p>
</html>
"));
    end Controlling;

    package CoolingElement "package contains the different cooling options"

      //Copyright (C) 2015-2017 Chair of Automation and Energy Systems, Saarland University (for more information see 'Documentation')

      package Active "package for active cooling elements"

        //Copyright (C) 2015-2017 Chair of Automation and Energy Systems, Saarland University (for more information see 'Documentation')

        package ForcedAir "forced air cooling elements"

          //Copyright (C) 2015-2017 Chair of Automation and Energy Systems, Saarland University (for more information see 'Documentation')

          model CPUCooler "CPU cooler 'Scythe Katana 4'"

            //Copyright (C) 2015-2017 Chair of Automation and Energy Systems, Saarland University (for more information see 'Documentation')

          //import***********************************************************************/
              import Modelica.SIunits.*;
          //*****************************************************************************/

          //parameter definition*********************************************************/
              parameter Area A_equivalent = 0.252
              "equivalent surface area of cooling element"; // m^2
              parameter Thickness d_equivalent = 0.0005
              "equivalent thickness of cooling element"; // m
              // One fin: 10cm x 2cm x 0.5mm
              // number of fins: 3 x 42 = 126
              // A_one_fin = 0.002 m^2
              // d_one_fin = 0.0005 m
              parameter ThermalConductivity lambda_Cu=400
              "thermal conductivity";                                             // W/(m K)
              parameter Density rho_Cu = 8920 "density"; // kg/m^3
              parameter SpecificHeatCapacity cp_Cu = 385
              "specific heat capacity";                                            // J/(kg K)
              parameter Temperature RT = 293.15 "ambient temperature"; // K
          //*****************************************************************************/

          //variable definition**********************************************************/
              Real h;
          //*****************************************************************************/

          //used components**************************************************************/
            Modelica.Thermal.HeatTransfer.Interfaces.HeatPort_a port1 annotation (
                Placement(transformation(extent={{-10,-100},{10,-80}}),
                  iconTransformation(extent={{-10,-100},{10,-80}})));
            Modelica.Blocks.Tables.CombiTable1Ds Duty_Cycle_Power_Table(table=[0,0.24; 10,
                  0.24; 20,0.24; 30,0.36; 40,0.36; 50,0.48; 60,0.72; 70,0.96; 80,1.32; 90,
                  1.68; 100,2.04])
              "from datasheet: first column is DutyCycle, second is Power Consumption [W] (current is given, voltage is constant 12 V)"
              annotation (Placement(transformation(extent={{-60,40},{-40,60}})));
            Modelica.Blocks.Interfaces.RealInput DutyCycle
              "Connector of Real input signals"
              annotation (Placement(transformation(extent={{-120,40},{-80,80}}),
                  iconTransformation(extent={{-108,30},{-88,50}})));
            Modelica.Thermal.HeatTransfer.Components.Convection convection annotation (
                Placement(transformation(
                  extent={{-10,-10},{10,10}},
                  rotation=90,
                  origin={0,20})));
            Modelica.Thermal.HeatTransfer.Components.ThermalConductor thermalConductor2(G=
                 (lambda_Cu*A_equivalent/d_equivalent)/2) annotation (Placement(
                  transformation(
                  extent={{-10,-10},{10,10}},
                  rotation=90,
                  origin={0,-10})));
            Modelica.Thermal.HeatTransfer.Components.HeatCapacitor heatCapacitor(C=cp_Cu*(
                  rho_Cu*A_equivalent*d_equivalent)) annotation (Placement(transformation(
                  extent={{-10,-10},{10,10}},
                  rotation=270,
                  origin={20,-30})));
            Modelica.Thermal.HeatTransfer.Components.ThermalConductor thermalConductor1(G=
                 (lambda_Cu*A_equivalent/d_equivalent)/2) annotation (Placement(
                  transformation(
                  extent={{-10,-10},{10,10}},
                  rotation=90,
                  origin={0,-50})));
            Modelica.Thermal.HeatTransfer.Sources.FixedTemperature fixedTemperature(T(
                  displayUnit="K") = RT) "RT / 301.15"
              annotation (Placement(transformation(extent={{-26,70},{-6,90}})));
            Modelica.Blocks.Interfaces.RealOutput energy_consumption
              "Connector of Real output signals"
              annotation (Placement(transformation(extent={{90,52},{110,72}})));
            Modelica.Blocks.Tables.CombiTable1Ds Duty_Cycle_Speed_Table(table=[0,250; 10,250;
                  20,290; 30,500; 40,850; 50,1160; 60,1480; 70,1760; 80,2070; 90,2330; 100,
                  2550])
              "from datasheet: first column is DutyCycle, second is Speed [rpm]"
              annotation (Placement(transformation(extent={{-76,0},{-56,20}})));
            Modelica.Blocks.Math.Product m
              annotation (Placement(transformation(extent={{-70,-36},{-50,-16}})));
            Modelica.Blocks.Math.Add velocity "[m/s]"
              annotation (Placement(transformation(extent={{-42,-60},{-22,-40}})));
            Modelica.Blocks.Sources.Constant const_m(k=0.00190885)
              annotation (Placement(transformation(extent={{-100,-60},{-80,-40}})));
            Modelica.Blocks.Sources.Constant const_n(k=0.0374335)
              annotation (Placement(transformation(extent={{-76,-80},{-56,-60}})));
            extends Cost.ConditionalCostPortDevice;
          //*****************************************************************************/

          //equations********************************************************************/
          equation

            /*
  *******************rpm in m/s*************************************************
  from datasheet: airflow for DC 100% and DC 20%
  V_dot = c*A
  d_rotor = 0,0825cm ==> A 
  ==> two values: c1 and c2
  --> linear equation (based on c1 and c2) for the complete intervall
  ******************************************************************************  
  */

            h = 7.8*(velocity.y^0.78); //empirical, very rough approximation according to R. Fischer: Elektrische Maschinen, 10th edition, Hanser-Verlag 1999, p.378; for forced convection; see Dymola help for convection block
            convection.Gc = A_equivalent*h;

            //cost equations
            QHeat = 0;
            electPowerOut = 0;
            electPowerIn = energy_consumption;
            //end cost equations

            connect(thermalConductor1.port_b, thermalConductor2.port_a) annotation (Line(
                points={{0,-40},{0,-20}},
                color={191,0,0},
                smooth=Smooth.None));
            connect(thermalConductor1.port_b, heatCapacitor.port) annotation (Line(
                points={{0,-40},{0,-30},{10,-30}},
                color={191,0,0},
                smooth=Smooth.None));
            connect(thermalConductor2.port_b, convection.solid) annotation (Line(
                points={{0,0},{0,10}},
                color={191,0,0},
                smooth=Smooth.None));
            connect(fixedTemperature.port, convection.fluid) annotation (Line(
                points={{-6,80},{0,80},{0,30}},
                color={191,0,0},
                smooth=Smooth.None));
            connect(DutyCycle, Duty_Cycle_Power_Table.u) annotation (Line(
                points={{-100,60},{-82,60},{-82,50},{-62,50}},
                color={0,0,127},
                smooth=Smooth.None));
            connect(DutyCycle, Duty_Cycle_Speed_Table.u) annotation (Line(
                points={{-100,60},{-82,60},{-82,10},{-78,10}},
                color={0,0,127},
                smooth=Smooth.None));
            connect(Duty_Cycle_Speed_Table.y[1], m.u1) annotation (Line(
                points={{-55,10},{-50,10},{-50,-4},{-82,-4},{-82,-20},{-72,-20}},
                color={0,0,127},
                smooth=Smooth.None));
            connect(m.y, velocity.u1) annotation (Line(
                points={{-49,-26},{-44,-26},{-44,-44}},
                color={0,0,127},
                smooth=Smooth.None));
            connect(m.u2, const_m.y) annotation (Line(
                points={{-72,-32},{-76,-32},{-76,-50},{-79,-50}},
                color={0,0,127},
                smooth=Smooth.None));
            connect(velocity.u2, const_n.y) annotation (Line(
                points={{-44,-56},{-50,-56},{-50,-70},{-55,-70}},
                color={0,0,127},
                smooth=Smooth.None));
            connect(Duty_Cycle_Power_Table.y[1], energy_consumption) annotation (Line(
                points={{-39,50},{26,50},{26,62},{100,62}},
                color={0,0,127},
                smooth=Smooth.None));
            connect(thermalConductor1.port_a, port1)
              annotation (Line(points={{0,-60},{0,-75},{0,-90}}, color={191,0,0}));
          //*****************************************************************************/
          annotation (Documentation(info="<html>
   <p>
**************************************************************************** <br>
  <b> Copyright (C) 2015-2017 Chair of Automation and Energy Systems, Saarland University </b> <br>
------------------------------------------------------------------------------------------------------------------ <br>
  This file is part of EHSTEG. <p>                    
  
  For more information see <a href=\"//EHSTEG.UsersGuide\">User's Guide</a> <p>
  
**************************************************************************** <p>
</html>
"),                     Icon(coordinateSystem(preserveAspectRatio=false, extent={{-100,-100},
                      {100,100}}),
                             graphics={
                  Polygon(
                    points={{-48,100},{-48,-54},{-34,-70},{0,-70},{0,-64},{-28,-64},{-40,-52},
                        {-42,100},{-48,100}},
                    lineColor={255,128,0},
                    smooth=Smooth.Bezier,
                    fillColor={255,128,0},
                    fillPattern=FillPattern.Solid),
                  Polygon(
                    points={{-64,98},{-64,-52},{-50,-68},{-16,-68},{-16,-62},{-44,-62},{-56,
                        -50},{-58,98},{-64,98}},
                    lineColor={255,128,0},
                    smooth=Smooth.Bezier,
                    fillColor={255,128,0},
                    fillPattern=FillPattern.Solid),
                  Polygon(
                    points={{48,100},{48,-54},{34,-70},{0,-70},{0,-64},{28,-64},{40,-52},{
                        42,100},{48,100}},
                    lineColor={255,128,0},
                    smooth=Smooth.Bezier,
                    fillColor={255,128,0},
                    fillPattern=FillPattern.Solid),
                  Polygon(
                    points={{64,98},{64,-52},{50,-68},{16,-68},{16,-62},{44,-62},{56,-50},
                        {58,98},{64,98}},
                    lineColor={255,128,0},
                    smooth=Smooth.Bezier,
                    fillColor={255,128,0},
                    fillPattern=FillPattern.Solid),
                  Polygon(
                    points={{80,100},{80,-60},{66,-76},{32,-76},{32,-70},{60,-70},{72,-58},
                        {72,100},{80,100}},
                    lineColor={255,128,0},
                    smooth=Smooth.Bezier,
                    fillColor={255,128,0},
                    fillPattern=FillPattern.Solid),
                  Polygon(
                    points={{-80,100},{-80,-60},{-66,-76},{-32,-76},{-32,-70},{-60,-70},{-72,
                        -58},{-72,100},{-80,100}},
                    lineColor={255,128,0},
                    smooth=Smooth.Bezier,
                    fillColor={255,128,0},
                    fillPattern=FillPattern.Solid),
                  Rectangle(
                    extent={{-40,-60},{40,-80}},
                    lineColor={175,175,175},
                    fillPattern=FillPattern.Solid,
                    fillColor={175,175,175}),
                  Rectangle(
                    extent={{-100,84},{100,82}},
                    lineColor={175,175,175},
                    fillColor={175,175,175},
                    fillPattern=FillPattern.Solid),
                  Rectangle(
                    extent={{-100,92},{100,90}},
                    lineColor={175,175,175},
                    fillColor={175,175,175},
                    fillPattern=FillPattern.Solid),
                  Rectangle(
                    extent={{-100,100},{100,98}},
                    lineColor={175,175,175},
                    fillColor={175,175,175},
                    fillPattern=FillPattern.Solid),
                  Rectangle(
                    extent={{-100,60},{100,58}},
                    lineColor={175,175,175},
                    fillColor={175,175,175},
                    fillPattern=FillPattern.Solid),
                  Rectangle(
                    extent={{-100,68},{100,66}},
                    lineColor={175,175,175},
                    fillColor={175,175,175},
                    fillPattern=FillPattern.Solid),
                  Rectangle(
                    extent={{-100,76},{100,74}},
                    lineColor={175,175,175},
                    fillColor={175,175,175},
                    fillPattern=FillPattern.Solid),
                  Rectangle(
                    extent={{-100,36},{100,34}},
                    lineColor={175,175,175},
                    fillColor={175,175,175},
                    fillPattern=FillPattern.Solid),
                  Rectangle(
                    extent={{-100,44},{100,42}},
                    lineColor={175,175,175},
                    fillColor={175,175,175},
                    fillPattern=FillPattern.Solid),
                  Rectangle(
                    extent={{-100,52},{100,50}},
                    lineColor={175,175,175},
                    fillColor={175,175,175},
                    fillPattern=FillPattern.Solid),
                  Rectangle(
                    extent={{-100,12},{100,10}},
                    lineColor={175,175,175},
                    fillColor={175,175,175},
                    fillPattern=FillPattern.Solid),
                  Rectangle(
                    extent={{-100,20},{100,18}},
                    lineColor={175,175,175},
                    fillColor={175,175,175},
                    fillPattern=FillPattern.Solid),
                  Rectangle(
                    extent={{-100,28},{100,26}},
                    lineColor={175,175,175},
                    fillColor={175,175,175},
                    fillPattern=FillPattern.Solid),
                  Rectangle(
                    extent={{-100,-12},{100,-14}},
                    lineColor={175,175,175},
                    fillColor={175,175,175},
                    fillPattern=FillPattern.Solid),
                  Rectangle(
                    extent={{-100,-4},{100,-6}},
                    lineColor={175,175,175},
                    fillColor={175,175,175},
                    fillPattern=FillPattern.Solid),
                  Rectangle(
                    extent={{-100,4},{100,2}},
                    lineColor={175,175,175},
                    fillColor={175,175,175},
                    fillPattern=FillPattern.Solid),
                  Rectangle(
                    extent={{-100,-36},{100,-38}},
                    lineColor={175,175,175},
                    fillColor={175,175,175},
                    fillPattern=FillPattern.Solid),
                  Rectangle(
                    extent={{-100,-28},{100,-30}},
                    lineColor={175,175,175},
                    fillColor={175,175,175},
                    fillPattern=FillPattern.Solid),
                  Rectangle(
                    extent={{-100,-20},{100,-22}},
                    lineColor={175,175,175},
                    fillColor={175,175,175},
                    fillPattern=FillPattern.Solid),
                  Rectangle(
                    extent={{-100,100},{100,-38}},
                    lineColor={0,0,0},
                    lineThickness=1),
                  Ellipse(
                    extent={{8,30},{-8,96}},
                    lineColor={0,0,0},
                    lineThickness=1,
                    fillColor={0,0,0},
                    fillPattern=FillPattern.Solid),
                  Ellipse(
                    extent={{8,-36},{-8,30}},
                    lineColor={0,0,0},
                    lineThickness=1,
                    fillColor={0,0,0},
                    fillPattern=FillPattern.Solid),
                  Ellipse(
                    extent={{8,-33},{-8,33}},
                    lineColor={0,0,0},
                    lineThickness=1,
                    fillColor={0,0,0},
                    fillPattern=FillPattern.Solid,
                    origin={34,31},
                    rotation=90),
                  Ellipse(
                    extent={{8,-33},{-8,33}},
                    lineColor={0,0,0},
                    lineThickness=1,
                    fillColor={0,0,0},
                    fillPattern=FillPattern.Solid,
                    origin={-34,31},
                    rotation=90)}), Diagram(coordinateSystem(preserveAspectRatio=false,
                    extent={{-100,-100},{100,100}})));
          end CPUCooler;

        annotation (Documentation(info="<html>
   <p>
**************************************************************************** <br>
  <b> Copyright (C) 2015-2017 Chair of Automation and Energy Systems, Saarland University </b> <br>
------------------------------------------------------------------------------------------------------------------ <br>
  This file is part of EHSTEG. <p>                    
  
  For more information see <a href=\"//EHSTEG.UsersGuide\">User's Guide</a> <p>
  
**************************************************************************** <p>
</html>
"));

        end ForcedAir;

        package Liquid "liquid cooling elements"

          //Copyright (C) 2015-2017 Chair of Automation and Energy Systems, Saarland University (for more information see 'Documentation')

          model CoolingElement
            "simple model of a cooling element 'Thermalforce - wt707001'"

            //Copyright (C) 2015-2017 Chair of Automation and Energy Systems, Saarland University (for more information see 'Documentation')

          //import***********************************************************************/
              import Modelica.SIunits.*;
          //*****************************************************************************/

          //parameter definition*********************************************************/
              parameter Length length = 0.43 "complete length of cooling line"; // m
              parameter Diameter diameter = 0.006 "diameter of cooling line"; // m
              replaceable package Medium =
                Modelica.Media.Water.ConstantPropertyLiquidWater                            constrainedby
              Modelica.Media.Interfaces.PartialMedium "cooling medium"                              annotation (choicesAllMatching = true);
          //*****************************************************************************/

          //used components**************************************************************/
            Modelica.Fluid.Interfaces.FluidPort_a port_a( redeclare package
                Medium =                                                             Medium)
              "Fluid connector a (positive design flow direction is from port_a to port_b)"
              annotation (Placement(transformation(extent={{-110,-10},{-90,10}}),
                  iconTransformation(extent={{-90,-10},{-70,10}})));
            Modelica.Fluid.Interfaces.FluidPort_b port_b( redeclare package
                Medium =                                                             Medium)
              "Fluid connector b (positive design flow direction is from port_a to port_b)"
              annotation (Placement(transformation(extent={{90,-10},{110,10}}),
                  iconTransformation(extent={{74,-10},{94,10}})));

            Modelica.Thermal.HeatTransfer.Interfaces.HeatPort_a port_a1  annotation (
                Placement(transformation(extent={{-10,-60},{10,-40}}), iconTransformation(
                    extent={{-10,-60},{10,-40}})));
            Modelica.Fluid.Pipes.DynamicPipe pipe(
              use_T_start=true,
              T_start=Modelica.SIunits.Conversions.from_degC(40),
              nNodes=1,
              redeclare model FlowModel =
                  Modelica.Fluid.Pipes.BaseClasses.FlowModels.DetailedPipeFlow,
              use_HeatTransfer=true,
              modelStructure=Modelica.Fluid.Types.ModelStructure.a_v_b,
              redeclare model HeatTransfer =
                  Modelica.Fluid.Pipes.BaseClasses.HeatTransfer.IdealFlowHeatTransfer,
              allowFlowReversal=false,
              length=length,
              diameter=diameter,
              redeclare package Medium = Medium,
              p_a_start=110000) annotation (Placement(transformation(
                  extent={{10,10},{-10,-10}},
                  rotation=180,
                  origin={0,0})));
              extends Cost.ConditionalCostPortDevice;
          //*****************************************************************************/

          //equations********************************************************************/
          equation

            //cost equations
            QHeat = 0;
            electPowerOut = 0;
            electPowerIn = 0;
            //end cost equations

            connect(pipe.port_a, port_a) annotation (Line(
                points={{-10,0},{-100,0}},
                color={0,127,255},
                smooth=Smooth.None));
            connect(pipe.port_b, port_b) annotation (Line(
                points={{10,0},{100,0}},
                color={0,127,255},
                smooth=Smooth.None));
            connect(pipe.heatPorts[1], port_a1) annotation (Line(
                points={{0.1,4.4},{0.1,-22.8},{0,-22.8},{0,-50}},
                color={127,0,0},
                smooth=Smooth.None));
          //*****************************************************************************/
          annotation (Documentation(info="<html>
   <p>
**************************************************************************** <br>
  <b> Copyright (C) 2015-2017 Chair of Automation and Energy Systems, Saarland University </b> <br>
------------------------------------------------------------------------------------------------------------------ <br>
  This file is part of EHSTEG. <p>                    
  
  For more information see <a href=\"//EHSTEG.UsersGuide\">User's Guide</a> <p>
  
**************************************************************************** <p>
</html>
"),                     Diagram(coordinateSystem(preserveAspectRatio=false, extent={{-100,
                      -100},{100,100}}),
                                graphics), Icon(graphics={
                  Rectangle(
                    extent={{-100,40},{100,-40}},
                    lineColor={0,0,0},
                    fillColor={215,215,215},
                    fillPattern=FillPattern.Solid),
                  Rectangle(
                    extent={{-36,34},{-44,-34}},
                    lineColor={0,128,255},
                    fillColor={0,128,255},
                    fillPattern=FillPattern.Solid),
                  Rectangle(
                    extent={{-16,34},{-24,-34}},
                    lineColor={0,128,255},
                    fillColor={0,128,255},
                    fillPattern=FillPattern.Solid),
                  Rectangle(
                    extent={{4,34},{-4,-34}},
                    lineColor={0,128,255},
                    fillColor={0,128,255},
                    fillPattern=FillPattern.Solid),
                  Rectangle(
                    extent={{24,34},{16,-34}},
                    lineColor={0,128,255},
                    fillColor={0,128,255},
                    fillPattern=FillPattern.Solid),
                  Rectangle(
                    extent={{44,34},{36,-34}},
                    lineColor={0,128,255},
                    fillColor={0,128,255},
                    fillPattern=FillPattern.Solid),
                  Rectangle(
                    extent={{64,34},{56,-34}},
                    lineColor={0,128,255},
                    fillColor={0,128,255},
                    fillPattern=FillPattern.Solid),
                  Rectangle(
                    extent={{-76,34},{-84,0}},
                    lineColor={0,128,255},
                    fillColor={0,128,255},
                    fillPattern=FillPattern.Solid),
                  Rectangle(
                    extent={{88,0},{80,-34}},
                    lineColor={0,128,255},
                    fillColor={0,128,255},
                    fillPattern=FillPattern.Solid),
                  Rectangle(
                    extent={{-84,34},{-58,28}},
                    lineColor={0,128,255},
                    fillColor={0,128,255},
                    fillPattern=FillPattern.Solid),
                  Rectangle(
                    extent={{-64,-28},{-38,-34}},
                    lineColor={0,128,255},
                    fillColor={0,128,255},
                    fillPattern=FillPattern.Solid),
                  Rectangle(
                    extent={{-44,34},{-18,28}},
                    lineColor={0,128,255},
                    fillColor={0,128,255},
                    fillPattern=FillPattern.Solid),
                  Rectangle(
                    extent={{-22,-28},{4,-34}},
                    lineColor={0,128,255},
                    fillColor={0,128,255},
                    fillPattern=FillPattern.Solid),
                  Rectangle(
                    extent={{-4,34},{22,28}},
                    lineColor={0,128,255},
                    fillColor={0,128,255},
                    fillPattern=FillPattern.Solid),
                  Rectangle(
                    extent={{16,-28},{42,-34}},
                    lineColor={0,128,255},
                    fillColor={0,128,255},
                    fillPattern=FillPattern.Solid),
                  Rectangle(
                    extent={{36,34},{62,28}},
                    lineColor={0,128,255},
                    fillColor={0,128,255},
                    fillPattern=FillPattern.Solid),
                  Rectangle(
                    extent={{62,-28},{88,-34}},
                    lineColor={0,128,255},
                    fillColor={0,128,255},
                    fillPattern=FillPattern.Solid),
                  Ellipse(
                    extent={{-88,8},{-72,-8}},
                    lineColor={0,0,0},
                    fillColor={95,95,95},
                    fillPattern=FillPattern.Solid),
                  Ellipse(
                    extent={{76,10},{92,-6}},
                    lineColor={0,0,0},
                    fillPattern=FillPattern.Solid,
                    fillColor={95,95,95}),
                  Rectangle(
                    extent={{-56,34},{-64,-34}},
                    lineColor={0,128,255},
                    fillColor={0,128,255},
                    fillPattern=FillPattern.Solid)}));
          end CoolingElement;

          model CoolingUnit "cooling unit 'Thermalforce - kl240'"

            //Copyright (C) 2015-2017 Chair of Automation and Energy Systems, Saarland University (for more information see 'Documentation')

          //import***********************************************************************/
              import Modelica.SIunits.*;
          //*****************************************************************************/

          //parameter definition*********************************************************/
            parameter Height height = 0.2 "height of compensating reservoir"; // m
            parameter Area area = 0.1*0.1 "area of compensating reservoir"; // m
            parameter ThermalConductivity lambda = 400
              "thermal conductivity of radiator";                                          // (W/(m K)
            parameter Area A = 0.5*0.5 "radiator area"; // m
            parameter Length d = 0.002 "radiator thickness"; // m
            parameter Density rho = 8920 "density of radiator"; // kg/m^3
            parameter SpecificHeatCapacity cp = 385
              "specific heat capacity of radiator";                                       // J/(kg K)
            parameter ThermalResistance Rc = 0.02 "thermal resistance"; // K/W
            parameter Resistance R_cooling_unit = 11.799
              "load resistance of cooling unit --> simulates the energy consumption of the unit"; // Ohm
            parameter Conversions.NonSIunits.AngularVelocity_rpm rot_speed = 500
              "rotational speed of pump"; // 1/min
            parameter MassFlowRate m_flow_start = 0.1
              "start value of mass flow";                                         // kg/s
            parameter Temperature T_0 = 295.15 "room temperature"; // K
            replaceable package Medium =
                Modelica.Media.Water.ConstantPropertyLiquidWater                            constrainedby
              Modelica.Media.Interfaces.PartialMedium "cooling medium"   annotation (choicesAllMatching = true);
          //*****************************************************************************/

          //used components**************************************************************/
            Modelica.Fluid.Vessels.OpenTank tank(
              nPorts=2,
              use_HeatTransfer=true,
              use_portsData=false,
              redeclare package Medium = Medium,
              redeclare model HeatTransfer =
                  Modelica.Fluid.Vessels.BaseClasses.HeatTransfer.ConstantHeatTransfer
                  (alpha0=100),
              height=height,
              crossArea=area)
              annotation (Placement(transformation(extent={{58,44},{90,76}})));
            Modelica.Fluid.Machines.PrescribedPump pump(
              redeclare package Medium = Medium,
              m_flow_start=m_flow_start,
              N_nominal=rot_speed,
              redeclare function flowCharacteristic =
                  Modelica.Fluid.Machines.BaseClasses.PumpCharacteristics.linearFlow
                  (V_flow_nominal={0.001,0.007}, head_nominal={1,3.7}))
              annotation (Placement(transformation(extent={{-10,-10},{10,10}},
                  rotation=180,
                  origin={-24,-18})));
            Modelica.Fluid.Interfaces.FluidPort_b port_b1(redeclare package
                Medium =                                                             Medium)
              "Fluid connector b (positive design flow direction is from port_a to port_b)"
              annotation (Placement(transformation(extent={{-110,30},{-90,50}}),
                  iconTransformation(extent={{-110,30},{-90,50}})));
            Modelica.Fluid.Interfaces.FluidPort_a port_a(redeclare package
                Medium =                                                            Medium)
              annotation (Placement(transformation(extent={{-110,-50},{-90,-30}}),
                  iconTransformation(extent={{-110,-50},{-90,-30}})));
            Modelica.Thermal.HeatTransfer.Sources.FixedTemperature Room_Temperature(T=T_0)
                          annotation (Placement(transformation(
                  extent={{-10,-10},{10,10}},
                  rotation=0,
                  origin={-70,60})));
            Modelica.Thermal.HeatTransfer.Components.ThermalConductor
              thermalConductor(G=lambda*A/(d/2))
              annotation (Placement(transformation(extent={{-20,50},{0,70}})));
            Modelica.Thermal.HeatTransfer.Components.HeatCapacitor heatCapacitor(C=cp*(rho
                  *A*d))
              annotation (Placement(transformation(extent={{0,76},{20,96}})));
            Modelica.Thermal.HeatTransfer.Components.ThermalConductor
              thermalConductor1(G=lambda*A/(d/2))
              annotation (Placement(transformation(extent={{20,50},{40,70}})));
            Modelica.Thermal.HeatTransfer.Components.ConvectiveResistor
                                                                convection
              annotation (Placement(transformation(
                  extent={{-10,-10},{10,10}},
                  rotation=180,
                  origin={-40,60})));
            Modelica.Electrical.Analog.Basic.Resistor electrical_load(R=R_cooling_unit)
              annotation (Placement(transformation(extent={{48,-80},{68,-60}})));
            Modelica.Electrical.Analog.Interfaces.PositivePin p1
              "Positive pin (potential p.v > n.v for positive voltage drop v)"
              annotation (Placement(transformation(extent={{6,-80},{26,-60}}),
                  iconTransformation(extent={{0,54},{20,74}})));
            Modelica.Electrical.Analog.Interfaces.NegativePin n1 "Negative pin"
              annotation (Placement(transformation(extent={{86,-80},{106,-60}}),
                  iconTransformation(extent={{80,54},{100,74}})));
            extends Cost.ConditionalCostPortDevice;
          //*****************************************************************************/

          //equations********************************************************************/
          equation
            convection.Rc = Rc;

            //cost equations
            QHeat = 0;
            electPowerOut = 0;
            electPowerIn = 0;
            //end cost equations

            connect(tank.ports[1], pump.port_a) annotation (Line(
                points={{70.8,44},{70,44},{70,-18},{-14,-18}},
                color={0,127,255},
                smooth=Smooth.None));
            connect(pump.port_b, port_b1) annotation (Line(
                points={{-34,-18},{-68,-18},{-68,40},{-100,40}},
                color={0,127,255},
                smooth=Smooth.None));
            connect(port_a, tank.ports[2]) annotation (Line(
                points={{-100,-40},{77.2,-40},{77.2,44}},
                color={0,127,255},
                smooth=Smooth.None));
            connect(thermalConductor1.port_b, tank.heatPort) annotation (Line(
                points={{40,60},{58,60}},
                color={191,0,0},
                smooth=Smooth.None));
            connect(thermalConductor.port_b, thermalConductor1.port_a) annotation (
                Line(
                points={{0,60},{20,60}},
                color={191,0,0},
                smooth=Smooth.None));
            connect(heatCapacitor.port, thermalConductor1.port_a) annotation (Line(
                points={{10,76},{10,60},{20,60}},
                color={191,0,0},
                smooth=Smooth.None));
            connect(convection.solid, thermalConductor.port_a) annotation (Line(
                points={{-30,60},{-20,60}},
                color={191,0,0},
                smooth=Smooth.None));
            connect(Room_Temperature.port, convection.fluid) annotation (Line(
                points={{-60,60},{-50,60}},
                color={191,0,0},
                smooth=Smooth.None));
            connect(heatCapacitor.port, thermalConductor.port_b) annotation (Line(
                points={{10,76},{10,60},{0,60}},
                color={191,0,0},
                smooth=Smooth.None));
            connect(electrical_load.p,p1)  annotation (Line(
                points={{48,-70},{16,-70}},
                color={0,0,255},
                smooth=Smooth.None));
            connect(electrical_load.n,n1)  annotation (Line(
                points={{68,-70},{96,-70}},
                color={0,0,255},
                smooth=Smooth.None));
          //*****************************************************************************/
          annotation (Documentation(info="<html>
   <p>
**************************************************************************** <br>
  <b> Copyright (C) 2015-2017 Chair of Automation and Energy Systems, Saarland University </b> <br>
------------------------------------------------------------------------------------------------------------------ <br>
  This file is part of EHSTEG. <p>                    
  
  For more information see <a href=\"//EHSTEG.UsersGuide\">User's Guide</a> <p>
  
**************************************************************************** <p>
</html>
"),                     Diagram(coordinateSystem(preserveAspectRatio=false, extent={{-100,
                      -100},{100,100}}), graphics), Icon(coordinateSystem(
                    preserveAspectRatio=false, extent={{-100,-100},{100,100}}), graphics={
                  Rectangle(
                    extent={{-100,60},{100,-60}},
                    lineColor={0,0,0},
                    fillColor={95,95,95},
                    fillPattern=FillPattern.Solid),
                  Rectangle(
                    extent={{4,52},{94,-50}},
                    lineColor={0,0,0},
                    fillColor={175,175,175},
                    fillPattern=FillPattern.CrossDiag),
                  Polygon(
                    points={{54,-6},{24,32},{36,42},{54,-6}},
                    lineColor={0,0,0},
                    smooth=Smooth.Bezier,
                    fillColor={215,215,215},
                    fillPattern=FillPattern.CrossDiag),
                  Polygon(
                    points={{15,-24},{-15,14},{-3,24},{15,-24}},
                    lineColor={0,0,0},
                    smooth=Smooth.Bezier,
                    fillColor={215,215,215},
                    fillPattern=FillPattern.CrossDiag,
                    origin={69,12},
                    rotation=270),
                  Polygon(
                    points={{15,-24},{-15,14},{-3,24},{15,-24}},
                    lineColor={0,0,0},
                    smooth=Smooth.Bezier,
                    fillColor={215,215,215},
                    fillPattern=FillPattern.CrossDiag,
                    origin={33,-12},
                    rotation=90),
                  Polygon(
                    points={{15,-24},{-15,14},{-3,24},{15,-24}},
                    lineColor={0,0,0},
                    smooth=Smooth.Bezier,
                    fillColor={215,215,215},
                    fillPattern=FillPattern.CrossDiag,
                    origin={63,-16},
                    rotation=180)}));
          end CoolingUnit;

          model IdealCoolingUnit
            "ideal version of a cooling unit 'Thermalforce - kl240'"

            //Copyright (C) 2015-2017 Chair of Automation and Energy Systems, Saarland University (for more information see 'Documentation')

          //import***********************************************************************/
              import Modelica.SIunits.*;
          //*****************************************************************************/

          //parameter definition*********************************************************/
            parameter MassFlowRate m_flow = 0.01 "mass flow of cooling medium"; // kg/s
            parameter Resistance R_cooling_unit = 11.799
              "load resistance of cooling unit --> simulates the energy consumption of the unit"; // Ohm
            replaceable package Medium =
                Modelica.Media.Water.ConstantPropertyLiquidWater                            constrainedby
              Modelica.Media.Interfaces.PartialMedium "cooling medium"   annotation (choicesAllMatching = true);
          //*****************************************************************************/

          //used components**************************************************************/
            Modelica.Fluid.Interfaces.FluidPort_b port_b(redeclare package
                Medium =                                                            Medium)
              "Fluid connector b (positive design flow direction is from port_a to port_b)"
              annotation (Placement(transformation(extent={{-110,30},{-90,50}}),
                  iconTransformation(extent={{-110,30},{-90,50}})));
            Modelica.Fluid.Interfaces.FluidPort_a port_a(redeclare package
                Medium =                                                            Medium)
              annotation (Placement(transformation(extent={{-110,-50},{-90,-30}}),
                  iconTransformation(extent={{-110,-50},{-90,-30}})));
            Modelica.Fluid.Sources.MassFlowSource_T boundary(
              redeclare package Medium = Medium,
              m_flow=m_flow,
              nPorts=1,
              use_m_flow_in=true)
                             annotation (Placement(transformation(
                  extent={{-10,10},{10,-10}},
                  rotation=180,
                  origin={-58,40})));
            Modelica.Fluid.Sources.FixedBoundary boundary1(nPorts=1, redeclare
                package Medium =
                         Medium) annotation (
                Placement(transformation(
                  extent={{-10,-10},{10,10}},
                  rotation=180,
                  origin={0,-40})));
            Modelica.Electrical.Analog.Basic.Resistor electrical_load(R=R_cooling_unit)
              annotation (Placement(transformation(extent={{42,54},{62,74}})));
            Modelica.Electrical.Analog.Interfaces.PositivePin p1
              "Positive pin (potential p.v > n.v for positive voltage drop v)"
              annotation (Placement(transformation(extent={{0,54},{20,74}}),
                  iconTransformation(extent={{0,54},{20,74}})));
            Modelica.Electrical.Analog.Interfaces.NegativePin n1 "Negative pin"
              annotation (Placement(transformation(extent={{80,54},{100,74}}),
                  iconTransformation(extent={{80,54},{100,74}})));

            Modelica.Blocks.Interfaces.RealInput m_flow_in
              "Prescribed mass flow rate" annotation (Placement(transformation(extent={{-20,-20},
                      {20,20}},
                  rotation=180,
                  origin={-14,48}),        iconTransformation(
                  extent={{-10,-10},{10,10}},
                  rotation=270,
                  origin={-50,64})));
            extends Cost.ConditionalCostPortDevice;
          //*****************************************************************************/

          //equations********************************************************************/
          equation

            //cost equations
            QHeat = 0;
            electPowerOut = 0;
            electPowerIn = 0;
            //end cost equations

            connect(boundary1.ports[1], port_a) annotation (Line(
                points={{-10,-40},{-100,-40}},
                color={0,127,255},
                smooth=Smooth.None));
            connect(electrical_load.p, p1) annotation (Line(
                points={{42,64},{10,64}},
                color={0,0,255},
                smooth=Smooth.None));
            connect(electrical_load.n, n1) annotation (Line(
                points={{62,64},{90,64}},
                color={0,0,255},
                smooth=Smooth.None));
            connect(boundary.ports[1], port_b) annotation (Line(
                points={{-68,40},{-100,40}},
                color={0,127,255},
                smooth=Smooth.None));
            connect(boundary.m_flow_in, m_flow_in) annotation (Line(
                points={{-48,48},{-14,48}},
                color={0,0,127},
                smooth=Smooth.None));
          //*****************************************************************************/
          annotation (Documentation(info="<html>
   <p>
**************************************************************************** <br>
  <b> Copyright (C) 2015-2017 Chair of Automation and Energy Systems, Saarland University </b> <br>
------------------------------------------------------------------------------------------------------------------ <br>
  This file is part of EHSTEG. <p>                    
  
  For more information see <a href=\"//EHSTEG.UsersGuide\">User's Guide</a> <p>
  
**************************************************************************** <p>
</html>
"),                     Diagram(coordinateSystem(preserveAspectRatio=false, extent={{-100,
                      -100},{100,100}}), graphics), Icon(coordinateSystem(
                    preserveAspectRatio=false, extent={{-100,-100},{100,100}}), graphics={
                  Rectangle(
                    extent={{-100,60},{100,-60}},
                    lineColor={0,0,0},
                    fillColor={95,95,95},
                    fillPattern=FillPattern.Solid),
                  Rectangle(
                    extent={{4,52},{94,-50}},
                    lineColor={0,0,0},
                    fillColor={175,175,175},
                    fillPattern=FillPattern.CrossDiag),
                  Polygon(
                    points={{54,-6},{24,32},{36,42},{54,-6}},
                    lineColor={0,0,0},
                    smooth=Smooth.Bezier,
                    fillColor={215,215,215},
                    fillPattern=FillPattern.CrossDiag),
                  Polygon(
                    points={{15,-24},{-15,14},{-3,24},{15,-24}},
                    lineColor={0,0,0},
                    smooth=Smooth.Bezier,
                    fillColor={215,215,215},
                    fillPattern=FillPattern.CrossDiag,
                    origin={69,12},
                    rotation=270),
                  Polygon(
                    points={{15,-24},{-15,14},{-3,24},{15,-24}},
                    lineColor={0,0,0},
                    smooth=Smooth.Bezier,
                    fillColor={215,215,215},
                    fillPattern=FillPattern.CrossDiag,
                    origin={33,-12},
                    rotation=90),
                  Polygon(
                    points={{15,-24},{-15,14},{-3,24},{15,-24}},
                    lineColor={0,0,0},
                    smooth=Smooth.Bezier,
                    fillColor={215,215,215},
                    fillPattern=FillPattern.CrossDiag,
                    origin={63,-16},
                    rotation=180)}));
          end IdealCoolingUnit;

          model Distributor_a
            "model of a distributor - split up 'Thermalforce - pb8008'"

            //Copyright (C) 2015-2017 Chair of Automation and Energy Systems, Saarland University (for more information see 'Documentation')

          //parameter definition*********************************************************/
            replaceable package Medium =
                Modelica.Media.Water.ConstantPropertyLiquidWater                          constrainedby
              Modelica.Media.Interfaces.PartialMedium "cooling medium"                                                                                           annotation (choicesAllMatching = true);
          //*****************************************************************************/

          //used components**************************************************************/
            Modelica.Fluid.Interfaces.FluidPort_a port_a(redeclare package
                Medium =                                                            Medium)
              annotation (Placement(transformation(extent={{90,-10},{110,10}})));
            Modelica.Fluid.Interfaces.FluidPort_b port_b(redeclare package
                Medium =                                                            Medium)
              annotation (Placement(transformation(extent={{-70,-110},{-50,-90}})));
            Modelica.Fluid.Interfaces.FluidPort_b port_b1(redeclare package
                Medium =                                                             Medium)
              annotation (Placement(transformation(extent={{-30,-110},{-10,-90}})));
            Modelica.Fluid.Interfaces.FluidPort_b port_b2(redeclare package
                Medium =                                                             Medium)
              annotation (Placement(transformation(extent={{10,-110},{30,-90}})));
            Modelica.Fluid.Interfaces.FluidPort_b port_b3(redeclare package
                Medium =                                                             Medium)
              annotation (Placement(transformation(extent={{50,-110},{70,-90}})));
            extends Cost.ConditionalCostPortDevice;
          //*****************************************************************************/

          //equations********************************************************************/
          equation

            //cost equations
            QHeat = 0;
            electPowerOut = 0;
            electPowerIn = 0;
            //end cost equations

            connect(port_b3, port_a) annotation (Line(
                points={{60,-100},{60,0},{100,0}},
                color={0,127,255},
                smooth=Smooth.None));
            connect(port_b2, port_a) annotation (Line(
                points={{20,-100},{20,0},{100,0}},
                color={0,127,255},
                smooth=Smooth.None));
            connect(port_b1, port_a) annotation (Line(
                points={{-20,-100},{-20,0},{100,0}},
                color={0,127,255},
                smooth=Smooth.None));
            connect(port_b, port_a) annotation (Line(
                points={{-60,-100},{-60,0},{100,0}},
                color={0,127,255},
                smooth=Smooth.None));
          //*****************************************************************************/
          annotation (Documentation(info="<html>
   <p>
**************************************************************************** <br>
  <b> Copyright (C) 2015-2017 Chair of Automation and Energy Systems, Saarland University </b> <br>
------------------------------------------------------------------------------------------------------------------ <br>
  This file is part of EHSTEG. <p>                    
  
  For more information see <a href=\"//EHSTEG.UsersGuide\">User's Guide</a> <p>
  
**************************************************************************** <p>
</html>
"),                    Diagram(coordinateSystem(preserveAspectRatio=false, extent={{-100,
                      -100},{100,100}}), graphics), Icon(coordinateSystem(
                    preserveAspectRatio=false, extent={{-100,-100},{100,100}}), graphics={
                  Rectangle(
                    extent={{-100,20},{100,-100}},
                    lineColor={0,0,0},
                    fillColor={215,215,215},
                    fillPattern=FillPattern.Solid),
                  Rectangle(
                    extent={{-64,6},{104,-6}},
                    lineColor={170,213,255},
                    fillColor={170,213,255},
                    fillPattern=FillPattern.Solid),
                  Rectangle(
                    extent={{-52.5,5.5},{52.5,-5.5}},
                    lineColor={170,213,255},
                    fillColor={170,213,255},
                    fillPattern=FillPattern.Solid,
                    origin={-59.5,-46.5},
                    rotation=90),
                  Rectangle(
                    extent={{-52.5,5.5},{52.5,-5.5}},
                    lineColor={170,213,255},
                    fillColor={170,213,255},
                    fillPattern=FillPattern.Solid,
                    origin={-19.5,-46.5},
                    rotation=90),
                  Rectangle(
                    extent={{-52.5,5.5},{52.5,-5.5}},
                    lineColor={170,213,255},
                    fillColor={170,213,255},
                    fillPattern=FillPattern.Solid,
                    origin={20.5,-46.5},
                    rotation=90),
                  Rectangle(
                    extent={{-52.5,5.5},{52.5,-5.5}},
                    lineColor={170,213,255},
                    fillColor={170,213,255},
                    fillPattern=FillPattern.Solid,
                    origin={60.5,-48.5},
                    rotation=90),
                  Line(
                    points={{82,0},{-58,0}},
                    color={0,128,255},
                    smooth=Smooth.None,
                    thickness=1,
                    arrow={Arrow.None,Arrow.Open}),
                  Line(
                    points={{-60,-22},{-60,-72}},
                    color={0,128,255},
                    smooth=Smooth.None,
                    thickness=1,
                    arrow={Arrow.None,Arrow.Open}),
                  Line(
                    points={{-20,-22},{-20,-72}},
                    color={0,128,255},
                    smooth=Smooth.None,
                    thickness=1,
                    arrow={Arrow.None,Arrow.Open}),
                  Line(
                    points={{20,-22},{20,-72}},
                    color={0,128,255},
                    smooth=Smooth.None,
                    thickness=1,
                    arrow={Arrow.None,Arrow.Open}),
                  Line(
                    points={{60,-22},{60,-72}},
                    color={0,128,255},
                    smooth=Smooth.None,
                    thickness=1,
                    arrow={Arrow.None,Arrow.Open})}));
          end Distributor_a;

          model Distributor_b
            "model of a distributor - join 'Thermalforce - pb8008'"

            //Copyright (C) 2015-2017 Chair of Automation and Energy Systems, Saarland University (for more information see 'Documentationn')

          //parameter definition*********************************************************/
            replaceable package Medium =
                Modelica.Media.Water.ConstantPropertyLiquidWater                          constrainedby
              Modelica.Media.Interfaces.PartialMedium "cooling medium"                                                                                           annotation (choicesAllMatching = true);
          //*****************************************************************************/

          //used components**************************************************************/
            Modelica.Fluid.Interfaces.FluidPort_a port_a(redeclare package
                Medium =                                                            Medium)
              annotation (Placement(transformation(extent={{-70,-110},{-50,-90}})));
            Modelica.Fluid.Interfaces.FluidPort_b port_b(redeclare package
                Medium =                                                            Medium)
              annotation (Placement(transformation(extent={{90,-10},{110,10}})));

            Modelica.Fluid.Interfaces.FluidPort_a port_a1(
                                                         redeclare package
                Medium =                                                            Medium)
              annotation (Placement(transformation(extent={{-30,-110},{-10,-90}})));
            Modelica.Fluid.Interfaces.FluidPort_a port_a2(
                                                         redeclare package
                Medium =                                                            Medium)
              annotation (Placement(transformation(extent={{10,-110},{30,-90}})));
            Modelica.Fluid.Interfaces.FluidPort_a port_a3(
                                                         redeclare package
                Medium =                                                            Medium)
              annotation (Placement(transformation(extent={{50,-110},{70,-90}})));
            extends Cost.ConditionalCostPortDevice;
          //*****************************************************************************/

          //equations********************************************************************/
          equation

            //cost equations
            QHeat = 0;
            electPowerOut = 0;
            electPowerIn = 0;
            //end cost equations

            connect(port_a, port_b) annotation (Line(
                points={{-60,-100},{-60,0},{100,0}},
                color={0,127,255},
                smooth=Smooth.None));
            connect(port_a1, port_b) annotation (Line(
                points={{-20,-100},{-20,0},{100,0}},
                color={0,127,255},
                smooth=Smooth.None));
            connect(port_a2, port_b) annotation (Line(
                points={{20,-100},{20,0},{100,0}},
                color={0,127,255},
                smooth=Smooth.None));
            connect(port_a3, port_b) annotation (Line(
                points={{60,-100},{60,0},{100,0}},
                color={0,127,255},
                smooth=Smooth.None));
          //*****************************************************************************/
          annotation (Documentation(info="<html>
   <p>
**************************************************************************** <br>
  <b> Copyright (C) 2015-2017 Chair of Automation and Energy Systems, Saarland University </b> <br>
------------------------------------------------------------------------------------------------------------------ <br>
  This file is part of EHSTEG. <p>                    
  
  For more information see <a href=\"//EHSTEG.UsersGuide\">User's Guide</a> <p>
  
**************************************************************************** <p>
</html>
"),                    Diagram(coordinateSystem(preserveAspectRatio=false, extent={{-100,
                      -100},{100,100}}), graphics), Icon(coordinateSystem(
                    preserveAspectRatio=false, extent={{-100,-100},{100,100}}), graphics={
                  Rectangle(
                    extent={{-100,20},{100,-100}},
                    lineColor={0,0,0},
                    fillColor={215,215,215},
                    fillPattern=FillPattern.Solid),
                  Rectangle(
                    extent={{-64,6},{104,-6}},
                    lineColor={170,213,255},
                    fillColor={170,213,255},
                    fillPattern=FillPattern.Solid),
                  Rectangle(
                    extent={{-52.5,5.5},{52.5,-5.5}},
                    lineColor={170,213,255},
                    fillColor={170,213,255},
                    fillPattern=FillPattern.Solid,
                    origin={-59.5,-46.5},
                    rotation=90),
                  Rectangle(
                    extent={{-52.5,5.5},{52.5,-5.5}},
                    lineColor={170,213,255},
                    fillColor={170,213,255},
                    fillPattern=FillPattern.Solid,
                    origin={-19.5,-46.5},
                    rotation=90),
                  Rectangle(
                    extent={{-52.5,5.5},{52.5,-5.5}},
                    lineColor={170,213,255},
                    fillColor={170,213,255},
                    fillPattern=FillPattern.Solid,
                    origin={20.5,-46.5},
                    rotation=90),
                  Rectangle(
                    extent={{-52.5,5.5},{52.5,-5.5}},
                    lineColor={170,213,255},
                    fillColor={170,213,255},
                    fillPattern=FillPattern.Solid,
                    origin={60.5,-48.5},
                    rotation=90),
                  Line(
                    points={{70,0},{-70,0}},
                    color={0,128,255},
                    smooth=Smooth.None,
                    thickness=1,
                    arrow={Arrow.None,Arrow.Open},
                    origin={12,0},
                    rotation=180),
                  Line(
                    points={{0,25},{0,-25}},
                    color={0,128,255},
                    smooth=Smooth.None,
                    thickness=1,
                    arrow={Arrow.None,Arrow.Open},
                    origin={-60,-47},
                    rotation=180),
                  Line(
                    points={{0,25},{0,-25}},
                    color={0,128,255},
                    smooth=Smooth.None,
                    thickness=1,
                    arrow={Arrow.None,Arrow.Open},
                    origin={-20,-47},
                    rotation=180),
                  Line(
                    points={{0,25},{0,-25}},
                    color={0,128,255},
                    smooth=Smooth.None,
                    thickness=1,
                    arrow={Arrow.None,Arrow.Open},
                    origin={20,-47},
                    rotation=180),
                  Line(
                    points={{0,25},{0,-25}},
                    color={0,128,255},
                    smooth=Smooth.None,
                    thickness=1,
                    arrow={Arrow.None,Arrow.Open},
                    origin={60,-47},
                    rotation=180)}));
          end Distributor_b;

        annotation (Documentation(info="<html>
   <p>
**************************************************************************** <br>
  <b> Copyright (C) 2015-2017 Chair of Automation and Energy Systems, Saarland University </b> <br>
------------------------------------------------------------------------------------------------------------------ <br>
  This file is part of EHSTEG. <p>                    
  
  For more information see <a href=\"//EHSTEG.UsersGuide\">User's Guide</a> <p>
  
**************************************************************************** <p>
</html>
"));

        end Liquid;
      annotation (Documentation(info="<html>
   <p>
**************************************************************************** <br>
  <b> Copyright (C) 2015-2017 Chair of Automation and Energy Systems, Saarland University </b> <br>
------------------------------------------------------------------------------------------------------------------ <br>
  This file is part of EHSTEG. <p>                    
  
  For more information see <a href=\"//EHSTEG.UsersGuide\">User's Guide</a> <p>
  
**************************************************************************** <p>
</html>
"));
      end Active;

      package Passive "package for passive cooling elements"

        //Copyright (C) 2015-2017 Chair of Automation and Energy Systems, Saarland University (for more information see 'Documentation')

        model CoolingElement
          "cooling element based on the number of fins and their dimensions 'ARCTIC Alpine 11 Plus'"

          //Copyright (C) 2015-2017 Chair of Automation and Energy Systems, Saarland University (for more information see 'Documentation')

        //import***********************************************************************/
            import Modelica.SIunits.*;
        //*****************************************************************************/

        //parameter definition*********************************************************/
            parameter Area A_equivalent = 0.11169865
            "equivalent surface area of upper part of cooling element"; // m^2
            parameter Thickness d_equivalent = 0.0006
            "equivalent thickness of upper part of cooling element"; // m
            // One fin: 9.47cm x 3.37cm x 0.6mm
            // number of fins: 35
            // A_one_fin = 0.00319139 m^2
            // d_one_fin = 0.0006 m
            parameter Area A_mid = 0.0953*0.0953
            "surface area of middle part of cooling element"; // m^2
            parameter Thickness d_mid = 0.003
            "thickness of middle part of cooling element"; // m
            parameter Area A_low = 0.043*0.062
            "surface area of lower part of cooling element"; // m^2
            parameter Thickness d_low = 0.0006
            " thickness of lower part of cooling element"; // m
            parameter ThermalConductivity lambda_Al=235 "thermal conductivity"; // W/(m K)
            parameter Density rho_Al = 2700 "density"; // kg/m^3
            parameter SpecificHeatCapacity cp_Al = 897 "specific heat capacity"; // J/(kg K)
        //*****************************************************************************/

        //variable definition**********************************************************/
            Real h;
        //*****************************************************************************/

        //used components**************************************************************/
          Modelica.Thermal.HeatTransfer.Components.Convection convection annotation (
              Placement(transformation(
                extent={{-10,-10},{10,10}},
                rotation=90,
                origin={0,60})));
          Modelica.Thermal.HeatTransfer.Components.ThermalConductor thermalConductorUpperPart2(G=(
                lambda_Al*A_equivalent/d_equivalent)/2) annotation (Placement(
                transformation(
                extent={{-10,-10},{10,10}},
                rotation=90,
                origin={0,32})));
          Modelica.Thermal.HeatTransfer.Components.HeatCapacitor heatCapacitorUpperPart(C=cp_Al*(
                rho_Al*A_equivalent*d_equivalent)) annotation (Placement(transformation(
                extent={{-10,-10},{10,10}},
                rotation=270,
                origin={20,12})));
          Modelica.Thermal.HeatTransfer.Components.ThermalConductor thermalConductorUpperPart(G=(
                lambda_Al*A_equivalent/d_equivalent)/2) annotation (Placement(
                transformation(
                extent={{-10,-10},{10,10}},
                rotation=90,
                origin={0,-8})));
          Modelica.Thermal.HeatTransfer.Interfaces.HeatPort_b fluid1 annotation (
              Placement(transformation(extent={{-10,70},{10,90}}), iconTransformation(
                  extent={{-10,70},{10,90}})));
          Modelica.Thermal.HeatTransfer.Interfaces.HeatPort_a port1 annotation (
              Placement(transformation(extent={{-10,-104},{10,-84}}),
                iconTransformation(extent={{-10,-70},{10,-50}})));
          Modelica.Thermal.HeatTransfer.Components.ThermalConductor thermalConductorLowerPart2(G=(
                lambda_Al*A_low/d_low)/2) annotation (Placement(transformation(
                extent={{-10,-10},{10,10}},
                rotation=90,
                origin={56,-28})));
          Modelica.Thermal.HeatTransfer.Components.HeatCapacitor heatCapacitorLowerPart(C=cp_Al*(
                rho_Al*A_low*d_low)) annotation (Placement(transformation(
                extent={{-10,-10},{10,10}},
                rotation=270,
                origin={76,-48})));
          Modelica.Thermal.HeatTransfer.Components.ThermalConductor thermalConductorLowerPart(G=(
                lambda_Al*A_low/d_low)/2) annotation (Placement(transformation(
                extent={{-10,-10},{10,10}},
                rotation=90,
                origin={56,-68})));
          Modelica.Thermal.HeatTransfer.Components.ThermalConductor thermalConductorMiddlePart2(G=(
                lambda_Al*A_mid/d_mid)/2) annotation (Placement(transformation(
                extent={{-10,-10},{10,10}},
                rotation=90,
                origin={-60,2})));
          Modelica.Thermal.HeatTransfer.Components.HeatCapacitor heatCapacitorMiddlePart(C=cp_Al*(
                rho_Al*A_mid*d_mid)) annotation (Placement(transformation(
                extent={{-10,-10},{10,10}},
                rotation=270,
                origin={-40,-18})));
          Modelica.Thermal.HeatTransfer.Components.ThermalConductor thermalConductorMiddlePart(G=(
                lambda_Al*A_mid/d_mid)/2) annotation (Placement(transformation(
                extent={{-10,-10},{10,10}},
                rotation=90,
                origin={-60,-38})));
          extends Cost.ConditionalCostPortDevice;
        //*****************************************************************************/

        //equations********************************************************************/
        equation

          /*
  *******************rpm in m/s*************************************************
  from datasheet: airflow for DC 100% and DC 20%
  V_dot = c*A
  d_rotor = 0,0825cm ==> A 
  ==> two values: c1 and c2
  --> linear equation (based on c1 and c2) for the complete intervall
  ******************************************************************************  
  */

          h = 12; //empirical, very rough approximation according to R. Fischer: Elektrische Maschinen, 10th edition, Hanser-Verlag 1999, p.378; for forced convection; see Dymola help for convection block (free convection)
          convection.Gc = A_equivalent*h;

          //cost equations
          QHeat = 0;
          electPowerOut = 0;
          electPowerIn = 0;
          //end cost equations

          connect(thermalConductorUpperPart.port_b, thermalConductorUpperPart2.port_a)
            annotation (Line(
              points={{0,2},{0,22}},
              color={191,0,0},
              smooth=Smooth.None));
          connect(thermalConductorUpperPart.port_b, heatCapacitorUpperPart.port)
            annotation (Line(
              points={{0,2},{0,12},{10,12}},
              color={191,0,0},
              smooth=Smooth.None));
          connect(thermalConductorUpperPart2.port_b, convection.solid) annotation (Line(
              points={{5.55112e-016,42},{0,42},{0,50},{-4.44089e-016,50}},
              color={191,0,0},
              smooth=Smooth.None));
          connect(convection.fluid, fluid1)
            annotation (Line(points={{0,70},{0,80}}, color={191,0,0}));
          connect(thermalConductorLowerPart.port_b, thermalConductorLowerPart2.port_a)
            annotation (Line(
              points={{56,-58},{56,-38}},
              color={191,0,0},
              smooth=Smooth.None));
          connect(thermalConductorLowerPart.port_b, heatCapacitorLowerPart.port)
            annotation (Line(
              points={{56,-58},{56,-48},{66,-48}},
              color={191,0,0},
              smooth=Smooth.None));
          connect(port1, port1)
            annotation (Line(points={{0,-94},{0,-94},{0,-94}}, color={191,0,0}));
          connect(thermalConductorLowerPart.port_a, port1)
            annotation (Line(points={{56,-78},{56,-94},{0,-94}}, color={191,0,0}));
          connect(thermalConductorMiddlePart.port_b, thermalConductorMiddlePart2.port_a)
            annotation (Line(
              points={{-60,-28},{-60,-8}},
              color={191,0,0},
              smooth=Smooth.None));
          connect(thermalConductorMiddlePart.port_b, heatCapacitorMiddlePart.port)
            annotation (Line(
              points={{-60,-28},{-60,-18},{-50,-18}},
              color={191,0,0},
              smooth=Smooth.None));
          connect(thermalConductorLowerPart2.port_b, thermalConductorMiddlePart.port_a)
            annotation (Line(points={{56,-18},{56,-18},{56,-10},{26,-10},{26,-62},{-60,-62},
                  {-60,-48}}, color={191,0,0}));
          connect(thermalConductorMiddlePart2.port_b, thermalConductorUpperPart.port_a)
            annotation (Line(points={{-60,12},{-60,12},{-60,22},{-22,22},{-22,-40},{0,-40},
                  {0,-18}}, color={191,0,0}));
        //*****************************************************************************/

        annotation (Documentation(info="<html>
   <p>
**************************************************************************** <br>
  <b> Copyright (C) 2015-2017 Chair of Automation and Energy Systems, Saarland University </b> <br>
------------------------------------------------------------------------------------------------------------------ <br>
  This file is part of EHSTEG. <p>                    
  
  For more information see <a href=\"//EHSTEG.UsersGuide\">User's Guide</a> <p>
  
**************************************************************************** <p>
</html>
"),                   Icon(coordinateSystem(preserveAspectRatio=false, extent={{-100,-100},
                    {100,100}}),
                           graphics={
                Rectangle(
                  extent={{-100,-32},{100,-42}},
                  lineColor={175,175,175},
                  fillPattern=FillPattern.Solid,
                  fillColor={175,175,175}),
                Rectangle(
                  extent={{-60,-42},{60,-50}},
                  lineColor={175,175,175},
                  fillPattern=FillPattern.Solid,
                  fillColor={175,175,175}),
                Rectangle(
                  extent={{-92,78},{-88,-32}},
                  lineColor={175,175,175},
                  fillPattern=FillPattern.Solid,
                  fillColor={175,175,175}),
                Rectangle(
                  extent={{-82,78},{-78,-32}},
                  lineColor={175,175,175},
                  fillPattern=FillPattern.Solid,
                  fillColor={175,175,175}),
                Rectangle(
                  extent={{-72,78},{-68,-32}},
                  lineColor={175,175,175},
                  fillPattern=FillPattern.Solid,
                  fillColor={175,175,175}),
                Rectangle(
                  extent={{-62,78},{-58,-32}},
                  lineColor={175,175,175},
                  fillPattern=FillPattern.Solid,
                  fillColor={175,175,175}),
                Rectangle(
                  extent={{-52,-32},{-48,78}},
                  lineColor={175,175,175},
                  fillPattern=FillPattern.Solid,
                  fillColor={175,175,175}),
                Rectangle(
                  extent={{-42,-32},{-38,78}},
                  lineColor={175,175,175},
                  fillPattern=FillPattern.Solid,
                  fillColor={175,175,175}),
                Rectangle(
                  extent={{-32,-32},{-28,78}},
                  lineColor={175,175,175},
                  fillPattern=FillPattern.Solid,
                  fillColor={175,175,175}),
                Rectangle(
                  extent={{-22,-32},{-18,78}},
                  lineColor={175,175,175},
                  fillPattern=FillPattern.Solid,
                  fillColor={175,175,175}),
                Rectangle(
                  extent={{-12,-32},{-8,78}},
                  lineColor={175,175,175},
                  fillPattern=FillPattern.Solid,
                  fillColor={175,175,175}),
                Rectangle(
                  extent={{-2,-32},{2,78}},
                  lineColor={175,175,175},
                  fillPattern=FillPattern.Solid,
                  fillColor={175,175,175}),
                Rectangle(
                  extent={{8,-32},{12,78}},
                  lineColor={175,175,175},
                  fillPattern=FillPattern.Solid,
                  fillColor={175,175,175}),
                Rectangle(
                  extent={{18,-32},{22,78}},
                  lineColor={175,175,175},
                  fillPattern=FillPattern.Solid,
                  fillColor={175,175,175}),
                Rectangle(
                  extent={{28,-32},{32,78}},
                  lineColor={175,175,175},
                  fillPattern=FillPattern.Solid,
                  fillColor={175,175,175}),
                Rectangle(
                  extent={{38,-32},{42,78}},
                  lineColor={175,175,175},
                  fillPattern=FillPattern.Solid,
                  fillColor={175,175,175}),
                Rectangle(
                  extent={{48,-32},{52,78}},
                  lineColor={175,175,175},
                  fillPattern=FillPattern.Solid,
                  fillColor={175,175,175}),
                Rectangle(
                  extent={{58,-32},{62,78}},
                  lineColor={175,175,175},
                  fillPattern=FillPattern.Solid,
                  fillColor={175,175,175}),
                Rectangle(
                  extent={{68,-32},{72,78}},
                  lineColor={175,175,175},
                  fillPattern=FillPattern.Solid,
                  fillColor={175,175,175}),
                Rectangle(
                  extent={{78,-32},{82,78}},
                  lineColor={175,175,175},
                  fillPattern=FillPattern.Solid,
                  fillColor={175,175,175}),
                Rectangle(
                  extent={{88,-32},{92,78}},
                  lineColor={175,175,175},
                  fillPattern=FillPattern.Solid,
                  fillColor={175,175,175})}),
                                  Diagram(coordinateSystem(preserveAspectRatio=false,
                  extent={{-100,-100},{100,100}})));
        end CoolingElement;

        model CPUCoolerWithoutFan "CPU cooler 'Scythe Katana 4' without fan"

          //Copyright (C) 2015-2017 Chair of Automation and Energy Systems, Saarland University (for more information see 'Documentation')

        //import***********************************************************************/
            import Modelica.SIunits.*;
        //*****************************************************************************/

        //parameter definition*********************************************************/
            parameter Area A_equivalent = 0.252
            "equivalent surface area of cooling element"; // m^2
            parameter Thickness d_equivalent = 0.0005
            "equivalent thickness of cooling element"; // m
            // One fin: 10cm x 2cm x 0.5mm
            // number of fins: 3 x 42 = 126
            // A_one_fin = 0.002 m^2
            // d_one_fin = 0.0005 m
            parameter ThermalConductivity lambda_Cu=400 "thermal conductivity"; // W/(m K)
            parameter Density rho_Cu = 8920 "density"; // kg/m^3
            parameter SpecificHeatCapacity cp_Cu = 385 "specific heat capacity"; // J/(kg K)
            parameter Temperature RT = 293.15 "ambient temperature"; // K
        //*****************************************************************************/

        //variable definition**********************************************************/
            Real h;
        //*****************************************************************************/

        //used components**************************************************************/
          Modelica.Thermal.HeatTransfer.Interfaces.HeatPort_a port1 annotation (
              Placement(transformation(extent={{-10,-100},{10,-80}}),
                iconTransformation(extent={{-10,-100},{10,-80}})));
          Modelica.Thermal.HeatTransfer.Components.Convection convection annotation (
              Placement(transformation(
                extent={{-10,-10},{10,10}},
                rotation=90,
                origin={0,24})));
          Modelica.Thermal.HeatTransfer.Components.ThermalConductor thermalConductor2(G=
               (lambda_Cu*A_equivalent/d_equivalent)/2) annotation (Placement(
                transformation(
                extent={{-10,-10},{10,10}},
                rotation=90,
                origin={0,-24})));
          Modelica.Thermal.HeatTransfer.Components.HeatCapacitor heatCapacitor(C=cp_Cu*(
                rho_Cu*A_equivalent*d_equivalent)) annotation (Placement(transformation(
                extent={{-10,-10},{10,10}},
                rotation=270,
                origin={20,-44})));
          Modelica.Thermal.HeatTransfer.Components.ThermalConductor thermalConductor1(G=
               (lambda_Cu*A_equivalent/d_equivalent)/2) annotation (Placement(
                transformation(
                extent={{-10,-10},{10,10}},
                rotation=90,
                origin={0,-64})));
          Modelica.Thermal.HeatTransfer.Sources.FixedTemperature fixedTemperature(T(
                displayUnit="K") = RT) "RT / 301.15"
            annotation (Placement(transformation(extent={{-26,70},{-6,90}})));
          extends Cost.ConditionalCostPortDevice;
        //*****************************************************************************/

        //equations********************************************************************/
        equation

          h = 12; //empirical, very rough approximation according to R. Fischer: Elektrische Maschinen, 10th edition, Hanser-Verlag 1999, p.378; for forced convection; see Dymola help for convection block (free convection)
          convection.Gc = A_equivalent*h;

          //cost equations
          QHeat = 0;
          electPowerOut = 0;
          electPowerIn = 0;
          //end cost equations

          connect(thermalConductor1.port_a, port1) annotation (Line(
              points={{0,-74},{0,-90}},
              color={191,0,0},
              smooth=Smooth.None));
          connect(thermalConductor1.port_b, thermalConductor2.port_a) annotation (Line(
              points={{0,-54},{0,-34}},
              color={191,0,0},
              smooth=Smooth.None));
          connect(thermalConductor1.port_b, heatCapacitor.port) annotation (Line(
              points={{0,-54},{0,-44},{10,-44}},
              color={191,0,0},
              smooth=Smooth.None));
          connect(thermalConductor2.port_b, convection.solid) annotation (Line(
              points={{5.55112e-016,-14},{0,-14},{0,14},{-4.44089e-016,14}},
              color={191,0,0},
              smooth=Smooth.None));
          connect(fixedTemperature.port, convection.fluid) annotation (Line(
              points={{-6,80},{6.66134e-016,80},{6.66134e-016,34}},
              color={191,0,0},
              smooth=Smooth.None));
        //*****************************************************************************/
        annotation (Documentation(info="<html>
   <p>
**************************************************************************** <br>
  <b> Copyright (C) 2015-2017 Chair of Automation and Energy Systems, Saarland University </b> <br>
------------------------------------------------------------------------------------------------------------------ <br>
  This file is part of EHSTEG. <p>                    
  
  For more information see <a href=\"//EHSTEG.UsersGuide\">User's Guide</a> <p>
  
**************************************************************************** <p>
</html>
"),                   Icon(coordinateSystem(preserveAspectRatio=false, extent={{-100,-100},
                    {100,100}}),
                           graphics={
                Polygon(
                  points={{-48,100},{-48,-54},{-34,-70},{0,-70},{0,-64},{-28,-64},{-40,-52},
                      {-42,100},{-48,100}},
                  lineColor={255,128,0},
                  smooth=Smooth.Bezier,
                  fillColor={255,128,0},
                  fillPattern=FillPattern.Solid),
                Polygon(
                  points={{-64,98},{-64,-52},{-50,-68},{-16,-68},{-16,-62},{-44,-62},{-56,
                      -50},{-58,98},{-64,98}},
                  lineColor={255,128,0},
                  smooth=Smooth.Bezier,
                  fillColor={255,128,0},
                  fillPattern=FillPattern.Solid),
                Polygon(
                  points={{48,100},{48,-54},{34,-70},{0,-70},{0,-64},{28,-64},{40,-52},{
                      42,100},{48,100}},
                  lineColor={255,128,0},
                  smooth=Smooth.Bezier,
                  fillColor={255,128,0},
                  fillPattern=FillPattern.Solid),
                Polygon(
                  points={{64,98},{64,-52},{50,-68},{16,-68},{16,-62},{44,-62},{56,-50},
                      {58,98},{64,98}},
                  lineColor={255,128,0},
                  smooth=Smooth.Bezier,
                  fillColor={255,128,0},
                  fillPattern=FillPattern.Solid),
                Polygon(
                  points={{80,100},{80,-60},{66,-76},{32,-76},{32,-70},{60,-70},{72,-58},
                      {72,100},{80,100}},
                  lineColor={255,128,0},
                  smooth=Smooth.Bezier,
                  fillColor={255,128,0},
                  fillPattern=FillPattern.Solid),
                Polygon(
                  points={{-80,100},{-80,-60},{-66,-76},{-32,-76},{-32,-70},{-60,-70},{-72,
                      -58},{-72,100},{-80,100}},
                  lineColor={255,128,0},
                  smooth=Smooth.Bezier,
                  fillColor={255,128,0},
                  fillPattern=FillPattern.Solid),
                Rectangle(
                  extent={{-40,-60},{40,-80}},
                  lineColor={175,175,175},
                  fillPattern=FillPattern.Solid,
                  fillColor={175,175,175}),
                Rectangle(
                  extent={{-100,84},{100,82}},
                  lineColor={175,175,175},
                  fillColor={175,175,175},
                  fillPattern=FillPattern.Solid),
                Rectangle(
                  extent={{-100,92},{100,90}},
                  lineColor={175,175,175},
                  fillColor={175,175,175},
                  fillPattern=FillPattern.Solid),
                Rectangle(
                  extent={{-100,100},{100,98}},
                  lineColor={175,175,175},
                  fillColor={175,175,175},
                  fillPattern=FillPattern.Solid),
                Rectangle(
                  extent={{-100,60},{100,58}},
                  lineColor={175,175,175},
                  fillColor={175,175,175},
                  fillPattern=FillPattern.Solid),
                Rectangle(
                  extent={{-100,68},{100,66}},
                  lineColor={175,175,175},
                  fillColor={175,175,175},
                  fillPattern=FillPattern.Solid),
                Rectangle(
                  extent={{-100,76},{100,74}},
                  lineColor={175,175,175},
                  fillColor={175,175,175},
                  fillPattern=FillPattern.Solid),
                Rectangle(
                  extent={{-100,36},{100,34}},
                  lineColor={175,175,175},
                  fillColor={175,175,175},
                  fillPattern=FillPattern.Solid),
                Rectangle(
                  extent={{-100,44},{100,42}},
                  lineColor={175,175,175},
                  fillColor={175,175,175},
                  fillPattern=FillPattern.Solid),
                Rectangle(
                  extent={{-100,52},{100,50}},
                  lineColor={175,175,175},
                  fillColor={175,175,175},
                  fillPattern=FillPattern.Solid),
                Rectangle(
                  extent={{-100,12},{100,10}},
                  lineColor={175,175,175},
                  fillColor={175,175,175},
                  fillPattern=FillPattern.Solid),
                Rectangle(
                  extent={{-100,20},{100,18}},
                  lineColor={175,175,175},
                  fillColor={175,175,175},
                  fillPattern=FillPattern.Solid),
                Rectangle(
                  extent={{-100,28},{100,26}},
                  lineColor={175,175,175},
                  fillColor={175,175,175},
                  fillPattern=FillPattern.Solid),
                Rectangle(
                  extent={{-100,-12},{100,-14}},
                  lineColor={175,175,175},
                  fillColor={175,175,175},
                  fillPattern=FillPattern.Solid),
                Rectangle(
                  extent={{-100,-4},{100,-6}},
                  lineColor={175,175,175},
                  fillColor={175,175,175},
                  fillPattern=FillPattern.Solid),
                Rectangle(
                  extent={{-100,4},{100,2}},
                  lineColor={175,175,175},
                  fillColor={175,175,175},
                  fillPattern=FillPattern.Solid),
                Rectangle(
                  extent={{-100,-36},{100,-38}},
                  lineColor={175,175,175},
                  fillColor={175,175,175},
                  fillPattern=FillPattern.Solid),
                Rectangle(
                  extent={{-100,-28},{100,-30}},
                  lineColor={175,175,175},
                  fillColor={175,175,175},
                  fillPattern=FillPattern.Solid),
                Rectangle(
                  extent={{-100,-20},{100,-22}},
                  lineColor={175,175,175},
                  fillColor={175,175,175},
                  fillPattern=FillPattern.Solid),
                Rectangle(
                  extent={{-100,100},{100,-38}},
                  lineColor={0,0,0},
                  lineThickness=1)}),
                                  Diagram(coordinateSystem(preserveAspectRatio=false,
                  extent={{-100,-100},{100,100}})));
        end CPUCoolerWithoutFan;

        model SimpleHeatsink
          "simple heatsink 'Fischer Elektronik ICK S 40x40x20'"

          //Copyright(C) 2015-2017 Chair of Automation and Energy Systems, Saarland University (for more information see 'Documentation')

        //import***********************************************************************/
          import Modelica.SIunits.*;
        //*****************************************************************************/

        //parameter definition*********************************************************/
          parameter ThermalResistance R_th=3.5 "thermal resistance of heatsink"; // K/W
            // http://www.conrad.de/ce/de/product/181192/Stiftkuehlkoerper-ICK-S-Fischer-Elektronik-ICK-S-40X40X20-L-x-B-x-H-40-x-40-x-20-mm-Rth-35-KW?queryFromSuggest=true
            // area 40mm x 40mm; height 20 mm
        //*****************************************************************************/

        //used components**************************************************************/
          extends Modelica.Thermal.HeatTransfer.Interfaces.Element1D;
          extends Cost.ConditionalCostPortDevice;
        //*****************************************************************************/

        //equations********************************************************************/
        equation
          Q_flow=dT/R_th;

          //cost equations
          QHeat = 0;
          electPowerOut = 0;
          electPowerIn = 0;
          //end cost equations

        //*****************************************************************************/

        annotation (Documentation(info="<html>
   <p>
**************************************************************************** <br>
  <b> Copyright (C) 2015-2017 Chair of Automation and Energy Systems, Saarland University </b> <br>
------------------------------------------------------------------------------------------------------------------ <br>
  This file is part of EHSTEG. <p>                    
  
  For more information see <a href=\"//EHSTEG.UsersGuide\">User's Guide</a> <p>
  
**************************************************************************** <p>
</html>
"),                   Diagram(coordinateSystem(extent={{-100,-120},{100,120}},
                  preserveAspectRatio=true), graphics={Polygon(
                  points={{-100,90},{-100,-110},{40,-110},{40,-90},{-80,-90},{-80,
                      -70},{40,-70},{40,-50},{-80,-50},{-80,-30},{40,-30},{40,-10},
                      {-80,-10},{-80,10},{40,10},{40,30},{-80,30},{-80,50},{40,50},
                      {40,70},{-80,70},{-80,90},{40,90},{40,110},{-100,110},{-100,
                      90}},
                  lineColor={135,135,135},
                  smooth=Smooth.None,
                  fillColor={135,135,135},
                  fillPattern=FillPattern.Solid), Text(
                  extent={{0,-94},{0,-68}},
                  lineColor={255,0,0},
                  fillColor={135,135,135},
                  fillPattern=FillPattern.Solid,
                  textString="Q_flow=dT/R_th")}), Icon(coordinateSystem(extent={{
                    -100,-120},{100,120}}), graphics={Polygon(
                  points={{-100,90},{-100,-110},{40,-110},{40,-90},{-80,-90},{-80,
                      -70},{40,-70},{40,-50},{-80,-50},{-80,-30},{40,-30},{40,-10},
                      {-80,-10},{-80,10},{40,10},{40,30},{-80,30},{-80,50},{40,50},
                      {40,70},{-80,70},{-80,90},{40,90},{40,110},{-100,110},{-100,
                      90}},
                  lineColor={135,135,135},
                  smooth=Smooth.None,
                  fillColor={135,135,135},
                  fillPattern=FillPattern.Solid), Text(
                  extent={{0,-92},{0,-66}},
                  lineColor={255,0,0},
                  fillColor={135,135,135},
                  fillPattern=FillPattern.Solid,
                  textString="Q_flow=dT/R_th")}));
        end SimpleHeatsink;

        model SimpleHeatsinkWithHeatCap
          "simple heatsink with heat capacity 'Fischer Elektronik ICK S 40x40x20'"

          //Copyright(C) 2015-2017 Chair of Automation and Energy Systems, Saarland University (for more information see 'Documentation')

        //import***********************************************************************/
          import Modelica.SIunits.*;
        //*****************************************************************************/

        //parameter definition*********************************************************/
          parameter ThermalResistance R_th=3.5 "thermal resistance of heatsink"; // K/W
            // http://www.conrad.de/ce/de/product/181192/Stiftkuehlkoerper-ICK-S-Fischer-Elektronik-ICK-S-40X40X20-L-x-B-x-H-40-x-40-x-20-mm-Rth-35-KW?queryFromSuggest=true
            // area 40mm x 40mm; height 20 mm
          parameter HeatCapacity C=150 "heat capacity of element (= cp*m)"; // J/K
        //*****************************************************************************/

        //used components**************************************************************/
          SimpleHeatsink
            simple_heatsink1(R_th=R_th)
            annotation (Placement(transformation(extent={{50,-12},{70,12}})));
          Modelica.Thermal.HeatTransfer.Components.HeatCapacitor heatCapacitor(C=C)
            annotation (Placement(transformation(extent={{-26,28},{-6,48}})));
          Modelica.Thermal.HeatTransfer.Interfaces.HeatPort_a port_a
            annotation (Placement(transformation(extent={{-110,-10},{-90,10}}),
                iconTransformation(extent={{-110,-10},{-90,10}})));
          Modelica.Thermal.HeatTransfer.Interfaces.HeatPort_b port_b
            annotation (Placement(transformation(extent={{90,-10},{110,10}}),
                iconTransformation(extent={{90,-10},{110,10}})));
          extends Cost.ConditionalCostPortDevice;
        //*****************************************************************************/

        //equations********************************************************************/
        equation

          //cost equations
          QHeat = 0;
          electPowerOut = 0;
          electPowerIn = 0;
          //end cost equations

          connect(port_a, heatCapacitor.port) annotation (Line(
              points={{-100,0},{-16,0},{-16,28}},
              color={191,0,0},
              smooth=Smooth.None));
          connect(heatCapacitor.port, simple_heatsink1.port_a) annotation (Line(
              points={{-16,28},{-16,0},{50,0}},
              color={191,0,0},
              smooth=Smooth.None));
          connect(simple_heatsink1.port_b, port_b) annotation (Line(
              points={{70,0},{100,0}},
              color={191,0,0},
              smooth=Smooth.None));
        //*****************************************************************************/

        annotation (Documentation(info="<html>
   <p>
**************************************************************************** <br>
  <b> Copyright (C) 2015-2017 Chair of Automation and Energy Systems, Saarland University </b> <br>
------------------------------------------------------------------------------------------------------------------ <br>
  This file is part of EHSTEG. <p>                    
  
  For more information see <a href=\"//EHSTEG.UsersGuide\">User's Guide</a> <p>
  
**************************************************************************** <p>
</html>
"),                   Diagram(coordinateSystem(extent={{-100,-120},{100,120}},
                  preserveAspectRatio=false),graphics={
                                                  Text(
                  extent={{0,-94},{0,-68}},
                  lineColor={255,0,0},
                  fillColor={135,135,135},
                  fillPattern=FillPattern.Solid,
                  textString="Q_flow=dT/R_th")}), Icon(coordinateSystem(extent={{-100,-120},
                    {100,120}}, preserveAspectRatio=false),
                                            graphics={Polygon(
                  points={{-100,90},{-100,-110},{40,-110},{40,-90},{-80,-90},{-80,-70},{
                      40,-70},{40,-50},{-80,-50},{-80,-30},{40,-30},{40,-10},{-80,-10},{
                      -80,10},{40,10},{40,30},{-80,30},{-80,50},{40,50},{40,70},{-80,70},
                      {-80,90},{40,90},{40,110},{-100,110},{-100,90}},
                  lineColor={135,135,135},
                  smooth=Smooth.None,
                  fillColor={135,135,135},
                  fillPattern=FillPattern.Solid)}));
        end SimpleHeatsinkWithHeatCap;

      annotation (Documentation(info="<html>
   <p>
**************************************************************************** <br>
  <b> Copyright (C) 2015-2017 Chair of Automation and Energy Systems, Saarland University </b> <br>
------------------------------------------------------------------------------------------------------------------ <br>
  This file is part of EHSTEG. <p>                    
  
  For more information see <a href=\"//EHSTEG.UsersGuide\">User's Guide</a> <p>
  
**************************************************************************** <p>
</html>
"));
      end Passive;

    annotation (Documentation(info="<html>
   <p>
**************************************************************************** <br>
  <b> Copyright (C) 2015-2017 Chair of Automation and Energy Systems, Saarland University </b> <br>
------------------------------------------------------------------------------------------------------------------ <br>
  This file is part of EHSTEG. <p>                    
  
  For more information see <a href=\"//EHSTEG.UsersGuide\">User's Guide</a> <p>
  
**************************************************************************** <p>
</html>
"));
    end CoolingElement;

    package Cost "package contains the components for the cost integration"

      //Copyright (C) 2015-2017 Chair of Automation and Energy Systems, Saarland University (for more information see 'Documentation')
      package Interfaces "package for the cost interfaces"

        //Copyright (C) 2015-2017 Chair of Automation and Energy Systems, Saarland University (for more information see 'Documentation')

        connector CostPort "Basic cost port"

          //Copyright (C) 2015-2017 Chair of Automation and Energy Systems, Saarland University (for more information see 'Documentation')

        //variable definition**********************************************************/
          flow Modelica.SIunits.HeatFlowRate Q_heat "used heat";
          Real p_Q_heat "dummy potential for used heat";

          flow Modelica.SIunits.Power electrical_Power_out
            "generated electrical power";
          Real p_electrical_Power_out
            "dummy potential for generated electrical power";

          flow Modelica.SIunits.Power electrical_Power_in
            "consumed electrical power";
          Real p_electrical_Power_in
            "dummy potential for consumed electrical power";

          flow Real Cost_invest "investment cost";
          Real p_cost_invest "dummy potential of investment cost";

          flow Real Cost_per_year "cost per year";
          Real p_cost_per_year "dummy potential of cost per year";

          flow Real Failure_in_Time "failure in time (FIT)";
          Real p_Failure_in_Time "dummy potential of FIT";
        //*****************************************************************************/

          annotation (Documentation(info="<html>
   <p>
**************************************************************************** <br>
  <b> Copyright (C) 2015-2017 Chair of Automation and Energy Systems, Saarland University </b> <br>
------------------------------------------------------------------------------------------------------------------ <br>
  This file is part of EHSTEG. <p>                    
  
  For more information see <a href=\"//EHSTEG.UsersGuide\">User's Guide</a> <p>
  
**************************************************************************** <p>
</html>
"));
        end CostPort;

        connector CostPortDevice
          "Cost port for devices (green filled rectangular icon)"

           //Copyright (C) 2015-2017 Chair of Automation and Energy Systems, Saarland University (for more information see 'Documentation')

        //used components**************************************************************/
          extends CostPort;
        //*****************************************************************************/

          annotation (Icon(coordinateSystem(preserveAspectRatio=false, extent={{-100,
                    -100},{100,100}}), graphics={Rectangle(
                  extent={{-60,60},{60,-60}},
                  lineColor={0,255,0},
                  fillColor={0,255,0},
                  fillPattern=FillPattern.Solid)}), Documentation(info="<html>
   <p>
**************************************************************************** <br>
  <b> Copyright (C) 2015-2017 Chair of Automation and Energy Systems, Saarland University </b> <br>
------------------------------------------------------------------------------------------------------------------ <br>
  This file is part of EHSTEG. <p>                    
  
  For more information see <a href=\"//EHSTEG.UsersGuide\">User's Guide</a> <p>
  
**************************************************************************** <p>
</html>
"));
        end CostPortDevice;

        connector CostPortSystem
          "Cost port for SystemCost (orange filled rectangular icon)"

           //Copyright (C) 2015-2017 Chair of Automation and Energy Systems, Saarland University (for more information see 'Documentation')

        //used components**************************************************************/
          extends CostPort;
        //*****************************************************************************/

          annotation (Icon(coordinateSystem(preserveAspectRatio=false, extent={{-100,
                    -100},{100,100}}), graphics={Rectangle(
                  extent={{-60,60},{60,-60}},
                  lineColor={255,128,0},
                  fillColor={255,128,0},
                  fillPattern=FillPattern.Solid)}), Documentation(info="<html>
   <p>
**************************************************************************** <br>
  <b> Copyright (C) 2015-2017 Chair of Automation and Energy Systems, Saarland University </b> <br>
------------------------------------------------------------------------------------------------------------------ <br>
  This file is part of EHSTEG. <p>                    
  
  For more information see <a href=\"//EHSTEG.UsersGuide\">User's Guide</a> <p>
  
**************************************************************************** <p>
</html>
"));
        end CostPortSystem;
        annotation (Documentation(info="<html>
   <p>
**************************************************************************** <br>
  <b> Copyright (C) 2015-2017 Chair of Automation and Energy Systems, Saarland University </b> <br>
------------------------------------------------------------------------------------------------------------------ <br>
  This file is part of EHSTEG. <p>                    
  
  For more information see <a href=\"//EHSTEG.UsersGuide\">User's Guide</a> <p>
  
**************************************************************************** <p>
</html>
"));
      end Interfaces;

      partial model ConditionalCostPortDevice
        "Partial model to include a conditional CostPort to calculate the cost"

         //Copyright (C) 2015-2017 Chair of Automation and Energy Systems, Saarland University (for more information see 'Documentation')

      //parameter definition*********************************************************/
        parameter Boolean useSystemCost = false
          "=true, to use the system cost model"
         annotation (Evaluate=true, HideResult=true,choices(checkBox=true), Dialog(tab="Cost", group="System cost"));
        parameter Real CostInvest=1000 "investment cost [Euro]" annotation (Dialog(tab="Cost", enable=useSystemCost));
        parameter Real CostPerYear=1000 "cost per year [Euro]" annotation (Dialog(tab="Cost", enable=useSystemCost));
        parameter Real FailureInTime=1000 "FIT" annotation (Dialog(tab="Cost", enable=useSystemCost));
      //*****************************************************************************/

      //variable definition**********************************************************/
        Modelica.SIunits.HeatFlowRate QHeat "used heat";
        Modelica.SIunits.Power electPowerOut "generated electrical power";
        Modelica.SIunits.Power electPowerIn "consumed electrical power";
      //*****************************************************************************/

      //used components**************************************************************/
        Interfaces.CostPortDevice costPortDevice( Q_heat=QHeat, electrical_Power_out=electPowerOut, electrical_Power_in=electPowerIn, Cost_invest=CostInvest, Cost_per_year=CostPerYear, Failure_in_Time=FailureInTime) if useSystemCost
          annotation (Placement(transformation(extent={{84,84},{104,104}})));
      //*****************************************************************************/
        annotation (Diagram(coordinateSystem(preserveAspectRatio=true,  extent={{-100,
                  -100},{100,100}})),
                    Documentation(info="<html>
   <p>
**************************************************************************** <br>
  <b> Copyright (C) 2015-2017 Chair of Automation and Energy Systems, Saarland University </b> <br>
------------------------------------------------------------------------------------------------------------------ <br>
  This file is part of EHSTEG. <p>                    
  
  For more information see <a href=\"//EHSTEG.UsersGuide\">User's Guide</a> <p>
  
**************************************************************************** <p>
</html>
"));
      end ConditionalCostPortDevice;

      model SystemCost
        "component to calculate the complete costs of a system, based on: Felgner, F.; Exel, L.; Frey, G.: Model-based design and validation of waste heat recovery systems. IEEE International Energy Conference (ENERGYCON 2012), pp. 265-270, 2012."

        //Copyright (C) 2015-2017 Chair of Automation and Energy Systems, Saarland University (for more information see 'Documentation')

      //parameter definition*********************************************************/
        //DUMMY BEGIN
      protected
        parameter Real p_Q_heat=1;
        parameter Real p_electrical_Power_out=1;
        parameter Real p_electrical_Power_in=1;
        parameter Real p_cost_invest=1;
        parameter Real p_cost_per_year=1;
        parameter Real p_Failure_in_Time=1;
        //DUMMY END

      public
        parameter Real system_cost_invest=0
          "additional system investment cost [Euro]";
        parameter Real system_cost_per_year=100
          "additional system cost per year [Euro]";
        parameter Real system_affirmation_per_year=10
          "system affirmation per year [Euro]";
      //*****************************************************************************/

      //variable definition**********************************************************/
      public
        Modelica.SIunits.HeatFlowRate Q_heat "Sum of heat taken from source";
        Modelica.SIunits.Power electrical_Power_out
          "Sum of generated electrical power";
        Modelica.SIunits.Power electrical_Power_in
          "Sum of consumed electrical power";
        Real Cost_invest "Sum of investment cost";
        Real Cost_per_year "Sum cost per year";
        Real Failure_in_Time;
        Modelica.SIunits.Time MTTF "Mean time to fail";
        Real eta;
        Real time_in_year;
        Real time_in_hour;
        Real time_in_day;
      //*****************************************************************************/

      //used components**************************************************************/
      public
        Cost.Interfaces.CostPortSystem port annotation (Placement(
              transformation(extent={{-110,-10},{-90,10}}), iconTransformation(
                extent={{-110,-10},{-90,10}})));
      //*****************************************************************************/

      //equations********************************************************************/
      equation
        //dummy values for potential
        port.p_cost_invest=p_cost_invest;
        port.p_cost_per_year=p_cost_per_year;
        port.p_Failure_in_Time=p_Failure_in_Time;
        //end dummy vlaues

        time_in_year=time/3600/365/24;
        time_in_day=time/3600/24;
        time_in_hour=time/3600;

        //energy conversion efficiency
        port.p_Q_heat=p_Q_heat;
        port.p_electrical_Power_out=p_electrical_Power_out;
        port.p_electrical_Power_in=p_electrical_Power_in;

        Q_heat=abs(port.Q_heat);
        electrical_Power_out=abs(port.electrical_Power_out);
        electrical_Power_in=abs(port.electrical_Power_in);

        if (electrical_Power_in+Q_heat) == 0 then
          eta = 0;
        else
          eta=electrical_Power_out/(electrical_Power_in+Q_heat);
        end if;

        //investment costs / costs per year
        Cost_invest=abs(port.Cost_invest)+system_cost_invest;
        Cost_per_year=abs(port.Cost_per_year)+system_cost_per_year+system_affirmation_per_year;
        Failure_in_Time=abs(port.Failure_in_Time);

        //MTTF
        MTTF=(60*60*10^9)/Failure_in_Time;
      //*****************************************************************************/
        annotation (Icon(coordinateSystem(preserveAspectRatio=true,  extent={{-100,
                  -100},{100,100}}), graphics={
              Line(
                points={{-70,14},{-70,94}},
                color={0,0,0},
                smooth=Smooth.None),
              Line(
                points={{-70,14},{70,14}},
                color={0,0,0},
                smooth=Smooth.None),
              Line(
                points={{-70,-82},{-70,-2}},
                color={0,0,0},
                smooth=Smooth.None),
              Line(
                points={{-70,-82},{70,-82}},
                color={0,0,0},
                smooth=Smooth.None),
              Text(
                extent={{48,14},{62,-6}},
                lineColor={0,0,0},
                fillPattern=FillPattern.VerticalCylinder,
                fillColor={0,0,0},
                textString="t"),
              Text(
                extent={{50,-82},{64,-102}},
                lineColor={0,0,0},
                fillPattern=FillPattern.VerticalCylinder,
                fillColor={0,0,0},
                textString="t"),
              Text(
                extent={{-20.5,9.5},{20.5,-9.5}},
                lineColor={0,0,0},
                fillPattern=FillPattern.VerticalCylinder,
                fillColor={0,0,0},
                origin={-80.5,-35.5},
                rotation=90,
                textString="Euro"),
              Text(
                extent={{-21.5,9.5},{21.5,-9.5}},
                lineColor={0,0,0},
                fillPattern=FillPattern.VerticalCylinder,
                fillColor={0,0,0},
                origin={-80.5,63.5},
                rotation=90,
                textString="eta"),
              Line(
                points={{-70,46},{-60,66},{-52,50},{-40,76},{-22,60},{-16,40},{-2,
                    74},{16,58},{30,80},{36,52},{48,40},{52,70},{64,88}},
                color={0,0,255},
                smooth=Smooth.Bezier),
              Line(
                points={{-70,-32},{66,-32}},
                color={0,0,255},
                smooth=Smooth.Bezier),
              Line(
                points={{-70,-82},{-68,-82},{-48,-78},{-32,-72},{-14,-64},{2,-54},
                    {16,-42},{38,-6}},
                color={255,0,0},
                smooth=Smooth.Bezier),
              Rectangle(
                extent={{-100,100},{100,-100}},
                lineColor={128,255,0},
                lineThickness=0.5),
              Line(
                points={{70,14},{70,16},{74,14},{70,12},{70,14}},
                color={0,0,0},
                smooth=Smooth.None),
              Line(
                points={{70,-82},{70,-80},{74,-82},{70,-84},{70,-82}},
                color={0,0,0},
                smooth=Smooth.None),
              Line(
                points={{-2,0},{-2,2},{2,0},{-2,-2},{-2,0}},
                color={0,0,0},
                smooth=Smooth.None,
                origin={-70,0},
                rotation=90),
              Line(
                points={{-2,0},{-2,2},{2,0},{-2,-2},{-2,0}},
                color={0,0,0},
                smooth=Smooth.None,
                origin={-70,96},
                rotation=90),
              Text(
                extent={{0,-102},{0,-124}},
                lineColor={0,0,0},
                pattern=LinePattern.DashDot,
                lineThickness=1,
                textString="%name")}), Documentation(info="<html>
   <p>
**************************************************************************** <br>
  <b> Copyright (C) 2015-2017 Chair of Automation and Energy Systems, Saarland University </b> <br>
------------------------------------------------------------------------------------------------------------------ <br>
  This file is part of EHSTEG. <p>                    
  
  For more information see <a href=\"//EHSTEG.UsersGuide\">User's Guide</a> <p>
  
**************************************************************************** <p>
</html>
"));
      end SystemCost;

      annotation (Documentation(info="<html>
   <p>
**************************************************************************** <br>
  <b> Copyright (C) 2015-2017 Chair of Automation and Energy Systems, Saarland University </b> <br>
------------------------------------------------------------------------------------------------------------------ <br>
  This file is part of EHSTEG. <p>                    
  
  For more information see <a href=\"//EHSTEG.UsersGuide\">User's Guide</a> <p>
  
**************************************************************************** <p>
</html>
"));
    end Cost;

    package Electrics "electrical components"

      //Copyright (C) 2015-2017 Chair of Automation and Energy Systems, Saarland University (for more information see 'Documentation')

      model EnergySupply "energy supply for the cooling units"

        //Copyright (C) 2015-2017 Chair of Automation and Energy Systems, Saarland University (for more information see 'Documentation')

      //import***********************************************************************/
          import Modelica.SIunits.*;
      //*****************************************************************************/

      //parameter definition*********************************************************/
        parameter Voltage supply_voltage = 12 "supply voltage"; // V
        parameter Real Disconnecting_time = 6000 "disconnection point"; // s
      //*****************************************************************************/

      //used components**************************************************************/
        Modelica.Electrical.Analog.Sources.ConstantVoltage constantVoltage(V=
              supply_voltage)
          annotation (Placement(transformation(extent={{-10,38},{10,58}})));
        Modelica.Electrical.Analog.Sensors.VoltageSensor voltageSensor
          annotation (Placement(transformation(extent={{-10,76},{10,56}})));
        Modelica.Electrical.Analog.Sensors.CurrentSensor currentSensor
          annotation (Placement(transformation(extent={{40,58},{20,38}})));
        Modelica.Blocks.Math.Product power annotation (Placement(transformation(
              extent={{-10,-10},{10,10}},
              rotation=180,
              origin={-48,86})));
        Modelica.Electrical.Analog.Ideal.IdealOpeningSwitch idealOpeningSwitch
          annotation (Placement(transformation(extent={{-58,-30},{-38,-10}})));
        Modelica.Blocks.Sources.BooleanStep booleanStep(                startValue=false,
            startTime=Disconnecting_time)
          annotation (Placement(transformation(extent={{-80,0},{-60,20}})));
        Modelica.Blocks.Interfaces.RealOutput y
          "Connector of Real output signal"
          annotation (Placement(transformation(
              extent={{-10,-10},{10,10}},
              rotation=180,
              origin={-90,86}),  iconTransformation(
              extent={{-10,-10},{10,10}},
              rotation=0,
              origin={90,0})));
        Modelica.Electrical.Analog.Interfaces.PositivePin p
          "Positive pin (potential p.v > n.v for positive voltage drop v)"
          annotation (Placement(transformation(extent={{-102,-30},{-82,-10}}),
              iconTransformation(extent={{-70,80},{-50,100}})));
        Modelica.Electrical.Analog.Interfaces.NegativePin n "negative pin"
          annotation (Placement(transformation(extent={{80,-30},{100,-10}}),
              iconTransformation(extent={{50,80},{70,100}})));
        Modelica.Electrical.Analog.Ideal.IdealOpeningSwitch Cooling_Switch_On
          annotation (Placement(transformation(
              extent={{-10,-10},{10,10}},
              rotation=90,
              origin={68,6})));
        Modelica.Blocks.MathBoolean.Not not1
          annotation (Placement(transformation(extent={{26,-4},{46,16}})));
        Modelica.Blocks.Interfaces.BooleanInput u
          "Connector of Boolean input signal"
          annotation (Placement(transformation(extent={{-10,-4},{10,16}}),
              iconTransformation(
              extent={{-10,-10},{10,10}},
              rotation=0,
              origin={-90,0})));
        extends Cost.ConditionalCostPortDevice;
      //*****************************************************************************/

      //equations********************************************************************/
      equation

        //cost equations
        QHeat = 0;
        electPowerOut = 0;
        electPowerIn = y;
        //end cost equations

        connect(constantVoltage.p,voltageSensor. p) annotation (Line(
            points={{-10,48},{-10,66}},
            color={0,0,255},
            smooth=Smooth.None));
        connect(constantVoltage.n,voltageSensor. n) annotation (Line(
            points={{10,48},{10,66}},
            color={0,0,255},
            smooth=Smooth.None));
        connect(constantVoltage.n,currentSensor. n) annotation (Line(
            points={{10,48},{20,48}},
            color={0,0,255},
            smooth=Smooth.None));
        connect(voltageSensor.v, power.u1) annotation (Line(
            points={{0,76},{0,80},{-36,80}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(currentSensor.i, power.u2) annotation (Line(
            points={{30,58},{30,92},{-36,92}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(power.y, y) annotation (Line(
            points={{-59,86},{-90,86}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(idealOpeningSwitch.p, p) annotation (Line(
            points={{-58,-20},{-92,-20}},
            color={0,0,255},
            smooth=Smooth.None));
        connect(booleanStep.y, idealOpeningSwitch.control) annotation (Line(
            points={{-59,10},{-48,10},{-48,-13}},
            color={255,0,255},
            smooth=Smooth.None));
        connect(currentSensor.p, Cooling_Switch_On.n) annotation (Line(
            points={{40,48},{68,48},{68,16}},
            color={0,0,255},
            smooth=Smooth.None));
        connect(Cooling_Switch_On.p, n) annotation (Line(
            points={{68,-4},{68,-20},{90,-20}},
            color={0,0,255},
            smooth=Smooth.None));
        connect(Cooling_Switch_On.control, not1.y) annotation (Line(
            points={{61,6},{48,6}},
            color={255,0,255},
            smooth=Smooth.None));
        connect(not1.u, u) annotation (Line(
            points={{22,6},{0,6}},
            color={255,0,255},
            smooth=Smooth.None));
        connect(idealOpeningSwitch.n, constantVoltage.p) annotation (Line(
            points={{-38,-20},{-32,-20},{-32,48},{-10,48}},
            color={0,0,255},
            smooth=Smooth.None));
      //*****************************************************************************/

      annotation (Documentation(info="<html>
   <p>
**************************************************************************** <br>
  <b> Copyright (C) 2015-2017 Chair of Automation and Energy Systems, Saarland University </b> <br>
------------------------------------------------------------------------------------------------------------------ <br>
  This file is part of EHSTEG. <p>                    
  
  For more information see <a href=\"//EHSTEG.UsersGuide\">User's Guide</a> <p>
  
**************************************************************************** <p>
</html>
"),                 Diagram(coordinateSystem(preserveAspectRatio=false, extent={{-100,
                  -100},{100,100}}),      graphics), Icon(coordinateSystem(
                preserveAspectRatio=false, extent={{-100,-100},{100,100}}),
              graphics={
              Rectangle(
                extent={{-88,80},{90,-80}},
                lineColor={0,0,0},
                fillColor={0,0,0},
                fillPattern=FillPattern.VerticalCylinder),
              Text(
                extent={{-88,80},{90,-80}},
                lineColor={255,255,255},
                fillPattern=FillPattern.VerticalCylinder,
                fillColor={0,0,0},
                textString="Power
Supply"),     Rectangle(
                extent={{-80,92},{-40,80}},
                lineColor={0,0,0},
                fillPattern=FillPattern.VerticalCylinder,
                fillColor={0,0,0}),
              Rectangle(
                extent={{40,92},{80,80}},
                lineColor={0,0,0},
                fillPattern=FillPattern.VerticalCylinder,
                fillColor={0,0,0})}));
      end EnergySupply;

      model IdealCommutingSwitch
        "modified ideal_commuting_switch (Modelica Standard Library) with booleanStep"

        //Copyright (C) 2015-2017 Chair of Automation and Energy Systems, Saarland University (for more information see 'Documentation')

      //import***********************************************************************/
          import Modelica.SIunits.*;
      //*****************************************************************************/

      //parameter definition*********************************************************/
          parameter Time startTime = 4000 "Time of switching operation"; // s
          parameter Boolean startValue = true
          "if true then connected with 2, if false then connected with 1"; // boolean
      //*****************************************************************************/

      //used components**************************************************************/
        Modelica.Electrical.Analog.Ideal.IdealCommutingSwitch
          idealCommutingSwitch
          annotation (Placement(transformation(extent={{-10,-10},{10,10}})));
        Modelica.Blocks.Sources.BooleanStep booleanStep(startTime=startTime,
            startValue=startValue) "ture 4000"
          annotation (Placement(transformation(extent={{-40,30},{-20,50}})));
        Modelica.Electrical.Analog.Interfaces.PositivePin p1 annotation (Placement(
              transformation(extent={{-100,-10},{-80,10}}), iconTransformation(extent=
                 {{-100,-10},{-80,10}})));
        Modelica.Electrical.Analog.Interfaces.NegativePin n1 annotation (Placement(
              transformation(extent={{80,40},{100,60}}), iconTransformation(extent={{80,
                  40},{100,60}})));
        Modelica.Electrical.Analog.Interfaces.NegativePin n2 annotation (Placement(
              transformation(extent={{80,-10},{100,10}}), iconTransformation(extent={{
                  80,-10},{100,10}})));
      //*****************************************************************************/

      //equations********************************************************************/
      equation
        connect(booleanStep.y, idealCommutingSwitch.control) annotation (Line(
            points={{-19,40},{0,40},{0,8}},
            color={255,0,255},
            smooth=Smooth.None));
        connect(idealCommutingSwitch.p, p1) annotation (Line(
            points={{-10,0},{-90,0}},
            color={0,0,255},
            smooth=Smooth.None));
        connect(idealCommutingSwitch.n1, n1) annotation (Line(
            points={{10,5},{36,5},{36,50},{90,50}},
            color={0,0,255},
            smooth=Smooth.None));
        connect(idealCommutingSwitch.n2, n2) annotation (Line(
            points={{10,0},{90,0}},
            color={0,0,255},
            smooth=Smooth.None));
      //*****************************************************************************/
      annotation (Documentation(info="<html>
   <p>
**************************************************************************** <br>
  <b> Copyright (C) 2015-2017 Chair of Automation and Energy Systems, Saarland University </b> <br>
------------------------------------------------------------------------------------------------------------------ <br>
  This file is part of EHSTEG. <p>                    
  
  For more information see <a href=\"//EHSTEG.UsersGuide\">User's Guide</a> <p>
  
**************************************************************************** <p>
</html>
"),                 Diagram(coordinateSystem(preserveAspectRatio=false, extent={{-100,
                  -100},{100,100}}), graphics), Icon(coordinateSystem(
                preserveAspectRatio=false, extent={{-100,-100},{100,100}}), graphics={
              Line(
                points={{-80,0},{-44,0}},
                color={0,0,255},
                smooth=Smooth.None),
              Line(
                points={{80,50},{40,50}},
                color={0,0,255},
                smooth=Smooth.None),
              Line(
                points={{80,0},{40,0}},
                color={0,0,255},
                smooth=Smooth.None),
              Ellipse(extent={{-44,4},{-36,-4}}, lineColor={0,0,255}),
              Line(
                points={{40,50},{-36,2}},
                color={0,0,255},
                smooth=Smooth.None),
              Text(
                extent={{56,62},{90,38}},
                lineColor={0,0,255},
                textString="1"),
              Text(
                extent={{56,12},{90,-12}},
                lineColor={0,0,255},
                textString="2")}));
      end IdealCommutingSwitch;

      model MPPT
        "like 'idealMPPT' but with an adjustable efficiency factor - calculation of the inner resistance have to be in the main system: load matching: R_inner = ideal_MPPT.R"

        //Copyright (C) 2015-2017 Chair of Automation and Energy Systems, Saarland University (for more information see 'Documentation')

      //parameter definition*********************************************************/
        parameter Real eta = 0.8 "efficiency factor";
      //*****************************************************************************/

      //used components**************************************************************/
        Modelica.Electrical.Analog.Basic.VariableResistor
                                                  Load_resistor
          annotation (Placement(transformation(extent={{-56,-14},{-28,14}})));
        Modelica.Electrical.Analog.Sensors.VoltageSensor voltageSensor
          annotation (Placement(transformation(extent={{-52,-50},{-28,-26}})));
        Modelica.Electrical.Analog.Sensors.CurrentSensor currentSensor
          annotation (Placement(transformation(extent={{0,-12},{24,12}})));
        Modelica.Electrical.Analog.Basic.Ground ground
          annotation (Placement(transformation(extent={{38,-46},{62,-22}})));
        Modelica.Electrical.Analog.Interfaces.PositivePin p1
          "Positive pin (potential p.v > n.v for positive voltage drop v)"
          annotation (Placement(transformation(extent={{-110,-10},{-90,10}})));
        Modelica.Electrical.Analog.Interfaces.NegativePin n1 "negative pin"
          annotation (Placement(transformation(extent={{90,-10},{110,10}})));
        Modelica.Blocks.Math.Product product1 annotation (Placement(transformation(
              extent={{-10,-10},{10,10}},
              rotation=270,
              origin={0,-70})));
        Modelica.Blocks.Interfaces.RealOutput electrical_Power
          "Connector of Real output signal" annotation (Placement(transformation(
              extent={{-10,-10},{10,10}},
              rotation=270,
              origin={0,-106}), iconTransformation(
              extent={{-10,-10},{10,10}},
              rotation=270,
              origin={0,-50})));
        Modelica.Blocks.Interfaces.RealInput R annotation (Placement(transformation(
              extent={{-20,-20},{20,20}},
              rotation=270,
              origin={-42,48}), iconTransformation(
              extent={{-10,-10},{10,10}},
              rotation=270,
              origin={-30,18})));
        Modelica.Blocks.Math.Product product2 annotation (Placement(transformation(
              extent={{-10,-10},{10,10}},
              rotation=270,
              origin={36,-82})));
        Modelica.Blocks.Sources.Constant const(k=eta) annotation (Placement(
              transformation(
              extent={{-10,-10},{10,10}},
              rotation=270,
              origin={70,-50})));
        extends Cost.ConditionalCostPortDevice;
      //*****************************************************************************/

      //equations********************************************************************/
      equation

        //cost equations
        QHeat = 0;
        electPowerOut = electrical_Power;
        electPowerIn = 0;
        //end cost equations
        connect(Load_resistor.p, p1) annotation (Line(
            points={{-56,1.77636e-015},{-78,1.77636e-015},{-78,0},{-100,0}},
            color={0,0,255},
            smooth=Smooth.None));
        connect(voltageSensor.p, Load_resistor.p) annotation (Line(
            points={{-52,-38},{-74,-38},{-74,1.77636e-015},{-56,1.77636e-015}},
            color={0,0,255},
            smooth=Smooth.None));
        connect(Load_resistor.n, currentSensor.p) annotation (Line(
            points={{-28,1.77636e-015},{-14,1.77636e-015},{-14,0},{0,0}},
            color={0,0,255},
            smooth=Smooth.None));
        connect(voltageSensor.n, Load_resistor.n) annotation (Line(
            points={{-28,-38},{-14,-38},{-14,1.77636e-015},{-28,1.77636e-015}},
            color={0,0,255},
            smooth=Smooth.None));
        connect(currentSensor.n, n1) annotation (Line(
            points={{24,0},{100,0}},
            color={0,0,255},
            smooth=Smooth.None));
        connect(ground.p, currentSensor.n) annotation (Line(
            points={{50,-22},{50,0},{24,0}},
            color={0,0,255},
            smooth=Smooth.None));
        connect(voltageSensor.v, product1.u2) annotation (Line(
            points={{-40,-50},{-6,-50},{-6,-58}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(currentSensor.i, product1.u1) annotation (Line(
            points={{12,-12},{10,-12},{10,-48},{6,-48},{6,-58}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(Load_resistor.R, R) annotation (Line(
            points={{-42,15.4},{-42,48}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(product2.y, electrical_Power) annotation (Line(points={{36,-93},{36,-93},
                {36,-96},{14,-96},{14,-90},{0,-90},{0,-106}}, color={0,0,127}));
        connect(product1.y, product2.u2) annotation (Line(points={{0,-81},{0,-81},{0,-84},
                {0,-86},{20,-86},{20,-60},{30,-60},{30,-70}}, color={0,0,127}));
        connect(product2.u1, const.y) annotation (Line(points={{42,-70},{42,-70},
                {42,-66},{42,-64},{70,-64},{70,-61}}, color={0,0,127}));
      //*****************************************************************************/
      annotation (Documentation(info="<html>
   <p>
**************************************************************************** <br>
  <b> Copyright (C) 2015-2017 Chair of Automation and Energy Systems, Saarland University </b> <br>
------------------------------------------------------------------------------------------------------------------ <br>
  This file is part of EHSTEG. <p>                    
  
  For more information see <a href=\"//EHSTEG.UsersGuide\">User's Guide</a> <p>
  
**************************************************************************** <p>
</html>
"),                 Diagram(coordinateSystem(preserveAspectRatio=false, extent={{-100,
                  -100},{100,100}})),  Icon(coordinateSystem(preserveAspectRatio=false,
                extent={{-100,-100},{100,100}}),
                                            graphics={
              Line(
                points={{-90,0},{-40,0}},
                color={0,0,255},
                thickness=0.5,
                smooth=Smooth.None),
              Line(
                points={{40,0},{90,0}},
                color={0,0,255},
                thickness=0.5,
                smooth=Smooth.None),
              Rectangle(
                extent={{-40,20},{40,-20}},
                lineColor={0,0,255},
                lineThickness=0.5),
              Text(
                extent={{-20,8},{22,-6}},
                lineColor={0,0,255},
                lineThickness=0.5,
                fillColor={0,0,255},
                fillPattern=FillPattern.Solid,
                textString="MPPT"),
              Line(
                points={{0,-40},{0,-20}},
                color={0,0,255},
                thickness=0.5,
                smooth=Smooth.None),
              Text(
                extent={{0,-46},{42,-54}},
                lineColor={0,0,255},
                lineThickness=0.5,
                fillColor={0,0,255},
                fillPattern=FillPattern.Solid,
                textString="Power")}));
      end MPPT;

      model IdealMPPT
        "as 'power_measurement' but with variable resistance - calculation of the inner resistance have to be in the main system: load matching: R_inner = ideal_MPPT.R"

        //Copyright (C) 2015-2017 Chair of Automation and Energy Systems, Saarland University (for more information see 'Documentation')

      //used components**************************************************************/
        Modelica.Electrical.Analog.Basic.VariableResistor
                                                  Load_resistor
          annotation (Placement(transformation(extent={{-56,-14},{-28,14}})));
        Modelica.Electrical.Analog.Sensors.VoltageSensor voltageSensor
          annotation (Placement(transformation(extent={{-52,-50},{-28,-26}})));
        Modelica.Electrical.Analog.Sensors.CurrentSensor currentSensor
          annotation (Placement(transformation(extent={{0,-12},{24,12}})));
        Modelica.Electrical.Analog.Basic.Ground ground
          annotation (Placement(transformation(extent={{38,-46},{62,-22}})));
        Modelica.Electrical.Analog.Interfaces.PositivePin p1
          "Positive pin (potential p.v > n.v for positive voltage drop v)"
          annotation (Placement(transformation(extent={{-110,-10},{-90,10}})));
        Modelica.Electrical.Analog.Interfaces.NegativePin n1 "negative pin"
          annotation (Placement(transformation(extent={{90,-10},{110,10}})));
        Modelica.Blocks.Math.Product product1 annotation (Placement(transformation(
              extent={{-10,-10},{10,10}},
              rotation=270,
              origin={0,-70})));
        Modelica.Blocks.Interfaces.RealOutput electrical_Power
          "Connector of Real output signal" annotation (Placement(transformation(
              extent={{-10,-10},{10,10}},
              rotation=270,
              origin={0,-106}), iconTransformation(
              extent={{-10,-10},{10,10}},
              rotation=270,
              origin={0,-50})));
        Modelica.Blocks.Interfaces.RealInput R annotation (Placement(transformation(
              extent={{-20,-20},{20,20}},
              rotation=270,
              origin={-42,48}), iconTransformation(
              extent={{-10,-10},{10,10}},
              rotation=270,
              origin={-30,18})));
        extends Cost.ConditionalCostPortDevice;
      //*****************************************************************************/

      //equations********************************************************************/
      equation

        //cost equations
        QHeat = 0;
        electPowerOut = electrical_Power;
        electPowerIn = 0;
        //end cost equations

        connect(Load_resistor.p, p1) annotation (Line(
            points={{-56,1.77636e-015},{-78,1.77636e-015},{-78,0},{-100,0}},
            color={0,0,255},
            smooth=Smooth.None));
        connect(voltageSensor.p, Load_resistor.p) annotation (Line(
            points={{-52,-38},{-74,-38},{-74,1.77636e-015},{-56,1.77636e-015}},
            color={0,0,255},
            smooth=Smooth.None));
        connect(Load_resistor.n, currentSensor.p) annotation (Line(
            points={{-28,1.77636e-015},{-14,1.77636e-015},{-14,0},{0,0}},
            color={0,0,255},
            smooth=Smooth.None));
        connect(voltageSensor.n, Load_resistor.n) annotation (Line(
            points={{-28,-38},{-14,-38},{-14,1.77636e-015},{-28,1.77636e-015}},
            color={0,0,255},
            smooth=Smooth.None));
        connect(currentSensor.n, n1) annotation (Line(
            points={{24,0},{100,0}},
            color={0,0,255},
            smooth=Smooth.None));
        connect(ground.p, currentSensor.n) annotation (Line(
            points={{50,-22},{50,0},{24,0}},
            color={0,0,255},
            smooth=Smooth.None));
        connect(voltageSensor.v, product1.u2) annotation (Line(
            points={{-40,-50},{-6,-50},{-6,-58}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(currentSensor.i, product1.u1) annotation (Line(
            points={{12,-12},{10,-12},{10,-48},{6,-48},{6,-58}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(product1.y, electrical_Power) annotation (Line(
            points={{-2.02067e-015,-81},{-2.02067e-015,-90.5},{0,-90.5},{0,-106}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(Load_resistor.R, R) annotation (Line(
            points={{-42,15.4},{-42,48}},
            color={0,0,127},
            smooth=Smooth.None));
      //*****************************************************************************/

      annotation (Documentation(info="<html>
   <p>
**************************************************************************** <br>
  <b> Copyright (C) 2015-2017 Chair of Automation and Energy Systems, Saarland University </b> <br>
------------------------------------------------------------------------------------------------------------------ <br>
  This file is part of EHSTEG. <p>                    
  
  For more information see <a href=\"//EHSTEG.UsersGuide\">User's Guide</a> <p>
  
**************************************************************************** <p>
</html>
"),                 Diagram(coordinateSystem(preserveAspectRatio=false, extent={{-100,
                  -100},{100,100}})),  Icon(coordinateSystem(preserveAspectRatio=false,
                extent={{-100,-100},{100,100}}),
                                            graphics={
              Line(
                points={{-90,0},{-40,0}},
                color={0,0,255},
                thickness=0.5,
                smooth=Smooth.None),
              Line(
                points={{40,0},{90,0}},
                color={0,0,255},
                thickness=0.5,
                smooth=Smooth.None),
              Rectangle(
                extent={{-40,20},{40,-20}},
                lineColor={0,0,255},
                lineThickness=0.5),
              Text(
                extent={{-20,8},{22,-6}},
                lineColor={0,0,255},
                lineThickness=0.5,
                fillColor={0,0,255},
                fillPattern=FillPattern.Solid,
                textString="ideal 
MPPT"),       Line(
                points={{0,-40},{0,-20}},
                color={0,0,255},
                thickness=0.5,
                smooth=Smooth.None),
              Text(
                extent={{0,-46},{42,-54}},
                lineColor={0,0,255},
                lineThickness=0.5,
                fillColor={0,0,255},
                fillPattern=FillPattern.Solid,
                textString="Power")}));
      end IdealMPPT;

      model PowerMeasurement
        "simple power measurement for given load resistance"

        //Copyright (C) 2015-2017 Chair of Automation and Energy Systems, Saarland University (for more information see 'Documentation')

      //import***********************************************************************/
          import Modelica.SIunits.*;
      //*****************************************************************************/

      //parameter definition*********************************************************/
      parameter Resistance R = 2.458 "load resistance"; // Ohm
      parameter Temperature T_0 = 295.15 "reference temperature"; // K
      //*****************************************************************************/

      //used components**************************************************************/
        Modelica.Electrical.Analog.Basic.Resistor Load_resistor(R=R, T_ref=T_0)
          annotation (Placement(transformation(extent={{-56,-14},{-28,14}})));
        Modelica.Electrical.Analog.Sensors.VoltageSensor voltageSensor
          annotation (Placement(transformation(extent={{-52,-50},{-28,-26}})));
        Modelica.Electrical.Analog.Sensors.CurrentSensor currentSensor
          annotation (Placement(transformation(extent={{0,-12},{24,12}})));
        Modelica.Electrical.Analog.Basic.Ground ground
          annotation (Placement(transformation(extent={{38,-46},{62,-22}})));
        Modelica.Electrical.Analog.Interfaces.PositivePin p1
          "Positive pin (potential p.v > n.v for positive voltage drop v)"
          annotation (Placement(transformation(extent={{-110,-10},{-90,10}})));
        Modelica.Electrical.Analog.Interfaces.NegativePin n1 "negative pin"
          annotation (Placement(transformation(extent={{90,-10},{110,10}})));
        Modelica.Blocks.Math.Product product1 annotation (Placement(transformation(
              extent={{-10,-10},{10,10}},
              rotation=270,
              origin={0,-70})));
        Modelica.Blocks.Interfaces.RealOutput electrical_Power
          "Connector of Real output signal" annotation (Placement(transformation(
              extent={{-10,-10},{10,10}},
              rotation=270,
              origin={0,-106}), iconTransformation(
              extent={{-10,-10},{10,10}},
              rotation=270,
              origin={0,-56})));
        extends Cost.ConditionalCostPortDevice;
      //*****************************************************************************/

      //equations********************************************************************/
      equation

        //cost equations
        QHeat = 0;
        electPowerOut = electrical_Power;
        electPowerIn = 0;
        //end cost equations

        connect(Load_resistor.p, p1) annotation (Line(
            points={{-56,1.77636e-015},{-78,1.77636e-015},{-78,0},{-100,0}},
            color={0,0,255},
            smooth=Smooth.None));
        connect(voltageSensor.p, Load_resistor.p) annotation (Line(
            points={{-52,-38},{-74,-38},{-74,1.77636e-015},{-56,1.77636e-015}},
            color={0,0,255},
            smooth=Smooth.None));
        connect(Load_resistor.n, currentSensor.p) annotation (Line(
            points={{-28,1.77636e-015},{-14,1.77636e-015},{-14,0},{0,0}},
            color={0,0,255},
            smooth=Smooth.None));
        connect(voltageSensor.n, Load_resistor.n) annotation (Line(
            points={{-28,-38},{-14,-38},{-14,1.77636e-015},{-28,1.77636e-015}},
            color={0,0,255},
            smooth=Smooth.None));
        connect(currentSensor.n, n1) annotation (Line(
            points={{24,0},{100,0}},
            color={0,0,255},
            smooth=Smooth.None));
        connect(ground.p, currentSensor.n) annotation (Line(
            points={{50,-22},{50,0},{24,0}},
            color={0,0,255},
            smooth=Smooth.None));
        connect(voltageSensor.v, product1.u2) annotation (Line(
            points={{-40,-50},{-6,-50},{-6,-58}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(currentSensor.i, product1.u1) annotation (Line(
            points={{12,-12},{10,-12},{10,-48},{6,-48},{6,-58}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(product1.y, electrical_Power) annotation (Line(
            points={{-2.02067e-015,-81},{-2.02067e-015,-90.5},{0,-90.5},{0,-106}},
            color={0,0,127},
            smooth=Smooth.None));
      //*****************************************************************************/
      annotation (Documentation(info="<html>
   <p>
**************************************************************************** <br>
  <b> Copyright (C) 2015-2017 Chair of Automation and Energy Systems, Saarland University </b> <br>
------------------------------------------------------------------------------------------------------------------ <br>
  This file is part of EHSTEG. <p>                    
  
  For more information see <a href=\"//EHSTEG.UsersGuide\">User's Guide</a> <p>
  
**************************************************************************** <p>
</html>
"),                 Diagram(graphics), Icon(graphics={
              Rectangle(
                extent={{-40,20},{40,-20}},
                lineColor={0,0,0},
                lineThickness=0.5),
              Text(
                extent={{-22,6},{24,-6}},
                lineColor={0,0,0},
                lineThickness=1,
                fillPattern=FillPattern.Solid,
                textString="Load"),
              Line(
                points={{-90,0},{-40,0}},
                color={0,0,0},
                thickness=0.5,
                smooth=Smooth.None),
              Line(
                points={{40,0},{90,0}},
                color={0,0,0},
                thickness=0.5,
                smooth=Smooth.None),
              Text(
                extent={{-50,-14},{52,-50}},
                lineColor={0,0,0},
                lineThickness=1,
                fillPattern=FillPattern.Solid,
                textString="P")}));
      end PowerMeasurement;

    annotation (Documentation(info="<html>
   <p>
**************************************************************************** <br>
  <b> Copyright (C) 2015-2017 Chair of Automation and Energy Systems, Saarland University </b> <br>
------------------------------------------------------------------------------------------------------------------ <br>
  This file is part of EHSTEG. <p>                    
  
  For more information see <a href=\"//EHSTEG.UsersGuide\">User's Guide</a> <p>
  
**************************************************************************** <p>
</html>
"));
    end Electrics;

    package HeatSource "different heat sources"

      //Copyright (C) 2015-2017 Chair of Automation and Energy Systems, Saarland University (for more information see 'Documentation')

      model HeatingBoiler
        "simple model of a heating boiler; filled with real data 'Viessmann Vitola-comferral VMO 15'"

        //Copyright (C) 2015-2017 Chair of Automation and Energy Systems, Saarland University (for more information see 'Documentation')

      //import***********************************************************************/
          import Modelica.SIunits.*;
      //*****************************************************************************/

      //parameter definition*********************************************************/
        parameter Pressure p_a_pump = 110000 "nominal pump inlet pressure"; // Pa
        parameter Pressure p_b_pump = 130000 "nominal pump outlet pressure"; // Pa
        parameter MassFlowRate m_flow_pump = 0.0815 "nominal mass flow rate"; // kg/s
        parameter Length length_pipe = 0.5 "length of 'heating' pipe"; // m
        parameter Diameter diameter_pipe = 0.13 "diameter of 'heating' pipe"; // m
        replaceable package Medium =
        Modelica.Media.IdealGases.MixtureGases.CombustionAir constrainedby
          Modelica.Media.Interfaces.PartialMedium
          "exhaust gas medium in boiler"                                          annotation (choicesAllMatching = true);
      //*****************************************************************************/

      //used components**************************************************************/
        Modelica.Fluid.Machines.ControlledPump pump(
          redeclare package Medium = Medium,
          N_nominal=1500,
          use_T_start=true,
          T_start=Modelica.SIunits.Conversions.from_degC(40),
          m_flow_start=0.01,
          control_m_flow=false,
          allowFlowReversal=false,
          p_a_nominal=p_a_pump,
          p_b_nominal=p_b_pump,
          m_flow_nominal=m_flow_pump,
          p_a_start=110000,
          p_b_start=130000)   annotation (Placement(transformation(extent={{-32,-40},{
                  -12,-20}},      rotation=0)));
        Modelica.Fluid.Pipes.DynamicPipe heater(
          redeclare package Medium = Medium,
          use_T_start=true,
          T_start=Modelica.SIunits.Conversions.from_degC(80),
          redeclare model HeatTransfer =
              Modelica.Fluid.Pipes.BaseClasses.HeatTransfer.IdealFlowHeatTransfer,
          nNodes=1,
          redeclare model FlowModel =
              Modelica.Fluid.Pipes.BaseClasses.FlowModels.DetailedPipeFlow,
          modelStructure=Modelica.Fluid.Types.ModelStructure.a_v_b,
          length=length_pipe,
          diameter=diameter_pipe,
          use_HeatTransfer=false,
          p_a_start=130000) annotation (Placement(transformation(extent={{44,-40},{64,
                  -20}},     rotation=0)));
        Modelica.Fluid.Interfaces.FluidPort_b port_b1(redeclare package Medium
            = Modelica.Media.IdealGases.MixtureGases.CombustionAir)
          "Fluid connector b (positive design flow direction is from port_a to port_b)"
          annotation (Placement(transformation(extent={{70,-10},{90,10}}),
              iconTransformation(extent={{70,-10},{90,10}})));
        Modelica.Fluid.Sources.Boundary_pT boundary(                nPorts=1,
          use_T_in=true,
          redeclare package Medium =
              Modelica.Media.IdealGases.MixtureGases.CombustionAir)
          annotation (Placement(transformation(extent={{-72,-40},{-52,-20}})));
        Modelica.Blocks.Math.Add Celsius_to_Kelvin
          annotation (Placement(transformation(extent={{-40,40},{-20,60}})));
        Modelica.Blocks.Sources.Constant conversion_factor(k=273.15)
          annotation (Placement(transformation(extent={{-72,20},{-52,40}})));
        Modelica.Blocks.Tables.CombiTable1Ds real_heating_behavior(table=[0,40.9;
              120,121.45; 240,145.25; 360,157.2; 480,164.85; 600,168.45; 720,
              171.55; 840,174; 960,176.05; 1080,177.7; 1200,179.2; 1320,180.55;
              1440,181.7; 1560,182.8; 1680,183.7; 1800,179.85; 1920,114.35; 2040,
              85.4])
          annotation (Placement(transformation(extent={{-72,60},{-52,80}})));
        Modelica.Blocks.Sources.Clock simulation_time
          annotation (Placement(transformation(extent={{-100,80},{-80,100}})));
        Modelica.Blocks.Sources.Constant shift_Temp(k=-17)
          "measure in the middle, estimate temperature at the beginning"
          annotation (Placement(transformation(extent={{-40,14},{-20,34}})));
        Modelica.Blocks.Math.Add add
          annotation (Placement(transformation(extent={{0,20},{20,40}})));
        Modelica.Fluid.Sensors.Temperature temperature(redeclare package Medium
            = Modelica.Media.IdealGases.MixtureGases.CombustionAir)
          annotation (Placement(transformation(extent={{74,-48},{94,-28}})));
        extends Cost.ConditionalCostPortDevice;
      //*****************************************************************************/

      //equations********************************************************************/
      equation

        //cost equations
        QHeat = 0;
        electPowerOut = 0;
        electPowerIn = 0;
        //end cost equations

        connect(pump.port_b,heater. port_a) annotation (Line(
            points={{-12,-30},{44,-30}},
            color={0,127,255},
            smooth=Smooth.None));
        connect(heater.port_b, port_b1) annotation (Line(
            points={{64,-30},{72,-30},{72,0},{80,0}},
            color={0,127,255},
            smooth=Smooth.None));
        connect(boundary.ports[1], pump.port_a) annotation (Line(
            points={{-52,-30},{-32,-30}},
            color={0,127,255},
            smooth=Smooth.None));
        connect(Celsius_to_Kelvin.u2, conversion_factor.y) annotation (Line(
            points={{-42,44},{-48,44},{-48,30},{-51,30}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(real_heating_behavior.y[1], Celsius_to_Kelvin.u1) annotation (
            Line(
            points={{-51,70},{-48,70},{-48,56},{-42,56}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(shift_Temp.y, add.u2) annotation (Line(
            points={{-19,24},{-2,24}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(Celsius_to_Kelvin.y, add.u1) annotation (Line(
            points={{-19,50},{-12,50},{-12,36},{-2,36}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(simulation_time.y, real_heating_behavior.u) annotation (Line(
            points={{-79,90},{-78,90},{-78,70},{-74,70}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(add.y, boundary.T_in) annotation (Line(
            points={{21,30},{28,30},{28,0},{-90,0},{-90,-26},{-74,-26}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(temperature.port, port_b1) annotation (Line(
            points={{84,-48},{72,-48},{72,0},{80,0}},
            color={0,127,255},
            smooth=Smooth.None));
      //*****************************************************************************/
      annotation (Documentation(info="<html>
   <p>
**************************************************************************** <br>
  <b> Copyright (C) 2015-2017 Chair of Automation and Energy Systems, Saarland University </b> <br>
------------------------------------------------------------------------------------------------------------------ <br>
  This file is part of EHSTEG. <p>                    
  
  For more information see <a href=\"//EHSTEG.UsersGuide\">User's Guide</a> <p>
  
**************************************************************************** <p>
</html>
"),                 Icon(coordinateSystem(preserveAspectRatio=false, extent={{-100,-100},
                  {100,100}}), graphics={
              Rectangle(
                extent={{-80,70},{80,-72}},
                lineColor={0,0,0},
                fillColor={255,128,0},
                fillPattern=FillPattern.Solid),
              Rectangle(
                extent={{-70,-72},{70,-90}},
                lineColor={0,0,0},
                fillColor={255,170,85},
                fillPattern=FillPattern.Solid),
              Rectangle(
                extent={{-60,-90},{-40,-100}},
                lineColor={0,0,0},
                fillColor={0,0,0},
                fillPattern=FillPattern.Solid),
              Rectangle(
                extent={{40,-90},{60,-100}},
                lineColor={0,0,0},
                fillColor={0,0,0},
                fillPattern=FillPattern.Solid),
              Rectangle(
                extent={{-80,70},{-20,90}},
                lineColor={0,0,0},
                fillPattern=FillPattern.Solid,
                fillColor={0,0,255}),
              Rectangle(
                extent={{-62,40},{38,-60}},
                lineColor={0,0,0},
                fillColor={255,255,255},
                fillPattern=FillPattern.Solid,
                lineThickness=0.5),
              Polygon(
                points={{-62,-60},{-60,-32},{-56,-38},{-54,-2},{-44,-20},{-36,12},{-30,
                    -18},{-14,16},{-6,0},{4,18},{10,-20},{24,-2},{26,-32},{36,-24},{38,
                    -60},{-62,-60}},
                lineColor={255,0,0},
                lineThickness=0.5,
                smooth=Smooth.None,
                fillColor={255,0,0},
                fillPattern=FillPattern.Solid),
              Polygon(
                points={{-56,-56},{-58,-40},{-52,-44},{-52,-18},{-40,-32},{-36,-8},{-30,
                    -28},{-16,4},{-4,-12},{2,6},{10,-30},{20,-14},{24,-38},{32,-34},{36,
                    -56},{-56,-56}},
                lineColor={255,128,0},
                lineThickness=0.5,
                smooth=Smooth.None,
                fillColor={255,128,0},
                fillPattern=FillPattern.Solid),
              Polygon(
                points={{-48,-54},{-48,-30},{-38,-38},{-34,-24},{-28,-36},{-14,-8},{-4,
                    -28},{2,-16},{10,-38},{18,-26},{22,-44},{30,-40},{32,-54},{-48,-54}},
                lineColor={255,255,0},
                lineThickness=0.5,
                smooth=Smooth.None,
                fillColor={255,255,0},
                fillPattern=FillPattern.Solid),
              Line(
                points={{-60,6},{-38,36}},
                color={0,0,0},
                smooth=Smooth.None),
              Line(
                points={{-58,-16},{-22,34}},
                color={0,0,0},
                smooth=Smooth.None),
              Line(
                points={{-54,-40},{-4,34}},
                color={0,0,0},
                smooth=Smooth.None),
              Line(
                points={{-40,-50},{14,30}},
                color={0,0,0},
                smooth=Smooth.None),
              Line(
                points={{-22,-50},{28,28}},
                color={0,0,0},
                smooth=Smooth.None),
              Line(
                points={{-4,-50},{32,0}},
                color={0,0,0},
                smooth=Smooth.None),
              Line(
                points={{14,-50},{36,-18}},
                color={0,0,0},
                smooth=Smooth.None)}), Diagram(coordinateSystem(preserveAspectRatio=false,
                extent={{-100,-100},{100,100}}), graphics));
      end HeatingBoiler;

      model HeatingPlate
        "model of a heating plate - temperature values are given from measurements"

        //Copyright (C) 2015-2017 Chair of Automation and Energy Systems, Saarland University (for more information see 'Documentation')

      //used components**************************************************************/
        Modelica.Thermal.HeatTransfer.Sources.PrescribedTemperature
          prescribedTemperature annotation (Placement(transformation(
              extent={{-10,-10},{10,10}},
              rotation=90,
              origin={0,-6})));
        Modelica.Blocks.Tables.CombiTable1Ds combiTable1Ds(
          fileName=
              "C:/Users/Nesarajah/Desktop/AUT/TEG/03 Heating Plate/Messung_Herdplatte_14-04-04_1341_Herdplattentemperatur.txt",
          tableOnFile=false,
          table=[0,25.168; 66,43.262; 99,61.715; 128,78.96; 154,93.401; 195,
              114.254; 220,127.255; 257,143.514; 291,157.438; 326,171.961; 368,
              186.551; 394,193.871; 412,198.76; 423,200.392; 442,202.568; 476,
              200.664; 492,199.032; 507,197.945; 528,199.032; 543,200.392; 560,
              200.936; 574,200.12; 583,198.76; 592,197.945; 613,198.488; 618,
              199.032; 630,200.392; 641,201.208; 670,200.392; 681,199.304; 690,
              198.488; 707,199.032; 717,200.12; 729,201.208; 773,201.752; 782,
              200.392; 802,198.488; 811,197.945; 827,197.13; 841,198.217; 849,
              199.032; 863,200.664; 874,199.032; 889,195.5; 897,194.414; 906,
              193.328; 917,192.785; 949,194.957; 958,196.315; 973,197.673; 980,
              199.304; 986,200.12; 1005,202.296; 1025,202.024; 1045,200.12; 1061,
              199.576; 1081,200.664; 1095,201.752; 1113,202.568; 1142,199.848;
              1175,200.664; 1205,204.746; 1234,206.926; 1258,208.834; 1283,
              209.652; 1319,209.925; 1337,209.652; 1362,207.743; 1378,205.291;
              1416,201.752; 1431,199.848; 1450,195.771; 1476,184.927; 1495,
              178.167; 1520,170.075; 1550,166.037; 1570,163.347; 1593,160.928;
              1616,157.975; 1649,154.219; 1692,148.594; 1726,144.583; 1779,
              136.841; 1813,132.843; 1831,130.447; 1855,128.053; 1869,126.192;
              1891,123.535; 1917,120.881; 1930,119.024])
          annotation (Placement(transformation(extent={{-40,-80},{-20,-60}})));

        Modelica.Blocks.Sources.Clock clock
          annotation (Placement(transformation(extent={{-80,-80},{-60,-60}})));
        Modelica.Thermal.HeatTransfer.Interfaces.HeatPort_b port1 annotation (
            Placement(transformation(extent={{-10,2},{10,22}}),
              iconTransformation(extent={{-10,2},{10,22}})));
        Modelica.Blocks.Math.Add unit_conversion
          annotation (Placement(transformation(extent={{20,-80},{40,-60}})));
        Modelica.Blocks.Sources.Constant conversion_factor(k=273.15)
          annotation (Placement(transformation(extent={{-12,-100},{8,-80}})));
        Modelica.Blocks.Math.Add estimated_temperature_heating_plate
          annotation (Placement(transformation(extent={{-58,-20},{-38,0}})));
        Modelica.Blocks.Sources.Constant offset(k=5)
          annotation (Placement(transformation(extent={{-100,0},{-80,20}})));
        extends Cost.ConditionalCostPortDevice;
      //*****************************************************************************/

      //equations********************************************************************/
      equation

        //cost equations
        QHeat = 0;
        electPowerOut = 0;
        electPowerIn = 0;
        //end cost equations

        connect(combiTable1Ds.u, clock.y) annotation (Line(
            points={{-42,-70},{-59,-70}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(prescribedTemperature.port, port1) annotation (Line(
            points={{0,4},{0,12}},
            color={191,0,0},
            smooth=Smooth.None));
        connect(combiTable1Ds.y[1], unit_conversion.u1) annotation (Line(
            points={{-19,-70},{0,-70},{0,-64},{18,-64}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(unit_conversion.u2, conversion_factor.y) annotation (Line(
            points={{18,-76},{14,-76},{14,-90},{9,-90}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(unit_conversion.y, estimated_temperature_heating_plate.u2)
          annotation (Line(
            points={{41,-70},{58,-70},{58,-34},{-84,-34},{-84,-16},{-60,-16}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(estimated_temperature_heating_plate.y, prescribedTemperature.T)
          annotation (Line(
            points={{-37,-10},{-26,-10},{-26,-28},{0,-28},{0,-18}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(offset.y, estimated_temperature_heating_plate.u1) annotation (
            Line(
            points={{-79,10},{-70,10},{-70,-4},{-60,-4}},
            color={0,0,127},
            smooth=Smooth.None));
      //*****************************************************************************/

      annotation (Documentation(info="<html>
   <p>
**************************************************************************** <br>
  <b> Copyright (C) 2015-2017 Chair of Automation and Energy Systems, Saarland University </b> <br>
------------------------------------------------------------------------------------------------------------------ <br>
  This file is part of EHSTEG. <p>                    
  
  For more information see <a href=\"//EHSTEG.UsersGuide\">User's Guide</a> <p>
  
**************************************************************************** <p>
</html>
"),                 Icon(coordinateSystem(preserveAspectRatio=false, extent={{
                  -100,-100},{100,100}}), graphics={
              Rectangle(
                extent={{-100,0},{100,-60}},
                lineColor={95,95,95},
                fillPattern=FillPattern.Sphere,
                fillColor={255,255,255}),
              Rectangle(
                extent={{-80,-60},{-40,-72}},
                lineColor={0,0,0},
                fillColor={0,0,0},
                fillPattern=FillPattern.Solid),
              Rectangle(
                extent={{40,-60},{80,-72}},
                lineColor={0,0,0},
                fillColor={0,0,0},
                fillPattern=FillPattern.Solid),
              Ellipse(
                extent={{-80,-10},{80,10}},
                lineColor={0,0,0},
                fillPattern=FillPattern.Sphere,
                fillColor={0,0,0}),
              Ellipse(
                extent={{-80,-6},{80,14}},
                lineColor={0,0,0},
                fillPattern=FillPattern.Sphere,
                fillColor={0,0,0}),
              Rectangle(
                extent={{-80,4},{80,0}},
                lineColor={0,0,0},
                fillPattern=FillPattern.Sphere,
                fillColor={0,0,0}),
              Ellipse(
                extent={{26,-22},{46,-42}},
                lineColor={0,0,0},
                fillPattern=FillPattern.Sphere,
                fillColor={95,95,95}),
              Ellipse(
                extent={{-60,-30},{-56,-34}},
                lineColor={255,128,0},
                fillPattern=FillPattern.Sphere,
                fillColor={255,0,0})}), Diagram(coordinateSystem(
                preserveAspectRatio=false, extent={{-100,-100},{100,100}}),
              graphics));
      end HeatingPlate;

      model HotwindSystem
        "model of the Hotwind System, which plays the role of the heating replica 'Leister Hotwind System 3700 W'"

      //Copyright (C) 2015-2017 Chair of Automation and Energy Systems, Saarland University (for more information see 'Documentation')

      //parameter definition*********************************************************/
      parameter Real VolumeFlow = 480 "adjusted volume flow rate"; // l/min
      parameter Real ConversionMinToSec = 60
          "conversion factor from minutes to seconds";
      parameter Real ConversionDegCToK = 273.15
          "conversion factor from Celsius to Kelvin";
      parameter Modelica.SIunits.AbsolutePressure p_ambient=101325
          "Default ambient pressure"; // Pa
      replaceable package Medium =
            Modelica.Media.IdealGases.MixtureGases.CombustionAir                            constrainedby
          Modelica.Media.Interfaces.PartialMedium
          "ambient medium, here: normal air"                                         annotation (choicesAllMatching = true);
      //*****************************************************************************/

      //variable definition**********************************************************/
        Real Air_Density( start = 0.0012041) "density of medium";
        Medium.ThermodynamicState thermoState "thermodynamic state";
        Modelica.SIunits.SpecificHeatCapacity cp; // J/(kg K)
      //*****************************************************************************/

      //used components**************************************************************/
        Modelica.Fluid.Interfaces.FluidPort_b ports1(redeclare package Medium
            =                                                                   Medium)
          annotation (Placement(transformation(extent={{90,-10},{110,10}})));
        Modelica.Blocks.Tables.CombiTable1Ds Temperature(
          fileName=
              "C:/Users/Marco/Desktop/SVN/Promotion/EHSTEG/Tables/TempHotWind - Messung 2014_02_18.txt",
          tableOnFile=false,
          table=[0,30.5; 20,31.2; 30,34.1; 40,67; 50,88.8; 60,100.5; 70,108.1;
              81,112.3; 91,116.9; 101,119.5; 111,122; 121,125; 131,127.6; 141,
              129.5; 151,131.8; 161,133.7; 171,135.6; 181,137.1; 191,138.5; 201,
              140.3; 211,142; 221,143.1; 231,144.3; 241,145.3; 251,147; 261,
              147.5; 271,149.1; 281,150; 291,151.2; 301,152.1; 311,153.4; 321,
              154; 331,155.5; 341,156; 351,156.5; 361,156.9; 371,157.6; 381,
              158.3; 391,158.6; 401,160.1; 421,160.6; 431,161.8; 441,162.3; 451,
              162.6; 461,162.9; 471,163.2; 481,164; 491,152.3; 501,138.9; 511,
              128.5; 522,120.5; 532,114.1; 542,109; 552,104.8; 562,101.2; 572,
              97.9; 582,94.9; 592,92.3; 602,89.9; 612,87.6; 622,85.6; 632,83.6;
              642,81.7; 652,80; 662,78.3; 672,76.7; 682,75.2; 692,73.8; 702,
              72.5; 712,71.2; 722,70; 732,68.8; 742,67.8; 752,66.7; 762,65.6;
              772,64.6; 782,63.6; 792,62.7; 802,61.8; 812,60.9; 822,60.1; 832,
              59.1; 842,58.4; 852,57.7; 862,57; 872,56.3; 882,55.5; 892,54.8;
              902,54.2; 912,53.6; 922,53.1; 932,52.5; 943,52; 953,51.3; 963,
              50.8; 973,50.3; 983,49.8; 993,49.4; 1003,48.9; 1013,48.4; 1023,48;
              1033,47.6; 1043,47; 1053,46.6; 1063,46.2; 1073,45.8; 1083,45.4;
              1093,45; 1103,44.6; 1113,44.3; 1123,43.9; 1133,43.6; 1143,43.4;
              1153,43; 1163,42.7; 1173,42.4; 1183,42.1; 1193,41.7; 1203,41.5;
              1213,41.2; 1223,40.9; 1243,40.4; 1253,40.1; 1263,39.9; 1283,39.6;
              1303,39.3; 1313,39; 1323,38.7; 1333,38.5; 1343,38.3; 1373,38;
              1383,37.8; 1403,37.4; 1423,37.1; 1433,36.9; 1444,36.6; 1474,36.3;
              1494,35.9; 1514,35.6; 1534,35.4; 1554,35.1; 1574,34.8; 1594,34.5;
              1614,34.2; 1624,34; 1644,33.7; 1664,33.5; 1694,33.3; 1704,33;
              1714,32.8; 1754,32.5; 1774,32.3; 1804,31.9; 1824,31.6; 1874,31.3;
              1914,30.9; 1944,30.6; 1964,30.4; 1974,32.6; 1984,46.2; 1994,77.7;
              2004,94.4; 2014,103.6; 2024,109.8; 2034,114.5; 2045,118; 2055,
              120.8; 2065,123.6; 2075,125.8; 2085,128.3; 2095,130.5; 2105,132.1;
              2115,134.2; 2125,135.8; 2135,137.9; 2145,139.5; 2155,141.2; 2165,
              141.6; 2175,142.8; 2185,144.7; 2195,146.1; 2205,147.5; 2215,148.6;
              2225,149.4; 2235,150.9; 2245,151.5; 2255,152.8; 2265,153.4; 2275,
              154; 2285,155.3; 2295,156.3; 2315,157.7; 2325,158.3; 2335,158.9;
              2355,159.8; 2365,160.1; 2375,161.1; 2385,161.4; 2395,162.2; 2405,
              160.6; 2415,145.3; 2425,132.7; 2435,123.1; 2445,115.5; 2455,109.9;
              2465,105.4; 2475,101.4; 2486,98; 2496,95; 2506,92.3; 2516,89.8;
              2526,87.5; 2536,85.3; 2546,83.4; 2556,81.5; 2566,79.8; 2576,78.1;
              2586,76.6; 2596,75; 2606,73.6; 2616,72.2; 2626,70.8; 2636,69.6;
              2646,68.5; 2656,67.5; 2666,66.3; 2676,65.3; 2686,64.3; 2696,63.3;
              2706,62.3; 2716,61.5; 2726,60.6; 2736,59.7; 2746,59; 2756,58.1;
              2766,57.5; 2776,56.6; 2786,56; 2796,55.3; 2806,54.8; 2816,54.2;
              2826,53.6; 2836,53; 2846,52.4; 2856,51.8; 2866,51.3; 2876,50.6;
              2886,50.1; 2896,49.6; 2906,49.1; 2917,48.6; 2927,48.1; 2937,47.6;
              2947,47.3; 2957,46.9; 2967,46.4; 2977,46; 2987,45.6; 2997,45.1;
              3007,44.7; 3017,44.3; 3027,44; 3037,43.6; 3047,43.4; 3057,43.1;
              3067,42.7; 3077,42.5; 3087,42.1; 3097,41.9; 3107,41.5; 3117,41.2;
              3127,40.9; 3147,40.4; 3157,40.1; 3167,39.9; 3187,39.5; 3197,39.2;
              3207,39; 3217,38.8; 3227,38.5; 3237,38.3; 3267,37.8; 3287,37.5;
              3297,37.3; 3327,37; 3337,36.7; 3357,36.4; 3387,36.1; 3408,35.8;
              3428,35.4; 3448,35.1; 3468,34.9; 3488,34.6; 3498,34.4; 3518,34.1;
              3538,33.8; 3568,33.5; 3588,33.1; 3618,32.8; 3658,32.5; 3668,32.3;
              3688,32; 3718,31.7; 3768,31.3; 3798,31; 3818,30.7; 3868,30.3;
              3908,30; 3948,29.7; 3988,29.4; 4028,32.1; 4039,51.6; 4049,80.6;
              4059,95.5; 4069,104; 4079,110.1; 4089,114.3; 4099,117.3; 4109,
              120.8; 4119,123.7; 4129,125.6; 4139,128.3; 4149,130.8; 4159,132.8;
              4169,134.6; 4179,135.8; 4189,137.1; 4199,138.8; 4209,140.2; 4219,
              142.1; 4229,143.5; 4239,144.7; 4249,145.8; 4259,147.3; 4269,148.4;
              4279,149.1; 4289,149.9; 4299,150.8; 4309,152; 4319,152.9; 4329,
              153.5; 4339,154.3; 4349,155.6; 4359,156.3; 4369,156.9; 4379,157.3;
              4389,158.1; 4399,158.8; 4409,159.1; 4419,160.1; 4429,161.1; 4439,
              161.3; 4449,162; 4459,162.5; 4469,157.5; 4480,142.6; 4490,130.8;
              4500,121.5; 4510,114.5; 4520,109; 4530,104.4; 4540,100.8; 4550,
              97.6; 4560,94.7; 4570,92; 4580,89.5; 4590,87.3; 4600,85.1; 4610,
              83.2; 4620,81.3; 4630,79.4; 4640,77.6; 4650,76; 4660,74.5; 4670,
              73.1; 4680,71.8; 4690,70.4; 4700,69.2; 4710,68.1; 4720,67.1; 4730,
              65.9; 4740,64.9; 4750,64; 4760,63.1; 4770,62.1; 4780,61.3; 4790,
              60.5; 4800,59.6; 4810,58.8; 4820,58; 4830,57.2; 4840,56.5; 4850,
              55.8; 4860,55.3; 4870,54.6; 4880,53.9; 4890,53.2; 4900,52.8; 4910,
              52.1; 4920,51.5; 4930,51; 4941,50.4; 4951,49.9; 4961,49.5; 4971,
              49; 4981,48.5; 4991,48; 5001,47.6; 5011,47.1; 5021,46.6; 5031,
              46.2; 5041,45.7; 5051,45.3; 5061,45; 5071,44.6; 5081,44.2; 5091,
              43.8; 5111,43.3; 5121,42.9; 5131,42.6; 5141,42.3; 5161,41.7; 5171,
              41.5; 5181,41.3; 5191,41; 5201,40.7; 5211,40.4; 5221,40.1; 5231,
              39.9; 5241,39.5; 5251,39.3; 5281,39; 5291,38.8; 5311,38.3; 5321,
              38; 5331,37.8; 5351,37.5; 5361,37.3; 5381,37; 5391,36.7; 5411,
              36.5; 5431,36.2; 5452,36; 5462,35.8; 5482,35.5; 5492,35.3; 5512,
              35; 5522,34.8; 5552,34.5; 5572,34.2; 5592,34; 5602,33.7; 5622,
              33.5; 5632,33.3; 5652,33; 5672,32.8; 5712,32.5; 5722,32.3; 5752,
              32; 5772,31.6; 5792,31.4; 5832,31.1; 5862,30.9; 5892,30.5; 5932,
              30.1; 5972,29.9])
          annotation (Placement(transformation(extent={{-70,-80},{-50,-60}})));
        Modelica.Blocks.Sources.Clock simulation_time
          annotation (Placement(transformation(extent={{-100,-80},{-80,-60}})));
        Modelica.Blocks.Math.Add add
          annotation (Placement(transformation(extent={{0,-80},{20,-60}})));
        Modelica.Blocks.Sources.Constant conversion_factor(k=ConversionDegCToK)
          annotation (Placement(transformation(extent={{-32,-90},{-12,-70}})));
      public
        Modelica.Fluid.Sensors.MassFlowRate
                             sensor_m_flow(redeclare package Medium = Medium)
          annotation (Placement(transformation(extent={{30,-10},{50,10}},  rotation=
                 0)));
        Modelica.Blocks.Sources.Constant VolumeFlowRate(k=VolumeFlow) "[l/min]"
          annotation (Placement(transformation(extent={{-100,60},{-80,80}})));
        Modelica.Blocks.Math.Product MassFlowRate "[kg/min]"
          annotation (Placement(transformation(extent={{-40,60},{-20,80}})));
        Modelica.Blocks.Math.Division division
          annotation (Placement(transformation(extent={{-2,54},{18,74}})));
        Modelica.Blocks.Sources.Constant kg_min_to_kg_s(k=ConversionMinToSec) "[kg/l]"
          annotation (Placement(transformation(extent={{-40,30},{-20,50}})));
        Modelica.Fluid.Sensors.Temperature sensor_temperature(redeclare package
            Medium =                                                                     Medium)
          annotation (Placement(transformation(extent={{56,0},{76,20}})));
        Modelica.Fluid.Sources.MassFlowSource_T boundary(
          redeclare package Medium = Medium,
          use_m_flow_in=true,
          use_T_in=true,
          nPorts=1)
          annotation (Placement(transformation(extent={{-12,-10},{8,10}})));
        extends Components.Cost.ConditionalCostPortDevice;
      //*****************************************************************************/

      //equations********************************************************************/
      equation

        Medium.setState_pTX(p_ambient,add.y)=thermoState;
        Air_Density=Medium.density(thermoState);
        cp =Medium.specificHeatCapacityCp(thermoState);
        MassFlowRate.u2 = Air_Density/1000; //conversion from kg/m^3 to kg/l

        //cost equations
        QHeat = 0;
        electPowerOut = 0;
        electPowerIn = 0;
        //end cost equations

        connect(Temperature.y[1], add.u1) annotation (Line(points={{-49,-70},{-44,-70},
                {-40,-70},{-40,-64},{-2,-64}}, color={0,0,127}));
        connect(conversion_factor.y, add.u2) annotation (Line(points={{-11,-80},{-8,-80},
                {-8,-76},{-2,-76}}, color={0,0,127}));
        connect(ports1, sensor_m_flow.port_b)
          annotation (Line(points={{100,0},{50,0}},        color={0,127,255}));
        connect(VolumeFlowRate.y, MassFlowRate.u1) annotation (Line(points={{-79,70},{
                -60,70},{-60,76},{-42,76}}, color={0,0,127}));
        connect(MassFlowRate.y, division.u1)
          annotation (Line(points={{-19,70},{-11.5,70},{-4,70}}, color={0,0,127}));
        connect(kg_min_to_kg_s.y, division.u2) annotation (Line(points={{-19,40},{-14,
                40},{-12,40},{-12,58},{-4,58}}, color={0,0,127}));
        connect(sensor_m_flow.port_b, sensor_temperature.port)
          annotation (Line(points={{50,0},{66,0}}, color={0,127,255}));
        connect(boundary.m_flow_in, division.y) annotation (Line(points={{-12,8},{-22,
                8},{-22,10},{-22,8},{-34,8},{-34,24},{30,24},{30,64},{19,64}}, color={
                0,0,127}));
        connect(sensor_m_flow.port_a, boundary.ports[1])
          annotation (Line(points={{30,0},{8,0}}, color={0,127,255}));
        connect(simulation_time.y, Temperature.u) annotation (Line(points={{-79,-70},{
                -75.5,-70},{-72,-70}}, color={0,0,127}));
        connect(add.y, boundary.T_in) annotation (Line(points={{21,-70},{28,-70},{40,-70},
                {40,-28},{-34,-28},{-34,4},{-14,4}}, color={0,0,127}));
      //*****************************************************************************/

        annotation (Documentation(info="<html>
   <p>
**************************************************************************** <br>
  <b> Copyright (C) 2015-2017 Chair of Automation and Energy Systems, Saarland University </b> <br>
------------------------------------------------------------------------------------------------------------------ <br>
  This file is part of EHSTEG. <p>                    
  
  For more information see <a href=\"//EHSTEG.UsersGuide\">User's Guide</a> <p>
  
**************************************************************************** <p>
</html>
"),       Diagram(coordinateSystem(preserveAspectRatio=false, extent={{-100,
                  -100},{100,100}})), Icon(coordinateSystem(preserveAspectRatio=false,
                extent={{-100,-100},{100,100}}), graphics={
              Polygon(
                points={{-100,10},{-100,-100},{20,-100},{0,-72},{0,4},{0,30},{-100,10}},
                lineColor={0,0,0},
                fillColor={0,0,0},
                fillPattern=FillPattern.Solid),
              Rectangle(
                extent={{0,20},{100,-20}},
                lineColor={0,0,0},
                fillColor={215,215,215},
                fillPattern=FillPattern.HorizontalCylinder),
              Ellipse(
                extent={{-52,16},{-32,-4}},
                lineColor={0,0,0},
                fillPattern=FillPattern.Solid,
                fillColor={255,0,0}),
              Ellipse(
                extent={{-30,16},{-10,-4}},
                lineColor={0,0,0},
                fillPattern=FillPattern.Solid,
                fillColor={0,0,255}),
              Ellipse(extent={{-90,-20},{-26,-80}}, lineColor={215,215,215}),
              Ellipse(extent={{-78,-30},{-38,-70}}, lineColor={215,215,215}),
              Ellipse(extent={{-68,-40},{-48,-60}}, lineColor={215,215,215})}));
      end HotwindSystem;
    annotation (Documentation(info="<html>
   <p>
**************************************************************************** <br>
  <b> Copyright (C) 2015-2017 Chair of Automation and Energy Systems, Saarland University </b> <br>
------------------------------------------------------------------------------------------------------------------ <br>
  This file is part of EHSTEG. <p>                    
  
  For more information see <a href=\"//EHSTEG.UsersGuide\">User's Guide</a> <p>
  
**************************************************************************** <p>
</html>
"));
    end HeatSource;

    package HeatTransfer "different heat transfer options"

      //Copyright (C) 2015-2017 Chair of Automation and Energy Systems, Saarland University (for more information see 'Documentation')

      model AirGap "model of the air gap between two contact surfaces"

        //Copyright (C) 2015-2017 Chair of Automation and Energy Systems, Saarland University (for more information see 'Documentation')

      //import***********************************************************************/
          import Modelica.SIunits.*;
      //*****************************************************************************/

      //parameter definition*********************************************************/
        parameter ThermalConductivity lambda_Air = 0.0262
          "thermal conductivity";                                                 // W/(m K)
        parameter Area A_Air = 0.04*0.04 "area"; // m^2
        parameter Length d_Air = 0.00002 "length"; // m
      //*****************************************************************************/

      //used components**************************************************************/
        Modelica.Thermal.HeatTransfer.Components.ThermalConductor AirGap(G=lambda_Air*
              A_Air/d_Air) annotation (Placement(transformation(
              extent={{-10,-10},{10,10}},
              rotation=270,
              origin={40,0})));
        Modelica.Thermal.HeatTransfer.Interfaces.HeatPort_a port_a1
          annotation (Placement(transformation(extent={{-10,20},{10,40}}),
              iconTransformation(extent={{-10,20},{10,40}})));
        Modelica.Thermal.HeatTransfer.Interfaces.HeatPort_b port_b1
          annotation (Placement(transformation(extent={{-10,-40},{10,-20}}),
              iconTransformation(extent={{-10,-40},{10,-20}})));
      //*****************************************************************************/

      //equations********************************************************************/
      equation
        connect(port_a1, AirGap.port_a) annotation (Line(
            points={{0,30},{0,50},{40,50},{40,10}},
            color={191,0,0},
            smooth=Smooth.None));
        connect(port_b1, AirGap.port_b) annotation (Line(
            points={{0,-30},{0,-50},{40,-50},{40,-10}},
            color={191,0,0},
            smooth=Smooth.None));
      //*****************************************************************************/
      annotation (Documentation(info="<html>
   <p>
**************************************************************************** <br>
  <b> Copyright (C) 2015-2017 Chair of Automation and Energy Systems, Saarland University </b> <br>
------------------------------------------------------------------------------------------------------------------ <br>
  This file is part of EHSTEG. <p>                    
  
  For more information see <a href=\"//EHSTEG.UsersGuide\">User's Guide</a> <p>
  
**************************************************************************** <p>
</html>
"),                 Diagram(coordinateSystem(preserveAspectRatio=false, extent={{-100,
                  -100},{100,100}}), graphics), Icon(coordinateSystem(
                preserveAspectRatio=false, extent={{-100,-100},{100,100}}),
              graphics={Polygon(
                points={{-100,20},{-100,-20},{-94,-18},{-92,-20},{-86,-20},{-84,-18},{
                    -76,-16},{-74,-18},{-72,-20},{-64,-20},{-56,-18},{-38,-20},{-28,-18},
                    {-22,-18},{-16,-20},{-10,-20},{8,-20},{14,-18},{26,-16},{32,-20},{
                    46,-20},{48,-18},{60,-16},{70,-18},{76,-20},{88,-20},{100,-20},{100,
                    20},{92,20},{90,16},{84,16},{82,20},{74,14},{66,20},{38,16},{24,20},
                    {12,20},{-18,20},{-20,16},{-30,20},{-42,18},{-60,20},{-62,14},{-72,
                    16},{-74,20},{-88,20},{-100,20}},
                smooth=Smooth.Bezier,
                fillColor={188,255,255},
                fillPattern=FillPattern.Solid,
                pattern=LinePattern.None,
                lineColor={0,0,0})}));
      end AirGap;

      package AluminumHalfShell
        "package contains components to model an aluminum half shell"

         //Copyright (C) 2015-2017 Chair of Automation and Energy Systems, Saarland University (for more information see 'Documentation')

        model AluminumHalfShell
          "model of the aluminum half-shell (made by the workshop)"

           //Copyright (C) 2015-2017 Chair of Automation and Energy Systems, Saarland University (for more information see 'Documentation')

        //used components**************************************************************/
          AluminumPlate aluminumPlate
            annotation (Placement(transformation(extent={{50,32},{-50,-28}})));
          AluminumHalfBow aluminumHalfBow annotation (Placement(transformation(
                extent={{-40,-40},{40,40}},
                rotation=0,
                origin={-34,-30})));
          AluminumHalfBow aluminumHalfBow1 annotation (Placement(transformation(
                extent={{40,-40},{-40,40}},
                rotation=0,
                origin={34,-30})));
          Modelica.Thermal.HeatTransfer.Interfaces.HeatPort_b port_b
            annotation (Placement(transformation(extent={{-10,18},{10,38}}),
                iconTransformation(extent={{-10,18},{10,38}})));
          Modelica.Thermal.HeatTransfer.Interfaces.HeatPort_a port_a
            annotation (Placement(transformation(extent={{-10,-74},{10,-54}}),
                iconTransformation(extent={{-10,-30},{10,-10}})));
          Modelica.Thermal.HeatTransfer.Components.Convection convection
            annotation (Placement(transformation(
                extent={{-10,-10},{10,10}},
                rotation=90,
                origin={70,70})));
          Modelica.Blocks.Sources.Constant ConvectionArea(k=2*(0.05*0.015) + (
                0.06*0.015))
            annotation (Placement(transformation(extent={{0,80},{20,100}})));
          Modelica.Blocks.Sources.Constant h(k=12)
            annotation (Placement(transformation(extent={{0,40},{20,60}})));
          Modelica.Blocks.Math.Product product
            annotation (Placement(transformation(extent={{30,60},{50,80}})));
          Modelica.Thermal.HeatTransfer.Interfaces.HeatPort_b fluid1
            annotation (Placement(transformation(extent={{60,80},{80,100}}),
                iconTransformation(extent={{70,6},{90,26}})));
          extends Cost.ConditionalCostPortDevice;
        //*****************************************************************************/

        //equations********************************************************************/
        equation

          //cost equations
          QHeat = port_a.Q_flow;
          electPowerOut = 0;
          electPowerIn = 0;
          //end cost equations

          connect(aluminumHalfBow.port_b1, aluminumPlate.port_a1) annotation (
              Line(points={{-34,-18},{-34,-7},{0,-7}}, color={191,0,0}));
          connect(aluminumHalfBow1.port_b1, aluminumPlate.port_a1) annotation (
              Line(points={{34,-18},{34,-7},{0,-7}}, color={191,0,0}));
          connect(aluminumHalfBow.port_a1, port_a) annotation (Line(points={{-34,-42},
                  {-34,-64},{0,-64}},          color={191,0,0}));
          connect(aluminumHalfBow1.port_a1, port_a) annotation (Line(points={{34,-42},
                  {34,-64},{0,-64}},         color={191,0,0}));
          connect(aluminumPlate.port_b1, port_b)
            annotation (Line(points={{0,11},{0,28}},        color={191,0,0}));
          connect(aluminumPlate.port_a1, port_a) annotation (Line(points={{0,-7},
                  {0,-64},{0,-64}}, color={191,0,0}));
          connect(convection.solid, port_b) annotation (Line(points={{70,60},{
                  70,18},{0,18},{0,28}}, color={191,0,0}));
          connect(h.y, product.u2) annotation (Line(points={{21,50},{28,50},{28,
                  64}}, color={0,0,127}));
          connect(ConvectionArea.y, product.u1) annotation (Line(points={{21,90},
                  {28,90},{28,76}}, color={0,0,127}));
          connect(product.y, convection.Gc) annotation (Line(points={{51,70},{
                  55.5,70},{60,70}}, color={0,0,127}));
          connect(convection.fluid, fluid1)
            annotation (Line(points={{70,80},{70,90}}, color={191,0,0}));
        //*****************************************************************************/

          annotation (Documentation(info="<html>
   <p>
**************************************************************************** <br>
  <b> Copyright (C) 2015-2017 Chair of Automation and Energy Systems, Saarland University </b> <br>
------------------------------------------------------------------------------------------------------------------ <br>
  This file is part of EHSTEG. <p>                    
  
  For more information see <a href=\"//EHSTEG.UsersGuide\">User's Guide</a> <p>
  
**************************************************************************** <p>
</html>
"),         Icon(coordinateSystem(preserveAspectRatio=false),
                graphics={
                Rectangle(
                  extent={{-100,20},{100,0}},
                  lineColor={215,215,215},
                  fillColor={215,215,215},
                  fillPattern=FillPattern.Solid),
                Polygon(
                  points={{-100,0},{-100,-40},{-40,-40},{-34,-26},{-22,-16},{-8,
                      -10},{0,-10},{0,0},{-100,0}},
                  lineColor={215,215,215},
                  fillColor={215,215,215},
                  fillPattern=FillPattern.Solid),
                Polygon(
                  points={{100,0},{100,-40},{40,-40},{34,-26},{22,-16},{8,-10},
                      {0,-10},{0,0},{100,0}},
                  lineColor={215,215,215},
                  fillColor={215,215,215},
                  fillPattern=FillPattern.Solid)}), Diagram(coordinateSystem(
                  preserveAspectRatio=false)));
        end AluminumHalfShell;

        model AluminumHalfBow
          "model of a half of the aluminum bow; part of aluminum half-shell"

            //Copyright (C) 2016 Chair of Automation and Energy Systems, Saarland University (for more information see 'Documentation')

        //import***********************************************************************/
            import Modelica.SIunits.*;
        //*****************************************************************************/

        //parameter definition*********************************************************/
          parameter ThermalConductivity lambda_Al = 235 "thermal conductivity"; // W/(m K)
          parameter Area A_Al = 0.049*0.0115 "area"; // m^2
          parameter Length d_Al = 0.0174 "length"; // m
          parameter Density rho_Al = 2700 "density"; // kg/m^3
          parameter SpecificHeatCapacity cp_Al = 897 "specific heat capacity"; // J/(kg K)
        //*****************************************************************************/

        //used components**************************************************************/
          Modelica.Thermal.HeatTransfer.Components.ThermalConductor thermalConductor(G=
                lambda_Al*A_Al/(d_Al/2))  annotation (Placement(transformation(
                extent={{-10,-10},{10,10}},
                rotation=270,
                origin={0,-30})));
          Modelica.Thermal.HeatTransfer.Components.HeatCapacitor heatCapacitor(C=cp_Al*(
                rho_Al*A_Al*d_Al)) annotation (Placement(transformation(
                extent={{-10,-10},{10,10}},
                rotation=270,
                origin={30,0})));
          Modelica.Thermal.HeatTransfer.Components.ThermalConductor thermalConductor1(G=
                lambda_Al*A_Al/(d_Al/2))  annotation (Placement(transformation(
                extent={{-10,-10},{10,10}},
                rotation=270,
                origin={0,28})));
          Modelica.Thermal.HeatTransfer.Interfaces.HeatPort_a port_a1
            annotation (Placement(transformation(extent={{-56,20},{-36,40}}),
                iconTransformation(extent={{-10,-40},{10,-20}})));
          Modelica.Thermal.HeatTransfer.Interfaces.HeatPort_b port_b1
            annotation (Placement(transformation(extent={{-56,-40},{-36,-20}}),
                iconTransformation(extent={{-10,20},{10,40}})));
        //*****************************************************************************/

        //equations********************************************************************/
        equation
          connect(thermalConductor1.port_b,thermalConductor. port_a) annotation (Line(
              points={{0,18},{0,-20}},
              color={191,0,0},
              smooth=Smooth.None));
          connect(heatCapacitor.port,thermalConductor. port_a) annotation (Line(
              points={{20,0},{0,0},{0,-20}},
              color={191,0,0},
              smooth=Smooth.None));
          connect(thermalConductor.port_b,port_b1)  annotation (Line(
              points={{0,-40},{0,-44},{-46,-44},{-46,-30}},
              color={191,0,0},
              smooth=Smooth.None));
          connect(port_a1,thermalConductor1. port_a) annotation (Line(
              points={{-46,30},{-46,50},{0,50},{0,38}},
              color={191,0,0},
              smooth=Smooth.None));
        //*****************************************************************************/
          annotation (Documentation(info="<html>
   <p>
**************************************************************************** <br>
  <b> Copyright (C) 2015-2017 Chair of Automation and Energy Systems, Saarland University </b> <br>
------------------------------------------------------------------------------------------------------------------ <br>
  This file is part of EHSTEG. <p>                    
  
  For more information see <a href=\"//EHSTEG.UsersGuide\">User's Guide</a> <p>
  
**************************************************************************** <p>
</html>
"),         Icon(coordinateSystem(preserveAspectRatio=false),
                graphics={Polygon(
                  points={{-40,20},{-40,-20},{0,-20},{8,-6},{16,2},{28,10},{40,
                      14},{50,18},{60,20},{-40,20}},
                  lineColor={215,215,215},
                  fillColor={215,215,215},
                  fillPattern=FillPattern.Solid)}),                       Diagram(
                coordinateSystem(preserveAspectRatio=false)));
        end AluminumHalfBow;

        model AluminumPlate
          "model of the aluminum plate; part of the aluminum half-shell"

            //Copyright (C) 2015-2017 Chair of Automation and Energy Systems, Saarland University (for more information see 'Documentation')

        //import***********************************************************************/
            import Modelica.SIunits.*;
        //*****************************************************************************/

        //parameter definition*********************************************************/
          parameter ThermalConductivity lambda_Al = 235 "thermal conductivity"; // W/(m K)
          parameter Area A_Al = 0.06*0.049 "area"; // m^2
          parameter Length d_Al = 0.015 "length"; // m
          parameter Density rho_Al = 2700 "density"; // kg/m^3
          parameter SpecificHeatCapacity cp_Al = 897 "specific heat capacity"; // J/(kg K)
        //*****************************************************************************/

        //used components**************************************************************/
          Modelica.Thermal.HeatTransfer.Components.ThermalConductor thermalConductor(G=
                lambda_Al*A_Al/(d_Al/2))  annotation (Placement(transformation(
                extent={{-10,-10},{10,10}},
                rotation=270,
                origin={0,-30})));
          Modelica.Thermal.HeatTransfer.Components.HeatCapacitor heatCapacitor(C=cp_Al*(
                rho_Al*A_Al*d_Al)) annotation (Placement(transformation(
                extent={{-10,-10},{10,10}},
                rotation=270,
                origin={30,0})));
          Modelica.Thermal.HeatTransfer.Components.ThermalConductor thermalConductor1(G=
                lambda_Al*A_Al/(d_Al/2))  annotation (Placement(transformation(
                extent={{-10,-10},{10,10}},
                rotation=270,
                origin={0,28})));
          Modelica.Thermal.HeatTransfer.Interfaces.HeatPort_a port_a1
            annotation (Placement(transformation(extent={{-56,20},{-36,40}}),
                iconTransformation(extent={{-10,20},{10,40}})));
          Modelica.Thermal.HeatTransfer.Interfaces.HeatPort_b port_b1
            annotation (Placement(transformation(extent={{-56,-40},{-36,-20}}),
                iconTransformation(extent={{-10,-40},{10,-20}})));
        //*****************************************************************************/

        //equations********************************************************************/
        equation
          connect(thermalConductor1.port_b,thermalConductor. port_a) annotation (Line(
              points={{0,18},{0,-20}},
              color={191,0,0},
              smooth=Smooth.None));
          connect(heatCapacitor.port,thermalConductor. port_a) annotation (Line(
              points={{20,0},{0,0},{0,-20}},
              color={191,0,0},
              smooth=Smooth.None));
          connect(thermalConductor.port_b,port_b1)  annotation (Line(
              points={{0,-40},{0,-44},{-46,-44},{-46,-30}},
              color={191,0,0},
              smooth=Smooth.None));
          connect(port_a1,thermalConductor1. port_a) annotation (Line(
              points={{-46,30},{-46,50},{0,50},{0,38}},
              color={191,0,0},
              smooth=Smooth.None));
        //*****************************************************************************/
          annotation (Documentation(info="<html>
   <p>
**************************************************************************** <br>
  <b> Copyright (C) 2015-2017 Chair of Automation and Energy Systems, Saarland University </b> <br>
------------------------------------------------------------------------------------------------------------------ <br>
  This file is part of EHSTEG. <p>                    
  
  For more information see <a href=\"//EHSTEG.UsersGuide\">User's Guide</a> <p>
  
**************************************************************************** <p>
</html>
"),         Icon(coordinateSystem(preserveAspectRatio=false),
                graphics={Rectangle(
                  extent={{-100,20},{100,-20}},
                  lineColor={215,215,215},
                  fillColor={215,215,215},
                  fillPattern=FillPattern.Solid)}),                       Diagram(
                coordinateSystem(preserveAspectRatio=false)));
        end AluminumPlate;

        annotation (Documentation(info="<html>
   <p>
**************************************************************************** <br>
  <b> Copyright (C) 2015-2017 Chair of Automation and Energy Systems, Saarland University </b> <br>
------------------------------------------------------------------------------------------------------------------ <br>
  This file is part of EHSTEG. <p>                    
  
  For more information see <a href=\"//EHSTEG.UsersGuide\">User's Guide</a> <p>
  
**************************************************************************** <p>
</html>
"));
      end AluminumHalfShell;

      model CopperPlate "model of a copper plate"

        //Copyright (C) 2015-2017 Chair of Automation and Energy Systems, Saarland University (for more information see 'Documentation')

      //import***********************************************************************/
          import Modelica.SIunits.*;
      //*****************************************************************************/

      //parameter definition*********************************************************/
        parameter ThermalConductivity lambda_Cu = 400 "thermal conductivity"; // W/(m K)
        parameter Area A_Cu = 0.04*0.04 "area"; // m^2
        parameter Length d_Cu = 0.002 "length"; // m
        parameter Density rho_Cu = 8920 "density"; // kg/m^3
        parameter SpecificHeatCapacity cp_Cu = 385 "specific heat capacity"; // J/(kg K)
      //*****************************************************************************/

      //used components**************************************************************/
        Modelica.Thermal.HeatTransfer.Components.ThermalConductor thermalConductor(G=
              lambda_Cu*A_Cu/(d_Cu/2))  annotation (Placement(transformation(
              extent={{-10,-10},{10,10}},
              rotation=270,
              origin={46,-30})));
        Modelica.Thermal.HeatTransfer.Components.HeatCapacitor heatCapacitor(C=cp_Cu*(
              rho_Cu*A_Cu*d_Cu)) annotation (Placement(transformation(
              extent={{-10,-10},{10,10}},
              rotation=270,
              origin={76,0})));
        Modelica.Thermal.HeatTransfer.Components.ThermalConductor thermalConductor1(G=
              lambda_Cu*A_Cu/(d_Cu/2))  annotation (Placement(transformation(
              extent={{-10,-10},{10,10}},
              rotation=270,
              origin={46,28})));
        Modelica.Thermal.HeatTransfer.Interfaces.HeatPort_a port_a1
          annotation (Placement(transformation(extent={{-10,20},{10,40}}),
              iconTransformation(extent={{-10,20},{10,40}})));
        Modelica.Thermal.HeatTransfer.Interfaces.HeatPort_b port_b1
          annotation (Placement(transformation(extent={{-10,-40},{10,-20}}),
              iconTransformation(extent={{-10,-40},{10,-20}})));
        extends Cost.ConditionalCostPortDevice;
      //*****************************************************************************/

      //equations********************************************************************/
      equation

        //cost equations
        QHeat = port_a1.Q_flow;
        electPowerOut = 0;
        electPowerIn = 0;
        //end cost equations

        connect(thermalConductor1.port_b, thermalConductor.port_a) annotation (Line(
            points={{46,18},{46,-20}},
            color={191,0,0},
            smooth=Smooth.None));
        connect(heatCapacitor.port, thermalConductor.port_a) annotation (Line(
            points={{66,0},{46,0},{46,-20}},
            color={191,0,0},
            smooth=Smooth.None));
        connect(thermalConductor.port_b, port_b1) annotation (Line(
            points={{46,-40},{46,-44},{0,-44},{0,-30}},
            color={191,0,0},
            smooth=Smooth.None));
        connect(port_a1, thermalConductor1.port_a) annotation (Line(
            points={{0,30},{0,50},{46,50},{46,38}},
            color={191,0,0},
            smooth=Smooth.None));
      //*****************************************************************************/
      annotation (Documentation(info="<html>
   <p>
**************************************************************************** <br>
  <b> Copyright (C) 2015-2017 Chair of Automation and Energy Systems, Saarland University </b> <br>
------------------------------------------------------------------------------------------------------------------ <br>
  This file is part of EHSTEG. <p>                    
  
  For more information see <a href=\"//EHSTEG.UsersGuide\">User's Guide</a> <p>
  
**************************************************************************** <p>
</html>
"),                 Diagram(coordinateSystem(preserveAspectRatio=false, extent={{-100,
                  -100},{100,100}}), graphics), Icon(coordinateSystem(
                preserveAspectRatio=false, extent={{-100,-100},{100,100}}),
              graphics={Rectangle(
                extent={{-100,20},{100,-20}},
                pattern=LinePattern.None,
                lineColor={255,128,0},
                fillColor={255,128,0},
                fillPattern=FillPattern.Solid)}));
      end CopperPlate;

      model HTP "model of heat transfer paste"

        //Copyright (C) 2015-2017 Chair of Automation and Energy Systems, Saarland University (for more information see 'Documentation')

      //import***********************************************************************/
          import Modelica.SIunits.*;
      //*****************************************************************************/

      //parameter definition*********************************************************/
        parameter ThermalConductivity lambda_HTP = 10 "thermal conductivity"; // W/(m K)
        parameter Area A_HTP = 0.04*0.04 "area"; // m^2
        parameter Length d_HTP = 0.0005 "length"; // m
      //*****************************************************************************/

      //used components**************************************************************/
        Modelica.Thermal.HeatTransfer.Components.ThermalConductor HTP(G=lambda_HTP*
              A_HTP/d_HTP) annotation (Placement(transformation(
              extent={{-10,-10},{10,10}},
              rotation=270,
              origin={40,0})));
        Modelica.Thermal.HeatTransfer.Interfaces.HeatPort_a port_a1
          annotation (Placement(transformation(extent={{-10,20},{10,40}}),
              iconTransformation(extent={{-10,20},{10,40}})));
        Modelica.Thermal.HeatTransfer.Interfaces.HeatPort_b port_b1
          annotation (Placement(transformation(extent={{-10,-40},{10,-20}}),
              iconTransformation(extent={{-10,-40},{10,-20}})));
        extends Cost.ConditionalCostPortDevice;
      //*****************************************************************************/

      //equations********************************************************************/
      equation

        //cost equations
        QHeat = 0;
        electPowerOut = 0;
        electPowerIn = 0;
        //end cost equations

        connect(port_a1, HTP.port_a) annotation (Line(
            points={{0,30},{0,50},{40,50},{40,10}},
            color={191,0,0},
            smooth=Smooth.None));
        connect(port_b1, HTP.port_b) annotation (Line(
            points={{0,-30},{0,-50},{40,-50},{40,-10}},
            color={191,0,0},
            smooth=Smooth.None));
      //*****************************************************************************/
      annotation (Documentation(info="<html>
   <p>
**************************************************************************** <br>
  <b> Copyright (C) 2015-2017 Chair of Automation and Energy Systems, Saarland University </b> <br>
------------------------------------------------------------------------------------------------------------------ <br>
  This file is part of EHSTEG. <p>                    
  
  For more information see <a href=\"//EHSTEG.UsersGuide\">User's Guide</a> <p>
  
**************************************************************************** <p>
</html>
"),                 Diagram(coordinateSystem(preserveAspectRatio=false, extent={{-100,
                  -100},{100,100}}), graphics), Icon(coordinateSystem(
                preserveAspectRatio=false, extent={{-100,-100},{100,100}}),
              graphics={Polygon(
                points={{-100,20},{-100,-20},{-94,-18},{-92,-20},{-86,-20},{-84,-18},{
                    -76,-16},{-74,-18},{-72,-20},{-64,-20},{-56,-18},{-38,-20},{-28,-18},
                    {-22,-18},{-16,-20},{-10,-20},{8,-20},{14,-18},{26,-16},{32,-20},{
                    46,-20},{48,-18},{60,-16},{70,-18},{76,-20},{88,-20},{100,-20},{100,
                    20},{92,20},{90,16},{84,16},{82,20},{74,14},{66,20},{38,16},{24,20},
                    {12,20},{-18,20},{-20,16},{-30,20},{-42,18},{-60,20},{-62,14},{-72,
                    16},{-74,20},{-88,20},{-100,20}},
                smooth=Smooth.None,
                fillColor={175,175,175},
                fillPattern=FillPattern.Solid,
                pattern=LinePattern.None)}));
      end HTP;

      model PipeSection
        "pipe section consisting of two pipes, one pipe section with heat transfer and one with convection to the surrounding air"

        //Copyright (C) 2015-2017 Chair of Automation and Energy Systems, Saarland University (for more information see 'Documentation')

      //import***********************************************************************/
          import Modelica.SIunits.*;
      //*****************************************************************************/

      //parameter definition*********************************************************/
          parameter Length length_pipe_heat_transfer = 0.04
          "pipe section with heat transfer: length"; // m
          parameter Diameter diameter_pipe_heat_transfer = 0.13
          "pipe section with heat transfer: diameter"; // m
          parameter CoefficientOfHeatTransfer heat_transfer_coeff = 12
          "free convection; value from Dymola"; // W/(m^2 K)
          parameter Length length_pipe_convection = 0.04
          "pipe section with free convection to ambient air: length"; // m
          parameter Diameter diameter_pipe_convection = 0.13
          "pipe section with free convection to ambient air: diameter"; // m
          replaceable package Medium =
            Modelica.Media.IdealGases.MixtureGases.CombustionAir constrainedby
          Modelica.Media.Interfaces.PartialMedium "medium in pipe"  annotation (choicesAllMatching = true);
      //*****************************************************************************/

      //variable definition**********************************************************/
          Length perimeter
          "pipe section with free convection to ambient air: perimeter"; // m
      //*****************************************************************************/

      //used components**************************************************************/
        Modelica.Fluid.Pipes.DynamicPipe pipe_heat_transfer(
          use_T_start=true,
          redeclare package Medium = Medium,
          T_start=Modelica.SIunits.Conversions.from_degC(40),
          nNodes=1,
          redeclare model FlowModel =
              Modelica.Fluid.Pipes.BaseClasses.FlowModels.DetailedPipeFlow,
          use_HeatTransfer=true,
          modelStructure=Modelica.Fluid.Types.ModelStructure.a_v_b,
          redeclare model HeatTransfer =
              Modelica.Fluid.Pipes.BaseClasses.HeatTransfer.IdealFlowHeatTransfer,
          length=length_pipe_heat_transfer,
          diameter=diameter_pipe_heat_transfer,
          p_a_start=110000) "heat transfer through the pipe wall"
                            annotation (Placement(transformation(
              extent={{10,10},{-10,-10}},
              rotation=180,
              origin={-42,0})));
        Modelica.Thermal.HeatTransfer.Components.Convection convection annotation (
            Placement(transformation(
              extent={{-10,-10},{10,10}},
              rotation=90,
              origin={40,26})));
        Modelica.Fluid.Interfaces.FluidPort_a port_a(redeclare package Medium
            = Medium)
          "Fluid connector a (positive design flow direction is from port_a to port_b)"
          annotation (Placement(transformation(extent={{-110,-10},{-90,10}})));
        Modelica.Fluid.Interfaces.FluidPort_b port_b(redeclare package Medium
            = Medium)
          "Fluid connector b (positive design flow direction is from port_a to port_b)"
          annotation (Placement(transformation(extent={{90,-10},{110,10}})));
        Modelica.Thermal.HeatTransfer.Interfaces.HeatPort_a
                                              heatPorts1[1] annotation (Placement(
              transformation(extent={{-46,20},{-38,34}}), iconTransformation(extent={{-70,40},
                  {-50,60}})));
        Modelica.Thermal.HeatTransfer.Interfaces.HeatPort_b fluid annotation (
            Placement(transformation(extent={{50,40},{70,60}}), iconTransformation(
                extent={{50,40},{70,60}})));
        Modelica.Fluid.Pipes.DynamicPipe pipe_convection(
          use_T_start=true,
          redeclare package Medium = Medium,
          T_start=Modelica.SIunits.Conversions.from_degC(40),
          nNodes=1,
          redeclare model FlowModel =
              Modelica.Fluid.Pipes.BaseClasses.FlowModels.DetailedPipeFlow,
          use_HeatTransfer=true,
          modelStructure=Modelica.Fluid.Types.ModelStructure.a_v_b,
          redeclare model HeatTransfer =
              Modelica.Fluid.Pipes.BaseClasses.HeatTransfer.IdealFlowHeatTransfer,
          length=length_pipe_convection,
          diameter=diameter_pipe_convection,
          p_a_start=110000) annotation (Placement(transformation(
              extent={{10,10},{-10,-10}},
              rotation=180,
              origin={40,0})));
        Modelica.Thermal.HeatTransfer.Interfaces.HeatPort_a
                                              heatPorts2[1] annotation (Placement(
              transformation(extent={{-46,-36},{-38,-20}}), iconTransformation(extent={{-70,-60},
                  {-50,-40}})));
        extends Cost.ConditionalCostPortDevice;
      //*****************************************************************************/

      //equations********************************************************************/
      equation
        perimeter = 2*Modelica.Constants.pi*(diameter_pipe_convection/2);
        convection.Gc = (perimeter*length_pipe_convection)*heat_transfer_coeff;

        //cost equations
        QHeat = pipe_heat_transfer.heatPorts[1].Q_flow;
        electPowerOut = 0;
        electPowerIn = 0;
        //end cost equations

        connect(pipe_heat_transfer.port_a, port_a) annotation (Line(
            points={{-52,1.33227e-015},{-82,1.33227e-015},{-82,0},{-100,0}},
            color={0,127,255},
            smooth=Smooth.None));
        connect(convection.fluid, fluid) annotation (Line(
            points={{40,36},{40,50},{60,50}},
            color={191,0,0},
            smooth=Smooth.None));

        connect(pipe_heat_transfer.port_b, pipe_convection.port_a) annotation (Line(
            points={{-32,-1.22125e-015},{-2,-1.22125e-015},{-2,0},{30,0}},
            color={0,127,255},
            smooth=Smooth.None));
        connect(port_b, pipe_convection.port_b) annotation (Line(
            points={{100,0},{50,0}},
            color={0,127,255},
            smooth=Smooth.None));
        connect(convection.solid, pipe_convection.heatPorts[1]) annotation (Line(
            points={{40,16},{40,4.4},{40.1,4.4}},
            color={191,0,0},
            smooth=Smooth.None));
        connect(pipe_heat_transfer.heatPorts[1], heatPorts1[1]) annotation (Line(
            points={{-41.9,4.4},{-41.9,14.2},{-42,14.2},{-42,27}},
            color={127,0,0},
            smooth=Smooth.None));
        connect(pipe_heat_transfer.heatPorts[1], heatPorts2[1]) annotation (Line(
            points={{-41.9,4.4},{-41.9,-12.8},{-42,-12.8},{-42,-28}},
            color={127,0,0},
            smooth=Smooth.None));
      //*****************************************************************************/

      annotation (Documentation(info="<html>
   <p>
**************************************************************************** <br>
  <b> Copyright (C) 2015-2017 Chair of Automation and Energy Systems, Saarland University </b> <br>
------------------------------------------------------------------------------------------------------------------ <br>
  This file is part of EHSTEG. <p>                    
  
  For more information see <a href=\"//EHSTEG.UsersGuide\">User's Guide</a> <p>
  
**************************************************************************** <p>
</html>
"),                 Diagram(coordinateSystem(preserveAspectRatio=false, extent={{-100,
                  -100},{100,100}})),           Icon(coordinateSystem(
                preserveAspectRatio=false, extent={{-100,-100},{100,100}}), graphics={
                Rectangle(
                extent={{-100,40},{100,-40}},
                lineColor={0,0,0},
                fillColor={175,175,175},
                fillPattern=FillPattern.HorizontalCylinder)}));
      end PipeSection;

      model SegmentCoolingAggregate
        "4 segments (one complete circle) of SegmentCoolingAggregate - Fischer Elektronik LA 1 07 Type-B (16 Segments)"

        //Copyright (C) 2015-2017 Chair of Automation and Energy Systems, Saarland University (for more information see 'Documentation')

      //import***********************************************************************/
          import Modelica.SIunits.*;
      //*****************************************************************************/

      //parameter definition*********************************************************/
          replaceable package Medium =
            Modelica.Media.IdealGases.MixtureGases.CombustionAir constrainedby
          Modelica.Media.Interfaces.PartialMedium "medium in pipe"                                                                                                 annotation (choicesAllMatching = true);
          parameter Length l = 0.062375 "pipe length of one section"; // m
          parameter Diameter d = 0.11 "pipe diameter"; // m

          parameter Area A_equivalent = 0.01727788
          "equivalent surface area of one segment"; // m^2
          parameter Thickness d_equivalent = 0.003
          "equivalent thickness of segment";                                          // m
          // One fin: 6.2375cm x 2.77cm x 0.3cm
          // number of fins per segment: ca. 10
          // A_one_fin = 0.001727788 m^2
          // d_one_fin = 0.003 m
          // A_one_segment = A_equivalent = 10*A_one_fin = 0.01727788 m^2
          // d_equivalent = d_one_segment

          parameter ThermalConductivity lambda_Al = 235 "thermal conductivity"; // W/(m K)
          parameter Density rho_Al = 2700 "density"; // kg/m^3
          parameter SpecificHeatCapacity cp_Al = 897 "specific heat capacity"; // J/(kg K)

          parameter ThermalResistance R_seg = 1.75
          "thermal resistance of cooling element of segment cooling aggregate"; // K/W
          // Value range from data sheet and concrete value adjustment by simulation
          // adaptation to measured values
      //*****************************************************************************/

      //variable definition**********************************************************/
          ThermalConductance Gc;
      //*****************************************************************************/

      //used components**************************************************************/
        Modelica.Fluid.Interfaces.FluidPort_a port_a( redeclare package Medium
            =                                                                    Medium)
          annotation (Placement(transformation(extent={{-110,-10},{-90,10}})));
        Modelica.Fluid.Interfaces.FluidPort_b port_b( redeclare package Medium
            =                                                                    Medium)
          annotation (Placement(transformation(extent={{90,-10},{110,10}})));
        Modelica.Fluid.Pipes.DynamicPipe pipe_heat_transfer(
          redeclare package Medium = Medium,
          length=l,
          diameter=d,
          redeclare model FlowModel =
              Modelica.Fluid.Pipes.BaseClasses.FlowModels.DetailedPipeFlow,
          nNodes=1,
          modelStructure=Modelica.Fluid.Types.ModelStructure.a_v_b,
          use_HeatTransfer=true,
          redeclare model HeatTransfer =
              Modelica.Fluid.Pipes.BaseClasses.HeatTransfer.IdealFlowHeatTransfer)
          annotation (Placement(transformation(extent={{-50,-10},{-30,10}})));
        Modelica.Thermal.HeatTransfer.Components.Convection convection_A annotation (
            Placement(transformation(
              extent={{-10,-10},{10,10}},
              rotation=270,
              origin={-40,22})));
        Modelica.Thermal.HeatTransfer.Components.ThermalConductor thermalConductor_A2(G=(
              lambda_Al*A_equivalent/d_equivalent)/2) annotation (Placement(
              transformation(
              extent={{-10,-10},{10,10}},
              rotation=270,
              origin={-40,76})));
        Modelica.Thermal.HeatTransfer.Components.HeatCapacitor heatCapacitor_A(C=cp_Al*(
              rho_Al*A_equivalent*d_equivalent)) annotation (Placement(transformation(
              extent={{-10,-10},{10,10}},
              rotation=270,
              origin={-18,62})));
        Modelica.Thermal.HeatTransfer.Components.ThermalConductor thermalConductor_A1(G=(
              lambda_Al*A_equivalent/d_equivalent)/2) annotation (Placement(
              transformation(
              extent={{-10,-10},{10,10}},
              rotation=270,
              origin={-40,48})));
        Modelica.Thermal.HeatTransfer.Interfaces.HeatPort_a port_a1 annotation (
            Placement(transformation(extent={{-50,84},{-30,104}}), iconTransformation(
                extent={{-50,14},{-30,34}})));
        Modelica.Thermal.HeatTransfer.Components.Convection convection_B annotation (
            Placement(transformation(
              extent={{-10,-10},{10,10}},
              rotation=270,
              origin={36,22})));
        Modelica.Thermal.HeatTransfer.Components.ThermalConductor thermalConductor_B2(G=(
              lambda_Al*A_equivalent/d_equivalent)/2) annotation (Placement(
              transformation(
              extent={{-10,-10},{10,10}},
              rotation=270,
              origin={36,76})));
        Modelica.Thermal.HeatTransfer.Components.HeatCapacitor heatCapacitor_B(C=cp_Al*(
              rho_Al*A_equivalent*d_equivalent)) annotation (Placement(transformation(
              extent={{-10,-10},{10,10}},
              rotation=270,
              origin={58,62})));
        Modelica.Thermal.HeatTransfer.Components.ThermalConductor thermalConductor_B1(G=(
              lambda_Al*A_equivalent/d_equivalent)/2) annotation (Placement(
              transformation(
              extent={{-10,-10},{10,10}},
              rotation=270,
              origin={36,48})));
        Modelica.Thermal.HeatTransfer.Interfaces.HeatPort_a port_a2 annotation (
            Placement(transformation(extent={{26,84},{46,104}}), iconTransformation(
                extent={{30,40},{50,60}})));
        Modelica.Thermal.HeatTransfer.Components.Convection convection_C annotation (
            Placement(transformation(
              extent={{10,10},{-10,-10}},
              rotation=270,
              origin={-40,-28})));
        Modelica.Thermal.HeatTransfer.Components.ThermalConductor thermalConductor_C1(G=(
              lambda_Al*A_equivalent/d_equivalent)/2) annotation (Placement(
              transformation(
              extent={{-10,-10},{10,10}},
              rotation=90,
              origin={-40,-52})));
        Modelica.Thermal.HeatTransfer.Components.ThermalConductor thermalConductor_C2(G=(
              lambda_Al*A_equivalent/d_equivalent)/2) annotation (Placement(
              transformation(
              extent={{-10,-10},{10,10}},
              rotation=90,
              origin={-40,-80})));
        Modelica.Thermal.HeatTransfer.Components.HeatCapacitor heatCapacitor_C(C=cp_Al*(
              rho_Al*A_equivalent*d_equivalent)) annotation (Placement(transformation(
              extent={{-10,-10},{10,10}},
              rotation=270,
              origin={-18,-66})));
        Modelica.Thermal.HeatTransfer.Interfaces.HeatPort_a port_a3 annotation (
            Placement(transformation(extent={{-70,-104},{-50,-84}}),
              iconTransformation(extent={{-50,-60},{-30,-40}})));
        Modelica.Thermal.HeatTransfer.Components.Convection convection_D annotation (
            Placement(transformation(
              extent={{10,10},{-10,-10}},
              rotation=270,
              origin={36,-28})));
        Modelica.Thermal.HeatTransfer.Components.ThermalConductor thermalConductor_D1(G=(
              lambda_Al*A_equivalent/d_equivalent)/2) annotation (Placement(
              transformation(
              extent={{-10,-10},{10,10}},
              rotation=90,
              origin={36,-52})));
        Modelica.Thermal.HeatTransfer.Components.ThermalConductor thermalConductor_D2(G=(
              lambda_Al*A_equivalent/d_equivalent)/2) annotation (Placement(
              transformation(
              extent={{-10,-10},{10,10}},
              rotation=90,
              origin={36,-80})));
        Modelica.Thermal.HeatTransfer.Components.HeatCapacitor heatCapacitor_D(C=cp_Al*(
              rho_Al*A_equivalent*d_equivalent)) annotation (Placement(transformation(
              extent={{-10,-10},{10,10}},
              rotation=270,
              origin={58,-66})));
        Modelica.Thermal.HeatTransfer.Interfaces.HeatPort_a port_a4 annotation (
            Placement(transformation(extent={{6,-104},{26,-84}}), iconTransformation(
                extent={{30,-34},{50,-14}})));
        extends Cost.ConditionalCostPortDevice;
      //*****************************************************************************/

      //equations********************************************************************/
      equation

          1/Gc = R_seg;
          convection_A.Gc = Gc;
          convection_B.Gc = Gc;
          convection_C.Gc = Gc;
          convection_D.Gc = Gc;

          //cost equations
          QHeat = pipe_heat_transfer.heatPorts[1].Q_flow;
          electPowerOut = 0;
          electPowerIn = 0;
          //end cost equations

        connect(port_a, pipe_heat_transfer.port_a)
          annotation (Line(points={{-100,0},{-76,0},{-50,0}}, color={0,127,255}));
        connect(pipe_heat_transfer.port_b, port_b)
          annotation (Line(points={{-30,0},{100,0}}, color={0,127,255}));
        connect(convection_A.solid, thermalConductor_A1.port_b)
          annotation (Line(points={{-40,32},{-40,38}}, color={191,0,0}));
        connect(thermalConductor_A1.port_a, thermalConductor_A2.port_b)
          annotation (Line(points={{-40,58},{-40,58},{-40,66}}, color={191,0,0}));
        connect(thermalConductor_A1.port_a, heatCapacitor_A.port) annotation (Line(
              points={{-40,58},{-40,58},{-40,62},{-28,62}}, color={191,0,0}));
        connect(thermalConductor_A2.port_a, port_a1)
          annotation (Line(points={{-40,86},{-40,94},{-40,94}}, color={191,0,0}));
        connect(convection_B.solid, thermalConductor_B1.port_b)
          annotation (Line(points={{36,32},{36,38}}, color={191,0,0}));
        connect(thermalConductor_B1.port_a, thermalConductor_B2.port_b)
          annotation (Line(points={{36,58},{36,58},{36,66}}, color={191,0,0}));
        connect(thermalConductor_B1.port_a, heatCapacitor_B.port) annotation (Line(
              points={{36,58},{36,58},{36,62},{48,62}}, color={191,0,0}));
        connect(thermalConductor_B2.port_a, port_a2)
          annotation (Line(points={{36,86},{36,90},{36,94}}, color={191,0,0}));
        connect(convection_B.fluid, pipe_heat_transfer.heatPorts[1]) annotation (Line(
              points={{36,12},{36,8},{-39.9,8},{-39.9,4.4}}, color={191,0,0}));
        connect(pipe_heat_transfer.heatPorts[1], convection_A.fluid) annotation (Line(
              points={{-39.9,4.4},{-39.9,8},{-40,8},{-40,12}}, color={127,0,0}));
        connect(convection_C.solid, thermalConductor_C1.port_b)
          annotation (Line(points={{-40,-38},{-40,-42}}, color={191,0,0}));
        connect(heatCapacitor_C.port, thermalConductor_C1.port_a)
          annotation (Line(points={{-28,-66},{-40,-66},{-40,-62}}, color={191,0,0}));
        connect(convection_C.fluid, pipe_heat_transfer.heatPorts[1]) annotation (Line(
              points={{-40,-18},{-40,-14},{-20,-14},{-20,8},{-39.9,8},{-39.9,4.4}},
              color={191,0,0}));
        connect(thermalConductor_C2.port_b, thermalConductor_C1.port_a)
          annotation (Line(points={{-40,-70},{-40,-66},{-40,-62}}, color={191,0,0}));
        connect(thermalConductor_C2.port_a, port_a3)
          annotation (Line(points={{-40,-90},{-40,-94},{-60,-94}}, color={191,0,0}));
        connect(convection_D.solid, thermalConductor_D1.port_b)
          annotation (Line(points={{36,-38},{36,-42}}, color={191,0,0}));
        connect(heatCapacitor_D.port, thermalConductor_D1.port_a)
          annotation (Line(points={{48,-66},{36,-66},{36,-62}}, color={191,0,0}));
        connect(thermalConductor_D2.port_b, thermalConductor_D1.port_a)
          annotation (Line(points={{36,-70},{36,-66},{36,-62}}, color={191,0,0}));
        connect(thermalConductor_D2.port_a, port_a4)
          annotation (Line(points={{36,-90},{36,-94},{16,-94}}, color={191,0,0}));
        connect(pipe_heat_transfer.heatPorts[1], convection_D.fluid) annotation (Line(
              points={{-39.9,4.4},{-39.9,8},{36,8},{36,-18}}, color={127,0,0}));
      //*****************************************************************************/
         annotation (Icon(coordinateSystem(preserveAspectRatio=false), graphics={
                Rectangle(
                extent={{-100,40},{100,0}},
                lineColor={175,175,175},
                fillColor={175,175,175},
                fillPattern=FillPattern.HorizontalCylinder),
              Rectangle(
                extent={{-100,34},{100,14}},
                lineColor={175,175,175},
                fillColor={175,175,175},
                fillPattern=FillPattern.Solid),
                Rectangle(
                extent={{-100,0},{100,-40}},
                lineColor={175,175,175},
                fillColor={175,175,175},
                fillPattern=FillPattern.HorizontalCylinder),
              Rectangle(
                extent={{-100,-14},{100,-34}},
                lineColor={175,175,175},
                fillColor={175,175,175},
                fillPattern=FillPattern.Solid)}), Diagram(coordinateSystem(
                preserveAspectRatio=false)), Documentation(info="<html>
   <p>
**************************************************************************** <br>
  <b> Copyright (C) 2015-2017 Chair of Automation and Energy Systems, Saarland University </b> <br>
------------------------------------------------------------------------------------------------------------------ <br>
  This file is part of EHSTEG. <p>                    
  
  For more information see <a href=\"//EHSTEG.UsersGuide\">User's Guide</a> <p>
  
**************************************************************************** <p>
</html>
"));
      end SegmentCoolingAggregate;
    annotation (Documentation(info="<html>
   <p>
**************************************************************************** <br>
  <b> Copyright (C) 2015-2017 Chair of Automation and Energy Systems, Saarland University </b> <br>
------------------------------------------------------------------------------------------------------------------ <br>
  This file is part of EHSTEG. <p>                    
  
  For more information see <a href=\"//EHSTEG.UsersGuide\">User's Guide</a> <p>
  
**************************************************************************** <p>
</html>
"));
    end HeatTransfer;

    package Miscellaneous "package for miscellaneous components"

      //Copyright (C) 2015-2017 Chair of Automation and Energy Systems, Saarland University (for more information see 'Documentation')

      model Chimney "simple model of a chimney"

        //Copyright (C) 2015-2017 Chair of Automation and Energy Systems, Saarland University (for more information see 'Documentation')

      //import***********************************************************************/
          import Modelica.SIunits.*;
      //*****************************************************************************/

      //parameter definition*********************************************************/
        parameter Time startTime = 10
          "startTime for valve opening; valve needed to find simulation start values"; // s
        replaceable package Medium =
          Modelica.Media.IdealGases.MixtureGases.CombustionAir constrainedby
          Modelica.Media.Interfaces.PartialMedium "exhaust gas medium"  annotation (choicesAllMatching = true);
      //*****************************************************************************/

      //used components**************************************************************/
      public
        Modelica.Blocks.Sources.Step handle(
          height=0.9,
          offset=0.1,
          startTime=startTime)
                        annotation (Placement(transformation(extent={{-10,-10},{10,10}},
                        rotation=90,
              origin={0,-30})));
        Modelica.Fluid.Valves.ValveIncompressible valve(
          redeclare package Medium = Medium,
          CvData=Modelica.Fluid.Types.CvTypes.OpPoint,
          m_flow_nominal=0.01,
          show_T=true,
          allowFlowReversal=false,
          dp_start=18000,
          dp_nominal=10000)
          annotation (Placement(transformation(extent={{-10,10},{10,-10}},
                                                                         rotation=0,
              origin={0,0})));
        Modelica.Fluid.Sources.Boundary_pT boundary(          redeclare package
            Medium = Modelica.Media.IdealGases.MixtureGases.CombustionAir, nPorts=1)
          annotation (Placement(transformation(
              extent={{-10,-10},{10,10}},
              rotation=180,
              origin={42,0})));
        Modelica.Fluid.Interfaces.FluidPort_a port_a1(redeclare package Medium
            = Modelica.Media.IdealGases.MixtureGases.CombustionAir)
          "Fluid connector a (positive design flow direction is from port_a to port_b)"
          annotation (Placement(transformation(extent={{-30,-90},{-10,-70}}),
              iconTransformation(extent={{-30,-90},{-10,-70}})));
      //*****************************************************************************/

      //equations********************************************************************/
      equation
        connect(valve.port_b, boundary.ports[1]) annotation (Line(
            points={{10,0},{32,0}},
            color={0,127,255},
            smooth=Smooth.None));
        connect(handle.y, valve.opening) annotation (Line(
            points={{8.88178e-016,-19},{8.88178e-016,-14.7125},{0,-14.7125},{0,-8}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(valve.port_a, port_a1) annotation (Line(
            points={{-10,0},{-56,0},{-56,-80},{-20,-80}},
            color={0,127,255},
            smooth=Smooth.None));
      //*****************************************************************************/
      annotation (Documentation(info="<html>
   <p>
**************************************************************************** <br>
  <b> Copyright (C) 2015-2017 Chair of Automation and Energy Systems, Saarland University </b> <br>
------------------------------------------------------------------------------------------------------------------ <br>
  This file is part of EHSTEG. <p>                    
  
  For more information see <a href=\"//EHSTEG.UsersGuide\">User's Guide</a> <p>
  
**************************************************************************** <p>
</html>
"),                 Diagram(coordinateSystem(preserveAspectRatio=false, extent={{-100,
                  -100},{100,100}}), graphics), Icon(coordinateSystem(
                preserveAspectRatio=false, extent={{-100,-100},{100,100}}),
              graphics={
              Rectangle(
                extent={{-20,60},{20,-100}},
                lineColor={175,175,175},
                fillColor={175,175,175},
                fillPattern=FillPattern.VerticalCylinder),
              Polygon(
                points={{-10,60},{-16,62},{-18,66},{-18,70},{-16,74},{-14,76},{
                    -10,76},{-6,74},{-4,74},{-2,76},{2,76},{4,74},{4,70},{2,68},{
                    2,66},{0,64},{0,62},{-10,60}},
                lineColor={215,215,215},
                fillPattern=FillPattern.VerticalCylinder,
                smooth=Smooth.Bezier,
                fillColor={215,215,215}),
              Polygon(
                points={{-1.37927e-016,-5},{-9,-6},{-11,-2},{-11,2},{-9,6},{-7,8},
                    {-3,8},{1,6},{3,6},{5,8},{9,8},{12,7},{12,3},{14,-1},{12,-3},
                    {10,-5},{7,-6},{-1.37927e-016,-5}},
                lineColor={215,215,215},
                fillPattern=FillPattern.VerticalCylinder,
                smooth=Smooth.Bezier,
                fillColor={215,215,215},
                origin={15,82},
                rotation=90),
              Polygon(
                points={{34,90},{26,86},{24,90},{24,94},{26,98},{30,98},{32,98},{
                    36,98},{38,98},{40,96},{42,96},{42,94},{42,92},{44,92},{44,90},
                    {42,88},{42,86},{34,90}},
                lineColor={215,215,215},
                fillPattern=FillPattern.VerticalCylinder,
                smooth=Smooth.Bezier,
                fillColor={215,215,215})}));
      end Chimney;

    annotation (Documentation(info="<html>
   <p>
**************************************************************************** <br>
  <b> Copyright (C) 2015-2017 Chair of Automation and Energy Systems, Saarland University </b> <br>
------------------------------------------------------------------------------------------------------------------ <br>
  This file is part of EHSTEG. <p>                    
  
  For more information see <a href=\"//EHSTEG.UsersGuide\">User's Guide</a> <p>
  
**************************************************************************** <p>
</html>
"));
    end Miscellaneous;

    package ThermoelectricDevice "different thermoelectric devices"

      //Copyright (C) 2015-2017 Chair of Automation and Energy Systems, Saarland University (for more information see 'Documentation')

      package EuropeanThermodynamics
        "thermoelectric devices from 'European Thermodynamics'"

        //Copyright (C) 2015-2017 Chair of Automation and Energy Systems, Saarland University (for more information see 'Documentation')

        model APH_161_12_14_e
          "European Thermodynamics 'APH-161-12-14e' - thermoelectric cooler/Peltier element"

          //Copyright (C) 2015-2017 Chair of Automation and Energy Systems, Saarland University (for more information see 'Documentation')

        //used components**************************************************************/
          ThermoelectricGenerator_V5_7.TEG_Module tEG_Module(
            Length=0.04,
            Breadth=0.04,
            redeclare
              ThermoelectricGenerator_V5_7.Packaging.seq_1D_with_storing
              packaging_left(redeclare
                ThermoelectricGenerator_V5_7.Packaging_Material_Data.Ceramic_Al2O3
                Material),
            redeclare
              ThermoelectricGenerator_V5_7.Packaging.seq_1D_with_storing
              packaging_right(redeclare
                ThermoelectricGenerator_V5_7.Packaging_Material_Data.Ceramic_Al2O3
                Material),
            L=0.0011,
            A=0.0017*0.0017,
            N=161,
            T_CP1=0.001,
            T_CP2=0.001,
            redeclare
              ThermoelectricGenerator_V5_7.Inner_TEG.CTEL_1D_dyn_seq_intalpha_contact_res
              inner_TEG(
              S=4,
              redeclare
                ThermoelectricGenerator_V5_7.Packaging_Material_Data.Copper
                Material_connector,
              redeclare
                ThermoelectricGenerator_V5_7.Thermoelectric_Material_Data.Bi2_Te3_p_Thermonamic
                Material_A,
              redeclare
                ThermoelectricGenerator_V5_7.Thermoelectric_Material_Data.Bi2_Te3_n_Thermonamic
                Material_B,
              redeclare
                ThermoelectricGenerator_V5_7.Inner_TEG.Components_for_leg_connection.contact_and_wire_res
                leg_conn_elec,
              redeclare
                ThermoelectricGenerator_V5_7.Inner_TEG.Components_for_leg_connection.res_and_storage
                leg_conn_thermal_left,
              redeclare
                ThermoelectricGenerator_V5_7.Inner_TEG.Components_for_leg_connection.res_and_storage
                leg_conn_thermal_right,
              Thickness_conn=0.0003,
              Mode="PELTIER COOLER"),
            T_0=298.15)
            annotation (Placement(transformation(extent={{-40,-40},{40,36}})));
          Modelica.Electrical.Analog.Interfaces.NegativePin pin_n1 annotation (
              Placement(transformation(extent={{-100,-10},{-80,10}}),
                iconTransformation(extent={{-100,-10},{-80,10}})));
          Modelica.Thermal.HeatTransfer.Interfaces.HeatPort_a port_a1 annotation (
              Placement(transformation(extent={{-10,-60},{10,-40}}),
                iconTransformation(extent={{-10,-60},{10,-40}})));
          Modelica.Electrical.Analog.Interfaces.PositivePin pin_p1 annotation (
              Placement(transformation(extent={{80,-10},{100,10}}),
                iconTransformation(extent={{80,-10},{100,10}})));
          Modelica.Thermal.HeatTransfer.Interfaces.HeatPort_b port_b1 annotation (
              Placement(transformation(extent={{-10,40},{10,60}}),
                iconTransformation(extent={{-10,40},{10,60}})));
          extends Cost.ConditionalCostPortDevice;
        //*****************************************************************************/

        //equations********************************************************************/
        equation

          //cost equations
          QHeat = 0;
          electPowerOut = 0;
          electPowerIn = 0;
          //end cost equations

          connect(pin_n1, tEG_Module.pin_n) annotation (Line(points={{-90,0},{
                  -60,0},{-60,23.0353},{-35.5556,23.0353}}, color={0,0,255}));
          connect(tEG_Module.port_a, port_a1) annotation (Line(points={{
                  -35.5556,0.235294},{-50,0.235294},{-50,-50},{0,-50}}, color={
                  191,0,0}));
          connect(tEG_Module.pin_p, pin_p1) annotation (Line(points={{-35.5556,
                  -22.1176},{-42,-22.1176},{-42,-38},{60,-38},{60,0},{90,0}},
                color={0,0,255}));
          connect(tEG_Module.port_b, port_b1) annotation (Line(points={{31.5556,
                  0.235294},{42,0.235294},{42,40},{0,40},{0,50}}, color={191,0,
                  0}));
        //*****************************************************************************/

          annotation (Icon(graphics={
                Rectangle(
                  extent={{-80,40},{80,20}},
                  lineColor={175,175,175},
                  fillColor={175,175,175},
                  fillPattern=FillPattern.Solid),
                Rectangle(
                  extent={{-80,20},{-60,-20}},
                  lineColor={0,255,0},
                  fillColor={0,255,0},
                  fillPattern=FillPattern.Solid),
                Rectangle(
                  extent={{-60,20},{-40,-20}},
                  lineColor={255,255,0},
                  fillColor={255,255,0},
                  fillPattern=FillPattern.Solid),
                Rectangle(
                  extent={{-40,20},{-20,-20}},
                  lineColor={0,255,0},
                  fillColor={0,255,0},
                  fillPattern=FillPattern.Solid),
                Rectangle(
                  extent={{-20,20},{0,-20}},
                  lineColor={255,255,0},
                  fillColor={255,255,0},
                  fillPattern=FillPattern.Solid),
                Rectangle(
                  extent={{0,20},{20,-20}},
                  lineColor={0,255,0},
                  fillColor={0,255,0},
                  fillPattern=FillPattern.Solid),
                Rectangle(
                  extent={{20,20},{40,-20}},
                  lineColor={255,255,0},
                  fillColor={255,255,0},
                  fillPattern=FillPattern.Solid),
                Rectangle(
                  extent={{40,20},{60,-20}},
                  lineColor={0,255,0},
                  fillColor={0,255,0},
                  fillPattern=FillPattern.Solid),
                Rectangle(
                  extent={{60,20},{80,-20}},
                  lineColor={255,255,0},
                  fillColor={255,255,0},
                  fillPattern=FillPattern.Solid),
                Rectangle(
                  extent={{-80,-20},{80,-40}},
                  lineColor={175,175,175},
                  fillColor={175,175,175},
                  fillPattern=FillPattern.Solid),
                Text(
                  extent={{-72,40},{68,20}},
                  lineColor={0,0,0},
                  textString="European Thermodynamics"),
                Text(
                  extent={{-70,-20},{70,-40}},
                  lineColor={0,0,0},
                  textString="TEC")}),                     Diagram(
                coordinateSystem(preserveAspectRatio=false, extent={{-100,-100},
                    {100,100}})),
                    Documentation(info="<html>
   <p>
**************************************************************************** <br>
  <b> Copyright (C) 2015-2017 Chair of Automation and Energy Systems, Saarland University </b> <br>
------------------------------------------------------------------------------------------------------------------ <br>
  This file is part of EHSTEG. <p>                    
  
  For more information see <a href=\"//EHSTEG.UsersGuide\">User's Guide</a> <p>
  
**************************************************************************** <p>
</html>
"),                    Diagram(coordinateSystem(preserveAspectRatio=false, extent={{
                    -100,-100},{100,100}}), graphics), Icon(coordinateSystem(
                  preserveAspectRatio=false, extent={{-100,-100},{100,100}}),
                graphics={
                Rectangle(
                  extent={{-80,40},{80,20}},
                  lineColor={175,175,175},
                  fillColor={175,175,175},
                  fillPattern=FillPattern.Solid),
                Rectangle(
                  extent={{-80,20},{-60,-20}},
                  lineColor={0,255,0},
                  fillColor={0,255,0},
                  fillPattern=FillPattern.Solid),
                Rectangle(
                  extent={{-60,20},{-40,-20}},
                  lineColor={255,255,0},
                  fillColor={255,255,0},
                  fillPattern=FillPattern.Solid),
                Rectangle(
                  extent={{-40,20},{-20,-20}},
                  lineColor={0,255,0},
                  fillColor={0,255,0},
                  fillPattern=FillPattern.Solid),
                Rectangle(
                  extent={{-20,20},{0,-20}},
                  lineColor={255,255,0},
                  fillColor={255,255,0},
                  fillPattern=FillPattern.Solid),
                Rectangle(
                  extent={{0,20},{20,-20}},
                  lineColor={0,255,0},
                  fillColor={0,255,0},
                  fillPattern=FillPattern.Solid),
                Rectangle(
                  extent={{20,20},{40,-20}},
                  lineColor={255,255,0},
                  fillColor={255,255,0},
                  fillPattern=FillPattern.Solid),
                Rectangle(
                  extent={{40,20},{60,-20}},
                  lineColor={0,255,0},
                  fillColor={0,255,0},
                  fillPattern=FillPattern.Solid),
                Rectangle(
                  extent={{60,20},{80,-20}},
                  lineColor={255,255,0},
                  fillColor={255,255,0},
                  fillPattern=FillPattern.Solid),
                Rectangle(
                  extent={{-80,-20},{80,-40}},
                  lineColor={175,175,175},
                  fillColor={175,175,175},
                  fillPattern=FillPattern.Solid),
                Text(
                  extent={{-80,40},{80,20}},
                  lineColor={0,0,0},
                  textString="Thermalforce")}));
        end APH_161_12_14_e;

        model GM250_127_14_10 "European Thermodynamics 'GM250-127-14-10'"

          //Copyright (C) 2015-2017 Chair of Automation and Energy Systems, Saarland University (for more information see 'Documentation')

        //used components**************************************************************/
          ThermoelectricGenerator_V5_7.TEG_Module tEG_Module(
            N=127,
            Length=0.04,
            Breadth=0.04,
            redeclare
              ThermoelectricGenerator_V5_7.Packaging.seq_1D_with_storing
              packaging_left(redeclare
                ThermoelectricGenerator_V5_7.Packaging_Material_Data.Ceramic_Al2O3
                Material),
            redeclare
              ThermoelectricGenerator_V5_7.Packaging.seq_1D_with_storing
              packaging_right(redeclare
                ThermoelectricGenerator_V5_7.Packaging_Material_Data.Ceramic_Al2O3
                Material),
            L=0.0011,
            A=0.0015*0.0015,
            T_CP1=0.0008,
            T_CP2=0.0008,
            redeclare
              ThermoelectricGenerator_V5_7.Inner_TEG.CTEL_1D_dyn_seq_intalpha_contact_res
              inner_TEG(
              Mode="TEG",
              S=4,
              Thickness_conn=0.00035,
              redeclare
                ThermoelectricGenerator_V5_7.Thermoelectric_Material_Data.Bi2_Te3_p_Thermonamic
                Material_A,
              redeclare
                ThermoelectricGenerator_V5_7.Thermoelectric_Material_Data.Bi2_Te3_n_Thermonamic
                Material_B,
              redeclare
                ThermoelectricGenerator_V5_7.Inner_TEG.Components_for_leg_connection.contact_and_wire_res
                leg_conn_elec,
              redeclare
                ThermoelectricGenerator_V5_7.Inner_TEG.Components_for_leg_connection.res_and_storage
                leg_conn_thermal_left,
              redeclare
                ThermoelectricGenerator_V5_7.Inner_TEG.Components_for_leg_connection.res_and_storage
                leg_conn_thermal_right,
              redeclare
                ThermoelectricGenerator_V5_7.Packaging_Material_Data.Copper
                Material_connector)) "old version: 0.0017*0.0017"
            annotation (Placement(transformation(extent={{-40,-40},{40,36}})));
          Modelica.Electrical.Analog.Interfaces.NegativePin pin_n1 annotation (
              Placement(transformation(extent={{-100,-10},{-80,10}}),
                iconTransformation(extent={{-100,-10},{-80,10}})));
          Modelica.Thermal.HeatTransfer.Interfaces.HeatPort_a port_a1 annotation (
              Placement(transformation(extent={{-10,-60},{10,-40}}),
                iconTransformation(extent={{-10,-60},{10,-40}})));
          Modelica.Electrical.Analog.Interfaces.PositivePin pin_p1 annotation (
              Placement(transformation(extent={{80,-10},{100,10}}),
                iconTransformation(extent={{80,-10},{100,10}})));
          Modelica.Thermal.HeatTransfer.Interfaces.HeatPort_b port_b1 annotation (
              Placement(transformation(extent={{-10,40},{10,60}}),
                iconTransformation(extent={{-10,40},{10,60}})));
          extends Cost.ConditionalCostPortDevice;
        //*****************************************************************************/

        //equations********************************************************************/
        equation

          //cost equations
          QHeat = 0;
          electPowerOut = 0;
          electPowerIn = 0;
          //end cost equations

          connect(pin_n1, tEG_Module.pin_n) annotation (Line(points={{-90,0},{
                  -60,0},{-60,23.0353},{-35.5556,23.0353}}, color={0,0,255}));
          connect(tEG_Module.port_a, port_a1) annotation (Line(points={{
                  -35.5556,0.235294},{-50,0.235294},{-50,-50},{0,-50}}, color={
                  191,0,0}));
          connect(tEG_Module.pin_p, pin_p1) annotation (Line(points={{-35.5556,
                  -22.1176},{-42,-22.1176},{-42,-38},{60,-38},{60,0},{90,0}},
                color={0,0,255}));
          connect(tEG_Module.port_b, port_b1) annotation (Line(points={{31.5556,
                  0.235294},{42,0.235294},{42,40},{0,40},{0,50}}, color={191,0,
                  0}));
        //*****************************************************************************/

          annotation (Icon(graphics={
                Rectangle(
                  extent={{-80,40},{80,20}},
                  lineColor={175,175,175},
                  fillColor={175,175,175},
                  fillPattern=FillPattern.Solid),
                Rectangle(
                  extent={{-80,20},{-60,-20}},
                  lineColor={0,255,0},
                  fillColor={0,255,0},
                  fillPattern=FillPattern.Solid),
                Rectangle(
                  extent={{-60,20},{-40,-20}},
                  lineColor={255,255,0},
                  fillColor={255,255,0},
                  fillPattern=FillPattern.Solid),
                Rectangle(
                  extent={{-40,20},{-20,-20}},
                  lineColor={0,255,0},
                  fillColor={0,255,0},
                  fillPattern=FillPattern.Solid),
                Rectangle(
                  extent={{-20,20},{0,-20}},
                  lineColor={255,255,0},
                  fillColor={255,255,0},
                  fillPattern=FillPattern.Solid),
                Rectangle(
                  extent={{0,20},{20,-20}},
                  lineColor={0,255,0},
                  fillColor={0,255,0},
                  fillPattern=FillPattern.Solid),
                Rectangle(
                  extent={{20,20},{40,-20}},
                  lineColor={255,255,0},
                  fillColor={255,255,0},
                  fillPattern=FillPattern.Solid),
                Rectangle(
                  extent={{40,20},{60,-20}},
                  lineColor={0,255,0},
                  fillColor={0,255,0},
                  fillPattern=FillPattern.Solid),
                Rectangle(
                  extent={{60,20},{80,-20}},
                  lineColor={255,255,0},
                  fillColor={255,255,0},
                  fillPattern=FillPattern.Solid),
                Rectangle(
                  extent={{-80,-20},{80,-40}},
                  lineColor={175,175,175},
                  fillColor={175,175,175},
                  fillPattern=FillPattern.Solid),
                Text(
                  extent={{-72,40},{68,20}},
                  lineColor={0,0,0},
                  textString="European Thermodynamics")}), Diagram(
                coordinateSystem(preserveAspectRatio=false, extent={{-100,-100},
                    {100,100}})),
                    Documentation(info="<html>
   <p>
**************************************************************************** <br>
  <b> Copyright (C) 2015-2017 Chair of Automation and Energy Systems, Saarland University </b> <br>
------------------------------------------------------------------------------------------------------------------ <br>
  This file is part of EHSTEG. <p>                    
  
  For more information see <a href=\"//EHSTEG.UsersGuide\">User's Guide</a> <p>
  
**************************************************************************** <p>
</html>
"),                    Diagram(coordinateSystem(preserveAspectRatio=false, extent={{
                    -100,-100},{100,100}}), graphics), Icon(coordinateSystem(
                  preserveAspectRatio=false, extent={{-100,-100},{100,100}}),
                graphics={
                Rectangle(
                  extent={{-80,40},{80,20}},
                  lineColor={175,175,175},
                  fillColor={175,175,175},
                  fillPattern=FillPattern.Solid),
                Rectangle(
                  extent={{-80,20},{-60,-20}},
                  lineColor={0,255,0},
                  fillColor={0,255,0},
                  fillPattern=FillPattern.Solid),
                Rectangle(
                  extent={{-60,20},{-40,-20}},
                  lineColor={255,255,0},
                  fillColor={255,255,0},
                  fillPattern=FillPattern.Solid),
                Rectangle(
                  extent={{-40,20},{-20,-20}},
                  lineColor={0,255,0},
                  fillColor={0,255,0},
                  fillPattern=FillPattern.Solid),
                Rectangle(
                  extent={{-20,20},{0,-20}},
                  lineColor={255,255,0},
                  fillColor={255,255,0},
                  fillPattern=FillPattern.Solid),
                Rectangle(
                  extent={{0,20},{20,-20}},
                  lineColor={0,255,0},
                  fillColor={0,255,0},
                  fillPattern=FillPattern.Solid),
                Rectangle(
                  extent={{20,20},{40,-20}},
                  lineColor={255,255,0},
                  fillColor={255,255,0},
                  fillPattern=FillPattern.Solid),
                Rectangle(
                  extent={{40,20},{60,-20}},
                  lineColor={0,255,0},
                  fillColor={0,255,0},
                  fillPattern=FillPattern.Solid),
                Rectangle(
                  extent={{60,20},{80,-20}},
                  lineColor={255,255,0},
                  fillColor={255,255,0},
                  fillPattern=FillPattern.Solid),
                Rectangle(
                  extent={{-80,-20},{80,-40}},
                  lineColor={175,175,175},
                  fillColor={175,175,175},
                  fillPattern=FillPattern.Solid),
                Text(
                  extent={{-80,40},{80,20}},
                  lineColor={0,0,0},
                  textString="Thermalforce")}));
        end GM250_127_14_10;
      annotation (Documentation(info="<html>
   <p>
**************************************************************************** <br>
  <b> Copyright (C) 2015-2017 Chair of Automation and Energy Systems, Saarland University </b> <br>
------------------------------------------------------------------------------------------------------------------ <br>
  This file is part of EHSTEG. <p>                    
  
  For more information see <a href=\"//EHSTEG.UsersGuide\">User's Guide</a> <p>
  
**************************************************************************** <p>
</html>
"));
      end EuropeanThermodynamics;

      package HebeiIT "thermoelectric devices from 'Hebei I.T.'"

        //Copyright (C) 2015-2017 Chair of Automation and Energy Systems, Saarland University (for more information see 'Documentation')

        model TEC1_12706 "HebeiIT 'TEC1-12706'"

          //Copyright (C) 2015-2017 Chair of Automation and Energy Systems, Saarland University (for more information see 'Documentation')

        //used components**************************************************************/
          ThermoelectricGenerator_V5_7.TEG_Module tEG_Module(
            N=127,
            Length=0.04,
            Breadth=0.04,
            redeclare
              ThermoelectricGenerator_V5_7.Packaging.seq_1D_with_storing
              packaging_left(redeclare
                ThermoelectricGenerator_V5_7.Packaging_Material_Data.Ceramic_Al2O3
                Material),
            redeclare
              ThermoelectricGenerator_V5_7.Packaging.seq_1D_with_storing
              packaging_right(redeclare
                ThermoelectricGenerator_V5_7.Packaging_Material_Data.Ceramic_Al2O3
                Material),
            T_CP1=0.0008,
            T_CP2=0.0008,
            L=0.0017,
            A=0.0014*0.0014,
            redeclare
              ThermoelectricGenerator_V5_7.Inner_TEG.CTEL_1D_dyn_seq_intalpha_contact_res
              inner_TEG(
              Mode="TEG",
              S=4,
              Thickness_conn=0.0003,
              redeclare
                ThermoelectricGenerator_V5_7.Thermoelectric_Material_Data.Bi2_Te3_p_Thermonamic
                Material_A,
              redeclare
                ThermoelectricGenerator_V5_7.Thermoelectric_Material_Data.Bi2_Te3_n_Thermonamic
                Material_B,
              redeclare
                ThermoelectricGenerator_V5_7.Inner_TEG.Components_for_leg_connection.contact_and_wire_res
                leg_conn_elec,
              redeclare
                ThermoelectricGenerator_V5_7.Inner_TEG.Components_for_leg_connection.res_and_storage
                leg_conn_thermal_left,
              redeclare
                ThermoelectricGenerator_V5_7.Inner_TEG.Components_for_leg_connection.res_and_storage
                leg_conn_thermal_right,
              redeclare
                ThermoelectricGenerator_V5_7.Packaging_Material_Data.Copper
                Material_connector))
            annotation (Placement(transformation(extent={{-40,-40},{40,36}})));
          Modelica.Electrical.Analog.Interfaces.NegativePin pin_n1 annotation (
              Placement(transformation(extent={{-100,-10},{-80,10}}),
                iconTransformation(extent={{-100,-10},{-80,10}})));
          Modelica.Thermal.HeatTransfer.Interfaces.HeatPort_a port_a1 annotation (
              Placement(transformation(extent={{-10,-60},{10,-40}}),
                iconTransformation(extent={{-10,-60},{10,-40}})));
          Modelica.Electrical.Analog.Interfaces.PositivePin pin_p1 annotation (
              Placement(transformation(extent={{80,-10},{100,10}}),
                iconTransformation(extent={{80,-10},{100,10}})));
          Modelica.Thermal.HeatTransfer.Interfaces.HeatPort_b port_b1 annotation (
              Placement(transformation(extent={{-10,40},{10,60}}),
                iconTransformation(extent={{-10,40},{10,60}})));
          extends Cost.ConditionalCostPortDevice;
        //*****************************************************************************/

        //equations********************************************************************/
        equation

          //cost equations
          QHeat = 0;
          electPowerOut = 0;
          electPowerIn = 0;
          //end cost equations

          connect(pin_n1, tEG_Module.pin_n) annotation (Line(points={{-90,0},{
                  -60,0},{-60,23.0353},{-35.5556,23.0353}}, color={0,0,255}));
          connect(tEG_Module.port_a, port_a1) annotation (Line(points={{
                  -35.5556,0.235294},{-50,0.235294},{-50,-50},{0,-50}}, color={
                  191,0,0}));
          connect(tEG_Module.pin_p, pin_p1) annotation (Line(points={{-35.5556,
                  -22.1176},{-42,-22.1176},{-42,-38},{60,-38},{60,0},{90,0}},
                color={0,0,255}));
          connect(tEG_Module.port_b, port_b1) annotation (Line(points={{31.5556,
                  0.235294},{42,0.235294},{42,40},{0,40},{0,50}}, color={191,0,
                  0}));
        //*****************************************************************************/

          annotation (Icon(graphics={
                Rectangle(
                  extent={{-80,40},{80,20}},
                  lineColor={175,175,175},
                  fillColor={175,175,175},
                  fillPattern=FillPattern.Solid),
                Rectangle(
                  extent={{-80,20},{-60,-20}},
                  lineColor={0,255,0},
                  fillColor={0,255,0},
                  fillPattern=FillPattern.Solid),
                Rectangle(
                  extent={{-60,20},{-40,-20}},
                  lineColor={255,255,0},
                  fillColor={255,255,0},
                  fillPattern=FillPattern.Solid),
                Rectangle(
                  extent={{-40,20},{-20,-20}},
                  lineColor={0,255,0},
                  fillColor={0,255,0},
                  fillPattern=FillPattern.Solid),
                Rectangle(
                  extent={{-20,20},{0,-20}},
                  lineColor={255,255,0},
                  fillColor={255,255,0},
                  fillPattern=FillPattern.Solid),
                Rectangle(
                  extent={{0,20},{20,-20}},
                  lineColor={0,255,0},
                  fillColor={0,255,0},
                  fillPattern=FillPattern.Solid),
                Rectangle(
                  extent={{20,20},{40,-20}},
                  lineColor={255,255,0},
                  fillColor={255,255,0},
                  fillPattern=FillPattern.Solid),
                Rectangle(
                  extent={{40,20},{60,-20}},
                  lineColor={0,255,0},
                  fillColor={0,255,0},
                  fillPattern=FillPattern.Solid),
                Rectangle(
                  extent={{60,20},{80,-20}},
                  lineColor={255,255,0},
                  fillColor={255,255,0},
                  fillPattern=FillPattern.Solid),
                Rectangle(
                  extent={{-80,-20},{80,-40}},
                  lineColor={175,175,175},
                  fillColor={175,175,175},
                  fillPattern=FillPattern.Solid),
                Text(
                  extent={{-72,40},{68,20}},
                  lineColor={0,0,0},
                  textString="Hebei I.T.")}),              Diagram(
                coordinateSystem(preserveAspectRatio=false, extent={{-100,-100},
                    {100,100}})),
                    Documentation(info="<html>
   <p>
**************************************************************************** <br>
  <b> Copyright (C) 2015-2017 Chair of Automation and Energy Systems, Saarland University </b> <br>
------------------------------------------------------------------------------------------------------------------ <br>
  This file is part of EHSTEG. <p>                    
  
  For more information see <a href=\"//EHSTEG.UsersGuide\">User's Guide</a> <p>
  
**************************************************************************** <p>
</html>
"),                    Diagram(coordinateSystem(preserveAspectRatio=false, extent={{
                    -100,-100},{100,100}}), graphics), Icon(coordinateSystem(
                  preserveAspectRatio=false, extent={{-100,-100},{100,100}}),
                graphics={
                Rectangle(
                  extent={{-80,40},{80,20}},
                  lineColor={175,175,175},
                  fillColor={175,175,175},
                  fillPattern=FillPattern.Solid),
                Rectangle(
                  extent={{-80,20},{-60,-20}},
                  lineColor={0,255,0},
                  fillColor={0,255,0},
                  fillPattern=FillPattern.Solid),
                Rectangle(
                  extent={{-60,20},{-40,-20}},
                  lineColor={255,255,0},
                  fillColor={255,255,0},
                  fillPattern=FillPattern.Solid),
                Rectangle(
                  extent={{-40,20},{-20,-20}},
                  lineColor={0,255,0},
                  fillColor={0,255,0},
                  fillPattern=FillPattern.Solid),
                Rectangle(
                  extent={{-20,20},{0,-20}},
                  lineColor={255,255,0},
                  fillColor={255,255,0},
                  fillPattern=FillPattern.Solid),
                Rectangle(
                  extent={{0,20},{20,-20}},
                  lineColor={0,255,0},
                  fillColor={0,255,0},
                  fillPattern=FillPattern.Solid),
                Rectangle(
                  extent={{20,20},{40,-20}},
                  lineColor={255,255,0},
                  fillColor={255,255,0},
                  fillPattern=FillPattern.Solid),
                Rectangle(
                  extent={{40,20},{60,-20}},
                  lineColor={0,255,0},
                  fillColor={0,255,0},
                  fillPattern=FillPattern.Solid),
                Rectangle(
                  extent={{60,20},{80,-20}},
                  lineColor={255,255,0},
                  fillColor={255,255,0},
                  fillPattern=FillPattern.Solid),
                Rectangle(
                  extent={{-80,-20},{80,-40}},
                  lineColor={175,175,175},
                  fillColor={175,175,175},
                  fillPattern=FillPattern.Solid),
                Text(
                  extent={{-80,40},{80,20}},
                  lineColor={0,0,0},
                  textString="Thermalforce")}));
        end TEC1_12706;
      annotation (Documentation(info="<html>
   <p>
**************************************************************************** <br>
  <b> Copyright (C) 2015-2017 Chair of Automation and Energy Systems, Saarland University </b> <br>
------------------------------------------------------------------------------------------------------------------ <br>
  This file is part of EHSTEG. <p>                    
  
  For more information see <a href=\"//EHSTEG.UsersGuide\">User's Guide</a> <p>
  
**************************************************************************** <p>
</html>
"));
      end HebeiIT;

      package HiZ "thermoelectric devices from 'Hi-Z'"

        //Copyright (C) 2015-2017 Chair of Automation and Energy Systems, Saarland University (for more information see 'Documentation')

        model HZ_9 "Hi-Z 'Hz-9'"

          //Copyright (C) 2015-2017 Chair of Automation and Energy Systems, Saarland University (for more information see 'Documentation')

        //used components**************************************************************/
          ThermoelectricGenerator_V5_7.TEG_Module tEG_Module(
            N=97,
            Length=0.057,
            Breadth=0.057,
            A=0.0037*0.0037,
            L=0.007,
            T_CP1=0.00035,
            T_CP2=0.00035,
            redeclare
              ThermoelectricGenerator_V5_7.Packaging.seq_1D_with_storing
              packaging_left(redeclare
                ThermoelectricGenerator_V5_7.Packaging_Material_Data.Ceramic_Al2O3
                Material),
            redeclare
              ThermoelectricGenerator_V5_7.Packaging.seq_1D_with_storing
              packaging_right(redeclare
                ThermoelectricGenerator_V5_7.Packaging_Material_Data.Ceramic_Al2O3
                Material),
            redeclare
              ThermoelectricGenerator_V5_7.Inner_TEG.CTEL_1D_dyn_seq_intalpha_contact_res
              inner_TEG(
              Mode="TEG",
              S=4,
              Thickness_conn=0.0001,
              redeclare
                ThermoelectricGenerator_V5_7.Thermoelectric_Material_Data.Bi2_Te3_p_Thermonamic
                Material_A,
              redeclare
                ThermoelectricGenerator_V5_7.Thermoelectric_Material_Data.Bi2_Te3_n_Thermonamic
                Material_B,
              redeclare
                ThermoelectricGenerator_V5_7.Inner_TEG.Components_for_leg_connection.contact_and_wire_res
                leg_conn_elec,
              redeclare
                ThermoelectricGenerator_V5_7.Inner_TEG.Components_for_leg_connection.res_and_storage
                leg_conn_thermal_left,
              redeclare
                ThermoelectricGenerator_V5_7.Inner_TEG.Components_for_leg_connection.res_and_storage
                leg_conn_thermal_right,
              redeclare
                ThermoelectricGenerator_V5_7.Packaging_Material_Data.Copper
                Material_connector))
            annotation (Placement(transformation(extent={{-40,-40},{40,36}})));
          Modelica.Electrical.Analog.Interfaces.NegativePin pin_n1 annotation (
              Placement(transformation(extent={{-100,-10},{-80,10}}),
                iconTransformation(extent={{-100,-10},{-80,10}})));
          Modelica.Thermal.HeatTransfer.Interfaces.HeatPort_a port_a1 annotation (
              Placement(transformation(extent={{-10,-60},{10,-40}}),
                iconTransformation(extent={{-10,-60},{10,-40}})));
          Modelica.Electrical.Analog.Interfaces.PositivePin pin_p1 annotation (
              Placement(transformation(extent={{80,-10},{100,10}}),
                iconTransformation(extent={{80,-10},{100,10}})));
          Modelica.Thermal.HeatTransfer.Interfaces.HeatPort_b port_b1 annotation (
              Placement(transformation(extent={{-10,40},{10,60}}),
                iconTransformation(extent={{-10,40},{10,60}})));
          extends Cost.ConditionalCostPortDevice;
        //*****************************************************************************/

        //equations********************************************************************/
        equation

          //cost equations
          QHeat = 0;
          electPowerOut = 0;
          electPowerIn = 0;
          //end cost equations

          connect(pin_n1, tEG_Module.pin_n) annotation (Line(points={{-90,0},{
                  -60,0},{-60,23.0353},{-35.5556,23.0353}}, color={0,0,255}));
          connect(tEG_Module.port_a, port_a1) annotation (Line(points={{
                  -35.5556,0.235294},{-50,0.235294},{-50,-50},{0,-50}}, color={
                  191,0,0}));
          connect(tEG_Module.pin_p, pin_p1) annotation (Line(points={{-35.5556,
                  -22.1176},{-42,-22.1176},{-42,-38},{60,-38},{60,0},{90,0}},
                color={0,0,255}));
          connect(tEG_Module.port_b, port_b1) annotation (Line(points={{31.5556,
                  0.235294},{42,0.235294},{42,40},{0,40},{0,50}}, color={191,0,
                  0}));
        //*****************************************************************************/

          annotation (Icon(graphics={
                Rectangle(
                  extent={{-80,40},{80,20}},
                  lineColor={175,175,175},
                  fillColor={175,175,175},
                  fillPattern=FillPattern.Solid),
                Rectangle(
                  extent={{-80,20},{-60,-20}},
                  lineColor={0,255,0},
                  fillColor={0,255,0},
                  fillPattern=FillPattern.Solid),
                Rectangle(
                  extent={{-60,20},{-40,-20}},
                  lineColor={255,255,0},
                  fillColor={255,255,0},
                  fillPattern=FillPattern.Solid),
                Rectangle(
                  extent={{-40,20},{-20,-20}},
                  lineColor={0,255,0},
                  fillColor={0,255,0},
                  fillPattern=FillPattern.Solid),
                Rectangle(
                  extent={{-20,20},{0,-20}},
                  lineColor={255,255,0},
                  fillColor={255,255,0},
                  fillPattern=FillPattern.Solid),
                Rectangle(
                  extent={{0,20},{20,-20}},
                  lineColor={0,255,0},
                  fillColor={0,255,0},
                  fillPattern=FillPattern.Solid),
                Rectangle(
                  extent={{20,20},{40,-20}},
                  lineColor={255,255,0},
                  fillColor={255,255,0},
                  fillPattern=FillPattern.Solid),
                Rectangle(
                  extent={{40,20},{60,-20}},
                  lineColor={0,255,0},
                  fillColor={0,255,0},
                  fillPattern=FillPattern.Solid),
                Rectangle(
                  extent={{60,20},{80,-20}},
                  lineColor={255,255,0},
                  fillColor={255,255,0},
                  fillPattern=FillPattern.Solid),
                Rectangle(
                  extent={{-80,-20},{80,-40}},
                  lineColor={175,175,175},
                  fillColor={175,175,175},
                  fillPattern=FillPattern.Solid),
                Text(
                  extent={{-70,40},{70,20}},
                  lineColor={0,0,0},
                  textString="HZ-9")}),                    Diagram(
                coordinateSystem(preserveAspectRatio=false, extent={{-100,-100},
                    {100,100}})),
                    Documentation(info="<html>
   <p>
**************************************************************************** <br>
  <b> Copyright (C) 2015-2017 Chair of Automation and Energy Systems, Saarland University </b> <br>
------------------------------------------------------------------------------------------------------------------ <br>
  This file is part of EHSTEG. <p>                    
  
  For more information see <a href=\"//EHSTEG.UsersGuide\">User's Guide</a> <p>
  
**************************************************************************** <p>
</html>
"),                    Diagram(coordinateSystem(preserveAspectRatio=false, extent={{
                    -100,-100},{100,100}}), graphics), Icon(coordinateSystem(
                  preserveAspectRatio=false, extent={{-100,-100},{100,100}}),
                graphics={
                Rectangle(
                  extent={{-80,40},{80,20}},
                  lineColor={175,175,175},
                  fillColor={175,175,175},
                  fillPattern=FillPattern.Solid),
                Rectangle(
                  extent={{-80,20},{-60,-20}},
                  lineColor={0,255,0},
                  fillColor={0,255,0},
                  fillPattern=FillPattern.Solid),
                Rectangle(
                  extent={{-60,20},{-40,-20}},
                  lineColor={255,255,0},
                  fillColor={255,255,0},
                  fillPattern=FillPattern.Solid),
                Rectangle(
                  extent={{-40,20},{-20,-20}},
                  lineColor={0,255,0},
                  fillColor={0,255,0},
                  fillPattern=FillPattern.Solid),
                Rectangle(
                  extent={{-20,20},{0,-20}},
                  lineColor={255,255,0},
                  fillColor={255,255,0},
                  fillPattern=FillPattern.Solid),
                Rectangle(
                  extent={{0,20},{20,-20}},
                  lineColor={0,255,0},
                  fillColor={0,255,0},
                  fillPattern=FillPattern.Solid),
                Rectangle(
                  extent={{20,20},{40,-20}},
                  lineColor={255,255,0},
                  fillColor={255,255,0},
                  fillPattern=FillPattern.Solid),
                Rectangle(
                  extent={{40,20},{60,-20}},
                  lineColor={0,255,0},
                  fillColor={0,255,0},
                  fillPattern=FillPattern.Solid),
                Rectangle(
                  extent={{60,20},{80,-20}},
                  lineColor={255,255,0},
                  fillColor={255,255,0},
                  fillPattern=FillPattern.Solid),
                Rectangle(
                  extent={{-80,-20},{80,-40}},
                  lineColor={175,175,175},
                  fillColor={175,175,175},
                  fillPattern=FillPattern.Solid),
                Text(
                  extent={{-80,40},{80,20}},
                  lineColor={0,0,0},
                  textString="Thermalforce")}));
        end HZ_9;

      annotation (Documentation(info="<html>
   <p>
**************************************************************************** <br>
  <b> Copyright (C) 2016 Chair of Automation and Energy Systems, Saarland University </b> <br>
------------------------------------------------------------------------------------------------------------------ <br>
  This file is part of EHSTEG. <p>                    
  
  For more information see <a href=\"//EHSTEG.UsersGuide\">User's Guide</a> <p>
  
**************************************************************************** <p>
</html>
"));
      end HiZ;

      package Thermalforce "thermoelectric devices from 'Thermalforce'"

          //Copyright (C) 2015-2017 Chair of Automation and Energy Systems, Saarland University (for more information see 'Documentation')

        model TEG_127_200_24 "Thermalforce 'TEG 127-200-24'"

          //Copyright (C) 2015-2017 Chair of Automation and Energy Systems, Saarland University (for more information see 'Documentation')

        //used components**************************************************************/
          ThermoelectricGenerator_V5_7.TEG_Module tEG_Module(
            L=0.001,
            A=0.0014*0.0014,
            Length=0.04,
            Breadth=0.04,
            T_CP1=0.001,
            T_CP2=0.001,
            redeclare
              ThermoelectricGenerator_V5_7.Packaging.seq_1D_with_storing
              packaging_left(S=2, redeclare
                ThermoelectricGenerator_V5_7.Packaging_Material_Data.Ceramic_Al2O3
                Material),
            redeclare
              ThermoelectricGenerator_V5_7.Packaging.seq_1D_with_storing
              packaging_right(S=2, redeclare
                ThermoelectricGenerator_V5_7.Packaging_Material_Data.Ceramic_Al2O3
                Material),
            N=127,
            redeclare
              ThermoelectricGenerator_V5_7.Inner_TEG.CTEL_1D_dyn_seq_intalpha_contact_res
              inner_TEG(
              Mode="TEG",
              S=4,
              redeclare
                ThermoelectricGenerator_V5_7.Thermoelectric_Material_Data.Bi2_Te3_p_Thermonamic
                Material_A,
              redeclare
                ThermoelectricGenerator_V5_7.Thermoelectric_Material_Data.Bi2_Te3_n_Thermonamic
                Material_B,
              redeclare
                ThermoelectricGenerator_V5_7.Inner_TEG.Components_for_leg_connection.contact_and_wire_res
                leg_conn_elec,
              redeclare
                ThermoelectricGenerator_V5_7.Inner_TEG.Components_for_leg_connection.res_and_storage
                leg_conn_thermal_left,
              redeclare
                ThermoelectricGenerator_V5_7.Inner_TEG.Components_for_leg_connection.res_and_storage
                leg_conn_thermal_right,
              Thickness_conn=0.00015,
              redeclare
                ThermoelectricGenerator_V5_7.Packaging_Material_Data.Copper
                Material_connector),
            T_0=293.15)
            annotation (Placement(transformation(extent={{-36,-34},{32,30}})));
          Modelica.Electrical.Analog.Interfaces.NegativePin pin_n1 annotation (
              Placement(transformation(extent={{-100,-10},{-80,10}}),
                iconTransformation(extent={{-100,-10},{-80,10}})));
          Modelica.Thermal.HeatTransfer.Interfaces.HeatPort_a port_a1 annotation (
              Placement(transformation(extent={{-10,-60},{10,-40}}),
                iconTransformation(extent={{-10,-60},{10,-40}})));
          Modelica.Electrical.Analog.Interfaces.PositivePin pin_p1 annotation (
              Placement(transformation(extent={{80,-10},{100,10}}),
                iconTransformation(extent={{80,-10},{100,10}})));
          Modelica.Thermal.HeatTransfer.Interfaces.HeatPort_b port_b1 annotation (
              Placement(transformation(extent={{-10,40},{10,60}}),
                iconTransformation(extent={{-10,40},{10,60}})));
          extends Cost.ConditionalCostPortDevice;
        //*****************************************************************************/

        //equations********************************************************************/
        equation

          //cost equations
          QHeat = 0;
          electPowerOut = 0;
          electPowerIn = 0;
          //end cost equations

          connect(tEG_Module.pin_n, pin_n1) annotation (Line(
              points={{-32.2222,19.0824},{-60,19.0824},{-60,0},{-90,0}},
              color={0,0,255},
              smooth=Smooth.None));
          connect(tEG_Module.port_a, port_a1) annotation (Line(
              points={{-32.2222,-0.117647},{-44,-0.117647},{-44,-46},{0,-46},{0,
                  -50}},
              color={191,0,0},
              smooth=Smooth.None));

          connect(tEG_Module.pin_p, pin_p1) annotation (Line(
              points={{-32.2222,-18.9412},{-38,-18.9412},{-38,-34},{48,-34},{48,
                  0},{90,0}},
              color={0,0,255},
              smooth=Smooth.None));
          connect(tEG_Module.port_b, port_b1) annotation (Line(
              points={{24.8222,-0.117647},{34,-0.117647},{34,34},{0,34},{0,50}},
              color={191,0,0},
              smooth=Smooth.None));
        //*****************************************************************************/

        annotation (Documentation(info="<html>
   <p>
**************************************************************************** <br>
  <b> Copyright (C) 2015-2017 Chair of Automation and Energy Systems, Saarland University </b> <br>
------------------------------------------------------------------------------------------------------------------ <br>
  This file is part of EHSTEG. <p>                    
  
  For more information see <a href=\"//EHSTEG.UsersGuide\">User's Guide</a> <p>
  
**************************************************************************** <p>
</html>
"),                    Diagram(coordinateSystem(preserveAspectRatio=false, extent={{
                    -100,-100},{100,100}}), graphics), Icon(coordinateSystem(
                  preserveAspectRatio=false, extent={{-100,-100},{100,100}}),
                graphics={
                Rectangle(
                  extent={{-80,40},{80,20}},
                  lineColor={175,175,175},
                  fillColor={175,175,175},
                  fillPattern=FillPattern.Solid),
                Rectangle(
                  extent={{-80,20},{-60,-20}},
                  lineColor={0,255,0},
                  fillColor={0,255,0},
                  fillPattern=FillPattern.Solid),
                Rectangle(
                  extent={{-60,20},{-40,-20}},
                  lineColor={255,255,0},
                  fillColor={255,255,0},
                  fillPattern=FillPattern.Solid),
                Rectangle(
                  extent={{-40,20},{-20,-20}},
                  lineColor={0,255,0},
                  fillColor={0,255,0},
                  fillPattern=FillPattern.Solid),
                Rectangle(
                  extent={{-20,20},{0,-20}},
                  lineColor={255,255,0},
                  fillColor={255,255,0},
                  fillPattern=FillPattern.Solid),
                Rectangle(
                  extent={{0,20},{20,-20}},
                  lineColor={0,255,0},
                  fillColor={0,255,0},
                  fillPattern=FillPattern.Solid),
                Rectangle(
                  extent={{20,20},{40,-20}},
                  lineColor={255,255,0},
                  fillColor={255,255,0},
                  fillPattern=FillPattern.Solid),
                Rectangle(
                  extent={{40,20},{60,-20}},
                  lineColor={0,255,0},
                  fillColor={0,255,0},
                  fillPattern=FillPattern.Solid),
                Rectangle(
                  extent={{60,20},{80,-20}},
                  lineColor={255,255,0},
                  fillColor={255,255,0},
                  fillPattern=FillPattern.Solid),
                Rectangle(
                  extent={{-80,-20},{80,-40}},
                  lineColor={175,175,175},
                  fillColor={175,175,175},
                  fillPattern=FillPattern.Solid),
                Text(
                  extent={{-56,24},{64,-28}},
                  lineColor={0,0,255},
                  textString="5 V"),
                Text(
                  extent={{-80,40},{80,20}},
                  lineColor={0,0,0},
                  textString="Thermalforce")}));
        end TEG_127_200_24;

        model TEG_199_200_5 "Thermalforce 'TEG 199-200-5'"

          //Copyright (C) 2015-2017 Chair of Automation and Energy Systems, Saarland University (for more information see 'Documentation')

        //used components**************************************************************/
          ThermoelectricGenerator_V5_7.TEG_Module tEG_Module(
            L=0.001,
            N=199,
            A=0.0014*0.0014,
            Length=0.04,
            Breadth=0.04,
            T_CP1=0.001,
            T_CP2=0.001,
            redeclare
              ThermoelectricGenerator_V5_7.Packaging.seq_1D_with_storing
              packaging_left(S=2, redeclare
                ThermoelectricGenerator_V5_7.Packaging_Material_Data.Ceramic_Al2O3
                Material),
            redeclare
              ThermoelectricGenerator_V5_7.Packaging.seq_1D_with_storing
              packaging_right(S=2, redeclare
                ThermoelectricGenerator_V5_7.Packaging_Material_Data.Ceramic_Al2O3
                Material),
            redeclare
              ThermoelectricGenerator_V5_7.Inner_TEG.CTEL_1D_dyn_seq_intalpha_contact_res
              inner_TEG(
              S=4,
              redeclare
                ThermoelectricGenerator_V5_7.Thermoelectric_Material_Data.Bi2_Te3_p_Thermonamic
                Material_A,
              redeclare
                ThermoelectricGenerator_V5_7.Thermoelectric_Material_Data.Bi2_Te3_n_Thermonamic
                Material_B,
              redeclare
                ThermoelectricGenerator_V5_7.Inner_TEG.Components_for_leg_connection.contact_and_wire_res
                leg_conn_elec,
              redeclare
                ThermoelectricGenerator_V5_7.Inner_TEG.Components_for_leg_connection.res_and_storage
                leg_conn_thermal_left,
              redeclare
                ThermoelectricGenerator_V5_7.Inner_TEG.Components_for_leg_connection.res_and_storage
                leg_conn_thermal_right,
              Thickness_conn=0.0001,
              Mode="TEG",
              redeclare
                ThermoelectricGenerator_V5_7.Packaging_Material_Data.Copper
                Material_connector),
            T_0=293.15)
            annotation (Placement(transformation(extent={{-36,-34},{32,30}})));
          Modelica.Electrical.Analog.Interfaces.NegativePin pin_n1 annotation (
              Placement(transformation(extent={{-100,-10},{-80,10}}),
                iconTransformation(extent={{-100,-10},{-80,10}})));
          Modelica.Thermal.HeatTransfer.Interfaces.HeatPort_a port_a1 annotation (
              Placement(transformation(extent={{-10,-60},{10,-40}}),
                iconTransformation(extent={{-10,-60},{10,-40}})));
          Modelica.Electrical.Analog.Interfaces.PositivePin pin_p1 annotation (
              Placement(transformation(extent={{80,-10},{100,10}}),
                iconTransformation(extent={{80,-10},{100,10}})));
          Modelica.Thermal.HeatTransfer.Interfaces.HeatPort_b port_b1 annotation (
              Placement(transformation(extent={{-10,40},{10,60}}),
                iconTransformation(extent={{-10,40},{10,60}})));
          extends Cost.ConditionalCostPortDevice;
        //*****************************************************************************/

        //equations********************************************************************/
        equation

          //cost equations
          QHeat = 0;
          electPowerOut = 0;
          electPowerIn = 0;
          //end cost equations

          connect(tEG_Module.pin_n, pin_n1) annotation (Line(
              points={{-32.2222,19.0824},{-60,19.0824},{-60,0},{-90,0}},
              color={0,0,255},
              smooth=Smooth.None));
          connect(tEG_Module.port_a, port_a1) annotation (Line(
              points={{-32.2222,-0.117647},{-44,-0.117647},{-44,-46},{0,-46},{0,
                  -50}},
              color={191,0,0},
              smooth=Smooth.None));

          connect(tEG_Module.pin_p, pin_p1) annotation (Line(
              points={{-32.2222,-18.9412},{-38,-18.9412},{-38,-34},{48,-34},{48,
                  0},{90,0}},
              color={0,0,255},
              smooth=Smooth.None));
          connect(tEG_Module.port_b, port_b1) annotation (Line(
              points={{24.8222,-0.117647},{34,-0.117647},{34,34},{0,34},{0,50}},
              color={191,0,0},
              smooth=Smooth.None));
        //*****************************************************************************/

        annotation (Documentation(info="<html>
   <p>
**************************************************************************** <br>
  <b> Copyright (C) 2015-2017 Chair of Automation and Energy Systems, Saarland University </b> <br>
------------------------------------------------------------------------------------------------------------------ <br>
  This file is part of EHSTEG. <p>                    
  
  For more information see <a href=\"//EHSTEG.UsersGuide\">User's Guide</a> <p>
  
**************************************************************************** <p>
</html>
"),                    Diagram(coordinateSystem(preserveAspectRatio=false, extent={{
                    -100,-100},{100,100}}), graphics), Icon(coordinateSystem(
                  preserveAspectRatio=false, extent={{-100,-100},{100,100}}),
                graphics={
                Rectangle(
                  extent={{-80,40},{80,20}},
                  lineColor={175,175,175},
                  fillColor={175,175,175},
                  fillPattern=FillPattern.Solid),
                Rectangle(
                  extent={{-80,20},{-60,-20}},
                  lineColor={0,255,0},
                  fillColor={0,255,0},
                  fillPattern=FillPattern.Solid),
                Rectangle(
                  extent={{-60,20},{-40,-20}},
                  lineColor={255,255,0},
                  fillColor={255,255,0},
                  fillPattern=FillPattern.Solid),
                Rectangle(
                  extent={{-40,20},{-20,-20}},
                  lineColor={0,255,0},
                  fillColor={0,255,0},
                  fillPattern=FillPattern.Solid),
                Rectangle(
                  extent={{-20,20},{0,-20}},
                  lineColor={255,255,0},
                  fillColor={255,255,0},
                  fillPattern=FillPattern.Solid),
                Rectangle(
                  extent={{0,20},{20,-20}},
                  lineColor={0,255,0},
                  fillColor={0,255,0},
                  fillPattern=FillPattern.Solid),
                Rectangle(
                  extent={{20,20},{40,-20}},
                  lineColor={255,255,0},
                  fillColor={255,255,0},
                  fillPattern=FillPattern.Solid),
                Rectangle(
                  extent={{40,20},{60,-20}},
                  lineColor={0,255,0},
                  fillColor={0,255,0},
                  fillPattern=FillPattern.Solid),
                Rectangle(
                  extent={{60,20},{80,-20}},
                  lineColor={255,255,0},
                  fillColor={255,255,0},
                  fillPattern=FillPattern.Solid),
                Rectangle(
                  extent={{-80,-20},{80,-40}},
                  lineColor={175,175,175},
                  fillColor={175,175,175},
                  fillPattern=FillPattern.Solid),
                Text(
                  extent={{-80,40},{80,20}},
                  lineColor={0,0,0},
                  textString="Thermalforce")}));
        end TEG_199_200_5;

      annotation (Documentation(info="<html>
   <p>
**************************************************************************** <br>
  <b> Copyright (C) 2015-2017 Chair of Automation and Energy Systems, Saarland University </b> <br>
------------------------------------------------------------------------------------------------------------------ <br>
  This file is part of EHSTEG. <p>                    
  
  For more information see <a href=\"//EHSTEG.UsersGuide\">User's Guide</a> <p>
  
**************************************************************************** <p>
</html>
"));
      end Thermalforce;

    annotation (Documentation(info="<html>
   <p>
**************************************************************************** <br>
  <b> Copyright (C) 2015-2017 Chair of Automation and Energy Systems, Saarland University </b> <br>
------------------------------------------------------------------------------------------------------------------ <br>
  This file is part of EHSTEG. <p>                    
  
  For more information see <a href=\"//EHSTEG.UsersGuide\">User's Guide</a> <p>
  
**************************************************************************** <p>
</html>
"));
    end ThermoelectricDevice;

  annotation (Documentation(info="<html>
   <p>
**************************************************************************** <br>
  <b> Copyright (C) 2015-2017 Chair of Automation and Energy Systems, Saarland University </b> <br>
------------------------------------------------------------------------------------------------------------------ <br>
  This file is part of EHSTEG. <p>                    
  
  For more information see <a href=\"//EHSTEG.UsersGuide\">User's Guide</a> <p>
  
**************************************************************************** <p>
</html>
"));
  end Components;

  package Examples
    "examples for TEG-based Energy Harvesting Systems, system reconfiguration and a comparison between TEG and TEC"

    //Copyright (C) 2015-2017 Chair of Automation and Energy Systems, Saarland University (for more information see 'Documentation')

    package GreenBarbecue
      "green barbecue, developed and assembled at the Chair of Automation and Energy Systems"

      //Copyright (C) 2015-2017 Chair of Automation and Energy Systems, Saarland University (for more information see 'Documentation')

      model GreenBarbecue "green barbecue"

        //Copyright (C) 2015-2017 Chair of Automation and Energy Systems, Saarland University (for more information see 'Documentation')

      //import***********************************************************************/
          import Modelica.SIunits.*;
      //*****************************************************************************/

      //parameter definition*********************************************************/
        parameter Temperature RT = 273.15 + 6 "ambient temperature"; // K
      //*****************************************************************************/

      //variable definition**********************************************************/
        Resistance R_A1 = hZ_9_A1.tEG_Module.inner_TEG.R "resistance of TEG1"; // Ohm
        Resistance R_A2 = hZ_9_A2.tEG_Module.inner_TEG.R "resistance of TEG2"; // Ohm
        Resistance R_B1 = hZ_9_B1.tEG_Module.inner_TEG.R "resistance of TEG3"; // Ohm
        Resistance R_B2 = hZ_9_B2.tEG_Module.inner_TEG.R "resistance of TEG4"; // Ohm
        Resistance R_C1 = hZ_9_C1.tEG_Module.inner_TEG.R "resistance of TEG5"; // Ohm
        Resistance R_C2 = hZ_9_C2.tEG_Module.inner_TEG.R "resistance of TEG6"; // Ohm
        Resistance R_D1 = hZ_9_D1.tEG_Module.inner_TEG.R "resistance of TEG7"; // Ohm
        Resistance R_D2 = hZ_9_D2.tEG_Module.inner_TEG.R "resistance of TEG8"; // Ohm

        Power P_consumed "consumed electrical power"; // W
        Power P_prod "produced electrical power"; // W
      //*****************************************************************************/

      //used components**************************************************************/
        Modelica.Blocks.Tables.CombiTable1D T_hot_side1(table=[3,6; 6,6; 10,6;
              13,6; 16,6; 20,6; 23,6; 27,6; 30,6; 34,6; 38,6; 41,6; 45,6; 48,6;
              52,6; 55,6; 59,6; 62,6; 66,6; 70,6; 73,6; 77,6; 80,6; 84,6; 87,7;
              91,7; 95,7; 98,7; 102,7; 105,7; 109,7; 112,8; 116,8; 120,8; 123,8;
              127,8; 130,8; 134,8; 137,8; 141,9; 144,9; 148,9; 152,9; 155,12;
              159,12; 162,12; 166,12; 170,12; 173,12; 177,12; 180,12; 184,12;
              188,10; 191,10; 195,10; 198,10; 202,10; 206,10; 209,10; 213,10;
              217,10; 220,10; 224,10; 228,10; 231,10; 235,10; 239,10; 242,11;
              246,11; 250,11; 253,11; 257,11; 261,14; 264,14; 268,14; 272,13;
              275,15; 279,14; 283,14; 286,16; 290,15; 294,14; 298,14; 301,16;
              305,15; 309,15; 312,14; 316,14; 320,15; 324,14; 327,15; 331,17;
              335,16; 339,16; 342,15; 346,17; 350,15; 353,17; 357,15; 361,17;
              365,17; 368,15; 372,17; 376,17; 380,16; 383,17; 387,17; 391,14;
              395,17; 398,14; 402,18; 406,18; 410,18; 413,19; 417,17; 421,17;
              425,17; 428,17; 432,19; 436,19; 440,19; 443,21; 447,18; 451,18;
              455,21; 458,20; 462,19; 466,19; 470,17; 474,20; 477,19; 481,20;
              485,21; 489,19; 492,22; 496,21; 500,23; 503,23; 507,19; 511,22;
              514,19; 518,24; 522,21; 525,23; 529,21; 533,22; 536,21; 540,22;
              544,25; 547,23; 551,26; 555,23; 558,24; 562,28; 565,24; 569,24;
              573,28; 576,23; 580,24; 584,24; 587,26; 591,24; 595,24; 598,27;
              602,25; 606,26; 609,30; 613,30; 617,24; 620,26; 624,27; 628,30;
              631,30; 635,28; 639,26; 642,26; 646,28; 650,28; 653,25; 657,25;
              661,26; 664,24; 668,31; 672,26; 675,27; 679,32; 683,28; 686,27;
              690,26; 694,31; 697,30; 701,32; 705,30; 709,26; 712,30; 716,33;
              720,26; 723,33; 727,29; 731,28; 735,32; 739,30; 742,32; 746,32;
              750,32; 754,33; 757,32; 761,33; 765,33; 768,35; 772,34; 776,36;
              780,32; 783,35; 787,37; 791,36; 795,40; 798,39; 802,37; 806,39;
              809,39; 813,42; 817,42; 821,42; 824,45; 828,43; 832,39; 836,43;
              839,49; 843,46; 847,48; 850,49; 854,52; 858,47; 862,51; 865,56;
              869,54; 873,61; 876,54; 880,54; 884,54; 888,56; 891,56; 895,59;
              899,58; 903,62; 906,66; 910,60; 914,60; 918,65; 922,68; 926,64;
              929,68; 933,66; 937,71; 941,68; 945,68; 949,76; 952,72; 956,70;
              960,73; 964,73; 968,71; 972,72; 975,74; 979,75; 983,79; 987,76;
              991,79; 995,82; 998,77; 1002,76; 1006,79; 1010,79; 1014,84; 1018,
              85; 1021,79; 1025,82; 1029,86; 1033,82; 1037,80; 1040,82; 1044,95;
              1048,84; 1052,90; 1055,84; 1059,95; 1063,84; 1067,92; 1070,86;
              1074,86; 1078,93; 1082,89; 1085,91; 1089,93; 1093,95; 1096,95;
              1100,95; 1104,100; 1108,98; 1111,95; 1115,93; 1119,93; 1123,104;
              1126,104; 1130,100; 1134,105; 1138,103; 1142,98; 1145,102; 1149,
              101; 1153,101; 1157,101; 1160,102; 1164,103; 1168,101; 1172,104;
              1175,104; 1179,105; 1183,111; 1187,106; 1191,103; 1194,108; 1198,
              106; 1202,106; 1206,110; 1210,107; 1214,119; 1218,120; 1221,108;
              1225,112; 1229,111; 1233,112; 1237,116; 1240,110; 1244,115; 1248,
              111; 1252,116; 1255,113; 1259,112; 1263,115; 1267,110; 1271,113;
              1274,123; 1278,117; 1282,122; 1286,119; 1290,119; 1293,122; 1297,
              117; 1301,116; 1305,118; 1309,118; 1312,121; 1316,115; 1320,124;
              1324,118; 1327,124; 1331,116; 1335,121; 1339,125; 1343,117; 1346,
              116; 1350,121; 1354,126; 1358,122; 1362,127; 1365,120; 1369,117;
              1373,115; 1377,117; 1381,123; 1384,117; 1388,122; 1392,119; 1396,
              124; 1400,115; 1403,124; 1407,126; 1411,122; 1415,117; 1418,119;
              1422,119; 1426,117; 1430,126; 1434,118; 1437,118; 1441,125; 1445,
              118; 1449,128; 1453,117; 1457,121; 1461,119; 1464,118; 1468,118;
              1472,118; 1476,119; 1479,117; 1483,115; 1487,118; 1491,115; 1495,
              120; 1498,126; 1502,123; 1506,122; 1510,119; 1514,123; 1517,124;
              1521,118; 1525,126; 1529,118; 1533,115; 1536,117; 1540,116; 1544,
              121; 1548,120; 1552,126; 1555,126; 1559,120; 1563,122; 1567,138;
              1570,126; 1574,128; 1578,128; 1582,132; 1586,132; 1589,137; 1593,
              129; 1597,129; 1601,131; 1605,133; 1608,133; 1612,141; 1616,138;
              1620,140; 1624,138; 1627,135; 1631,138; 1635,137; 1639,139; 1643,
              142; 1646,139; 1650,137; 1654,139; 1658,142; 1661,146; 1665,140;
              1669,142; 1673,145; 1677,142; 1680,147; 1684,147; 1688,147; 1692,
              156; 1696,147; 1699,160; 1703,148; 1707,151; 1711,152; 1715,159;
              1718,160; 1722,152; 1726,153; 1730,153; 1734,167; 1737,164; 1741,
              157; 1745,159; 1749,160; 1753,159; 1756,154; 1760,162; 1764,157;
              1768,157; 1772,157; 1776,166; 1779,165; 1783,159; 1787,170; 1791,
              162; 1795,174; 1798,160; 1802,167; 1806,160; 1810,178; 1814,172;
              1817,170; 1821,169; 1825,167; 1829,167; 1832,172; 1836,175; 1840,
              170; 1844,170; 1848,176; 1851,169; 1855,187; 1859,172; 1863,175;
              1867,179; 1870,174; 1874,178; 1878,183; 1882,184; 1886,175; 1890,
              177; 1893,179; 1897,178; 1901,182; 1905,190; 1909,190; 1912,179;
              1916,182; 1920,193; 1924,185; 1928,178; 1931,185; 1935,187; 1939,
              190; 1943,189; 1947,194; 1950,186; 1954,184; 1958,193; 1962,185;
              1966,190; 1970,192; 1973,192; 1977,190; 1981,187; 1985,194; 1989,
              191; 1992,188; 1996,203; 2000,193; 2004,192; 2008,197; 2011,199;
              2015,193; 2019,200; 2023,193; 2027,193; 2031,193; 2034,193; 2038,
              190; 2042,194; 2046,189; 2050,205; 2053,199; 2057,206; 2061,203;
              2065,211; 2069,197; 2072,199; 2076,200; 2080,197; 2084,203; 2088,
              199; 2092,199; 2095,209; 2099,197; 2103,203; 2107,200; 2111,199;
              2114,210; 2118,199; 2122,197; 2126,202; 2130,208; 2133,221; 2137,
              200; 2141,204; 2145,200; 2149,197; 2152,196; 2156,211; 2160,205;
              2164,206; 2168,228; 2172,202; 2175,200; 2179,204; 2183,203; 2187,
              207; 2191,205; 2194,200; 2198,205; 2202,212; 2206,197; 2210,202;
              2213,204; 2217,203; 2221,199; 2225,208; 2229,211; 2232,201; 2236,
              208; 2240,208; 2244,207; 2248,207; 2251,201; 2255,201; 2259,199;
              2263,202; 2267,200; 2270,207; 2274,205; 2278,203; 2282,209; 2286,
              199; 2290,206; 2294,197; 2297,199; 2301,203; 2305,204; 2309,206;
              2312,207; 2316,217; 2320,206; 2324,229; 2328,213; 2331,210; 2335,
              203; 2339,210; 2343,219; 2347,211; 2350,204; 2354,203; 2358,207;
              2362,207; 2365,224; 2369,211; 2373,218; 2377,218; 2381,207; 2384,
              214; 2388,208; 2392,213; 2396,213; 2399,215; 2403,218; 2407,213;
              2411,213; 2415,223; 2418,218; 2422,216; 2426,215; 2430,217; 2433,
              217; 2437,213; 2441,216; 2445,221; 2449,216; 2452,214; 2456,219;
              2460,216; 2464,224; 2468,212; 2471,217; 2475,221; 2479,220; 2483,
              215; 2487,218; 2491,226; 2494,217; 2498,221; 2502,232; 2506,220;
              2510,229; 2514,228; 2518,215; 2522,231; 2526,221; 2529,233; 2533,
              236; 2537,219; 2541,224; 2545,225; 2549,229; 2553,225; 2557,226;
              2561,243; 2564,226; 2568,233; 2572,233; 2576,226; 2580,228; 2584,
              229; 2588,226; 2592,225; 2596,225; 2600,234; 2603,225; 2607,230;
              2611,225; 2615,226; 2619,224; 2623,231; 2627,226; 2631,225; 2635,
              235; 2638,226; 2642,224; 2646,232; 2650,237; 2654,243; 2658,225;
              2662,231; 2666,228; 2670,239; 2673,235; 2677,245; 2681,241; 2685,
              230; 2689,234; 2693,230; 2697,232; 2701,234; 2705,226; 2708,228;
              2712,228; 2716,228; 2720,229; 2724,229; 2728,231; 2732,237; 2736,
              248; 2739,228; 2743,233; 2747,235; 2751,231; 2755,226; 2759,234;
              2763,243; 2767,228; 2771,229; 2774,232; 2778,233; 2782,225; 2786,
              225; 2790,226; 2794,229; 2798,236; 2802,222; 2805,229; 2809,232;
              2813,234; 2817,223; 2821,234; 2825,233; 2829,236; 2833,237; 2837,
              230; 2840,229; 2844,226; 2848,231; 2852,232; 2856,229; 2860,228;
              2864,233; 2868,242; 2871,232; 2875,229; 2879,239; 2883,242; 2887,
              241; 2891,232; 2895,241; 2899,236; 2903,244; 2906,253; 2910,235;
              2914,237; 2918,251; 2922,246; 2926,243; 2930,241; 2934,240; 2937,
              252; 2941,245; 2945,251; 2949,266; 2953,257; 2957,244; 2961,252;
              2965,248; 2969,253; 2972,251; 2976,249; 2980,251; 2984,254; 2988,
              250; 2992,262; 2996,259; 3000,253; 3004,260; 3007,256; 3011,258;
              3015,265; 3019,250; 3023,254; 3027,264; 3031,263; 3035,272; 3039,
              260; 3042,271; 3046,270; 3050,268; 3054,264; 3058,275; 3062,277;
              3066,260; 3070,265; 3074,265; 3078,266; 3081,265; 3085,270; 3089,
              275; 3093,277; 3097,262; 3101,265; 3105,272; 3109,269; 3113,270;
              3117,274; 3120,266; 3124,263; 3128,275; 3132,274; 3136,271; 3140,
              270; 3144,272; 3148,284; 3152,269; 3155,274; 3159,272; 3163,284;
              3167,265; 3171,270; 3175,280; 3179,269; 3183,271; 3187,287; 3191,
              275; 3194,274; 3198,270; 3202,272; 3206,292; 3210,279; 3214,274;
              3218,289; 3222,274; 3225,280; 3229,279; 3233,282; 3237,280; 3241,
              279; 3245,275; 3249,284; 3253,280; 3256,282; 3260,282; 3264,279;
              3268,284; 3272,281; 3276,285; 3280,274; 3284,289; 3287,282; 3291,
              296; 3295,295; 3299,295; 3303,296; 3307,285; 3311,281; 3315,296;
              3318,284; 3322,290; 3326,289; 3330,298; 3334,296; 3338,287; 3342,
              286; 3346,294; 3349,290; 3353,287; 3357,304; 3361,289; 3365,292;
              3369,295; 3373,303; 3377,295; 3380,302; 3384,298; 3388,300; 3392,
              300; 3396,299; 3400,290; 3404,292; 3408,286; 3411,300; 3415,294;
              3419,296; 3423,289; 3427,303; 3431,289; 3435,303; 3439,302; 3442,
              304; 3446,298; 3450,295; 3454,310; 3458,300; 3462,296; 3466,296;
              3470,295; 3473,294; 3477,304; 3481,299; 3485,294; 3489,298; 3493,
              302; 3497,308; 3501,306; 3504,294; 3508,307; 3512,294; 3516,304;
              3520,303; 3524,312; 3528,304; 3532,311; 3535,302; 3539,298; 3543,
              295; 3547,299; 3551,308; 3555,314; 3559,298; 3563,298; 3566,304;
              3570,299; 3574,304; 3578,308; 3582,303; 3586,298; 3590,307; 3594,
              320; 3597,300; 3601,303; 3605,303; 3609,306; 3613,303; 3617,303;
              3621,306; 3625,306; 3628,304; 3632,307; 3636,311; 3640,316; 3644,
              325; 3648,323; 3652,325; 3656,314; 3659,330; 3663,311; 3667,320;
              3671,318; 3675,318; 3679,333; 3683,312; 3686,322; 3690,326; 3694,
              315; 3698,318; 3702,316; 3706,314; 3710,329; 3714,323; 3717,329;
              3721,345; 3725,326; 3729,326; 3733,327; 3737,329; 3741,323; 3745,
              322; 3748,325; 3752,319; 3756,318; 3760,333; 3764,336; 3768,332;
              3772,337; 3776,325; 3779,323; 3783,319; 3787,327; 3791,319; 3795,
              318; 3799,322; 3803,320; 3807,322; 3811,319; 3814,327; 3818,330;
              3822,319; 3826,333; 3830,330; 3834,326; 3838,326; 3842,318; 3845,
              323; 3849,345; 3853,326; 3857,325; 3861,336; 3865,322; 3869,329;
              3873,345; 3877,318; 3881,323; 3884,320; 3888,322; 3892,343; 3896,
              345; 3900,333; 3904,327; 3908,318; 3912,326; 3916,315; 3920,322;
              3924,319; 3927,327; 3931,315; 3935,332; 3939,323; 3943,318; 3947,
              330; 3951,318; 3955,327; 3959,318; 3963,330; 3967,322; 3971,314;
              3974,325; 3978,315; 3982,319; 3986,322; 3990,325; 3994,327; 3998,
              339; 4002,318; 4006,316; 4010,325; 4014,316; 4018,318; 4022,323;
              4025,320; 4029,329; 4033,336; 4037,322; 4041,322; 4045,332; 4049,
              336; 4053,326; 4057,322; 4061,323; 4065,320; 4069,325; 4073,329;
              4077,329; 4081,314; 4085,322; 4088,327; 4092,323; 4096,322; 4100,
              330; 4104,323; 4108,320; 4112,333; 4116,319; 4120,340; 4124,333;
              4128,323; 4132,329; 4136,322; 4140,329; 4144,336; 4147,322; 4151,
              314; 4155,320; 4159,323; 4163,342; 4167,329; 4171,319; 4175,333;
              4179,325; 4183,325; 4187,336; 4191,334; 4195,319; 4198,323; 4202,
              333; 4206,339; 4210,327; 4214,333; 4218,340; 4222,334; 4226,320;
              4230,319; 4234,318; 4238,320; 4242,329; 4246,323; 4249,334; 4253,
              315; 4257,323; 4261,325; 4265,319; 4269,319; 4273,320; 4277,318;
              4281,315; 4285,325; 4289,322; 4293,316; 4297,318; 4300,327; 4304,
              329; 4308,329; 4312,312; 4316,323; 4320,325; 4324,336; 4328,316;
              4332,327; 4336,339; 4340,316; 4344,322; 4348,316; 4352,329; 4355,
              316; 4359,330; 4363,320; 4367,329; 4371,314; 4375,320; 4379,325;
              4383,311; 4387,323; 4390,333; 4394,319; 4398,322; 4402,337; 4406,
              315; 4410,334; 4414,327; 4418,318; 4421,318; 4425,318; 4429,332;
              4433,308; 4437,330; 4441,316; 4445,323; 4448,319; 4452,318; 4456,
              323; 4460,326; 4464,325; 4468,326; 4472,329; 4476,332; 4479,359;
              4483,326; 4487,322; 4491,333; 4495,325; 4499,318; 4503,320; 4507,
              315; 4510,326; 4514,326; 4518,320; 4522,327; 4526,318; 4530,325;
              4534,315; 4538,312; 4541,333; 4545,327; 4549,318; 4553,320; 4557,
              316; 4561,318; 4565,320; 4569,314; 4572,320; 4576,316; 4580,319;
              4584,316; 4588,332; 4592,319; 4596,318; 4600,322; 4603,329; 4607,
              320; 4611,316; 4615,312; 4619,314; 4623,325; 4627,319; 4631,319;
              4634,329; 4638,347; 4642,334; 4646,322; 4650,320; 4654,340; 4658,
              318; 4662,325; 4665,358; 4669,318; 4673,320; 4677,323; 4681,318;
              4685,326; 4689,326; 4693,346; 4696,326; 4700,318; 4704,316; 4708,
              320; 4712,334; 4716,315; 4720,316; 4724,322; 4727,320; 4731,322;
              4735,318; 4739,319; 4743,310; 4747,316; 4751,314; 4755,314; 4758,
              314; 4762,318; 4766,310; 4770,310; 4774,330; 4778,315; 4782,316;
              4786,315; 4789,322; 4793,326; 4797,323; 4801,312; 4805,311; 4809,
              315; 4813,319; 4817,319; 4820,318; 4824,314; 4828,318; 4832,316;
              4836,311; 4840,319; 4844,308; 4848,307; 4851,308; 4855,308; 4859,
              320; 4863,308; 4867,316; 4871,308; 4875,308; 4879,319; 4882,320;
              4886,320; 4890,322; 4894,316; 4898,308; 4902,316; 4906,311; 4910,
              315; 4913,346; 4917,312; 4921,310; 4925,314; 4929,310; 4933,306;
              4937,314; 4940,314; 4944,315; 4948,307; 4952,312; 4956,307; 4960,
              310; 4964,314; 4968,304; 4971,315; 4975,311; 4979,308; 4983,311;
              4987,308; 4991,326; 4995,312; 4998,330; 5002,314; 5006,307; 5010,
              320; 5014,307; 5018,320; 5022,325; 5025,322; 5029,307; 5033,327;
              5037,312; 5041,306; 5045,322; 5049,318; 5052,312; 5056,323; 5060,
              307; 5064,347; 5068,314; 5072,327; 5076,310; 5080,322; 5084,322;
              5087,307; 5091,322; 5095,306; 5099,325; 5103,323; 5107,312; 5111,
              318; 5115,308; 5119,318; 5123,315; 5126,329; 5130,306; 5134,310;
              5138,311; 5142,304; 5146,308; 5150,322; 5154,307; 5158,308; 5161,
              307; 5165,318; 5169,325; 5173,308; 5177,306; 5181,316; 5185,310;
              5189,310; 5192,318; 5196,308; 5200,312; 5204,304; 5208,315; 5212,
              300; 5216,304; 5220,314; 5223,304; 5227,307; 5231,319; 5235,307;
              5239,303; 5243,307; 5247,308; 5251,312; 5254,300; 5258,314; 5262,
              299; 5266,299; 5270,296; 5274,294; 5278,292; 5282,300; 5285,306;
              5289,302; 5293,302; 5297,307; 5301,298; 5305,296; 5309,292; 5313,
              299; 5316,316; 5320,295; 5324,302; 5328,290; 5332,307; 5336,289;
              5340,299; 5344,302; 5347,306; 5351,303; 5355,298; 5359,295; 5363,
              294; 5367,290; 5371,308; 5375,300; 5378,292; 5382,298; 5386,289;
              5390,308; 5394,296; 5398,303; 5402,289; 5406,294; 5409,296; 5413,
              290; 5417,294; 5421,291; 5425,290; 5429,294; 5433,289; 5437,289;
              5440,291; 5444,306; 5448,292; 5452,287; 5456,291; 5460,302; 5464,
              282; 5468,291; 5471,285; 5475,285; 5479,284; 5483,296; 5487,282;
              5491,286; 5495,291; 5499,294; 5502,303; 5506,286; 5510,284; 5514,
              295; 5518,295; 5522,284; 5526,294; 5530,284; 5533,303; 5537,280;
              5541,290; 5545,276; 5549,289; 5553,281; 5557,282; 5561,296; 5564,
              279; 5568,290; 5572,277; 5576,277; 5580,289; 5584,294; 5588,280;
              5592,279; 5595,295; 5599,277; 5603,276; 5607,277; 5611,285; 5615,
              296; 5619,296; 5622,276; 5626,274; 5630,274; 5634,280; 5638,275;
              5642,276; 5646,287; 5650,274; 5653,285; 5657,274; 5661,280; 5665,
              282; 5669,289; 5673,269; 5677,272; 5681,271; 5684,269; 5688,276;
              5692,286; 5696,270; 5700,285; 5704,270; 5708,279; 5712,271; 5715,
              266; 5719,274; 5723,272; 5727,268; 5731,268; 5735,264; 5739,266;
              5743,265; 5746,266; 5750,271; 5754,271; 5758,289; 5762,266; 5766,
              264; 5770,264; 5774,271; 5777,263; 5781,270; 5785,265; 5789,280;
              5793,276; 5797,269; 5801,265; 5805,272; 5808,275; 5812,285; 5816,
              281; 5820,276; 5824,265; 5828,271; 5832,270; 5836,271; 5839,275;
              5843,264; 5847,276; 5851,265; 5855,285; 5859,269; 5863,270; 5867,
              276; 5870,263; 5874,269; 5878,279; 5882,263; 5886,263; 5890,272;
              5894,268; 5898,262; 5901,269; 5905,260; 5909,262; 5913,265; 5917,
              265; 5921,272; 5925,266; 5928,264; 5932,259; 5936,275; 5940,263;
              5944,258; 5948,270; 5952,276; 5956,264; 5959,263; 5963,254; 5967,
              257; 5971,263; 5975,259; 5979,264; 5983,254; 5987,257; 5990,271;
              5994,258; 5998,254; 6002,260; 6006,256; 6010,262; 6014,254; 6018,
              265; 6021,254; 6025,275; 6029,254; 6033,257; 6037,257; 6041,257;
              6045,252; 6049,253; 6052,253; 6056,257; 6060,260; 6064,251; 6068,
              253; 6072,260; 6076,253; 6080,254; 6083,254; 6087,249; 6091,258;
              6095,256; 6099,254; 6103,262; 6107,260; 6111,263; 6114,252; 6118,
              259; 6122,250; 6126,260; 6130,250; 6134,246; 6138,270; 6142,249;
              6145,251; 6149,254; 6153,243; 6157,254; 6161,249; 6165,253; 6169,
              254; 6173,253; 6176,244; 6180,245; 6184,259; 6188,249; 6192,249;
              6196,256; 6200,246; 6203,252; 6207,250; 6211,243; 6215,245; 6219,
              246; 6223,241; 6227,243; 6231,251; 6234,251; 6238,257; 6242,251;
              6246,246; 6250,248; 6254,249; 6258,246; 6262,244; 6265,240; 6269,
              245; 6273,254; 6277,245; 6281,243; 6285,252; 6289,240; 6293,246;
              6296,241; 6300,265; 6304,240; 6308,243; 6312,245; 6316,253; 6320,
              244; 6324,239; 6327,246; 6331,246; 6335,241; 6339,252; 6343,256;
              6347,249; 6351,242; 6355,242; 6358,249; 6362,240; 6366,245; 6370,
              252; 6374,249; 6378,235; 6382,244; 6386,244; 6389,250; 6393,235;
              6397,236; 6401,240; 6405,237; 6409,244; 6413,240; 6416,236; 6420,
              235; 6424,242; 6428,234; 6432,235; 6436,245; 6440,231; 6444,241;
              6447,235; 6451,231; 6455,237; 6459,236; 6463,241; 6467,240; 6471,
              240; 6474,240; 6478,241; 6482,234; 6486,231; 6490,230; 6494,235;
              6498,232; 6501,257; 6505,235; 6509,236; 6513,235; 6517,239; 6521,
              231; 6525,242; 6528,234; 6532,229; 6536,233; 6540,226; 6544,228;
              6548,231; 6552,234; 6555,233; 6559,233; 6563,230; 6567,233; 6571,
              228; 6574,226; 6578,228; 6582,223; 6586,226; 6589,228; 6593,230;
              6597,230; 6601,229; 6604,222; 6608,224; 6612,230; 6616,225; 6619,
              233; 6623,220; 6627,224; 6631,224; 6634,224; 6638,221; 6642,224;
              6646,223; 6649,221; 6653,220; 6657,221; 6661,220; 6664,218; 6668,
              235; 6672,218; 6676,225; 6679,224; 6683,218; 6687,217; 6691,216;
              6694,216; 6698,218; 6702,221; 6706,217; 6709,214; 6713,224; 6717,
              216; 6721,215; 6724,222; 6728,217; 6732,214; 6736,214; 6739,212;
              6743,217; 6747,212; 6751,212; 6754,209; 6758,212; 6762,209; 6766,
              218; 6769,210; 6773,209; 6777,209; 6781,214; 6784,209; 6788,206;
              6792,211; 6796,209; 6799,211; 6803,208; 6807,204; 6811,207; 6814,
              204; 6818,205; 6822,218; 6826,213; 6829,206; 6833,202])
                                                        annotation (Placement(
              transformation(
              extent={{-10,-10},{10,10}},
              rotation=90,
              origin={-120,-80})));
        Modelica.Blocks.Tables.CombiTable1D T_hot_side2(table=[3,6; 6,6; 10,6;
              13,6; 16,6; 20,6; 23,6; 27,6; 30,6; 34,6; 38,6; 41,6; 45,6; 48,6;
              52,6; 55,6; 59,6; 62,6; 66,6; 70,6; 73,6; 77,6; 80,6; 84,6; 87,6;
              91,6; 95,6; 98,6; 102,6; 105,7; 109,7; 112,7; 116,7; 120,7; 123,7;
              127,7; 130,7; 134,7; 137,8; 141,8; 144,8; 148,8; 152,8; 155,8;
              159,8; 162,8; 166,8; 170,8; 173,8; 177,9; 180,9; 184,9; 188,10;
              191,10; 195,10; 198,10; 202,10; 206,10; 209,10; 213,10; 217,10;
              220,10; 224,10; 228,10; 231,10; 235,11; 239,11; 242,11; 246,11;
              250,12; 253,12; 257,12; 261,15; 264,16; 268,17; 272,14; 275,18;
              279,16; 283,19; 286,18; 290,17; 294,19; 298,19; 301,18; 305,19;
              309,17; 312,17; 316,20; 320,19; 324,17; 327,18; 331,20; 335,19;
              339,16; 342,22; 346,21; 350,19; 353,19; 357,18; 361,23; 365,18;
              368,23; 372,22; 376,19; 380,18; 383,20; 387,19; 391,22; 395,23;
              398,21; 402,21; 406,19; 410,23; 413,22; 417,26; 421,21; 425,28;
              428,19; 432,22; 436,23; 440,21; 443,23; 447,20; 451,18; 455,24;
              458,23; 462,22; 466,22; 470,21; 474,26; 477,23; 481,23; 485,23;
              489,20; 492,23; 496,23; 500,21; 503,25; 507,20; 511,23; 514,19;
              518,19; 522,26; 525,22; 529,23; 533,24; 536,22; 540,25; 544,30;
              547,25; 551,26; 555,26; 558,24; 562,26; 565,24; 569,24; 573,21;
              576,24; 580,26; 584,26; 587,28; 591,27; 595,26; 598,24; 602,26;
              606,27; 609,26; 613,28; 617,23; 620,28; 624,26; 628,33; 631,34;
              635,25; 639,26; 642,27; 646,28; 650,27; 653,24; 657,28; 661,33;
              664,27; 668,29; 672,29; 675,27; 679,32; 683,27; 686,27; 690,33;
              694,28; 697,32; 701,26; 705,32; 709,30; 712,33; 716,37; 720,34;
              723,33; 727,33; 731,30; 735,35; 739,30; 742,32; 746,33; 750,35;
              754,36; 757,37; 761,33; 765,35; 768,43; 772,39; 776,36; 780,45;
              783,36; 787,41; 791,36; 795,39; 798,41; 802,42; 806,41; 809,37;
              813,41; 817,44; 821,44; 824,41; 828,46; 832,43; 836,41; 839,45;
              843,48; 847,54; 850,44; 854,46; 858,43; 862,50; 865,50; 869,55;
              873,53; 876,49; 880,52; 884,56; 888,58; 891,54; 895,57; 899,56;
              903,60; 906,60; 910,56; 914,60; 918,66; 922,57; 926,61; 929,66;
              933,58; 937,60; 941,61; 945,64; 949,64; 952,63; 956,60; 960,72;
              964,73; 968,66; 972,69; 975,71; 979,69; 983,64; 987,74; 991,66;
              995,71; 998,69; 1002,69; 1006,70; 1010,68; 1014,74; 1018,67; 1021,
              70; 1025,79; 1029,79; 1033,70; 1037,67; 1040,77; 1044,75; 1048,71;
              1052,81; 1055,77; 1059,73; 1063,74; 1067,76; 1070,83; 1074,76;
              1078,88; 1082,79; 1085,79; 1089,97; 1093,81; 1096,97; 1100,86;
              1104,88; 1108,91; 1111,83; 1115,88; 1119,86; 1123,99; 1126,90;
              1130,86; 1134,88; 1138,88; 1142,94; 1145,101; 1149,97; 1153,92;
              1157,106; 1160,98; 1164,98; 1168,98; 1172,109; 1175,109; 1179,100;
              1183,105; 1187,112; 1191,106; 1194,110; 1198,109; 1202,112; 1206,
              127; 1210,112; 1214,113; 1218,103; 1221,109; 1225,129; 1229,113;
              1233,114; 1237,121; 1240,112; 1244,114; 1248,115; 1252,120; 1255,
              129; 1259,115; 1263,138; 1267,119; 1271,121; 1274,136; 1278,122;
              1282,122; 1286,126; 1290,133; 1293,129; 1297,128; 1301,133; 1305,
              148; 1309,134; 1312,129; 1316,128; 1320,133; 1324,134; 1327,129;
              1331,135; 1335,146; 1339,160; 1343,147; 1346,141; 1350,144; 1354,
              142; 1358,144; 1362,155; 1365,142; 1369,143; 1373,144; 1377,144;
              1381,148; 1384,145; 1388,146; 1392,147; 1396,162; 1400,151; 1403,
              166; 1407,164; 1411,159; 1415,166; 1418,160; 1422,165; 1426,156;
              1430,165; 1434,160; 1437,166; 1441,162; 1445,171; 1449,165; 1453,
              164; 1457,166; 1461,175; 1464,167; 1468,209; 1472,165; 1476,175;
              1479,170; 1483,169; 1487,170; 1491,174; 1495,197; 1498,187; 1502,
              196; 1506,198; 1510,195; 1514,184; 1517,198; 1521,209; 1525,199;
              1529,191; 1533,191; 1536,185; 1540,189; 1544,195; 1548,185; 1552,
              202; 1555,201; 1559,192; 1563,193; 1567,207; 1570,205; 1574,200;
              1578,214; 1582,213; 1586,200; 1589,232; 1593,215; 1597,198; 1601,
              201; 1605,208; 1608,205; 1612,216; 1616,211; 1620,217; 1624,221;
              1627,202; 1631,210; 1635,208; 1639,225; 1643,208; 1646,223; 1650,
              204; 1654,215; 1658,217; 1661,210; 1665,209; 1669,207; 1673,214;
              1677,233; 1680,226; 1684,219; 1688,209; 1692,232; 1696,214; 1699,
              233; 1703,228; 1707,224; 1711,231; 1715,226; 1718,218; 1722,214;
              1726,248; 1730,216; 1734,234; 1737,236; 1741,228; 1745,230; 1749,
              232; 1753,230; 1756,220; 1760,228; 1764,224; 1768,220; 1772,222;
              1776,223; 1779,234; 1783,230; 1787,224; 1791,248; 1795,228; 1798,
              224; 1802,250; 1806,232; 1810,236; 1814,237; 1817,241; 1821,233;
              1825,236; 1829,231; 1832,237; 1836,249; 1840,244; 1844,232; 1848,
              251; 1851,234; 1855,249; 1859,232; 1863,251; 1867,235; 1870,232;
              1874,266; 1878,244; 1882,242; 1886,231; 1890,234; 1893,241; 1897,
              232; 1901,234; 1905,245; 1909,243; 1912,244; 1916,231; 1920,256;
              1924,242; 1928,252; 1931,253; 1935,239; 1939,254; 1943,237; 1947,
              259; 1950,236; 1954,239; 1958,256; 1962,241; 1966,241; 1970,233;
              1973,246; 1977,251; 1981,250; 1985,248; 1989,236; 1992,249; 1996,
              253; 2000,245; 2004,246; 2008,242; 2011,245; 2015,243; 2019,243;
              2023,243; 2027,243; 2031,246; 2034,248; 2038,237; 2042,249; 2046,
              245; 2050,256; 2053,245; 2057,257; 2061,245; 2065,260; 2069,259;
              2072,244; 2076,251; 2080,244; 2084,252; 2088,249; 2092,244; 2095,
              245; 2099,251; 2103,277; 2107,249; 2111,250; 2114,251; 2118,244;
              2122,251; 2126,256; 2130,257; 2133,248; 2137,243; 2141,254; 2145,
              252; 2149,237; 2152,265; 2156,251; 2160,243; 2164,257; 2168,245;
              2172,243; 2175,242; 2179,253; 2183,256; 2187,242; 2191,246; 2194,
              236; 2198,243; 2202,248; 2206,234; 2210,234; 2213,259; 2217,232;
              2221,251; 2225,235; 2229,257; 2232,234; 2236,237; 2240,250; 2244,
              256; 2248,234; 2251,235; 2255,239; 2259,234; 2263,237; 2267,233;
              2270,242; 2274,244; 2278,241; 2282,234; 2286,230; 2290,248; 2294,
              244; 2297,232; 2301,250; 2305,230; 2309,243; 2312,246; 2316,256;
              2320,234; 2324,239; 2328,241; 2331,231; 2335,230; 2339,236; 2343,
              252; 2347,256; 2350,257; 2354,230; 2358,251; 2362,224; 2365,234;
              2369,236; 2373,253; 2377,239; 2381,225; 2384,235; 2388,225; 2392,
              245; 2396,239; 2399,248; 2403,242; 2407,229; 2411,232; 2415,236;
              2418,254; 2422,236; 2426,229; 2430,232; 2433,226; 2437,230; 2441,
              249; 2445,239; 2449,243; 2452,239; 2456,237; 2460,242; 2464,251;
              2468,228; 2471,231; 2475,260; 2479,229; 2483,242; 2487,236; 2491,
              231; 2494,254; 2498,242; 2502,245; 2506,229; 2510,239; 2514,240;
              2518,242; 2522,235; 2526,237; 2529,246; 2533,236; 2537,226; 2541,
              232; 2545,259; 2549,245; 2553,235; 2557,233; 2561,249; 2564,223;
              2568,248; 2572,250; 2576,260; 2580,228; 2584,263; 2588,236; 2592,
              228; 2596,224; 2600,236; 2603,226; 2607,230; 2611,226; 2615,237;
              2619,231; 2623,232; 2627,226; 2631,266; 2635,241; 2638,219; 2642,
              226; 2646,242; 2650,239; 2654,234; 2658,222; 2662,243; 2666,228;
              2670,233; 2673,230; 2677,240; 2681,234; 2685,243; 2689,265; 2693,
              239; 2697,251; 2701,234; 2705,224; 2708,233; 2712,224; 2716,241;
              2720,229; 2724,231; 2728,252; 2732,223; 2736,235; 2739,241; 2743,
              221; 2747,240; 2751,236; 2755,241; 2759,241; 2763,231; 2767,219;
              2771,253; 2774,224; 2778,225; 2782,233; 2786,222; 2790,219; 2794,
              249; 2798,218; 2802,245; 2805,245; 2809,232; 2813,226; 2817,220;
              2821,230; 2825,235; 2829,226; 2833,230; 2837,225; 2840,215; 2844,
              218; 2848,216; 2852,218; 2856,214; 2860,212; 2864,221; 2868,217;
              2871,232; 2875,223; 2879,209; 2883,214; 2887,213; 2891,206; 2895,
              219; 2899,220; 2903,216; 2906,205; 2910,204; 2914,214; 2918,207;
              2922,208; 2926,199; 2930,193; 2934,201; 2937,204; 2941,218; 2945,
              196; 2949,212; 2953,211; 2957,205; 2961,198; 2965,194; 2969,200;
              2972,196; 2976,189; 2980,194; 2984,188; 2988,197; 2992,183; 2996,
              200; 3000,193; 3004,201; 3007,210; 3011,193; 3015,188; 3019,181;
              3023,184; 3027,188; 3031,197; 3035,209; 3039,198; 3042,186; 3046,
              180; 3050,196; 3054,192; 3058,190; 3062,187; 3066,193; 3070,189;
              3074,195; 3078,179; 3081,179; 3085,187; 3089,187; 3093,185; 3097,
              178; 3101,190; 3105,182; 3109,183; 3113,169; 3117,169; 3120,174;
              3124,180; 3128,173; 3132,177; 3136,182; 3140,178; 3144,168; 3148,
              178; 3152,175; 3155,171; 3159,172; 3163,180; 3167,172; 3171,166;
              3175,178; 3179,175; 3183,172; 3187,169; 3191,189; 3194,175; 3198,
              165; 3202,170; 3206,187; 3210,186; 3214,166; 3218,184; 3222,160;
              3225,167; 3229,160; 3233,170; 3237,178; 3241,198; 3245,171; 3249,
              185; 3253,168; 3256,171; 3260,168; 3264,162; 3268,170; 3272,167;
              3276,159; 3280,160; 3284,170; 3287,165; 3291,157; 3295,157; 3299,
              162; 3303,167; 3307,169; 3311,166; 3315,159; 3318,159; 3322,172;
              3326,161; 3330,154; 3334,158; 3338,158; 3342,157; 3346,160; 3349,
              154; 3353,160; 3357,154; 3361,160; 3365,151; 3369,165; 3373,168;
              3377,152; 3380,154; 3384,153; 3388,151; 3392,151; 3396,153; 3400,
              151; 3404,153; 3408,153; 3411,172; 3415,152; 3419,161; 3423,167;
              3427,156; 3431,166; 3435,172; 3439,163; 3442,156; 3446,155; 3450,
              170; 3454,155; 3458,164; 3462,154; 3466,160; 3470,156; 3473,167;
              3477,161; 3481,170; 3485,168; 3489,169; 3493,162; 3497,161; 3501,
              150; 3504,159; 3508,172; 3512,155; 3516,177; 3520,159; 3524,171;
              3528,160; 3532,156; 3535,160; 3539,161; 3543,154; 3547,167; 3551,
              157; 3555,160; 3559,165; 3563,160; 3566,168; 3570,160; 3574,162;
              3578,182; 3582,164; 3586,164; 3590,175; 3594,160; 3597,156; 3601,
              155; 3605,175; 3609,173; 3613,164; 3617,160; 3621,172; 3625,157;
              3628,161; 3632,159; 3636,162; 3640,159; 3644,176; 3648,161; 3652,
              174; 3656,166; 3659,170; 3663,160; 3667,171; 3671,172; 3675,164;
              3679,163; 3683,169; 3686,173; 3690,164; 3694,174; 3698,169; 3702,
              173; 3706,182; 3710,188; 3714,167; 3717,178; 3721,173; 3725,182;
              3729,199; 3733,178; 3737,174; 3741,185; 3745,190; 3748,191; 3752,
              174; 3756,197; 3760,184; 3764,194; 3768,177; 3772,179; 3776,200;
              3779,179; 3783,177; 3787,182; 3791,194; 3795,186; 3799,183; 3803,
              205; 3807,199; 3811,189; 3814,206; 3818,194; 3822,199; 3826,206;
              3830,183; 3834,208; 3838,201; 3842,191; 3845,185; 3849,214; 3853,
              184; 3857,202; 3861,195; 3865,189; 3869,199; 3873,190; 3877,195;
              3881,192; 3884,192; 3888,206; 3892,207; 3896,207; 3900,209; 3904,
              199; 3908,189; 3912,203; 3916,195; 3920,196; 3924,200; 3927,203;
              3931,195; 3935,202; 3939,190; 3943,203; 3947,197; 3951,199; 3955,
              214; 3959,198; 3963,211; 3967,200; 3971,195; 3974,206; 3978,200;
              3982,199; 3986,196; 3990,193; 3994,214; 3998,199; 4002,204; 4006,
              205; 4010,202; 4014,205; 4018,207; 4022,216; 4025,201; 4029,202;
              4033,212; 4037,192; 4041,219; 4045,206; 4049,193; 4053,214; 4057,
              200; 4061,205; 4065,196; 4069,203; 4073,218; 4077,203; 4081,196;
              4085,214; 4088,208; 4092,200; 4096,204; 4100,189; 4104,203; 4108,
              195; 4112,198; 4116,192; 4120,204; 4124,207; 4128,190; 4132,209;
              4136,195; 4140,201; 4144,208; 4147,218; 4151,194; 4155,221; 4159,
              203; 4163,196; 4167,192; 4171,203; 4175,202; 4179,215; 4183,208;
              4187,200; 4191,236; 4195,198; 4198,193; 4202,195; 4206,193; 4210,
              196; 4214,199; 4218,216; 4222,195; 4226,218; 4230,205; 4234,200;
              4238,195; 4242,209; 4246,191; 4249,195; 4253,193; 4257,194; 4261,
              209; 4265,190; 4269,191; 4273,190; 4277,194; 4281,193; 4285,202;
              4289,201; 4293,200; 4297,216; 4300,212; 4304,194; 4308,196; 4312,
              195; 4316,223; 4320,194; 4324,200; 4328,214; 4332,196; 4336,198;
              4340,195; 4344,206; 4348,191; 4352,190; 4355,202; 4359,203; 4363,
              186; 4367,199; 4371,205; 4375,202; 4379,190; 4383,187; 4387,195;
              4390,201; 4394,191; 4398,193; 4402,202; 4406,218; 4410,195; 4414,
              211; 4418,189; 4421,207; 4425,194; 4429,226; 4433,199; 4437,208;
              4441,187; 4445,192; 4448,184; 4452,204; 4456,194; 4460,198; 4464,
              201; 4468,192; 4472,200; 4476,213; 4479,192; 4483,200; 4487,203;
              4491,195; 4495,184; 4499,197; 4503,182; 4507,187; 4510,191; 4514,
              192; 4518,190; 4522,196; 4526,199; 4530,207; 4534,196; 4538,212;
              4541,210; 4545,207; 4549,194; 4553,209; 4557,215; 4561,196; 4565,
              204; 4569,204; 4572,203; 4576,204; 4580,202; 4584,200; 4588,200;
              4592,179; 4596,187; 4600,194; 4603,212; 4607,190; 4611,184; 4615,
              210; 4619,186; 4623,188; 4627,187; 4631,206; 4634,193; 4638,211;
              4642,200; 4646,193; 4650,199; 4654,209; 4658,188; 4662,202; 4665,
              191; 4669,191; 4673,198; 4677,195; 4681,191; 4685,195; 4689,190;
              4693,199; 4696,190; 4700,194; 4704,211; 4708,201; 4712,195; 4716,
              190; 4720,189; 4724,193; 4727,205; 4731,204; 4735,210; 4739,212;
              4743,183; 4747,204; 4751,189; 4755,186; 4758,201; 4762,191; 4766,
              201; 4770,198; 4774,189; 4778,196; 4782,181; 4786,195; 4789,198;
              4793,183; 4797,187; 4801,183; 4805,200; 4809,207; 4813,193; 4817,
              231; 4820,217; 4824,197; 4828,185; 4832,180; 4836,190; 4840,181;
              4844,191; 4848,203; 4851,194; 4855,205; 4859,184; 4863,191; 4867,
              185; 4871,195; 4875,200; 4879,180; 4882,181; 4886,182; 4890,195;
              4894,177; 4898,194; 4902,185; 4906,176; 4910,178; 4913,180; 4917,
              178; 4921,194; 4925,189; 4929,179; 4933,180; 4937,203; 4940,176;
              4944,186; 4948,187; 4952,176; 4956,192; 4960,180; 4964,189; 4968,
              187; 4971,171; 4975,182; 4979,172; 4983,180; 4987,172; 4991,174;
              4995,173; 4998,176; 5002,176; 5006,182; 5010,184; 5014,178; 5018,
              178; 5022,176; 5025,176; 5029,178; 5033,178; 5037,187; 5041,187;
              5045,177; 5049,174; 5052,176; 5056,182; 5060,180; 5064,176; 5068,
              174; 5072,187; 5076,173; 5080,182; 5084,177; 5087,173; 5091,181;
              5095,173; 5099,195; 5103,172; 5107,173; 5111,175; 5115,181; 5119,
              179; 5123,178; 5126,180; 5130,175; 5134,171; 5138,180; 5142,170;
              5146,172; 5150,183; 5154,207; 5158,167; 5161,174; 5165,189; 5169,
              184; 5173,185; 5177,169; 5181,174; 5185,184; 5189,170; 5192,182;
              5196,175; 5200,176; 5204,167; 5208,172; 5212,169; 5216,171; 5220,
              176; 5223,168; 5227,182; 5231,168; 5235,177; 5239,185; 5243,181;
              5247,173; 5251,187; 5254,176; 5258,176; 5262,170; 5266,180; 5270,
              172; 5274,167; 5278,172; 5282,173; 5285,171; 5289,175; 5293,178;
              5297,197; 5301,168; 5305,170; 5309,175; 5313,172; 5316,181; 5320,
              180; 5324,178; 5328,168; 5332,181; 5336,170; 5340,169; 5344,174;
              5347,190; 5351,175; 5355,181; 5359,167; 5363,165; 5367,167; 5371,
              164; 5375,171; 5378,170; 5382,167; 5386,167; 5390,167; 5394,167;
              5398,174; 5402,161; 5406,170; 5409,183; 5413,160; 5417,170; 5421,
              160; 5425,164; 5429,165; 5433,161; 5437,177; 5440,172; 5444,178;
              5448,167; 5452,163; 5456,161; 5460,172; 5464,158; 5468,174; 5471,
              166; 5475,182; 5479,186; 5483,175; 5487,159; 5491,175; 5495,167;
              5499,169; 5502,167; 5506,171; 5510,161; 5514,167; 5518,168; 5522,
              176; 5526,184; 5530,160; 5533,178; 5537,163; 5541,165; 5545,160;
              5549,167; 5553,160; 5557,169; 5561,167; 5564,157; 5568,159; 5572,
              166; 5576,160; 5580,174; 5584,172; 5588,204; 5592,159; 5595,188;
              5599,160; 5603,163; 5607,160; 5611,175; 5615,175; 5619,180; 5622,
              160; 5626,158; 5630,160; 5634,165; 5638,169; 5642,161; 5646,168;
              5650,156; 5653,155; 5657,160; 5661,160; 5665,174; 5669,164; 5673,
              157; 5677,168; 5681,158; 5684,158; 5688,159; 5692,166; 5696,189;
              5700,165; 5704,153; 5708,165; 5712,181; 5715,155; 5719,167; 5723,
              156; 5727,157; 5731,161; 5735,153; 5739,157; 5743,153; 5746,153;
              5750,153; 5754,172; 5758,168; 5762,155; 5766,158; 5770,153; 5774,
              166; 5777,153; 5781,178; 5785,161; 5789,169; 5793,172; 5797,159;
              5801,153; 5805,167; 5808,164; 5812,167; 5816,156; 5820,165; 5824,
              160; 5828,151; 5832,153; 5836,159; 5839,172; 5843,151; 5847,167;
              5851,156; 5855,171; 5859,155; 5863,159; 5867,170; 5870,152; 5874,
              154; 5878,154; 5882,151; 5886,145; 5890,159; 5894,159; 5898,147;
              5901,148; 5905,147; 5909,150; 5913,154; 5917,153; 5921,154; 5925,
              158; 5928,156; 5932,167; 5936,151; 5940,147; 5944,146; 5948,149;
              5952,157; 5956,152; 5959,174; 5963,143; 5967,153; 5971,150; 5975,
              142; 5979,150; 5983,141; 5987,143; 5990,155; 5994,151; 5998,144;
              6002,155; 6006,142; 6010,143; 6014,143; 6018,151; 6021,162; 6025,
              160; 6029,142; 6033,141; 6037,146; 6041,147; 6045,141; 6049,141;
              6052,140; 6056,149; 6060,151; 6064,142; 6068,149; 6072,146; 6076,
              144; 6080,139; 6083,146; 6087,140; 6091,152; 6095,145; 6099,141;
              6103,147; 6107,142; 6111,147; 6114,140; 6118,153; 6122,137; 6126,
              147; 6130,139; 6134,138; 6138,139; 6142,138; 6145,136; 6149,157;
              6153,133; 6157,142; 6161,140; 6165,146; 6169,136; 6173,137; 6176,
              134; 6180,131; 6184,135; 6188,140; 6192,151; 6196,136; 6200,151;
              6203,143; 6207,138; 6211,142; 6215,131; 6219,148; 6223,131; 6227,
              129; 6231,135; 6234,136; 6238,138; 6242,135; 6246,130; 6250,133;
              6254,134; 6258,168; 6262,142; 6265,129; 6269,139; 6273,127; 6277,
              142; 6281,127; 6285,143; 6289,128; 6293,142; 6296,127; 6300,134;
              6304,123; 6308,126; 6312,134; 6316,139; 6320,129; 6324,124; 6327,
              133; 6331,126; 6335,146; 6339,129; 6343,133; 6347,138; 6351,125;
              6355,133; 6358,133; 6362,124; 6366,134; 6370,125; 6374,126; 6378,
              122; 6382,125; 6386,131; 6389,129; 6393,131; 6397,125; 6401,138;
              6405,124; 6409,124; 6413,129; 6416,121; 6420,147; 6424,124; 6428,
              119; 6432,119; 6436,125; 6440,114; 6444,132; 6447,128; 6451,117;
              6455,118; 6459,125; 6463,128; 6467,121; 6471,125; 6474,119; 6478,
              119; 6482,119; 6486,119; 6490,122; 6494,118; 6498,122; 6501,119;
              6505,128; 6509,120; 6513,125; 6517,120; 6521,128; 6525,122; 6528,
              126; 6532,113; 6536,111; 6540,115; 6544,123; 6548,119; 6552,124;
              6555,110; 6559,117; 6563,120; 6567,119; 6571,120; 6574,120; 6578,
              119; 6582,113; 6586,116; 6589,127; 6593,113; 6597,113; 6601,123;
              6604,109; 6608,115; 6612,115; 6616,114; 6619,114; 6623,115; 6627,
              113; 6631,112; 6634,110; 6638,109; 6642,119; 6646,112; 6649,109;
              6653,117; 6657,118; 6661,113; 6664,109; 6668,117; 6672,111; 6676,
              109; 6679,109; 6683,116; 6687,112; 6691,111; 6694,125; 6698,116;
              6702,113; 6706,111; 6709,105; 6713,110; 6717,112; 6721,108; 6724,
              111; 6728,109; 6732,109; 6736,119; 6739,106; 6743,115; 6747,114;
              6751,109; 6754,107; 6758,104; 6762,105; 6766,112; 6769,106; 6773,
              109; 6777,103; 6781,109; 6784,107; 6788,104; 6792,103; 6796,115;
              6799,106; 6803,103; 6807,103; 6811,98; 6814,100; 6818,103; 6822,
              109; 6826,115; 6829,106; 6833,98])        annotation (Placement(
              transformation(
              extent={{-10,-10},{10,10}},
              rotation=90,
              origin={-40,-80})));
        Modelica.Blocks.Tables.CombiTable1D T_hot_side3(table=[3,6; 6,6; 10,7;
              13,7; 16,8; 20,8; 23,8; 27,9; 30,10; 34,10; 38,11; 41,12; 45,12;
              48,13; 52,14; 55,15; 59,17; 62,18; 66,19; 70,21; 73,22; 77,23; 80,
              24; 84,24; 87,26; 91,28; 95,30; 98,31; 102,32; 105,33; 109,35;
              112,36; 116,37; 120,39; 123,40; 127,42; 130,43; 134,45; 137,47;
              141,49; 144,51; 148,52; 152,54; 155,56; 159,57; 162,59; 166,61;
              170,63; 173,65; 177,66; 180,68; 184,70; 188,71; 191,72; 195,72;
              198,73; 202,74; 206,74; 209,76; 213,76; 217,76; 220,77; 224,79;
              228,79; 231,80; 235,81; 239,81; 242,82; 246,83; 250,84; 253,86;
              257,87; 261,88; 264,88; 268,93; 272,93; 275,94; 279,95; 283,95;
              286,99; 290,98; 294,97; 298,98; 301,98; 305,97; 309,97; 312,100;
              316,99; 320,99; 324,101; 327,101; 331,101; 335,101; 339,101; 342,
              102; 346,101; 350,102; 353,103; 357,104; 361,109; 365,105; 368,
              104; 372,105; 376,105; 380,107; 383,109; 387,109; 391,109; 395,
              109; 398,112; 402,111; 406,113; 410,115; 413,115; 417,114; 421,
              116; 425,116; 428,119; 432,119; 436,117; 440,122; 443,122; 447,
              122; 451,123; 455,122; 458,122; 462,122; 466,128; 470,130; 474,
              129; 477,128; 481,130; 485,130; 489,132; 492,133; 496,133; 500,
              137; 503,137; 507,136; 511,137; 514,138; 518,138; 522,141; 525,
              142; 529,144; 533,143; 536,143; 540,150; 544,145; 547,147; 551,
              150; 555,148; 558,149; 562,151; 565,151; 569,153; 573,153; 576,
              153; 580,154; 584,154; 587,156; 591,156; 595,158; 598,158; 602,
              158; 606,160; 609,162; 613,164; 617,160; 620,163; 624,165; 628,
              164; 631,165; 635,166; 639,166; 642,167; 646,167; 650,170; 653,
              171; 657,172; 661,169; 664,169; 668,169; 672,172; 675,170; 679,
              174; 683,171; 686,171; 690,172; 694,175; 697,176; 701,178; 705,
              176; 709,179; 712,181; 716,179; 720,176; 723,178; 727,183; 731,
              176; 735,177; 739,179; 742,178; 746,182; 750,182; 754,179; 757,
              182; 761,182; 765,183; 768,180; 772,181; 776,185; 780,185; 783,
              185; 787,184; 791,183; 795,183; 798,187; 802,190; 806,186; 809,
              187; 813,190; 817,186; 821,186; 824,186; 828,186; 832,189; 836,
              190; 839,191; 843,192; 847,192; 850,191; 854,191; 858,191; 862,
              194; 865,196; 869,195; 873,194; 876,198; 880,199; 884,202; 888,
              195; 891,200; 895,197; 899,201; 903,198; 906,199; 910,200; 914,
              202; 918,199; 922,199; 926,200; 929,201; 933,200; 937,204; 941,
              201; 945,203; 949,198; 952,202; 956,200; 960,200; 964,199; 968,
              199; 972,199; 975,202; 979,201; 983,199; 987,199; 991,199; 995,
              201; 998,201; 1002,204; 1006,204; 1010,200; 1014,201; 1018,201;
              1021,204; 1025,203; 1029,201; 1033,204; 1037,202; 1040,203; 1044,
              213; 1048,202; 1052,202; 1055,206; 1059,202; 1063,204; 1067,203;
              1070,206; 1074,207; 1078,207; 1082,206; 1085,205; 1089,206; 1093,
              204; 1096,204; 1100,207; 1104,205; 1108,206; 1111,206; 1115,209;
              1119,209; 1123,210; 1126,206; 1130,206; 1134,207; 1138,206; 1142,
              208; 1145,205; 1149,206; 1153,207; 1157,208; 1160,214; 1164,210;
              1168,209; 1172,209; 1175,211; 1179,208; 1183,212; 1187,209; 1191,
              210; 1194,210; 1198,209; 1202,211; 1206,212; 1210,209; 1214,213;
              1218,210; 1221,209; 1225,213; 1229,214; 1233,209; 1237,210; 1240,
              212; 1244,213; 1248,213; 1252,221; 1255,215; 1259,214; 1263,215;
              1267,215; 1271,216; 1274,217; 1278,217; 1282,217; 1286,218; 1290,
              220; 1293,218; 1297,219; 1301,219; 1305,221; 1309,223; 1312,222;
              1316,220; 1320,226; 1324,224; 1327,223; 1331,226; 1335,226; 1339,
              236; 1343,228; 1346,223; 1350,226; 1354,222; 1358,224; 1362,223;
              1365,223; 1369,224; 1373,225; 1377,224; 1381,225; 1384,224; 1388,
              225; 1392,225; 1396,223; 1400,226; 1403,225; 1407,224; 1411,226;
              1415,235; 1418,226; 1422,229; 1426,226; 1430,230; 1434,226; 1437,
              229; 1441,226; 1445,231; 1449,228; 1453,224; 1457,228; 1461,226;
              1464,228; 1468,228; 1472,230; 1476,229; 1479,231; 1483,229; 1487,
              228; 1491,229; 1495,230; 1498,229; 1502,230; 1506,229; 1510,230;
              1514,234; 1517,235; 1521,232; 1525,233; 1529,233; 1533,246; 1536,
              233; 1540,234; 1544,235; 1548,235; 1552,243; 1555,241; 1559,237;
              1563,237; 1567,239; 1570,237; 1574,242; 1578,240; 1582,239; 1586,
              240; 1589,239; 1593,241; 1597,240; 1601,237; 1605,239; 1608,237;
              1612,242; 1616,242; 1620,240; 1624,239; 1627,240; 1631,237; 1635,
              237; 1639,236; 1643,249; 1646,239; 1650,239; 1654,241; 1658,237;
              1661,239; 1665,240; 1669,239; 1673,237; 1677,242; 1680,240; 1684,
              240; 1688,237; 1692,241; 1696,237; 1699,236; 1703,239; 1707,234;
              1711,236; 1715,237; 1718,236; 1722,235; 1726,241; 1730,235; 1734,
              240; 1737,239; 1741,239; 1745,234; 1749,236; 1753,236; 1756,236;
              1760,237; 1764,239; 1768,237; 1772,234; 1776,235; 1779,235; 1783,
              235; 1787,234; 1791,239; 1795,242; 1798,239; 1802,240; 1806,235;
              1810,237; 1814,235; 1817,241; 1821,237; 1825,234; 1829,240; 1832,
              233; 1836,235; 1840,237; 1844,234; 1848,239; 1851,233; 1855,236;
              1859,233; 1863,237; 1867,237; 1870,234; 1874,233; 1878,234; 1882,
              231; 1886,229; 1890,230; 1893,235; 1897,230; 1901,232; 1905,232;
              1909,233; 1912,233; 1916,229; 1920,228; 1924,229; 1928,230; 1931,
              230; 1935,230; 1939,230; 1943,230; 1947,229; 1950,229; 1954,229;
              1958,233; 1962,226; 1966,232; 1970,226; 1973,231; 1977,239; 1981,
              226; 1985,229; 1989,226; 1992,228; 1996,233; 2000,233; 2004,228;
              2008,228; 2011,231; 2015,226; 2019,231; 2023,226; 2027,226; 2031,
              226; 2034,226; 2038,225; 2042,226; 2046,231; 2050,230; 2053,224;
              2057,231; 2061,225; 2065,225; 2069,223; 2072,223; 2076,224; 2080,
              223; 2084,224; 2088,223; 2092,226; 2095,226; 2099,222; 2103,222;
              2107,222; 2111,224; 2114,222; 2118,220; 2122,223; 2126,221; 2130,
              222; 2133,222; 2137,219; 2141,222; 2145,218; 2149,218; 2152,219;
              2156,222; 2160,219; 2164,217; 2168,220; 2172,217; 2175,218; 2179,
              217; 2183,216; 2187,213; 2191,215; 2194,212; 2198,213; 2202,215;
              2206,211; 2210,212; 2213,213; 2217,212; 2221,215; 2225,210; 2229,
              211; 2232,210; 2236,209; 2240,211; 2244,209; 2248,210; 2251,209;
              2255,209; 2259,210; 2263,207; 2267,206; 2270,209; 2274,211; 2278,
              206; 2282,205; 2286,204; 2290,209; 2294,202; 2297,202; 2301,206;
              2305,205; 2309,205; 2312,204; 2316,203; 2320,205; 2324,209; 2328,
              201; 2331,200; 2335,202; 2339,203; 2343,199; 2347,202; 2350,201;
              2354,198; 2358,198; 2362,197; 2365,202; 2369,200; 2373,199; 2377,
              198; 2381,194; 2384,198; 2388,195; 2392,199; 2396,195; 2399,194;
              2403,197; 2407,194; 2411,192; 2415,191; 2418,193; 2422,191; 2426,
              190; 2430,190; 2433,190; 2437,190; 2441,193; 2445,190; 2449,189;
              2452,190; 2456,191; 2460,192; 2464,189; 2468,188; 2471,189; 2475,
              189; 2479,188; 2483,187; 2487,188; 2491,191; 2494,187; 2498,188;
              2502,194; 2506,187; 2510,191; 2514,189; 2518,185; 2522,186; 2526,
              189; 2529,192; 2533,186; 2537,185; 2541,183; 2545,186; 2549,184;
              2553,182; 2557,183; 2561,184; 2564,183; 2568,184; 2572,182; 2576,
              181; 2580,181; 2584,181; 2588,180; 2592,180; 2596,179; 2600,181;
              2603,179; 2607,181; 2611,179; 2615,180; 2619,179; 2623,179; 2627,
              178; 2631,179; 2635,178; 2638,178; 2642,179; 2646,181; 2650,179;
              2654,180; 2658,176; 2662,183; 2666,175; 2670,178; 2673,175; 2677,
              178; 2681,176; 2685,176; 2689,177; 2693,174; 2697,178; 2701,175;
              2705,173; 2708,172; 2712,174; 2716,174; 2720,172; 2724,171; 2728,
              171; 2732,173; 2736,172; 2739,170; 2743,169; 2747,170; 2751,168;
              2755,175; 2759,171; 2763,169; 2767,167; 2771,168; 2774,168; 2778,
              173; 2782,167; 2786,167; 2790,167; 2794,168; 2798,167; 2802,170;
              2805,167; 2809,167; 2813,166; 2817,165; 2821,167; 2825,166; 2829,
              168; 2833,164; 2837,160; 2840,160; 2844,159; 2848,160; 2852,158;
              2856,155; 2860,158; 2864,153; 2868,156; 2871,155; 2875,151; 2879,
              152; 2883,153; 2887,148; 2891,147; 2895,147; 2899,147; 2903,146;
              2906,145; 2910,146; 2914,144; 2918,141; 2922,144; 2926,139; 2930,
              138; 2934,138; 2937,146; 2941,138; 2945,136; 2949,135; 2953,136;
              2957,134; 2961,135; 2965,132; 2969,131; 2972,131; 2976,130; 2980,
              134; 2984,129; 2988,129; 2992,126; 2996,126; 3000,126; 3004,124;
              3007,133; 3011,129; 3015,126; 3019,122; 3023,123; 3027,123; 3031,
              120; 3035,122; 3039,121; 3042,120; 3046,119; 3050,118; 3054,117;
              3058,117; 3062,122; 3066,119; 3070,117; 3074,115; 3078,116; 3081,
              113; 3085,115; 3089,112; 3093,110; 3097,113; 3101,113; 3105,111;
              3109,110; 3113,110; 3117,109; 3120,109; 3124,108; 3128,107; 3132,
              108; 3136,106; 3140,107; 3144,106; 3148,107; 3152,106; 3155,103;
              3159,103; 3163,106; 3167,104; 3171,101; 3175,102; 3179,102; 3183,
              103; 3187,101; 3191,101; 3194,103; 3198,101; 3202,101; 3206,100;
              3210,98; 3214,98; 3218,98; 3222,100; 3225,96; 3229,95; 3233,96;
              3237,98; 3241,95; 3245,96; 3249,96; 3253,98; 3256,93; 3260,94;
              3264,92; 3268,93; 3272,94; 3276,92; 3280,93; 3284,90; 3287,92;
              3291,90; 3295,90; 3299,90; 3303,93; 3307,89; 3311,89; 3315,88;
              3318,95; 3322,87; 3326,93; 3330,87; 3334,86; 3338,86; 3342,88;
              3346,88; 3349,88; 3353,85; 3357,86; 3361,87; 3365,85; 3369,85;
              3373,83; 3377,83; 3380,82; 3384,83; 3388,82; 3392,81; 3396,81;
              3400,83; 3404,81; 3408,80; 3411,80; 3415,81; 3419,82; 3423,82;
              3427,80; 3431,81; 3435,81; 3439,81; 3442,81; 3446,77; 3450,80;
              3454,76; 3458,81; 3462,78; 3466,76; 3470,79; 3473,80; 3477,76;
              3481,76; 3485,77; 3489,76; 3493,77; 3497,76; 3501,77; 3504,77;
              3508,76; 3512,76; 3516,76; 3520,74; 3524,78; 3528,77; 3532,76;
              3535,77; 3539,77; 3543,75; 3547,79; 3551,76; 3555,74; 3559,76;
              3563,75; 3566,74; 3570,74; 3574,74; 3578,76; 3582,76; 3586,76;
              3590,76; 3594,73; 3597,72; 3601,74; 3605,76; 3609,71; 3613,73;
              3617,72; 3621,72; 3625,74; 3628,73; 3632,72; 3636,74; 3640,73;
              3644,73; 3648,73; 3652,73; 3656,74; 3659,72; 3663,74; 3667,73;
              3671,76; 3675,79; 3679,75; 3683,76; 3686,77; 3690,76; 3694,79;
              3698,76; 3702,81; 3706,81; 3710,79; 3714,81; 3717,79; 3721,79;
              3725,82; 3729,88; 3733,85; 3737,82; 3741,84; 3745,86; 3748,87;
              3752,86; 3756,89; 3760,86; 3764,86; 3768,86; 3772,86; 3776,88;
              3779,88; 3783,90; 3787,91; 3791,92; 3795,90; 3799,90; 3803,97;
              3807,91; 3811,94; 3814,93; 3818,93; 3822,92; 3826,95; 3830,94;
              3834,97; 3838,94; 3842,96; 3845,98; 3849,101; 3853,98; 3857,103;
              3861,98; 3865,100; 3869,100; 3873,101; 3877,103; 3881,104; 3884,
              102; 3888,104; 3892,103; 3896,103; 3900,103; 3904,104; 3908,106;
              3912,106; 3916,106; 3920,106; 3924,108; 3927,106; 3931,108; 3935,
              106; 3939,107; 3943,109; 3947,108; 3951,111; 3955,109; 3959,112;
              3963,109; 3967,113; 3971,111; 3974,109; 3978,111; 3982,112; 3986,
              110; 3990,111; 3994,112; 3998,111; 4002,112; 4006,112; 4010,111;
              4014,114; 4018,117; 4022,111; 4025,111; 4029,112; 4033,112; 4037,
              112; 4041,116; 4045,115; 4049,112; 4053,112; 4057,114; 4061,116;
              4065,115; 4069,113; 4073,112; 4077,113; 4081,115; 4085,115; 4088,
              114; 4092,115; 4096,113; 4100,115; 4104,114; 4108,115; 4112,115;
              4116,114; 4120,113; 4124,116; 4128,114; 4132,115; 4136,114; 4140,
              115; 4144,120; 4147,115; 4151,116; 4155,115; 4159,116; 4163,112;
              4167,112; 4171,114; 4175,113; 4179,116; 4183,116; 4187,115; 4191,
              118; 4195,116; 4198,115; 4202,115; 4206,117; 4210,115; 4214,115;
              4218,116; 4222,120; 4226,115; 4230,114; 4234,116; 4238,114; 4242,
              119; 4246,115; 4249,118; 4253,116; 4257,115; 4261,117; 4265,114;
              4269,114; 4273,117; 4277,114; 4281,114; 4285,114; 4289,113; 4293,
              118; 4297,115; 4300,115; 4304,114; 4308,113; 4312,114; 4316,115;
              4320,112; 4324,115; 4328,112; 4332,112; 4336,114; 4340,115; 4344,
              115; 4348,113; 4352,115; 4355,115; 4359,115; 4363,113; 4367,116;
              4371,115; 4375,115; 4379,112; 4383,112; 4387,115; 4390,114; 4394,
              112; 4398,113; 4402,112; 4406,112; 4410,120; 4414,114; 4418,112;
              4421,112; 4425,112; 4429,112; 4433,112; 4437,112; 4441,109; 4445,
              113; 4448,110; 4452,112; 4456,114; 4460,115; 4464,113; 4468,115;
              4472,115; 4476,117; 4479,112; 4483,112; 4487,111; 4491,110; 4495,
              110; 4499,115; 4503,112; 4507,115; 4510,110; 4514,112; 4518,112;
              4522,112; 4526,112; 4530,111; 4534,112; 4538,112; 4541,112; 4545,
              113; 4549,118; 4553,109; 4557,109; 4561,109; 4565,109; 4569,111;
              4572,112; 4576,112; 4580,114; 4584,116; 4588,109; 4592,117; 4596,
              108; 4600,108; 4603,114; 4607,109; 4611,112; 4615,109; 4619,110;
              4623,109; 4627,108; 4631,109; 4634,108; 4638,115; 4642,110; 4646,
              108; 4650,117; 4654,109; 4658,108; 4662,106; 4665,110; 4669,107;
              4673,106; 4677,109; 4681,107; 4685,109; 4689,107; 4693,107; 4696,
              109; 4700,109; 4704,107; 4708,106; 4712,106; 4716,109; 4720,104;
              4724,105; 4727,111; 4731,106; 4735,108; 4739,106; 4743,106; 4747,
              106; 4751,108; 4755,105; 4758,106; 4762,106; 4766,110; 4770,109;
              4774,105; 4778,104; 4782,106; 4786,104; 4789,103; 4793,103; 4797,
              103; 4801,104; 4805,104; 4809,103; 4813,105; 4817,103; 4820,105;
              4824,106; 4828,103; 4832,106; 4836,106; 4840,103; 4844,104; 4848,
              106; 4851,104; 4855,102; 4859,101; 4863,105; 4867,101; 4871,102;
              4875,101; 4879,101; 4882,109; 4886,104; 4890,101; 4894,102; 4898,
              104; 4902,102; 4906,105; 4910,100; 4913,101; 4917,102; 4921,101;
              4925,103; 4929,103; 4933,103; 4937,101; 4940,98; 4944,100; 4948,
              102; 4952,100; 4956,100; 4960,101; 4964,98; 4968,99; 4971,97;
              4975,101; 4979,101; 4983,99; 4987,99; 4991,98; 4995,98; 4998,98;
              5002,99; 5006,100; 5010,98; 5014,100; 5018,98; 5022,99; 5025,97;
              5029,99; 5033,101; 5037,100; 5041,99; 5045,97; 5049,96; 5052,98;
              5056,98; 5060,100; 5064,102; 5068,100; 5072,99; 5076,98; 5080,98;
              5084,98; 5087,96; 5091,97; 5095,97; 5099,97; 5103,97; 5107,99;
              5111,99; 5115,96; 5119,99; 5123,96; 5126,99; 5130,96; 5134,97;
              5138,96; 5142,95; 5146,95; 5150,98; 5154,96; 5158,96; 5161,95;
              5165,97; 5169,94; 5173,96; 5177,96; 5181,94; 5185,96; 5189,97;
              5192,98; 5196,95; 5200,95; 5204,94; 5208,96; 5212,94; 5216,95;
              5220,95; 5223,101; 5227,93; 5231,97; 5235,95; 5239,95; 5243,96;
              5247,95; 5251,97; 5254,96; 5258,98; 5262,96; 5266,95; 5270,91;
              5274,93; 5278,92; 5282,93; 5285,92; 5289,93; 5293,94; 5297,98;
              5301,92; 5305,93; 5309,91; 5313,93; 5316,94; 5320,92; 5324,94;
              5328,90; 5332,92; 5336,91; 5340,92; 5344,95; 5347,91; 5351,92;
              5355,91; 5359,90; 5363,90; 5367,91; 5371,92; 5375,91; 5378,92;
              5382,90; 5386,89; 5390,91; 5394,90; 5398,90; 5402,89; 5406,90;
              5409,92; 5413,91; 5417,90; 5421,88; 5425,93; 5429,90; 5433,89;
              5437,88; 5440,89; 5444,89; 5448,90; 5452,88; 5456,88; 5460,91;
              5464,89; 5468,93; 5471,89; 5475,88; 5479,88; 5483,90; 5487,88;
              5491,90; 5495,88; 5499,88; 5502,90; 5506,90; 5510,87; 5514,87;
              5518,87; 5522,88; 5526,89; 5530,87; 5533,89; 5537,89; 5541,88;
              5545,88; 5549,88; 5553,86; 5557,87; 5561,86; 5564,86; 5568,86;
              5572,87; 5576,88; 5580,88; 5584,86; 5588,92; 5592,86; 5595,87;
              5599,86; 5603,85; 5607,84; 5611,87; 5615,88; 5619,86; 5622,85;
              5626,88; 5630,83; 5634,84; 5638,86; 5642,85; 5646,86; 5650,83;
              5653,82; 5657,83; 5661,84; 5665,83; 5669,86; 5673,81; 5677,86;
              5681,82; 5684,83; 5688,85; 5692,83; 5696,85; 5700,83; 5704,83;
              5708,81; 5712,82; 5715,83; 5719,82; 5723,85; 5727,81; 5731,81;
              5735,81; 5739,80; 5743,79; 5746,81; 5750,79; 5754,81; 5758,82;
              5762,82; 5766,83; 5770,81; 5774,79; 5777,79; 5781,79; 5785,81;
              5789,88; 5793,81; 5797,79; 5801,79; 5805,83; 5808,83; 5812,79;
              5816,82; 5820,79; 5824,77; 5828,81; 5832,79; 5836,79; 5839,80;
              5843,76; 5847,77; 5851,79; 5855,83; 5859,78; 5863,77; 5867,77;
              5870,76; 5874,76; 5878,75; 5882,75; 5886,76; 5890,76; 5894,76;
              5898,74; 5901,76; 5905,73; 5909,74; 5913,76; 5917,74; 5921,76;
              5925,73; 5928,76; 5932,78; 5936,74; 5940,74; 5944,75; 5948,73;
              5952,73; 5956,74; 5959,72; 5963,72; 5967,74; 5971,72; 5975,72;
              5979,73; 5983,71; 5987,73; 5990,72; 5994,70; 5998,70; 6002,70;
              6006,70; 6010,70; 6014,70; 6018,73; 6021,71; 6025,70; 6029,70;
              6033,71; 6037,70; 6041,70; 6045,70; 6049,70; 6052,68; 6056,69;
              6060,72; 6064,68; 6068,70; 6072,73; 6076,69; 6080,68; 6083,70;
              6087,68; 6091,69; 6095,69; 6099,69; 6103,70; 6107,68; 6111,70;
              6114,67; 6118,68; 6122,66; 6126,67; 6130,67; 6134,66; 6138,71;
              6142,68; 6145,70; 6149,67; 6153,68; 6157,67; 6161,66; 6165,67;
              6169,68; 6173,66; 6176,67; 6180,65; 6184,67; 6188,65; 6192,64;
              6196,66; 6200,66; 6203,68; 6207,66; 6211,64; 6215,64; 6219,65;
              6223,63; 6227,64; 6231,65; 6234,64; 6238,65; 6242,64; 6246,62;
              6250,64; 6254,63; 6258,64; 6262,62; 6265,62; 6269,64; 6273,64;
              6277,65; 6281,62; 6285,65; 6289,60; 6293,63; 6296,61; 6300,62;
              6304,63; 6308,60; 6312,68; 6316,62; 6320,63; 6324,60; 6327,61;
              6331,60; 6335,64; 6339,63; 6343,61; 6347,59; 6351,60; 6355,60;
              6358,60; 6362,60; 6366,60; 6370,62; 6374,62; 6378,59; 6382,59;
              6386,60; 6389,60; 6393,58; 6397,58; 6401,61; 6405,59; 6409,58;
              6413,62; 6416,58; 6420,57; 6424,60; 6428,58; 6432,58; 6436,57;
              6440,56; 6444,58; 6447,58; 6451,57; 6455,58; 6459,60; 6463,59;
              6467,57; 6471,58; 6474,56; 6478,56; 6482,56; 6486,58; 6490,56;
              6494,56; 6498,56; 6501,56; 6505,56; 6509,58; 6513,60; 6517,56;
              6521,56; 6525,55; 6528,54; 6532,54; 6536,54; 6540,54; 6544,53;
              6548,54; 6552,54; 6555,54; 6559,53; 6563,53; 6567,52; 6571,53;
              6574,54; 6578,52; 6582,52; 6586,53; 6589,54; 6593,53; 6597,53;
              6601,56; 6604,52; 6608,52; 6612,52; 6616,52; 6619,54; 6623,56;
              6627,51; 6631,52; 6634,52; 6638,51; 6642,50; 6646,52; 6649,50;
              6653,50; 6657,53; 6661,49; 6664,52; 6668,51; 6672,50; 6676,52;
              6679,51; 6683,50; 6687,50; 6691,50; 6694,50; 6698,51; 6702,50;
              6706,48; 6709,48; 6713,50; 6717,48; 6721,49; 6724,50; 6728,49;
              6732,48; 6736,47; 6739,49; 6743,50; 6747,48; 6751,49; 6754,48;
              6758,48; 6762,48; 6766,50; 6769,47; 6773,46; 6777,47; 6781,48;
              6784,46; 6788,47; 6792,47; 6796,46; 6799,46; 6803,47; 6807,46;
              6811,46; 6814,46; 6818,46; 6822,49; 6826,46; 6829,49; 6833,46])
                                                        annotation (Placement(
              transformation(
              extent={{-10,-10},{10,10}},
              rotation=90,
              origin={40,-80})));
        Modelica.Blocks.Tables.CombiTable1D T_hot_side4_smooth(table=[3,6; 6,6;
              10,6; 13,6; 16,6; 20,6; 23,6; 27,6; 30,6; 34,6; 38,6; 41,6; 45,6;
              48,6; 52,6; 55,6; 59,6; 62,6; 66,6; 70,6; 73,6; 77,6; 80,6; 84,6;
              87,6; 91,6; 95,6; 98,6; 102,6; 105,7; 109,7; 112,7; 116,7; 120,8;
              123,8; 127,8; 130,8; 134,8; 137,8; 141,8; 144,8; 148,8; 152,8;
              155,9; 159,9; 162,9; 166,9; 170,10; 173,10; 177,10; 180,10; 184,
              10; 188,10; 191,10; 195,10; 198,10; 202,11; 206,11; 209,11; 213,
              11; 217,11; 220,11; 224,11; 228,11; 231,11; 235,11; 239,11; 242,
              11; 246,12; 250,12; 253,12; 257,12; 261,13; 264,13; 268,13; 272,
              14; 275,13; 279,13; 283,13; 286,14; 290,14; 294,14; 298,14; 301,
              14; 305,14; 309,14; 312,14; 316,15; 320,15; 324,15; 327,15; 331,
              15; 335,15; 339,15; 342,15; 346,15; 350,17; 353,16; 357,17; 361,
              17; 365,17; 368,17; 372,17; 376,18; 380,19; 383,18; 387,19; 391,
              20; 395,19; 398,19; 402,21; 406,19; 410,21; 413,20; 417,20; 421,
              19; 425,21; 428,21; 432,22; 436,23; 440,22; 443,22; 447,23; 451,
              24; 455,26; 458,26; 462,26; 466,27; 470,28; 474,28; 477,28; 481,
              29; 485,28; 489,32; 492,31; 496,30; 500,33; 503,32; 507,32; 511,
              33; 514,35; 518,37; 522,34; 525,35; 529,35; 533,37; 536,38; 540,
              39; 544,38; 547,41; 551,39; 555,40; 558,40; 562,42; 565,43; 569,
              46; 573,44; 576,44; 580,44; 584,46; 587,49; 591,48; 595,50; 598,
              53; 602,56; 606,58; 609,58; 613,56; 617,60; 620,62; 624,66; 628,
              69; 631,70; 635,72; 639,74; 642,76; 646,79; 650,81; 653,83; 657,
              86; 661,88; 664,90; 668,93; 672,92; 675,98; 679,96; 683,98; 686,
              103; 690,101; 694,103; 697,107; 701,109; 705,111; 709,112; 712,
              108; 716,109; 720,111; 723,115; 727,116; 731,115; 735,117; 739,
              119; 742,122; 746,125; 750,127; 754,130; 757,131; 761,134; 765,
              133; 768,139; 772,136; 776,137; 780,140; 783,145; 787,142; 791,
              146; 795,147; 798,147; 802,149; 806,151; 809,153; 813,154; 817,
              158; 821,160; 824,159; 828,162; 832,167; 836,167; 839,165; 843,
              166; 847,170; 850,173; 854,177; 858,174; 862,176; 865,178; 869,
              178; 873,179; 876,184; 880,181; 884,189; 888,187; 891,190; 895,
              192; 899,191; 903,192; 906,197; 910,197; 914,198; 918,197; 922,
              203; 926,205; 929,200; 933,201; 937,206; 941,202; 945,207; 949,
              205; 952,207; 956,206; 960,205; 964,205; 968,207; 972,206; 975,
              206; 979,207; 983,209; 987,208; 991,212; 995,211; 998,210; 1002,
              211; 1006,211; 1010,210; 1014,209; 1018,215; 1021,215; 1025,213;
              1029,210; 1033,215; 1037,212; 1040,214; 1044,211; 1048,211; 1052,
              212; 1055,213; 1059,211; 1063,213; 1067,213; 1070,211; 1074,212;
              1078,211; 1082,216; 1085,218; 1089,212; 1093,212; 1096,216; 1100,
              219; 1104,213; 1108,213; 1111,215; 1115,216; 1119,215; 1123,215;
              1126,214; 1130,217; 1134,217; 1138,216; 1142,219; 1145,217; 1149,
              218; 1153,217; 1157,217; 1160,217; 1164,221; 1168,220; 1172,220;
              1175,221; 1179,219; 1183,220; 1187,225; 1191,226; 1194,225; 1198,
              225; 1202,221; 1206,223; 1210,223; 1214,221; 1218,223; 1221,222;
              1225,222; 1229,225; 1233,222; 1237,221; 1240,223; 1244,222; 1248,
              223; 1252,226; 1255,222; 1259,223; 1263,225; 1267,222; 1271,225;
              1274,222; 1278,221; 1282,223; 1286,221; 1290,225; 1293,220; 1297,
              222; 1301,221; 1305,221; 1309,224; 1312,221; 1316,220; 1320,222;
              1324,221; 1327,224; 1331,222; 1335,217; 1339,226; 1343,220; 1346,
              221; 1350,218; 1354,218; 1358,218; 1362,217; 1365,216; 1369,216;
              1373,217; 1377,216; 1381,215; 1384,215; 1388,216; 1392,216; 1396,
              216; 1400,214; 1403,214; 1407,217; 1411,214; 1415,216; 1418,214;
              1422,217; 1426,213; 1430,213; 1434,216; 1437,212; 1441,212; 1445,
              220; 1449,213; 1453,214; 1457,213; 1461,212; 1464,216; 1468,218;
              1472,213; 1476,215; 1479,212; 1483,212; 1487,211; 1491,213; 1495,
              220; 1498,213; 1502,219; 1506,215; 1510,215; 1514,215; 1517,219;
              1521,216; 1525,218; 1529,216; 1533,217; 1536,217; 1540,216; 1544,
              217; 1548,217; 1552,220; 1555,218; 1559,220; 1563,217; 1567,219;
              1570,218; 1574,221; 1578,222; 1582,217; 1586,218; 1589,221; 1593,
              223; 1597,222; 1601,219; 1605,217; 1608,218; 1612,221; 1616,218;
              1620,220; 1624,218; 1627,223; 1631,219; 1635,218; 1639,220; 1643,
              221; 1646,221; 1650,220; 1654,225; 1658,221; 1661,220; 1665,224;
              1669,223; 1673,220; 1677,226; 1680,222; 1684,222; 1688,222; 1692,
              224; 1696,222; 1699,226; 1703,222; 1707,223; 1711,221; 1715,225;
              1718,223; 1722,224; 1726,228; 1730,222; 1734,224; 1737,222; 1741,
              223; 1745,223; 1749,224; 1753,228; 1756,221; 1760,223; 1764,230;
              1768,222; 1772,225; 1776,228; 1779,223; 1783,223; 1787,229; 1791,
              228; 1795,228; 1798,226; 1802,226; 1806,226; 1810,230; 1814,224;
              1817,229; 1821,224; 1825,226; 1829,225; 1832,226; 1836,228; 1840,
              232; 1844,224; 1848,232; 1851,228; 1855,228; 1859,228; 1863,228;
              1867,232; 1870,230; 1874,230; 1878,229; 1882,226; 1886,229; 1890,
              229; 1893,229; 1897,226; 1901,231; 1905,230; 1909,229; 1912,233;
              1916,235; 1920,231; 1924,230; 1928,234; 1931,231; 1935,235; 1939,
              231; 1943,234; 1947,230; 1950,228; 1954,229; 1958,232; 1962,225;
              1966,229; 1970,229; 1973,233; 1977,231; 1981,232; 1985,231; 1989,
              229; 1992,232; 1996,229; 2000,230; 2004,230; 2008,229; 2011,229;
              2015,229; 2019,229; 2023,228; 2027,229; 2031,229; 2034,229; 2038,
              229; 2042,231; 2046,231; 2050,234; 2053,226; 2057,229; 2061,232;
              2065,230; 2069,230; 2072,228; 2076,231; 2080,229; 2084,233; 2088,
              228; 2092,230; 2095,229; 2099,235; 2103,231; 2107,233; 2111,231;
              2114,230; 2118,230; 2122,233; 2126,232; 2130,232; 2133,231; 2137,
              230; 2141,234; 2145,230; 2149,233; 2152,239; 2156,234; 2160,232;
              2164,233; 2168,231; 2172,232; 2175,233; 2179,235; 2183,236; 2187,
              239; 2191,232; 2194,232; 2198,232; 2202,232; 2206,236; 2210,230;
              2213,233; 2217,231; 2221,236; 2225,231; 2229,235; 2232,233; 2236,
              230; 2240,233; 2244,233; 2248,233; 2251,235; 2255,235; 2259,233;
              2263,232; 2267,232; 2270,232; 2274,236; 2278,231; 2282,231; 2286,
              230; 2290,232; 2294,234; 2297,230; 2301,240; 2305,232; 2309,235;
              2312,233; 2316,233; 2320,232; 2324,233; 2328,232; 2331,232; 2335,
              233; 2339,232; 2343,234; 2347,231; 2350,232; 2354,232; 2358,232;
              2362,231; 2365,234; 2369,233; 2373,235; 2377,234; 2381,231; 2384,
              233; 2388,236; 2392,233; 2396,233; 2399,232; 2403,237; 2407,233;
              2411,235; 2415,234; 2418,234; 2422,235; 2426,233; 2430,234; 2433,
              237; 2437,233; 2441,240; 2445,242; 2449,236; 2452,243; 2456,241;
              2460,245; 2464,246; 2468,241; 2471,242; 2475,245; 2479,244; 2483,
              242; 2487,248; 2491,246; 2494,243; 2498,248; 2502,243; 2506,249;
              2510,244; 2514,246; 2518,242; 2522,243; 2526,244; 2529,242; 2533,
              244; 2537,245; 2541,242; 2545,246; 2549,245; 2553,242; 2557,242;
              2561,243; 2564,241; 2568,243; 2572,243; 2576,242; 2580,240; 2584,
              246; 2588,240; 2592,240; 2596,240; 2600,245; 2603,239; 2607,243;
              2611,241; 2615,244; 2619,241; 2623,244; 2627,239; 2631,242; 2635,
              244; 2638,241; 2642,237; 2646,239; 2650,240; 2654,243; 2658,236;
              2662,249; 2666,237; 2670,242; 2673,239; 2677,236; 2681,242; 2685,
              236; 2689,243; 2693,239; 2697,239; 2701,244; 2705,240; 2708,234;
              2712,235; 2716,236; 2720,234; 2724,234; 2728,235; 2732,236; 2736,
              237; 2739,235; 2743,234; 2747,240; 2751,234; 2755,232; 2759,235;
              2763,232; 2767,233; 2771,234; 2774,231; 2778,233; 2782,230; 2786,
              230; 2790,230; 2794,233; 2798,228; 2802,230; 2805,229; 2809,228;
              2813,230; 2817,228; 2821,231; 2825,232; 2829,230; 2833,231; 2837,
              230; 2840,231; 2844,229; 2848,230; 2852,230; 2856,228; 2860,231;
              2864,230; 2868,229; 2871,225; 2875,226; 2879,236; 2883,226; 2887,
              228; 2891,228; 2895,226; 2899,229; 2903,230; 2906,228; 2910,224;
              2914,229; 2918,223; 2922,226; 2926,223; 2930,223; 2934,223; 2937,
              224; 2941,230; 2945,223; 2949,221; 2953,229; 2957,224; 2961,222;
              2965,220; 2969,225; 2972,219; 2976,224; 2980,228; 2984,223; 2988,
              220; 2992,222; 2996,229; 3000,218; 3004,230; 3007,221; 3011,221;
              3015,221; 3019,217; 3023,221; 3027,224; 3031,218; 3035,220; 3039,
              219; 3042,221; 3046,215; 3050,216; 3054,216; 3058,215; 3062,214;
              3066,216; 3070,216; 3074,214; 3078,215; 3081,216; 3085,220; 3089,
              212; 3093,213; 3097,216; 3101,215; 3105,211; 3109,212; 3113,217;
              3117,218; 3120,215; 3124,211; 3128,209; 3132,209; 3136,213; 3140,
              211; 3144,210; 3148,206; 3152,208; 3155,204; 3159,208; 3163,207;
              3167,212; 3171,206; 3175,209; 3179,209; 3183,209; 3187,206; 3191,
              204; 3194,205; 3198,206; 3202,202; 3206,204; 3210,205; 3214,209;
              3218,204; 3222,204; 3225,203; 3229,202; 3233,204; 3237,202; 3241,
              201; 3245,204; 3249,201; 3253,199; 3256,199; 3260,199; 3264,200;
              3268,200; 3272,198; 3276,202; 3280,202; 3284,202; 3287,201; 3291,
              199; 3295,198; 3299,197; 3303,197; 3307,197; 3311,198; 3315,195;
              3318,197; 3322,197; 3326,196; 3330,199; 3334,195; 3338,200; 3342,
              200; 3346,200; 3349,198; 3353,197; 3357,196; 3361,197; 3365,198;
              3369,194; 3373,196; 3377,201; 3380,196; 3384,198; 3388,199; 3392,
              202; 3396,200; 3400,202; 3404,206; 3408,203; 3411,202; 3415,205;
              3419,206; 3423,204; 3427,207; 3431,208; 3435,209; 3439,213; 3442,
              217; 3446,214; 3450,213; 3454,216; 3458,212; 3462,215; 3466,216;
              3470,218; 3473,222; 3477,218; 3481,217; 3485,222; 3489,222; 3493,
              219; 3497,222; 3501,229; 3504,223; 3508,222; 3512,229; 3516,224;
              3520,228; 3524,225; 3528,226; 3532,228; 3535,226; 3539,225; 3543,
              228; 3547,229; 3551,225; 3555,226; 3559,232; 3563,232; 3566,226;
              3570,229; 3574,228; 3578,229; 3582,232; 3586,232; 3590,232; 3594,
              233; 3597,241; 3601,236; 3605,237; 3609,237; 3613,237; 3617,237;
              3621,240; 3625,239; 3628,244; 3632,241; 3636,240; 3640,241; 3644,
              241; 3648,243; 3652,242; 3656,249; 3659,242; 3663,245; 3667,243;
              3671,248; 3675,245; 3679,242; 3683,245; 3686,246; 3690,250; 3694,
              248; 3698,245; 3702,249; 3706,246; 3710,245; 3714,250; 3717,248;
              3721,249; 3725,246; 3729,251; 3733,250; 3737,250; 3741,253; 3745,
              252; 3748,254; 3752,253; 3756,252; 3760,251; 3764,252; 3768,252;
              3772,258; 3776,253; 3779,253; 3783,258; 3787,256; 3791,256; 3795,
              256; 3799,260; 3803,260; 3807,258; 3811,262; 3814,258; 3818,257;
              3822,258; 3826,257; 3830,263; 3834,264; 3838,260; 3842,262; 3845,
              264; 3849,263; 3853,264; 3857,263; 3861,262; 3865,264; 3869,264;
              3873,263; 3877,269; 3881,269; 3884,265; 3888,266; 3892,264; 3896,
              264; 3900,264; 3904,264; 3908,268; 3912,266; 3916,272; 3920,270;
              3924,271; 3927,268; 3931,270; 3935,270; 3939,274; 3943,275; 3947,
              276; 3951,274; 3955,270; 3959,272; 3963,270; 3967,272; 3971,272;
              3974,271; 3978,272; 3982,271; 3986,270; 3990,276; 3994,272; 3998,
              277; 4002,274; 4006,282; 4010,274; 4014,276; 4018,275; 4022,275;
              4025,276; 4029,276; 4033,276; 4037,274; 4041,276; 4045,280; 4049,
              277; 4053,276; 4057,277; 4061,282; 4065,279; 4069,279; 4073,275;
              4077,279; 4081,279; 4085,277; 4088,277; 4092,276; 4096,281; 4100,
              280; 4104,276; 4108,280; 4112,276; 4116,279; 4120,277; 4124,285;
              4128,282; 4132,277; 4136,281; 4140,280; 4144,279; 4147,280; 4151,
              281; 4155,284; 4159,276; 4163,277; 4167,276; 4171,277; 4175,276;
              4179,280; 4183,284; 4187,277; 4191,281; 4195,282; 4198,280; 4202,
              282; 4206,281; 4210,281; 4214,279; 4218,279; 4222,280; 4226,277;
              4230,281; 4234,284; 4238,279; 4242,282; 4246,282; 4249,280; 4253,
              281; 4257,280; 4261,281; 4265,281; 4269,281; 4273,279; 4277,285;
              4281,282; 4285,285; 4289,280; 4293,284; 4297,284; 4300,281; 4304,
              284; 4308,284; 4312,284; 4316,294; 4320,285; 4324,285; 4328,281;
              4332,284; 4336,282; 4340,284; 4344,285; 4348,285; 4352,282; 4355,
              287; 4359,287; 4363,281; 4367,285; 5074,270; 5078,274; 5082,271;
              5085,269; 5089,275; 5093,270; 5097,274; 5102,271; 5106,268; 5110,
              271; 5114,268; 5117,274; 5121,271; 5125,266; 5129,265; 5135,265;
              5139,266; 5142,265; 5146,264; 5150,270; 5154,270; 5158,264; 5162,
              265; 5166,268; 5170,263; 5173,269; 5177,264; 5181,268; 5185,266;
              5189,265; 5193,266; 5197,268; 5201,263; 5204,263; 5208,262; 5212,
              266; 5216,263; 5220,266; 5224,265; 5228,265; 5232,263; 5235,264;
              5239,268; 5243,263; 5247,260; 5251,263; 5255,268; 5259,263; 5263,
              263; 5266,263; 5270,260; 5274,260; 5278,262; 5282,262; 5286,265;
              5290,263; 5294,264; 5297,262; 5301,262; 5305,260; 5309,262; 5313,
              264; 5317,262; 5321,260; 5325,266; 5328,260; 5332,259; 5336,259;
              5340,262; 5344,260; 5348,259; 5352,258; 5356,259; 5359,259; 5363,
              258; 5367,260; 5371,260; 5375,256; 5379,265; 5383,260; 5387,257;
              5390,258; 5394,256; 5398,259; 5402,257; 5406,257; 5410,254; 5414,
              269; 5418,254; 5421,257; 5425,256; 5429,254; 5433,260; 5437,257;
              5441,254; 5445,260; 5449,260; 5452,254; 5456,253; 5460,253; 5464,
              253; 5468,254; 5472,256; 5476,259; 5480,257; 5483,256; 5487,256;
              5491,257; 5495,254; 5499,252; 5503,256; 5507,257; 5511,256; 5514,
              259; 5518,257; 5522,259; 5526,251; 5530,256; 5534,253; 5538,252;
              5542,252; 5545,251; 5549,253; 5553,253; 5557,256; 5561,253; 5565,
              257; 5569,251; 5573,254; 5576,252; 5580,253; 5584,250; 5588,249;
              5592,252; 5596,252; 5600,252; 5604,248; 5607,249; 5611,251; 5615,
              251; 5629,249; 5633,249; 5637,248; 5641,254; 5645,251; 5648,249;
              5652,246; 5656,248; 5660,246; 5664,250; 5668,249; 5672,248; 5676,
              251; 5679,249; 5683,249; 5687,248; 5691,250; 5695,250; 5699,252;
              5703,246; 5707,246; 5710,246; 5714,246; 5718,249; 5722,254; 5726,
              250; 5730,248; 5734,246; 5737,246; 5741,249; 5745,244; 5749,252;
              5753,249; 5757,249; 5761,248; 5765,246; 5768,245; 5772,248; 5776,
              256; 5780,246; 5784,248; 5788,246; 5792,248; 5796,254; 5799,249;
              5803,245; 5807,246; 5811,248; 5815,249; 5819,244; 5823,242; 5827,
              245; 5830,240; 5834,245; 5838,241; 5842,242; 5846,237; 5850,239;
              5854,241; 5858,240; 5861,236; 5865,237; 5869,234; 5873,235; 5877,
              236; 5881,232; 5885,229; 5889,231; 5892,230; 5896,229; 5900,230;
              5904,229; 5908,232; 5912,230; 5916,232; 5920,228; 5923,228; 5927,
              224; 5931,224; 5935,222; 5939,222; 5943,220; 5947,223; 5951,223;
              5954,221; 5958,222; 5962,218; 5966,219; 5970,218; 5974,217; 5978,
              219; 5982,219; 5985,215; 5989,217; 5993,213; 5997,214; 6001,215;
              6005,214; 6009,218; 6013,212; 6016,216; 6020,213; 6024,213; 6028,
              211; 6032,209; 6036,209; 6040,210; 6044,209; 6047,211; 6051,213;
              6055,207; 6060,208; 6064,209; 6068,207; 6071,207; 6075,205; 6079,
              206; 6083,206; 6087,206; 6091,205; 6095,207; 6099,206; 6102,206;
              6106,206; 6110,210; 6114,207; 6118,206; 6122,204; 6126,209; 6130,
              206; 6133,206; 6137,210; 6141,206; 6145,206; 6149,208; 6153,206;
              6157,206; 6161,205; 6164,206; 6168,205; 6172,205; 6182,208; 6186,
              204; 6189,205; 6193,204; 6197,205; 6201,209; 6205,205; 6209,205;
              6213,206; 6217,204; 6220,203; 6224,203; 6228,201; 6232,205; 6236,
              203; 6240,203; 6244,204; 6248,207; 6251,202; 6255,203; 6259,204;
              6263,200; 6267,201; 6271,200; 6275,200; 6279,204; 6282,206; 6286,
              200; 6290,201; 6294,200; 6298,201; 6302,202; 6306,203; 6310,199;
              6313,203; 6317,199; 6321,204; 6325,199; 6329,200; 6333,200; 6337,
              199; 6341,198; 6344,204; 6348,200; 6352,200; 6356,202; 6360,201;
              6364,198; 6368,205; 6372,199; 6375,199; 6379,201; 6383,199; 6387,
              205; 6391,201; 6395,200; 6399,199; 6403,197; 6406,198; 6410,199;
              6414,197; 6418,195; 6422,197; 6426,198; 6430,199; 6433,199; 6437,
              199; 6441,200; 6445,196; 6449,197; 6453,196; 6457,196; 6460,198;
              6464,197; 6468,197; 6472,197; 6476,198; 6480,196; 6484,200; 6488,
              198; 6491,196; 6495,198; 6499,196; 6503,198; 6507,196; 6511,200;
              6515,198; 6518,195; 6522,201; 6526,194; 6530,195; 6534,194; 6538,
              194; 6542,194; 6545,193; 6549,193; 6553,191; 6557,193; 6561,190;
              6565,192; 6568,192; 6572,192; 6576,193; 6580,191; 6583,192; 6587,
              192; 6591,189; 6595,189; 6598,188; 6602,189; 6606,191; 6610,187;
              6613,189; 6617,190; 6621,193; 6625,187; 6628,188; 6632,187; 6636,
              184; 6640,189; 6643,187; 6647,188; 6651,185; 6655,187; 6658,184;
              6662,187; 6666,184; 6670,185; 6673,186; 6677,183; 6681,183; 6685,
              183; 6688,188; 6692,185; 6696,182; 6700,185; 6703,181; 6707,186;
              6711,181; 6715,182; 6718,181; 6722,182; 6726,181; 6730,183; 6733,
              182; 6737,178; 6741,182; 6745,182; 6748,181; 6752,180; 6756,184;
              6760,178; 6763,181; 6767,178; 6771,178; 6775,178; 6778,179; 6782,
              179; 6786,180; 6790,178; 6793,178; 6797,178; 6801,178; 6805,176;
              6808,179; 6812,180; 6816,177; 6820,178; 6823,180; 6827,179; 6831,
              177]) annotation (Placement(transformation(
              extent={{-10,-10},{10,10}},
              rotation=90,
              origin={120,-80})));
        Modelica.Thermal.HeatTransfer.Celsius.PrescribedTemperature T_hot_1
          annotation (Placement(transformation(
              extent={{-10,-10},{10,10}},
              rotation=90,
              origin={-120,-52})));
        Modelica.Thermal.HeatTransfer.Celsius.PrescribedTemperature T_hot_2
          annotation (Placement(transformation(
              extent={{-10,-10},{10,10}},
              rotation=90,
              origin={-40,-52})));
        Modelica.Thermal.HeatTransfer.Celsius.PrescribedTemperature T_hot_3
          annotation (Placement(transformation(
              extent={{-10,-10},{10,10}},
              rotation=90,
              origin={40,-52})));
        Modelica.Thermal.HeatTransfer.Celsius.PrescribedTemperature T_hot_4
          annotation (Placement(transformation(
              extent={{-10,-10},{10,10}},
              rotation=90,
              origin={120,-52})));
        Modelica.Blocks.Sources.Clock clock
          annotation (Placement(transformation(extent={{-180,-90},{-160,-70}})));
        Components.HeatTransfer.HTP hTP_hot_A1(A_HTP=0.06*0.06) annotation (
            Placement(transformation(
              extent={{-10,-10},{10,10}},
              rotation=180,
              origin={-140,-26})));
        Components.HeatTransfer.HTP hTP_hot_A2(A_HTP=0.06*0.06) annotation (
            Placement(transformation(
              extent={{-10,-10},{10,10}},
              rotation=180,
              origin={-100,-26})));
        Components.HeatTransfer.HTP hTP_hot_B1(A_HTP=0.06*0.06) annotation (
            Placement(transformation(
              extent={{-10,-10},{10,10}},
              rotation=180,
              origin={-60,-26})));
        Components.HeatTransfer.HTP hTP_hot_B2(A_HTP=0.06*0.06) annotation (
            Placement(transformation(
              extent={{-10,-10},{10,10}},
              rotation=180,
              origin={-20,-26})));
        Components.HeatTransfer.HTP hTP_hot_C1(A_HTP=0.06*0.06) annotation (
            Placement(transformation(
              extent={{-10,-10},{10,10}},
              rotation=180,
              origin={20,-26})));
        Components.HeatTransfer.HTP hTP_hot_C2(A_HTP=0.06*0.06) annotation (
            Placement(transformation(
              extent={{-10,-10},{10,10}},
              rotation=180,
              origin={60,-26})));
        Components.HeatTransfer.HTP hTP_hot_D1(A_HTP=0.06*0.06) annotation (
            Placement(transformation(
              extent={{-10,-10},{10,10}},
              rotation=180,
              origin={100,-26})));
        Components.HeatTransfer.HTP hTP_hot_D2(A_HTP=0.06*0.06) annotation (
            Placement(transformation(
              extent={{-10,-10},{10,10}},
              rotation=180,
              origin={140,-26})));
        Components.HeatTransfer.HTP hTP_cold_A1(A_HTP=0.06*0.06)
          annotation (Placement(transformation(
              extent={{-10,-10},{10,10}},
              rotation=180,
              origin={-140,18})));
        Components.HeatTransfer.HTP hTP_cold_A2(A_HTP=0.06*0.06) annotation (
            Placement(transformation(
              extent={{-10,-10},{10,10}},
              rotation=180,
              origin={-100,18})));
        Components.HeatTransfer.HTP hTP_cold_B1(A_HTP=0.06*0.06) annotation (
            Placement(transformation(
              extent={{-10,-10},{10,10}},
              rotation=180,
              origin={-60,18})));
        Components.HeatTransfer.HTP hTP_cold_B2(A_HTP=0.06*0.06) annotation (
            Placement(transformation(
              extent={{-10,-10},{10,10}},
              rotation=180,
              origin={-20,18})));
        Components.HeatTransfer.HTP hTP_cold_C1(A_HTP=0.06*0.06) annotation (
            Placement(transformation(
              extent={{-10,-10},{10,10}},
              rotation=180,
              origin={20,18})));
        Components.HeatTransfer.HTP hTP_cold_C2(A_HTP=0.06*0.06) annotation (
            Placement(transformation(
              extent={{-10,-10},{10,10}},
              rotation=180,
              origin={60,18})));
        Components.HeatTransfer.HTP hTP_cold_D1(A_HTP=0.06*0.06) annotation (
            Placement(transformation(
              extent={{-10,-10},{10,10}},
              rotation=180,
              origin={100,18})));
        Components.HeatTransfer.HTP hTP_cold_D2(A_HTP=0.06*0.06) annotation (
            Placement(transformation(
              extent={{-10,-10},{10,10}},
              rotation=180,
              origin={140,18})));
        Components.HeatTransfer.CopperPlate cooper_plate_cold_A1(A_Cu=0.06*0.06)
          annotation (Placement(transformation(
              extent={{-10,-10},{10,10}},
              rotation=180,
              origin={-140,28})));
        Components.HeatTransfer.CopperPlate cooper_plate_cold_A2(A_Cu=0.06*0.06)
          annotation (Placement(transformation(
              extent={{-10,-10},{10,10}},
              rotation=180,
              origin={-100,28})));
        Components.HeatTransfer.CopperPlate cooper_plate_cold_B1(A_Cu=0.06*0.06)
          annotation (Placement(transformation(
              extent={{-10,-10},{10,10}},
              rotation=180,
              origin={-60,28})));
        Components.HeatTransfer.CopperPlate cooper_plate_cold_B2(A_Cu=0.06*0.06)
          annotation (Placement(transformation(
              extent={{-10,-10},{10,10}},
              rotation=180,
              origin={-20,28})));
        Components.HeatTransfer.CopperPlate cooper_plate_cold_C1(A_Cu=0.06*0.06)
          annotation (Placement(transformation(
              extent={{-10,-10},{10,10}},
              rotation=180,
              origin={20,28})));
        Components.HeatTransfer.CopperPlate cooper_plate_cold_C2(A_Cu=0.06*0.06)
          annotation (Placement(transformation(
              extent={{-10,-10},{10,10}},
              rotation=180,
              origin={60,28})));
        Components.HeatTransfer.CopperPlate cooper_plate_cold_D1(A_Cu=0.06*0.06)
          annotation (Placement(transformation(
              extent={{-10,-10},{10,10}},
              rotation=180,
              origin={100,28})));
        Components.HeatTransfer.CopperPlate cooper_plate_cold_D2(A_Cu=0.06*0.06)
          annotation (Placement(transformation(
              extent={{-10,-10},{10,10}},
              rotation=180,
              origin={140,28})));
        Components.Controlling.CPUCoolerControlled cooling_element_controlled_A1(RT=RT)
          annotation (Placement(transformation(extent={{-150,54},{-130,74}})));
        Components.Controlling.CPUCoolerControlled cooling_element_controlled_A2(RT=RT)
          annotation (Placement(transformation(extent={{-110,54},{-90,74}})));
        Components.Controlling.CPUCoolerControlled cooling_element_controlled_B1(RT=RT)
          annotation (Placement(transformation(extent={{-70,54},{-50,74}})));
        Components.Controlling.CPUCoolerControlled cooling_element_controlled_B2(RT=RT)
          annotation (Placement(transformation(extent={{-30,54},{-10,74}})));
        Components.Controlling.CPUCoolerControlled cooling_element_controlled_C1(RT=RT)
          annotation (Placement(transformation(extent={{10,54},{30,74}})));
        Components.Controlling.CPUCoolerControlled cooling_element_controlled_C2(RT=RT)
          annotation (Placement(transformation(extent={{50,54},{70,74}})));
        Components.Controlling.CPUCoolerControlled cooling_element_controlled_D1(RT=RT)
          annotation (Placement(transformation(extent={{90,54},{110,74}})));
        Components.Controlling.CPUCoolerControlled cooling_element_controlled_D2(RT=RT)
          annotation (Placement(transformation(extent={{130,54},{150,74}})));
        Modelica.Blocks.Continuous.Integrator energy annotation (Placement(
              transformation(
              extent={{-10,-10},{10,10}},
              rotation=-90,
              origin={166,-76})));
        Modelica.Blocks.Math.Add add1 annotation (Placement(transformation(
              extent={{-5,-5},{5,5}},
              rotation=90,
              origin={-161,-49})));
        Modelica.Blocks.Math.Add add2 annotation (Placement(transformation(
              extent={{-5,-5},{5,5}},
              rotation=90,
              origin={-143,-49})));
        Modelica.Blocks.Math.Add add annotation (Placement(transformation(
              extent={{-5,-5},{5,5}},
              rotation=90,
              origin={-173,-33})));
        Modelica.Blocks.Tables.CombiTable1D T_hot_side4_original(table=[3,6; 6,
              6; 10,6; 13,6; 16,6; 20,6; 23,6; 27,6; 30,6; 34,6; 38,6; 41,6; 45,
              6; 48,6; 52,6; 55,6; 59,6; 62,6; 66,6; 70,6; 73,6; 77,6; 80,6; 84,
              6; 87,6; 91,6; 95,6; 98,6; 102,6; 105,7; 109,7; 112,7; 116,7; 120,
              8; 123,8; 127,8; 130,8; 134,8; 137,8; 141,8; 144,8; 148,8; 152,8;
              155,9; 159,9; 162,9; 166,9; 170,10; 173,10; 177,10; 180,10; 184,
              10; 188,10; 191,10; 195,10; 198,10; 202,11; 206,11; 209,11; 213,
              11; 217,11; 220,11; 224,11; 228,11; 231,11; 235,11; 239,11; 242,
              11; 246,12; 250,12; 253,12; 257,12; 261,13; 264,13; 268,13; 272,
              14; 275,13; 279,13; 283,13; 286,14; 290,14; 294,14; 298,14; 301,
              14; 305,14; 309,14; 312,14; 316,15; 320,15; 324,15; 327,15; 331,
              15; 335,15; 339,15; 342,15; 346,15; 350,17; 353,16; 357,17; 361,
              17; 365,17; 368,17; 372,17; 376,18; 380,19; 383,18; 387,19; 391,
              20; 395,19; 398,19; 402,21; 406,19; 410,21; 413,20; 417,20; 421,
              19; 425,21; 428,21; 432,22; 436,23; 440,22; 443,22; 447,23; 451,
              24; 455,26; 458,26; 462,26; 466,27; 470,28; 474,28; 477,28; 481,
              29; 485,28; 489,32; 492,31; 496,30; 500,33; 503,32; 507,32; 511,
              33; 514,35; 518,37; 522,34; 525,35; 529,35; 533,37; 536,38; 540,
              39; 544,38; 547,41; 551,39; 555,40; 558,40; 562,42; 565,43; 569,
              46; 573,44; 576,44; 580,44; 584,46; 587,49; 591,48; 595,50; 598,
              53; 602,56; 606,58; 609,58; 613,56; 617,60; 620,62; 624,66; 628,
              69; 631,70; 635,72; 639,74; 642,76; 646,79; 650,81; 653,83; 657,
              86; 661,88; 664,90; 668,93; 672,92; 675,98; 679,96; 683,98; 686,
              103; 690,101; 694,103; 697,107; 701,109; 705,111; 709,112; 712,
              108; 716,109; 720,111; 723,115; 727,116; 731,115; 735,117; 739,
              119; 742,122; 746,125; 750,127; 754,130; 757,131; 761,134; 765,
              133; 768,139; 772,136; 776,137; 780,140; 783,145; 787,142; 791,
              146; 795,147; 798,147; 802,149; 806,151; 809,153; 813,154; 817,
              158; 821,160; 824,159; 828,162; 832,167; 836,167; 839,165; 843,
              166; 847,170; 850,173; 854,177; 858,174; 862,176; 865,178; 869,
              178; 873,179; 876,184; 880,181; 884,189; 888,187; 891,190; 895,
              192; 899,191; 903,192; 906,197; 910,197; 914,198; 918,197; 922,
              203; 926,205; 929,200; 933,201; 937,206; 941,202; 945,207; 949,
              205; 952,207; 956,206; 960,205; 964,205; 968,207; 972,206; 975,
              206; 979,207; 983,209; 987,208; 991,212; 995,211; 998,210; 1002,
              211; 1006,211; 1010,210; 1014,209; 1018,215; 1021,215; 1025,213;
              1029,210; 1033,215; 1037,212; 1040,214; 1044,211; 1048,211; 1052,
              212; 1055,213; 1059,211; 1063,213; 1067,213; 1070,211; 1074,212;
              1078,211; 1082,216; 1085,218; 1089,212; 1093,212; 1096,216; 1100,
              219; 1104,213; 1108,213; 1111,215; 1115,216; 1119,215; 1123,215;
              1126,214; 1130,217; 1134,217; 1138,216; 1142,219; 1145,217; 1149,
              218; 1153,217; 1157,217; 1160,217; 1164,221; 1168,220; 1172,220;
              1175,221; 1179,219; 1183,220; 1187,225; 1191,226; 1194,225; 1198,
              225; 1202,221; 1206,223; 1210,223; 1214,221; 1218,223; 1221,222;
              1225,222; 1229,225; 1233,222; 1237,221; 1240,223; 1244,222; 1248,
              223; 1252,226; 1255,222; 1259,223; 1263,225; 1267,222; 1271,225;
              1274,222; 1278,221; 1282,223; 1286,221; 1290,225; 1293,220; 1297,
              222; 1301,221; 1305,221; 1309,224; 1312,221; 1316,220; 1320,222;
              1324,221; 1327,224; 1331,222; 1335,217; 1339,226; 1343,220; 1346,
              221; 1350,218; 1354,218; 1358,218; 1362,217; 1365,216; 1369,216;
              1373,217; 1377,216; 1381,215; 1384,215; 1388,216; 1392,216; 1396,
              216; 1400,214; 1403,214; 1407,217; 1411,214; 1415,216; 1418,214;
              1422,217; 1426,213; 1430,213; 1434,216; 1437,212; 1441,212; 1445,
              220; 1449,213; 1453,214; 1457,213; 1461,212; 1464,216; 1468,218;
              1472,213; 1476,215; 1479,212; 1483,212; 1487,211; 1491,213; 1495,
              220; 1498,213; 1502,219; 1506,215; 1510,215; 1514,215; 1517,219;
              1521,216; 1525,218; 1529,216; 1533,217; 1536,217; 1540,216; 1544,
              217; 1548,217; 1552,220; 1555,218; 1559,220; 1563,217; 1567,219;
              1570,218; 1574,221; 1578,222; 1582,217; 1586,218; 1589,221; 1593,
              223; 1597,222; 1601,219; 1605,217; 1608,218; 1612,221; 1616,218;
              1620,220; 1624,218; 1627,223; 1631,219; 1635,218; 1639,220; 1643,
              221; 1646,221; 1650,220; 1654,225; 1658,221; 1661,220; 1665,224;
              1669,223; 1673,220; 1677,226; 1680,222; 1684,222; 1688,222; 1692,
              224; 1696,222; 1699,226; 1703,222; 1707,223; 1711,221; 1715,225;
              1718,223; 1722,224; 1726,228; 1730,222; 1734,224; 1737,222; 1741,
              223; 1745,223; 1749,224; 1753,228; 1756,221; 1760,223; 1764,230;
              1768,222; 1772,225; 1776,228; 1779,223; 1783,223; 1787,229; 1791,
              228; 1795,228; 1798,226; 1802,226; 1806,226; 1810,230; 1814,224;
              1817,229; 1821,224; 1825,226; 1829,225; 1832,226; 1836,228; 1840,
              232; 1844,224; 1848,232; 1851,228; 1855,228; 1859,228; 1863,228;
              1867,232; 1870,230; 1874,230; 1878,229; 1882,226; 1886,229; 1890,
              229; 1893,229; 1897,226; 1901,231; 1905,230; 1909,229; 1912,233;
              1916,235; 1920,231; 1924,230; 1928,234; 1931,231; 1935,235; 1939,
              231; 1943,234; 1947,230; 1950,228; 1954,229; 1958,232; 1962,225;
              1966,229; 1970,229; 1973,233; 1977,231; 1981,232; 1985,231; 1989,
              229; 1992,232; 1996,229; 2000,230; 2004,230; 2008,229; 2011,229;
              2015,229; 2019,229; 2023,228; 2027,229; 2031,229; 2034,229; 2038,
              229; 2042,231; 2046,231; 2050,234; 2053,226; 2057,229; 2061,232;
              2065,230; 2069,230; 2072,228; 2076,231; 2080,229; 2084,233; 2088,
              228; 2092,230; 2095,229; 2099,235; 2103,231; 2107,233; 2111,231;
              2114,230; 2118,230; 2122,233; 2126,232; 2130,232; 2133,231; 2137,
              230; 2141,234; 2145,230; 2149,233; 2152,239; 2156,234; 2160,232;
              2164,233; 2168,231; 2172,232; 2175,233; 2179,235; 2183,236; 2187,
              239; 2191,232; 2194,232; 2198,232; 2202,232; 2206,236; 2210,230;
              2213,233; 2217,231; 2221,236; 2225,231; 2229,235; 2232,233; 2236,
              230; 2240,233; 2244,233; 2248,233; 2251,235; 2255,235; 2259,233;
              2263,232; 2267,232; 2270,232; 2274,236; 2278,231; 2282,231; 2286,
              230; 2290,232; 2294,234; 2297,230; 2301,240; 2305,232; 2309,235;
              2312,233; 2316,233; 2320,232; 2324,233; 2328,232; 2331,232; 2335,
              233; 2339,232; 2343,234; 2347,231; 2350,232; 2354,232; 2358,232;
              2362,231; 2365,234; 2369,233; 2373,235; 2377,234; 2381,231; 2384,
              233; 2388,236; 2392,233; 2396,233; 2399,232; 2403,237; 2407,233;
              2411,235; 2415,234; 2418,234; 2422,235; 2426,233; 2430,234; 2433,
              237; 2437,233; 2441,240; 2445,242; 2449,236; 2452,243; 2456,241;
              2460,245; 2464,246; 2468,241; 2471,242; 2475,245; 2479,244; 2483,
              242; 2487,248; 2491,246; 2494,243; 2498,248; 2502,243; 2506,249;
              2510,244; 2514,246; 2518,242; 2522,243; 2526,244; 2529,242; 2533,
              244; 2537,245; 2541,242; 2545,246; 2549,245; 2553,242; 2557,242;
              2561,243; 2564,241; 2568,243; 2572,243; 2576,242; 2580,240; 2584,
              246; 2588,240; 2592,240; 2596,240; 2600,245; 2603,239; 2607,243;
              2611,241; 2615,244; 2619,241; 2623,244; 2627,239; 2631,242; 2635,
              244; 2638,241; 2642,237; 2646,239; 2650,240; 2654,243; 2658,236;
              2662,249; 2666,237; 2670,242; 2673,239; 2677,236; 2681,242; 2685,
              236; 2689,243; 2693,239; 2697,239; 2701,244; 2705,240; 2708,234;
              2712,235; 2716,236; 2720,234; 2724,234; 2728,235; 2732,236; 2736,
              237; 2739,235; 2743,234; 2747,240; 2751,234; 2755,232; 2759,235;
              2763,232; 2767,233; 2771,234; 2774,231; 2778,233; 2782,230; 2786,
              230; 2790,230; 2794,233; 2798,228; 2802,230; 2805,229; 2809,228;
              2813,230; 2817,228; 2821,231; 2825,232; 2829,230; 2833,231; 2837,
              230; 2840,231; 2844,229; 2848,230; 2852,230; 2856,228; 2860,231;
              2864,230; 2868,229; 2871,225; 2875,226; 2879,236; 2883,226; 2887,
              228; 2891,228; 2895,226; 2899,229; 2903,230; 2906,228; 2910,224;
              2914,229; 2918,223; 2922,226; 2926,223; 2930,223; 2934,223; 2937,
              224; 2941,230; 2945,223; 2949,221; 2953,229; 2957,224; 2961,222;
              2965,220; 2969,225; 2972,219; 2976,224; 2980,228; 2984,223; 2988,
              220; 2992,222; 2996,229; 3000,218; 3004,230; 3007,221; 3011,221;
              3015,221; 3019,217; 3023,221; 3027,224; 3031,218; 3035,220; 3039,
              219; 3042,221; 3046,215; 3050,216; 3054,216; 3058,215; 3062,214;
              3066,216; 3070,216; 3074,214; 3078,215; 3081,216; 3085,220; 3089,
              212; 3093,213; 3097,216; 3101,215; 3105,211; 3109,212; 3113,217;
              3117,218; 3120,215; 3124,211; 3128,209; 3132,209; 3136,213; 3140,
              211; 3144,210; 3148,206; 3152,208; 3155,204; 3159,208; 3163,207;
              3167,212; 3171,206; 3175,209; 3179,209; 3183,209; 3187,206; 3191,
              204; 3194,205; 3198,206; 3202,202; 3206,204; 3210,205; 3214,209;
              3218,204; 3222,204; 3225,203; 3229,202; 3233,204; 3237,202; 3241,
              201; 3245,204; 3249,201; 3253,199; 3256,199; 3260,199; 3264,200;
              3268,200; 3272,198; 3276,202; 3280,202; 3284,202; 3287,201; 3291,
              199; 3295,198; 3299,197; 3303,197; 3307,197; 3311,198; 3315,195;
              3318,197; 3322,197; 3326,196; 3330,199; 3334,195; 3338,200; 3342,
              200; 3346,200; 3349,198; 3353,197; 3357,196; 3361,197; 3365,198;
              3369,194; 3373,196; 3377,201; 3380,196; 3384,198; 3388,199; 3392,
              202; 3396,200; 3400,202; 3404,206; 3408,203; 3411,202; 3415,205;
              3419,206; 3423,204; 3427,207; 3431,208; 3435,209; 3439,213; 3442,
              217; 3446,214; 3450,213; 3454,216; 3458,212; 3462,215; 3466,216;
              3470,218; 3473,222; 3477,218; 3481,217; 3485,222; 3489,222; 3493,
              219; 3497,222; 3501,229; 3504,223; 3508,222; 3512,229; 3516,224;
              3520,228; 3524,225; 3528,226; 3532,228; 3535,226; 3539,225; 3543,
              228; 3547,229; 3551,225; 3555,226; 3559,232; 3563,232; 3566,226;
              3570,229; 3574,228; 3578,229; 3582,232; 3586,232; 3590,232; 3594,
              233; 3597,241; 3601,236; 3605,237; 3609,237; 3613,237; 3617,237;
              3621,240; 3625,239; 3628,244; 3632,241; 3636,240; 3640,241; 3644,
              241; 3648,243; 3652,242; 3656,249; 3659,242; 3663,245; 3667,243;
              3671,248; 3675,245; 3679,242; 3683,245; 3686,246; 3690,250; 3694,
              248; 3698,245; 3702,249; 3706,246; 3710,245; 3714,250; 3717,248;
              3721,249; 3725,246; 3729,251; 3733,250; 3737,250; 3741,253; 3745,
              252; 3748,254; 3752,253; 3756,252; 3760,251; 3764,252; 3768,252;
              3772,258; 3776,253; 3779,253; 3783,258; 3787,256; 3791,256; 3795,
              256; 3799,260; 3803,260; 3807,258; 3811,262; 3814,258; 3818,257;
              3822,258; 3826,257; 3830,263; 3834,264; 3838,260; 3842,262; 3845,
              264; 3849,263; 3853,264; 3857,263; 3861,262; 3865,264; 3869,264;
              3873,263; 3877,269; 3881,269; 3884,265; 3888,266; 3892,264; 3896,
              264; 3900,264; 3904,264; 3908,268; 3912,266; 3916,272; 3920,270;
              3924,271; 3927,268; 3931,270; 3935,270; 3939,274; 3943,275; 3947,
              276; 3951,274; 3955,270; 3959,272; 3963,270; 3967,272; 3971,272;
              3974,271; 3978,272; 3982,271; 3986,270; 3990,276; 3994,272; 3998,
              277; 4002,274; 4006,282; 4010,274; 4014,276; 4018,275; 4022,275;
              4025,276; 4029,276; 4033,276; 4037,274; 4041,276; 4045,280; 4049,
              277; 4053,276; 4057,277; 4061,282; 4065,279; 4069,279; 4073,275;
              4077,279; 4081,279; 4085,277; 4088,277; 4092,276; 4096,281; 4100,
              280; 4104,276; 4108,280; 4112,276; 4116,279; 4120,277; 4124,285;
              4128,282; 4132,277; 4136,281; 4140,280; 4144,279; 4147,280; 4151,
              281; 4155,284; 4159,276; 4163,277; 4167,276; 4171,277; 4175,276;
              4179,280; 4183,284; 4187,277; 4191,281; 4195,282; 4198,280; 4202,
              282; 4206,281; 4210,281; 4214,279; 4218,279; 4222,280; 4226,277;
              4230,281; 4234,284; 4238,279; 4242,282; 4246,282; 4249,280; 4253,
              281; 4257,280; 4261,281; 4265,281; 4269,281; 4273,279; 4277,285;
              4281,282; 4285,285; 4289,280; 4293,284; 4297,284; 4300,281; 4304,
              284; 4308,284; 4312,284; 4316,294; 4320,285; 4324,285; 4328,281;
              4332,284; 4336,282; 4340,284; 4344,285; 4348,285; 4352,282; 4355,
              287; 4359,287; 4363,281; 4367,285; 4371,6; 4375,6; 4379,6; 4383,6;
              4387,6; 4390,6; 4394,95; 4398,64; 4402,85; 4406,68; 4410,109;
              4414,6; 4418,6; 4421,6; 4425,6; 4429,6; 4433,6; 4437,6; 4441,6;
              4445,6; 4448,6; 4452,6; 4456,6; 4460,6; 4464,6; 4468,6; 4472,6;
              4476,6; 4479,6; 4483,6; 4487,6; 4491,6; 4495,6; 4499,6; 4503,6;
              4507,6; 4510,6; 4514,6; 4518,6; 4522,6; 4526,6; 4530,6; 4534,6;
              4538,6; 4541,6; 4545,6; 4549,6; 4553,6; 4557,6; 4561,6; 4565,6;
              4569,6; 4572,6; 4576,6; 4580,6; 4584,6; 4588,6; 4592,6; 4596,6;
              4600,6; 4603,6; 4607,6; 4611,6; 4615,6; 4619,6; 4623,6; 4627,6;
              4631,6; 4634,6; 4638,6; 4642,6; 4646,6; 4650,6; 4654,6; 4658,6;
              4662,6; 4665,6; 4669,5; 4673,6; 4677,6; 4681,6; 4685,6; 4689,6;
              4693,6; 4696,6; 4700,6; 4704,6; 4708,6; 4712,6; 4716,6; 4720,6;
              4724,6; 4727,6; 4731,6; 4735,6; 4739,6; 4743,6; 4747,6; 4751,6;
              4755,6; 4758,6; 4762,6; 4766,6; 4770,6; 4774,6; 4778,6; 4782,6;
              4786,6; 4789,6; 4793,6; 4797,6; 4801,6; 4805,6; 4809,6; 4813,6;
              4817,6; 4820,6; 4824,6; 4828,6; 4832,6; 4836,6; 4840,6; 4844,6;
              4848,6; 4851,6; 4855,6; 4859,6; 4863,6; 4867,6; 4871,6; 4875,6;
              4879,6; 4882,6; 4886,6; 4890,6; 4894,6; 4898,6; 4902,6; 4906,6;
              4910,6; 4913,6; 4917,6; 4921,6; 4925,6; 4929,6; 4933,6; 4937,6;
              4940,6; 4944,6; 4948,6; 4952,6; 4956,6; 4960,6; 4964,6; 4968,6;
              4971,6; 4975,6; 4979,6; 4983,6; 4987,6; 4991,6; 4995,6; 4998,6;
              5002,6; 5006,6; 5010,6; 5014,6; 5018,6; 5022,6; 5025,6; 5029,6;
              5033,6; 5037,6; 5041,6; 5045,6; 5049,6; 5052,6; 5056,6; 5060,6;
              5064,6; 5068,6; 5072,274; 5076,276; 5080,270; 5084,270; 5087,277;
              5091,271; 5095,270; 5099,274; 5103,270; 5107,275; 5111,271; 5115,
              268; 5119,269; 5123,268; 5126,269; 5130,6; 5134,264; 5138,265;
              5142,266; 5146,266; 5150,270; 5154,265; 5158,269; 5161,264; 5165,
              264; 5169,262; 5173,263; 5177,271; 5181,264; 5185,268; 5189,264;
              5192,265; 5196,264; 5200,263; 5204,263; 5208,260; 5212,270; 5216,
              262; 5220,262; 5223,264; 5227,262; 5231,263; 5235,266; 5239,268;
              5243,263; 5247,263; 5251,264; 5254,271; 5258,265; 5262,263; 5266,
              263; 5270,262; 5274,260; 5278,259; 5282,263; 5285,262; 5289,264;
              5293,263; 5297,266; 5301,264; 5305,263; 5309,263; 5313,260; 5316,
              264; 5320,266; 5324,265; 5328,259; 5332,265; 5336,262; 5340,262;
              5344,262; 5347,264; 5351,260; 5355,263; 5359,258; 5363,260; 5367,
              262; 5371,258; 5375,268; 5378,263; 5382,260; 5386,259; 5390,262;
              5394,258; 5398,262; 5402,258; 5406,257; 5409,259; 5413,257; 5417,
              254; 5421,253; 5425,256; 5429,254; 5433,257; 5437,251; 5440,254;
              5444,257; 5448,257; 5452,254; 5456,254; 5460,260; 5464,253; 5468,
              257; 5471,258; 5475,257; 5479,257; 5483,257; 5487,252; 5491,260;
              5495,256; 5499,256; 5502,257; 5506,257; 5510,253; 5514,254; 5518,
              253; 5522,256; 5526,254; 5530,257; 5533,260; 5537,251; 5541,254;
              5545,256; 5549,256; 5553,256; 5557,258; 5561,254; 5564,253; 5568,
              252; 5572,252; 5576,256; 5580,252; 5584,257; 5588,251; 5592,253;
              5595,253; 5599,249; 5603,251; 5607,250; 5611,254; 5615,249; 5619,
              6; 5622,6; 5626,6; 5630,250; 5634,248; 5638,250; 5642,248; 5646,
              251; 5650,248; 5653,249; 5657,257; 5661,248; 5665,254; 5669,251;
              5673,245; 5677,250; 5681,246; 5684,248; 5688,249; 5692,250; 5696,
              256; 5700,248; 5704,250; 5708,248; 5712,258; 5715,252; 5719,250;
              5723,248; 5727,246; 5731,246; 5735,250; 5739,246; 5743,248; 5746,
              245; 5750,248; 5754,246; 5758,245; 5762,245; 5766,250; 5770,252;
              5774,252; 5777,248; 5781,250; 5785,249; 5789,246; 5793,246; 5797,
              246; 5801,244; 5805,248; 5808,249; 5812,248; 5816,245; 5820,244;
              5824,242; 5828,242; 5832,241; 5836,239; 5839,242; 5843,239; 5847,
              242; 5851,243; 5855,239; 5859,237; 5863,241; 5867,243; 5870,236;
              5874,235; 5878,234; 5882,231; 5886,230; 5890,233; 5894,231; 5898,
              231; 5901,231; 5905,231; 5909,228; 5913,231; 5917,230; 5921,229;
              5925,228; 5928,226; 5932,229; 5936,224; 5940,224; 5944,224; 5948,
              222; 5952,225; 5956,219; 5959,224; 5963,219; 5967,223; 5971,222;
              5975,217; 5979,217; 5983,215; 5987,217; 5990,216; 5994,217; 5998,
              213; 6002,214; 6006,212; 6010,213; 6014,214; 6018,213; 6021,213;
              6025,213; 6029,210; 6033,208; 6037,209; 6041,210; 6045,212; 6049,
              209; 6052,209; 6056,6; 6060,209; 6064,212; 6068,210; 6072,209;
              6076,207; 6080,205; 6083,208; 6087,206; 6091,209; 6095,208; 6099,
              205; 6103,210; 6107,211; 6111,210; 6114,205; 6118,207; 6122,204;
              6126,207; 6130,205; 6134,205; 6138,205; 6142,206; 6145,207; 6149,
              206; 6153,206; 6157,204; 6161,204; 6165,207; 6169,204; 6173,204;
              6176,6; 6180,203; 6184,203; 6188,204; 6192,207; 6196,204; 6200,
              208; 6203,206; 6207,204; 6211,206; 6215,204; 6219,206; 6223,202;
              6227,202; 6231,207; 6234,204; 6238,204; 6242,203; 6246,202; 6250,
              205; 6254,202; 6258,202; 6262,199; 6265,200; 6269,202; 6273,202;
              6277,206; 6281,201; 6285,204; 6289,208; 6293,204; 6296,201; 6300,
              200; 6304,205; 6308,199; 6312,202; 6316,201; 6320,200; 6324,201;
              6327,200; 6331,202; 6335,200; 6339,201; 6343,200; 6347,199; 6351,
              201; 6355,199; 6358,201; 6362,198; 6366,203; 6370,199; 6374,199;
              6378,197; 6382,198; 6386,197; 6389,197; 6393,202; 6397,199; 6401,
              200; 6405,196; 6409,198; 6413,197; 6416,198; 6420,197; 6424,198;
              6428,197; 6432,196; 6436,196; 6440,197; 6444,198; 6447,199; 6451,
              197; 6455,199; 6459,198; 6463,197; 6467,195; 6471,196; 6474,194;
              6478,196; 6482,196; 6486,197; 6490,197; 6494,196; 6498,197; 6501,
              197; 6505,195; 6509,197; 6513,198; 6517,198; 6521,198; 6525,195;
              6528,194; 6532,197; 6536,192; 6540,192; 6544,193; 6548,192; 6552,
              193; 6555,193; 6559,191; 6563,192; 6567,191; 6571,192; 6574,192;
              6578,190; 6582,190; 6586,196; 6589,191; 6593,189; 6597,190; 6601,
              191; 6604,190; 6608,188; 6612,188; 6616,191; 6619,189; 6623,191;
              6627,188; 6631,186; 6634,187; 6638,186; 6642,187; 6646,186; 6649,
              185; 6653,185; 6657,186; 6661,186; 6664,185; 6668,185; 6672,183;
              6676,185; 6679,184; 6683,186; 6687,183; 6691,183; 6694,184; 6698,
              185; 6702,182; 6706,181; 6709,182; 6713,182; 6717,183; 6721,184;
              6724,186; 6728,182; 6732,181; 6736,182; 6739,179; 6743,180; 6747,
              180; 6751,179; 6754,178; 6758,179; 6762,178; 6766,184; 6769,181;
              6773,178; 6777,178; 6781,178; 6784,178; 6788,178; 6792,177; 6796,
              180; 6799,177; 6803,178; 6807,178; 6811,177; 6814,177; 6818,177;
              6822,178; 6826,177; 6829,178; 6833,176]) annotation (Placement(
              transformation(
              extent={{-6,-6},{6,6}},
              rotation=90,
              origin={-146,-66})));
        Modelica.Blocks.Math.Division division annotation (Placement(
              transformation(
              extent={{-5,-5},{5,5}},
              rotation=90,
              origin={-171,25})));
        Modelica.Blocks.Sources.Constant const(k=4) annotation (Placement(
              transformation(
              extent={{-5,-5},{5,5}},
              rotation=90,
              origin={-161,5})));
        Modelica.Blocks.Math.Add add3 annotation (Placement(transformation(
              extent={{-6,-6},{6,6}},
              rotation=90,
              origin={-168,58})));
        Modelica.Blocks.Sources.Constant degC_to_K(k=273.15) annotation (Placement(
              transformation(
              extent={{-5,-5},{5,5}},
              rotation=90,
              origin={-161,39})));
        Components.HeatTransfer.CopperPlate cooper_plate_hot_A1(A_Cu=0.06*0.06)
          annotation (Placement(transformation(
              extent={{-10,-10},{10,10}},
              rotation=180,
              origin={-140,-36})));
        Components.HeatTransfer.CopperPlate cooper_plate_hot_A2(A_Cu=0.06*0.06)
          annotation (Placement(transformation(
              extent={{-10,-10},{10,10}},
              rotation=180,
              origin={-100,-36})));
        Components.HeatTransfer.CopperPlate cooper_plate_hot_B1(A_Cu=0.06*0.06)
          annotation (Placement(transformation(
              extent={{-10,-10},{10,10}},
              rotation=180,
              origin={-60,-36})));
        Components.HeatTransfer.CopperPlate cooper_plate_hot_B2(A_Cu=0.06*0.06)
          annotation (Placement(transformation(
              extent={{-10,-10},{10,10}},
              rotation=180,
              origin={-20,-36})));
        Components.HeatTransfer.CopperPlate cooper_plate_hot_C1(A_Cu=0.06*0.06)
          annotation (Placement(transformation(
              extent={{-10,-10},{10,10}},
              rotation=180,
              origin={20,-36})));
        Components.HeatTransfer.CopperPlate cooper_plate_hot_C2(A_Cu=0.06*0.06)
          annotation (Placement(transformation(
              extent={{-10,-10},{10,10}},
              rotation=180,
              origin={60,-36})));
        Components.HeatTransfer.CopperPlate cooper_plate_hot_D1(A_Cu=0.06*0.06)
          annotation (Placement(transformation(
              extent={{-10,-10},{10,10}},
              rotation=180,
              origin={100,-36})));
        Components.HeatTransfer.CopperPlate cooper_plate_hot_D2(A_Cu=0.06*0.06)
          annotation (Placement(transformation(
              extent={{-10,-10},{10,10}},
              rotation=180,
              origin={140,-36})));
        Components.HeatTransfer.AirGap airGap_cooling_A1(d_Air=0.00002)
          annotation (Placement(transformation(extent={{-10,-10},{10,10}},
              rotation=180,
              origin={-140,48})));
        Components.HeatTransfer.HTP hTP_cooling_A1(A_HTP=0.04*0.04) annotation (
           Placement(transformation(
              extent={{-10,-10},{10,10}},
              rotation=180,
              origin={-140,38})));
        Components.HeatTransfer.AirGap airGap_cooling_A2(d_Air=0.00002)
          annotation (Placement(transformation(extent={{-10,-10},{10,10}},
              rotation=180,
              origin={-100,48})));
        Components.HeatTransfer.HTP hTP_cooling_A2(A_HTP=0.04*0.04) annotation (
           Placement(transformation(
              extent={{-10,-10},{10,10}},
              rotation=180,
              origin={-100,38})));
        Components.HeatTransfer.AirGap airGap_cooling_B1(d_Air=0.00002)
          annotation (Placement(transformation(extent={{-10,-10},{10,10}},
              rotation=180,
              origin={-60,48})));
        Components.HeatTransfer.HTP hTP_cooling_B1(A_HTP=0.04*0.04) annotation (
           Placement(transformation(
              extent={{-10,-10},{10,10}},
              rotation=180,
              origin={-60,38})));
        Components.HeatTransfer.AirGap airGap_cooling_B2(d_Air=0.00002)
          annotation (Placement(transformation(extent={{-10,-10},{10,10}},
              rotation=180,
              origin={-20,48})));
        Components.HeatTransfer.HTP hTP_cooling_B2(A_HTP=0.04*0.04) annotation (
           Placement(transformation(
              extent={{-10,-10},{10,10}},
              rotation=180,
              origin={-20,38})));
        Components.HeatTransfer.AirGap airGap_cooling_C1(d_Air=0.00002)
          annotation (Placement(transformation(extent={{-10,-10},{10,10}},
              rotation=180,
              origin={20,48})));
        Components.HeatTransfer.HTP hTP_cooling_C1(A_HTP=0.04*0.04) annotation (
           Placement(transformation(
              extent={{-10,-10},{10,10}},
              rotation=180,
              origin={20,38})));
        Components.HeatTransfer.AirGap airGap_cooling_C2(d_Air=0.00002)
          annotation (Placement(transformation(extent={{-10,-10},{10,10}},
              rotation=180,
              origin={60,48})));
        Components.HeatTransfer.HTP hTP_cooling_C2(A_HTP=0.04*0.04) annotation (
           Placement(transformation(
              extent={{-10,-10},{10,10}},
              rotation=180,
              origin={60,38})));
        Components.HeatTransfer.AirGap airGap_cooling_D1(d_Air=0.00002)
          annotation (Placement(transformation(extent={{-10,-10},{10,10}},
              rotation=180,
              origin={100,48})));
        Components.HeatTransfer.HTP hTP_cooling_D1(A_HTP=0.04*0.04) annotation (
           Placement(transformation(
              extent={{-10,-10},{10,10}},
              rotation=180,
              origin={100,38})));
        Components.HeatTransfer.AirGap airGap_cooling_D2(d_Air=0.00002)
          annotation (Placement(transformation(extent={{-10,-10},{10,10}},
              rotation=180,
              origin={140,48})));
        Components.HeatTransfer.HTP hTP_cooling_D2(A_HTP=0.04*0.04) annotation (
           Placement(transformation(
              extent={{-10,-10},{10,10}},
              rotation=180,
              origin={140,38})));
        Components.HeatTransfer.AirGap airGap_hot_A1(d_Air=0.00002) annotation (
           Placement(transformation(
              extent={{-10,-10},{10,10}},
              rotation=180,
              origin={-140,-16})));
        Components.HeatTransfer.AirGap airGap_cold_A1(d_Air=0.00002)
          annotation (Placement(transformation(
              extent={{-10,-10},{10,10}},
              rotation=180,
              origin={-140,8})));
        Components.HeatTransfer.AirGap airGap_hot_A2(d_Air=0.00002) annotation (
           Placement(transformation(
              extent={{-10,-10},{10,10}},
              rotation=180,
              origin={-100,-16})));
        Components.HeatTransfer.AirGap airGap_cold_A2(d_Air=0.00002)
          annotation (Placement(transformation(
              extent={{-10,-10},{10,10}},
              rotation=180,
              origin={-100,8})));
        Components.HeatTransfer.AirGap airGap_hot_B1(d_Air=0.00002) annotation (
           Placement(transformation(
              extent={{-10,-10},{10,10}},
              rotation=180,
              origin={-60,-16})));
        Components.HeatTransfer.AirGap airGap_cold_B1(d_Air=0.00002)
          annotation (Placement(transformation(
              extent={{-10,-10},{10,10}},
              rotation=180,
              origin={-60,8})));
        Components.HeatTransfer.AirGap airGap_hot_B2(d_Air=0.00002) annotation (
           Placement(transformation(
              extent={{-10,-10},{10,10}},
              rotation=180,
              origin={-20,-16})));
        Components.HeatTransfer.AirGap airGap_cold_B2(d_Air=0.00002)
          annotation (Placement(transformation(
              extent={{-10,-10},{10,10}},
              rotation=180,
              origin={-20,8})));
        Components.HeatTransfer.AirGap airGap_hot_C1(d_Air=0.00002) annotation (
           Placement(transformation(
              extent={{-10,-10},{10,10}},
              rotation=180,
              origin={20,-16})));
        Components.HeatTransfer.AirGap airGap_cold_C1(d_Air=0.00002)
          annotation (Placement(transformation(
              extent={{-10,-10},{10,10}},
              rotation=180,
              origin={20,8})));
        Components.HeatTransfer.AirGap airGap_hot_C2(d_Air=0.00002) annotation (
           Placement(transformation(
              extent={{-10,-10},{10,10}},
              rotation=180,
              origin={60,-16})));
        Components.HeatTransfer.AirGap airGap_cold_C2(d_Air=0.00002)
          annotation (Placement(transformation(
              extent={{-10,-10},{10,10}},
              rotation=180,
              origin={60,8})));
        Components.HeatTransfer.AirGap airGap_hot_D1(d_Air=0.00002) annotation (
           Placement(transformation(
              extent={{-10,-10},{10,10}},
              rotation=180,
              origin={100,-16})));
        Components.HeatTransfer.AirGap airGap_cold_D1(d_Air=0.00002)
          annotation (Placement(transformation(
              extent={{-10,-10},{10,10}},
              rotation=180,
              origin={100,8})));
        Components.HeatTransfer.AirGap airGap_hot_D2(d_Air=0.00002) annotation (
           Placement(transformation(
              extent={{-10,-10},{10,10}},
              rotation=180,
              origin={140,-16})));
        Components.HeatTransfer.AirGap airGap_cold_D2(d_Air=0.00002)
          annotation (Placement(transformation(
              extent={{-10,-10},{10,10}},
              rotation=180,
              origin={140,8})));
        Components.Electrics.IdealMPPT
                                  mPPT
          annotation (Placement(transformation(extent={{156,-60},{176,-40}})));
        Components.ThermoelectricDevice.HiZ.HZ_9 hZ_9_A1
          annotation (Placement(transformation(extent={{-150,-14},{-130,6}})));
        Components.ThermoelectricDevice.HiZ.HZ_9 hZ_9_A2
          annotation (Placement(transformation(extent={{-110,-14},{-90,6}})));
        Components.ThermoelectricDevice.HiZ.HZ_9 hZ_9_B1
          annotation (Placement(transformation(extent={{-70,-14},{-50,6}})));
        Components.ThermoelectricDevice.HiZ.HZ_9 hZ_9_B2
          annotation (Placement(transformation(extent={{-30,-14},{-10,6}})));
        Components.ThermoelectricDevice.HiZ.HZ_9 hZ_9_C1
          annotation (Placement(transformation(extent={{10,-14},{30,6}})));
        Components.ThermoelectricDevice.HiZ.HZ_9 hZ_9_C2
          annotation (Placement(transformation(extent={{50,-14},{70,6}})));
        Components.ThermoelectricDevice.HiZ.HZ_9 hZ_9_D1
          annotation (Placement(transformation(extent={{90,-14},{110,6}})));
        Components.ThermoelectricDevice.HiZ.HZ_9 hZ_9_D2
          annotation (Placement(transformation(extent={{130,-14},{150,6}})));
      //*****************************************************************************/

      //equations********************************************************************/
      equation
        //****************************************************************************
        // MPPT (load matching)
        //****************************************************************************
          mPPT.R = ((R_A1*R_A2)/(R_A1+R_A2)) + ((R_B1*R_B2)/(R_B1+R_B2)) + ((R_C1*R_C2)/(R_C1+R_C2)) + ((R_D1*R_D2)/(R_D1+R_D2));
        //****************************************************************************

        P_consumed = cooling_element_controlled_A1.energy_consumption +cooling_element_controlled_A2.energy_consumption +cooling_element_controlled_B1.energy_consumption +cooling_element_controlled_B2.energy_consumption +cooling_element_controlled_C1.energy_consumption +cooling_element_controlled_C2.energy_consumption +cooling_element_controlled_D1.energy_consumption +cooling_element_controlled_D2.energy_consumption;

        P_prod = mPPT.electrical_Power;

        connect(hTP_cold_A2.port_b1, cooper_plate_cold_A2.port_a1) annotation (
            Line(
            points={{-100,21},{-100,25}},
            color={191,0,0},
            smooth=Smooth.None));
        connect(hTP_cold_B1.port_b1, cooper_plate_cold_B1.port_a1) annotation (
            Line(
            points={{-60,21},{-60,25}},
            color={191,0,0},
            smooth=Smooth.None));
        connect(hTP_cold_B2.port_b1, cooper_plate_cold_B2.port_a1) annotation (
            Line(
            points={{-20,21},{-20,25}},
            color={191,0,0},
            smooth=Smooth.None));
        connect(hTP_cold_C1.port_b1, cooper_plate_cold_C1.port_a1) annotation (
            Line(
            points={{20,21},{20,25}},
            color={191,0,0},
            smooth=Smooth.None));
        connect(hTP_cold_C2.port_b1, cooper_plate_cold_C2.port_a1) annotation (
            Line(
            points={{60,21},{60,25}},
            color={191,0,0},
            smooth=Smooth.None));
        connect(hTP_cold_D1.port_b1, cooper_plate_cold_D1.port_a1) annotation (
            Line(
            points={{100,21},{100,25}},
            color={191,0,0},
            smooth=Smooth.None));
        connect(hTP_cold_D2.port_b1, cooper_plate_cold_D2.port_a1) annotation (
            Line(
            points={{140,21},{140,25}},
            color={191,0,0},
            smooth=Smooth.None));
        connect(T_hot_side2.y[1], T_hot_2.T) annotation (Line(
            points={{-40,-69},{-40,-64}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(T_hot_side3.y[1], T_hot_3.T) annotation (Line(
            points={{40,-69},{40,-64}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(T_hot_side4_smooth.y[1], T_hot_4.T) annotation (Line(
            points={{120,-69},{120,-64}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(hTP_hot_A2.port_a1, cooper_plate_hot_A2.port_b1) annotation (
            Line(points={{-100,-29},{-100,-29},{-100,-33}}, color={191,0,0}));
        connect(hTP_hot_B1.port_a1, cooper_plate_hot_B1.port_b1) annotation (
            Line(points={{-60,-29},{-60,-29},{-60,-33}}, color={191,0,0}));
        connect(hTP_hot_B2.port_a1, cooper_plate_hot_B2.port_b1) annotation (
            Line(points={{-20,-29},{-20,-29},{-20,-33}}, color={191,0,0}));
        connect(hTP_hot_C1.port_a1, cooper_plate_hot_C1.port_b1) annotation (
            Line(points={{20,-29},{20,-29},{20,-33}}, color={191,0,0}));
        connect(hTP_hot_C2.port_a1, cooper_plate_hot_C2.port_b1) annotation (
            Line(points={{60,-29},{60,-29},{60,-33}}, color={191,0,0}));
        connect(hTP_hot_D1.port_a1, cooper_plate_hot_D1.port_b1) annotation (
            Line(points={{100,-29},{100,-29},{100,-33}}, color={191,0,0}));
        connect(hTP_hot_D2.port_a1, cooper_plate_hot_D2.port_b1)
          annotation (Line(points={{140,-29},{140,-33}}, color={191,0,0}));
        connect(cooper_plate_cold_A2.port_b1, hTP_cooling_A2.port_a1)
          annotation (Line(points={{-100,31},{-100,35}}, color={191,0,0}));
        connect(cooper_plate_cold_B1.port_b1, hTP_cooling_B1.port_a1)
          annotation (Line(points={{-60,31},{-60,36},{-60,35}}, color={191,0,0}));
        connect(cooper_plate_cold_B2.port_b1, hTP_cooling_B2.port_a1)
          annotation (Line(points={{-20,31},{-20,35}}, color={191,0,0}));
        connect(cooper_plate_cold_C1.port_b1, hTP_cooling_C1.port_a1)
          annotation (Line(points={{20,31},{20,35}}, color={191,0,0}));
        connect(cooper_plate_cold_C2.port_b1, hTP_cooling_C2.port_a1)
          annotation (Line(points={{60,31},{60,35}}, color={191,0,0}));
        connect(cooper_plate_cold_D1.port_b1, hTP_cooling_D1.port_a1)
          annotation (Line(points={{100,31},{100,35}}, color={191,0,0}));
        connect(cooper_plate_cold_D2.port_b1, hTP_cooling_D2.port_a1)
          annotation (Line(points={{140,31},{140,35}}, color={191,0,0}));
        connect(T_hot_1.T, T_hot_side1.y[1])
          annotation (Line(points={{-120,-64},{-120,-66},{-120,-69}},
                                                           color={0,0,127}));
        connect(clock.y, T_hot_side4_smooth.u[1]) annotation (Line(points={{
                -159,-80},{-150,-80},{-150,-98},{120,-98},{120,-92}}, color={0,
                0,127}));
        connect(T_hot_side3.u[1], clock.y) annotation (Line(points={{40,-92},{
                40,-98},{-150,-98},{-150,-80},{-159,-80}}, color={0,0,127}));
        connect(T_hot_side2.u[1], clock.y) annotation (Line(points={{-40,-92},{
                -40,-98},{-150,-98},{-150,-80},{-159,-80}}, color={0,0,127}));
        connect(T_hot_side1.u[1], clock.y) annotation (Line(points={{-120,-92},
                {-120,-98},{-150,-98},{-150,-80},{-159,-80}}, color={0,0,127}));
        connect(hTP_hot_A2.port_b1, airGap_hot_A2.port_a1)
          annotation (Line(points={{-100,-23},{-100,-19}}, color={191,0,0}));
        connect(airGap_cold_A2.port_b1, hTP_cold_A2.port_a1)
          annotation (Line(points={{-100,11},{-100,15}}, color={191,0,0}));
        connect(hTP_hot_B1.port_b1, airGap_hot_B1.port_a1)
          annotation (Line(points={{-60,-23},{-60,-19}}, color={191,0,0}));
        connect(hTP_cold_B1.port_a1, airGap_cold_B1.port_b1)
          annotation (Line(points={{-60,15},{-60,11}}, color={191,0,0}));
        connect(hTP_hot_B2.port_b1, airGap_hot_B2.port_a1)
          annotation (Line(points={{-20,-23},{-20,-19}}, color={191,0,0}));
        connect(hTP_cold_B2.port_a1, airGap_cold_B2.port_b1)
          annotation (Line(points={{-20,15},{-20,11}}, color={191,0,0}));
        connect(hTP_hot_C1.port_b1, airGap_hot_C1.port_a1)
          annotation (Line(points={{20,-23},{20,-19}}, color={191,0,0}));
        connect(hTP_cold_C1.port_a1, airGap_cold_C1.port_b1)
          annotation (Line(points={{20,15},{20,11}}, color={191,0,0}));
        connect(hTP_hot_C2.port_b1, airGap_hot_C2.port_a1) annotation (Line(
              points={{60,-23},{60,-19}},          color={191,0,0}));
        connect(airGap_cold_C2.port_b1, hTP_cold_C2.port_a1)
          annotation (Line(points={{60,11},{60,15}}, color={191,0,0}));
        connect(hTP_hot_D1.port_b1, airGap_hot_D1.port_a1) annotation (Line(
              points={{100,-23},{100,-23},{100,-19}}, color={191,0,0}));
        connect(hTP_cold_D1.port_a1, airGap_cold_D1.port_b1)
          annotation (Line(points={{100,15},{100,11}}, color={191,0,0}));
        connect(hTP_hot_D2.port_b1, airGap_hot_D2.port_a1)
          annotation (Line(points={{140,-23},{140,-19}}, color={191,0,0}));
        connect(hTP_cold_D2.port_a1, airGap_cold_D2.port_b1)
          annotation (Line(points={{140,15},{140,11}}, color={191,0,0}));
        connect(T_hot_side4_original.u[1], clock.y) annotation (Line(points={{-146,-73.2},
                {-146,-80},{-159,-80}},                        color={0,0,127}));
        connect(T_hot_side4_original.y[1], add2.u1) annotation (Line(points={{-146,-59.4},
                {-146,-55}},                        color={0,0,127}));
        connect(add2.u2, T_hot_3.T) annotation (Line(
            points={{-140,-55},{-140,-55},{-140,-60},{-136,-60},{-136,-64},{40,-64}},
            color={0,0,127},
            visible=false));
        connect(add1.u2, T_hot_2.T) annotation (Line(
            points={{-158,-55},{-158,-64},{-40,-64}},
            color={0,0,127},
            visible=false));
        connect(add1.u1, T_hot_1.T) annotation (Line(
            points={{-164,-55},{-164,-64},{-120,-64}},
            color={0,0,127},
            visible=false));
        connect(add.u1, add1.y) annotation (Line(points={{-176,-39},{-176,-43.5},
                {-161,-43.5}}, color={0,0,127}));
        connect(add.u2, add2.y) annotation (Line(points={{-170,-39},{-170,-42},
                {-143,-42},{-143,-43.5}}, color={0,0,127}));
        connect(division.u1, add.y) annotation (Line(points={{-174,19},{-174,-27.5},{-173,
                -27.5}},              color={0,0,127}));
        connect(division.u2, const.y) annotation (Line(points={{-168,19},{-168,14},{-161,
                14},{-161,10.5}},           color={0,0,127}));
        connect(division.y, add3.u1) annotation (Line(points={{-171,30.5},{-171,40.25},
                {-171.6,40.25},{-171.6,50.8}}, color={0,0,127}));
        connect(degC_to_K.y, add3.u2) annotation (Line(points={{-161,44.5},{-161,48},{
                -164.4,48},{-164.4,50.8}}, color={0,0,127}));
        connect(add3.y, cooling_element_controlled_A1.T_hot_TEG) annotation (Line(
              points={{-168,64.6},{-168,64.6},{-168,68},{-149.8,68}}, color={0,0,127}));
        connect(cooling_element_controlled_A2.T_hot_TEG,
          cooling_element_controlled_A1.T_hot_TEG) annotation (Line(
            points={{-109.8,68},{-109.8,68},{-149.8,68}},
            color={0,0,127},
            visible=false));
        connect(cooling_element_controlled_B1.T_hot_TEG,
          cooling_element_controlled_A2.T_hot_TEG) annotation (Line(
            points={{-69.8,68},{-109.8,68}},
            color={0,0,127},
            visible=false));
        connect(cooling_element_controlled_B2.T_hot_TEG,
          cooling_element_controlled_A2.T_hot_TEG) annotation (Line(
            points={{-29.8,68},{-109.8,68}},
            color={0,0,127},
            visible=false));
        connect(cooling_element_controlled_C1.T_hot_TEG,
          cooling_element_controlled_A2.T_hot_TEG) annotation (Line(
            points={{10.2,68},{-109.8,68}},
            color={0,0,127},
            visible=false));
        connect(cooling_element_controlled_C2.T_hot_TEG,
          cooling_element_controlled_A2.T_hot_TEG) annotation (Line(
            points={{50.2,68},{-109.8,68}},
            color={0,0,127},
            visible=false));
        connect(cooling_element_controlled_D1.T_hot_TEG,
          cooling_element_controlled_A2.T_hot_TEG) annotation (Line(
            points={{90.2,68},{-109.8,68}},
            color={0,0,127},
            visible=false));
        connect(cooling_element_controlled_D2.T_hot_TEG,
          cooling_element_controlled_A2.T_hot_TEG) annotation (Line(
            points={{130.2,68},{-109.8,68}},
            color={0,0,127},
            visible=false));
        connect(mPPT.electrical_Power, energy.u) annotation (Line(points={{166,-55},{166,
                -59.5},{166,-64}}, color={0,0,127}));
        connect(cooper_plate_hot_A2.port_a1, T_hot_1.port) annotation (Line(
              points={{-100,-39},{-120,-39},{-120,-42}}, color={191,0,0}));
        connect(cooper_plate_hot_A1.port_a1, T_hot_1.port) annotation (Line(
              points={{-140,-39},{-120,-39},{-120,-42}}, color={191,0,0}));
        connect(cooper_plate_hot_B1.port_a1, T_hot_2.port) annotation (Line(
              points={{-60,-39},{-40,-39},{-40,-42}}, color={191,0,0}));
        connect(cooper_plate_hot_B2.port_a1, T_hot_2.port) annotation (Line(
              points={{-20,-39},{-40,-39},{-40,-42}}, color={191,0,0}));
        connect(cooper_plate_hot_C1.port_a1, T_hot_3.port) annotation (Line(
              points={{20,-39},{40,-39},{40,-42}}, color={191,0,0}));
        connect(cooper_plate_hot_C2.port_a1, T_hot_3.port) annotation (Line(
              points={{60,-39},{40,-39},{40,-42}}, color={191,0,0}));
        connect(cooper_plate_hot_D1.port_a1, T_hot_4.port) annotation (Line(
              points={{100,-39},{120,-39},{120,-42}}, color={191,0,0}));
        connect(cooper_plate_hot_D2.port_a1, T_hot_4.port) annotation (Line(
              points={{140,-39},{120,-39},{120,-42}}, color={191,0,0}));
        connect(cooling_element_controlled_A2.port1, airGap_cooling_A2.port_b1)
          annotation (Line(points={{-100,55},{-100,55},{-100,51}}, color={191,0,
                0}));
        connect(hTP_cooling_A2.port_b1, airGap_cooling_A2.port_a1) annotation (
            Line(points={{-100,41},{-100,41},{-100,45}}, color={191,0,0}));
        connect(cooling_element_controlled_B1.port1, airGap_cooling_B1.port_b1)
          annotation (Line(points={{-60,55},{-60,55},{-60,51}}, color={191,0,0}));
        connect(hTP_cooling_B1.port_b1, airGap_cooling_B1.port_a1)
          annotation (Line(points={{-60,41},{-60,45}}, color={191,0,0}));
        connect(cooling_element_controlled_B2.port1, airGap_cooling_B2.port_b1)
          annotation (Line(points={{-20,55},{-20,54},{-20,54},{-20,51}},
                                                       color={191,0,0}));
        connect(hTP_cooling_B2.port_b1, airGap_cooling_B2.port_a1)
          annotation (Line(points={{-20,41},{-20,45}}, color={191,0,0}));
        connect(cooling_element_controlled_C1.port1, airGap_cooling_C1.port_b1)
          annotation (Line(points={{20,55},{20,55},{20,51}}, color={191,0,0}));
        connect(hTP_cooling_C1.port_b1, airGap_cooling_C1.port_a1)
          annotation (Line(points={{20,41},{20,41},{20,45}}, color={191,0,0}));
        connect(cooling_element_controlled_C2.port1, airGap_cooling_C2.port_b1)
          annotation (Line(points={{60,55},{60,54},{60,54},{60,51}},
                                                     color={191,0,0}));
        connect(hTP_cooling_C2.port_b1, airGap_cooling_C2.port_a1)
          annotation (Line(points={{60,41},{60,45}}, color={191,0,0}));
        connect(hTP_cooling_D1.port_b1, airGap_cooling_D1.port_a1) annotation (
            Line(points={{100,41},{100,41},{100,45}}, color={191,0,0}));
        connect(cooling_element_controlled_D1.port1, airGap_cooling_D1.port_b1)
          annotation (Line(points={{100,55},{100,55},{100,51}}, color={191,0,0}));
        connect(cooling_element_controlled_D2.port1, airGap_cooling_D2.port_b1)
          annotation (Line(points={{140,55},{140,54},{140,54},{140,51}},
                                                       color={191,0,0}));
        connect(hTP_cooling_D2.port_b1, airGap_cooling_D2.port_a1)
          annotation (Line(points={{140,41},{140,45}}, color={191,0,0}));
        connect(airGap_hot_A1.port_b1, hZ_9_A1.port_a1) annotation (Line(points={{-140,
                -13},{-140,-9}},            color={191,0,0}));
        connect(airGap_cold_A1.port_a1, hZ_9_A1.port_b1)
          annotation (Line(points={{-140,5},{-140,1}},          color={191,0,0}));
        connect(airGap_hot_A2.port_b1, hZ_9_A2.port_a1) annotation (Line(points={{-100,
                -13},{-100,-13},{-100,-9}}, color={191,0,0}));
        connect(airGap_cold_A2.port_a1, hZ_9_A2.port_b1)
          annotation (Line(points={{-100,5},{-100,5},{-100,1}}, color={191,0,0}));
        connect(airGap_hot_B1.port_b1, hZ_9_B1.port_a1)
          annotation (Line(points={{-60,-13},{-60,-13},{-60,-9}}, color={191,0,0}));
        connect(airGap_cold_B1.port_a1, hZ_9_B1.port_b1)
          annotation (Line(points={{-60,5},{-60,5},{-60,1}}, color={191,0,0}));
        connect(airGap_hot_B2.port_b1, hZ_9_B2.port_a1)
          annotation (Line(points={{-20,-13},{-20,-13},{-20,-9}}, color={191,0,0}));
        connect(airGap_cold_B2.port_a1, hZ_9_B2.port_b1)
          annotation (Line(points={{-20,5},{-20,5},{-20,1}}, color={191,0,0}));
        connect(airGap_hot_C1.port_b1, hZ_9_C1.port_a1)
          annotation (Line(points={{20,-13},{20,-9}}, color={191,0,0}));
        connect(airGap_cold_C1.port_a1, hZ_9_C1.port_b1)
          annotation (Line(points={{20,5},{20,1}}, color={191,0,0}));
        connect(airGap_hot_C2.port_b1, hZ_9_C2.port_a1)
          annotation (Line(points={{60,-13},{60,-13},{60,-9}}, color={191,0,0}));
        connect(airGap_cold_C2.port_a1, hZ_9_C2.port_b1)
          annotation (Line(points={{60,5},{60,5},{60,1}}, color={191,0,0}));
        connect(airGap_hot_D1.port_b1, hZ_9_D1.port_a1)
          annotation (Line(points={{100,-13},{100,-13},{100,-9}}, color={191,0,0}));
        connect(airGap_cold_D1.port_a1, hZ_9_D1.port_b1)
          annotation (Line(points={{100,5},{100,1}}, color={191,0,0}));
        connect(airGap_hot_D2.port_b1, hZ_9_D2.port_a1)
          annotation (Line(points={{140,-13},{140,-13},{140,-9}}, color={191,0,0}));
        connect(airGap_cold_D2.port_a1, hZ_9_D2.port_b1)
          annotation (Line(points={{140,5},{140,5},{140,1}}, color={191,0,0}));
        connect(airGap_cooling_A1.port_b1, cooling_element_controlled_A1.port1)
          annotation (Line(points={{-140,51},{-140,54},{-140,55},{-140,55}},
                                                         color={191,0,0}));
        connect(airGap_cooling_A1.port_a1, hTP_cooling_A1.port_b1)
          annotation (Line(points={{-140,45},{-140,41}}, color={191,0,0}));
        connect(hTP_cooling_A1.port_a1, cooper_plate_cold_A1.port_b1)
          annotation (Line(points={{-140,35},{-140,31}}, color={191,0,0}));
        connect(cooper_plate_cold_A1.port_a1, hTP_cold_A1.port_b1)
          annotation (Line(points={{-140,25},{-140,21}}, color={191,0,0}));
        connect(airGap_cold_A1.port_b1, hTP_cold_A1.port_a1)
          annotation (Line(points={{-140,11},{-140,15}}, color={191,0,0}));
        connect(airGap_hot_A1.port_a1, hTP_hot_A1.port_b1)
          annotation (Line(points={{-140,-19},{-140,-23}}, color={191,0,0}));
        connect(hTP_hot_A1.port_a1, cooper_plate_hot_A1.port_b1)
          annotation (Line(points={{-140,-29},{-140,-33}}, color={191,0,0}));
        connect(hZ_9_A1.pin_n1, hZ_9_A2.pin_n1) annotation (Line(points={{-149,
                -4},{-156,-4},{-156,-20},{-116,-20},{-116,-4},{-109,-4}}, color=
               {0,0,255}));
        connect(hZ_9_B1.pin_n1, hZ_9_B2.pin_n1) annotation (Line(points={{-69,
                -4},{-76,-4},{-76,-20},{-36,-20},{-36,-4},{-29,-4}}, color={0,0,
                255}));
        connect(hZ_9_C1.pin_n1, hZ_9_C2.pin_n1) annotation (Line(points={{11,-4},
                {4,-4},{4,-20},{44,-20},{44,-4},{51,-4}}, color={0,0,255}));
        connect(hZ_9_D1.pin_n1, hZ_9_D2.pin_n1) annotation (Line(points={{91,-4},
                {84,-4},{84,-20},{124,-20},{124,-4},{131,-4}}, color={0,0,255}));
        connect(hZ_9_A1.pin_p1, hZ_9_A2.pin_p1) annotation (Line(points={{-131,
                -4},{-124,-4},{-124,12},{-84,12},{-84,-4},{-91,-4}}, color={0,0,
                255}));
        connect(hZ_9_B1.pin_p1, hZ_9_B2.pin_p1) annotation (Line(points={{-51,
                -4},{-44,-4},{-44,12},{-4,12},{-4,-4},{-11,-4}}, color={0,0,255}));
        connect(hZ_9_C1.pin_p1, hZ_9_C2.pin_p1) annotation (Line(points={{29,-4},
                {36,-4},{36,12},{76,12},{76,-4},{69,-4}}, color={0,0,255}));
        connect(hZ_9_D1.pin_p1, hZ_9_D2.pin_p1) annotation (Line(points={{109,
                -4},{116,-4},{116,12},{156,12},{156,-4},{149,-4}}, color={0,0,
                255}));
        connect(hZ_9_D2.pin_p1, mPPT.n1) annotation (Line(points={{149,-4},{176,
                -4},{176,-50}}, color={0,0,255}));
        connect(hZ_9_C2.pin_p1, hZ_9_D1.pin_n1)
          annotation (Line(points={{69,-4},{91,-4},{91,-4}}, color={0,0,255}));
        connect(hZ_9_B2.pin_p1, hZ_9_C1.pin_n1) annotation (Line(points={{-11,
                -4},{11,-4},{11,-4}}, color={0,0,255}));
        connect(hZ_9_A2.pin_p1, hZ_9_B1.pin_n1) annotation (Line(points={{-91,
                -4},{-69,-4},{-69,-4}}, color={0,0,255}));
        connect(hZ_9_A1.pin_n1, mPPT.p1) annotation (Line(points={{-149,-4},{
                -164,-4},{-164,-32},{156,-32},{156,-50}}, color={0,0,255}));
      //*****************************************************************************/

      annotation (Documentation(info="<html>
   <p>
**************************************************************************** <br>
  <b> Copyright (C) 2015-2017 Chair of Automation and Energy Systems, Saarland University </b> <br>
------------------------------------------------------------------------------------------------------------------ <br>
  This file is part of EHSTEG. <p>                    
  
  For more information see <a href=\"//EHSTEG.UsersGuide\">User's Guide</a> <p>
  
**************************************************************************** <p>
</html>
"),                 Diagram(coordinateSystem(extent={{-180,-100},{180,100}},
                preserveAspectRatio=false)),           Icon(coordinateSystem(extent={{
                  -180,-100},{180,100}})),
          experiment(StopTime=6840),
          __Dymola_experimentSetupOutput);
      end GreenBarbecue;
    annotation (Documentation(info="<html>
   <p>
**************************************************************************** <br>
  <b> Copyright (C) 2015-2017 Chair of Automation and Energy Systems, Saarland University </b> <br>
------------------------------------------------------------------------------------------------------------------ <br>
  This file is part of EHSTEG. <p>                    
  
  For more information see <a href=\"//EHSTEG.UsersGuide\">User's Guide</a> <p>
  
**************************************************************************** <p>
</html>
"));
    end GreenBarbecue;

    package HeatingMockup
      "setup of an Energy Harvesting System at the Chair of Automation and Energy Systems"

      //Copyright (C) 2015-2017 Chair of Automation and Energy Systems, Saarland University (for more information see 'Documentation')

      model Real_20_80_heating_behavior
        "Database 2016-11-15 08:42:00 bis 2016-11-15 10:22:00 - heating mockup, developed and assembled at the Chair of Automation and Energy Systems"

         //Copyright (C) 2015-2017 Chair of Automation and Energy Systems, Saarland University (for more information see 'Documentation')

      //variable definition**********************************************************/
        Modelica.SIunits.Resistance R_A1 = gM250_127_14_10_A1.tEG_Module.inner_TEG.R; // Ohm
        Modelica.SIunits.Resistance R_A2 = gM250_127_14_10_A2.tEG_Module.inner_TEG.R; // Ohm
        Modelica.SIunits.Resistance R_A3 = gM250_127_14_10_A3.tEG_Module.inner_TEG.R; // Ohm
        Modelica.SIunits.Resistance R_A4 = gM250_127_14_10_A4.tEG_Module.inner_TEG.R; // Ohm

        Modelica.SIunits.Resistance R_B1 = gM250_127_14_10_B1.tEG_Module.inner_TEG.R; // Ohm
        Modelica.SIunits.Resistance R_B2 = gM250_127_14_10_B2.tEG_Module.inner_TEG.R; // Ohm
        Modelica.SIunits.Resistance R_B3 = gM250_127_14_10_B3.tEG_Module.inner_TEG.R; // Ohm
        Modelica.SIunits.Resistance R_B4 = gM250_127_14_10_B4.tEG_Module.inner_TEG.R; // Ohm

        Modelica.SIunits.Resistance R_C1 = tEC1_12706_C1.tEG_Module.inner_TEG.R; // Ohm
        Modelica.SIunits.Resistance R_C2 = tEC1_12706_C2.tEG_Module.inner_TEG.R; // Ohm
        Modelica.SIunits.Resistance R_C3 = tEC1_12706_C3.tEG_Module.inner_TEG.R; // Ohm
        Modelica.SIunits.Resistance R_C4 = tEC1_12706_C4.tEG_Module.inner_TEG.R; // Ohm

        Modelica.SIunits.Resistance R_D1 = tEC1_12706_D1.tEG_Module.inner_TEG.R; // Ohm
        Modelica.SIunits.Resistance R_D2 = tEC1_12706_D2.tEG_Module.inner_TEG.R; // Ohm
        Modelica.SIunits.Resistance R_D3 = tEC1_12706_D3.tEG_Module.inner_TEG.R; // Ohm
        Modelica.SIunits.Resistance R_D4 = tEC1_12706_D4.tEG_Module.inner_TEG.R; // Ohm

        Modelica.SIunits.Resistance R_A; // Ohm
        Modelica.SIunits.Resistance R_B; // Ohm
        Modelica.SIunits.Resistance R_C; // Ohm
        Modelica.SIunits.Resistance R_D; // Ohm
      //*****************************************************************************/

      //used components**************************************************************/
        Components.HeatSource.HotwindSystem hotwindSystem
          annotation (Placement(transformation(extent={{-180,-10},{-160,10}})));
        Components.ThermoelectricDevice.EuropeanThermodynamics.GM250_127_14_10
          gM250_127_14_10_A1
          annotation (Placement(transformation(extent={{-140,32},{-120,52}})));
        Components.ThermoelectricDevice.EuropeanThermodynamics.GM250_127_14_10
          gM250_127_14_10_A2
          annotation (Placement(transformation(extent={{-110,32},{-90,52}})));
        Components.ThermoelectricDevice.EuropeanThermodynamics.GM250_127_14_10
          gM250_127_14_10_A3 annotation (Placement(transformation(
              extent={{10,-10},{-10,10}},
              rotation=180,
              origin={-130,-42})));
        Components.ThermoelectricDevice.EuropeanThermodynamics.GM250_127_14_10
          gM250_127_14_10_A4 annotation (Placement(transformation(
              extent={{10,-10},{-10,10}},
              rotation=180,
              origin={-100,-42})));
        Components.ThermoelectricDevice.EuropeanThermodynamics.GM250_127_14_10
          gM250_127_14_10_B1
          annotation (Placement(transformation(extent={{-70,32},{-50,52}})));
        Components.ThermoelectricDevice.EuropeanThermodynamics.GM250_127_14_10
          gM250_127_14_10_B2
          annotation (Placement(transformation(extent={{-40,32},{-20,52}})));
        Components.ThermoelectricDevice.EuropeanThermodynamics.GM250_127_14_10
          gM250_127_14_10_B3 annotation (Placement(transformation(
              extent={{10,-10},{-10,10}},
              rotation=180,
              origin={-60,-42})));
        Components.ThermoelectricDevice.EuropeanThermodynamics.GM250_127_14_10
          gM250_127_14_10_B4 annotation (Placement(transformation(
              extent={{10,-10},{-10,10}},
              rotation=180,
              origin={-30,-42})));
        Components.ThermoelectricDevice.HebeiIT.TEC1_12706 tEC1_12706_C1
          annotation (Placement(transformation(extent={{0,32},{20,52}})));
        Components.ThermoelectricDevice.HebeiIT.TEC1_12706 tEC1_12706_C2
          annotation (Placement(transformation(extent={{30,32},{50,52}})));
        Components.ThermoelectricDevice.HebeiIT.TEC1_12706 tEC1_12706_C3
          annotation (Placement(transformation(
              extent={{10,-10},{-10,10}},
              rotation=180,
              origin={10,-42})));
        Components.ThermoelectricDevice.HebeiIT.TEC1_12706 tEC1_12706_C4
          annotation (Placement(transformation(
              extent={{10,-10},{-10,10}},
              rotation=180,
              origin={40,-42})));
        Components.ThermoelectricDevice.HebeiIT.TEC1_12706 tEC1_12706_D1
          annotation (Placement(transformation(extent={{70,32},{90,52}})));
        Components.ThermoelectricDevice.HebeiIT.TEC1_12706 tEC1_12706_D2
          annotation (Placement(transformation(extent={{100,32},{120,52}})));
        Components.ThermoelectricDevice.HebeiIT.TEC1_12706 tEC1_12706_D3
          annotation (Placement(transformation(
              extent={{10,-10},{-10,10}},
              rotation=180,
              origin={80,-42})));
        Components.ThermoelectricDevice.HebeiIT.TEC1_12706 tEC1_12706_D4
          annotation (Placement(transformation(
              extent={{10,-10},{-10,10}},
              rotation=180,
              origin={110,-42})));
        Components.HeatTransfer.HTP hTP_A1 annotation (Placement(transformation(
              extent={{-10,-10},{10,10}},
              rotation=180,
              origin={-130,20})));
        Components.HeatTransfer.HTP hTP_A2 annotation (Placement(transformation(
              extent={{-10,-10},{10,10}},
              rotation=180,
              origin={-100,20})));
        Components.HeatTransfer.HTP hTP_A3 annotation (Placement(transformation(
              extent={{-10,-10},{10,10}},
              rotation=0,
              origin={-130,-20})));
        Components.HeatTransfer.HTP hTP_A4 annotation (Placement(transformation(
              extent={{-10,-10},{10,10}},
              rotation=0,
              origin={-100,-20})));
        Components.HeatTransfer.HTP hTP_B1 annotation (Placement(transformation(
              extent={{-10,-10},{10,10}},
              rotation=180,
              origin={-60,20})));
        Components.HeatTransfer.HTP hTP_B2 annotation (Placement(transformation(
              extent={{-10,-10},{10,10}},
              rotation=180,
              origin={-30,20})));
        Components.HeatTransfer.HTP hTP_B3 annotation (Placement(transformation(
              extent={{-10,-10},{10,10}},
              rotation=0,
              origin={-60,-20})));
        Components.HeatTransfer.HTP hTP_B4 annotation (Placement(transformation(
              extent={{-10,-10},{10,10}},
              rotation=0,
              origin={-30,-20})));
        Components.HeatTransfer.HTP hTP_C1 annotation (Placement(transformation(
              extent={{-10,-10},{10,10}},
              rotation=180,
              origin={10,20})));
        Components.HeatTransfer.HTP hTP_C2 annotation (Placement(transformation(
              extent={{-10,-10},{10,10}},
              rotation=180,
              origin={40,20})));
        Components.HeatTransfer.HTP hTP_C3
          annotation (Placement(transformation(extent={{0,-30},{20,-10}})));
        Components.HeatTransfer.HTP hTP_C4 annotation (Placement(transformation(
              extent={{-10,-10},{10,10}},
              rotation=0,
              origin={40,-20})));
        Components.HeatTransfer.HTP hTP_D1 annotation (Placement(transformation(
              extent={{-10,-10},{10,10}},
              rotation=180,
              origin={80,20})));
        Components.HeatTransfer.HTP hTP_D2 annotation (Placement(transformation(
              extent={{-10,-10},{10,10}},
              rotation=180,
              origin={110,20})));
        Components.HeatTransfer.HTP hTP_D3
          annotation (Placement(transformation(extent={{70,-30},{90,-10}})));
        Components.HeatTransfer.HTP hTP_D4
          annotation (Placement(transformation(extent={{100,-30},{120,-10}})));
        Components.HeatTransfer.AirGap airGap_A1 annotation (Placement(transformation(
              extent={{-10,-10},{10,10}},
              rotation=180,
              origin={-130,30})));
        Components.HeatTransfer.AirGap airGap_A2 annotation (Placement(transformation(
              extent={{-10,-10},{10,10}},
              rotation=180,
              origin={-100,30})));
        Components.HeatTransfer.AirGap airGap_A3
          annotation (Placement(transformation(extent={{-140,-40},{-120,-20}})));
        Components.HeatTransfer.AirGap airGap_A4
          annotation (Placement(transformation(extent={{-110,-40},{-90,-20}})));
        Components.HeatTransfer.SegmentCoolingAggregate
          segmentCoolingAggregate_A
          annotation (Placement(transformation(extent={{-124,-10},{-104,10}})));
        Components.HeatTransfer.AirGap airGap_B1 annotation (Placement(transformation(
              extent={{-10,-10},{10,10}},
              rotation=180,
              origin={-60,30})));
        Components.HeatTransfer.AirGap airGap_B2 annotation (Placement(transformation(
              extent={{-10,-10},{10,10}},
              rotation=180,
              origin={-30,30})));
        Components.HeatTransfer.AirGap airGap_B3
          annotation (Placement(transformation(extent={{-70,-40},{-50,-20}})));
        Components.HeatTransfer.AirGap airGap_B4
          annotation (Placement(transformation(extent={{-40,-40},{-20,-20}})));
        Components.HeatTransfer.SegmentCoolingAggregate segmentCoolingAggregate(
            R_seg=2)
          annotation (Placement(transformation(extent={{-54,-10},{-34,10}})));
        Components.HeatTransfer.AirGap airGap_C1 annotation (Placement(transformation(
              extent={{-10,-10},{10,10}},
              rotation=180,
              origin={10,30})));
        Components.HeatTransfer.AirGap airGap_C2 annotation (Placement(transformation(
              extent={{-10,-10},{10,10}},
              rotation=180,
              origin={40,30})));
        Components.HeatTransfer.AirGap airGap_C3
          annotation (Placement(transformation(extent={{0,-40},{20,-20}})));
        Components.HeatTransfer.AirGap airGap_C4
          annotation (Placement(transformation(extent={{30,-40},{50,-20}})));
        Components.HeatTransfer.SegmentCoolingAggregate
          segmentCoolingAggregate1(R_seg=2.75)
          annotation (Placement(transformation(extent={{16,-10},{36,10}})));
        Components.HeatTransfer.AirGap airGap_D1 annotation (Placement(transformation(
              extent={{-10,-10},{10,10}},
              rotation=180,
              origin={80,30})));
        Components.HeatTransfer.AirGap airGap_D2 annotation (Placement(transformation(
              extent={{-10,-10},{10,10}},
              rotation=180,
              origin={110,30})));
        Components.HeatTransfer.AirGap airGap_D3
          annotation (Placement(transformation(extent={{70,-40},{90,-20}})));
        Components.HeatTransfer.AirGap airGap_D4
          annotation (Placement(transformation(extent={{100,-40},{120,-20}})));
        Components.HeatTransfer.SegmentCoolingAggregate
          segmentCoolingAggregate2(R_seg=4)
          annotation (Placement(transformation(extent={{86,-10},{106,10}})));
        Components.CoolingElement.Passive.CPUCoolerWithoutFan cPUCoolerWithoutFan_B1(
            A_equivalent=0.215)
          annotation (Placement(transformation(extent={{-70,70},{-50,90}})));
        Components.CoolingElement.Passive.CPUCoolerWithoutFan cPUCoolerWithoutFan_B2(
            A_equivalent=0.215)
          annotation (Placement(transformation(extent={{-40,70},{-20,90}})));
        Components.CoolingElement.Passive.CPUCoolerWithoutFan cPUCoolerWithoutFan_B3(
            A_equivalent=0.215)
          annotation (Placement(transformation(
              extent={{-10,-10},{10,10}},
              rotation=180,
              origin={-60,-80})));
        Components.CoolingElement.Passive.CPUCoolerWithoutFan cPUCoolerWithoutFan_B4(
            A_equivalent=0.215)
          annotation (Placement(transformation(
              extent={{-10,-10},{10,10}},
              rotation=180,
              origin={-30,-80})));
        Components.CoolingElement.Passive.CPUCoolerWithoutFan cPUCoolerWithoutFan_C1(
            A_equivalent=0.215)
          annotation (Placement(transformation(extent={{0,70},{20,90}})));
        Components.CoolingElement.Passive.CPUCoolerWithoutFan cPUCoolerWithoutFan_C2(
            A_equivalent=0.215)
          annotation (Placement(transformation(extent={{30,70},{50,90}})));
        Components.CoolingElement.Passive.CPUCoolerWithoutFan cPUCoolerWithoutFan_C3(
            A_equivalent=0.215)
          annotation (Placement(transformation(
              extent={{-10,-10},{10,10}},
              rotation=180,
              origin={10,-80})));
        Components.CoolingElement.Passive.CPUCoolerWithoutFan cPUCoolerWithoutFan_C4(
            A_equivalent=0.215)
          annotation (Placement(transformation(
              extent={{-10,-10},{10,10}},
              rotation=180,
              origin={40,-80})));
        Components.CoolingElement.Active.ForcedAir.CPUCooler cPUCooler_A1(
            A_equivalent=0.215)
          annotation (Placement(transformation(extent={{-140,70},{-120,90}})));
        Components.CoolingElement.Active.ForcedAir.CPUCooler cPUCooler_A2(
            A_equivalent=0.215)
          annotation (Placement(transformation(extent={{-110,70},{-90,90}})));
        Components.CoolingElement.Active.ForcedAir.CPUCooler cPUCooler_A3(
            A_equivalent=0.215)                                           annotation (
           Placement(transformation(
              extent={{-10,-10},{10,10}},
              rotation=180,
              origin={-130,-80})));
        Components.CoolingElement.Active.ForcedAir.CPUCooler cPUCooler_A4(
            A_equivalent=0.215)                                           annotation (
           Placement(transformation(
              extent={{-10,-10},{10,10}},
              rotation=180,
              origin={-100,-80})));
        Components.CoolingElement.Active.ForcedAir.CPUCooler cPUCooler_D1(
            A_equivalent=0.215)
          annotation (Placement(transformation(extent={{70,70},{90,90}})));
        Components.CoolingElement.Active.ForcedAir.CPUCooler cPUCooler_D2(
            A_equivalent=0.215)
          annotation (Placement(transformation(extent={{100,70},{120,90}})));
        Components.CoolingElement.Active.ForcedAir.CPUCooler cPUCooler_D3(
            A_equivalent=0.215)                                           annotation (
           Placement(transformation(
              extent={{-10,-10},{10,10}},
              rotation=180,
              origin={80,-80})));
        Components.CoolingElement.Active.ForcedAir.CPUCooler cPUCooler_D4(
            A_equivalent=0.215)                                           annotation (
           Placement(transformation(
              extent={{-10,-10},{10,10}},
              rotation=180,
              origin={110,-80})));
        Components.Miscellaneous.Chimney chimney
          annotation (Placement(transformation(extent={{116,-4},{156,36}})));
        Components.Electrics.IdealMPPT idealMPPT1
          annotation (Placement(transformation(extent={{-90,-110},{-70,-90}})));
        Modelica.Blocks.Sources.Constant DutyCycle2(k=0)
          annotation (Placement(transformation(extent={{-180,94},{-160,114}})));
        inner Modelica.Fluid.System system
          annotation (Placement(transformation(extent={{-180,-100},{-160,-80}})));
        Components.HeatTransfer.AirGap airGap_A5 annotation (Placement(transformation(
              extent={{-10,-10},{10,10}},
              rotation=180,
              origin={-130,54})));
        Components.HeatTransfer.HTP hTP_A5 annotation (Placement(transformation(
              extent={{-10,-10},{10,10}},
              rotation=180,
              origin={-130,64})));
        Components.HeatTransfer.HTP hTP_A6 annotation (Placement(transformation(
              extent={{-10,-10},{10,10}},
              rotation=180,
              origin={-100,64})));
        Components.HeatTransfer.AirGap airGap_A6 annotation (Placement(transformation(
              extent={{-10,-10},{10,10}},
              rotation=180,
              origin={-100,54})));
        Components.HeatTransfer.HTP hTP_A7 annotation (Placement(transformation(
              extent={{-10,-10},{10,10}},
              rotation=0,
              origin={-130,-64})));
        Components.HeatTransfer.AirGap airGap_A7 annotation (Placement(transformation(
              extent={{-10,-10},{10,10}},
              rotation=0,
              origin={-130,-54})));
        Components.HeatTransfer.HTP hTP_A8 annotation (Placement(transformation(
              extent={{-10,-10},{10,10}},
              rotation=0,
              origin={-100,-64})));
        Components.HeatTransfer.AirGap airGap_A8 annotation (Placement(transformation(
              extent={{-10,-10},{10,10}},
              rotation=0,
              origin={-100,-54})));
        Components.HeatTransfer.HTP hTP_B5 annotation (Placement(transformation(
              extent={{-10,-10},{10,10}},
              rotation=180,
              origin={-60,64})));
        Components.HeatTransfer.AirGap airGap_B5 annotation (Placement(transformation(
              extent={{-10,-10},{10,10}},
              rotation=180,
              origin={-60,54})));
        Components.HeatTransfer.HTP hTP_B6 annotation (Placement(transformation(
              extent={{-10,-10},{10,10}},
              rotation=180,
              origin={-30,64})));
        Components.HeatTransfer.AirGap airGap_B6 annotation (Placement(transformation(
              extent={{-10,-10},{10,10}},
              rotation=180,
              origin={-30,54})));
        Components.HeatTransfer.HTP hTP_B7 annotation (Placement(transformation(
              extent={{-10,-10},{10,10}},
              rotation=0,
              origin={-60,-64})));
        Components.HeatTransfer.AirGap airGap_B7 annotation (Placement(transformation(
              extent={{-10,-10},{10,10}},
              rotation=0,
              origin={-60,-54})));
        Components.HeatTransfer.HTP hTP_B8 annotation (Placement(transformation(
              extent={{-10,-10},{10,10}},
              rotation=0,
              origin={-30,-64})));
        Components.HeatTransfer.AirGap airGap_B8 annotation (Placement(transformation(
              extent={{-10,-10},{10,10}},
              rotation=0,
              origin={-30,-54})));
        Components.HeatTransfer.AirGap airGap_C5 annotation (Placement(transformation(
              extent={{-10,-10},{10,10}},
              rotation=180,
              origin={10,54})));
        Components.HeatTransfer.HTP hTP_C5 annotation (Placement(transformation(
              extent={{-10,-10},{10,10}},
              rotation=180,
              origin={10,64})));
        Components.HeatTransfer.AirGap airGap_C6 annotation (Placement(transformation(
              extent={{-10,-10},{10,10}},
              rotation=180,
              origin={40,54})));
        Components.HeatTransfer.HTP hTP_C6 annotation (Placement(transformation(
              extent={{-10,-10},{10,10}},
              rotation=180,
              origin={40,64})));
        Components.HeatTransfer.AirGap airGap_C7 annotation (Placement(transformation(
              extent={{-10,-10},{10,10}},
              rotation=0,
              origin={10,-54})));
        Components.HeatTransfer.HTP hTP_C7 annotation (Placement(transformation(
              extent={{-10,-10},{10,10}},
              rotation=0,
              origin={10,-64})));
        Components.HeatTransfer.AirGap airGap_C8 annotation (Placement(transformation(
              extent={{-10,-10},{10,10}},
              rotation=0,
              origin={40,-54})));
        Components.HeatTransfer.HTP hTP_C8 annotation (Placement(transformation(
              extent={{-10,-10},{10,10}},
              rotation=0,
              origin={40,-64})));
        Components.HeatTransfer.AirGap airGap_D5 annotation (Placement(transformation(
              extent={{-10,-10},{10,10}},
              rotation=180,
              origin={80,54})));
        Components.HeatTransfer.HTP hTP_D5 annotation (Placement(transformation(
              extent={{-10,-10},{10,10}},
              rotation=180,
              origin={80,64})));
        Components.HeatTransfer.AirGap airGap_D6 annotation (Placement(transformation(
              extent={{-10,-10},{10,10}},
              rotation=180,
              origin={110,54})));
        Components.HeatTransfer.HTP hTP_D6 annotation (Placement(transformation(
              extent={{-10,-10},{10,10}},
              rotation=180,
              origin={110,64})));
        Components.HeatTransfer.AirGap airGap_D7 annotation (Placement(transformation(
              extent={{-10,-10},{10,10}},
              rotation=0,
              origin={80,-54})));
        Components.HeatTransfer.HTP hTP_D7 annotation (Placement(transformation(
              extent={{-10,-10},{10,10}},
              rotation=0,
              origin={80,-64})));
        Components.HeatTransfer.AirGap airGap_D8 annotation (Placement(transformation(
              extent={{-10,-10},{10,10}},
              rotation=0,
              origin={110,-54})));
        Components.HeatTransfer.HTP hTP_D8 annotation (Placement(transformation(
              extent={{-10,-10},{10,10}},
              rotation=0,
              origin={110,-64})));
        Components.Electrics.IdealMPPT idealMPPT2
          annotation (Placement(transformation(extent={{50,-110},{70,-90}})));
        Modelica.Blocks.Continuous.Integrator energy annotation (Placement(
              transformation(extent={{-66,-116},{-56,-106}})));
        Modelica.Blocks.Tables.CombiTable1Ds Power_Duty_Cycle_Table(table=[0,0;
              0.24,10; 0.3,20; 0.36,30; 0.4,40; 0.48,50; 0.72,60; 0.96,70; 1.32,
              80; 1.68,90; 2.04,100])
          "from datasheet: first column is DutyCycle, second is Power Consumption [W] (current is given, voltage is constant 12 V)"
          annotation (Placement(transformation(extent={{12,-118},{2,-108}})));
        Modelica.Blocks.Math.Division division
          annotation (Placement(transformation(extent={{30,-118},{20,-108}})));
        Modelica.Blocks.Sources.Constant NumberOfFansSection1(k=4)
          annotation (Placement(transformation(extent={{82,-118},{72,-108}})));
      //*****************************************************************************/

      //equations********************************************************************/
      equation

        //****************************************************************************
        // MPPT (load matching)
        //****************************************************************************
        1/R_A = 1/R_A1 + 1/R_A2 + 1/R_A3 + 1/R_A4;
        1/R_B = 1/R_B1 + 1/R_B2 + 1/R_B3 + 1/R_B4;
        1/R_C = 1/R_C1 + 1/R_C2 + 1/R_C3 + 1/R_C4;
        1/R_D = 1/R_D1 + 1/R_D2 + 1/R_D3 + 1/R_D4;

        idealMPPT1.R = R_A + R_B;
        idealMPPT2.R = R_C + R_C;
        //****************************************************************************

        connect(hTP_A1.port_b1, airGap_A1.port_a1)
          annotation (Line(points={{-130,23},{-130,27}}, color={191,0,0}));
        connect(gM250_127_14_10_A1.port_a1, airGap_A1.port_b1)
          annotation (Line(points={{-130,37},{-130,33}}, color={191,0,0}));
        connect(hTP_A2.port_b1, airGap_A2.port_a1)
          annotation (Line(points={{-100,23},{-100,27}}, color={191,0,0}));
        connect(gM250_127_14_10_A2.port_a1, airGap_A2.port_b1)
          annotation (Line(points={{-100,37},{-100,33}}, color={191,0,0}));
        connect(hTP_A3.port_b1, airGap_A3.port_a1) annotation (Line(points={{-130,-23},
                {-130,-23},{-130,-27}}, color={191,0,0}));
        connect(airGap_A3.port_b1, gM250_127_14_10_A3.port_a1) annotation (Line(
              points={{-130,-33},{-130,-33},{-130,-37}}, color={191,0,0}));
        connect(hTP_A4.port_b1, airGap_A4.port_a1)
          annotation (Line(points={{-100,-23},{-100,-27}}, color={191,0,0}));
        connect(airGap_A4.port_b1, gM250_127_14_10_A4.port_a1) annotation (Line(
              points={{-100,-33},{-100,-33},{-100,-37}}, color={191,0,0}));
        connect(hotwindSystem.ports1, segmentCoolingAggregate_A.port_a) annotation (
            Line(
            points={{-160,0},{-142,0},{-124,0}},
            color={0,127,255},
            visible=false));
        connect(hTP_B1.port_b1, airGap_B1.port_a1)
          annotation (Line(points={{-60,23},{-60,23},{-60,27}}, color={191,0,0}));
        connect(airGap_B1.port_b1, gM250_127_14_10_B1.port_a1)
          annotation (Line(points={{-60,33},{-60,33},{-60,37}}, color={191,0,0}));
        connect(hTP_B2.port_b1, airGap_B2.port_a1)
          annotation (Line(points={{-30,23},{-30,23},{-30,27}}, color={191,0,0}));
        connect(airGap_B2.port_b1, gM250_127_14_10_B2.port_a1)
          annotation (Line(points={{-30,33},{-30,33},{-30,37}}, color={191,0,0}));
        connect(hTP_B3.port_b1, airGap_B3.port_a1)
          annotation (Line(points={{-60,-23},{-60,-27}}, color={191,0,0}));
        connect(airGap_B3.port_b1, gM250_127_14_10_B3.port_a1)
          annotation (Line(points={{-60,-33},{-60,-33},{-60,-37}}, color={191,0,0}));
        connect(hTP_B4.port_b1, airGap_B4.port_a1)
          annotation (Line(points={{-30,-23},{-30,-27}}, color={191,0,0}));
        connect(airGap_B4.port_b1, gM250_127_14_10_B4.port_a1)
          annotation (Line(points={{-30,-33},{-30,-37}}, color={191,0,0}));
        connect(segmentCoolingAggregate_A.port_b, segmentCoolingAggregate.port_a)
          annotation (Line(
            points={{-104,0},{-54,0}},
            color={0,127,255},
            visible=false));
        connect(hTP_C1.port_b1, airGap_C1.port_a1)
          annotation (Line(points={{10,23},{10,27}}, color={191,0,0}));
        connect(airGap_C1.port_b1, tEC1_12706_C1.port_a1)
          annotation (Line(points={{10,33},{10,37}}, color={191,0,0}));
        connect(hTP_C2.port_b1, airGap_C2.port_a1)
          annotation (Line(points={{40,23},{40,27}}, color={191,0,0}));
        connect(airGap_C2.port_b1, tEC1_12706_C2.port_a1)
          annotation (Line(points={{40,33},{40,33},{40,37}}, color={191,0,0}));
        connect(hTP_C3.port_b1, airGap_C3.port_a1)
          annotation (Line(points={{10,-23},{10,-27}}, color={191,0,0}));
        connect(airGap_C3.port_b1, tEC1_12706_C3.port_a1)
          annotation (Line(points={{10,-33},{10,-33},{10,-37}}, color={191,0,0}));
        connect(hTP_C4.port_b1, airGap_C4.port_a1)
          annotation (Line(points={{40,-23},{40,-27}}, color={191,0,0}));
        connect(airGap_C4.port_b1, tEC1_12706_C4.port_a1)
          annotation (Line(points={{40,-33},{40,-33},{40,-37}}, color={191,0,0}));
        connect(segmentCoolingAggregate.port_b, segmentCoolingAggregate1.port_a)
          annotation (Line(
            points={{-34,0},{16,0}},
            color={0,127,255},
            visible=false));
        connect(hTP_D1.port_b1, airGap_D1.port_a1)
          annotation (Line(points={{80,23},{80,27}}, color={191,0,0}));
        connect(airGap_D1.port_b1, tEC1_12706_D1.port_a1)
          annotation (Line(points={{80,33},{80,37}}, color={191,0,0}));
        connect(hTP_D2.port_b1, airGap_D2.port_a1)
          annotation (Line(points={{110,23},{110,27}}, color={191,0,0}));
        connect(airGap_D2.port_b1, tEC1_12706_D2.port_a1)
          annotation (Line(points={{110,33},{110,37}}, color={191,0,0}));
        connect(hTP_D3.port_b1, airGap_D3.port_a1)
          annotation (Line(points={{80,-23},{80,-23},{80,-27}}, color={191,0,0}));
        connect(tEC1_12706_D3.port_a1, airGap_D3.port_b1)
          annotation (Line(points={{80,-37},{80,-33}}, color={191,0,0}));
        connect(hTP_D4.port_b1, airGap_D4.port_a1)
          annotation (Line(points={{110,-23},{110,-23},{110,-27}}, color={191,0,0}));
        connect(tEC1_12706_D4.port_a1, airGap_D4.port_b1)
          annotation (Line(points={{110,-37},{110,-33}}, color={191,0,0}));
        connect(segmentCoolingAggregate1.port_b, segmentCoolingAggregate2.port_a)
          annotation (Line(
            points={{36,0},{62,0},{86,0}},
            color={0,127,255},
            visible=false));
        connect(segmentCoolingAggregate2.port_b, chimney.port_a1) annotation (Line(
            points={{106,0},{119,0},{132,0}},
            color={0,127,255},
            visible=false));
        connect(gM250_127_14_10_A1.pin_n1, gM250_127_14_10_A3.pin_n1) annotation (
            Line(points={{-139,42},{-150,42},{-150,-42},{-139,-42}}, color={0,0,255}));
        connect(gM250_127_14_10_A4.pin_n1, gM250_127_14_10_A3.pin_n1) annotation (
            Line(points={{-109,-42},{-112,-42},{-112,-50},{-150,-50},{-150,-42},{-139,
                -42}}, color={0,0,255}));
        connect(gM250_127_14_10_A2.pin_n1, gM250_127_14_10_A3.pin_n1) annotation (
            Line(points={{-109,42},{-112,42},{-112,34},{-150,34},{-150,-42},{-139,-42}},
              color={0,0,255}));
        connect(gM250_127_14_10_A2.pin_p1, gM250_127_14_10_A4.pin_p1) annotation (
            Line(points={{-91,42},{-84,42},{-84,-42},{-91,-42}}, color={0,0,255}));
        connect(gM250_127_14_10_A3.pin_p1, gM250_127_14_10_A4.pin_p1) annotation (
            Line(points={{-121,-42},{-118,-42},{-118,-34},{-84,-34},{-84,-42},{-91,-42}},
              color={0,0,255}));
        connect(gM250_127_14_10_A1.pin_p1, gM250_127_14_10_A4.pin_p1) annotation (
            Line(points={{-121,42},{-118,42},{-118,50},{-84,50},{-84,-42},{-91,-42}},
              color={0,0,255}));
        connect(gM250_127_14_10_B1.pin_n1, gM250_127_14_10_B3.pin_n1) annotation (
            Line(points={{-69,42},{-76,42},{-76,-42},{-69,-42}}, color={0,0,255}));
        connect(gM250_127_14_10_B4.pin_n1, gM250_127_14_10_B3.pin_n1) annotation (
            Line(points={{-39,-42},{-42,-42},{-42,-50},{-76,-50},{-76,-42},{-69,-42}},
              color={0,0,255}));
        connect(gM250_127_14_10_B2.pin_n1, gM250_127_14_10_B3.pin_n1) annotation (
            Line(points={{-39,42},{-42,42},{-42,34},{-76,34},{-76,-42},{-69,-42}},
              color={0,0,255}));
        connect(gM250_127_14_10_B2.pin_p1, gM250_127_14_10_B4.pin_p1) annotation (
            Line(points={{-21,42},{-14,42},{-14,-42},{-21,-42}}, color={0,0,255}));
        connect(gM250_127_14_10_B3.pin_p1, gM250_127_14_10_B4.pin_p1) annotation (
            Line(points={{-51,-42},{-48,-42},{-48,-34},{-14,-34},{-14,-42},{-21,-42}},
              color={0,0,255}));
        connect(gM250_127_14_10_B1.pin_p1, gM250_127_14_10_B4.pin_p1) annotation (
            Line(points={{-51,42},{-48,42},{-48,50},{-14,50},{-14,-42},{-21,-42}},
              color={0,0,255}));
        connect(tEC1_12706_C1.pin_n1, tEC1_12706_C3.pin_n1) annotation (Line(points={{
                1,42},{-6,42},{-6,-42},{1,-42}}, color={0,0,255}));
        connect(tEC1_12706_C4.pin_n1, tEC1_12706_C3.pin_n1) annotation (Line(points={{
                31,-42},{28,-42},{28,-50},{-6,-50},{-6,-42},{1,-42}}, color={0,0,255}));
        connect(tEC1_12706_C2.pin_n1, tEC1_12706_C3.pin_n1) annotation (Line(points={{
                31,42},{28,42},{28,34},{-6,34},{-6,-42},{1,-42}}, color={0,0,255}));
        connect(tEC1_12706_C2.pin_p1, tEC1_12706_C4.pin_p1) annotation (Line(points={{
                49,42},{56,42},{56,-42},{49,-42}}, color={0,0,255}));
        connect(tEC1_12706_C1.pin_p1, tEC1_12706_C4.pin_p1) annotation (Line(points={{
                19,42},{22,42},{22,50},{56,50},{56,-42},{49,-42}}, color={0,0,255}));
        connect(tEC1_12706_C3.pin_p1, tEC1_12706_C4.pin_p1) annotation (Line(points={{
                19,-42},{22,-42},{22,-34},{56,-34},{56,-42},{49,-42}}, color={0,0,255}));
        connect(tEC1_12706_D1.pin_n1, tEC1_12706_D3.pin_n1) annotation (Line(points={{
                71,42},{64,42},{64,-42},{71,-42}}, color={0,0,255}));
        connect(tEC1_12706_D4.pin_n1, tEC1_12706_D3.pin_n1) annotation (Line(points={{
                101,-42},{98,-42},{98,-50},{64,-50},{64,-42},{71,-42}}, color={0,0,255}));
        connect(tEC1_12706_D2.pin_n1, tEC1_12706_D3.pin_n1) annotation (Line(points={{
                101,42},{98,42},{98,34},{64,34},{64,-42},{71,-42}}, color={0,0,255}));
        connect(tEC1_12706_D2.pin_p1, tEC1_12706_D4.pin_p1) annotation (Line(points={{
                119,42},{124,42},{124,-42},{119,-42}}, color={0,0,255}));
        connect(tEC1_12706_D3.pin_p1, tEC1_12706_D4.pin_p1) annotation (Line(points={{
                89,-42},{92,-42},{92,-34},{124,-34},{124,-42},{119,-42}}, color={0,0,255}));
        connect(tEC1_12706_D1.pin_p1, tEC1_12706_D4.pin_p1) annotation (Line(points={{
                89,42},{92,42},{92,50},{124,50},{124,-42},{119,-42}}, color={0,0,255}));
        connect(gM250_127_14_10_A2.pin_p1, gM250_127_14_10_B1.pin_n1)
          annotation (Line(points={{-91,42},{-69,42},{-69,42}}, color={0,0,255}));
        connect(tEC1_12706_C2.pin_p1, tEC1_12706_D1.pin_n1)
          annotation (Line(points={{49,42},{71,42},{71,42}}, color={0,0,255}));
        connect(gM250_127_14_10_A3.pin_n1, idealMPPT1.p1) annotation (Line(points={{-139,
                -42},{-150,-42},{-150,-100},{-90,-100}}, color={0,0,255}));
        connect(DutyCycle2.y, cPUCooler_D1.DutyCycle) annotation (Line(
            points={{-159,104},{-159,104},{70.2,104},{70.2,84}},
            color={0,0,127},
            visible=false));
        connect(DutyCycle2.y, cPUCooler_D2.DutyCycle) annotation (Line(
            points={{-159,104},{-159,104},{100.2,104},{100.2,84}},
            color={0,0,127},
            visible=false));

        connect(gM250_127_14_10_A1.port_b1, airGap_A5.port_a1) annotation (Line(
              points={{-130,47},{-130,47},{-130,51}}, color={191,0,0}));
        connect(airGap_A5.port_b1, hTP_A5.port_a1)
          annotation (Line(points={{-130,57},{-130,61}}, color={191,0,0}));
        connect(hTP_A5.port_b1, cPUCooler_A1.port1)
          annotation (Line(points={{-130,67},{-130,71}}, color={191,0,0}));
        connect(airGap_A6.port_a1, gM250_127_14_10_A2.port_b1) annotation (Line(
              points={{-100,51},{-100,47},{-100,47}}, color={191,0,0}));
        connect(hTP_A6.port_a1, airGap_A6.port_b1) annotation (Line(points={{
                -100,61},{-100,57},{-100,57}}, color={191,0,0}));
        connect(hTP_A6.port_b1, cPUCooler_A2.port1)
          annotation (Line(points={{-100,67},{-100,71}}, color={191,0,0}));
        connect(gM250_127_14_10_A3.port_b1, airGap_A7.port_a1) annotation (Line(
              points={{-130,-47},{-130,-47},{-130,-51}}, color={191,0,0}));
        connect(airGap_A7.port_b1, hTP_A7.port_a1)
          annotation (Line(points={{-130,-57},{-130,-61}}, color={191,0,0}));
        connect(cPUCooler_A3.port1, hTP_A7.port_b1) annotation (Line(points={{
                -130,-71},{-130,-70},{-130,-67}}, color={191,0,0}));
        connect(cPUCooler_A4.port1, hTP_A8.port_b1)
          annotation (Line(points={{-100,-71},{-100,-67}}, color={191,0,0}));
        connect(gM250_127_14_10_A4.port_b1, airGap_A8.port_a1)
          annotation (Line(points={{-100,-47},{-100,-51}}, color={191,0,0}));
        connect(hTP_A8.port_a1, airGap_A8.port_b1)
          annotation (Line(points={{-100,-61},{-100,-57}}, color={191,0,0}));
        connect(gM250_127_14_10_B1.port_b1, airGap_B5.port_a1)
          annotation (Line(points={{-60,47},{-60,51}}, color={191,0,0}));
        connect(cPUCoolerWithoutFan_B1.port1, hTP_B5.port_b1) annotation (Line(
              points={{-60,71},{-60,71},{-60,67}}, color={191,0,0}));
        connect(airGap_B5.port_b1, hTP_B5.port_a1) annotation (Line(points={{
                -60,57},{-60,57},{-60,61}}, color={191,0,0}));
        connect(gM250_127_14_10_B2.port_b1, airGap_B6.port_a1) annotation (Line(
              points={{-30,47},{-30,47},{-30,51}}, color={191,0,0}));
        connect(cPUCoolerWithoutFan_B2.port1, hTP_B6.port_b1)
          annotation (Line(points={{-30,71},{-30,67}}, color={191,0,0}));
        connect(airGap_B6.port_b1, hTP_B6.port_a1)
          annotation (Line(points={{-30,57},{-30,61}}, color={191,0,0}));
        connect(gM250_127_14_10_B3.port_b1, airGap_B7.port_a1)
          annotation (Line(points={{-60,-47},{-60,-51}}, color={191,0,0}));
        connect(airGap_B7.port_b1, hTP_B7.port_a1) annotation (Line(points={{
                -60,-57},{-60,-57},{-60,-61}}, color={191,0,0}));
        connect(cPUCoolerWithoutFan_B3.port1, hTP_B7.port_b1) annotation (Line(
              points={{-60,-71},{-60,-71},{-60,-67}}, color={191,0,0}));
        connect(gM250_127_14_10_B4.port_b1, airGap_B8.port_a1)
          annotation (Line(points={{-30,-47},{-30,-51}}, color={191,0,0}));
        connect(airGap_B8.port_b1, hTP_B8.port_a1) annotation (Line(points={{
                -30,-57},{-30,-57},{-30,-61}}, color={191,0,0}));
        connect(cPUCoolerWithoutFan_B4.port1, hTP_B8.port_b1) annotation (Line(
              points={{-30,-71},{-30,-71},{-30,-67}}, color={191,0,0}));
        connect(cPUCoolerWithoutFan_C1.port1, hTP_C5.port_b1)
          annotation (Line(points={{10,71},{10,71},{10,67}}, color={191,0,0}));
        connect(hTP_C5.port_a1, airGap_C5.port_b1)
          annotation (Line(points={{10,61},{10,57},{10,57}}, color={191,0,0}));
        connect(airGap_C5.port_a1, tEC1_12706_C1.port_b1)
          annotation (Line(points={{10,51},{10,47}},         color={191,0,0}));
        connect(tEC1_12706_C2.port_b1, airGap_C6.port_a1)
          annotation (Line(points={{40,47},{40,51}}, color={191,0,0}));
        connect(airGap_C6.port_b1, hTP_C6.port_a1)
          annotation (Line(points={{40,57},{40,57},{40,61}}, color={191,0,0}));
        connect(cPUCoolerWithoutFan_C2.port1, hTP_C6.port_b1)
          annotation (Line(points={{40,71},{40,71},{40,67}}, color={191,0,0}));
        connect(tEC1_12706_C3.port_b1, airGap_C7.port_a1)
          annotation (Line(points={{10,-47},{10,-51}}, color={191,0,0}));
        connect(airGap_C7.port_b1, hTP_C7.port_a1) annotation (Line(points={{10,
                -57},{10,-57},{10,-61}}, color={191,0,0}));
        connect(cPUCoolerWithoutFan_C3.port1, hTP_C7.port_b1)
          annotation (Line(points={{10,-71},{10,-67}}, color={191,0,0}));
        connect(tEC1_12706_C4.port_b1, airGap_C8.port_a1)
          annotation (Line(points={{40,-47},{40,-51}}, color={191,0,0}));
        connect(airGap_C8.port_b1, hTP_C8.port_a1) annotation (Line(points={{40,
                -57},{40,-57},{40,-61}}, color={191,0,0}));
        connect(cPUCoolerWithoutFan_C4.port1, hTP_C8.port_b1)
          annotation (Line(points={{40,-71},{40,-67}}, color={191,0,0}));
        connect(airGap_D5.port_a1, tEC1_12706_D1.port_b1) annotation (Line(
              points={{80,51},{80,51},{80,47},{80,47}}, color={191,0,0}));
        connect(hTP_D5.port_a1, airGap_D5.port_b1)
          annotation (Line(points={{80,61},{80,57},{80,57}}, color={191,0,0}));
        connect(hTP_D5.port_b1, cPUCooler_D1.port1)
          annotation (Line(points={{80,67},{80,71},{80,71}}, color={191,0,0}));
        connect(tEC1_12706_D2.port_b1, airGap_D6.port_a1)
          annotation (Line(points={{110,47},{110,51}}, color={191,0,0}));
        connect(cPUCooler_D2.port1, hTP_D6.port_b1) annotation (Line(points={{
                110,71},{110,71},{110,67}}, color={191,0,0}));
        connect(airGap_D6.port_b1, hTP_D6.port_a1) annotation (Line(points={{
                110,57},{110,57},{110,61}}, color={191,0,0}));
        connect(airGap_D7.port_a1, tEC1_12706_D3.port_b1) annotation (Line(
              points={{80,-51},{80,-47},{80,-47}}, color={191,0,0}));
        connect(cPUCooler_D3.port1, hTP_D7.port_b1) annotation (Line(points={{
                80,-71},{80,-71},{80,-67}}, color={191,0,0}));
        connect(airGap_D7.port_b1, hTP_D7.port_a1) annotation (Line(points={{80,
                -57},{80,-57},{80,-61}}, color={191,0,0}));
        connect(tEC1_12706_D4.port_b1, airGap_D8.port_a1)
          annotation (Line(points={{110,-47},{110,-51}}, color={191,0,0}));
        connect(airGap_D8.port_b1, hTP_D8.port_a1)
          annotation (Line(points={{110,-57},{110,-61}}, color={191,0,0}));
        connect(cPUCooler_D4.port1, hTP_D8.port_b1)
          annotation (Line(points={{110,-71},{110,-67}}, color={191,0,0}));
        connect(segmentCoolingAggregate_A.port_a2, hTP_A2.port_a1) annotation (
            Line(points={{-110,5},{-104,5},{-104,17},{-100,17}}, color={191,0,0}));
        connect(segmentCoolingAggregate_A.port_a1, hTP_A1.port_a1) annotation (
            Line(points={{-118,2.4},{-124,2.4},{-124,17},{-130,17}}, color={191,
                0,0}));
        connect(segmentCoolingAggregate_A.port_a3, hTP_A3.port_a1) annotation (
            Line(points={{-118,-5},{-124,-5},{-124,-17},{-130,-17}}, color={191,
                0,0}));
        connect(segmentCoolingAggregate_A.port_a4, hTP_A4.port_a1) annotation (
            Line(points={{-110,-2.4},{-110,-9.2},{-100,-9.2},{-100,-17}}, color=
               {191,0,0}));
        connect(hTP_B1.port_a1, segmentCoolingAggregate.port_a1) annotation (
            Line(points={{-60,17},{-54,17},{-54,2.4},{-48,2.4}}, color={191,0,0}));
        connect(segmentCoolingAggregate.port_a2, hTP_B2.port_a1) annotation (
            Line(points={{-40,5},{-36,5},{-36,17},{-30,17}}, color={191,0,0}));
        connect(segmentCoolingAggregate.port_a3, hTP_B3.port_a1) annotation (
            Line(points={{-48,-5},{-54,-5},{-54,-17},{-60,-17}}, color={191,0,0}));
        connect(segmentCoolingAggregate.port_a4, hTP_B4.port_a1) annotation (
            Line(points={{-40,-2.4},{-36,-2.4},{-36,-17},{-30,-17}}, color={191,
                0,0}));
        connect(hTP_C3.port_a1, segmentCoolingAggregate1.port_a3) annotation (
            Line(points={{10,-17},{16,-17},{16,-5},{22,-5}}, color={191,0,0}));
        connect(segmentCoolingAggregate1.port_a1, hTP_C1.port_a1) annotation (
            Line(points={{22,2.4},{16,2.4},{16,17},{10,17}}, color={191,0,0}));
        connect(segmentCoolingAggregate1.port_a2, hTP_C2.port_a1) annotation (
            Line(points={{30,5},{36,5},{36,17},{40,17}}, color={191,0,0}));
        connect(segmentCoolingAggregate1.port_a4, hTP_C4.port_a1) annotation (
            Line(points={{30,-2.4},{36,-2.4},{36,-17},{40,-17}}, color={191,0,0}));
        connect(hTP_D1.port_a1, segmentCoolingAggregate2.port_a1) annotation (
            Line(points={{80,17},{86,17},{86,2.4},{92,2.4}}, color={191,0,0}));
        connect(segmentCoolingAggregate2.port_a2, hTP_D2.port_a1) annotation (
            Line(points={{100,5},{104,5},{104,17},{110,17}}, color={191,0,0}));
        connect(segmentCoolingAggregate2.port_a3, hTP_D3.port_a1) annotation (
            Line(points={{92,-5},{86,-5},{86,-17},{80,-17}}, color={191,0,0}));
        connect(segmentCoolingAggregate2.port_a4, hTP_D4.port_a1) annotation (
            Line(points={{100,-2.4},{106,-2.4},{106,-17},{110,-17}}, color={191,
                0,0}));
        connect(gM250_127_14_10_B4.pin_p1, idealMPPT1.n1) annotation (Line(points={{-21,
                -42},{-18,-42},{-12,-42},{-12,-100},{-70,-100}}, color={0,0,255}));
        connect(tEC1_12706_C3.pin_n1, idealMPPT2.p1) annotation (Line(points={{1,-42},
                {-6,-42},{-6,-100},{50,-100}}, color={0,0,255}));
        connect(tEC1_12706_D4.pin_p1, idealMPPT2.n1) annotation (Line(points={{119,-42},
                {124,-42},{124,-100},{70,-100}}, color={0,0,255}));
        connect(idealMPPT1.electrical_Power, energy.u) annotation (Line(points=
                {{-80,-105},{-80,-111},{-67,-111}}, color={0,0,127}));
        connect(DutyCycle2.y, cPUCooler_D4.DutyCycle) annotation (Line(
            points={{-159,104},{-6,104},{150,104},{150,-84},{119.8,-84}},
            color={0,0,127},
            visible=false));
        connect(cPUCooler_D3.DutyCycle, cPUCooler_D4.DutyCycle) annotation (
            Line(
            points={{89.8,-84},{120,-84},{120,-76},{150,-76},{150,-84},{119.8,
                -84}},
            color={0,0,127},
            visible=false));
        connect(Power_Duty_Cycle_Table.u, division.y) annotation (Line(points={
                {13,-113},{16,-113},{19.5,-113}}, color={0,0,127}));
        connect(division.u1, idealMPPT2.electrical_Power) annotation (Line(
              points={{31,-110},{60,-110},{60,-105}}, color={0,0,127}));
        connect(NumberOfFansSection1.y, division.u2) annotation (Line(points={{
                71.5,-113},{60,-113},{60,-116},{31,-116}}, color={0,0,127}));
        connect(Power_Duty_Cycle_Table.y[1], cPUCooler_A4.DutyCycle)
          annotation (Line(
            points={{1.5,-113},{-16,-113},{-16,-84},{-90.2,-84}},
            color={0,0,127},
            visible=false));
        connect(cPUCooler_A3.DutyCycle, Power_Duty_Cycle_Table.y[1])
          annotation (Line(
            points={{-120.2,-84},{-116,-84},{-116,-80},{-16,-80},{-16,-113},{
                1.5,-113}},
            color={0,0,127},
            visible=false));
        connect(cPUCooler_A1.DutyCycle, cPUCooler_A4.DutyCycle) annotation (
            Line(
            points={{-139.8,84},{-144,84},{-144,-94},{-16,-94},{-16,-84},{-90.2,
                -84}},
            color={0,0,127},
            visible=false));
        connect(cPUCooler_A2.DutyCycle, cPUCooler_A4.DutyCycle) annotation (
            Line(
            points={{-109.8,84},{-116,84},{-116,-94},{-16,-94},{-16,-84},{-90.2,
                -84}},
            color={0,0,127},
            visible=false));
      //*****************************************************************************/

        annotation (Icon(coordinateSystem(preserveAspectRatio=false, extent={{-200,
                  -120},{160,120}},
              initialScale=0.1)),
                                Diagram(coordinateSystem(preserveAspectRatio=false,
                extent={{-200,-120},{160,120}},
              initialScale=0.1),                 graphics={
              Rectangle(
                extent={{-160,4},{-124,-4}},
                lineColor={0,0,0},
                fillColor={175,175,175},
                fillPattern=FillPattern.HorizontalCylinder),
              Rectangle(
                extent={{-104,4},{-54,-4}},
                lineColor={0,0,0},
                fillColor={175,175,175},
                fillPattern=FillPattern.HorizontalCylinder),
              Rectangle(
                extent={{-34,4},{16,-4}},
                lineColor={0,0,0},
                fillColor={175,175,175},
                fillPattern=FillPattern.HorizontalCylinder),
              Rectangle(
                extent={{36,4},{86,-4}},
                lineColor={0,0,0},
                fillColor={175,175,175},
                fillPattern=FillPattern.HorizontalCylinder),
              Rectangle(
                extent={{106,4},{132,-4}},
                lineColor={0,0,0},
                fillColor={175,175,175},
                fillPattern=FillPattern.HorizontalCylinder)}),
          experiment(StopTime=6000),
          __Dymola_experimentSetupOutput, Documentation(info="<html>
   <p>
**************************************************************************** <br>
  <b> Copyright (C) 2015-2017 Chair of Automation and Energy Systems, Saarland University </b> <br>
------------------------------------------------------------------------------------------------------------------ <br>
  This file is part of EHSTEG. <p>                    
  
  For more information see <a href=\"//EHSTEG.UsersGuide\">User's Guide</a> <p>
  
**************************************************************************** <p>
</html>
"));
      end Real_20_80_heating_behavior;
    annotation (Documentation(info="<html>
   <p>
**************************************************************************** <br>
  <b> Copyright (C) 2015-2017 Chair of Automation and Energy Systems, Saarland University </b> <br>
------------------------------------------------------------------------------------------------------------------ <br>
  This file is part of EHSTEG. <p>                    
  
  For more information see <a href=\"//EHSTEG.UsersGuide\">User's Guide</a> <p>
  
**************************************************************************** <p>
</html>
"));
    end HeatingMockup;

    package SystemReconfiguration
      "package contains different strategies for system reconfiguration in thermoelectric EHS"

      //Copyright (C) 2015-2017 Chair of Automation and Energy Systems, Saarland University (for more information see 'Documentation')

      package SingleTEGs
        "system reconfiguration for single TEGs - control strategy 'adaptive removal and revival' according to M. Chen"

        //Copyright (C) 2015-2017 Chair of Automation and Energy Systems, Saarland University (for more information see 'Documentation')

        package SecV_ThirdConfig
          "reproduce the conditions from M. Chen, section five, third configuration"

          //Copyright (C) 2015-2017 Chair of Automation and Energy Systems, Saarland University (for more information see 'Documentation')

          model ComparisonSecV_ThirdConfig
            "reproduce the conditions from M. Chen, section five, third configuration - comparison between fix and reconfigurable configuration"

            //Copyright (C) 2015-2017 Chair of Automation and Energy Systems, Saarland University (for more information see 'Documentation')

          //used components**************************************************************/
            SecV_ThirdConfigFix sec_V_third_config_fix
              annotation (Placement(transformation(extent={{-18,12},{18,32}})));
            SecV_ThirdConfigRemoveRevival sec_V_third_config_remove_revival
              annotation (Placement(transformation(extent={{-18,-30},{18,-10}})));
          //*****************************************************************************/

            annotation (experiment(StopTime=1440), __Dymola_experimentSetupOutput,
                      Documentation(info="<html>
   <p>
**************************************************************************** <br>
  <b> Copyright (C) 2015-2017 Chair of Automation and Energy Systems, Saarland University </b> <br>
------------------------------------------------------------------------------------------------------------------ <br>
  This file is part of EHSTEG. <p>                    
  
  For more information see <a href=\"//EHSTEG.UsersGuide\">User's Guide</a> <p>
  
**************************************************************************** <p>
</html>
"));

          end ComparisonSecV_ThirdConfig;

          model SecV_ThirdConfigFix
            "reproduce the conditions from M. Chen, section five, third configuration - fix configuration of TEGs"

            //Copyright (C) 2015-2017 Chair of Automation and Energy Systems, Saarland University (for more information see 'Documentation')

          //import***********************************************************************/
              import Modelica.SIunits.*;
          //*****************************************************************************/

          //variable definition**********************************************************/
            Resistance R1 = TEM1.inner_TEG.R "resistance of TEG1"; // Ohm
            Resistance R2 = TEM2.inner_TEG.R "resistance of TEG2"; // Ohm
            Resistance R3 = TEM3.inner_TEG.R "resistance of TEG3"; // Ohm
            Resistance R4 = TEM4.inner_TEG.R "resistance of TEG4"; // Ohm
            Resistance R5 = TEM5.inner_TEG.R "resistance of TEG5"; // Ohm
            Resistance R6 = TEM6.inner_TEG.R "resistance of TEG6"; // Ohm
            Resistance R7 = TEM7.inner_TEG.R "resistance of TEG7"; // Ohm
            Resistance R8 = TEM8.inner_TEG.R "resistance of TEG8"; // Ohm

            Modelica.SIunits.Resistance  R_calc
              "internal resistance of the TEG circuit";                                   // Ohm
          //*****************************************************************************/

          //used components**************************************************************/
            ThermoelectricGenerator_V5_7.TEG_Module TEM1(
              L=0.002,
              N=49,
              A=0.0045*0.0045,
              Length=0.062,
              Breadth=0.062,
              redeclare
                ThermoelectricGenerator_V5_7.Packaging.seq_1D_with_storing
                packaging_left(S=2, redeclare
                  ThermoelectricGenerator_V5_7.Packaging_Material_Data.Ceramic_Al2O3
                  Material),
              redeclare
                ThermoelectricGenerator_V5_7.Packaging.seq_1D_with_storing
                packaging_right(S=2, redeclare
                  ThermoelectricGenerator_V5_7.Packaging_Material_Data.Ceramic_Al2O3
                  Material),
              T_CP1=0.00133,
              T_CP2=0.00133,
              redeclare
                ThermoelectricGenerator_V5_7.Inner_TEG.CTEL_1D_dyn_seq_intalpha_contact_res
                inner_TEG(
                N_TE=49,
                A=0.0045*0.0045,
                L=0.002,
                Mode="TEG",
                S=5,
                redeclare
                  ThermoelectricGenerator_V5_7.Packaging_Material_Data.Copper
                  Material_connector,
                redeclare
                  ThermoelectricGenerator_V5_7.Thermoelectric_Material_Data.Bi2_Te3_p_Thermonamic
                  Material_A,
                redeclare
                  ThermoelectricGenerator_V5_7.Thermoelectric_Material_Data.Bi2_Te3_n_Thermonamic
                  Material_B,
                redeclare
                  ThermoelectricGenerator_V5_7.Inner_TEG.Components_for_leg_connection.contact_and_wire_res
                  leg_conn_elec,
                redeclare
                  ThermoelectricGenerator_V5_7.Inner_TEG.Components_for_leg_connection.res_and_storage
                  leg_conn_thermal_left,
                redeclare
                  ThermoelectricGenerator_V5_7.Inner_TEG.Components_for_leg_connection.res_and_storage
                  leg_conn_thermal_right,
                Thickness_conn=0.00002,
                T_0=293.15),
              T_0=293.15) "TEG1-49-4.5-2.0-250"
              annotation (Placement(transformation(extent={{-48,42},{-12,76}})));
            ThermoelectricGenerator_V5_7.TEG_Module TEM2(
              L=0.002,
              N=49,
              A=0.0045*0.0045,
              Length=0.062,
              Breadth=0.062,
              redeclare
                ThermoelectricGenerator_V5_7.Packaging.seq_1D_with_storing
                packaging_left(S=2, redeclare
                  ThermoelectricGenerator_V5_7.Packaging_Material_Data.Ceramic_Al2O3
                  Material),
              redeclare
                ThermoelectricGenerator_V5_7.Packaging.seq_1D_with_storing
                packaging_right(S=2, redeclare
                  ThermoelectricGenerator_V5_7.Packaging_Material_Data.Ceramic_Al2O3
                  Material),
              T_CP1=0.00133,
              T_CP2=0.00133,
              redeclare
                ThermoelectricGenerator_V5_7.Inner_TEG.CTEL_1D_dyn_seq_intalpha_contact_res
                inner_TEG(
                N_TE=49,
                A=0.0045*0.0045,
                L=0.002,
                Mode="TEG",
                S=5,
                redeclare
                  ThermoelectricGenerator_V5_7.Packaging_Material_Data.Copper
                  Material_connector,
                redeclare
                  ThermoelectricGenerator_V5_7.Thermoelectric_Material_Data.Bi2_Te3_p_Thermonamic
                  Material_A,
                redeclare
                  ThermoelectricGenerator_V5_7.Thermoelectric_Material_Data.Bi2_Te3_n_Thermonamic
                  Material_B,
                redeclare
                  ThermoelectricGenerator_V5_7.Inner_TEG.Components_for_leg_connection.contact_and_wire_res
                  leg_conn_elec,
                redeclare
                  ThermoelectricGenerator_V5_7.Inner_TEG.Components_for_leg_connection.res_and_storage
                  leg_conn_thermal_left,
                redeclare
                  ThermoelectricGenerator_V5_7.Inner_TEG.Components_for_leg_connection.res_and_storage
                  leg_conn_thermal_right,
                Thickness_conn=0.00002,
                T_0=293.15),
              T_0=293.15) "TEG1-49-4.5-2.0-250"
              annotation (Placement(transformation(extent={{12,42},{48,76}})));
            ThermoelectricGenerator_V5_7.TEG_Module TEM3(
              L=0.002,
              N=49,
              A=0.0045*0.0045,
              Length=0.062,
              Breadth=0.062,
              redeclare
                ThermoelectricGenerator_V5_7.Packaging.seq_1D_with_storing
                packaging_left(S=2, redeclare
                  ThermoelectricGenerator_V5_7.Packaging_Material_Data.Ceramic_Al2O3
                  Material),
              redeclare
                ThermoelectricGenerator_V5_7.Packaging.seq_1D_with_storing
                packaging_right(S=2, redeclare
                  ThermoelectricGenerator_V5_7.Packaging_Material_Data.Ceramic_Al2O3
                  Material),
              T_CP1=0.00133,
              T_CP2=0.00133,
              redeclare
                ThermoelectricGenerator_V5_7.Inner_TEG.CTEL_1D_dyn_seq_intalpha_contact_res
                inner_TEG(
                N_TE=49,
                A=0.0045*0.0045,
                L=0.002,
                Mode="TEG",
                S=5,
                redeclare
                  ThermoelectricGenerator_V5_7.Packaging_Material_Data.Copper
                  Material_connector,
                redeclare
                  ThermoelectricGenerator_V5_7.Thermoelectric_Material_Data.Bi2_Te3_p_Thermonamic
                  Material_A,
                redeclare
                  ThermoelectricGenerator_V5_7.Thermoelectric_Material_Data.Bi2_Te3_n_Thermonamic
                  Material_B,
                redeclare
                  ThermoelectricGenerator_V5_7.Inner_TEG.Components_for_leg_connection.contact_and_wire_res
                  leg_conn_elec,
                redeclare
                  ThermoelectricGenerator_V5_7.Inner_TEG.Components_for_leg_connection.res_and_storage
                  leg_conn_thermal_left,
                redeclare
                  ThermoelectricGenerator_V5_7.Inner_TEG.Components_for_leg_connection.res_and_storage
                  leg_conn_thermal_right,
                Thickness_conn=0.00002,
                T_0=293.15),
              T_0=293.15) "TEG1-49-4.5-2.0-250"
              annotation (Placement(transformation(extent={{-48,2},{-12,36}})));
            ThermoelectricGenerator_V5_7.TEG_Module TEM4(
              L=0.002,
              N=49,
              A=0.0045*0.0045,
              Length=0.062,
              Breadth=0.062,
              redeclare
                ThermoelectricGenerator_V5_7.Packaging.seq_1D_with_storing
                packaging_left(S=2, redeclare
                  ThermoelectricGenerator_V5_7.Packaging_Material_Data.Ceramic_Al2O3
                  Material),
              redeclare
                ThermoelectricGenerator_V5_7.Packaging.seq_1D_with_storing
                packaging_right(S=2, redeclare
                  ThermoelectricGenerator_V5_7.Packaging_Material_Data.Ceramic_Al2O3
                  Material),
              T_CP1=0.00133,
              T_CP2=0.00133,
              redeclare
                ThermoelectricGenerator_V5_7.Inner_TEG.CTEL_1D_dyn_seq_intalpha_contact_res
                inner_TEG(
                N_TE=49,
                A=0.0045*0.0045,
                L=0.002,
                Mode="TEG",
                S=5,
                redeclare
                  ThermoelectricGenerator_V5_7.Packaging_Material_Data.Copper
                  Material_connector,
                redeclare
                  ThermoelectricGenerator_V5_7.Thermoelectric_Material_Data.Bi2_Te3_p_Thermonamic
                  Material_A,
                redeclare
                  ThermoelectricGenerator_V5_7.Thermoelectric_Material_Data.Bi2_Te3_n_Thermonamic
                  Material_B,
                redeclare
                  ThermoelectricGenerator_V5_7.Inner_TEG.Components_for_leg_connection.contact_and_wire_res
                  leg_conn_elec,
                redeclare
                  ThermoelectricGenerator_V5_7.Inner_TEG.Components_for_leg_connection.res_and_storage
                  leg_conn_thermal_left,
                redeclare
                  ThermoelectricGenerator_V5_7.Inner_TEG.Components_for_leg_connection.res_and_storage
                  leg_conn_thermal_right,
                Thickness_conn=0.00002,
                T_0=293.15),
              T_0=293.15) "TEG1-49-4.5-2.0-250"
              annotation (Placement(transformation(extent={{12,2},{48,36}})));
            ThermoelectricGenerator_V5_7.TEG_Module TEM5(
              L=0.002,
              N=49,
              A=0.0045*0.0045,
              Length=0.062,
              Breadth=0.062,
              redeclare
                ThermoelectricGenerator_V5_7.Packaging.seq_1D_with_storing
                packaging_left(S=2, redeclare
                  ThermoelectricGenerator_V5_7.Packaging_Material_Data.Ceramic_Al2O3
                  Material),
              redeclare
                ThermoelectricGenerator_V5_7.Packaging.seq_1D_with_storing
                packaging_right(S=2, redeclare
                  ThermoelectricGenerator_V5_7.Packaging_Material_Data.Ceramic_Al2O3
                  Material),
              T_CP1=0.00133,
              T_CP2=0.00133,
              redeclare
                ThermoelectricGenerator_V5_7.Inner_TEG.CTEL_1D_dyn_seq_intalpha_contact_res
                inner_TEG(
                N_TE=49,
                A=0.0045*0.0045,
                L=0.002,
                Mode="TEG",
                S=5,
                redeclare
                  ThermoelectricGenerator_V5_7.Packaging_Material_Data.Copper
                  Material_connector,
                redeclare
                  ThermoelectricGenerator_V5_7.Thermoelectric_Material_Data.Bi2_Te3_p_Thermonamic
                  Material_A,
                redeclare
                  ThermoelectricGenerator_V5_7.Thermoelectric_Material_Data.Bi2_Te3_n_Thermonamic
                  Material_B,
                redeclare
                  ThermoelectricGenerator_V5_7.Inner_TEG.Components_for_leg_connection.contact_and_wire_res
                  leg_conn_elec,
                redeclare
                  ThermoelectricGenerator_V5_7.Inner_TEG.Components_for_leg_connection.res_and_storage
                  leg_conn_thermal_left,
                redeclare
                  ThermoelectricGenerator_V5_7.Inner_TEG.Components_for_leg_connection.res_and_storage
                  leg_conn_thermal_right,
                Thickness_conn=0.00002,
                T_0=293.15),
              T_0=293.15) "TEG1-49-4.5-2.0-250"
              annotation (Placement(transformation(extent={{-48,-38},{-12,-4}})));
            ThermoelectricGenerator_V5_7.TEG_Module TEM6(
              L=0.002,
              N=49,
              A=0.0045*0.0045,
              Length=0.062,
              Breadth=0.062,
              redeclare
                ThermoelectricGenerator_V5_7.Packaging.seq_1D_with_storing
                packaging_left(S=2, redeclare
                  ThermoelectricGenerator_V5_7.Packaging_Material_Data.Ceramic_Al2O3
                  Material),
              redeclare
                ThermoelectricGenerator_V5_7.Packaging.seq_1D_with_storing
                packaging_right(S=2, redeclare
                  ThermoelectricGenerator_V5_7.Packaging_Material_Data.Ceramic_Al2O3
                  Material),
              T_CP1=0.00133,
              T_CP2=0.00133,
              redeclare
                ThermoelectricGenerator_V5_7.Inner_TEG.CTEL_1D_dyn_seq_intalpha_contact_res
                inner_TEG(
                N_TE=49,
                A=0.0045*0.0045,
                L=0.002,
                Mode="TEG",
                S=5,
                redeclare
                  ThermoelectricGenerator_V5_7.Packaging_Material_Data.Copper
                  Material_connector,
                redeclare
                  ThermoelectricGenerator_V5_7.Thermoelectric_Material_Data.Bi2_Te3_p_Thermonamic
                  Material_A,
                redeclare
                  ThermoelectricGenerator_V5_7.Thermoelectric_Material_Data.Bi2_Te3_n_Thermonamic
                  Material_B,
                redeclare
                  ThermoelectricGenerator_V5_7.Inner_TEG.Components_for_leg_connection.contact_and_wire_res
                  leg_conn_elec,
                redeclare
                  ThermoelectricGenerator_V5_7.Inner_TEG.Components_for_leg_connection.res_and_storage
                  leg_conn_thermal_left,
                redeclare
                  ThermoelectricGenerator_V5_7.Inner_TEG.Components_for_leg_connection.res_and_storage
                  leg_conn_thermal_right,
                Thickness_conn=0.00002,
                T_0=293.15),
              T_0=293.15) "TEG1-49-4.5-2.0-250"
              annotation (Placement(transformation(extent={{12,-38},{48,-4}})));
            ThermoelectricGenerator_V5_7.TEG_Module TEM7(
              L=0.002,
              N=49,
              A=0.0045*0.0045,
              Length=0.062,
              Breadth=0.062,
              redeclare
                ThermoelectricGenerator_V5_7.Packaging.seq_1D_with_storing
                packaging_left(S=2, redeclare
                  ThermoelectricGenerator_V5_7.Packaging_Material_Data.Ceramic_Al2O3
                  Material),
              redeclare
                ThermoelectricGenerator_V5_7.Packaging.seq_1D_with_storing
                packaging_right(S=2, redeclare
                  ThermoelectricGenerator_V5_7.Packaging_Material_Data.Ceramic_Al2O3
                  Material),
              T_CP1=0.00133,
              T_CP2=0.00133,
              redeclare
                ThermoelectricGenerator_V5_7.Inner_TEG.CTEL_1D_dyn_seq_intalpha_contact_res
                inner_TEG(
                N_TE=49,
                A=0.0045*0.0045,
                L=0.002,
                Mode="TEG",
                S=5,
                redeclare
                  ThermoelectricGenerator_V5_7.Packaging_Material_Data.Copper
                  Material_connector,
                redeclare
                  ThermoelectricGenerator_V5_7.Thermoelectric_Material_Data.Bi2_Te3_p_Thermonamic
                  Material_A,
                redeclare
                  ThermoelectricGenerator_V5_7.Thermoelectric_Material_Data.Bi2_Te3_n_Thermonamic
                  Material_B,
                redeclare
                  ThermoelectricGenerator_V5_7.Inner_TEG.Components_for_leg_connection.contact_and_wire_res
                  leg_conn_elec,
                redeclare
                  ThermoelectricGenerator_V5_7.Inner_TEG.Components_for_leg_connection.res_and_storage
                  leg_conn_thermal_left,
                redeclare
                  ThermoelectricGenerator_V5_7.Inner_TEG.Components_for_leg_connection.res_and_storage
                  leg_conn_thermal_right,
                Thickness_conn=0.00002,
                T_0=293.15),
              T_0=293.15) "TEG1-49-4.5-2.0-250" annotation (Placement(
                  transformation(extent={{-48,-78},{-12,-44}})));
            ThermoelectricGenerator_V5_7.TEG_Module TEM8(
              L=0.002,
              N=49,
              A=0.0045*0.0045,
              Length=0.062,
              Breadth=0.062,
              redeclare
                ThermoelectricGenerator_V5_7.Packaging.seq_1D_with_storing
                packaging_left(S=2, redeclare
                  ThermoelectricGenerator_V5_7.Packaging_Material_Data.Ceramic_Al2O3
                  Material),
              redeclare
                ThermoelectricGenerator_V5_7.Packaging.seq_1D_with_storing
                packaging_right(S=2, redeclare
                  ThermoelectricGenerator_V5_7.Packaging_Material_Data.Ceramic_Al2O3
                  Material),
              T_CP1=0.00133,
              T_CP2=0.00133,
              redeclare
                ThermoelectricGenerator_V5_7.Inner_TEG.CTEL_1D_dyn_seq_intalpha_contact_res
                inner_TEG(
                N_TE=49,
                A=0.0045*0.0045,
                L=0.002,
                Mode="TEG",
                S=5,
                redeclare
                  ThermoelectricGenerator_V5_7.Packaging_Material_Data.Copper
                  Material_connector,
                redeclare
                  ThermoelectricGenerator_V5_7.Thermoelectric_Material_Data.Bi2_Te3_p_Thermonamic
                  Material_A,
                redeclare
                  ThermoelectricGenerator_V5_7.Thermoelectric_Material_Data.Bi2_Te3_n_Thermonamic
                  Material_B,
                redeclare
                  ThermoelectricGenerator_V5_7.Inner_TEG.Components_for_leg_connection.contact_and_wire_res
                  leg_conn_elec,
                redeclare
                  ThermoelectricGenerator_V5_7.Inner_TEG.Components_for_leg_connection.res_and_storage
                  leg_conn_thermal_left,
                redeclare
                  ThermoelectricGenerator_V5_7.Inner_TEG.Components_for_leg_connection.res_and_storage
                  leg_conn_thermal_right,
                Thickness_conn=0.00002,
                T_0=293.15),
              T_0=293.15) "TEG1-49-4.5-2.0-250"
              annotation (Placement(transformation(extent={{12,-78},{48,-44}})));
            Modelica.Thermal.HeatTransfer.Sources.FixedTemperature RoomTemperature(T(
                  displayUnit="degC") = 294.15)
              annotation (Placement(transformation(extent={{-140,-100},{-120,-80}})));
            Modelica.Thermal.HeatTransfer.Sources.PrescribedTemperature
              prescribedTemperature1
              annotation (Placement(transformation(extent={{-80,50},{-60,70}})));
            Modelica.Thermal.HeatTransfer.Sources.PrescribedTemperature
              prescribedTemperature2
              annotation (Placement(transformation(extent={{-10,-10},{10,10}},
                  rotation=180,
                  origin={90,60})));
            Modelica.Thermal.HeatTransfer.Sources.PrescribedTemperature
              prescribedTemperature3
              annotation (Placement(transformation(extent={{-80,10},{-60,30}})));
            Modelica.Thermal.HeatTransfer.Sources.PrescribedTemperature
              prescribedTemperature4
              annotation (Placement(transformation(extent={{-10,-10},{10,10}},
                  rotation=180,
                  origin={90,20})));
            Modelica.Thermal.HeatTransfer.Sources.PrescribedTemperature
              prescribedTemperature5
              annotation (Placement(transformation(extent={{-80,-30},{-60,-10}})));
            Modelica.Thermal.HeatTransfer.Sources.PrescribedTemperature
              prescribedTemperature6
              annotation (Placement(transformation(extent={{-10,-10},{10,10}},
                  rotation=180,
                  origin={90,-20})));
            Modelica.Thermal.HeatTransfer.Sources.PrescribedTemperature
              prescribedTemperature7
              annotation (Placement(transformation(extent={{-80,-70},{-60,-50}})));
            Modelica.Thermal.HeatTransfer.Sources.PrescribedTemperature
              prescribedTemperature8
              annotation (Placement(transformation(extent={{-10,-10},{10,10}},
                  rotation=180,
                  origin={90,-60})));
            Modelica.Blocks.Sources.Constant const(k=493)
              annotation (Placement(transformation(extent={{-140,-10},{-120,10}})));
            Modelica.Electrical.Analog.Basic.VariableResistor
                                                      resistor(T_ref=293.15)
              annotation (Placement(transformation(extent={{-170,42},{-150,62}})));
            Modelica.Electrical.Analog.Sensors.VoltageSensor voltageSensor
              annotation (Placement(transformation(extent={{-170,70},{-150,90}})));
            Modelica.Electrical.Analog.Sensors.CurrentSensor currentSensor
              annotation (Placement(transformation(extent={{-140,42},{-120,62}})));
            Modelica.Electrical.Analog.Basic.Ground ground
              annotation (Placement(transformation(extent={{140,60},{160,80}})));
            Modelica.Blocks.Math.Product power
              annotation (Placement(transformation(extent={{-130,74},{-110,94}})));
            Modelica.Blocks.Sources.Exponentials Th2(
              riseTime=1080,
              offset=493,
              startTime=180,
              outMax=-173,
              riseTimeConst=180)
              annotation (Placement(transformation(extent={{-10,-10},{10,10}},
                  rotation=180,
                  origin={120,60})));
            Modelica.Blocks.Sources.Exponentials Th4(
              offset=493,
              outMax=-173,
              riseTimeConst=180,
              startTime=360,
              riseTime=900)
              annotation (Placement(transformation(extent={{-10,-10},{10,10}},
                  rotation=180,
                  origin={120,20})));
            Modelica.Blocks.Sources.Exponentials Th6(
              offset=493,
              outMax=-173,
              riseTimeConst=180,
              riseTime=720,
              startTime=540)
              annotation (Placement(transformation(extent={{-10,-10},{10,10}},
                  rotation=180,
                  origin={120,-20})));
            Modelica.Blocks.Sources.Exponentials Th8(
              offset=493,
              outMax=-173,
              riseTimeConst=180,
              riseTime=540,
              startTime=720)
              annotation (Placement(transformation(extent={{-10,-10},{10,10}},
                  rotation=180,
                  origin={120,-60})));
          //*****************************************************************************/

          //equations********************************************************************/
          equation
            R_calc = (R1*R2)/(R1+R2) + (R3*R4)/(R3+R4) + (R5*R6)/(R5+R6) + (R7*R8)/(R7+R8);
            resistor.R = R_calc;

            connect(RoomTemperature.port, TEM7.port_b) annotation (Line(
                points={{-120,-90},{-8,-90},{-8,-60},{-15.8,-60}},
                color={191,0,0},
                smooth=Smooth.None));
            connect(TEM5.port_b, TEM7.port_b) annotation (Line(
                points={{-15.8,-20},{-8,-20},{-8,-60},{-15.8,-60}},
                color={191,0,0},
                smooth=Smooth.None));
            connect(TEM3.port_b, TEM7.port_b) annotation (Line(
                points={{-15.8,20},{-8,20},{-8,-60},{-15.8,-60}},
                color={191,0,0},
                smooth=Smooth.None));
            connect(TEM1.port_b, TEM7.port_b) annotation (Line(
                points={{-15.8,60},{-8,60},{-8,-60},{-15.8,-60}},
                color={191,0,0},
                smooth=Smooth.None));
            connect(TEM2.port_b, TEM7.port_b) annotation (Line(
                points={{44.2,60},{52,60},{52,-90},{-8,-90},{-8,-60},{-15.8,-60}},
                color={191,0,0},
                smooth=Smooth.None));
            connect(TEM4.port_b, TEM7.port_b) annotation (Line(
                points={{44.2,20},{52,20},{52,-90},{-8,-90},{-8,-60},{-15.8,-60}},
                color={191,0,0},
                smooth=Smooth.None));
            connect(TEM6.port_b, TEM7.port_b) annotation (Line(
                points={{44.2,-20},{52,-20},{52,-90},{-8,-90},{-8,-60},{-15.8,-60}},
                color={191,0,0},
                smooth=Smooth.None));
            connect(TEM8.port_b, TEM7.port_b) annotation (Line(
                points={{44.2,-60},{52,-60},{52,-90},{-8,-90},{-8,-60},{-15.8,-60}},
                color={191,0,0},
                smooth=Smooth.None));
            connect(prescribedTemperature7.port, TEM7.port_a) annotation (Line(
                points={{-60,-60},{-46,-60}},
                color={191,0,0},
                smooth=Smooth.None));
            connect(prescribedTemperature5.port, TEM5.port_a) annotation (Line(
                points={{-60,-20},{-46,-20}},
                color={191,0,0},
                smooth=Smooth.None));
            connect(prescribedTemperature3.port, TEM3.port_a) annotation (Line(
                points={{-60,20},{-46,20}},
                color={191,0,0},
                smooth=Smooth.None));
            connect(prescribedTemperature1.port, TEM1.port_a) annotation (Line(
                points={{-60,60},{-46,60}},
                color={191,0,0},
                smooth=Smooth.None));
            connect(prescribedTemperature2.port, TEM2.port_a) annotation (Line(
                points={{80,60},{60,60},{60,80},{0,80},{0,60},{14,60}},
                color={191,0,0},
                smooth=Smooth.None));
            connect(prescribedTemperature4.port, TEM4.port_a) annotation (Line(
                points={{80,20},{60,20},{60,40},{0,40},{0,20},{14,20}},
                color={191,0,0},
                smooth=Smooth.None));
            connect(prescribedTemperature6.port, TEM6.port_a) annotation (Line(
                points={{80,-20},{60,-20},{60,0},{0,0},{0,-20},{14,-20}},
                color={191,0,0},
                smooth=Smooth.None));
            connect(prescribedTemperature8.port, TEM8.port_a) annotation (Line(
                points={{80,-60},{60,-60},{60,-40},{0,-40},{0,-60},{14,-60}},
                color={191,0,0},
                smooth=Smooth.None));
            connect(const.y, prescribedTemperature3.T) annotation (Line(
                points={{-119,0},{-100,0},{-100,20},{-82,20}},
                color={0,0,127},
                smooth=Smooth.None));
            connect(prescribedTemperature1.T, prescribedTemperature3.T) annotation (
                Line(
                points={{-82,60},{-100,60},{-100,20},{-82,20}},
                color={0,0,127},
                smooth=Smooth.None));
            connect(prescribedTemperature7.T, prescribedTemperature3.T) annotation (
                Line(
                points={{-82,-60},{-100,-60},{-100,20},{-82,20}},
                color={0,0,127},
                smooth=Smooth.None));
            connect(prescribedTemperature5.T, prescribedTemperature3.T) annotation (
                Line(
                points={{-82,-20},{-100,-20},{-100,20},{-82,20}},
                color={0,0,127},
                smooth=Smooth.None));

            connect(TEM7.pin_p, TEM8.pin_p) annotation (Line(
                points={{-46,-70},{-46,-78},{14,-78},{14,-70}},
                color={0,0,255},
                smooth=Smooth.None));
            connect(TEM7.pin_n, TEM8.pin_n) annotation (Line(
                points={{-46,-49.8},{-46,-44},{14,-44},{14,-49.8}},
                color={0,0,255},
                smooth=Smooth.None));
            connect(TEM5.pin_p, TEM6.pin_p) annotation (Line(
                points={{-46,-30},{-46,-38},{14,-38},{14,-30}},
                color={0,0,255},
                smooth=Smooth.None));
            connect(TEM5.pin_p, TEM8.pin_n) annotation (Line(
                points={{-46,-30},{-46,-38},{-4,-38},{-4,-44},{14,-44},{14,-49.8}},
                color={0,0,255},
                smooth=Smooth.None));
            connect(TEM5.pin_n, TEM6.pin_n) annotation (Line(
                points={{-46,-9.8},{-46,-4},{14,-4},{14,-9.8}},
                color={0,0,255},
                smooth=Smooth.None));
            connect(TEM3.pin_p, TEM4.pin_p) annotation (Line(
                points={{-46,10},{-46,2},{14,2},{14,10}},
                color={0,0,255},
                smooth=Smooth.None));
            connect(TEM3.pin_p, TEM6.pin_n) annotation (Line(
                points={{-46,10},{-46,2},{-4,2},{-4,-4},{14,-4},{14,-9.8}},
                color={0,0,255},
                smooth=Smooth.None));
            connect(TEM3.pin_n, TEM4.pin_n) annotation (Line(
                points={{-46,30.2},{-46,36},{14,36},{14,30.2}},
                color={0,0,255},
                smooth=Smooth.None));
            connect(TEM1.pin_p, TEM2.pin_p) annotation (Line(
                points={{-46,50},{-46,42},{14,42},{14,50}},
                color={0,0,255},
                smooth=Smooth.None));
            connect(TEM1.pin_p, TEM4.pin_n) annotation (Line(
                points={{-46,50},{-46,42},{-4,42},{-4,36},{14,36},{14,30.2}},
                color={0,0,255},
                smooth=Smooth.None));
            connect(TEM1.pin_n, TEM2.pin_n) annotation (Line(
                points={{-46,70.2},{-46,76},{14,76},{14,70.2}},
                color={0,0,255},
                smooth=Smooth.None));
            connect(resistor.p, TEM8.pin_p) annotation (Line(
                points={{-170,52},{-170,-62},{-110,-62},{-110,-84},{-4,-84},{-4,-78},
                    {14,-78},{14,-70}},
                color={0,0,255},
                smooth=Smooth.None));
            connect(resistor.n, currentSensor.p) annotation (Line(
                points={{-150,52},{-140,52}},
                color={0,0,255},
                smooth=Smooth.None));
            connect(currentSensor.n, TEM2.pin_n) annotation (Line(
                points={{-120,52},{-102,52},{-102,84},{-4,84},{-4,76},{14,76},{14,
                    70.2}},
                color={0,0,255},
                smooth=Smooth.None));
            connect(ground.p, TEM2.pin_n) annotation (Line(
                points={{150,80},{72,80},{72,84},{-4,84},{-4,76},{14,76},{14,70.2}},
                color={0,0,255},
                smooth=Smooth.None));
            connect(voltageSensor.p, TEM8.pin_p) annotation (Line(
                points={{-170,80},{-170,-62},{-110,-62},{-110,-84},{-4,-84},{-4,-78},
                    {14,-78},{14,-70}},
                color={0,0,255},
                smooth=Smooth.None));
            connect(voltageSensor.n, resistor.n) annotation (Line(
                points={{-150,80},{-150,52}},
                color={0,0,255},
                smooth=Smooth.None));
            connect(voltageSensor.v, power.u1) annotation (Line(
                points={{-160,70},{-146,70},{-146,90},{-132,90}},
                color={0,0,127},
                smooth=Smooth.None));
            connect(currentSensor.i, power.u2) annotation (Line(
                points={{-130,42},{-144,42},{-144,78},{-132,78}},
                color={0,0,127},
                smooth=Smooth.None));
            connect(Th2.y, prescribedTemperature2.T) annotation (Line(
                points={{109,60},{102,60}},
                color={0,0,127},
                smooth=Smooth.None));
            connect(Th4.y, prescribedTemperature4.T) annotation (Line(
                points={{109,20},{102,20}},
                color={0,0,127},
                smooth=Smooth.None));
            connect(Th6.y, prescribedTemperature6.T) annotation (Line(
                points={{109,-20},{102,-20}},
                color={0,0,127},
                smooth=Smooth.None));
            connect(Th8.y, prescribedTemperature8.T) annotation (Line(
                points={{109,-60},{102,-60}},
                color={0,0,127},
                smooth=Smooth.None));
          //*****************************************************************************/

          annotation (Documentation(info="<html>
   <p>
**************************************************************************** <br>
  <b> Copyright (C) 2015-2017 Chair of Automation and Energy Systems, Saarland University </b> <br>
------------------------------------------------------------------------------------------------------------------ <br>
  This file is part of EHSTEG. <p>                    
  
  For more information see <a href=\"//EHSTEG.UsersGuide\">User's Guide</a> <p>
  
**************************************************************************** <p>
</html>
"),                      Diagram(coordinateSystem(extent={{-180,-100},{180,100}},
                    preserveAspectRatio=false), graphics), Icon(coordinateSystem(
                    extent={{-180,-100},{180,100}})),
              experiment(StopTime=1080),
              __Dymola_experimentSetupOutput);
          end SecV_ThirdConfigFix;

          model SecV_ThirdConfigRemoveRevival
            "reproduce the conditions from M. Chen, section five, third configuration - reconfigurable configuration of TEGs"

            //Copyright (C) 2015-2017 Chair of Automation and Energy Systems, Saarland University (for more information see 'Documentation')

          //import***********************************************************************/
              import Modelica.SIunits.*;
          //*****************************************************************************/

          //parameter definition*********************************************************/
            Resistance R1 = TEM1.inner_TEG.R "resistance of TEG1"; // Ohm
            Resistance R2 = TEM2.inner_TEG.R "resistance of TEG2"; // Ohm
            Resistance R3 = TEM3.inner_TEG.R "resistance of TEG3"; // Ohm
            Resistance R4 = TEM4.inner_TEG.R "resistance of TEG4"; // Ohm
            Resistance R5 = TEM5.inner_TEG.R "resistance of TEG5"; // Ohm
            Resistance R6 = TEM6.inner_TEG.R "resistance of TEG6"; // Ohm
            Resistance R7 = TEM7.inner_TEG.R "resistance of TEG7"; // Ohm
            Resistance R8 = TEM8.inner_TEG.R "resistance of TEG8"; // Ohm

            Resistance  R_calc "internal resistance of the TEG circuit"; // Ohm
          //*****************************************************************************/

          //used components**************************************************************/
            ThermoelectricGenerator_V5_7.TEG_Module TEM1(
              L=0.002,
              N=49,
              A=0.0045*0.0045,
              Length=0.062,
              Breadth=0.062,
              redeclare
                ThermoelectricGenerator_V5_7.Packaging.seq_1D_with_storing
                packaging_left(S=2, redeclare
                  ThermoelectricGenerator_V5_7.Packaging_Material_Data.Ceramic_Al2O3
                  Material),
              redeclare
                ThermoelectricGenerator_V5_7.Packaging.seq_1D_with_storing
                packaging_right(S=2, redeclare
                  ThermoelectricGenerator_V5_7.Packaging_Material_Data.Ceramic_Al2O3
                  Material),
              T_CP1=0.00133,
              T_CP2=0.00133,
              redeclare
                ThermoelectricGenerator_V5_7.Inner_TEG.CTEL_1D_dyn_seq_intalpha_contact_res
                inner_TEG(
                N_TE=49,
                A=0.0045*0.0045,
                L=0.002,
                Mode="TEG",
                S=5,
                redeclare
                  ThermoelectricGenerator_V5_7.Packaging_Material_Data.Copper
                  Material_connector,
                redeclare
                  ThermoelectricGenerator_V5_7.Thermoelectric_Material_Data.Bi2_Te3_p_Thermonamic
                  Material_A,
                redeclare
                  ThermoelectricGenerator_V5_7.Thermoelectric_Material_Data.Bi2_Te3_n_Thermonamic
                  Material_B,
                redeclare
                  ThermoelectricGenerator_V5_7.Inner_TEG.Components_for_leg_connection.contact_and_wire_res
                  leg_conn_elec,
                redeclare
                  ThermoelectricGenerator_V5_7.Inner_TEG.Components_for_leg_connection.res_and_storage
                  leg_conn_thermal_left,
                redeclare
                  ThermoelectricGenerator_V5_7.Inner_TEG.Components_for_leg_connection.res_and_storage
                  leg_conn_thermal_right,
                Thickness_conn=0.00002,
                T_0=293.15),
              T_0=293.15) "TEG1-49-4.5-2.0-250"
              annotation (Placement(transformation(extent={{-48,42},{-12,76}})));
            ThermoelectricGenerator_V5_7.TEG_Module TEM2(
              L=0.002,
              N=49,
              A=0.0045*0.0045,
              Length=0.062,
              Breadth=0.062,
              redeclare
                ThermoelectricGenerator_V5_7.Packaging.seq_1D_with_storing
                packaging_left(S=2, redeclare
                  ThermoelectricGenerator_V5_7.Packaging_Material_Data.Ceramic_Al2O3
                  Material),
              redeclare
                ThermoelectricGenerator_V5_7.Packaging.seq_1D_with_storing
                packaging_right(S=2, redeclare
                  ThermoelectricGenerator_V5_7.Packaging_Material_Data.Ceramic_Al2O3
                  Material),
              T_CP1=0.00133,
              T_CP2=0.00133,
              redeclare
                ThermoelectricGenerator_V5_7.Inner_TEG.CTEL_1D_dyn_seq_intalpha_contact_res
                inner_TEG(
                N_TE=49,
                A=0.0045*0.0045,
                L=0.002,
                Mode="TEG",
                S=5,
                redeclare
                  ThermoelectricGenerator_V5_7.Packaging_Material_Data.Copper
                  Material_connector,
                redeclare
                  ThermoelectricGenerator_V5_7.Thermoelectric_Material_Data.Bi2_Te3_p_Thermonamic
                  Material_A,
                redeclare
                  ThermoelectricGenerator_V5_7.Thermoelectric_Material_Data.Bi2_Te3_n_Thermonamic
                  Material_B,
                redeclare
                  ThermoelectricGenerator_V5_7.Inner_TEG.Components_for_leg_connection.contact_and_wire_res
                  leg_conn_elec,
                redeclare
                  ThermoelectricGenerator_V5_7.Inner_TEG.Components_for_leg_connection.res_and_storage
                  leg_conn_thermal_left,
                redeclare
                  ThermoelectricGenerator_V5_7.Inner_TEG.Components_for_leg_connection.res_and_storage
                  leg_conn_thermal_right,
                Thickness_conn=0.00002,
                T_0=293.15),
              T_0=293.15) "TEG1-49-4.5-2.0-250"
              annotation (Placement(transformation(extent={{12,42},{48,76}})));
            ThermoelectricGenerator_V5_7.TEG_Module TEM3(
              L=0.002,
              N=49,
              A=0.0045*0.0045,
              Length=0.062,
              Breadth=0.062,
              redeclare
                ThermoelectricGenerator_V5_7.Packaging.seq_1D_with_storing
                packaging_left(S=2, redeclare
                  ThermoelectricGenerator_V5_7.Packaging_Material_Data.Ceramic_Al2O3
                  Material),
              redeclare
                ThermoelectricGenerator_V5_7.Packaging.seq_1D_with_storing
                packaging_right(S=2, redeclare
                  ThermoelectricGenerator_V5_7.Packaging_Material_Data.Ceramic_Al2O3
                  Material),
              T_CP1=0.00133,
              T_CP2=0.00133,
              redeclare
                ThermoelectricGenerator_V5_7.Inner_TEG.CTEL_1D_dyn_seq_intalpha_contact_res
                inner_TEG(
                N_TE=49,
                A=0.0045*0.0045,
                L=0.002,
                Mode="TEG",
                S=5,
                redeclare
                  ThermoelectricGenerator_V5_7.Packaging_Material_Data.Copper
                  Material_connector,
                redeclare
                  ThermoelectricGenerator_V5_7.Thermoelectric_Material_Data.Bi2_Te3_p_Thermonamic
                  Material_A,
                redeclare
                  ThermoelectricGenerator_V5_7.Thermoelectric_Material_Data.Bi2_Te3_n_Thermonamic
                  Material_B,
                redeclare
                  ThermoelectricGenerator_V5_7.Inner_TEG.Components_for_leg_connection.contact_and_wire_res
                  leg_conn_elec,
                redeclare
                  ThermoelectricGenerator_V5_7.Inner_TEG.Components_for_leg_connection.res_and_storage
                  leg_conn_thermal_left,
                redeclare
                  ThermoelectricGenerator_V5_7.Inner_TEG.Components_for_leg_connection.res_and_storage
                  leg_conn_thermal_right,
                Thickness_conn=0.00002,
                T_0=293.15),
              T_0=293.15) "TEG1-49-4.5-2.0-250"
              annotation (Placement(transformation(extent={{-48,2},{-12,36}})));
            ThermoelectricGenerator_V5_7.TEG_Module TEM4(
              L=0.002,
              N=49,
              A=0.0045*0.0045,
              Length=0.062,
              Breadth=0.062,
              redeclare
                ThermoelectricGenerator_V5_7.Packaging.seq_1D_with_storing
                packaging_left(S=2, redeclare
                  ThermoelectricGenerator_V5_7.Packaging_Material_Data.Ceramic_Al2O3
                  Material),
              redeclare
                ThermoelectricGenerator_V5_7.Packaging.seq_1D_with_storing
                packaging_right(S=2, redeclare
                  ThermoelectricGenerator_V5_7.Packaging_Material_Data.Ceramic_Al2O3
                  Material),
              T_CP1=0.00133,
              T_CP2=0.00133,
              redeclare
                ThermoelectricGenerator_V5_7.Inner_TEG.CTEL_1D_dyn_seq_intalpha_contact_res
                inner_TEG(
                N_TE=49,
                A=0.0045*0.0045,
                L=0.002,
                Mode="TEG",
                S=5,
                redeclare
                  ThermoelectricGenerator_V5_7.Packaging_Material_Data.Copper
                  Material_connector,
                redeclare
                  ThermoelectricGenerator_V5_7.Thermoelectric_Material_Data.Bi2_Te3_p_Thermonamic
                  Material_A,
                redeclare
                  ThermoelectricGenerator_V5_7.Thermoelectric_Material_Data.Bi2_Te3_n_Thermonamic
                  Material_B,
                redeclare
                  ThermoelectricGenerator_V5_7.Inner_TEG.Components_for_leg_connection.contact_and_wire_res
                  leg_conn_elec,
                redeclare
                  ThermoelectricGenerator_V5_7.Inner_TEG.Components_for_leg_connection.res_and_storage
                  leg_conn_thermal_left,
                redeclare
                  ThermoelectricGenerator_V5_7.Inner_TEG.Components_for_leg_connection.res_and_storage
                  leg_conn_thermal_right,
                Thickness_conn=0.00002,
                T_0=293.15),
              T_0=293.15) "TEG1-49-4.5-2.0-250"
              annotation (Placement(transformation(extent={{12,2},{48,36}})));
            ThermoelectricGenerator_V5_7.TEG_Module TEM5(
              L=0.002,
              N=49,
              A=0.0045*0.0045,
              Length=0.062,
              Breadth=0.062,
              redeclare
                ThermoelectricGenerator_V5_7.Packaging.seq_1D_with_storing
                packaging_left(S=2, redeclare
                  ThermoelectricGenerator_V5_7.Packaging_Material_Data.Ceramic_Al2O3
                  Material),
              redeclare
                ThermoelectricGenerator_V5_7.Packaging.seq_1D_with_storing
                packaging_right(S=2, redeclare
                  ThermoelectricGenerator_V5_7.Packaging_Material_Data.Ceramic_Al2O3
                  Material),
              T_CP1=0.00133,
              T_CP2=0.00133,
              redeclare
                ThermoelectricGenerator_V5_7.Inner_TEG.CTEL_1D_dyn_seq_intalpha_contact_res
                inner_TEG(
                N_TE=49,
                A=0.0045*0.0045,
                L=0.002,
                Mode="TEG",
                S=5,
                redeclare
                  ThermoelectricGenerator_V5_7.Packaging_Material_Data.Copper
                  Material_connector,
                redeclare
                  ThermoelectricGenerator_V5_7.Thermoelectric_Material_Data.Bi2_Te3_p_Thermonamic
                  Material_A,
                redeclare
                  ThermoelectricGenerator_V5_7.Thermoelectric_Material_Data.Bi2_Te3_n_Thermonamic
                  Material_B,
                redeclare
                  ThermoelectricGenerator_V5_7.Inner_TEG.Components_for_leg_connection.contact_and_wire_res
                  leg_conn_elec,
                redeclare
                  ThermoelectricGenerator_V5_7.Inner_TEG.Components_for_leg_connection.res_and_storage
                  leg_conn_thermal_left,
                redeclare
                  ThermoelectricGenerator_V5_7.Inner_TEG.Components_for_leg_connection.res_and_storage
                  leg_conn_thermal_right,
                Thickness_conn=0.00002,
                T_0=293.15),
              T_0=293.15) "TEG1-49-4.5-2.0-250"
              annotation (Placement(transformation(extent={{-48,-38},{-12,-4}})));
            ThermoelectricGenerator_V5_7.TEG_Module TEM6(
              L=0.002,
              N=49,
              A=0.0045*0.0045,
              Length=0.062,
              Breadth=0.062,
              redeclare
                ThermoelectricGenerator_V5_7.Packaging.seq_1D_with_storing
                packaging_left(S=2, redeclare
                  ThermoelectricGenerator_V5_7.Packaging_Material_Data.Ceramic_Al2O3
                  Material),
              redeclare
                ThermoelectricGenerator_V5_7.Packaging.seq_1D_with_storing
                packaging_right(S=2, redeclare
                  ThermoelectricGenerator_V5_7.Packaging_Material_Data.Ceramic_Al2O3
                  Material),
              T_CP1=0.00133,
              T_CP2=0.00133,
              redeclare
                ThermoelectricGenerator_V5_7.Inner_TEG.CTEL_1D_dyn_seq_intalpha_contact_res
                inner_TEG(
                N_TE=49,
                A=0.0045*0.0045,
                L=0.002,
                Mode="TEG",
                S=5,
                redeclare
                  ThermoelectricGenerator_V5_7.Packaging_Material_Data.Copper
                  Material_connector,
                redeclare
                  ThermoelectricGenerator_V5_7.Thermoelectric_Material_Data.Bi2_Te3_p_Thermonamic
                  Material_A,
                redeclare
                  ThermoelectricGenerator_V5_7.Thermoelectric_Material_Data.Bi2_Te3_n_Thermonamic
                  Material_B,
                redeclare
                  ThermoelectricGenerator_V5_7.Inner_TEG.Components_for_leg_connection.contact_and_wire_res
                  leg_conn_elec,
                redeclare
                  ThermoelectricGenerator_V5_7.Inner_TEG.Components_for_leg_connection.res_and_storage
                  leg_conn_thermal_left,
                redeclare
                  ThermoelectricGenerator_V5_7.Inner_TEG.Components_for_leg_connection.res_and_storage
                  leg_conn_thermal_right,
                Thickness_conn=0.00002,
                T_0=293.15),
              T_0=293.15) "TEG1-49-4.5-2.0-250"
              annotation (Placement(transformation(extent={{12,-38},{48,-4}})));
            ThermoelectricGenerator_V5_7.TEG_Module TEM7(
              L=0.002,
              N=49,
              A=0.0045*0.0045,
              Length=0.062,
              Breadth=0.062,
              redeclare
                ThermoelectricGenerator_V5_7.Packaging.seq_1D_with_storing
                packaging_left(S=2, redeclare
                  ThermoelectricGenerator_V5_7.Packaging_Material_Data.Ceramic_Al2O3
                  Material),
              redeclare
                ThermoelectricGenerator_V5_7.Packaging.seq_1D_with_storing
                packaging_right(S=2, redeclare
                  ThermoelectricGenerator_V5_7.Packaging_Material_Data.Ceramic_Al2O3
                  Material),
              T_CP1=0.00133,
              T_CP2=0.00133,
              redeclare
                ThermoelectricGenerator_V5_7.Inner_TEG.CTEL_1D_dyn_seq_intalpha_contact_res
                inner_TEG(
                N_TE=49,
                A=0.0045*0.0045,
                L=0.002,
                Mode="TEG",
                S=5,
                redeclare
                  ThermoelectricGenerator_V5_7.Packaging_Material_Data.Copper
                  Material_connector,
                redeclare
                  ThermoelectricGenerator_V5_7.Thermoelectric_Material_Data.Bi2_Te3_p_Thermonamic
                  Material_A,
                redeclare
                  ThermoelectricGenerator_V5_7.Thermoelectric_Material_Data.Bi2_Te3_n_Thermonamic
                  Material_B,
                redeclare
                  ThermoelectricGenerator_V5_7.Inner_TEG.Components_for_leg_connection.contact_and_wire_res
                  leg_conn_elec,
                redeclare
                  ThermoelectricGenerator_V5_7.Inner_TEG.Components_for_leg_connection.res_and_storage
                  leg_conn_thermal_left,
                redeclare
                  ThermoelectricGenerator_V5_7.Inner_TEG.Components_for_leg_connection.res_and_storage
                  leg_conn_thermal_right,
                Thickness_conn=0.00002,
                T_0=293.15),
              T_0=293.15) "TEG1-49-4.5-2.0-250" annotation (Placement(
                  transformation(extent={{-48,-78},{-12,-44}})));
            ThermoelectricGenerator_V5_7.TEG_Module TEM8(
              L=0.002,
              N=49,
              A=0.0045*0.0045,
              Length=0.062,
              Breadth=0.062,
              redeclare
                ThermoelectricGenerator_V5_7.Packaging.seq_1D_with_storing
                packaging_left(S=2, redeclare
                  ThermoelectricGenerator_V5_7.Packaging_Material_Data.Ceramic_Al2O3
                  Material),
              redeclare
                ThermoelectricGenerator_V5_7.Packaging.seq_1D_with_storing
                packaging_right(S=2, redeclare
                  ThermoelectricGenerator_V5_7.Packaging_Material_Data.Ceramic_Al2O3
                  Material),
              T_CP1=0.00133,
              T_CP2=0.00133,
              redeclare
                ThermoelectricGenerator_V5_7.Inner_TEG.CTEL_1D_dyn_seq_intalpha_contact_res
                inner_TEG(
                N_TE=49,
                A=0.0045*0.0045,
                L=0.002,
                Mode="TEG",
                S=5,
                redeclare
                  ThermoelectricGenerator_V5_7.Packaging_Material_Data.Copper
                  Material_connector,
                redeclare
                  ThermoelectricGenerator_V5_7.Thermoelectric_Material_Data.Bi2_Te3_p_Thermonamic
                  Material_A,
                redeclare
                  ThermoelectricGenerator_V5_7.Thermoelectric_Material_Data.Bi2_Te3_n_Thermonamic
                  Material_B,
                redeclare
                  ThermoelectricGenerator_V5_7.Inner_TEG.Components_for_leg_connection.contact_and_wire_res
                  leg_conn_elec,
                redeclare
                  ThermoelectricGenerator_V5_7.Inner_TEG.Components_for_leg_connection.res_and_storage
                  leg_conn_thermal_left,
                redeclare
                  ThermoelectricGenerator_V5_7.Inner_TEG.Components_for_leg_connection.res_and_storage
                  leg_conn_thermal_right,
                Thickness_conn=0.00002,
                T_0=293.15),
              T_0=293.15) "TEG1-49-4.5-2.0-250"
              annotation (Placement(transformation(extent={{12,-78},{48,-44}})));
            Modelica.Thermal.HeatTransfer.Sources.FixedTemperature RoomTemperature(T(
                  displayUnit="degC") = 294.15)
              annotation (Placement(transformation(extent={{-140,-100},{-120,-80}})));
            Modelica.Thermal.HeatTransfer.Sources.PrescribedTemperature
              prescribedTemperature1
              annotation (Placement(transformation(extent={{-80,50},{-60,70}})));
            Modelica.Thermal.HeatTransfer.Sources.PrescribedTemperature
              prescribedTemperature2
              annotation (Placement(transformation(extent={{-10,-10},{10,10}},
                  rotation=180,
                  origin={90,60})));
            Modelica.Thermal.HeatTransfer.Sources.PrescribedTemperature
              prescribedTemperature3
              annotation (Placement(transformation(extent={{-80,10},{-60,30}})));
            Modelica.Thermal.HeatTransfer.Sources.PrescribedTemperature
              prescribedTemperature4
              annotation (Placement(transformation(extent={{-10,-10},{10,10}},
                  rotation=180,
                  origin={90,20})));
            Modelica.Thermal.HeatTransfer.Sources.PrescribedTemperature
              prescribedTemperature5
              annotation (Placement(transformation(extent={{-80,-30},{-60,-10}})));
            Modelica.Thermal.HeatTransfer.Sources.PrescribedTemperature
              prescribedTemperature6
              annotation (Placement(transformation(extent={{-10,-10},{10,10}},
                  rotation=180,
                  origin={90,-20})));
            Modelica.Thermal.HeatTransfer.Sources.PrescribedTemperature
              prescribedTemperature7
              annotation (Placement(transformation(extent={{-80,-70},{-60,-50}})));
            Modelica.Thermal.HeatTransfer.Sources.PrescribedTemperature
              prescribedTemperature8
              annotation (Placement(transformation(extent={{-10,-10},{10,10}},
                  rotation=180,
                  origin={90,-60})));
            Modelica.Blocks.Sources.Constant const(k=493)
              annotation (Placement(transformation(extent={{-140,-10},{-120,10}})));
            Modelica.Electrical.Analog.Sensors.VoltageSensor voltageSensor
              annotation (Placement(transformation(extent={{-170,70},{-150,90}})));
            Modelica.Electrical.Analog.Sensors.CurrentSensor currentSensor
              annotation (Placement(transformation(extent={{-140,42},{-120,62}})));
            Modelica.Electrical.Analog.Basic.Ground ground
              annotation (Placement(transformation(extent={{140,60},{160,80}})));
            Modelica.Blocks.Math.Product power
              annotation (Placement(transformation(extent={{-130,74},{-110,94}})));
            Modelica.Blocks.Sources.Exponentials Th2(
              riseTime=1080,
              offset=493,
              startTime=180,
              outMax=-173,
              riseTimeConst=180)
              annotation (Placement(transformation(extent={{-10,-10},{10,10}},
                  rotation=180,
                  origin={120,60})));
            Modelica.Blocks.Sources.Exponentials Th4(
              offset=493,
              outMax=-173,
              riseTimeConst=180,
              startTime=360,
              riseTime=900)
              annotation (Placement(transformation(extent={{-10,-10},{10,10}},
                  rotation=180,
                  origin={120,20})));
            Modelica.Blocks.Sources.Exponentials Th6(
              offset=493,
              outMax=-173,
              riseTimeConst=180,
              riseTime=720,
              startTime=540)
              annotation (Placement(transformation(extent={{-10,-10},{10,10}},
                  rotation=180,
                  origin={120,-20})));
            Modelica.Blocks.Sources.Exponentials Th8(
              offset=493,
              outMax=-173,
              riseTimeConst=180,
              riseTime=540,
              startTime=720)
              annotation (Placement(transformation(extent={{-10,-10},{10,10}},
                  rotation=180,
                  origin={120,-60})));
            Modelica.Electrical.Analog.Ideal.IdealClosingSwitch K1 annotation (
                Placement(transformation(
                  extent={{-7,-7},{7,7}},
                  rotation=90,
                  origin={5,63})));
            Modelica.Electrical.Analog.Ideal.IdealClosingSwitch K2 annotation (
                Placement(transformation(
                  extent={{-7,-7},{7,7}},
                  rotation=90,
                  origin={5,23})));
            Modelica.Electrical.Analog.Ideal.IdealClosingSwitch K3 annotation (
                Placement(transformation(
                  extent={{-7,-7},{7,7}},
                  rotation=90,
                  origin={5,-17})));
            Modelica.Electrical.Analog.Ideal.IdealClosingSwitch K4 annotation (
                Placement(transformation(
                  extent={{-7,-7},{7,7}},
                  rotation=90,
                  origin={5,-57})));
            Modelica.Blocks.Sources.BooleanPulse b_1_2(
              width=10,
              startTime=720,
              period=6300)
              annotation (Placement(transformation(extent={{-74,-98},{-66,-90}})));
            Modelica.Blocks.Logical.Not not1_2
                                             annotation (Placement(transformation(
                  extent={{-4,-4},{4,4}},
                  rotation=0,
                  origin={-56,-94})));
            Modelica.Blocks.Sources.BooleanPulse b_3(
              width=10,
              period=4500,
              startTime=900)
              annotation (Placement(transformation(extent={{-24,-98},{-16,-90}})));
            Modelica.Blocks.Logical.Not not3 annotation (Placement(transformation(
                  extent={{-4,-4},{4,4}},
                  rotation=0,
                  origin={-6,-94})));
            Modelica.Blocks.Sources.BooleanPulse b_4(
              width=10,
              period=3060,
              startTime=1044)
              annotation (Placement(transformation(extent={{24,-98},{32,-90}})));
            Modelica.Blocks.Logical.Not not8 annotation (Placement(transformation(
                  extent={{-4,-4},{4,4}},
                  rotation=0,
                  origin={42,-94})));
            Modelica.Electrical.Analog.Basic.VariableResistor variableResistor(T_ref=
                  293.15)
              annotation (Placement(transformation(extent={{-168,42},{-148,62}})));
            Modelica.Blocks.Sources.TimeTable timeTable(table=[0,0.769078; 719,
                  0.769078; 720,1.153617; 1043,1.153617; 1044,1.538156; 1349,1.538156;
                  1350,0.769078; 1620,0.769078])
              annotation (Placement(transformation(extent={{-168,12},{-148,32}})));
          //*****************************************************************************/

          //equations********************************************************************/
          equation
            if b_1_2.y == true then

              if b_3.y == true then

                  if b_4.y == true then
                    R_calc = R1 + R3 + R5 + R7;
                  else
                    R_calc = R1 + R3 + R5 + (R7*R8)/(R7+R8);
                  end if;

              else
                R_calc = R1 + R3 + (R5*R6)/(R5+R6) + (R7*R8)/(R7+R8);
              end if;

            else
              R_calc = (R1*R2)/(R1+R2) + (R3*R4)/(R3+R4) + (R5*R6)/(R5+R6) + (R7*R8)/(R7+R8);
            end if;

            variableResistor.R = R_calc;

            connect(RoomTemperature.port, TEM7.port_b) annotation (Line(
                points={{-120,-90},{-8,-90},{-8,-60},{-15.8,-60}},
                color={191,0,0},
                smooth=Smooth.None,
                visible=false));
            connect(TEM5.port_b, TEM7.port_b) annotation (Line(
                points={{-15.8,-20},{-8,-20},{-8,-60},{-15.8,-60}},
                color={191,0,0},
                smooth=Smooth.None,
                visible=false));
            connect(TEM3.port_b, TEM7.port_b) annotation (Line(
                points={{-15.8,20},{-8,20},{-8,-60},{-15.8,-60}},
                color={191,0,0},
                smooth=Smooth.None,
                visible=false));
            connect(TEM1.port_b, TEM7.port_b) annotation (Line(
                points={{-15.8,60},{-8,60},{-8,-60},{-15.8,-60}},
                color={191,0,0},
                smooth=Smooth.None,
                visible=false));
            connect(TEM2.port_b, TEM7.port_b) annotation (Line(
                points={{44.2,60},{52,60},{52,-90},{-8,-90},{-8,-60},{-15.8,-60}},
                color={191,0,0},
                smooth=Smooth.None,
                visible=false));
            connect(TEM4.port_b, TEM7.port_b) annotation (Line(
                points={{44.2,20},{52,20},{52,-90},{-8,-90},{-8,-60},{-15.8,-60}},
                color={191,0,0},
                smooth=Smooth.None,
                visible=false));
            connect(TEM6.port_b, TEM7.port_b) annotation (Line(
                points={{44.2,-20},{52,-20},{52,-90},{-8,-90},{-8,-60},{-15.8,-60}},
                color={191,0,0},
                smooth=Smooth.None,
                visible=false));
            connect(TEM8.port_b, TEM7.port_b) annotation (Line(
                points={{44.2,-60},{52,-60},{52,-90},{-8,-90},{-8,-60},{-15.8,-60}},
                color={191,0,0},
                smooth=Smooth.None,
                visible=false));
            connect(prescribedTemperature7.port, TEM7.port_a) annotation (Line(
                points={{-60,-60},{-46,-60}},
                color={191,0,0},
                smooth=Smooth.None));
            connect(prescribedTemperature5.port, TEM5.port_a) annotation (Line(
                points={{-60,-20},{-46,-20}},
                color={191,0,0},
                smooth=Smooth.None));
            connect(prescribedTemperature3.port, TEM3.port_a) annotation (Line(
                points={{-60,20},{-46,20}},
                color={191,0,0},
                smooth=Smooth.None));
            connect(prescribedTemperature1.port, TEM1.port_a) annotation (Line(
                points={{-60,60},{-46,60}},
                color={191,0,0},
                smooth=Smooth.None));
            connect(prescribedTemperature2.port, TEM2.port_a) annotation (Line(
                points={{80,60},{60,60},{60,80},{0,80},{0,60},{14,60}},
                color={191,0,0},
                smooth=Smooth.None,
                visible=false));
            connect(prescribedTemperature4.port, TEM4.port_a) annotation (Line(
                points={{80,20},{60,20},{60,40},{0,40},{0,20},{14,20}},
                color={191,0,0},
                smooth=Smooth.None,
                visible=false));
            connect(prescribedTemperature6.port, TEM6.port_a) annotation (Line(
                points={{80,-20},{60,-20},{60,0},{0,0},{0,-20},{14,-20}},
                color={191,0,0},
                smooth=Smooth.None,
                visible=false));
            connect(prescribedTemperature8.port, TEM8.port_a) annotation (Line(
                points={{80,-60},{60,-60},{60,-40},{0,-40},{0,-60},{14,-60}},
                color={191,0,0},
                smooth=Smooth.None,
                visible=false));
            connect(const.y, prescribedTemperature3.T) annotation (Line(
                points={{-119,0},{-100,0},{-100,20},{-82,20}},
                color={0,0,127},
                smooth=Smooth.None));
            connect(prescribedTemperature1.T, prescribedTemperature3.T) annotation (
                Line(
                points={{-82,60},{-100,60},{-100,20},{-82,20}},
                color={0,0,127},
                smooth=Smooth.None));
            connect(prescribedTemperature7.T, prescribedTemperature3.T) annotation (
                Line(
                points={{-82,-60},{-100,-60},{-100,20},{-82,20}},
                color={0,0,127},
                smooth=Smooth.None));
            connect(prescribedTemperature5.T, prescribedTemperature3.T) annotation (
                Line(
                points={{-82,-20},{-100,-20},{-100,20},{-82,20}},
                color={0,0,127},
                smooth=Smooth.None));

            connect(TEM7.pin_p, TEM8.pin_p) annotation (Line(
                points={{-46,-70},{-46,-78},{14,-78},{14,-70}},
                color={0,0,255},
                smooth=Smooth.None));
            connect(TEM5.pin_p, TEM6.pin_p) annotation (Line(
                points={{-46,-30},{-46,-38},{14,-38},{14,-30}},
                color={0,0,255},
                smooth=Smooth.None));
            connect(TEM3.pin_p, TEM4.pin_p) annotation (Line(
                points={{-46,10},{-46,2},{14,2},{14,10}},
                color={0,0,255},
                smooth=Smooth.None));
            connect(TEM1.pin_p, TEM2.pin_p) annotation (Line(
                points={{-46,50},{-46,42},{14,42},{14,50}},
                color={0,0,255},
                smooth=Smooth.None));
            connect(voltageSensor.p, TEM8.pin_p) annotation (Line(
                points={{-170,80},{-170,-62},{-110,-62},{-110,-84},{-4,-84},{-4,-78},
                    {14,-78},{14,-70}},
                color={0,0,255},
                smooth=Smooth.None));
            connect(voltageSensor.v, power.u1) annotation (Line(
                points={{-160,70},{-146,70},{-146,90},{-132,90}},
                color={0,0,127},
                smooth=Smooth.None));
            connect(currentSensor.i, power.u2) annotation (Line(
                points={{-130,42},{-144,42},{-144,78},{-132,78}},
                color={0,0,127},
                smooth=Smooth.None));
            connect(Th2.y, prescribedTemperature2.T) annotation (Line(
                points={{109,60},{102,60}},
                color={0,0,127},
                smooth=Smooth.None));
            connect(Th4.y, prescribedTemperature4.T) annotation (Line(
                points={{109,20},{102,20}},
                color={0,0,127},
                smooth=Smooth.None));
            connect(Th6.y, prescribedTemperature6.T) annotation (Line(
                points={{109,-20},{102,-20}},
                color={0,0,127},
                smooth=Smooth.None));
            connect(Th8.y, prescribedTemperature8.T) annotation (Line(
                points={{109,-60},{102,-60}},
                color={0,0,127},
                smooth=Smooth.None));
            connect(TEM1.pin_n, ground.p) annotation (Line(
                points={{-46,70.2},{-46,76},{-4,76},{-4,86},{150,86},{150,80}},
                color={0,0,255},
                smooth=Smooth.None));
            connect(currentSensor.n, ground.p) annotation (Line(
                points={{-120,52},{-104,52},{-104,86},{150,86},{150,80}},
                color={0,0,255},
                smooth=Smooth.None));
            connect(TEM2.pin_n, K1.p) annotation (Line(
                points={{14,70.2},{10,70.2},{10,56},{5,56}},
                color={0,0,255},
                smooth=Smooth.None));
            connect(K1.n, ground.p) annotation (Line(
                points={{5,70},{5,76},{-4,76},{-4,86},{150,86},{150,80}},
                color={0,0,255},
                smooth=Smooth.None));
            connect(TEM3.pin_n, TEM2.pin_p) annotation (Line(
                points={{-46,30.2},{-46,36},{-4,36},{-4,42},{14,42},{14,50}},
                color={0,0,255},
                smooth=Smooth.None));
            connect(TEM4.pin_n, K2.p) annotation (Line(
                points={{14,30.2},{10,30.2},{10,16},{5,16}},
                color={0,0,255},
                smooth=Smooth.None));
            connect(K2.n, TEM2.pin_p) annotation (Line(
                points={{5,30},{4,30},{4,36},{-4,36},{-4,42},{14,42},{14,50}},
                color={0,0,255},
                smooth=Smooth.None));
            connect(TEM6.pin_n, K3.p) annotation (Line(
                points={{14,-9.8},{10,-9.8},{10,-24},{5,-24}},
                color={0,0,255},
                smooth=Smooth.None));
            connect(TEM5.pin_n, TEM4.pin_p) annotation (Line(
                points={{-46,-9.8},{-46,-4},{-4,-4},{-4,2},{14,2},{14,10}},
                color={0,0,255},
                smooth=Smooth.None));
            connect(K3.n, TEM4.pin_p) annotation (Line(
                points={{5,-10},{4,-10},{4,-4},{-4,-4},{-4,2},{14,2},{14,10}},
                color={0,0,255},
                smooth=Smooth.None));
            connect(TEM8.pin_n, K4.p) annotation (Line(
                points={{14,-49.8},{10,-49.8},{10,-64},{5,-64}},
                color={0,0,255},
                smooth=Smooth.None));
            connect(K4.n, TEM6.pin_p) annotation (Line(
                points={{5,-50},{4,-50},{4,-44},{-4,-44},{-4,-38},{14,-38},{14,-30}},
                color={0,0,255},
                smooth=Smooth.None));

            connect(TEM7.pin_n, TEM6.pin_p) annotation (Line(
                points={{-46,-49.8},{-46,-44},{-4,-44},{-4,-38},{14,-38},{14,-30}},
                color={0,0,255},
                smooth=Smooth.None));
            connect(b_1_2.y,not1_2. u)
                                   annotation (Line(
                points={{-65.6,-94},{-60.8,-94}},
                color={255,0,255},
                smooth=Smooth.None));
            connect(not1_2.y, K1.control) annotation (Line(
                points={{-51.6,-94},{-8,-94},{-8,63},{0.1,63}},
                color={255,0,255}));
            connect(not1_2.y, K2.control) annotation (Line(
                points={{-51.6,-94},{-8,-94},{-8,23},{0.1,23}},
                color={255,0,255}));
            connect(b_3.y,not3. u) annotation (Line(
                points={{-15.6,-94},{-10.8,-94}},
                color={255,0,255},
                smooth=Smooth.None));
            connect(not3.y, K3.control) annotation (Line(
                points={{-1.6,-94},{0.1,-94},{0.1,-17}},
                color={255,0,255}));
            connect(b_4.y, not8.u) annotation (Line(
                points={{32.4,-94},{37.2,-94}},
                color={255,0,255},
                smooth=Smooth.None));
            connect(not8.y, K4.control) annotation (Line(
                points={{46.4,-94},{24,-94},{24,-57},{0.1,-57}},
                color={255,0,255}));
            connect(currentSensor.p, variableResistor.n) annotation (Line(
                points={{-140,52},{-148,52}},
                color={0,0,255},
                smooth=Smooth.None));
            connect(voltageSensor.p, variableResistor.p) annotation (Line(
                points={{-170,80},{-170,52},{-168,52}},
                color={0,0,255},
                smooth=Smooth.None));
            connect(voltageSensor.n, variableResistor.n) annotation (Line(
                points={{-150,80},{-146,80},{-146,52},{-148,52}},
                color={0,0,255},
                smooth=Smooth.None));
          //*****************************************************************************/

          annotation (Documentation(info="<html>
   <p>
**************************************************************************** <br>
  <b> Copyright (C) 2015-2017 Chair of Automation and Energy Systems, Saarland University </b> <br>
------------------------------------------------------------------------------------------------------------------ <br>
  This file is part of EHSTEG. <p>                    
  
  For more information see <a href=\"//EHSTEG.UsersGuide\">User's Guide</a> <p>
  
**************************************************************************** <p>
</html>
"),                     Diagram(coordinateSystem(extent={{-180,-100},{180,100}},
                    preserveAspectRatio=false), graphics), Icon(coordinateSystem(
                    extent={{-180,-100},{180,100}})),
              experiment(StopTime=1080),
              __Dymola_experimentSetupOutput);
          end SecV_ThirdConfigRemoveRevival;

        annotation (Documentation(info="<html>
   <p>
**************************************************************************** <br>
  <b> Copyright (C) 2015-2017 Chair of Automation and Energy Systems, Saarland University </b> <br>
------------------------------------------------------------------------------------------------------------------ <br>
  This file is part of EHSTEG. <p>                    
  
  For more information see <a href=\"//EHSTEG.UsersGuide\">User's Guide</a> <p>
  
**************************************************************************** <p>
</html>
"));
        end SecV_ThirdConfig;

      annotation (Documentation(info="<html>
   <p>
**************************************************************************** <br>
  <b> Copyright (C) 2015-2017 Chair of Automation and Energy Systems, Saarland University </b> <br>
------------------------------------------------------------------------------------------------------------------ <br>
  This file is part of EHSTEG. <p>                    
  
  For more information see <a href=\"//EHSTEG.UsersGuide\">User's Guide</a> <p>
  
**************************************************************************** <p>
</html>
"));
      end SingleTEGs;

      package PairsOfTEGs "system reconfiguration for pairs of TEGs (pTEGs)"

        //Copyright (C) 2015-2017 Chair of Automation and Energy Systems, Saarland University (for more information see 'Documentation')

        package AirCooledSystem "air cooled system"

          //Copyright (C) 2015-2017 Chair of Automation and Energy Systems, Saarland University (for more information see 'Documentation')

          model ACS_100_0_Uncontrolled
            "uncontrolled air cooled system for 100/0 heating load"

            //Copyright (C) 2015-2017 Chair of Automation and Energy Systems, Saarland University (for more information see 'Documentation')

          //parameter definition*********************************************************/
              parameter Real valve_start_time = 10; // s
              replaceable package Medium =
                Modelica.Media.IdealGases.MixtureGases.CombustionAir
               constrainedby Modelica.Media.Interfaces.PartialMedium;
          //*****************************************************************************/

          //variable definition**********************************************************/
              Modelica.SIunits.Resistance R1 = TEG1A.tEG_Module.inner_TEG.R
              "resistance of TEG1";                                                               // Ohm
              Modelica.SIunits.Resistance R2 = TEG1B.tEG_Module.inner_TEG.R
              "resistance of TEG2";                                                               // Ohm
              Modelica.SIunits.Resistance R3 = TEG2A.tEG_Module.inner_TEG.R
              "resistance of TEG3";                                                               // Ohm
              Modelica.SIunits.Resistance R4 = TEG2B.tEG_Module.inner_TEG.R
              "resistance of TEG4";                                                               // Ohm
              Modelica.SIunits.Resistance R5 = TEG3A.tEG_Module.inner_TEG.R
              "resistance of TEG5";                                                               // Ohm
              Modelica.SIunits.Resistance R6 = TEG3B.tEG_Module.inner_TEG.R
              "resistance of TEG6";                                                               // Ohm
              Modelica.SIunits.Resistance R7 = TEG4A.tEG_Module.inner_TEG.R
              "resistance of TEG7";                                                               // Ohm
              Modelica.SIunits.Resistance R8 = TEG4B.tEG_Module.inner_TEG.R
              "resistance of TEG8";                                                               // Ohm

              Modelica.SIunits.Resistance  R_calc
              "inner resistance of TEG-based EHS";                                     // Ohm
              Modelica.SIunits.Power P_ges "gained electrical power"; // W
          //*****************************************************************************/

          //used components**************************************************************/
            Components.HeatSource.HeatingBoiler heating_boiler
              annotation (Placement(transformation(extent={{-180,-20},{-140,20}})));
            Components.HeatTransfer.PipeSection pipe_TEG_1
              annotation (Placement(transformation(extent={{-120,-10},{-100,10}})));
            Components.HeatTransfer.PipeSection pipe_TEG_2
              annotation (Placement(transformation(extent={{-60,-10},{-40,10}})));
            Components.HeatTransfer.PipeSection pipe_TEG_3
              annotation (Placement(transformation(extent={{0,-10},{20,10}})));
            Components.HeatTransfer.PipeSection pipe_TEG_4
              annotation (Placement(transformation(extent={{60,-10},{80,10}})));
            Components.Miscellaneous.Chimney chimney
              annotation (Placement(transformation(extent={{104,-4},{144,36}})));
            Components.ThermoelectricDevice.Thermalforce.TEG_199_200_5 TEG1A
              annotation (Placement(transformation(extent={{-106,10},{-126,30}})));
            Components.ThermoelectricDevice.Thermalforce.TEG_199_200_5 TEG1B
              annotation (Placement(transformation(extent={{-106,-10},{-126,-30}})));
            Components.ThermoelectricDevice.Thermalforce.TEG_199_200_5 TEG2A
              annotation (Placement(transformation(extent={{-46,10},{-66,30}})));
            Components.ThermoelectricDevice.Thermalforce.TEG_199_200_5 TEG2B
              annotation (Placement(transformation(extent={{-46,-10},{-66,-30}})));
            Components.ThermoelectricDevice.Thermalforce.TEG_199_200_5 TEG3A
              annotation (Placement(transformation(extent={{14,10},{-6,30}})));
            Components.ThermoelectricDevice.Thermalforce.TEG_199_200_5 TEG3B
              annotation (Placement(transformation(extent={{14,-10},{-6,-30}})));
            Components.ThermoelectricDevice.Thermalforce.TEG_199_200_5 TEG4A
              annotation (Placement(transformation(extent={{74,10},{54,30}})));
            Components.ThermoelectricDevice.Thermalforce.TEG_199_200_5 TEG4B
              annotation (Placement(transformation(extent={{74,-10},{54,-30}})));
            inner Modelica.Fluid.System system(
                m_flow_small=1e-4, energyDynamics=Modelica.Fluid.Types.Dynamics.SteadyStateInitial)
                                  annotation (Placement(transformation(extent={{-170,70},{
                      -150,90}},  rotation=0)));
            Modelica.Thermal.HeatTransfer.Sources.FixedTemperature ambientTemperature(
                T=system.T_ambient)
              annotation (Placement(transformation(extent={{-140,70},{-120,90}})));
            Components.Electrics.IdealCommutingSwitch switch_TEG_2
              annotation (Placement(transformation(extent={{-94,10},{-74,30}})));
            Components.Electrics.IdealCommutingSwitch switch_TEG_3
              annotation (Placement(transformation(extent={{-34,10},{-14,30}})));
            Components.Electrics.IdealCommutingSwitch switch_TEG_4
              annotation (Placement(transformation(extent={{26,10},{46,30}})));
            Components.Electrics.IdealMPPT electrical_connection_TEG annotation (
                Placement(transformation(
                  extent={{-10,-10},{10,10}},
                  rotation=90,
                  origin={150,-30})));
            Components.CoolingElement.Active.ForcedAir.CPUCooler cooling_element1
              annotation (Placement(transformation(extent={{-126,30},{-106,50}})));
            Components.CoolingElement.Active.ForcedAir.CPUCooler cooling_element2
              annotation (Placement(transformation(extent={{-66,30},{-46,50}})));
            Components.CoolingElement.Active.ForcedAir.CPUCooler cooling_element3
              annotation (Placement(transformation(extent={{-6,30},{14,50}})));
            Components.CoolingElement.Active.ForcedAir.CPUCooler cooling_element4
              annotation (Placement(transformation(extent={{54,30},{74,50}})));
            Components.CoolingElement.Active.ForcedAir.CPUCooler cooling_element5
              annotation (Placement(transformation(extent={{-126,-30},{-106,-50}})));
            Components.CoolingElement.Active.ForcedAir.CPUCooler cooling_element6
              annotation (Placement(transformation(extent={{-66,-30},{-46,-50}})));
            Components.CoolingElement.Active.ForcedAir.CPUCooler cooling_element7
              annotation (Placement(transformation(extent={{-6,-30},{14,-50}})));
            Components.CoolingElement.Active.ForcedAir.CPUCooler cooling_element8
              annotation (Placement(transformation(extent={{54,-30},{74,-50}})));
            Modelica.Blocks.Sources.Constant DutyCycle(k=100)
              annotation (Placement(transformation(extent={{-180,40},{-160,60}})));
          //*****************************************************************************/

          //equations********************************************************************/
          equation

            P_ges = electrical_connection_TEG.electrical_Power - cooling_element1.energy_consumption - cooling_element2.energy_consumption - cooling_element3.energy_consumption - cooling_element4.energy_consumption - cooling_element5.energy_consumption -cooling_element6.energy_consumption -cooling_element7.energy_consumption -cooling_element8.energy_consumption;

            //****************************************************************************
            // ideal MPPT
            //****************************************************************************
             if switch_TEG_4.booleanStep.y == true then
               R_calc = (R1*R2)/(R1+R2) + (R3*R4)/(R3+R4) + (R5*R6)/(R5+R6) + (R7*R8)/(R7+R8);
             else
               if switch_TEG_3.booleanStep.y == true then
                 R_calc = (R1*R2)/(R1+R2) + (R3*R4)/(R3+R4) + (R5*R6)/(R5+R6);
               else
                 if switch_TEG_2.booleanStep.y == true then
                   R_calc = (R1*R2)/(R1+R2) + (R3*R4)/(R3+R4);
                 else
                   R_calc = (R1*R2)/(R1+R2);
                 end if;
               end if;
             end if;

            electrical_connection_TEG.R = R_calc;
            //****************************************************************************

            connect(pipe_TEG_1.heatPorts1[1], TEG1A.port_a1) annotation (Line(
                points={{-116,5},{-116,15}},
                color={127,0,0},
                smooth=Smooth.None));
            connect(pipe_TEG_1.heatPorts2[1], TEG1B.port_a1) annotation (Line(
                points={{-116,-5},{-116,-15}},
                color={127,0,0},
                smooth=Smooth.None));
            connect(pipe_TEG_2.heatPorts1[1], TEG2A.port_a1) annotation (Line(
                points={{-56,5},{-56,15}},
                color={127,0,0},
                smooth=Smooth.None));
            connect(pipe_TEG_2.heatPorts2[1], TEG2B.port_a1) annotation (Line(
                points={{-56,-5},{-56,-15}},
                color={127,0,0},
                smooth=Smooth.None));
            connect(pipe_TEG_3.heatPorts1[1], TEG3A.port_a1) annotation (Line(
                points={{4,5},{4,15}},
                color={127,0,0},
                smooth=Smooth.None));
            connect(pipe_TEG_3.heatPorts2[1], TEG3B.port_a1) annotation (Line(
                points={{4,-5},{4,-15}},
                color={127,0,0},
                smooth=Smooth.None));
            connect(pipe_TEG_4.heatPorts1[1], TEG4A.port_a1) annotation (Line(
                points={{64,5},{64,15}},
                color={127,0,0},
                smooth=Smooth.None));
            connect(pipe_TEG_4.heatPorts2[1], TEG4B.port_a1) annotation (Line(
                points={{64,-5},{64,-15}},
                color={127,0,0},
                smooth=Smooth.None));

            connect(TEG1A.pin_n1, switch_TEG_2.p1) annotation (Line(
                points={{-107,20},{-93,20}},
                color={0,0,255},
                smooth=Smooth.None));
            connect(TEG2A.pin_p1, switch_TEG_2.n2) annotation (Line(
                points={{-65,20},{-75,20}},
                color={0,0,255},
                smooth=Smooth.None));
            connect(TEG2A.pin_n1, switch_TEG_3.p1) annotation (Line(
                points={{-47,20},{-33,20}},
                color={0,0,255},
                smooth=Smooth.None));
            connect(TEG3A.pin_p1, switch_TEG_3.n2) annotation (Line(
                points={{-5,20},{-15,20}},
                color={0,0,255},
                smooth=Smooth.None));
            connect(TEG3A.pin_n1, switch_TEG_4.p1) annotation (Line(
                points={{13,20},{27,20}},
                color={0,0,255},
                smooth=Smooth.None));
            connect(TEG4A.pin_p1, switch_TEG_4.n2) annotation (Line(
                points={{55,20},{45,20}},
                color={0,0,255},
                smooth=Smooth.None));
            connect(TEG1B.pin_n1, switch_TEG_2.p1) annotation (Line(
                points={{-107,-20},{-98,-20},{-98,20},{-93,20}},
                color={0,0,255},
                smooth=Smooth.None));
            connect(TEG2B.pin_n1, switch_TEG_3.p1) annotation (Line(
                points={{-47,-20},{-38,-20},{-38,20},{-33,20}},
                color={0,0,255},
                smooth=Smooth.None));
            connect(TEG3B.pin_n1, switch_TEG_4.p1) annotation (Line(
                points={{13,-20},{22,-20},{22,20},{27,20}},
                color={0,0,255},
                smooth=Smooth.None));
            connect(TEG4B.pin_n1, TEG4A.pin_n1) annotation (Line(
                points={{73,-20},{82,-20},{82,20},{73,20}},
                color={0,0,255},
                smooth=Smooth.None));
            connect(TEG1B.pin_p1, TEG1A.pin_p1) annotation (Line(
                points={{-125,-20},{-130,-20},{-130,20},{-125,20}},
                color={0,0,255},
                smooth=Smooth.None));
            connect(TEG2B.pin_p1, switch_TEG_2.n2) annotation (Line(
                points={{-65,-20},{-70,-20},{-70,20},{-75,20}},
                color={0,0,255},
                smooth=Smooth.None));
            connect(TEG3B.pin_p1, switch_TEG_3.n2) annotation (Line(
                points={{-5,-20},{-10,-20},{-10,20},{-15,20}},
                color={0,0,255},
                smooth=Smooth.None));
            connect(TEG4B.pin_p1, switch_TEG_4.n2) annotation (Line(
                points={{55,-20},{50,-20},{50,20},{45,20}},
                color={0,0,255},
                smooth=Smooth.None));
            connect(switch_TEG_2.n1, TEG4A.pin_n1) annotation (Line(
                points={{-75,25},{-75,30},{82,30},{82,20},{73,20}},
                color={0,0,255},
                smooth=Smooth.None));
            connect(switch_TEG_3.n1, TEG4A.pin_n1) annotation (Line(
                points={{-15,25},{-15,30},{82,30},{82,20},{73,20}},
                color={0,0,255},
                smooth=Smooth.None));
            connect(switch_TEG_4.n1, TEG4A.pin_n1) annotation (Line(
                points={{45,25},{45,30},{82,30},{82,20},{73,20}},
                color={0,0,255},
                smooth=Smooth.None));
            connect(TEG2A.port_b1, cooling_element2.port1) annotation (Line(
                points={{-56,25},{-56,31}},
                color={191,0,0},
                smooth=Smooth.None));
            connect(TEG3A.port_b1, cooling_element3.port1) annotation (Line(
                points={{4,25},{4,31}},
                color={191,0,0},
                smooth=Smooth.None));
            connect(TEG4A.port_b1, cooling_element4.port1) annotation (Line(
                points={{64,25},{64,31}},
                color={191,0,0},
                smooth=Smooth.None));
            connect(TEG1B.port_b1, cooling_element5.port1) annotation (Line(
                points={{-116,-25},{-116,-31}},
                color={191,0,0},
                smooth=Smooth.None));
            connect(TEG2B.port_b1, cooling_element6.port1) annotation (Line(
                points={{-56,-25},{-56,-31}},
                color={191,0,0},
                smooth=Smooth.None));
            connect(TEG3B.port_b1, cooling_element7.port1) annotation (Line(
                points={{4,-25},{4,-31}},
                color={191,0,0},
                smooth=Smooth.None));
            connect(TEG4B.port_b1, cooling_element8.port1) annotation (Line(
                points={{64,-25},{64,-31}},
                color={191,0,0},
                smooth=Smooth.None));
            connect(DutyCycle.y, cooling_element1.DutyCycle) annotation (Line(
                points={{-159,50},{-140,50},{-140,44},{-125.8,44}},
                color={0,0,127},
                smooth=Smooth.None,
                visible=false));
            connect(DutyCycle.y, cooling_element2.DutyCycle) annotation (Line(
                points={{-159,50},{-72,50},{-72,44},{-65.8,44}},
                color={0,0,127},
                smooth=Smooth.None,
                visible=false));
            connect(DutyCycle.y, cooling_element3.DutyCycle) annotation (Line(
                points={{-159,50},{-12,50},{-12,44},{-5.8,44}},
                color={0,0,127},
                smooth=Smooth.None,
                visible=false));
            connect(DutyCycle.y, cooling_element4.DutyCycle) annotation (Line(
                points={{-159,50},{44,50},{44,44},{54.2,44}},
                color={0,0,127},
                smooth=Smooth.None,
                visible=false));
            connect(DutyCycle.y, cooling_element5.DutyCycle) annotation (Line(
                points={{-159,50},{-138,50},{-138,-44},{-125.8,-44}},
                color={0,0,127},
                smooth=Smooth.None,
                visible=false));
            connect(DutyCycle.y, cooling_element6.DutyCycle) annotation (Line(
                points={{-159,50},{-138,50},{-138,-58},{-82,-58},{-82,-44},{-65.8,-44}},
                color={0,0,127},
                smooth=Smooth.None,
                visible=false));
            connect(DutyCycle.y, cooling_element7.DutyCycle) annotation (Line(
                points={{-159,50},{-138,50},{-138,-58},{-18,-58},{-18,-44},{-5.8,-44}},
                color={0,0,127},
                smooth=Smooth.None,
                visible=false));
            connect(DutyCycle.y, cooling_element8.DutyCycle) annotation (Line(
                points={{-159,50},{-138,50},{-138,-58},{42,-58},{42,-44},{54.2,-44}},
                color={0,0,127},
                smooth=Smooth.None,
                visible=false));
            connect(cooling_element1.port1, TEG1A.port_b1) annotation (Line(
                points={{-116,31},{-116,25}},
                color={191,0,0},
                smooth=Smooth.None));
            connect(heating_boiler.port_b1, pipe_TEG_1.port_a) annotation (Line(
                points={{-144,0},{-132,0},{-120,0}},
                color={0,127,255},
                visible=false));
            connect(pipe_TEG_1.port_b, pipe_TEG_2.port_a) annotation (Line(
                points={{-100,0},{-80,0},{-60,0}},
                color={0,127,255},
                visible=false));
            connect(pipe_TEG_2.port_b, pipe_TEG_3.port_a) annotation (Line(
                points={{-40,0},{-20,0},{0,0}},
                color={0,127,255},
                visible=false));
            connect(pipe_TEG_3.port_b, pipe_TEG_4.port_a) annotation (Line(
                points={{20,0},{40,0},{60,0}},
                color={0,127,255},
                visible=false));
            connect(pipe_TEG_4.port_b, chimney.port_a1) annotation (Line(
                points={{80,0},{120,0}},
                color={0,127,255},
                visible=false));
            connect(ambientTemperature.port, pipe_TEG_1.fluid) annotation (Line(
                points={{-120,80},{-104,80},{-104,5}},
                color={191,0,0},
                visible=false));
            connect(pipe_TEG_2.fluid, pipe_TEG_1.fluid) annotation (Line(
                points={{-44,5},{-44,80},{-104,80},{-104,5}},
                color={191,0,0},
                visible=false));
            connect(pipe_TEG_3.fluid, pipe_TEG_1.fluid) annotation (Line(
                points={{16,5},{16,80},{-104,80},{-104,5}},
                color={191,0,0},
                visible=false));
            connect(pipe_TEG_4.fluid, pipe_TEG_1.fluid) annotation (Line(
                points={{76,5},{76,80},{-104,80},{-104,5}},
                color={191,0,0},
                visible=false));
            connect(TEG4B.pin_n1, electrical_connection_TEG.n1) annotation (Line(points={{
                    73,-20},{111.5,-20},{150,-20}}, color={0,0,255}));
            connect(TEG1B.pin_p1, electrical_connection_TEG.p1) annotation (Line(points={{
                    -125,-20},{-130,-20},{-130,-28},{100,-28},{100,-40},{150,-40}}, color=
                   {0,0,255}));
          //*****************************************************************************/

             annotation (Diagram(coordinateSystem(extent={{-180,-100},{180,100}},
                    preserveAspectRatio=false), graphics={
                  Rectangle(
                    extent={{-100,4},{-60,-4}},
                    lineColor={0,0,0},
                    fillColor={175,175,175},
                    fillPattern=FillPattern.HorizontalCylinder),
                  Rectangle(
                    extent={{-40,4},{0,-4}},
                    lineColor={0,0,0},
                    fillColor={175,175,175},
                    fillPattern=FillPattern.HorizontalCylinder),
                  Rectangle(
                    extent={{20,4},{60,-4}},
                    lineColor={0,0,0},
                    fillColor={175,175,175},
                    fillPattern=FillPattern.HorizontalCylinder),
                  Rectangle(
                    extent={{80,4},{120,-4}},
                    lineColor={0,0,0},
                    fillColor={175,175,175},
                    fillPattern=FillPattern.HorizontalCylinder),
                  Rectangle(
                    extent={{-144,4},{-120,-4}},
                    lineColor={0,0,0},
                    fillColor={175,175,175},
                    fillPattern=FillPattern.HorizontalCylinder)}), Icon(coordinateSystem(
                    extent={{-180,-100},{180,100}})),
              experiment(StopTime=2100),
              __Dymola_experimentSetupOutput, Documentation(info="<html>
   <p>
**************************************************************************** <br>
  <b> Copyright (C) 2015-2017 Chair of Automation and Energy Systems, Saarland University </b> <br>
------------------------------------------------------------------------------------------------------------------ <br>
  This file is part of EHSTEG. <p>                    
  
  For more information see <a href=\"//EHSTEG.UsersGuide\">User's Guide</a> <p>
  
**************************************************************************** <p>
</html>
"));
          end ACS_100_0_Uncontrolled;

          model ACS_100_0_Controlled
            "controlled air cooled system for 100/0 heating load"

            //Copyright (C) 2015-2017 Chair of Automation and Energy Systems, Saarland University (for more information see 'Documentation')

          //parameter definition*********************************************************/
              parameter Real valve_start_time = 10; // s
              replaceable package Medium =
                Modelica.Media.IdealGases.MixtureGases.CombustionAir
               constrainedby Modelica.Media.Interfaces.PartialMedium;
          //*****************************************************************************/

          //variable definition**********************************************************/
              Modelica.SIunits.Resistance R1 = TEG1A.tEG_Module.inner_TEG.R
              "resistance of TEG1";                                                               // Ohm
              Modelica.SIunits.Resistance R2 = TEG1B.tEG_Module.inner_TEG.R
              "resistance of TEG2";                                                               // Ohm
              Modelica.SIunits.Resistance R3 = TEG2A.tEG_Module.inner_TEG.R
              "resistance of TEG3";                                                               // Ohm
              Modelica.SIunits.Resistance R4 = TEG2B.tEG_Module.inner_TEG.R
              "resistance of TEG4";                                                               // Ohm
              Modelica.SIunits.Resistance R5 = TEG3A.tEG_Module.inner_TEG.R
              "resistance of TEG5";                                                               // Ohm
              Modelica.SIunits.Resistance R6 = TEG3B.tEG_Module.inner_TEG.R
              "resistance of TEG6";                                                               // Ohm
              Modelica.SIunits.Resistance R7 = TEG4A.tEG_Module.inner_TEG.R
              "resistance of TEG7";                                                               // Ohm
              Modelica.SIunits.Resistance R8 = TEG4B.tEG_Module.inner_TEG.R
              "resistance of TEG8";                                                               // Ohm

              Modelica.SIunits.Resistance  R_calc
              "inner resistance of TEG-based EHS";                                     // Ohm
              Modelica.SIunits.Power P_ges "gained electrical power"; // W
          //*****************************************************************************/

          //used components**************************************************************/
            Components.HeatSource.HeatingBoiler heating_boiler
              annotation (Placement(transformation(extent={{-180,-20},{-140,20}})));
            Components.HeatTransfer.PipeSection pipe_TEG_1
              annotation (Placement(transformation(extent={{-120,-10},{-100,10}})));
            Components.HeatTransfer.PipeSection pipe_TEG_2
              annotation (Placement(transformation(extent={{-60,-10},{-40,10}})));
            Components.HeatTransfer.PipeSection pipe_TEG_3
              annotation (Placement(transformation(extent={{0,-10},{20,10}})));
            Components.HeatTransfer.PipeSection pipe_TEG_4
              annotation (Placement(transformation(extent={{60,-10},{80,10}})));
            Components.Miscellaneous.Chimney chimney
              annotation (Placement(transformation(extent={{104,-4},{144,36}})));
            Components.ThermoelectricDevice.Thermalforce.TEG_199_200_5 TEG1A
              annotation (Placement(transformation(extent={{-106,10},{-126,30}})));
            Components.ThermoelectricDevice.Thermalforce.TEG_199_200_5 TEG1B
              annotation (Placement(transformation(extent={{-106,-10},{-126,-30}})));
            Components.ThermoelectricDevice.Thermalforce.TEG_199_200_5 TEG2A
              annotation (Placement(transformation(extent={{-46,10},{-66,30}})));
            Components.ThermoelectricDevice.Thermalforce.TEG_199_200_5 TEG2B
              annotation (Placement(transformation(extent={{-46,-10},{-66,-30}})));
            Components.ThermoelectricDevice.Thermalforce.TEG_199_200_5 TEG3A
              annotation (Placement(transformation(extent={{14,10},{-6,30}})));
            Components.ThermoelectricDevice.Thermalforce.TEG_199_200_5 TEG3B
              annotation (Placement(transformation(extent={{14,-10},{-6,-30}})));
            Components.ThermoelectricDevice.Thermalforce.TEG_199_200_5 TEG4A
              annotation (Placement(transformation(extent={{74,10},{54,30}})));
            Components.ThermoelectricDevice.Thermalforce.TEG_199_200_5 TEG4B
              annotation (Placement(transformation(extent={{74,-10},{54,-30}})));
            inner Modelica.Fluid.System system(
                m_flow_small=1e-4, energyDynamics=Modelica.Fluid.Types.Dynamics.SteadyStateInitial)
                                  annotation (Placement(transformation(extent={{-170,70},{
                      -150,90}},  rotation=0)));
            Modelica.Thermal.HeatTransfer.Sources.FixedTemperature ambientTemperature(
                T=system.T_ambient)
              annotation (Placement(transformation(extent={{-140,70},{-120,90}})));
            Components.Electrics.IdealCommutingSwitch switch_TEG_2
              annotation (Placement(transformation(extent={{-94,10},{-74,30}})));
            Components.Electrics.IdealCommutingSwitch switch_TEG_3
              annotation (Placement(transformation(extent={{-34,10},{-14,30}})));
            Components.Electrics.IdealCommutingSwitch switch_TEG_4
              annotation (Placement(transformation(extent={{26,10},{46,30}})));
            Components.Electrics.IdealMPPT electrical_connection_TEG annotation (
                Placement(transformation(
                  extent={{-10,-10},{10,10}},
                  rotation=90,
                  origin={150,-30})));
            Components.Controlling.CPUCoolerControlled           cooling_element1
              annotation (Placement(transformation(extent={{-126,30},{-106,50}})));
            Components.Controlling.CPUCoolerControlled           cooling_element2
              annotation (Placement(transformation(extent={{-66,30},{-46,50}})));
            Components.Controlling.CPUCoolerControlled           cooling_element3
              annotation (Placement(transformation(extent={{-6,30},{14,50}})));
            Components.Controlling.CPUCoolerControlled           cooling_element4
              annotation (Placement(transformation(extent={{54,30},{74,50}})));
            Components.Controlling.CPUCoolerControlled           cooling_element5
              annotation (Placement(transformation(extent={{-126,-30},{-106,-50}})));
            Components.Controlling.CPUCoolerControlled           cooling_element6
              annotation (Placement(transformation(extent={{-66,-30},{-46,-50}})));
            Components.Controlling.CPUCoolerControlled           cooling_element7
              annotation (Placement(transformation(extent={{-6,-30},{14,-50}})));
            Components.Controlling.CPUCoolerControlled           cooling_element8
              annotation (Placement(transformation(extent={{54,-30},{74,-50}})));
          //*****************************************************************************/

          //equations********************************************************************/
          equation

            P_ges = electrical_connection_TEG.electrical_Power - cooling_element1.energy_consumption - cooling_element2.energy_consumption - cooling_element3.energy_consumption - cooling_element4.energy_consumption - cooling_element5.energy_consumption -cooling_element6.energy_consumption -cooling_element7.energy_consumption -cooling_element8.energy_consumption;

            cooling_element1.T_hot_TEG = TEG1A.tEG_Module.port_a.T;
            cooling_element2.T_hot_TEG = TEG2A.tEG_Module.port_a.T;
            cooling_element3.T_hot_TEG = TEG3A.tEG_Module.port_a.T;
            cooling_element4.T_hot_TEG = TEG4A.tEG_Module.port_a.T;
            cooling_element5.T_hot_TEG = TEG1B.tEG_Module.port_a.T;
            cooling_element6.T_hot_TEG = TEG2B.tEG_Module.port_a.T;
            cooling_element7.T_hot_TEG = TEG3B.tEG_Module.port_a.T;
            cooling_element8.T_hot_TEG = TEG4B.tEG_Module.port_a.T;

            //****************************************************************************
            // ideal MPPT
            //****************************************************************************
             if switch_TEG_4.booleanStep.y == true then
               R_calc = (R1*R2)/(R1+R2) + (R3*R4)/(R3+R4) + (R5*R6)/(R5+R6) + (R7*R8)/(R7+R8);
             else
               if switch_TEG_3.booleanStep.y == true then
                 R_calc = (R1*R2)/(R1+R2) + (R3*R4)/(R3+R4) + (R5*R6)/(R5+R6);
               else
                 if switch_TEG_2.booleanStep.y == true then
                   R_calc = (R1*R2)/(R1+R2) + (R3*R4)/(R3+R4);
                 else
                   R_calc = (R1*R2)/(R1+R2);
                 end if;
               end if;
             end if;

            electrical_connection_TEG.R = R_calc;
            //****************************************************************************

            connect(pipe_TEG_1.heatPorts1[1], TEG1A.port_a1) annotation (Line(
                points={{-116,5},{-116,15}},
                color={127,0,0},
                smooth=Smooth.None));
            connect(pipe_TEG_1.heatPorts2[1], TEG1B.port_a1) annotation (Line(
                points={{-116,-5},{-116,-15}},
                color={127,0,0},
                smooth=Smooth.None));
            connect(pipe_TEG_2.heatPorts1[1], TEG2A.port_a1) annotation (Line(
                points={{-56,5},{-56,15}},
                color={127,0,0},
                smooth=Smooth.None));
            connect(pipe_TEG_2.heatPorts2[1], TEG2B.port_a1) annotation (Line(
                points={{-56,-5},{-56,-15}},
                color={127,0,0},
                smooth=Smooth.None));
            connect(pipe_TEG_3.heatPorts1[1], TEG3A.port_a1) annotation (Line(
                points={{4,5},{4,15}},
                color={127,0,0},
                smooth=Smooth.None));
            connect(pipe_TEG_3.heatPorts2[1], TEG3B.port_a1) annotation (Line(
                points={{4,-5},{4,-15}},
                color={127,0,0},
                smooth=Smooth.None));
            connect(pipe_TEG_4.heatPorts1[1], TEG4A.port_a1) annotation (Line(
                points={{64,5},{64,15}},
                color={127,0,0},
                smooth=Smooth.None));
            connect(pipe_TEG_4.heatPorts2[1], TEG4B.port_a1) annotation (Line(
                points={{64,-5},{64,-15}},
                color={127,0,0},
                smooth=Smooth.None));

            connect(TEG1A.pin_n1, switch_TEG_2.p1) annotation (Line(
                points={{-107,20},{-93,20}},
                color={0,0,255},
                smooth=Smooth.None));
            connect(TEG2A.pin_p1, switch_TEG_2.n2) annotation (Line(
                points={{-65,20},{-75,20}},
                color={0,0,255},
                smooth=Smooth.None));
            connect(TEG2A.pin_n1, switch_TEG_3.p1) annotation (Line(
                points={{-47,20},{-33,20}},
                color={0,0,255},
                smooth=Smooth.None));
            connect(TEG3A.pin_p1, switch_TEG_3.n2) annotation (Line(
                points={{-5,20},{-15,20}},
                color={0,0,255},
                smooth=Smooth.None));
            connect(TEG3A.pin_n1, switch_TEG_4.p1) annotation (Line(
                points={{13,20},{27,20}},
                color={0,0,255},
                smooth=Smooth.None));
            connect(TEG4A.pin_p1, switch_TEG_4.n2) annotation (Line(
                points={{55,20},{45,20}},
                color={0,0,255},
                smooth=Smooth.None));
            connect(TEG1B.pin_n1, switch_TEG_2.p1) annotation (Line(
                points={{-107,-20},{-98,-20},{-98,20},{-93,20}},
                color={0,0,255},
                smooth=Smooth.None));
            connect(TEG2B.pin_n1, switch_TEG_3.p1) annotation (Line(
                points={{-47,-20},{-38,-20},{-38,20},{-33,20}},
                color={0,0,255},
                smooth=Smooth.None));
            connect(TEG3B.pin_n1, switch_TEG_4.p1) annotation (Line(
                points={{13,-20},{22,-20},{22,20},{27,20}},
                color={0,0,255},
                smooth=Smooth.None));
            connect(TEG4B.pin_n1, TEG4A.pin_n1) annotation (Line(
                points={{73,-20},{82,-20},{82,20},{73,20}},
                color={0,0,255},
                smooth=Smooth.None));
            connect(TEG1B.pin_p1, TEG1A.pin_p1) annotation (Line(
                points={{-125,-20},{-130,-20},{-130,20},{-125,20}},
                color={0,0,255},
                smooth=Smooth.None));
            connect(TEG2B.pin_p1, switch_TEG_2.n2) annotation (Line(
                points={{-65,-20},{-70,-20},{-70,20},{-75,20}},
                color={0,0,255},
                smooth=Smooth.None));
            connect(TEG3B.pin_p1, switch_TEG_3.n2) annotation (Line(
                points={{-5,-20},{-10,-20},{-10,20},{-15,20}},
                color={0,0,255},
                smooth=Smooth.None));
            connect(TEG4B.pin_p1, switch_TEG_4.n2) annotation (Line(
                points={{55,-20},{50,-20},{50,20},{45,20}},
                color={0,0,255},
                smooth=Smooth.None));
            connect(switch_TEG_2.n1, TEG4A.pin_n1) annotation (Line(
                points={{-75,25},{-75,30},{82,30},{82,20},{73,20}},
                color={0,0,255},
                smooth=Smooth.None));
            connect(switch_TEG_3.n1, TEG4A.pin_n1) annotation (Line(
                points={{-15,25},{-15,30},{82,30},{82,20},{73,20}},
                color={0,0,255},
                smooth=Smooth.None));
            connect(switch_TEG_4.n1, TEG4A.pin_n1) annotation (Line(
                points={{45,25},{45,30},{82,30},{82,20},{73,20}},
                color={0,0,255},
                smooth=Smooth.None));
            connect(TEG2A.port_b1, cooling_element2.port1) annotation (Line(
                points={{-56,25},{-56,31}},
                color={191,0,0},
                smooth=Smooth.None));
            connect(TEG3A.port_b1, cooling_element3.port1) annotation (Line(
                points={{4,25},{4,31}},
                color={191,0,0},
                smooth=Smooth.None));
            connect(TEG4A.port_b1, cooling_element4.port1) annotation (Line(
                points={{64,25},{64,31}},
                color={191,0,0},
                smooth=Smooth.None));
            connect(TEG1B.port_b1, cooling_element5.port1) annotation (Line(
                points={{-116,-25},{-116,-31}},
                color={191,0,0},
                smooth=Smooth.None));
            connect(TEG2B.port_b1, cooling_element6.port1) annotation (Line(
                points={{-56,-25},{-56,-31}},
                color={191,0,0},
                smooth=Smooth.None));
            connect(TEG3B.port_b1, cooling_element7.port1) annotation (Line(
                points={{4,-25},{4,-31}},
                color={191,0,0},
                smooth=Smooth.None));
            connect(TEG4B.port_b1, cooling_element8.port1) annotation (Line(
                points={{64,-25},{64,-31}},
                color={191,0,0},
                smooth=Smooth.None));
            connect(cooling_element1.port1, TEG1A.port_b1) annotation (Line(
                points={{-116,31},{-116,25}},
                color={191,0,0},
                smooth=Smooth.None));
            connect(heating_boiler.port_b1, pipe_TEG_1.port_a) annotation (Line(
                points={{-144,0},{-132,0},{-120,0}},
                color={0,127,255},
                visible=false));
            connect(pipe_TEG_1.port_b, pipe_TEG_2.port_a) annotation (Line(
                points={{-100,0},{-80,0},{-60,0}},
                color={0,127,255},
                visible=false));
            connect(pipe_TEG_2.port_b, pipe_TEG_3.port_a) annotation (Line(
                points={{-40,0},{-20,0},{0,0}},
                color={0,127,255},
                visible=false));
            connect(pipe_TEG_3.port_b, pipe_TEG_4.port_a) annotation (Line(
                points={{20,0},{40,0},{60,0}},
                color={0,127,255},
                visible=false));
            connect(pipe_TEG_4.port_b, chimney.port_a1) annotation (Line(
                points={{80,0},{120,0}},
                color={0,127,255},
                visible=false));
            connect(ambientTemperature.port, pipe_TEG_1.fluid) annotation (Line(
                points={{-120,80},{-104,80},{-104,5}},
                color={191,0,0},
                visible=false));
            connect(pipe_TEG_2.fluid, pipe_TEG_1.fluid) annotation (Line(
                points={{-44,5},{-44,80},{-104,80},{-104,5}},
                color={191,0,0},
                visible=false));
            connect(pipe_TEG_3.fluid, pipe_TEG_1.fluid) annotation (Line(
                points={{16,5},{16,80},{-104,80},{-104,5}},
                color={191,0,0},
                visible=false));
            connect(pipe_TEG_4.fluid, pipe_TEG_1.fluid) annotation (Line(
                points={{76,5},{76,80},{-104,80},{-104,5}},
                color={191,0,0},
                visible=false));
            connect(TEG4B.pin_n1, electrical_connection_TEG.n1) annotation (Line(points={{
                    73,-20},{111.5,-20},{150,-20}}, color={0,0,255}));
            connect(TEG1B.pin_p1, electrical_connection_TEG.p1) annotation (Line(points={{
                    -125,-20},{-130,-20},{-130,-28},{100,-28},{100,-40},{150,-40}}, color=
                   {0,0,255}));
          //*****************************************************************************/

             annotation (Diagram(coordinateSystem(extent={{-180,-100},{180,100}},
                    preserveAspectRatio=false), graphics={
                  Rectangle(
                    extent={{-100,4},{-60,-4}},
                    lineColor={0,0,0},
                    fillColor={175,175,175},
                    fillPattern=FillPattern.HorizontalCylinder),
                  Rectangle(
                    extent={{-40,4},{0,-4}},
                    lineColor={0,0,0},
                    fillColor={175,175,175},
                    fillPattern=FillPattern.HorizontalCylinder),
                  Rectangle(
                    extent={{20,4},{60,-4}},
                    lineColor={0,0,0},
                    fillColor={175,175,175},
                    fillPattern=FillPattern.HorizontalCylinder),
                  Rectangle(
                    extent={{80,4},{120,-4}},
                    lineColor={0,0,0},
                    fillColor={175,175,175},
                    fillPattern=FillPattern.HorizontalCylinder),
                  Rectangle(
                    extent={{-144,4},{-120,-4}},
                    lineColor={0,0,0},
                    fillColor={175,175,175},
                    fillPattern=FillPattern.HorizontalCylinder)}), Icon(coordinateSystem(
                    extent={{-180,-100},{180,100}})),
              experiment(StopTime=2100),
              __Dymola_experimentSetupOutput, Documentation(info="<html>
   <p>
**************************************************************************** <br>
  <b> Copyright (C) 2015-2017 Chair of Automation and Energy Systems, Saarland University </b> <br>
------------------------------------------------------------------------------------------------------------------ <br>
  This file is part of EHSTEG. <p>                    
  
  For more information see <a href=\"//EHSTEG.UsersGuide\">User's Guide</a> <p>
  
**************************************************************************** <p>
</html>
"));
          end ACS_100_0_Controlled;

        annotation (Documentation(info="<html>
   <p>
**************************************************************************** <br>
  <b> Copyright (C) 2015-2017 Chair of Automation and Energy Systems, Saarland University </b> <br>
------------------------------------------------------------------------------------------------------------------ <br>
  This file is part of EHSTEG. <p>                    
  
  For more information see <a href=\"//EHSTEG.UsersGuide\">User's Guide</a> <p>
  
**************************************************************************** <p>
</html>
"));
        end AirCooledSystem;

        package LiquidCooledSystem

          //Copyright (C) 2015-2017 Chair of Automation and Energy Systems, Saarland University (for more information see 'Documentation')

          model LCS_100_0_Uncontrolled
            "uncontrolled liquid cooled system for 100/0 heating load"

            //Copyright (C) 2015-2017 Chair of Automation and Energy Systems, Saarland University (for more information see 'Documentation')

          //parameter definition*********************************************************/
              parameter Real valve_start_time = 10; // s
              replaceable package Medium =
                Modelica.Media.IdealGases.MixtureGases.CombustionAir
               constrainedby Modelica.Media.Interfaces.PartialMedium;

          //variable definition**********************************************************/
              Modelica.SIunits.Resistance R1 = TEG1A.tEG_Module.inner_TEG.R
              "resistance of TEG1";                                                               // Ohm
              Modelica.SIunits.Resistance R2 = TEG1B.tEG_Module.inner_TEG.R
              "resistance of TEG2";                                                               // Ohm
              Modelica.SIunits.Resistance R3 = TEG2A.tEG_Module.inner_TEG.R
              "resistance of TEG3";                                                               // Ohm
              Modelica.SIunits.Resistance R4 = TEG2B.tEG_Module.inner_TEG.R
              "resistance of TEG4";                                                               // Ohm
              Modelica.SIunits.Resistance R5 = TEG3A.tEG_Module.inner_TEG.R
              "resistance of TEG5";                                                               // Ohm
              Modelica.SIunits.Resistance R6 = TEG3B.tEG_Module.inner_TEG.R
              "resistance of TEG6";                                                               // Ohm
              Modelica.SIunits.Resistance R7 = TEG4A.tEG_Module.inner_TEG.R
              "resistance of TEG7";                                                               // Ohm
              Modelica.SIunits.Resistance R8 = TEG4B.tEG_Module.inner_TEG.R
              "resistance of TEG8";                                                               // Ohm

              Modelica.SIunits.Resistance  R_calc
              "inner resistance of TEG-based EHS";                                     // Ohm
              Modelica.SIunits.Power P_ges "gained electrical power"; // W

              Modelica.SIunits.Energy E "gained electrical energy"; // J

              Boolean Cooling_unit_1_2_on_off "controlling unit_1_2";
              Boolean Cooling_unit_3_4_on_off "controlling unit_3_4";
          //*****************************************************************************/

          //used components**************************************************************/
            Components.HeatSource.HeatingBoiler heating_boiler
              annotation (Placement(transformation(extent={{-180,-20},{-140,20}})));
            Components.HeatTransfer.PipeSection pipe_TEG_1
              annotation (Placement(transformation(extent={{-120,-10},{-100,10}})));
            Components.HeatTransfer.PipeSection pipe_TEG_2
              annotation (Placement(transformation(extent={{-60,-10},{-40,10}})));
            Components.HeatTransfer.PipeSection pipe_TEG_3
              annotation (Placement(transformation(extent={{0,-10},{20,10}})));
            Components.HeatTransfer.PipeSection pipe_TEG_4
              annotation (Placement(transformation(extent={{60,-10},{80,10}})));
            Components.Miscellaneous.Chimney chimney
              annotation (Placement(transformation(extent={{104,-4},{144,36}})));
            Components.ThermoelectricDevice.Thermalforce.TEG_199_200_5 TEG1A
              annotation (Placement(transformation(extent={{-106,10},{-126,30}})));
            Components.ThermoelectricDevice.Thermalforce.TEG_199_200_5 TEG1B
              annotation (Placement(transformation(extent={{-106,-10},{-126,-30}})));
            Components.ThermoelectricDevice.Thermalforce.TEG_199_200_5 TEG2A
              annotation (Placement(transformation(extent={{-46,10},{-66,30}})));
            Components.ThermoelectricDevice.Thermalforce.TEG_199_200_5 TEG2B
              annotation (Placement(transformation(extent={{-46,-10},{-66,-30}})));
            Components.ThermoelectricDevice.Thermalforce.TEG_199_200_5 TEG3A
              annotation (Placement(transformation(extent={{14,10},{-6,30}})));
            Components.ThermoelectricDevice.Thermalforce.TEG_199_200_5 TEG3B
              annotation (Placement(transformation(extent={{14,-10},{-6,-30}})));
            Components.ThermoelectricDevice.Thermalforce.TEG_199_200_5 TEG4A
              annotation (Placement(transformation(extent={{74,10},{54,30}})));
            Components.ThermoelectricDevice.Thermalforce.TEG_199_200_5 TEG4B
              annotation (Placement(transformation(extent={{74,-10},{54,-30}})));
            Components.CoolingElement.Active.Liquid.CoolingElement cooling_element1A
              annotation (Placement(transformation(extent={{-106,30},{-126,50}})));
            Components.CoolingElement.Active.Liquid.CoolingElement cooling_element2A
              annotation (Placement(transformation(extent={{-46,30},{-66,50}})));
            Components.CoolingElement.Active.Liquid.CoolingElement cooling_element3A
              annotation (Placement(transformation(extent={{14,30},{-6,50}})));
            Components.CoolingElement.Active.Liquid.CoolingElement cooling_element4A
              annotation (Placement(transformation(extent={{74,30},{54,50}})));
            Components.CoolingElement.Active.Liquid.CoolingElement cooling_element1B
              annotation (Placement(transformation(extent={{-106,-30},{-126,-50}})));
            Components.CoolingElement.Active.Liquid.CoolingElement cooling_element2B
              annotation (Placement(transformation(extent={{-46,-30},{-66,-50}})));
            Components.CoolingElement.Active.Liquid.CoolingElement cooling_element3B
              annotation (Placement(transformation(extent={{14,-30},{-6,-50}})));
            Components.CoolingElement.Active.Liquid.CoolingElement cooling_element4B
              annotation (Placement(transformation(extent={{74,-30},{54,-50}})));
            inner Modelica.Fluid.System system(
                m_flow_small=1e-4, energyDynamics=Modelica.Fluid.Types.Dynamics.SteadyStateInitial)
                                  annotation (Placement(transformation(extent={{-170,70},{
                      -150,90}},  rotation=0)));
            Modelica.Thermal.HeatTransfer.Sources.FixedTemperature ambientTemperature(
                T=system.T_ambient)
              annotation (Placement(transformation(extent={{-140,70},{-120,90}})));
            Components.CoolingElement.Active.Liquid.Distributor_a distributor_in_1_2
              annotation (Placement(transformation(extent={{-96,-54},{-76,-74}})));
            Components.CoolingElement.Active.Liquid.Distributor_b distributor_out_1_2
              annotation (Placement(transformation(extent={{-96,-82},{-76,-62}})));
            Components.CoolingElement.Active.Liquid.Distributor_a distributor_in_3_4
              annotation (Placement(transformation(extent={{24,-54},{44,-74}})));
            Components.CoolingElement.Active.Liquid.Distributor_b distributor_out_3_4
              annotation (Placement(transformation(extent={{24,-82},{44,-62}})));
            Components.CoolingElement.Active.Liquid.IdealCoolingUnit cooling_unit_1_2
              annotation (Placement(transformation(extent={{-60,-78},{-40,-58}})));
            Components.CoolingElement.Active.Liquid.IdealCoolingUnit cooling_unit_3_4
              annotation (Placement(transformation(extent={{60,-78},{80,-58}})));
            Components.Electrics.IdealCommutingSwitch switch_TEG_2
              annotation (Placement(transformation(extent={{-94,10},{-74,30}})));
            Components.Electrics.IdealCommutingSwitch switch_TEG_3
              annotation (Placement(transformation(extent={{-34,10},{-14,30}})));
            Components.Electrics.IdealCommutingSwitch switch_TEG_4
              annotation (Placement(transformation(extent={{26,10},{46,30}})));
            Components.Electrics.IdealMPPT electrical_connection_TEG annotation (
                Placement(transformation(
                  extent={{-10,-10},{10,10}},
                  rotation=90,
                  origin={150,-30})));
            Components.Electrics.EnergySupply energy_supply_single_cooling_unit_1_2
              annotation (Placement(transformation(extent={{-20,-80},{0,-60}})));
            Components.Electrics.EnergySupply energy_supply_single_cooling_unit_3_4
              annotation (Placement(transformation(extent={{100,-80},{120,-60}})));
            Modelica.Blocks.Sources.Constant
                                          pulse(k=0.01)
              annotation (Placement(transformation(extent={{52,-58},{58,-52}})));
            Modelica.Blocks.Sources.Constant
                                          pulse1(k=0.01)
              annotation (Placement(transformation(extent={{-68,-58},{-62,-52}})));
            Modelica.Electrical.Analog.Basic.Ground ground annotation (
                Placement(transformation(extent={{82,-84},{102,-64}})));
          //*****************************************************************************/

          //equations********************************************************************/
          equation

            P_ges = electrical_connection_TEG.electrical_Power - energy_supply_single_cooling_unit_1_2.y - energy_supply_single_cooling_unit_3_4.y;

            P_ges = der(E);

            Cooling_unit_1_2_on_off = true;
            Cooling_unit_3_4_on_off = true;

            energy_supply_single_cooling_unit_1_2.u = Cooling_unit_1_2_on_off;
            energy_supply_single_cooling_unit_3_4.u = Cooling_unit_3_4_on_off;

            //****************************************************************************
            // ideal MPPT
            //****************************************************************************
             if switch_TEG_4.booleanStep.y == true then
               R_calc = (R1*R2)/(R1+R2) + (R3*R4)/(R3+R4) + (R5*R6)/(R5+R6) + (R7*R8)/(R7+R8);
             else
               if switch_TEG_3.booleanStep.y == true then
                 R_calc = (R1*R2)/(R1+R2) + (R3*R4)/(R3+R4) + (R5*R6)/(R5+R6);
               else
                 if switch_TEG_2.booleanStep.y == true then
                   R_calc = (R1*R2)/(R1+R2) + (R3*R4)/(R3+R4);
                 else
                   R_calc = (R1*R2)/(R1+R2);
                 end if;
               end if;
             end if;

            electrical_connection_TEG.R = R_calc;
            //****************************************************************************

            connect(pipe_TEG_1.heatPorts1[1], TEG1A.port_a1) annotation (Line(
                points={{-116,5},{-116,15}},
                color={127,0,0},
                smooth=Smooth.None));
            connect(pipe_TEG_1.heatPorts2[1], TEG1B.port_a1) annotation (Line(
                points={{-116,-5},{-116,-15}},
                color={127,0,0},
                smooth=Smooth.None));
            connect(pipe_TEG_2.heatPorts1[1], TEG2A.port_a1) annotation (Line(
                points={{-56,5},{-56,15}},
                color={127,0,0},
                smooth=Smooth.None));
            connect(pipe_TEG_2.heatPorts2[1], TEG2B.port_a1) annotation (Line(
                points={{-56,-5},{-56,-15}},
                color={127,0,0},
                smooth=Smooth.None));
            connect(pipe_TEG_3.heatPorts1[1], TEG3A.port_a1) annotation (Line(
                points={{4,5},{4,15}},
                color={127,0,0},
                smooth=Smooth.None));
            connect(pipe_TEG_3.heatPorts2[1], TEG3B.port_a1) annotation (Line(
                points={{4,-5},{4,-15}},
                color={127,0,0},
                smooth=Smooth.None));
            connect(pipe_TEG_4.heatPorts1[1], TEG4A.port_a1) annotation (Line(
                points={{64,5},{64,15}},
                color={127,0,0},
                smooth=Smooth.None));
            connect(pipe_TEG_4.heatPorts2[1], TEG4B.port_a1) annotation (Line(
                points={{64,-5},{64,-15}},
                color={127,0,0},
                smooth=Smooth.None));
            connect(TEG1A.port_b1, cooling_element1A.port_a1) annotation (Line(
                points={{-116,25},{-116,35}},
                color={191,0,0},
                smooth=Smooth.None));
            connect(cooling_element2A.port_a1, TEG2A.port_b1) annotation (Line(
                points={{-56,35},{-56,25}},
                color={191,0,0},
                smooth=Smooth.None));
            connect(TEG3A.port_b1, cooling_element3A.port_a1) annotation (Line(
                points={{4,25},{4,35}},
                color={191,0,0},
                smooth=Smooth.None));
            connect(TEG4A.port_b1, cooling_element4A.port_a1) annotation (Line(
                points={{64,25},{64,35}},
                color={191,0,0},
                smooth=Smooth.None));
            connect(TEG1B.port_b1, cooling_element1B.port_a1) annotation (Line(
                points={{-116,-25},{-116,-35}},
                color={191,0,0},
                smooth=Smooth.None));
            connect(TEG2B.port_b1, cooling_element2B.port_a1) annotation (Line(
                points={{-56,-25},{-56,-35}},
                color={191,0,0},
                smooth=Smooth.None));
            connect(TEG3B.port_b1, cooling_element3B.port_a1) annotation (Line(
                points={{4,-25},{4,-35}},
                color={191,0,0},
                smooth=Smooth.None));
            connect(TEG4B.port_b1, cooling_element4B.port_a1) annotation (Line(
                points={{64,-25},{64,-35}},
                color={191,0,0},
                smooth=Smooth.None));
            connect(distributor_in_1_2.port_b, cooling_element1B.port_a) annotation (Line(
                points={{-92,-54},{-92,-40},{-108,-40}},
                color={0,127,255},
                smooth=Smooth.None,
                visible=false));
            connect(distributor_in_1_2.port_b1, cooling_element1A.port_a) annotation (
                Line(
                points={{-88,-54},{-88,40},{-108,40}},
                color={0,127,255},
                smooth=Smooth.None,
                visible=false));
            connect(distributor_in_1_2.port_b2, cooling_element2B.port_a) annotation (
                Line(
                points={{-84,-54},{-84,-46},{-44,-46},{-44,-40},{-48,-40}},
                color={0,127,255},
                smooth=Smooth.None,
                visible=false));
            connect(distributor_in_1_2.port_b3, cooling_element2A.port_a) annotation (
                Line(
                points={{-80,-54},{-80,-48},{-38,-48},{-38,40},{-48,40}},
                color={0,127,255},
                smooth=Smooth.None,
                visible=false));
            connect(cooling_element1B.port_b, distributor_out_1_2.port_a) annotation (
                Line(
                points={{-124.4,-40},{-128,-40},{-128,-86},{-92,-86},{-92,-82}},
                color={0,127,255},
                smooth=Smooth.None,
                visible=false));
            connect(cooling_element1A.port_b, distributor_out_1_2.port_a1) annotation (
                Line(
                points={{-124.4,40},{-134,40},{-134,-92},{-88,-92},{-88,-82}},
                color={0,127,255},
                smooth=Smooth.None,
                visible=false));
            connect(cooling_element2A.port_b, distributor_out_1_2.port_a3) annotation (
                Line(
                points={{-64.4,40},{-72,40},{-72,-86},{-80,-86},{-80,-82}},
                color={0,127,255},
                smooth=Smooth.None,
                visible=false));
            connect(cooling_element2B.port_b, distributor_out_1_2.port_a2) annotation (
                Line(
                points={{-64.4,-40},{-68,-40},{-68,-92},{-84,-92},{-84,-82}},
                color={0,127,255},
                smooth=Smooth.None,
                visible=false));
            connect(distributor_in_3_4.port_b, cooling_element3B.port_a) annotation (Line(
                points={{28,-54},{28,-40},{12,-40}},
                color={0,127,255},
                smooth=Smooth.None,
                visible=false));
            connect(distributor_in_3_4.port_b1, cooling_element3A.port_a) annotation (
                Line(
                points={{32,-54},{32,40},{12,40}},
                color={0,127,255},
                smooth=Smooth.None,
                visible=false));
            connect(distributor_in_3_4.port_b2, cooling_element4B.port_a) annotation (
                Line(
                points={{36,-54},{36,-46},{78,-46},{78,-40},{72,-40}},
                color={0,127,255},
                smooth=Smooth.None,
                visible=false));
            connect(distributor_in_3_4.port_b3, cooling_element4A.port_a) annotation (
                Line(
                points={{40,-54},{40,-50},{84,-50},{84,40},{72,40}},
                color={0,127,255},
                smooth=Smooth.None,
                visible=false));
            connect(distributor_out_3_4.port_a, cooling_element3B.port_b) annotation (
                Line(
                points={{28,-82},{28,-86},{-10,-86},{-10,-40},{-4.4,-40}},
                color={0,127,255},
                smooth=Smooth.None,
                visible=false));
            connect(distributor_out_3_4.port_a1, cooling_element3A.port_b) annotation (
                Line(
                points={{32,-82},{32,-90},{-18,-90},{-18,40},{-4.4,40}},
                color={0,127,255},
                smooth=Smooth.None,
                visible=false));
            connect(distributor_out_3_4.port_a2, cooling_element4B.port_b) annotation (
                Line(
                points={{36,-82},{36,-90},{52,-90},{52,-40},{55.6,-40}},
                color={0,127,255},
                smooth=Smooth.None,
                visible=false));
            connect(distributor_out_3_4.port_a3, cooling_element4A.port_b) annotation (
                Line(
                points={{40,-82},{40,-86},{48,-86},{48,40},{55.6,40}},
                color={0,127,255},
                smooth=Smooth.None,
                visible=false));
            connect(distributor_in_1_2.port_a, cooling_unit_1_2.port_b) annotation (Line(
                points={{-76,-64},{-60,-64}},
                color={0,127,255},
                smooth=Smooth.None));
            connect(distributor_out_1_2.port_b, cooling_unit_1_2.port_a) annotation (Line(
                points={{-76,-72},{-60,-72}},
                color={0,127,255},
                smooth=Smooth.None));
            connect(distributor_in_3_4.port_a, cooling_unit_3_4.port_b) annotation (Line(
                points={{44,-64},{60,-64}},
                color={0,127,255},
                smooth=Smooth.None));
            connect(distributor_out_3_4.port_b, cooling_unit_3_4.port_a) annotation (Line(
                points={{44,-72},{60,-72}},
                color={0,127,255},
                smooth=Smooth.None));

            connect(TEG1A.pin_n1, switch_TEG_2.p1) annotation (Line(
                points={{-107,20},{-93,20}},
                color={0,0,255},
                smooth=Smooth.None));
            connect(TEG2A.pin_p1, switch_TEG_2.n2) annotation (Line(
                points={{-65,20},{-75,20}},
                color={0,0,255},
                smooth=Smooth.None));
            connect(TEG2A.pin_n1, switch_TEG_3.p1) annotation (Line(
                points={{-47,20},{-33,20}},
                color={0,0,255},
                smooth=Smooth.None));
            connect(TEG3A.pin_p1, switch_TEG_3.n2) annotation (Line(
                points={{-5,20},{-15,20}},
                color={0,0,255},
                smooth=Smooth.None));
            connect(TEG3A.pin_n1, switch_TEG_4.p1) annotation (Line(
                points={{13,20},{27,20}},
                color={0,0,255},
                smooth=Smooth.None));
            connect(TEG4A.pin_p1, switch_TEG_4.n2) annotation (Line(
                points={{55,20},{45,20}},
                color={0,0,255},
                smooth=Smooth.None));
            connect(TEG1B.pin_n1, switch_TEG_2.p1) annotation (Line(
                points={{-107,-20},{-98,-20},{-98,20},{-93,20}},
                color={0,0,255},
                smooth=Smooth.None));
            connect(TEG2B.pin_n1, switch_TEG_3.p1) annotation (Line(
                points={{-47,-20},{-38,-20},{-38,20},{-33,20}},
                color={0,0,255},
                smooth=Smooth.None));
            connect(TEG3B.pin_n1, switch_TEG_4.p1) annotation (Line(
                points={{13,-20},{22,-20},{22,20},{27,20}},
                color={0,0,255},
                smooth=Smooth.None));
            connect(TEG4B.pin_n1, TEG4A.pin_n1) annotation (Line(
                points={{73,-20},{82,-20},{82,20},{73,20}},
                color={0,0,255},
                smooth=Smooth.None));
            connect(TEG1B.pin_p1, TEG1A.pin_p1) annotation (Line(
                points={{-125,-20},{-130,-20},{-130,20},{-125,20}},
                color={0,0,255},
                smooth=Smooth.None));
            connect(TEG2B.pin_p1, switch_TEG_2.n2) annotation (Line(
                points={{-65,-20},{-70,-20},{-70,20},{-75,20}},
                color={0,0,255},
                smooth=Smooth.None));
            connect(TEG3B.pin_p1, switch_TEG_3.n2) annotation (Line(
                points={{-5,-20},{-10,-20},{-10,20},{-15,20}},
                color={0,0,255},
                smooth=Smooth.None));
            connect(TEG4B.pin_p1, switch_TEG_4.n2) annotation (Line(
                points={{55,-20},{50,-20},{50,20},{45,20}},
                color={0,0,255},
                smooth=Smooth.None));
            connect(switch_TEG_2.n1, TEG4A.pin_n1) annotation (Line(
                points={{-75,25},{-75,30},{82,30},{82,20},{73,20}},
                color={0,0,255},
                smooth=Smooth.None));
            connect(switch_TEG_3.n1, TEG4A.pin_n1) annotation (Line(
                points={{-15,25},{-15,30},{82,30},{82,20},{73,20}},
                color={0,0,255},
                smooth=Smooth.None));
            connect(switch_TEG_4.n1, TEG4A.pin_n1) annotation (Line(
                points={{45,25},{45,30},{82,30},{82,20},{73,20}},
                color={0,0,255},
                smooth=Smooth.None));
            connect(pulse1.y, cooling_unit_1_2.m_flow_in) annotation (Line(
                points={{-61.7,-55},{-55,-55},{-55,-61.6}},
                color={0,0,127},
                smooth=Smooth.None));
            connect(pulse.y, cooling_unit_3_4.m_flow_in) annotation (Line(
                points={{58.3,-55},{65,-55},{65,-61.6}},
                color={0,0,127},
                smooth=Smooth.None));
            connect(heating_boiler.port_b1, pipe_TEG_1.port_a) annotation (Line(
                points={{-144,0},{-132,0},{-120,0}},
                color={0,127,255},
                visible=false));
            connect(pipe_TEG_1.port_b, pipe_TEG_2.port_a) annotation (Line(
                points={{-100,0},{-80,0},{-60,0}},
                color={0,127,255},
                visible=false));
            connect(pipe_TEG_2.port_b, pipe_TEG_3.port_a) annotation (Line(
                points={{-40,0},{-20,0},{0,0}},
                color={0,127,255},
                visible=false));
            connect(pipe_TEG_3.port_b, pipe_TEG_4.port_a) annotation (Line(
                points={{20,0},{40,0},{60,0}},
                color={0,127,255},
                visible=false));
            connect(pipe_TEG_4.port_b, chimney.port_a1) annotation (Line(
                points={{80,0},{100,0},{120,0}},
                color={0,127,255},
                visible=false));
            connect(ambientTemperature.port, pipe_TEG_1.fluid) annotation (Line(
                points={{-120,80},{-104,80},{-104,5}},
                color={191,0,0},
                visible=false));
            connect(ambientTemperature.port, pipe_TEG_2.fluid) annotation (Line(
                points={{-120,80},{-88,80},{-44,80},{-44,5}},
                color={191,0,0},
                visible=false));
            connect(ambientTemperature.port, pipe_TEG_3.fluid) annotation (Line(
                points={{-120,80},{-52,80},{16,80},{16,5}},
                color={191,0,0},
                visible=false));
            connect(ambientTemperature.port, pipe_TEG_4.fluid) annotation (Line(
                points={{-120,80},{-24,80},{76,80},{76,5}},
                color={191,0,0},
                visible=false));
            connect(energy_supply_single_cooling_unit_1_2.p, cooling_unit_1_2.p1)
              annotation (Line(
                points={{-16,-61},{-16,-61},{-16,-54},{-49,-54},{-49,-61.6}},
                color={0,0,255},
                visible=false));
            connect(cooling_unit_1_2.n1, energy_supply_single_cooling_unit_1_2.n)
              annotation (Line(
                points={{-41,-61.6},{-41,-58},{-4,-58},{-4,-61}},
                color={0,0,255},
                visible=false));
            connect(cooling_unit_3_4.p1, energy_supply_single_cooling_unit_3_4.p)
              annotation (Line(
                points={{71,-61.6},{71,-50},{104,-50},{104,-61}},
                color={0,0,255},
                visible=false));
            connect(cooling_unit_3_4.n1, energy_supply_single_cooling_unit_3_4.n)
              annotation (Line(
                points={{79,-61.6},{79,-56},{116,-56},{116,-61}},
                color={0,0,255},
                visible=false));
            connect(TEG4B.pin_n1, electrical_connection_TEG.n1)
              annotation (Line(points={{73,-20},{112,-20},{150,-20}}, color={0,0,255}));
            connect(TEG1B.pin_p1, electrical_connection_TEG.p1) annotation (Line(points={{
                    -125,-20},{-130,-20},{-130,-30},{112,-30},{112,-40},{150,-40}}, color=
                   {0,0,255}));
            connect(energy_supply_single_cooling_unit_3_4.p, ground.p)
              annotation (Line(points={{104,-61},{98,-61},{98,-64},{92,-64}},
                  color={0,0,255}));
            connect(energy_supply_single_cooling_unit_1_2.p, ground.p)
              annotation (Line(
                points={{-16,-61},{-20,-61},{-20,-62},{-26,-62},{-26,-90},{92,
                    -90},{92,-64}},
                color={0,0,255},
                visible=false));
          //*****************************************************************************/

             annotation (Diagram(coordinateSystem(extent={{-180,-100},{180,100}},
                    preserveAspectRatio=false), graphics={
                  Rectangle(
                    extent={{-100,4},{-60,-4}},
                    lineColor={0,0,0},
                    fillColor={175,175,175},
                    fillPattern=FillPattern.HorizontalCylinder),
                  Rectangle(
                    extent={{-40,4},{0,-4}},
                    lineColor={0,0,0},
                    fillColor={175,175,175},
                    fillPattern=FillPattern.HorizontalCylinder),
                  Rectangle(
                    extent={{20,4},{60,-4}},
                    lineColor={0,0,0},
                    fillColor={175,175,175},
                    fillPattern=FillPattern.HorizontalCylinder),
                  Rectangle(
                    extent={{80,4},{120,-4}},
                    lineColor={0,0,0},
                    fillColor={175,175,175},
                    fillPattern=FillPattern.HorizontalCylinder),
                  Rectangle(
                    extent={{-144,4},{-120,-4}},
                    lineColor={0,0,0},
                    fillColor={175,175,175},
                    fillPattern=FillPattern.HorizontalCylinder)}), Icon(coordinateSystem(
                    extent={{-180,-100},{180,100}})),
              experiment(StopTime=2100),
              __Dymola_experimentSetupOutput, Documentation(info="<html>
   <p>
**************************************************************************** <br>
  <b> Copyright (C) 2015-2017 Chair of Automation and Energy Systems, Saarland University </b> <br>
------------------------------------------------------------------------------------------------------------------ <br>
  This file is part of EHSTEG. <p>                    
  
  For more information see <a href=\"//EHSTEG.UsersGuide\">User's Guide</a> <p>
  
**************************************************************************** <p>
</html>
"));
          end LCS_100_0_Uncontrolled;

          model LCS_100_0_Controlled
            "controlled liquid cooled system for 100/0 heating load"

            //Copyright (C) 2015-2017 Chair of Automation and Energy Systems, Saarland University (for more information see 'Documentation')

          //parameter definition*********************************************************/
              parameter Real valve_start_time = 10; // s
              replaceable package Medium =
                Modelica.Media.IdealGases.MixtureGases.CombustionAir
               constrainedby Modelica.Media.Interfaces.PartialMedium;

          //variable definition**********************************************************/
              Modelica.SIunits.Resistance R1 = TEG1A.tEG_Module.inner_TEG.R
              "resistance of TEG1";                                                               // Ohm
              Modelica.SIunits.Resistance R2 = TEG1B.tEG_Module.inner_TEG.R
              "resistance of TEG2";                                                               // Ohm
              Modelica.SIunits.Resistance R3 = TEG2A.tEG_Module.inner_TEG.R
              "resistance of TEG3";                                                               // Ohm
              Modelica.SIunits.Resistance R4 = TEG2B.tEG_Module.inner_TEG.R
              "resistance of TEG4";                                                               // Ohm
              Modelica.SIunits.Resistance R5 = TEG3A.tEG_Module.inner_TEG.R
              "resistance of TEG5";                                                               // Ohm
              Modelica.SIunits.Resistance R6 = TEG3B.tEG_Module.inner_TEG.R
              "resistance of TEG6";                                                               // Ohm
              Modelica.SIunits.Resistance R7 = TEG4A.tEG_Module.inner_TEG.R
              "resistance of TEG7";                                                               // Ohm
              Modelica.SIunits.Resistance R8 = TEG4B.tEG_Module.inner_TEG.R
              "resistance of TEG8";                                                               // Ohm

              Modelica.SIunits.Resistance  R_calc
              "inner resistance of TEG-based EHS";                                     // Ohm
              Modelica.SIunits.Power P_ges "gained electrical power"; // W

              Modelica.SIunits.Energy E "gained electrical energy"; // J

              Boolean Cooling_unit_1_2_on_off "controlling unit_1_2";
              Boolean Cooling_unit_3_4_on_off "controlling unit_3_4";
              Boolean switch_value;
              Real m_flow;
          //*****************************************************************************/

          //used components**************************************************************/
            Components.HeatSource.HeatingBoiler heating_boiler
              annotation (Placement(transformation(extent={{-180,-20},{-140,20}})));
            Components.HeatTransfer.PipeSection pipe_TEG_1
              annotation (Placement(transformation(extent={{-120,-10},{-100,10}})));
            Components.HeatTransfer.PipeSection pipe_TEG_2
              annotation (Placement(transformation(extent={{-60,-10},{-40,10}})));
            Components.HeatTransfer.PipeSection pipe_TEG_3
              annotation (Placement(transformation(extent={{0,-10},{20,10}})));
            Components.HeatTransfer.PipeSection pipe_TEG_4
              annotation (Placement(transformation(extent={{60,-10},{80,10}})));
            Components.Miscellaneous.Chimney chimney
              annotation (Placement(transformation(extent={{104,-4},{144,36}})));
            Components.ThermoelectricDevice.Thermalforce.TEG_199_200_5 TEG1A
              annotation (Placement(transformation(extent={{-106,10},{-126,30}})));
            Components.ThermoelectricDevice.Thermalforce.TEG_199_200_5 TEG1B
              annotation (Placement(transformation(extent={{-106,-10},{-126,-30}})));
            Components.ThermoelectricDevice.Thermalforce.TEG_199_200_5 TEG2A
              annotation (Placement(transformation(extent={{-46,10},{-66,30}})));
            Components.ThermoelectricDevice.Thermalforce.TEG_199_200_5 TEG2B
              annotation (Placement(transformation(extent={{-46,-10},{-66,-30}})));
            Components.ThermoelectricDevice.Thermalforce.TEG_199_200_5 TEG3A
              annotation (Placement(transformation(extent={{14,10},{-6,30}})));
            Components.ThermoelectricDevice.Thermalforce.TEG_199_200_5 TEG3B
              annotation (Placement(transformation(extent={{14,-10},{-6,-30}})));
            Components.ThermoelectricDevice.Thermalforce.TEG_199_200_5 TEG4A
              annotation (Placement(transformation(extent={{74,10},{54,30}})));
            Components.ThermoelectricDevice.Thermalforce.TEG_199_200_5 TEG4B
              annotation (Placement(transformation(extent={{74,-10},{54,-30}})));
            Components.CoolingElement.Active.Liquid.CoolingElement cooling_element1A
              annotation (Placement(transformation(extent={{-106,30},{-126,50}})));
            Components.CoolingElement.Active.Liquid.CoolingElement cooling_element2A
              annotation (Placement(transformation(extent={{-46,30},{-66,50}})));
            Components.CoolingElement.Active.Liquid.CoolingElement cooling_element3A
              annotation (Placement(transformation(extent={{14,30},{-6,50}})));
            Components.CoolingElement.Active.Liquid.CoolingElement cooling_element4A
              annotation (Placement(transformation(extent={{74,30},{54,50}})));
            Components.CoolingElement.Active.Liquid.CoolingElement cooling_element1B
              annotation (Placement(transformation(extent={{-106,-30},{-126,-50}})));
            Components.CoolingElement.Active.Liquid.CoolingElement cooling_element2B
              annotation (Placement(transformation(extent={{-46,-30},{-66,-50}})));
            Components.CoolingElement.Active.Liquid.CoolingElement cooling_element3B
              annotation (Placement(transformation(extent={{14,-30},{-6,-50}})));
            Components.CoolingElement.Active.Liquid.CoolingElement cooling_element4B
              annotation (Placement(transformation(extent={{74,-30},{54,-50}})));
            inner Modelica.Fluid.System system(
                m_flow_small=1e-4, energyDynamics=Modelica.Fluid.Types.Dynamics.SteadyStateInitial)
                                  annotation (Placement(transformation(extent={{-170,70},{
                      -150,90}},  rotation=0)));
            Modelica.Thermal.HeatTransfer.Sources.FixedTemperature ambientTemperature(
                T=system.T_ambient)
              annotation (Placement(transformation(extent={{-140,70},{-120,90}})));
            Components.CoolingElement.Active.Liquid.Distributor_a distributor_in_1_2
              annotation (Placement(transformation(extent={{-96,-54},{-76,-74}})));
            Components.CoolingElement.Active.Liquid.Distributor_b distributor_out_1_2
              annotation (Placement(transformation(extent={{-96,-82},{-76,-62}})));
            Components.CoolingElement.Active.Liquid.Distributor_a distributor_in_3_4
              annotation (Placement(transformation(extent={{24,-54},{44,-74}})));
            Components.CoolingElement.Active.Liquid.Distributor_b distributor_out_3_4
              annotation (Placement(transformation(extent={{24,-82},{44,-62}})));
            Components.CoolingElement.Active.Liquid.IdealCoolingUnit cooling_unit_1_2
              annotation (Placement(transformation(extent={{-60,-78},{-40,-58}})));
            Components.CoolingElement.Active.Liquid.IdealCoolingUnit cooling_unit_3_4
              annotation (Placement(transformation(extent={{60,-78},{80,-58}})));
            Components.Electrics.IdealCommutingSwitch switch_TEG_2(startTime=10,
                startValue=false)
              annotation (Placement(transformation(extent={{-94,10},{-74,30}})));
            Components.Electrics.IdealMPPT electrical_connection_TEG annotation (
                Placement(transformation(
                  extent={{-10,-10},{10,10}},
                  rotation=90,
                  origin={150,-30})));
            Components.Electrics.EnergySupply energy_supply_single_cooling_unit_1_2
              annotation (Placement(transformation(extent={{-20,-80},{0,-60}})));
            Components.Electrics.EnergySupply energy_supply_single_cooling_unit_3_4
              annotation (Placement(transformation(extent={{100,-80},{120,-60}})));
            Modelica.Blocks.Sources.Constant
                                          pulse1(k=0.01)
              annotation (Placement(transformation(extent={{-68,-58},{-62,-52}})));
            Modelica.Electrical.Analog.Ideal.IdealCommutingSwitch switch_TEG_3
              annotation (Placement(transformation(extent={{-32,10},{-12,30}})));
            Modelica.Electrical.Analog.Ideal.IdealCommutingSwitch switch_TEG_4
              annotation (Placement(transformation(extent={{26,10},{46,30}})));
            Modelica.Electrical.Analog.Basic.Ground ground annotation (
                Placement(transformation(extent={{80,-98},{100,-78}})));
          //*****************************************************************************/

          //equations********************************************************************/
          equation

            P_ges = electrical_connection_TEG.electrical_Power - energy_supply_single_cooling_unit_1_2.y - energy_supply_single_cooling_unit_3_4.y;

            P_ges = der(E);

            switch_TEG_3.control = switch_value;
            switch_TEG_4.control = switch_value;

            //****************************************************************************
            // switching on - cooling unit 1/2 und 3/4
            //****************************************************************************
            cooling_unit_3_4.m_flow_in = m_flow;
            Cooling_unit_1_2_on_off = true;

            if time < 197 then
              Cooling_unit_3_4_on_off = false;
              switch_value = false;
              m_flow = 0.001;
            else
                if time <= 1881 then
                  Cooling_unit_3_4_on_off = true;
                  switch_value = true;
                  m_flow = 0.01;
                else
                  Cooling_unit_3_4_on_off = false;
                  switch_value = false;
                  m_flow = 0.001;
                end if;
            end if;

            energy_supply_single_cooling_unit_1_2.u = Cooling_unit_1_2_on_off;
            energy_supply_single_cooling_unit_3_4.u = Cooling_unit_3_4_on_off;
            //****************************************************************************

            //****************************************************************************
            // ideal MPPT
            //****************************************************************************
             if switch_value == true then
               R_calc = (R1*R2)/(R1+R2) + (R3*R4)/(R3+R4) + (R5*R6)/(R5+R6) + (R7*R8)/(R7+R8);
             else
                 if switch_TEG_2.booleanStep.y == true then
                   R_calc = (R1*R2)/(R1+R2) + (R3*R4)/(R3+R4);
                 else
                   R_calc = (R1*R2)/(R1+R2);
                 end if;
             end if;

            electrical_connection_TEG.R = R_calc;
            //****************************************************************************

            connect(pipe_TEG_1.heatPorts1[1], TEG1A.port_a1) annotation (Line(
                points={{-116,5},{-116,15}},
                color={127,0,0},
                smooth=Smooth.None));
            connect(pipe_TEG_1.heatPorts2[1], TEG1B.port_a1) annotation (Line(
                points={{-116,-5},{-116,-15}},
                color={127,0,0},
                smooth=Smooth.None));
            connect(pipe_TEG_2.heatPorts1[1], TEG2A.port_a1) annotation (Line(
                points={{-56,5},{-56,15}},
                color={127,0,0},
                smooth=Smooth.None));
            connect(pipe_TEG_2.heatPorts2[1], TEG2B.port_a1) annotation (Line(
                points={{-56,-5},{-56,-15}},
                color={127,0,0},
                smooth=Smooth.None));
            connect(pipe_TEG_3.heatPorts1[1], TEG3A.port_a1) annotation (Line(
                points={{4,5},{4,15}},
                color={127,0,0},
                smooth=Smooth.None));
            connect(pipe_TEG_3.heatPorts2[1], TEG3B.port_a1) annotation (Line(
                points={{4,-5},{4,-15}},
                color={127,0,0},
                smooth=Smooth.None));
            connect(pipe_TEG_4.heatPorts1[1], TEG4A.port_a1) annotation (Line(
                points={{64,5},{64,15}},
                color={127,0,0},
                smooth=Smooth.None));
            connect(pipe_TEG_4.heatPorts2[1], TEG4B.port_a1) annotation (Line(
                points={{64,-5},{64,-15}},
                color={127,0,0},
                smooth=Smooth.None));
            connect(TEG1A.port_b1, cooling_element1A.port_a1) annotation (Line(
                points={{-116,25},{-116,35}},
                color={191,0,0},
                smooth=Smooth.None));
            connect(cooling_element2A.port_a1, TEG2A.port_b1) annotation (Line(
                points={{-56,35},{-56,25}},
                color={191,0,0},
                smooth=Smooth.None));
            connect(TEG3A.port_b1, cooling_element3A.port_a1) annotation (Line(
                points={{4,25},{4,35}},
                color={191,0,0},
                smooth=Smooth.None));
            connect(TEG4A.port_b1, cooling_element4A.port_a1) annotation (Line(
                points={{64,25},{64,35}},
                color={191,0,0},
                smooth=Smooth.None));
            connect(TEG1B.port_b1, cooling_element1B.port_a1) annotation (Line(
                points={{-116,-25},{-116,-35}},
                color={191,0,0},
                smooth=Smooth.None));
            connect(TEG2B.port_b1, cooling_element2B.port_a1) annotation (Line(
                points={{-56,-25},{-56,-35}},
                color={191,0,0},
                smooth=Smooth.None));
            connect(TEG3B.port_b1, cooling_element3B.port_a1) annotation (Line(
                points={{4,-25},{4,-35}},
                color={191,0,0},
                smooth=Smooth.None));
            connect(TEG4B.port_b1, cooling_element4B.port_a1) annotation (Line(
                points={{64,-25},{64,-35}},
                color={191,0,0},
                smooth=Smooth.None));
            connect(distributor_in_1_2.port_b, cooling_element1B.port_a) annotation (Line(
                points={{-92,-54},{-92,-40},{-108,-40}},
                color={0,127,255},
                smooth=Smooth.None,
                visible=false));
            connect(distributor_in_1_2.port_b1, cooling_element1A.port_a) annotation (
                Line(
                points={{-88,-54},{-88,40},{-108,40}},
                color={0,127,255},
                smooth=Smooth.None,
                visible=false));
            connect(distributor_in_1_2.port_b2, cooling_element2B.port_a) annotation (
                Line(
                points={{-84,-54},{-84,-46},{-44,-46},{-44,-40},{-48,-40}},
                color={0,127,255},
                smooth=Smooth.None,
                visible=false));
            connect(distributor_in_1_2.port_b3, cooling_element2A.port_a) annotation (
                Line(
                points={{-80,-54},{-80,-48},{-38,-48},{-38,40},{-48,40}},
                color={0,127,255},
                smooth=Smooth.None,
                visible=false));
            connect(cooling_element1B.port_b, distributor_out_1_2.port_a) annotation (
                Line(
                points={{-124.4,-40},{-128,-40},{-128,-86},{-92,-86},{-92,-82}},
                color={0,127,255},
                smooth=Smooth.None,
                visible=false));
            connect(cooling_element1A.port_b, distributor_out_1_2.port_a1) annotation (
                Line(
                points={{-124.4,40},{-134,40},{-134,-92},{-88,-92},{-88,-82}},
                color={0,127,255},
                smooth=Smooth.None,
                visible=false));
            connect(cooling_element2A.port_b, distributor_out_1_2.port_a3) annotation (
                Line(
                points={{-64.4,40},{-72,40},{-72,-86},{-80,-86},{-80,-82}},
                color={0,127,255},
                smooth=Smooth.None,
                visible=false));
            connect(cooling_element2B.port_b, distributor_out_1_2.port_a2) annotation (
                Line(
                points={{-64.4,-40},{-68,-40},{-68,-92},{-84,-92},{-84,-82}},
                color={0,127,255},
                smooth=Smooth.None,
                visible=false));
            connect(distributor_in_3_4.port_b, cooling_element3B.port_a) annotation (Line(
                points={{28,-54},{28,-40},{12,-40}},
                color={0,127,255},
                smooth=Smooth.None,
                visible=false));
            connect(distributor_in_3_4.port_b1, cooling_element3A.port_a) annotation (
                Line(
                points={{32,-54},{32,40},{12,40}},
                color={0,127,255},
                smooth=Smooth.None,
                visible=false));
            connect(distributor_in_3_4.port_b2, cooling_element4B.port_a) annotation (
                Line(
                points={{36,-54},{36,-46},{78,-46},{78,-40},{72,-40}},
                color={0,127,255},
                smooth=Smooth.None,
                visible=false));
            connect(distributor_in_3_4.port_b3, cooling_element4A.port_a) annotation (
                Line(
                points={{40,-54},{40,-50},{84,-50},{84,40},{72,40}},
                color={0,127,255},
                smooth=Smooth.None,
                visible=false));
            connect(distributor_out_3_4.port_a, cooling_element3B.port_b) annotation (
                Line(
                points={{28,-82},{28,-86},{-10,-86},{-10,-40},{-4.4,-40}},
                color={0,127,255},
                smooth=Smooth.None,
                visible=false));
            connect(distributor_out_3_4.port_a1, cooling_element3A.port_b) annotation (
                Line(
                points={{32,-82},{32,-90},{-18,-90},{-18,40},{-4.4,40}},
                color={0,127,255},
                smooth=Smooth.None,
                visible=false));
            connect(distributor_out_3_4.port_a2, cooling_element4B.port_b) annotation (
                Line(
                points={{36,-82},{36,-90},{52,-90},{52,-40},{55.6,-40}},
                color={0,127,255},
                smooth=Smooth.None,
                visible=false));
            connect(distributor_out_3_4.port_a3, cooling_element4A.port_b) annotation (
                Line(
                points={{40,-82},{40,-86},{48,-86},{48,40},{55.6,40}},
                color={0,127,255},
                smooth=Smooth.None,
                visible=false));
            connect(distributor_in_1_2.port_a, cooling_unit_1_2.port_b) annotation (Line(
                points={{-76,-64},{-60,-64}},
                color={0,127,255},
                smooth=Smooth.None));
            connect(distributor_out_1_2.port_b, cooling_unit_1_2.port_a) annotation (Line(
                points={{-76,-72},{-60,-72}},
                color={0,127,255},
                smooth=Smooth.None));
            connect(distributor_in_3_4.port_a, cooling_unit_3_4.port_b) annotation (Line(
                points={{44,-64},{60,-64}},
                color={0,127,255},
                smooth=Smooth.None));
            connect(distributor_out_3_4.port_b, cooling_unit_3_4.port_a) annotation (Line(
                points={{44,-72},{60,-72}},
                color={0,127,255},
                smooth=Smooth.None));

            connect(TEG1A.pin_n1, switch_TEG_2.p1) annotation (Line(
                points={{-107,20},{-93,20}},
                color={0,0,255},
                smooth=Smooth.None));
            connect(TEG2A.pin_p1, switch_TEG_2.n2) annotation (Line(
                points={{-65,20},{-75,20}},
                color={0,0,255},
                smooth=Smooth.None));
            connect(TEG1B.pin_n1, switch_TEG_2.p1) annotation (Line(
                points={{-107,-20},{-98,-20},{-98,20},{-93,20}},
                color={0,0,255},
                smooth=Smooth.None));
            connect(TEG4B.pin_n1, TEG4A.pin_n1) annotation (Line(
                points={{73,-20},{82,-20},{82,20},{73,20}},
                color={0,0,255},
                smooth=Smooth.None));
            connect(TEG1B.pin_p1, TEG1A.pin_p1) annotation (Line(
                points={{-125,-20},{-130,-20},{-130,20},{-125,20}},
                color={0,0,255},
                smooth=Smooth.None));
            connect(TEG2B.pin_p1, switch_TEG_2.n2) annotation (Line(
                points={{-65,-20},{-70,-20},{-70,20},{-75,20}},
                color={0,0,255},
                smooth=Smooth.None));
            connect(switch_TEG_2.n1, TEG4A.pin_n1) annotation (Line(
                points={{-75,25},{-75,30},{82,30},{82,20},{73,20}},
                color={0,0,255},
                smooth=Smooth.None));
            connect(pulse1.y, cooling_unit_1_2.m_flow_in) annotation (Line(
                points={{-61.7,-55},{-55,-55},{-55,-61.6}},
                color={0,0,127},
                smooth=Smooth.None));
            connect(TEG3A.pin_p1, switch_TEG_3.n2) annotation (Line(
                points={{-5,20},{-12,20}},
                color={0,0,255},
                smooth=Smooth.None));
            connect(TEG2A.pin_n1, TEG2B.pin_n1) annotation (Line(
                points={{-47,20},{-38,20},{-38,-20},{-47,-20}},
                color={0,0,255},
                smooth=Smooth.None));
            connect(TEG3B.pin_p1, switch_TEG_3.n2) annotation (Line(
                points={{-5,-20},{-10,-20},{-10,20},{-12,20}},
                color={0,0,255},
                smooth=Smooth.None));
            connect(TEG4A.pin_p1, switch_TEG_4.n2) annotation (Line(
                points={{55,20},{46,20}},
                color={0,0,255},
                smooth=Smooth.None));
            connect(TEG4B.pin_p1, switch_TEG_4.n2) annotation (Line(
                points={{55,-20},{50,-20},{50,20},{46,20}},
                color={0,0,255},
                smooth=Smooth.None));
            connect(switch_TEG_3.n1, TEG4A.pin_n1) annotation (Line(
                points={{-12,25},{-12,30},{82,30},{82,20},{73,20}},
                color={0,0,255},
                smooth=Smooth.None));
            connect(switch_TEG_4.n1, TEG4A.pin_n1) annotation (Line(
                points={{46,25},{46,30},{82,30},{82,20},{73,20}},
                color={0,0,255},
                smooth=Smooth.None));
            connect(TEG2A.pin_n1, switch_TEG_3.p)
              annotation (Line(points={{-47,20},{-39.5,20},{-32,20}}, color={0,0,255}));
            connect(TEG3A.pin_n1, switch_TEG_4.p)
              annotation (Line(points={{13,20},{19.5,20},{26,20}}, color={0,0,255}));
            connect(TEG3B.pin_n1, switch_TEG_4.p) annotation (Line(points={{13,-20},{18,-20},
                    {18,-20},{22,-20},{22,20},{26,20}}, color={0,0,255}));
            connect(heating_boiler.port_b1, pipe_TEG_1.port_a) annotation (Line(
                points={{-144,0},{-132,0},{-120,0}},
                color={0,127,255},
                visible=false));
            connect(pipe_TEG_1.port_b, pipe_TEG_2.port_a) annotation (Line(
                points={{-100,0},{-80,0},{-60,0}},
                color={0,127,255},
                visible=false));
            connect(pipe_TEG_2.port_b, pipe_TEG_3.port_a) annotation (Line(
                points={{-40,0},{-20,0},{0,0}},
                color={0,127,255},
                visible=false));
            connect(pipe_TEG_3.port_b, pipe_TEG_4.port_a) annotation (Line(
                points={{20,0},{40,0},{60,0}},
                color={0,127,255},
                visible=false));
            connect(pipe_TEG_4.port_b, chimney.port_a1) annotation (Line(
                points={{80,0},{102,0},{120,0}},
                color={0,127,255},
                visible=false));
            connect(pipe_TEG_4.fluid, ambientTemperature.port) annotation (Line(
                points={{76,5},{76,5},{76,80},{-120,80}},
                color={191,0,0},
                visible=false));
            connect(pipe_TEG_3.fluid, ambientTemperature.port) annotation (Line(
                points={{16,5},{16,80},{-120,80}},
                color={191,0,0},
                visible=false));
            connect(pipe_TEG_2.fluid, ambientTemperature.port) annotation (Line(
                points={{-44,5},{-44,80},{-120,80}},
                color={191,0,0},
                visible=false));
            connect(pipe_TEG_1.fluid, ambientTemperature.port) annotation (Line(
                points={{-104,5},{-104,80},{-120,80}},
                color={191,0,0},
                visible=false));
            connect(energy_supply_single_cooling_unit_1_2.p, cooling_unit_1_2.p1)
              annotation (Line(
                points={{-16,-61},{-16,-52},{-49,-52},{-49,-61.6}},
                color={0,0,255},
                visible=false));
            connect(cooling_unit_1_2.n1, energy_supply_single_cooling_unit_1_2.n)
              annotation (Line(
                points={{-41,-61.6},{-41,-56},{-4,-56},{-4,-61}},
                color={0,0,255},
                visible=false));
            connect(cooling_unit_3_4.p1, energy_supply_single_cooling_unit_3_4.p)
              annotation (Line(
                points={{71,-61.6},{71,-52},{104,-52},{104,-61}},
                color={0,0,255},
                visible=false));
            connect(cooling_unit_3_4.n1, energy_supply_single_cooling_unit_3_4.n)
              annotation (Line(
                points={{79,-61.6},{79,-56},{116,-56},{116,-61}},
                color={0,0,255},
                visible=false));
            connect(TEG4B.pin_n1, electrical_connection_TEG.n1)
              annotation (Line(points={{73,-20},{112,-20},{150,-20}}, color={0,0,255}));
            connect(TEG1B.pin_p1, electrical_connection_TEG.p1) annotation (Line(points={{
                    -125,-20},{-130,-20},{-130,-32},{100,-32},{100,-40},{150,-40}}, color=
                   {0,0,255}));
            connect(energy_supply_single_cooling_unit_1_2.p, ground.p)
              annotation (Line(
                points={{-16,-61},{36,-61},{36,-78},{90,-78}},
                color={0,0,255},
                visible=false));
            connect(energy_supply_single_cooling_unit_3_4.p, ground.p)
              annotation (Line(points={{104,-61},{96,-61},{96,-78},{90,-78}},
                  color={0,0,255}));
          //*****************************************************************************/

              annotation (Diagram(coordinateSystem(extent={{-180,-100},{180,100}},
                    preserveAspectRatio=false), graphics={
                  Rectangle(
                    extent={{-100,4},{-60,-4}},
                    lineColor={0,0,0},
                    fillColor={175,175,175},
                    fillPattern=FillPattern.HorizontalCylinder),
                  Rectangle(
                    extent={{-40,4},{0,-4}},
                    lineColor={0,0,0},
                    fillColor={175,175,175},
                    fillPattern=FillPattern.HorizontalCylinder),
                  Rectangle(
                    extent={{20,4},{60,-4}},
                    lineColor={0,0,0},
                    fillColor={175,175,175},
                    fillPattern=FillPattern.HorizontalCylinder),
                  Rectangle(
                    extent={{80,4},{120,-4}},
                    lineColor={0,0,0},
                    fillColor={175,175,175},
                    fillPattern=FillPattern.HorizontalCylinder),
                  Rectangle(
                    extent={{-144,4},{-120,-4}},
                    lineColor={0,0,0},
                    fillColor={175,175,175},
                    fillPattern=FillPattern.HorizontalCylinder)}), Icon(coordinateSystem(
                    extent={{-180,-100},{180,100}})),
              experiment(StopTime=2100),
              __Dymola_experimentSetupOutput, Documentation(info="<html>
   <p>
**************************************************************************** <br>
  <b> Copyright (C) 2015-2017 Chair of Automation and Energy Systems, Saarland University </b> <br>
------------------------------------------------------------------------------------------------------------------ <br>
  This file is part of EHSTEG. <p>                    
  
  For more information see <a href=\"//EHSTEG.UsersGuide\">User's Guide</a> <p>
  
**************************************************************************** <p>
</html>
"));
          end LCS_100_0_Controlled;

        annotation (Documentation(info="<html>
   <p>
**************************************************************************** <br>
  <b> Copyright (C) 2015-2017 Chair of Automation and Energy Systems, Saarland University </b> <br>
------------------------------------------------------------------------------------------------------------------ <br>
  This file is part of EHSTEG. <p>                    
  
  For more information see <a href=\"//EHSTEG.UsersGuide\">User's Guide</a> <p>
  
**************************************************************************** <p>
</html>
"));
        end LiquidCooledSystem;

        annotation (Documentation(info="<html>
   <p>
**************************************************************************** <br>
  <b> Copyright (C) 2015-2017 Chair of Automation and Energy Systems, Saarland University </b> <br>
------------------------------------------------------------------------------------------------------------------ <br>
  This file is part of EHSTEG. <p>                    
  
  For more information see <a href=\"//EHSTEG.UsersGuide\">User's Guide</a> <p>
  
**************************************************************************** <p>
</html>
"));
      end PairsOfTEGs;

      package SystemAssessment
        "package contains models for system assessment of EHSs at an oil-fired heating"

          //Copyright (C) 2015-2017 Chair of Automation and Energy Systems, Saarland University (for more information see 'Documentation')

        package HeatingLoad_50_50 "package for an heating load of 50/50"

            //Copyright (C) 2015-2017 Chair of Automation and Energy Systems, Saarland University (for more information see 'Documentation')

          model HeatingBoiler_50_50
            "simple model of a heating boiler; filled with real data 'Viessmann Vitola-comferral VMO 15' for a 50/50 heating load"

            //Copyright (C) 2015-2017 Chair of Automation and Energy Systems, Saarland University (for more information see 'Documentation')

          //import***********************************************************************/
              import Modelica.SIunits.*;
          //*****************************************************************************/

          //parameter definition*********************************************************/
            parameter Pressure p_a_pump = 110000 "nominal pump inlet pressure"; // Pa
            parameter Pressure p_b_pump = 130000 "nominal pump outlet pressure"; // Pa
            parameter MassFlowRate m_flow_pump = 0.0815
              "nominal mass flow rate";                                           // kg/s
            parameter Length length_pipe = 0.5 "length of 'heating' pipe"; // m
            parameter Diameter diameter_pipe = 0.13
              "diameter of 'heating' pipe";                                       // m
            replaceable package Medium =
            Modelica.Media.IdealGases.MixtureGases.CombustionAir constrainedby
              Modelica.Media.Interfaces.PartialMedium
              "exhaust gas medium in boiler"                                          annotation (choicesAllMatching = true);
          //*****************************************************************************/

          //used components**************************************************************/
            Modelica.Fluid.Machines.ControlledPump pump(
              redeclare package Medium = Medium,
              N_nominal=1500,
              use_T_start=true,
              T_start=Modelica.SIunits.Conversions.from_degC(40),
              m_flow_start=0.01,
              control_m_flow=false,
              allowFlowReversal=false,
              p_a_nominal=p_a_pump,
              p_b_nominal=p_b_pump,
              m_flow_nominal=m_flow_pump,
              p_a_start=110000,
              p_b_start=130000)   annotation (Placement(transformation(extent={{-32,-40},{
                      -12,-20}},      rotation=0)));
            Modelica.Fluid.Pipes.DynamicPipe heater(
              redeclare package Medium = Medium,
              use_T_start=true,
              T_start=Modelica.SIunits.Conversions.from_degC(80),
              redeclare model HeatTransfer =
                  Modelica.Fluid.Pipes.BaseClasses.HeatTransfer.IdealFlowHeatTransfer,
              nNodes=1,
              redeclare model FlowModel =
                  Modelica.Fluid.Pipes.BaseClasses.FlowModels.DetailedPipeFlow,
              modelStructure=Modelica.Fluid.Types.ModelStructure.a_v_b,
              length=length_pipe,
              diameter=diameter_pipe,
              use_HeatTransfer=false,
              p_a_start=130000) annotation (Placement(transformation(extent={{44,-40},{64,
                      -20}},     rotation=0)));
            Modelica.Fluid.Interfaces.FluidPort_b port_b1(redeclare package
                Medium =
                  Modelica.Media.IdealGases.MixtureGases.CombustionAir)
              "Fluid connector b (positive design flow direction is from port_a to port_b)"
              annotation (Placement(transformation(extent={{70,-10},{90,10}}),
                  iconTransformation(extent={{70,-10},{90,10}})));
            Modelica.Fluid.Sources.Boundary_pT boundary(                nPorts=1,
              use_T_in=true,
              redeclare package Medium =
                  Modelica.Media.IdealGases.MixtureGases.CombustionAir)
              annotation (Placement(transformation(extent={{-72,-40},{-52,-20}})));
            Modelica.Blocks.Math.Add Celsius_to_Kelvin
              annotation (Placement(transformation(extent={{-40,40},{-20,60}})));
            Modelica.Blocks.Sources.Constant conversion_factor(k=273.15)
              annotation (Placement(transformation(extent={{-72,20},{-52,40}})));
            Modelica.Blocks.Tables.CombiTable1Ds real_heating_behavior(table=[0,50.2; 30,72.5;
                  60,104.3; 90,122.4; 120,134; 150,141.6; 180,147.6; 210,152.1; 240,156; 270,
                  159.2; 300,161.8; 330,164.2; 360,166.1; 390,167.5; 420,168.7; 450,170.2;
                  480,171; 510,171.9; 540,173; 570,174.4; 600,175.2; 630,146.5; 660,120.5;
                  690,104; 720,92.2; 750,84.2; 780,78.3; 810,74.7; 840,71.5; 870,68; 900,64.8;
                  930,62.7; 960,60.6; 990,58.7; 1020,57.1; 1050,55.9; 1080,54.7; 1110,54;
                  1140,53.3; 1170,53.3; 1200,53])
              annotation (Placement(transformation(extent={{-72,60},{-52,80}})));
            Modelica.Blocks.Sources.Clock simulation_time
              annotation (Placement(transformation(extent={{-100,80},{-80,100}})));
            Modelica.Blocks.Sources.Constant shift_Temp(k=-17)
              "measure in the middle, estimate temperature at the beginning"
              annotation (Placement(transformation(extent={{-40,14},{-20,34}})));
            Modelica.Blocks.Math.Add add
              annotation (Placement(transformation(extent={{0,20},{20,40}})));
            Modelica.Fluid.Sensors.Temperature temperature(redeclare package
                Medium =
                  Modelica.Media.IdealGases.MixtureGases.CombustionAir)
              annotation (Placement(transformation(extent={{74,-48},{94,-28}})));
            extends Components.Cost.ConditionalCostPortDevice;
          //*****************************************************************************/

          //equations********************************************************************/
          equation

            //cost equations
            QHeat = 0;
            electPowerOut = 0;
            electPowerIn = 0;
            //end cost equations

            connect(pump.port_b,heater. port_a) annotation (Line(
                points={{-12,-30},{44,-30}},
                color={0,127,255},
                smooth=Smooth.None));
            connect(heater.port_b, port_b1) annotation (Line(
                points={{64,-30},{72,-30},{72,0},{80,0}},
                color={0,127,255},
                smooth=Smooth.None));
            connect(boundary.ports[1], pump.port_a) annotation (Line(
                points={{-52,-30},{-32,-30}},
                color={0,127,255},
                smooth=Smooth.None));
            connect(Celsius_to_Kelvin.u2, conversion_factor.y) annotation (Line(
                points={{-42,44},{-48,44},{-48,30},{-51,30}},
                color={0,0,127},
                smooth=Smooth.None));
            connect(real_heating_behavior.y[1], Celsius_to_Kelvin.u1) annotation (
                Line(
                points={{-51,70},{-48,70},{-48,56},{-42,56}},
                color={0,0,127},
                smooth=Smooth.None));
            connect(shift_Temp.y, add.u2) annotation (Line(
                points={{-19,24},{-2,24}},
                color={0,0,127},
                smooth=Smooth.None));
            connect(Celsius_to_Kelvin.y, add.u1) annotation (Line(
                points={{-19,50},{-12,50},{-12,36},{-2,36}},
                color={0,0,127},
                smooth=Smooth.None));
            connect(simulation_time.y, real_heating_behavior.u) annotation (Line(
                points={{-79,90},{-78,90},{-78,70},{-74,70}},
                color={0,0,127},
                smooth=Smooth.None));
            connect(add.y, boundary.T_in) annotation (Line(
                points={{21,30},{28,30},{28,0},{-90,0},{-90,-26},{-74,-26}},
                color={0,0,127},
                smooth=Smooth.None));
            connect(temperature.port, port_b1) annotation (Line(
                points={{84,-48},{72,-48},{72,0},{80,0}},
                color={0,127,255},
                smooth=Smooth.None));
          //*****************************************************************************/
          annotation (Documentation(info="<html>
   <p>
**************************************************************************** <br>
  <b> Copyright (C) 2015-2017 Chair of Automation and Energy Systems, Saarland University </b> <br>
------------------------------------------------------------------------------------------------------------------ <br>
  This file is part of EHSTEG. <p>                    
  
  For more information see <a href=\"//EHSTEG.UsersGuide\">User's Guide</a> <p>
  
**************************************************************************** <p>
</html>
"),                     Icon(coordinateSystem(preserveAspectRatio=false, extent={{-100,-100},
                      {100,100}}), graphics={
                  Rectangle(
                    extent={{-80,70},{80,-72}},
                    lineColor={0,0,0},
                    fillColor={255,128,0},
                    fillPattern=FillPattern.Solid),
                  Rectangle(
                    extent={{-70,-72},{70,-90}},
                    lineColor={0,0,0},
                    fillColor={255,170,85},
                    fillPattern=FillPattern.Solid),
                  Rectangle(
                    extent={{-60,-90},{-40,-100}},
                    lineColor={0,0,0},
                    fillColor={0,0,0},
                    fillPattern=FillPattern.Solid),
                  Rectangle(
                    extent={{40,-90},{60,-100}},
                    lineColor={0,0,0},
                    fillColor={0,0,0},
                    fillPattern=FillPattern.Solid),
                  Rectangle(
                    extent={{-80,70},{-20,90}},
                    lineColor={0,0,0},
                    fillPattern=FillPattern.Solid,
                    fillColor={0,0,255}),
                  Rectangle(
                    extent={{-62,40},{38,-60}},
                    lineColor={0,0,0},
                    fillColor={255,255,255},
                    fillPattern=FillPattern.Solid,
                    lineThickness=0.5),
                  Polygon(
                    points={{-62,-60},{-60,-32},{-56,-38},{-54,-2},{-44,-20},{-36,12},{-30,
                        -18},{-14,16},{-6,0},{4,18},{10,-20},{24,-2},{26,-32},{36,-24},{38,
                        -60},{-62,-60}},
                    lineColor={255,0,0},
                    lineThickness=0.5,
                    smooth=Smooth.None,
                    fillColor={255,0,0},
                    fillPattern=FillPattern.Solid),
                  Polygon(
                    points={{-56,-56},{-58,-40},{-52,-44},{-52,-18},{-40,-32},{-36,-8},{-30,
                        -28},{-16,4},{-4,-12},{2,6},{10,-30},{20,-14},{24,-38},{32,-34},{36,
                        -56},{-56,-56}},
                    lineColor={255,128,0},
                    lineThickness=0.5,
                    smooth=Smooth.None,
                    fillColor={255,128,0},
                    fillPattern=FillPattern.Solid),
                  Polygon(
                    points={{-48,-54},{-48,-30},{-38,-38},{-34,-24},{-28,-36},{-14,-8},{-4,
                        -28},{2,-16},{10,-38},{18,-26},{22,-44},{30,-40},{32,-54},{-48,-54}},
                    lineColor={255,255,0},
                    lineThickness=0.5,
                    smooth=Smooth.None,
                    fillColor={255,255,0},
                    fillPattern=FillPattern.Solid),
                  Line(
                    points={{-60,6},{-38,36}},
                    color={0,0,0},
                    smooth=Smooth.None),
                  Line(
                    points={{-58,-16},{-22,34}},
                    color={0,0,0},
                    smooth=Smooth.None),
                  Line(
                    points={{-54,-40},{-4,34}},
                    color={0,0,0},
                    smooth=Smooth.None),
                  Line(
                    points={{-40,-50},{14,30}},
                    color={0,0,0},
                    smooth=Smooth.None),
                  Line(
                    points={{-22,-50},{28,28}},
                    color={0,0,0},
                    smooth=Smooth.None),
                  Line(
                    points={{-4,-50},{32,0}},
                    color={0,0,0},
                    smooth=Smooth.None),
                  Line(
                    points={{14,-50},{36,-18}},
                    color={0,0,0},
                    smooth=Smooth.None)}), Diagram(coordinateSystem(preserveAspectRatio=false,
                    extent={{-100,-100},{100,100}}), graphics));
          end HeatingBoiler_50_50;

          model ACS_50_50_Uncontrolled
            "uncontrolled air cooled system for 50/50 heating load"

            //Copyright (C) 2015-2017 Chair of Automation and Energy Systems, Saarland University (for more information see 'Documentation')

          //parameter definition*********************************************************/
              parameter Real valve_start_time = 10; // s
              replaceable package Medium =
                Modelica.Media.IdealGases.MixtureGases.CombustionAir
               constrainedby Modelica.Media.Interfaces.PartialMedium;
          //*****************************************************************************/

          //variable definition**********************************************************/
              Modelica.SIunits.Resistance R1 = TEG1A.tEG_Module.inner_TEG.R
              "resistance of TEG1";                                                               // Ohm
              Modelica.SIunits.Resistance R2 = TEG1B.tEG_Module.inner_TEG.R
              "resistance of TEG2";                                                               // Ohm
              Modelica.SIunits.Resistance R3 = TEG2A.tEG_Module.inner_TEG.R
              "resistance of TEG3";                                                               // Ohm
              Modelica.SIunits.Resistance R4 = TEG2B.tEG_Module.inner_TEG.R
              "resistance of TEG4";                                                               // Ohm
              Modelica.SIunits.Resistance R5 = TEG3A.tEG_Module.inner_TEG.R
              "resistance of TEG5";                                                               // Ohm
              Modelica.SIunits.Resistance R6 = TEG3B.tEG_Module.inner_TEG.R
              "resistance of TEG6";                                                               // Ohm
              Modelica.SIunits.Resistance R7 = TEG4A.tEG_Module.inner_TEG.R
              "resistance of TEG7";                                                               // Ohm
              Modelica.SIunits.Resistance R8 = TEG4B.tEG_Module.inner_TEG.R
              "resistance of TEG8";                                                               // Ohm

              Modelica.SIunits.Resistance  R_calc
              "inner resistance of TEG-based EHS";                                     // Ohm
              Modelica.SIunits.Power P_ges "gained electrical power"; // W
          //*****************************************************************************/

          //used components**************************************************************/
            HeatingBoiler_50_50 heating_boiler annotation (Placement(
                  transformation(extent={{-180,-20},{-140,20}})));
            Components.HeatTransfer.PipeSection pipe_TEG_1
              annotation (Placement(transformation(extent={{-120,-10},{-100,10}})));
            Components.HeatTransfer.PipeSection pipe_TEG_2
              annotation (Placement(transformation(extent={{-60,-10},{-40,10}})));
            Components.HeatTransfer.PipeSection pipe_TEG_3
              annotation (Placement(transformation(extent={{0,-10},{20,10}})));
            Components.HeatTransfer.PipeSection pipe_TEG_4
              annotation (Placement(transformation(extent={{60,-10},{80,10}})));
            Components.Miscellaneous.Chimney chimney
              annotation (Placement(transformation(extent={{104,-4},{144,36}})));
            Components.ThermoelectricDevice.Thermalforce.TEG_199_200_5 TEG1A
              annotation (Placement(transformation(extent={{-106,10},{-126,30}})));
            Components.ThermoelectricDevice.Thermalforce.TEG_199_200_5 TEG1B
              annotation (Placement(transformation(extent={{-106,-10},{-126,-30}})));
            Components.ThermoelectricDevice.Thermalforce.TEG_199_200_5 TEG2A
              annotation (Placement(transformation(extent={{-46,10},{-66,30}})));
            Components.ThermoelectricDevice.Thermalforce.TEG_199_200_5 TEG2B
              annotation (Placement(transformation(extent={{-46,-10},{-66,-30}})));
            Components.ThermoelectricDevice.Thermalforce.TEG_199_200_5 TEG3A
              annotation (Placement(transformation(extent={{14,10},{-6,30}})));
            Components.ThermoelectricDevice.Thermalforce.TEG_199_200_5 TEG3B
              annotation (Placement(transformation(extent={{14,-10},{-6,-30}})));
            Components.ThermoelectricDevice.Thermalforce.TEG_199_200_5 TEG4A
              annotation (Placement(transformation(extent={{74,10},{54,30}})));
            Components.ThermoelectricDevice.Thermalforce.TEG_199_200_5 TEG4B
              annotation (Placement(transformation(extent={{74,-10},{54,-30}})));
            inner Modelica.Fluid.System system(
                m_flow_small=1e-4, energyDynamics=Modelica.Fluid.Types.Dynamics.SteadyStateInitial)
                                  annotation (Placement(transformation(extent={{-170,70},{
                      -150,90}},  rotation=0)));
            Modelica.Thermal.HeatTransfer.Sources.FixedTemperature ambientTemperature(
                T=system.T_ambient)
              annotation (Placement(transformation(extent={{-140,70},{-120,90}})));
            Components.Electrics.IdealCommutingSwitch switch_TEG_2
              annotation (Placement(transformation(extent={{-94,10},{-74,30}})));
            Components.Electrics.IdealCommutingSwitch switch_TEG_3
              annotation (Placement(transformation(extent={{-34,10},{-14,30}})));
            Components.Electrics.IdealCommutingSwitch switch_TEG_4
              annotation (Placement(transformation(extent={{26,10},{46,30}})));
            Components.Electrics.IdealMPPT electrical_connection_TEG annotation (
                Placement(transformation(
                  extent={{-10,-10},{10,10}},
                  rotation=90,
                  origin={150,-30})));
            Components.CoolingElement.Active.ForcedAir.CPUCooler cooling_element1
              annotation (Placement(transformation(extent={{-126,30},{-106,50}})));
            Components.CoolingElement.Active.ForcedAir.CPUCooler cooling_element2
              annotation (Placement(transformation(extent={{-66,30},{-46,50}})));
            Components.CoolingElement.Active.ForcedAir.CPUCooler cooling_element3
              annotation (Placement(transformation(extent={{-6,30},{14,50}})));
            Components.CoolingElement.Active.ForcedAir.CPUCooler cooling_element4
              annotation (Placement(transformation(extent={{54,30},{74,50}})));
            Components.CoolingElement.Active.ForcedAir.CPUCooler cooling_element5
              annotation (Placement(transformation(extent={{-126,-30},{-106,-50}})));
            Components.CoolingElement.Active.ForcedAir.CPUCooler cooling_element6
              annotation (Placement(transformation(extent={{-66,-30},{-46,-50}})));
            Components.CoolingElement.Active.ForcedAir.CPUCooler cooling_element7
              annotation (Placement(transformation(extent={{-6,-30},{14,-50}})));
            Components.CoolingElement.Active.ForcedAir.CPUCooler cooling_element8
              annotation (Placement(transformation(extent={{54,-30},{74,-50}})));
            Modelica.Blocks.Sources.Constant DutyCycle(k=100)
              annotation (Placement(transformation(extent={{-180,40},{-160,60}})));
          //*****************************************************************************/

          //equations********************************************************************/
          equation

            P_ges = electrical_connection_TEG.electrical_Power - cooling_element1.energy_consumption - cooling_element2.energy_consumption - cooling_element3.energy_consumption - cooling_element4.energy_consumption - cooling_element5.energy_consumption -cooling_element6.energy_consumption -cooling_element7.energy_consumption -cooling_element8.energy_consumption;

            //****************************************************************************
            // ideal MPPT
            //****************************************************************************
             if switch_TEG_4.booleanStep.y == true then
               R_calc = (R1*R2)/(R1+R2) + (R3*R4)/(R3+R4) + (R5*R6)/(R5+R6) + (R7*R8)/(R7+R8);
             else
               if switch_TEG_3.booleanStep.y == true then
                 R_calc = (R1*R2)/(R1+R2) + (R3*R4)/(R3+R4) + (R5*R6)/(R5+R6);
               else
                 if switch_TEG_2.booleanStep.y == true then
                   R_calc = (R1*R2)/(R1+R2) + (R3*R4)/(R3+R4);
                 else
                   R_calc = (R1*R2)/(R1+R2);
                 end if;
               end if;
             end if;

            electrical_connection_TEG.R = R_calc;
            //****************************************************************************

            connect(pipe_TEG_1.heatPorts1[1], TEG1A.port_a1) annotation (Line(
                points={{-116,5},{-116,15}},
                color={127,0,0},
                smooth=Smooth.None));
            connect(pipe_TEG_1.heatPorts2[1], TEG1B.port_a1) annotation (Line(
                points={{-116,-5},{-116,-15}},
                color={127,0,0},
                smooth=Smooth.None));
            connect(pipe_TEG_2.heatPorts1[1], TEG2A.port_a1) annotation (Line(
                points={{-56,5},{-56,15}},
                color={127,0,0},
                smooth=Smooth.None));
            connect(pipe_TEG_2.heatPorts2[1], TEG2B.port_a1) annotation (Line(
                points={{-56,-5},{-56,-15}},
                color={127,0,0},
                smooth=Smooth.None));
            connect(pipe_TEG_3.heatPorts1[1], TEG3A.port_a1) annotation (Line(
                points={{4,5},{4,15}},
                color={127,0,0},
                smooth=Smooth.None));
            connect(pipe_TEG_3.heatPorts2[1], TEG3B.port_a1) annotation (Line(
                points={{4,-5},{4,-15}},
                color={127,0,0},
                smooth=Smooth.None));
            connect(pipe_TEG_4.heatPorts1[1], TEG4A.port_a1) annotation (Line(
                points={{64,5},{64,15}},
                color={127,0,0},
                smooth=Smooth.None));
            connect(pipe_TEG_4.heatPorts2[1], TEG4B.port_a1) annotation (Line(
                points={{64,-5},{64,-15}},
                color={127,0,0},
                smooth=Smooth.None));

            connect(TEG1A.pin_n1, switch_TEG_2.p1) annotation (Line(
                points={{-107,20},{-93,20}},
                color={0,0,255},
                smooth=Smooth.None));
            connect(TEG2A.pin_p1, switch_TEG_2.n2) annotation (Line(
                points={{-65,20},{-75,20}},
                color={0,0,255},
                smooth=Smooth.None));
            connect(TEG2A.pin_n1, switch_TEG_3.p1) annotation (Line(
                points={{-47,20},{-33,20}},
                color={0,0,255},
                smooth=Smooth.None));
            connect(TEG3A.pin_p1, switch_TEG_3.n2) annotation (Line(
                points={{-5,20},{-15,20}},
                color={0,0,255},
                smooth=Smooth.None));
            connect(TEG3A.pin_n1, switch_TEG_4.p1) annotation (Line(
                points={{13,20},{27,20}},
                color={0,0,255},
                smooth=Smooth.None));
            connect(TEG4A.pin_p1, switch_TEG_4.n2) annotation (Line(
                points={{55,20},{45,20}},
                color={0,0,255},
                smooth=Smooth.None));
            connect(TEG1B.pin_n1, switch_TEG_2.p1) annotation (Line(
                points={{-107,-20},{-98,-20},{-98,20},{-93,20}},
                color={0,0,255},
                smooth=Smooth.None));
            connect(TEG2B.pin_n1, switch_TEG_3.p1) annotation (Line(
                points={{-47,-20},{-38,-20},{-38,20},{-33,20}},
                color={0,0,255},
                smooth=Smooth.None));
            connect(TEG3B.pin_n1, switch_TEG_4.p1) annotation (Line(
                points={{13,-20},{22,-20},{22,20},{27,20}},
                color={0,0,255},
                smooth=Smooth.None));
            connect(TEG4B.pin_n1, TEG4A.pin_n1) annotation (Line(
                points={{73,-20},{82,-20},{82,20},{73,20}},
                color={0,0,255},
                smooth=Smooth.None));
            connect(TEG1B.pin_p1, TEG1A.pin_p1) annotation (Line(
                points={{-125,-20},{-130,-20},{-130,20},{-125,20}},
                color={0,0,255},
                smooth=Smooth.None));
            connect(TEG2B.pin_p1, switch_TEG_2.n2) annotation (Line(
                points={{-65,-20},{-70,-20},{-70,20},{-75,20}},
                color={0,0,255},
                smooth=Smooth.None));
            connect(TEG3B.pin_p1, switch_TEG_3.n2) annotation (Line(
                points={{-5,-20},{-10,-20},{-10,20},{-15,20}},
                color={0,0,255},
                smooth=Smooth.None));
            connect(TEG4B.pin_p1, switch_TEG_4.n2) annotation (Line(
                points={{55,-20},{50,-20},{50,20},{45,20}},
                color={0,0,255},
                smooth=Smooth.None));
            connect(switch_TEG_2.n1, TEG4A.pin_n1) annotation (Line(
                points={{-75,25},{-75,30},{82,30},{82,20},{73,20}},
                color={0,0,255},
                smooth=Smooth.None));
            connect(switch_TEG_3.n1, TEG4A.pin_n1) annotation (Line(
                points={{-15,25},{-15,30},{82,30},{82,20},{73,20}},
                color={0,0,255},
                smooth=Smooth.None));
            connect(switch_TEG_4.n1, TEG4A.pin_n1) annotation (Line(
                points={{45,25},{45,30},{82,30},{82,20},{73,20}},
                color={0,0,255},
                smooth=Smooth.None));
            connect(TEG2A.port_b1, cooling_element2.port1) annotation (Line(
                points={{-56,25},{-56,31}},
                color={191,0,0},
                smooth=Smooth.None));
            connect(TEG3A.port_b1, cooling_element3.port1) annotation (Line(
                points={{4,25},{4,31}},
                color={191,0,0},
                smooth=Smooth.None));
            connect(TEG4A.port_b1, cooling_element4.port1) annotation (Line(
                points={{64,25},{64,31}},
                color={191,0,0},
                smooth=Smooth.None));
            connect(TEG1B.port_b1, cooling_element5.port1) annotation (Line(
                points={{-116,-25},{-116,-31}},
                color={191,0,0},
                smooth=Smooth.None));
            connect(TEG2B.port_b1, cooling_element6.port1) annotation (Line(
                points={{-56,-25},{-56,-31}},
                color={191,0,0},
                smooth=Smooth.None));
            connect(TEG3B.port_b1, cooling_element7.port1) annotation (Line(
                points={{4,-25},{4,-31}},
                color={191,0,0},
                smooth=Smooth.None));
            connect(TEG4B.port_b1, cooling_element8.port1) annotation (Line(
                points={{64,-25},{64,-31}},
                color={191,0,0},
                smooth=Smooth.None));
            connect(DutyCycle.y, cooling_element1.DutyCycle) annotation (Line(
                points={{-159,50},{-140,50},{-140,44},{-125.8,44}},
                color={0,0,127},
                smooth=Smooth.None,
                visible=false));
            connect(DutyCycle.y, cooling_element2.DutyCycle) annotation (Line(
                points={{-159,50},{-72,50},{-72,44},{-65.8,44}},
                color={0,0,127},
                smooth=Smooth.None,
                visible=false));
            connect(DutyCycle.y, cooling_element3.DutyCycle) annotation (Line(
                points={{-159,50},{-12,50},{-12,44},{-5.8,44}},
                color={0,0,127},
                smooth=Smooth.None,
                visible=false));
            connect(DutyCycle.y, cooling_element4.DutyCycle) annotation (Line(
                points={{-159,50},{44,50},{44,44},{54.2,44}},
                color={0,0,127},
                smooth=Smooth.None,
                visible=false));
            connect(DutyCycle.y, cooling_element5.DutyCycle) annotation (Line(
                points={{-159,50},{-138,50},{-138,-44},{-125.8,-44}},
                color={0,0,127},
                smooth=Smooth.None,
                visible=false));
            connect(DutyCycle.y, cooling_element6.DutyCycle) annotation (Line(
                points={{-159,50},{-138,50},{-138,-58},{-82,-58},{-82,-44},{-65.8,-44}},
                color={0,0,127},
                smooth=Smooth.None,
                visible=false));
            connect(DutyCycle.y, cooling_element7.DutyCycle) annotation (Line(
                points={{-159,50},{-138,50},{-138,-58},{-18,-58},{-18,-44},{-5.8,-44}},
                color={0,0,127},
                smooth=Smooth.None,
                visible=false));
            connect(DutyCycle.y, cooling_element8.DutyCycle) annotation (Line(
                points={{-159,50},{-138,50},{-138,-58},{42,-58},{42,-44},{54.2,-44}},
                color={0,0,127},
                smooth=Smooth.None,
                visible=false));
            connect(cooling_element1.port1, TEG1A.port_b1) annotation (Line(
                points={{-116,31},{-116,25}},
                color={191,0,0},
                smooth=Smooth.None));
            connect(heating_boiler.port_b1, pipe_TEG_1.port_a) annotation (Line(
                points={{-144,0},{-132,0},{-120,0}},
                color={0,127,255},
                visible=false));
            connect(pipe_TEG_1.port_b, pipe_TEG_2.port_a) annotation (Line(
                points={{-100,0},{-80,0},{-60,0}},
                color={0,127,255},
                visible=false));
            connect(pipe_TEG_2.port_b, pipe_TEG_3.port_a) annotation (Line(
                points={{-40,0},{-20,0},{0,0}},
                color={0,127,255},
                visible=false));
            connect(pipe_TEG_3.port_b, pipe_TEG_4.port_a) annotation (Line(
                points={{20,0},{40,0},{60,0}},
                color={0,127,255},
                visible=false));
            connect(pipe_TEG_4.port_b, chimney.port_a1) annotation (Line(
                points={{80,0},{120,0}},
                color={0,127,255},
                visible=false));
            connect(ambientTemperature.port, pipe_TEG_1.fluid) annotation (Line(
                points={{-120,80},{-104,80},{-104,5}},
                color={191,0,0},
                visible=false));
            connect(pipe_TEG_2.fluid, pipe_TEG_1.fluid) annotation (Line(
                points={{-44,5},{-44,80},{-104,80},{-104,5}},
                color={191,0,0},
                visible=false));
            connect(pipe_TEG_3.fluid, pipe_TEG_1.fluid) annotation (Line(
                points={{16,5},{16,80},{-104,80},{-104,5}},
                color={191,0,0},
                visible=false));
            connect(pipe_TEG_4.fluid, pipe_TEG_1.fluid) annotation (Line(
                points={{76,5},{76,80},{-104,80},{-104,5}},
                color={191,0,0},
                visible=false));
            connect(TEG4B.pin_n1, electrical_connection_TEG.n1) annotation (Line(points={{
                    73,-20},{111.5,-20},{150,-20}}, color={0,0,255}));
            connect(TEG1B.pin_p1, electrical_connection_TEG.p1) annotation (Line(points={{
                    -125,-20},{-130,-20},{-130,-28},{100,-28},{100,-40},{150,-40}}, color=
                   {0,0,255}));
          //*****************************************************************************/

             annotation (Diagram(coordinateSystem(extent={{-180,-100},{180,100}},
                    preserveAspectRatio=false), graphics={
                  Rectangle(
                    extent={{-100,4},{-60,-4}},
                    lineColor={0,0,0},
                    fillColor={175,175,175},
                    fillPattern=FillPattern.HorizontalCylinder),
                  Rectangle(
                    extent={{-40,4},{0,-4}},
                    lineColor={0,0,0},
                    fillColor={175,175,175},
                    fillPattern=FillPattern.HorizontalCylinder),
                  Rectangle(
                    extent={{20,4},{60,-4}},
                    lineColor={0,0,0},
                    fillColor={175,175,175},
                    fillPattern=FillPattern.HorizontalCylinder),
                  Rectangle(
                    extent={{80,4},{120,-4}},
                    lineColor={0,0,0},
                    fillColor={175,175,175},
                    fillPattern=FillPattern.HorizontalCylinder),
                  Rectangle(
                    extent={{-144,4},{-120,-4}},
                    lineColor={0,0,0},
                    fillColor={175,175,175},
                    fillPattern=FillPattern.HorizontalCylinder)}), Icon(coordinateSystem(
                    extent={{-180,-100},{180,100}})),
              experiment(StopTime=2100),
              __Dymola_experimentSetupOutput, Documentation(info="<html>
   <p>
**************************************************************************** <br>
  <b> Copyright (C) 2015-2017 Chair of Automation and Energy Systems, Saarland University </b> <br>
------------------------------------------------------------------------------------------------------------------ <br>
  This file is part of EHSTEG. <p>                    
  
  For more information see <a href=\"//EHSTEG.UsersGuide\">User's Guide</a> <p>
  
**************************************************************************** <p>
</html>
"));
          end ACS_50_50_Uncontrolled;

          model ACS_50_50_Controlled
            "controlled air cooled system for 50/50 heating load"

            //Copyright (C) 2015-2017 Chair of Automation and Energy Systems, Saarland University (for more information see 'Documentation')

          //parameter definition*********************************************************/
              parameter Real valve_start_time = 10; // s
              replaceable package Medium =
                Modelica.Media.IdealGases.MixtureGases.CombustionAir
               constrainedby Modelica.Media.Interfaces.PartialMedium;
          //*****************************************************************************/

          //variable definition**********************************************************/
              Modelica.SIunits.Resistance R1 = TEG1A.tEG_Module.inner_TEG.R
              "resistance of TEG1";                                                               // Ohm
              Modelica.SIunits.Resistance R2 = TEG1B.tEG_Module.inner_TEG.R
              "resistance of TEG2";                                                               // Ohm
              Modelica.SIunits.Resistance R3 = TEG2A.tEG_Module.inner_TEG.R
              "resistance of TEG3";                                                               // Ohm
              Modelica.SIunits.Resistance R4 = TEG2B.tEG_Module.inner_TEG.R
              "resistance of TEG4";                                                               // Ohm
              Modelica.SIunits.Resistance R5 = TEG3A.tEG_Module.inner_TEG.R
              "resistance of TEG5";                                                               // Ohm
              Modelica.SIunits.Resistance R6 = TEG3B.tEG_Module.inner_TEG.R
              "resistance of TEG6";                                                               // Ohm
              Modelica.SIunits.Resistance R7 = TEG4A.tEG_Module.inner_TEG.R
              "resistance of TEG7";                                                               // Ohm
              Modelica.SIunits.Resistance R8 = TEG4B.tEG_Module.inner_TEG.R
              "resistance of TEG8";                                                               // Ohm

              Modelica.SIunits.Resistance  R_calc
              "inner resistance of TEG-based EHS";                                     // Ohm
              Modelica.SIunits.Power P_ges "gained electrical power"; // W
              Modelica.SIunits.Power P
              "gained electrical power with control laws";                          // W
              Modelica.SIunits.Energy E
              "gained electrical energy with control laws";                           // J
          //*****************************************************************************/

          //used components**************************************************************/
            HeatingBoiler_50_50 heating_boiler annotation (Placement(
                  transformation(extent={{-180,-20},{-140,20}})));
            Components.HeatTransfer.PipeSection pipe_TEG_1
              annotation (Placement(transformation(extent={{-120,-10},{-100,10}})));
            Components.HeatTransfer.PipeSection pipe_TEG_2
              annotation (Placement(transformation(extent={{-60,-10},{-40,10}})));
            Components.HeatTransfer.PipeSection pipe_TEG_3
              annotation (Placement(transformation(extent={{0,-10},{20,10}})));
            Components.HeatTransfer.PipeSection pipe_TEG_4
              annotation (Placement(transformation(extent={{60,-10},{80,10}})));
            Components.Miscellaneous.Chimney chimney
              annotation (Placement(transformation(extent={{104,-4},{144,36}})));
            Components.ThermoelectricDevice.Thermalforce.TEG_199_200_5 TEG1A
              annotation (Placement(transformation(extent={{-106,10},{-126,30}})));
            Components.ThermoelectricDevice.Thermalforce.TEG_199_200_5 TEG1B
              annotation (Placement(transformation(extent={{-106,-10},{-126,-30}})));
            Components.ThermoelectricDevice.Thermalforce.TEG_199_200_5 TEG2A
              annotation (Placement(transformation(extent={{-46,10},{-66,30}})));
            Components.ThermoelectricDevice.Thermalforce.TEG_199_200_5 TEG2B
              annotation (Placement(transformation(extent={{-46,-10},{-66,-30}})));
            Components.ThermoelectricDevice.Thermalforce.TEG_199_200_5 TEG3A
              annotation (Placement(transformation(extent={{14,10},{-6,30}})));
            Components.ThermoelectricDevice.Thermalforce.TEG_199_200_5 TEG3B
              annotation (Placement(transformation(extent={{14,-10},{-6,-30}})));
            Components.ThermoelectricDevice.Thermalforce.TEG_199_200_5 TEG4A
              annotation (Placement(transformation(extent={{74,10},{54,30}})));
            Components.ThermoelectricDevice.Thermalforce.TEG_199_200_5 TEG4B
              annotation (Placement(transformation(extent={{74,-10},{54,-30}})));
            inner Modelica.Fluid.System system(
                m_flow_small=1e-4, energyDynamics=Modelica.Fluid.Types.Dynamics.SteadyStateInitial)
                                  annotation (Placement(transformation(extent={{-170,70},{
                      -150,90}},  rotation=0)));
            Modelica.Thermal.HeatTransfer.Sources.FixedTemperature ambientTemperature(
                T=system.T_ambient)
              annotation (Placement(transformation(extent={{-140,70},{-120,90}})));
            Components.Electrics.IdealCommutingSwitch switch_TEG_2
              annotation (Placement(transformation(extent={{-94,10},{-74,30}})));
            Components.Electrics.IdealCommutingSwitch switch_TEG_3
              annotation (Placement(transformation(extent={{-34,10},{-14,30}})));
            Components.Electrics.IdealCommutingSwitch switch_TEG_4
              annotation (Placement(transformation(extent={{26,10},{46,30}})));
            Components.Electrics.IdealMPPT electrical_connection_TEG annotation (
                Placement(transformation(
                  extent={{-10,-10},{10,10}},
                  rotation=90,
                  origin={150,-30})));
            Components.Controlling.CPUCoolerControlled           cooling_element1
              annotation (Placement(transformation(extent={{-126,30},{-106,50}})));
            Components.Controlling.CPUCoolerControlled           cooling_element2
              annotation (Placement(transformation(extent={{-66,30},{-46,50}})));
            Components.Controlling.CPUCoolerControlled           cooling_element3
              annotation (Placement(transformation(extent={{-6,30},{14,50}})));
            Components.Controlling.CPUCoolerControlled           cooling_element4
              annotation (Placement(transformation(extent={{54,30},{74,50}})));
            Components.Controlling.CPUCoolerControlled           cooling_element5
              annotation (Placement(transformation(extent={{-126,-30},{-106,-50}})));
            Components.Controlling.CPUCoolerControlled           cooling_element6
              annotation (Placement(transformation(extent={{-66,-30},{-46,-50}})));
            Components.Controlling.CPUCoolerControlled           cooling_element7
              annotation (Placement(transformation(extent={{-6,-30},{14,-50}})));
            Components.Controlling.CPUCoolerControlled           cooling_element8
              annotation (Placement(transformation(extent={{54,-30},{74,-50}})));
          //*****************************************************************************/

          //equations********************************************************************/
          equation

            P_ges = electrical_connection_TEG.electrical_Power - cooling_element1.energy_consumption - cooling_element2.energy_consumption - cooling_element3.energy_consumption - cooling_element4.energy_consumption - cooling_element5.energy_consumption -cooling_element6.energy_consumption -cooling_element7.energy_consumption -cooling_element8.energy_consumption;

            cooling_element1.T_hot_TEG = TEG1A.tEG_Module.port_a.T;
            cooling_element2.T_hot_TEG = TEG2A.tEG_Module.port_a.T;
            cooling_element3.T_hot_TEG = TEG3A.tEG_Module.port_a.T;
            cooling_element4.T_hot_TEG = TEG4A.tEG_Module.port_a.T;
            cooling_element5.T_hot_TEG = TEG1B.tEG_Module.port_a.T;
            cooling_element6.T_hot_TEG = TEG2B.tEG_Module.port_a.T;
            cooling_element7.T_hot_TEG = TEG3B.tEG_Module.port_a.T;
            cooling_element8.T_hot_TEG = TEG4B.tEG_Module.port_a.T;

            P = der(E);

            if P_ges < 0 then
              P = 0;
            else
              P = P_ges;
            end if;

            //****************************************************************************
            // ideal MPPT
            //****************************************************************************
             if switch_TEG_4.booleanStep.y == true then
               R_calc = (R1*R2)/(R1+R2) + (R3*R4)/(R3+R4) + (R5*R6)/(R5+R6) + (R7*R8)/(R7+R8);
             else
               if switch_TEG_3.booleanStep.y == true then
                 R_calc = (R1*R2)/(R1+R2) + (R3*R4)/(R3+R4) + (R5*R6)/(R5+R6);
               else
                 if switch_TEG_2.booleanStep.y == true then
                   R_calc = (R1*R2)/(R1+R2) + (R3*R4)/(R3+R4);
                 else
                   R_calc = (R1*R2)/(R1+R2);
                 end if;
               end if;
             end if;

            electrical_connection_TEG.R = R_calc;
            //****************************************************************************

            connect(pipe_TEG_1.heatPorts1[1], TEG1A.port_a1) annotation (Line(
                points={{-116,5},{-116,15}},
                color={127,0,0},
                smooth=Smooth.None));
            connect(pipe_TEG_1.heatPorts2[1], TEG1B.port_a1) annotation (Line(
                points={{-116,-5},{-116,-15}},
                color={127,0,0},
                smooth=Smooth.None));
            connect(pipe_TEG_2.heatPorts1[1], TEG2A.port_a1) annotation (Line(
                points={{-56,5},{-56,15}},
                color={127,0,0},
                smooth=Smooth.None));
            connect(pipe_TEG_2.heatPorts2[1], TEG2B.port_a1) annotation (Line(
                points={{-56,-5},{-56,-15}},
                color={127,0,0},
                smooth=Smooth.None));
            connect(pipe_TEG_3.heatPorts1[1], TEG3A.port_a1) annotation (Line(
                points={{4,5},{4,15}},
                color={127,0,0},
                smooth=Smooth.None));
            connect(pipe_TEG_3.heatPorts2[1], TEG3B.port_a1) annotation (Line(
                points={{4,-5},{4,-15}},
                color={127,0,0},
                smooth=Smooth.None));
            connect(pipe_TEG_4.heatPorts1[1], TEG4A.port_a1) annotation (Line(
                points={{64,5},{64,15}},
                color={127,0,0},
                smooth=Smooth.None));
            connect(pipe_TEG_4.heatPorts2[1], TEG4B.port_a1) annotation (Line(
                points={{64,-5},{64,-15}},
                color={127,0,0},
                smooth=Smooth.None));

            connect(TEG1A.pin_n1, switch_TEG_2.p1) annotation (Line(
                points={{-107,20},{-93,20}},
                color={0,0,255},
                smooth=Smooth.None));
            connect(TEG2A.pin_p1, switch_TEG_2.n2) annotation (Line(
                points={{-65,20},{-75,20}},
                color={0,0,255},
                smooth=Smooth.None));
            connect(TEG2A.pin_n1, switch_TEG_3.p1) annotation (Line(
                points={{-47,20},{-33,20}},
                color={0,0,255},
                smooth=Smooth.None));
            connect(TEG3A.pin_p1, switch_TEG_3.n2) annotation (Line(
                points={{-5,20},{-15,20}},
                color={0,0,255},
                smooth=Smooth.None));
            connect(TEG3A.pin_n1, switch_TEG_4.p1) annotation (Line(
                points={{13,20},{27,20}},
                color={0,0,255},
                smooth=Smooth.None));
            connect(TEG4A.pin_p1, switch_TEG_4.n2) annotation (Line(
                points={{55,20},{45,20}},
                color={0,0,255},
                smooth=Smooth.None));
            connect(TEG1B.pin_n1, switch_TEG_2.p1) annotation (Line(
                points={{-107,-20},{-98,-20},{-98,20},{-93,20}},
                color={0,0,255},
                smooth=Smooth.None));
            connect(TEG2B.pin_n1, switch_TEG_3.p1) annotation (Line(
                points={{-47,-20},{-38,-20},{-38,20},{-33,20}},
                color={0,0,255},
                smooth=Smooth.None));
            connect(TEG3B.pin_n1, switch_TEG_4.p1) annotation (Line(
                points={{13,-20},{22,-20},{22,20},{27,20}},
                color={0,0,255},
                smooth=Smooth.None));
            connect(TEG4B.pin_n1, TEG4A.pin_n1) annotation (Line(
                points={{73,-20},{82,-20},{82,20},{73,20}},
                color={0,0,255},
                smooth=Smooth.None));
            connect(TEG1B.pin_p1, TEG1A.pin_p1) annotation (Line(
                points={{-125,-20},{-130,-20},{-130,20},{-125,20}},
                color={0,0,255},
                smooth=Smooth.None));
            connect(TEG2B.pin_p1, switch_TEG_2.n2) annotation (Line(
                points={{-65,-20},{-70,-20},{-70,20},{-75,20}},
                color={0,0,255},
                smooth=Smooth.None));
            connect(TEG3B.pin_p1, switch_TEG_3.n2) annotation (Line(
                points={{-5,-20},{-10,-20},{-10,20},{-15,20}},
                color={0,0,255},
                smooth=Smooth.None));
            connect(TEG4B.pin_p1, switch_TEG_4.n2) annotation (Line(
                points={{55,-20},{50,-20},{50,20},{45,20}},
                color={0,0,255},
                smooth=Smooth.None));
            connect(switch_TEG_2.n1, TEG4A.pin_n1) annotation (Line(
                points={{-75,25},{-75,30},{82,30},{82,20},{73,20}},
                color={0,0,255},
                smooth=Smooth.None));
            connect(switch_TEG_3.n1, TEG4A.pin_n1) annotation (Line(
                points={{-15,25},{-15,30},{82,30},{82,20},{73,20}},
                color={0,0,255},
                smooth=Smooth.None));
            connect(switch_TEG_4.n1, TEG4A.pin_n1) annotation (Line(
                points={{45,25},{45,30},{82,30},{82,20},{73,20}},
                color={0,0,255},
                smooth=Smooth.None));
            connect(TEG2A.port_b1, cooling_element2.port1) annotation (Line(
                points={{-56,25},{-56,31}},
                color={191,0,0},
                smooth=Smooth.None));
            connect(TEG3A.port_b1, cooling_element3.port1) annotation (Line(
                points={{4,25},{4,31}},
                color={191,0,0},
                smooth=Smooth.None));
            connect(TEG4A.port_b1, cooling_element4.port1) annotation (Line(
                points={{64,25},{64,31}},
                color={191,0,0},
                smooth=Smooth.None));
            connect(TEG1B.port_b1, cooling_element5.port1) annotation (Line(
                points={{-116,-25},{-116,-31}},
                color={191,0,0},
                smooth=Smooth.None));
            connect(TEG2B.port_b1, cooling_element6.port1) annotation (Line(
                points={{-56,-25},{-56,-31}},
                color={191,0,0},
                smooth=Smooth.None));
            connect(TEG3B.port_b1, cooling_element7.port1) annotation (Line(
                points={{4,-25},{4,-31}},
                color={191,0,0},
                smooth=Smooth.None));
            connect(TEG4B.port_b1, cooling_element8.port1) annotation (Line(
                points={{64,-25},{64,-31}},
                color={191,0,0},
                smooth=Smooth.None));
            connect(cooling_element1.port1, TEG1A.port_b1) annotation (Line(
                points={{-116,31},{-116,25}},
                color={191,0,0},
                smooth=Smooth.None));
            connect(heating_boiler.port_b1, pipe_TEG_1.port_a) annotation (Line(
                points={{-144,0},{-132,0},{-120,0}},
                color={0,127,255},
                visible=false));
            connect(pipe_TEG_1.port_b, pipe_TEG_2.port_a) annotation (Line(
                points={{-100,0},{-80,0},{-60,0}},
                color={0,127,255},
                visible=false));
            connect(pipe_TEG_2.port_b, pipe_TEG_3.port_a) annotation (Line(
                points={{-40,0},{-20,0},{0,0}},
                color={0,127,255},
                visible=false));
            connect(pipe_TEG_3.port_b, pipe_TEG_4.port_a) annotation (Line(
                points={{20,0},{40,0},{60,0}},
                color={0,127,255},
                visible=false));
            connect(pipe_TEG_4.port_b, chimney.port_a1) annotation (Line(
                points={{80,0},{120,0}},
                color={0,127,255},
                visible=false));
            connect(ambientTemperature.port, pipe_TEG_1.fluid) annotation (Line(
                points={{-120,80},{-104,80},{-104,5}},
                color={191,0,0},
                visible=false));
            connect(pipe_TEG_2.fluid, pipe_TEG_1.fluid) annotation (Line(
                points={{-44,5},{-44,80},{-104,80},{-104,5}},
                color={191,0,0},
                visible=false));
            connect(pipe_TEG_3.fluid, pipe_TEG_1.fluid) annotation (Line(
                points={{16,5},{16,80},{-104,80},{-104,5}},
                color={191,0,0},
                visible=false));
            connect(pipe_TEG_4.fluid, pipe_TEG_1.fluid) annotation (Line(
                points={{76,5},{76,80},{-104,80},{-104,5}},
                color={191,0,0},
                visible=false));
            connect(TEG4B.pin_n1, electrical_connection_TEG.n1) annotation (Line(points={{
                    73,-20},{111.5,-20},{150,-20}}, color={0,0,255}));
            connect(TEG1B.pin_p1, electrical_connection_TEG.p1) annotation (Line(points={{
                    -125,-20},{-130,-20},{-130,-28},{100,-28},{100,-40},{150,-40}}, color=
                   {0,0,255}));
          //*****************************************************************************/

             annotation (Diagram(coordinateSystem(extent={{-180,-100},{180,100}},
                    preserveAspectRatio=false), graphics={
                  Rectangle(
                    extent={{-100,4},{-60,-4}},
                    lineColor={0,0,0},
                    fillColor={175,175,175},
                    fillPattern=FillPattern.HorizontalCylinder),
                  Rectangle(
                    extent={{-40,4},{0,-4}},
                    lineColor={0,0,0},
                    fillColor={175,175,175},
                    fillPattern=FillPattern.HorizontalCylinder),
                  Rectangle(
                    extent={{20,4},{60,-4}},
                    lineColor={0,0,0},
                    fillColor={175,175,175},
                    fillPattern=FillPattern.HorizontalCylinder),
                  Rectangle(
                    extent={{80,4},{120,-4}},
                    lineColor={0,0,0},
                    fillColor={175,175,175},
                    fillPattern=FillPattern.HorizontalCylinder),
                  Rectangle(
                    extent={{-144,4},{-120,-4}},
                    lineColor={0,0,0},
                    fillColor={175,175,175},
                    fillPattern=FillPattern.HorizontalCylinder)}), Icon(coordinateSystem(
                    extent={{-180,-100},{180,100}})),
              experiment(StopTime=2100),
              __Dymola_experimentSetupOutput, Documentation(info="<html>
   <p>
**************************************************************************** <br>
  <b> Copyright (C) 2015-2017 Chair of Automation and Energy Systems, Saarland University </b> <br>
------------------------------------------------------------------------------------------------------------------ <br>
  This file is part of EHSTEG. <p>                    
  
  For more information see <a href=\"//EHSTEG.UsersGuide\">User's Guide</a> <p>
  
**************************************************************************** <p>
</html>
"));
          end ACS_50_50_Controlled;

          model LCS_50_50_Uncontrolled
            "uncontrolled liquid cooled system for 50/50 heating load"

            //Copyright (C) 2015-2017 Chair of Automation and Energy Systems, Saarland University (for more information see 'Documentation')

          //parameter definition*********************************************************/
              parameter Real valve_start_time = 10; // s
              replaceable package Medium =
                Modelica.Media.IdealGases.MixtureGases.CombustionAir
               constrainedby Modelica.Media.Interfaces.PartialMedium;

          //variable definition**********************************************************/
              Modelica.SIunits.Resistance R1 = TEG1A.tEG_Module.inner_TEG.R
              "resistance of TEG1";                                                               // Ohm
              Modelica.SIunits.Resistance R2 = TEG1B.tEG_Module.inner_TEG.R
              "resistance of TEG2";                                                               // Ohm
              Modelica.SIunits.Resistance R3 = TEG2A.tEG_Module.inner_TEG.R
              "resistance of TEG3";                                                               // Ohm
              Modelica.SIunits.Resistance R4 = TEG2B.tEG_Module.inner_TEG.R
              "resistance of TEG4";                                                               // Ohm
              Modelica.SIunits.Resistance R5 = TEG3A.tEG_Module.inner_TEG.R
              "resistance of TEG5";                                                               // Ohm
              Modelica.SIunits.Resistance R6 = TEG3B.tEG_Module.inner_TEG.R
              "resistance of TEG6";                                                               // Ohm
              Modelica.SIunits.Resistance R7 = TEG4A.tEG_Module.inner_TEG.R
              "resistance of TEG7";                                                               // Ohm
              Modelica.SIunits.Resistance R8 = TEG4B.tEG_Module.inner_TEG.R
              "resistance of TEG8";                                                               // Ohm

              Modelica.SIunits.Resistance  R_calc
              "inner resistance of TEG-based EHS";                                     // Ohm
              Modelica.SIunits.Power P_ges "gained electrical power"; // W

              Modelica.SIunits.Energy E "gained electrical energy"; // J

              Boolean Cooling_unit_1_2_on_off "controlling unit_1_2";
              Boolean Cooling_unit_3_4_on_off "controlling unit_3_4";
          //*****************************************************************************/

          //used components**************************************************************/
            HeatingBoiler_50_50 heating_boiler annotation (Placement(
                  transformation(extent={{-180,-20},{-140,20}})));
            Components.HeatTransfer.PipeSection pipe_TEG_1
              annotation (Placement(transformation(extent={{-120,-10},{-100,10}})));
            Components.HeatTransfer.PipeSection pipe_TEG_2
              annotation (Placement(transformation(extent={{-60,-10},{-40,10}})));
            Components.HeatTransfer.PipeSection pipe_TEG_3
              annotation (Placement(transformation(extent={{0,-10},{20,10}})));
            Components.HeatTransfer.PipeSection pipe_TEG_4
              annotation (Placement(transformation(extent={{60,-10},{80,10}})));
            Components.Miscellaneous.Chimney chimney
              annotation (Placement(transformation(extent={{104,-4},{144,36}})));
            Components.ThermoelectricDevice.Thermalforce.TEG_199_200_5 TEG1A
              annotation (Placement(transformation(extent={{-106,10},{-126,30}})));
            Components.ThermoelectricDevice.Thermalforce.TEG_199_200_5 TEG1B
              annotation (Placement(transformation(extent={{-106,-10},{-126,-30}})));
            Components.ThermoelectricDevice.Thermalforce.TEG_199_200_5 TEG2A
              annotation (Placement(transformation(extent={{-46,10},{-66,30}})));
            Components.ThermoelectricDevice.Thermalforce.TEG_199_200_5 TEG2B
              annotation (Placement(transformation(extent={{-46,-10},{-66,-30}})));
            Components.ThermoelectricDevice.Thermalforce.TEG_199_200_5 TEG3A
              annotation (Placement(transformation(extent={{14,10},{-6,30}})));
            Components.ThermoelectricDevice.Thermalforce.TEG_199_200_5 TEG3B
              annotation (Placement(transformation(extent={{14,-10},{-6,-30}})));
            Components.ThermoelectricDevice.Thermalforce.TEG_199_200_5 TEG4A
              annotation (Placement(transformation(extent={{74,10},{54,30}})));
            Components.ThermoelectricDevice.Thermalforce.TEG_199_200_5 TEG4B
              annotation (Placement(transformation(extent={{74,-10},{54,-30}})));
            Components.CoolingElement.Active.Liquid.CoolingElement cooling_element1A
              annotation (Placement(transformation(extent={{-106,30},{-126,50}})));
            Components.CoolingElement.Active.Liquid.CoolingElement cooling_element2A
              annotation (Placement(transformation(extent={{-46,30},{-66,50}})));
            Components.CoolingElement.Active.Liquid.CoolingElement cooling_element3A
              annotation (Placement(transformation(extent={{14,30},{-6,50}})));
            Components.CoolingElement.Active.Liquid.CoolingElement cooling_element4A
              annotation (Placement(transformation(extent={{74,30},{54,50}})));
            Components.CoolingElement.Active.Liquid.CoolingElement cooling_element1B
              annotation (Placement(transformation(extent={{-106,-30},{-126,-50}})));
            Components.CoolingElement.Active.Liquid.CoolingElement cooling_element2B
              annotation (Placement(transformation(extent={{-46,-30},{-66,-50}})));
            Components.CoolingElement.Active.Liquid.CoolingElement cooling_element3B
              annotation (Placement(transformation(extent={{14,-30},{-6,-50}})));
            Components.CoolingElement.Active.Liquid.CoolingElement cooling_element4B
              annotation (Placement(transformation(extent={{74,-30},{54,-50}})));
            inner Modelica.Fluid.System system(
                m_flow_small=1e-4, energyDynamics=Modelica.Fluid.Types.Dynamics.SteadyStateInitial)
                                  annotation (Placement(transformation(extent={{-170,70},{
                      -150,90}},  rotation=0)));
            Modelica.Thermal.HeatTransfer.Sources.FixedTemperature ambientTemperature(
                T=system.T_ambient)
              annotation (Placement(transformation(extent={{-140,70},{-120,90}})));
            Components.CoolingElement.Active.Liquid.Distributor_a distributor_in_1_2
              annotation (Placement(transformation(extent={{-96,-54},{-76,-74}})));
            Components.CoolingElement.Active.Liquid.Distributor_b distributor_out_1_2
              annotation (Placement(transformation(extent={{-96,-82},{-76,-62}})));
            Components.CoolingElement.Active.Liquid.Distributor_a distributor_in_3_4
              annotation (Placement(transformation(extent={{24,-54},{44,-74}})));
            Components.CoolingElement.Active.Liquid.Distributor_b distributor_out_3_4
              annotation (Placement(transformation(extent={{24,-82},{44,-62}})));
            Components.CoolingElement.Active.Liquid.IdealCoolingUnit cooling_unit_1_2
              annotation (Placement(transformation(extent={{-60,-78},{-40,-58}})));
            Components.CoolingElement.Active.Liquid.IdealCoolingUnit cooling_unit_3_4
              annotation (Placement(transformation(extent={{60,-78},{80,-58}})));
            Components.Electrics.IdealCommutingSwitch switch_TEG_2
              annotation (Placement(transformation(extent={{-94,10},{-74,30}})));
            Components.Electrics.IdealCommutingSwitch switch_TEG_3
              annotation (Placement(transformation(extent={{-34,10},{-14,30}})));
            Components.Electrics.IdealCommutingSwitch switch_TEG_4
              annotation (Placement(transformation(extent={{26,10},{46,30}})));
            Components.Electrics.IdealMPPT electrical_connection_TEG annotation (
                Placement(transformation(
                  extent={{-10,-10},{10,10}},
                  rotation=90,
                  origin={150,-30})));
            Components.Electrics.EnergySupply energy_supply_single_cooling_unit_1_2
              annotation (Placement(transformation(extent={{-20,-80},{0,-60}})));
            Components.Electrics.EnergySupply energy_supply_single_cooling_unit_3_4
              annotation (Placement(transformation(extent={{100,-80},{120,-60}})));
            Modelica.Blocks.Sources.Constant
                                          pulse(k=0.01)
              annotation (Placement(transformation(extent={{52,-58},{58,-52}})));
            Modelica.Blocks.Sources.Constant
                                          pulse1(k=0.01)
              annotation (Placement(transformation(extent={{-68,-58},{-62,-52}})));
            Modelica.Electrical.Analog.Basic.Ground ground annotation (
                Placement(transformation(extent={{82,-84},{102,-64}})));
          //*****************************************************************************/

          //equations********************************************************************/
          equation

            P_ges = electrical_connection_TEG.electrical_Power - energy_supply_single_cooling_unit_1_2.y - energy_supply_single_cooling_unit_3_4.y;

            P_ges = der(E);

            Cooling_unit_1_2_on_off = true;
            Cooling_unit_3_4_on_off = true;

            energy_supply_single_cooling_unit_1_2.u = Cooling_unit_1_2_on_off;
            energy_supply_single_cooling_unit_3_4.u = Cooling_unit_3_4_on_off;

            //****************************************************************************
            // ideal MPPT
            //****************************************************************************
             if switch_TEG_4.booleanStep.y == true then
               R_calc = (R1*R2)/(R1+R2) + (R3*R4)/(R3+R4) + (R5*R6)/(R5+R6) + (R7*R8)/(R7+R8);
             else
               if switch_TEG_3.booleanStep.y == true then
                 R_calc = (R1*R2)/(R1+R2) + (R3*R4)/(R3+R4) + (R5*R6)/(R5+R6);
               else
                 if switch_TEG_2.booleanStep.y == true then
                   R_calc = (R1*R2)/(R1+R2) + (R3*R4)/(R3+R4);
                 else
                   R_calc = (R1*R2)/(R1+R2);
                 end if;
               end if;
             end if;

            electrical_connection_TEG.R = R_calc;
            //****************************************************************************

            connect(pipe_TEG_1.heatPorts1[1], TEG1A.port_a1) annotation (Line(
                points={{-116,5},{-116,15}},
                color={127,0,0},
                smooth=Smooth.None));
            connect(pipe_TEG_1.heatPorts2[1], TEG1B.port_a1) annotation (Line(
                points={{-116,-5},{-116,-15}},
                color={127,0,0},
                smooth=Smooth.None));
            connect(pipe_TEG_2.heatPorts1[1], TEG2A.port_a1) annotation (Line(
                points={{-56,5},{-56,15}},
                color={127,0,0},
                smooth=Smooth.None));
            connect(pipe_TEG_2.heatPorts2[1], TEG2B.port_a1) annotation (Line(
                points={{-56,-5},{-56,-15}},
                color={127,0,0},
                smooth=Smooth.None));
            connect(pipe_TEG_3.heatPorts1[1], TEG3A.port_a1) annotation (Line(
                points={{4,5},{4,15}},
                color={127,0,0},
                smooth=Smooth.None));
            connect(pipe_TEG_3.heatPorts2[1], TEG3B.port_a1) annotation (Line(
                points={{4,-5},{4,-15}},
                color={127,0,0},
                smooth=Smooth.None));
            connect(pipe_TEG_4.heatPorts1[1], TEG4A.port_a1) annotation (Line(
                points={{64,5},{64,15}},
                color={127,0,0},
                smooth=Smooth.None));
            connect(pipe_TEG_4.heatPorts2[1], TEG4B.port_a1) annotation (Line(
                points={{64,-5},{64,-15}},
                color={127,0,0},
                smooth=Smooth.None));
            connect(TEG1A.port_b1, cooling_element1A.port_a1) annotation (Line(
                points={{-116,25},{-116,35}},
                color={191,0,0},
                smooth=Smooth.None));
            connect(cooling_element2A.port_a1, TEG2A.port_b1) annotation (Line(
                points={{-56,35},{-56,25}},
                color={191,0,0},
                smooth=Smooth.None));
            connect(TEG3A.port_b1, cooling_element3A.port_a1) annotation (Line(
                points={{4,25},{4,35}},
                color={191,0,0},
                smooth=Smooth.None));
            connect(TEG4A.port_b1, cooling_element4A.port_a1) annotation (Line(
                points={{64,25},{64,35}},
                color={191,0,0},
                smooth=Smooth.None));
            connect(TEG1B.port_b1, cooling_element1B.port_a1) annotation (Line(
                points={{-116,-25},{-116,-35}},
                color={191,0,0},
                smooth=Smooth.None));
            connect(TEG2B.port_b1, cooling_element2B.port_a1) annotation (Line(
                points={{-56,-25},{-56,-35}},
                color={191,0,0},
                smooth=Smooth.None));
            connect(TEG3B.port_b1, cooling_element3B.port_a1) annotation (Line(
                points={{4,-25},{4,-35}},
                color={191,0,0},
                smooth=Smooth.None));
            connect(TEG4B.port_b1, cooling_element4B.port_a1) annotation (Line(
                points={{64,-25},{64,-35}},
                color={191,0,0},
                smooth=Smooth.None));
            connect(distributor_in_1_2.port_b, cooling_element1B.port_a) annotation (Line(
                points={{-92,-54},{-92,-40},{-108,-40}},
                color={0,127,255},
                smooth=Smooth.None,
                visible=false));
            connect(distributor_in_1_2.port_b1, cooling_element1A.port_a) annotation (
                Line(
                points={{-88,-54},{-88,40},{-108,40}},
                color={0,127,255},
                smooth=Smooth.None,
                visible=false));
            connect(distributor_in_1_2.port_b2, cooling_element2B.port_a) annotation (
                Line(
                points={{-84,-54},{-84,-46},{-44,-46},{-44,-40},{-48,-40}},
                color={0,127,255},
                smooth=Smooth.None,
                visible=false));
            connect(distributor_in_1_2.port_b3, cooling_element2A.port_a) annotation (
                Line(
                points={{-80,-54},{-80,-48},{-38,-48},{-38,40},{-48,40}},
                color={0,127,255},
                smooth=Smooth.None,
                visible=false));
            connect(cooling_element1B.port_b, distributor_out_1_2.port_a) annotation (
                Line(
                points={{-124.4,-40},{-128,-40},{-128,-86},{-92,-86},{-92,-82}},
                color={0,127,255},
                smooth=Smooth.None,
                visible=false));
            connect(cooling_element1A.port_b, distributor_out_1_2.port_a1) annotation (
                Line(
                points={{-124.4,40},{-134,40},{-134,-92},{-88,-92},{-88,-82}},
                color={0,127,255},
                smooth=Smooth.None,
                visible=false));
            connect(cooling_element2A.port_b, distributor_out_1_2.port_a3) annotation (
                Line(
                points={{-64.4,40},{-72,40},{-72,-86},{-80,-86},{-80,-82}},
                color={0,127,255},
                smooth=Smooth.None,
                visible=false));
            connect(cooling_element2B.port_b, distributor_out_1_2.port_a2) annotation (
                Line(
                points={{-64.4,-40},{-68,-40},{-68,-92},{-84,-92},{-84,-82}},
                color={0,127,255},
                smooth=Smooth.None,
                visible=false));
            connect(distributor_in_3_4.port_b, cooling_element3B.port_a) annotation (Line(
                points={{28,-54},{28,-40},{12,-40}},
                color={0,127,255},
                smooth=Smooth.None,
                visible=false));
            connect(distributor_in_3_4.port_b1, cooling_element3A.port_a) annotation (
                Line(
                points={{32,-54},{32,40},{12,40}},
                color={0,127,255},
                smooth=Smooth.None,
                visible=false));
            connect(distributor_in_3_4.port_b2, cooling_element4B.port_a) annotation (
                Line(
                points={{36,-54},{36,-46},{78,-46},{78,-40},{72,-40}},
                color={0,127,255},
                smooth=Smooth.None,
                visible=false));
            connect(distributor_in_3_4.port_b3, cooling_element4A.port_a) annotation (
                Line(
                points={{40,-54},{40,-50},{84,-50},{84,40},{72,40}},
                color={0,127,255},
                smooth=Smooth.None,
                visible=false));
            connect(distributor_out_3_4.port_a, cooling_element3B.port_b) annotation (
                Line(
                points={{28,-82},{28,-86},{-10,-86},{-10,-40},{-4.4,-40}},
                color={0,127,255},
                smooth=Smooth.None,
                visible=false));
            connect(distributor_out_3_4.port_a1, cooling_element3A.port_b) annotation (
                Line(
                points={{32,-82},{32,-90},{-18,-90},{-18,40},{-4.4,40}},
                color={0,127,255},
                smooth=Smooth.None,
                visible=false));
            connect(distributor_out_3_4.port_a2, cooling_element4B.port_b) annotation (
                Line(
                points={{36,-82},{36,-90},{52,-90},{52,-40},{55.6,-40}},
                color={0,127,255},
                smooth=Smooth.None,
                visible=false));
            connect(distributor_out_3_4.port_a3, cooling_element4A.port_b) annotation (
                Line(
                points={{40,-82},{40,-86},{48,-86},{48,40},{55.6,40}},
                color={0,127,255},
                smooth=Smooth.None,
                visible=false));
            connect(distributor_in_1_2.port_a, cooling_unit_1_2.port_b) annotation (Line(
                points={{-76,-64},{-60,-64}},
                color={0,127,255},
                smooth=Smooth.None));
            connect(distributor_out_1_2.port_b, cooling_unit_1_2.port_a) annotation (Line(
                points={{-76,-72},{-60,-72}},
                color={0,127,255},
                smooth=Smooth.None));
            connect(distributor_in_3_4.port_a, cooling_unit_3_4.port_b) annotation (Line(
                points={{44,-64},{60,-64}},
                color={0,127,255},
                smooth=Smooth.None));
            connect(distributor_out_3_4.port_b, cooling_unit_3_4.port_a) annotation (Line(
                points={{44,-72},{60,-72}},
                color={0,127,255},
                smooth=Smooth.None));

            connect(TEG1A.pin_n1, switch_TEG_2.p1) annotation (Line(
                points={{-107,20},{-93,20}},
                color={0,0,255},
                smooth=Smooth.None));
            connect(TEG2A.pin_p1, switch_TEG_2.n2) annotation (Line(
                points={{-65,20},{-75,20}},
                color={0,0,255},
                smooth=Smooth.None));
            connect(TEG2A.pin_n1, switch_TEG_3.p1) annotation (Line(
                points={{-47,20},{-33,20}},
                color={0,0,255},
                smooth=Smooth.None));
            connect(TEG3A.pin_p1, switch_TEG_3.n2) annotation (Line(
                points={{-5,20},{-15,20}},
                color={0,0,255},
                smooth=Smooth.None));
            connect(TEG3A.pin_n1, switch_TEG_4.p1) annotation (Line(
                points={{13,20},{27,20}},
                color={0,0,255},
                smooth=Smooth.None));
            connect(TEG4A.pin_p1, switch_TEG_4.n2) annotation (Line(
                points={{55,20},{45,20}},
                color={0,0,255},
                smooth=Smooth.None));
            connect(TEG1B.pin_n1, switch_TEG_2.p1) annotation (Line(
                points={{-107,-20},{-98,-20},{-98,20},{-93,20}},
                color={0,0,255},
                smooth=Smooth.None));
            connect(TEG2B.pin_n1, switch_TEG_3.p1) annotation (Line(
                points={{-47,-20},{-38,-20},{-38,20},{-33,20}},
                color={0,0,255},
                smooth=Smooth.None));
            connect(TEG3B.pin_n1, switch_TEG_4.p1) annotation (Line(
                points={{13,-20},{22,-20},{22,20},{27,20}},
                color={0,0,255},
                smooth=Smooth.None));
            connect(TEG4B.pin_n1, TEG4A.pin_n1) annotation (Line(
                points={{73,-20},{82,-20},{82,20},{73,20}},
                color={0,0,255},
                smooth=Smooth.None));
            connect(TEG1B.pin_p1, TEG1A.pin_p1) annotation (Line(
                points={{-125,-20},{-130,-20},{-130,20},{-125,20}},
                color={0,0,255},
                smooth=Smooth.None));
            connect(TEG2B.pin_p1, switch_TEG_2.n2) annotation (Line(
                points={{-65,-20},{-70,-20},{-70,20},{-75,20}},
                color={0,0,255},
                smooth=Smooth.None));
            connect(TEG3B.pin_p1, switch_TEG_3.n2) annotation (Line(
                points={{-5,-20},{-10,-20},{-10,20},{-15,20}},
                color={0,0,255},
                smooth=Smooth.None));
            connect(TEG4B.pin_p1, switch_TEG_4.n2) annotation (Line(
                points={{55,-20},{50,-20},{50,20},{45,20}},
                color={0,0,255},
                smooth=Smooth.None));
            connect(switch_TEG_2.n1, TEG4A.pin_n1) annotation (Line(
                points={{-75,25},{-75,30},{82,30},{82,20},{73,20}},
                color={0,0,255},
                smooth=Smooth.None));
            connect(switch_TEG_3.n1, TEG4A.pin_n1) annotation (Line(
                points={{-15,25},{-15,30},{82,30},{82,20},{73,20}},
                color={0,0,255},
                smooth=Smooth.None));
            connect(switch_TEG_4.n1, TEG4A.pin_n1) annotation (Line(
                points={{45,25},{45,30},{82,30},{82,20},{73,20}},
                color={0,0,255},
                smooth=Smooth.None));
            connect(pulse1.y, cooling_unit_1_2.m_flow_in) annotation (Line(
                points={{-61.7,-55},{-55,-55},{-55,-61.6}},
                color={0,0,127},
                smooth=Smooth.None));
            connect(pulse.y, cooling_unit_3_4.m_flow_in) annotation (Line(
                points={{58.3,-55},{65,-55},{65,-61.6}},
                color={0,0,127},
                smooth=Smooth.None));
            connect(heating_boiler.port_b1, pipe_TEG_1.port_a) annotation (Line(
                points={{-144,0},{-132,0},{-120,0}},
                color={0,127,255},
                visible=false));
            connect(pipe_TEG_1.port_b, pipe_TEG_2.port_a) annotation (Line(
                points={{-100,0},{-80,0},{-60,0}},
                color={0,127,255},
                visible=false));
            connect(pipe_TEG_2.port_b, pipe_TEG_3.port_a) annotation (Line(
                points={{-40,0},{-20,0},{0,0}},
                color={0,127,255},
                visible=false));
            connect(pipe_TEG_3.port_b, pipe_TEG_4.port_a) annotation (Line(
                points={{20,0},{40,0},{60,0}},
                color={0,127,255},
                visible=false));
            connect(pipe_TEG_4.port_b, chimney.port_a1) annotation (Line(
                points={{80,0},{100,0},{120,0}},
                color={0,127,255},
                visible=false));
            connect(ambientTemperature.port, pipe_TEG_1.fluid) annotation (Line(
                points={{-120,80},{-104,80},{-104,5}},
                color={191,0,0},
                visible=false));
            connect(ambientTemperature.port, pipe_TEG_2.fluid) annotation (Line(
                points={{-120,80},{-88,80},{-44,80},{-44,5}},
                color={191,0,0},
                visible=false));
            connect(ambientTemperature.port, pipe_TEG_3.fluid) annotation (Line(
                points={{-120,80},{-52,80},{16,80},{16,5}},
                color={191,0,0},
                visible=false));
            connect(ambientTemperature.port, pipe_TEG_4.fluid) annotation (Line(
                points={{-120,80},{-24,80},{76,80},{76,5}},
                color={191,0,0},
                visible=false));
            connect(energy_supply_single_cooling_unit_1_2.p, cooling_unit_1_2.p1)
              annotation (Line(
                points={{-16,-61},{-16,-61},{-16,-54},{-49,-54},{-49,-61.6}},
                color={0,0,255},
                visible=false));
            connect(cooling_unit_1_2.n1, energy_supply_single_cooling_unit_1_2.n)
              annotation (Line(
                points={{-41,-61.6},{-41,-58},{-4,-58},{-4,-61}},
                color={0,0,255},
                visible=false));
            connect(cooling_unit_3_4.p1, energy_supply_single_cooling_unit_3_4.p)
              annotation (Line(
                points={{71,-61.6},{71,-50},{104,-50},{104,-61}},
                color={0,0,255},
                visible=false));
            connect(cooling_unit_3_4.n1, energy_supply_single_cooling_unit_3_4.n)
              annotation (Line(
                points={{79,-61.6},{79,-56},{116,-56},{116,-61}},
                color={0,0,255},
                visible=false));
            connect(TEG4B.pin_n1, electrical_connection_TEG.n1)
              annotation (Line(points={{73,-20},{112,-20},{150,-20}}, color={0,0,255}));
            connect(TEG1B.pin_p1, electrical_connection_TEG.p1) annotation (Line(points={{
                    -125,-20},{-130,-20},{-130,-30},{112,-30},{112,-40},{150,-40}}, color=
                   {0,0,255}));
            connect(energy_supply_single_cooling_unit_3_4.p, ground.p)
              annotation (Line(points={{104,-61},{98,-61},{98,-64},{92,-64}},
                  color={0,0,255}));
            connect(energy_supply_single_cooling_unit_1_2.p, ground.p)
              annotation (Line(
                points={{-16,-61},{-20,-61},{-20,-62},{-26,-62},{-26,-90},{92,
                    -90},{92,-64}},
                color={0,0,255},
                visible=false));
          //*****************************************************************************/

             annotation (Diagram(coordinateSystem(extent={{-180,-100},{180,100}},
                    preserveAspectRatio=false), graphics={
                  Rectangle(
                    extent={{-100,4},{-60,-4}},
                    lineColor={0,0,0},
                    fillColor={175,175,175},
                    fillPattern=FillPattern.HorizontalCylinder),
                  Rectangle(
                    extent={{-40,4},{0,-4}},
                    lineColor={0,0,0},
                    fillColor={175,175,175},
                    fillPattern=FillPattern.HorizontalCylinder),
                  Rectangle(
                    extent={{20,4},{60,-4}},
                    lineColor={0,0,0},
                    fillColor={175,175,175},
                    fillPattern=FillPattern.HorizontalCylinder),
                  Rectangle(
                    extent={{80,4},{120,-4}},
                    lineColor={0,0,0},
                    fillColor={175,175,175},
                    fillPattern=FillPattern.HorizontalCylinder),
                  Rectangle(
                    extent={{-144,4},{-120,-4}},
                    lineColor={0,0,0},
                    fillColor={175,175,175},
                    fillPattern=FillPattern.HorizontalCylinder)}), Icon(coordinateSystem(
                    extent={{-180,-100},{180,100}})),
              experiment(StopTime=2100),
              __Dymola_experimentSetupOutput, Documentation(info="<html>
   <p>
**************************************************************************** <br>
  <b> Copyright (C) 2015-2017 Chair of Automation and Energy Systems, Saarland University </b> <br>
------------------------------------------------------------------------------------------------------------------ <br>
  This file is part of EHSTEG. <p>                    
  
  For more information see <a href=\"//EHSTEG.UsersGuide\">User's Guide</a> <p>
  
**************************************************************************** <p>
</html>
"));
          end LCS_50_50_Uncontrolled;

          model LCS_50_50_Controlled
            "controlled liquid cooled system for 50/50 heating load"

            //Copyright (C) 2015-2017 Chair of Automation and Energy Systems, Saarland University (for more information see 'Documentation')

          //parameter definition*********************************************************/
              parameter Real valve_start_time = 10; // s
              replaceable package Medium =
                Modelica.Media.IdealGases.MixtureGases.CombustionAir
               constrainedby Modelica.Media.Interfaces.PartialMedium;

          //variable definition**********************************************************/
              Modelica.SIunits.Resistance R1 = TEG1A.tEG_Module.inner_TEG.R
              "resistance of TEG1";                                                               // Ohm
              Modelica.SIunits.Resistance R2 = TEG1B.tEG_Module.inner_TEG.R
              "resistance of TEG2";                                                               // Ohm
              Modelica.SIunits.Resistance R3 = TEG2A.tEG_Module.inner_TEG.R
              "resistance of TEG3";                                                               // Ohm
              Modelica.SIunits.Resistance R4 = TEG2B.tEG_Module.inner_TEG.R
              "resistance of TEG4";                                                               // Ohm
              Modelica.SIunits.Resistance R5 = TEG3A.tEG_Module.inner_TEG.R
              "resistance of TEG5";                                                               // Ohm
              Modelica.SIunits.Resistance R6 = TEG3B.tEG_Module.inner_TEG.R
              "resistance of TEG6";                                                               // Ohm
              Modelica.SIunits.Resistance R7 = TEG4A.tEG_Module.inner_TEG.R
              "resistance of TEG7";                                                               // Ohm
              Modelica.SIunits.Resistance R8 = TEG4B.tEG_Module.inner_TEG.R
              "resistance of TEG8";                                                               // Ohm

              Modelica.SIunits.Resistance  R_calc
              "inner resistance of TEG-based EHS";                                     // Ohm
              Modelica.SIunits.Power P_ges "gained electrical power"; // W
              Modelica.SIunits.Power P
              "gained electrical power with control laws";                          // W

              Modelica.SIunits.Energy E "gained electrical energy"; // J
              Modelica.SIunits.Energy E2
              "gained electrical energy with control laws";                            // J

              Boolean Cooling_unit_1_2_on_off "controlling unit_1_2";
              Boolean Cooling_unit_3_4_on_off "controlling unit_3_4";
              Boolean switch_value;
              Real m_flow;
          //*****************************************************************************/

          //used components**************************************************************/
            HeatingBoiler_50_50 heating_boiler annotation (Placement(
                  transformation(extent={{-180,-20},{-140,20}})));
            Components.HeatTransfer.PipeSection pipe_TEG_1
              annotation (Placement(transformation(extent={{-120,-10},{-100,10}})));
            Components.HeatTransfer.PipeSection pipe_TEG_2
              annotation (Placement(transformation(extent={{-60,-10},{-40,10}})));
            Components.HeatTransfer.PipeSection pipe_TEG_3
              annotation (Placement(transformation(extent={{0,-10},{20,10}})));
            Components.HeatTransfer.PipeSection pipe_TEG_4
              annotation (Placement(transformation(extent={{60,-10},{80,10}})));
            Components.Miscellaneous.Chimney chimney
              annotation (Placement(transformation(extent={{104,-4},{144,36}})));
            Components.ThermoelectricDevice.Thermalforce.TEG_199_200_5 TEG1A
              annotation (Placement(transformation(extent={{-106,10},{-126,30}})));
            Components.ThermoelectricDevice.Thermalforce.TEG_199_200_5 TEG1B
              annotation (Placement(transformation(extent={{-106,-10},{-126,-30}})));
            Components.ThermoelectricDevice.Thermalforce.TEG_199_200_5 TEG2A
              annotation (Placement(transformation(extent={{-46,10},{-66,30}})));
            Components.ThermoelectricDevice.Thermalforce.TEG_199_200_5 TEG2B
              annotation (Placement(transformation(extent={{-46,-10},{-66,-30}})));
            Components.ThermoelectricDevice.Thermalforce.TEG_199_200_5 TEG3A
              annotation (Placement(transformation(extent={{14,10},{-6,30}})));
            Components.ThermoelectricDevice.Thermalforce.TEG_199_200_5 TEG3B
              annotation (Placement(transformation(extent={{14,-10},{-6,-30}})));
            Components.ThermoelectricDevice.Thermalforce.TEG_199_200_5 TEG4A
              annotation (Placement(transformation(extent={{74,10},{54,30}})));
            Components.ThermoelectricDevice.Thermalforce.TEG_199_200_5 TEG4B
              annotation (Placement(transformation(extent={{74,-10},{54,-30}})));
            Components.CoolingElement.Active.Liquid.CoolingElement cooling_element1A
              annotation (Placement(transformation(extent={{-106,30},{-126,50}})));
            Components.CoolingElement.Active.Liquid.CoolingElement cooling_element2A
              annotation (Placement(transformation(extent={{-46,30},{-66,50}})));
            Components.CoolingElement.Active.Liquid.CoolingElement cooling_element3A
              annotation (Placement(transformation(extent={{14,30},{-6,50}})));
            Components.CoolingElement.Active.Liquid.CoolingElement cooling_element4A
              annotation (Placement(transformation(extent={{74,30},{54,50}})));
            Components.CoolingElement.Active.Liquid.CoolingElement cooling_element1B
              annotation (Placement(transformation(extent={{-106,-30},{-126,-50}})));
            Components.CoolingElement.Active.Liquid.CoolingElement cooling_element2B
              annotation (Placement(transformation(extent={{-46,-30},{-66,-50}})));
            Components.CoolingElement.Active.Liquid.CoolingElement cooling_element3B
              annotation (Placement(transformation(extent={{14,-30},{-6,-50}})));
            Components.CoolingElement.Active.Liquid.CoolingElement cooling_element4B
              annotation (Placement(transformation(extent={{74,-30},{54,-50}})));
            inner Modelica.Fluid.System system(
                m_flow_small=1e-4, energyDynamics=Modelica.Fluid.Types.Dynamics.SteadyStateInitial)
                                  annotation (Placement(transformation(extent={{-170,70},{
                      -150,90}},  rotation=0)));
            Modelica.Thermal.HeatTransfer.Sources.FixedTemperature ambientTemperature(
                T=system.T_ambient)
              annotation (Placement(transformation(extent={{-140,70},{-120,90}})));
            Components.CoolingElement.Active.Liquid.Distributor_a distributor_in_1_2
              annotation (Placement(transformation(extent={{-96,-54},{-76,-74}})));
            Components.CoolingElement.Active.Liquid.Distributor_b distributor_out_1_2
              annotation (Placement(transformation(extent={{-96,-82},{-76,-62}})));
            Components.CoolingElement.Active.Liquid.Distributor_a distributor_in_3_4
              annotation (Placement(transformation(extent={{24,-54},{44,-74}})));
            Components.CoolingElement.Active.Liquid.Distributor_b distributor_out_3_4
              annotation (Placement(transformation(extent={{24,-82},{44,-62}})));
            Components.CoolingElement.Active.Liquid.IdealCoolingUnit cooling_unit_1_2
              annotation (Placement(transformation(extent={{-60,-78},{-40,-58}})));
            Components.CoolingElement.Active.Liquid.IdealCoolingUnit cooling_unit_3_4
              annotation (Placement(transformation(extent={{60,-78},{80,-58}})));
            Components.Electrics.IdealCommutingSwitch switch_TEG_2(startTime=10,
                startValue=false)
              annotation (Placement(transformation(extent={{-94,10},{-74,30}})));
            Components.Electrics.IdealMPPT electrical_connection_TEG annotation (
                Placement(transformation(
                  extent={{-10,-10},{10,10}},
                  rotation=90,
                  origin={150,-30})));
            Components.Electrics.EnergySupply energy_supply_single_cooling_unit_1_2
              annotation (Placement(transformation(extent={{-20,-80},{0,-60}})));
            Components.Electrics.EnergySupply energy_supply_single_cooling_unit_3_4
              annotation (Placement(transformation(extent={{100,-80},{120,-60}})));
            Modelica.Blocks.Sources.Constant
                                          pulse1(k=0.01)
              annotation (Placement(transformation(extent={{-68,-58},{-62,-52}})));
            Modelica.Electrical.Analog.Ideal.IdealCommutingSwitch switch_TEG_3
              annotation (Placement(transformation(extent={{-32,10},{-12,30}})));
            Modelica.Electrical.Analog.Ideal.IdealCommutingSwitch switch_TEG_4
              annotation (Placement(transformation(extent={{26,10},{46,30}})));
            Modelica.Electrical.Analog.Basic.Ground ground annotation (
                Placement(transformation(extent={{80,-98},{100,-78}})));
          //*****************************************************************************/

          //equations********************************************************************/
          equation

            P_ges = electrical_connection_TEG.electrical_Power - energy_supply_single_cooling_unit_1_2.y - energy_supply_single_cooling_unit_3_4.y;

            P_ges = der(E);
            P = der( E2);

            if electrical_connection_TEG.electrical_Power <= 12.2 then
              P = 0;
            else
              P = P_ges;
            end if;

            switch_TEG_3.control = switch_value;
            switch_TEG_4.control = switch_value;

            //****************************************************************************
            // switching on - cooling unit 1/2 und 3/4
            //****************************************************************************
            cooling_unit_3_4.m_flow_in = m_flow;
            Cooling_unit_1_2_on_off = true;

            if time < 127 then
              Cooling_unit_3_4_on_off = false;
              switch_value = false;
              m_flow = 0.001;
            else
                if time <= 645 then
                  Cooling_unit_3_4_on_off = true;
                  switch_value = true;
                  m_flow = 0.01;
                else
                  Cooling_unit_3_4_on_off = false;
                  switch_value = false;
                  m_flow = 0.001;
                end if;
            end if;

            energy_supply_single_cooling_unit_1_2.u = Cooling_unit_1_2_on_off;
            energy_supply_single_cooling_unit_3_4.u = Cooling_unit_3_4_on_off;
            //****************************************************************************

            //****************************************************************************
            // ideal MPPT
            //****************************************************************************
             if switch_value == true then
               R_calc = (R1*R2)/(R1+R2) + (R3*R4)/(R3+R4) + (R5*R6)/(R5+R6) + (R7*R8)/(R7+R8);
             else
                 if switch_TEG_2.booleanStep.y == true then
                   R_calc = (R1*R2)/(R1+R2) + (R3*R4)/(R3+R4);
                 else
                   R_calc = (R1*R2)/(R1+R2);
                 end if;
             end if;

            electrical_connection_TEG.R = R_calc;
            //****************************************************************************

            connect(pipe_TEG_1.heatPorts1[1], TEG1A.port_a1) annotation (Line(
                points={{-116,5},{-116,15}},
                color={127,0,0},
                smooth=Smooth.None));
            connect(pipe_TEG_1.heatPorts2[1], TEG1B.port_a1) annotation (Line(
                points={{-116,-5},{-116,-15}},
                color={127,0,0},
                smooth=Smooth.None));
            connect(pipe_TEG_2.heatPorts1[1], TEG2A.port_a1) annotation (Line(
                points={{-56,5},{-56,15}},
                color={127,0,0},
                smooth=Smooth.None));
            connect(pipe_TEG_2.heatPorts2[1], TEG2B.port_a1) annotation (Line(
                points={{-56,-5},{-56,-15}},
                color={127,0,0},
                smooth=Smooth.None));
            connect(pipe_TEG_3.heatPorts1[1], TEG3A.port_a1) annotation (Line(
                points={{4,5},{4,15}},
                color={127,0,0},
                smooth=Smooth.None));
            connect(pipe_TEG_3.heatPorts2[1], TEG3B.port_a1) annotation (Line(
                points={{4,-5},{4,-15}},
                color={127,0,0},
                smooth=Smooth.None));
            connect(pipe_TEG_4.heatPorts1[1], TEG4A.port_a1) annotation (Line(
                points={{64,5},{64,15}},
                color={127,0,0},
                smooth=Smooth.None));
            connect(pipe_TEG_4.heatPorts2[1], TEG4B.port_a1) annotation (Line(
                points={{64,-5},{64,-15}},
                color={127,0,0},
                smooth=Smooth.None));
            connect(TEG1A.port_b1, cooling_element1A.port_a1) annotation (Line(
                points={{-116,25},{-116,35}},
                color={191,0,0},
                smooth=Smooth.None));
            connect(cooling_element2A.port_a1, TEG2A.port_b1) annotation (Line(
                points={{-56,35},{-56,25}},
                color={191,0,0},
                smooth=Smooth.None));
            connect(TEG3A.port_b1, cooling_element3A.port_a1) annotation (Line(
                points={{4,25},{4,35}},
                color={191,0,0},
                smooth=Smooth.None));
            connect(TEG4A.port_b1, cooling_element4A.port_a1) annotation (Line(
                points={{64,25},{64,35}},
                color={191,0,0},
                smooth=Smooth.None));
            connect(TEG1B.port_b1, cooling_element1B.port_a1) annotation (Line(
                points={{-116,-25},{-116,-35}},
                color={191,0,0},
                smooth=Smooth.None));
            connect(TEG2B.port_b1, cooling_element2B.port_a1) annotation (Line(
                points={{-56,-25},{-56,-35}},
                color={191,0,0},
                smooth=Smooth.None));
            connect(TEG3B.port_b1, cooling_element3B.port_a1) annotation (Line(
                points={{4,-25},{4,-35}},
                color={191,0,0},
                smooth=Smooth.None));
            connect(TEG4B.port_b1, cooling_element4B.port_a1) annotation (Line(
                points={{64,-25},{64,-35}},
                color={191,0,0},
                smooth=Smooth.None));
            connect(distributor_in_1_2.port_b, cooling_element1B.port_a) annotation (Line(
                points={{-92,-54},{-92,-40},{-108,-40}},
                color={0,127,255},
                smooth=Smooth.None,
                visible=false));
            connect(distributor_in_1_2.port_b1, cooling_element1A.port_a) annotation (
                Line(
                points={{-88,-54},{-88,40},{-108,40}},
                color={0,127,255},
                smooth=Smooth.None,
                visible=false));
            connect(distributor_in_1_2.port_b2, cooling_element2B.port_a) annotation (
                Line(
                points={{-84,-54},{-84,-46},{-44,-46},{-44,-40},{-48,-40}},
                color={0,127,255},
                smooth=Smooth.None,
                visible=false));
            connect(distributor_in_1_2.port_b3, cooling_element2A.port_a) annotation (
                Line(
                points={{-80,-54},{-80,-48},{-38,-48},{-38,40},{-48,40}},
                color={0,127,255},
                smooth=Smooth.None,
                visible=false));
            connect(cooling_element1B.port_b, distributor_out_1_2.port_a) annotation (
                Line(
                points={{-124.4,-40},{-128,-40},{-128,-86},{-92,-86},{-92,-82}},
                color={0,127,255},
                smooth=Smooth.None,
                visible=false));
            connect(cooling_element1A.port_b, distributor_out_1_2.port_a1) annotation (
                Line(
                points={{-124.4,40},{-134,40},{-134,-92},{-88,-92},{-88,-82}},
                color={0,127,255},
                smooth=Smooth.None,
                visible=false));
            connect(cooling_element2A.port_b, distributor_out_1_2.port_a3) annotation (
                Line(
                points={{-64.4,40},{-72,40},{-72,-86},{-80,-86},{-80,-82}},
                color={0,127,255},
                smooth=Smooth.None,
                visible=false));
            connect(cooling_element2B.port_b, distributor_out_1_2.port_a2) annotation (
                Line(
                points={{-64.4,-40},{-68,-40},{-68,-92},{-84,-92},{-84,-82}},
                color={0,127,255},
                smooth=Smooth.None,
                visible=false));
            connect(distributor_in_3_4.port_b, cooling_element3B.port_a) annotation (Line(
                points={{28,-54},{28,-40},{12,-40}},
                color={0,127,255},
                smooth=Smooth.None,
                visible=false));
            connect(distributor_in_3_4.port_b1, cooling_element3A.port_a) annotation (
                Line(
                points={{32,-54},{32,40},{12,40}},
                color={0,127,255},
                smooth=Smooth.None,
                visible=false));
            connect(distributor_in_3_4.port_b2, cooling_element4B.port_a) annotation (
                Line(
                points={{36,-54},{36,-46},{78,-46},{78,-40},{72,-40}},
                color={0,127,255},
                smooth=Smooth.None,
                visible=false));
            connect(distributor_in_3_4.port_b3, cooling_element4A.port_a) annotation (
                Line(
                points={{40,-54},{40,-50},{84,-50},{84,40},{72,40}},
                color={0,127,255},
                smooth=Smooth.None,
                visible=false));
            connect(distributor_out_3_4.port_a, cooling_element3B.port_b) annotation (
                Line(
                points={{28,-82},{28,-86},{-10,-86},{-10,-40},{-4.4,-40}},
                color={0,127,255},
                smooth=Smooth.None,
                visible=false));
            connect(distributor_out_3_4.port_a1, cooling_element3A.port_b) annotation (
                Line(
                points={{32,-82},{32,-90},{-18,-90},{-18,40},{-4.4,40}},
                color={0,127,255},
                smooth=Smooth.None,
                visible=false));
            connect(distributor_out_3_4.port_a2, cooling_element4B.port_b) annotation (
                Line(
                points={{36,-82},{36,-90},{52,-90},{52,-40},{55.6,-40}},
                color={0,127,255},
                smooth=Smooth.None,
                visible=false));
            connect(distributor_out_3_4.port_a3, cooling_element4A.port_b) annotation (
                Line(
                points={{40,-82},{40,-86},{48,-86},{48,40},{55.6,40}},
                color={0,127,255},
                smooth=Smooth.None,
                visible=false));
            connect(distributor_in_1_2.port_a, cooling_unit_1_2.port_b) annotation (Line(
                points={{-76,-64},{-60,-64}},
                color={0,127,255},
                smooth=Smooth.None));
            connect(distributor_out_1_2.port_b, cooling_unit_1_2.port_a) annotation (Line(
                points={{-76,-72},{-60,-72}},
                color={0,127,255},
                smooth=Smooth.None));
            connect(distributor_in_3_4.port_a, cooling_unit_3_4.port_b) annotation (Line(
                points={{44,-64},{60,-64}},
                color={0,127,255},
                smooth=Smooth.None));
            connect(distributor_out_3_4.port_b, cooling_unit_3_4.port_a) annotation (Line(
                points={{44,-72},{60,-72}},
                color={0,127,255},
                smooth=Smooth.None));

            connect(TEG1A.pin_n1, switch_TEG_2.p1) annotation (Line(
                points={{-107,20},{-93,20}},
                color={0,0,255},
                smooth=Smooth.None));
            connect(TEG2A.pin_p1, switch_TEG_2.n2) annotation (Line(
                points={{-65,20},{-75,20}},
                color={0,0,255},
                smooth=Smooth.None));
            connect(TEG1B.pin_n1, switch_TEG_2.p1) annotation (Line(
                points={{-107,-20},{-98,-20},{-98,20},{-93,20}},
                color={0,0,255},
                smooth=Smooth.None));
            connect(TEG4B.pin_n1, TEG4A.pin_n1) annotation (Line(
                points={{73,-20},{82,-20},{82,20},{73,20}},
                color={0,0,255},
                smooth=Smooth.None));
            connect(TEG1B.pin_p1, TEG1A.pin_p1) annotation (Line(
                points={{-125,-20},{-130,-20},{-130,20},{-125,20}},
                color={0,0,255},
                smooth=Smooth.None));
            connect(TEG2B.pin_p1, switch_TEG_2.n2) annotation (Line(
                points={{-65,-20},{-70,-20},{-70,20},{-75,20}},
                color={0,0,255},
                smooth=Smooth.None));
            connect(switch_TEG_2.n1, TEG4A.pin_n1) annotation (Line(
                points={{-75,25},{-75,30},{82,30},{82,20},{73,20}},
                color={0,0,255},
                smooth=Smooth.None));
            connect(pulse1.y, cooling_unit_1_2.m_flow_in) annotation (Line(
                points={{-61.7,-55},{-55,-55},{-55,-61.6}},
                color={0,0,127},
                smooth=Smooth.None));
            connect(TEG3A.pin_p1, switch_TEG_3.n2) annotation (Line(
                points={{-5,20},{-12,20}},
                color={0,0,255},
                smooth=Smooth.None));
            connect(TEG2A.pin_n1, TEG2B.pin_n1) annotation (Line(
                points={{-47,20},{-38,20},{-38,-20},{-47,-20}},
                color={0,0,255},
                smooth=Smooth.None));
            connect(TEG3B.pin_p1, switch_TEG_3.n2) annotation (Line(
                points={{-5,-20},{-10,-20},{-10,20},{-12,20}},
                color={0,0,255},
                smooth=Smooth.None));
            connect(TEG4A.pin_p1, switch_TEG_4.n2) annotation (Line(
                points={{55,20},{46,20}},
                color={0,0,255},
                smooth=Smooth.None));
            connect(TEG4B.pin_p1, switch_TEG_4.n2) annotation (Line(
                points={{55,-20},{50,-20},{50,20},{46,20}},
                color={0,0,255},
                smooth=Smooth.None));
            connect(switch_TEG_3.n1, TEG4A.pin_n1) annotation (Line(
                points={{-12,25},{-12,30},{82,30},{82,20},{73,20}},
                color={0,0,255},
                smooth=Smooth.None));
            connect(switch_TEG_4.n1, TEG4A.pin_n1) annotation (Line(
                points={{46,25},{46,30},{82,30},{82,20},{73,20}},
                color={0,0,255},
                smooth=Smooth.None));
            connect(TEG2A.pin_n1, switch_TEG_3.p)
              annotation (Line(points={{-47,20},{-39.5,20},{-32,20}}, color={0,0,255}));
            connect(TEG3A.pin_n1, switch_TEG_4.p)
              annotation (Line(points={{13,20},{19.5,20},{26,20}}, color={0,0,255}));
            connect(TEG3B.pin_n1, switch_TEG_4.p) annotation (Line(points={{13,-20},{18,-20},
                    {18,-20},{22,-20},{22,20},{26,20}}, color={0,0,255}));
            connect(heating_boiler.port_b1, pipe_TEG_1.port_a) annotation (Line(
                points={{-144,0},{-132,0},{-120,0}},
                color={0,127,255},
                visible=false));
            connect(pipe_TEG_1.port_b, pipe_TEG_2.port_a) annotation (Line(
                points={{-100,0},{-80,0},{-60,0}},
                color={0,127,255},
                visible=false));
            connect(pipe_TEG_2.port_b, pipe_TEG_3.port_a) annotation (Line(
                points={{-40,0},{-20,0},{0,0}},
                color={0,127,255},
                visible=false));
            connect(pipe_TEG_3.port_b, pipe_TEG_4.port_a) annotation (Line(
                points={{20,0},{40,0},{60,0}},
                color={0,127,255},
                visible=false));
            connect(pipe_TEG_4.port_b, chimney.port_a1) annotation (Line(
                points={{80,0},{102,0},{120,0}},
                color={0,127,255},
                visible=false));
            connect(pipe_TEG_4.fluid, ambientTemperature.port) annotation (Line(
                points={{76,5},{76,5},{76,80},{-120,80}},
                color={191,0,0},
                visible=false));
            connect(pipe_TEG_3.fluid, ambientTemperature.port) annotation (Line(
                points={{16,5},{16,80},{-120,80}},
                color={191,0,0},
                visible=false));
            connect(pipe_TEG_2.fluid, ambientTemperature.port) annotation (Line(
                points={{-44,5},{-44,80},{-120,80}},
                color={191,0,0},
                visible=false));
            connect(pipe_TEG_1.fluid, ambientTemperature.port) annotation (Line(
                points={{-104,5},{-104,80},{-120,80}},
                color={191,0,0},
                visible=false));
            connect(energy_supply_single_cooling_unit_1_2.p, cooling_unit_1_2.p1)
              annotation (Line(
                points={{-16,-61},{-16,-52},{-49,-52},{-49,-61.6}},
                color={0,0,255},
                visible=false));
            connect(cooling_unit_1_2.n1, energy_supply_single_cooling_unit_1_2.n)
              annotation (Line(
                points={{-41,-61.6},{-41,-56},{-4,-56},{-4,-61}},
                color={0,0,255},
                visible=false));
            connect(cooling_unit_3_4.p1, energy_supply_single_cooling_unit_3_4.p)
              annotation (Line(
                points={{71,-61.6},{71,-52},{104,-52},{104,-61}},
                color={0,0,255},
                visible=false));
            connect(cooling_unit_3_4.n1, energy_supply_single_cooling_unit_3_4.n)
              annotation (Line(
                points={{79,-61.6},{79,-56},{116,-56},{116,-61}},
                color={0,0,255},
                visible=false));
            connect(TEG4B.pin_n1, electrical_connection_TEG.n1)
              annotation (Line(points={{73,-20},{112,-20},{150,-20}}, color={0,0,255}));
            connect(TEG1B.pin_p1, electrical_connection_TEG.p1) annotation (Line(points={{
                    -125,-20},{-130,-20},{-130,-32},{100,-32},{100,-40},{150,-40}}, color=
                   {0,0,255}));
            connect(energy_supply_single_cooling_unit_1_2.p, ground.p)
              annotation (Line(
                points={{-16,-61},{36,-61},{36,-78},{90,-78}},
                color={0,0,255},
                visible=false));
            connect(energy_supply_single_cooling_unit_3_4.p, ground.p)
              annotation (Line(points={{104,-61},{96,-61},{96,-78},{90,-78}},
                  color={0,0,255}));
          //*****************************************************************************/

              annotation (Diagram(coordinateSystem(extent={{-180,-100},{180,100}},
                    preserveAspectRatio=false), graphics={
                  Rectangle(
                    extent={{-100,4},{-60,-4}},
                    lineColor={0,0,0},
                    fillColor={175,175,175},
                    fillPattern=FillPattern.HorizontalCylinder),
                  Rectangle(
                    extent={{-40,4},{0,-4}},
                    lineColor={0,0,0},
                    fillColor={175,175,175},
                    fillPattern=FillPattern.HorizontalCylinder),
                  Rectangle(
                    extent={{20,4},{60,-4}},
                    lineColor={0,0,0},
                    fillColor={175,175,175},
                    fillPattern=FillPattern.HorizontalCylinder),
                  Rectangle(
                    extent={{80,4},{120,-4}},
                    lineColor={0,0,0},
                    fillColor={175,175,175},
                    fillPattern=FillPattern.HorizontalCylinder),
                  Rectangle(
                    extent={{-144,4},{-120,-4}},
                    lineColor={0,0,0},
                    fillColor={175,175,175},
                    fillPattern=FillPattern.HorizontalCylinder)}), Icon(coordinateSystem(
                    extent={{-180,-100},{180,100}})),
              experiment(StopTime=2100),
              __Dymola_experimentSetupOutput, Documentation(info="<html>
   <p>
**************************************************************************** <br>
  <b> Copyright (C) 2015-2017 Chair of Automation and Energy Systems, Saarland University </b> <br>
------------------------------------------------------------------------------------------------------------------ <br>
  This file is part of EHSTEG. <p>                    
  
  For more information see <a href=\"//EHSTEG.UsersGuide\">User's Guide</a> <p>
  
**************************************************************************** <p>
</html>
"));
          end LCS_50_50_Controlled;

          annotation (Documentation(info="<html>
   <p>
**************************************************************************** <br>
  <b> Copyright (C) 2015-2017 Chair of Automation and Energy Systems, Saarland University </b> <br>
------------------------------------------------------------------------------------------------------------------ <br>
  This file is part of EHSTEG. <p>                    
  
  For more information see <a href=\"//EHSTEG.UsersGuide\">User's Guide</a> <p>
  
**************************************************************************** <p>
</html>
"));
        end HeatingLoad_50_50;

        package HeatingLoad_20_80 "package for an heating load of 20/80"
          model HeatingBoiler_20_80
            "simple model of a heating boiler; filled with real data 'Viessmann Vitola-comferral VMO 15' for a 20/80 heating load"

            //Copyright (C) 2015-2017 Chair of Automation and Energy Systems, Saarland University (for more information see 'Documentation')

          //import***********************************************************************/
              import Modelica.SIunits.*;
          //*****************************************************************************/

          //parameter definition*********************************************************/
            parameter Pressure p_a_pump = 110000 "nominal pump inlet pressure"; // Pa
            parameter Pressure p_b_pump = 130000 "nominal pump outlet pressure"; // Pa
            parameter MassFlowRate m_flow_pump = 0.0815
              "nominal mass flow rate";                                           // kg/s
            parameter Length length_pipe = 0.5 "length of 'heating' pipe"; // m
            parameter Diameter diameter_pipe = 0.13
              "diameter of 'heating' pipe";                                       // m
            replaceable package Medium =
            Modelica.Media.IdealGases.MixtureGases.CombustionAir constrainedby
              Modelica.Media.Interfaces.PartialMedium
              "exhaust gas medium in boiler"                                          annotation (choicesAllMatching = true);
          //*****************************************************************************/

          //used components**************************************************************/
            Modelica.Fluid.Machines.ControlledPump pump(
              redeclare package Medium = Medium,
              N_nominal=1500,
              use_T_start=true,
              T_start=Modelica.SIunits.Conversions.from_degC(40),
              m_flow_start=0.01,
              control_m_flow=false,
              allowFlowReversal=false,
              p_a_nominal=p_a_pump,
              p_b_nominal=p_b_pump,
              m_flow_nominal=m_flow_pump,
              p_a_start=110000,
              p_b_start=130000)   annotation (Placement(transformation(extent={{-32,-40},{
                      -12,-20}},      rotation=0)));
            Modelica.Fluid.Pipes.DynamicPipe heater(
              redeclare package Medium = Medium,
              use_T_start=true,
              T_start=Modelica.SIunits.Conversions.from_degC(80),
              redeclare model HeatTransfer =
                  Modelica.Fluid.Pipes.BaseClasses.HeatTransfer.IdealFlowHeatTransfer,
              nNodes=1,
              redeclare model FlowModel =
                  Modelica.Fluid.Pipes.BaseClasses.FlowModels.DetailedPipeFlow,
              modelStructure=Modelica.Fluid.Types.ModelStructure.a_v_b,
              length=length_pipe,
              diameter=diameter_pipe,
              use_HeatTransfer=false,
              p_a_start=130000) annotation (Placement(transformation(extent={{44,-40},{64,
                      -20}},     rotation=0)));
            Modelica.Fluid.Interfaces.FluidPort_b port_b1(redeclare package
                Medium =
                  Modelica.Media.IdealGases.MixtureGases.CombustionAir)
              "Fluid connector b (positive design flow direction is from port_a to port_b)"
              annotation (Placement(transformation(extent={{70,-10},{90,10}}),
                  iconTransformation(extent={{70,-10},{90,10}})));
            Modelica.Fluid.Sources.Boundary_pT boundary(                nPorts=1,
              use_T_in=true,
              redeclare package Medium =
                  Modelica.Media.IdealGases.MixtureGases.CombustionAir)
              annotation (Placement(transformation(extent={{-72,-40},{-52,-20}})));
            Modelica.Blocks.Math.Add Celsius_to_Kelvin
              annotation (Placement(transformation(extent={{-40,40},{-20,60}})));
            Modelica.Blocks.Sources.Constant conversion_factor(k=273.15)
              annotation (Placement(transformation(extent={{-72,20},{-52,40}})));
            Modelica.Blocks.Tables.CombiTable1Ds real_heating_behavior(table=[0,51.6; 30,55.6;
                  60,93.1; 90,117; 120,130.9; 150,140.9; 180,147; 210,152; 240,156.8; 270,
                  159.5; 300,162.5; 330,150.9; 360,121; 390,101.2; 420,89; 450,80.5; 480,74.3;
                  510,70.4; 540,66.5; 570,64.5; 600,62.6; 630,61; 660,58.6; 690,57.1; 720,
                  55.2; 750,54.3; 780,53.4; 810,53; 840,51.9; 870,51.2; 900,51; 930,50.4;
                  960,49.4; 990,48.6; 1020,48.6; 1050,47.9; 1080,48.8; 1110,47.6; 1140,47.3;
                  1170,46.8; 1200,46.1])
              annotation (Placement(transformation(extent={{-72,60},{-52,80}})));
            Modelica.Blocks.Sources.Clock simulation_time
              annotation (Placement(transformation(extent={{-100,80},{-80,100}})));
            Modelica.Blocks.Sources.Constant shift_Temp(k=-17)
              "measure in the middle, estimate temperature at the beginning"
              annotation (Placement(transformation(extent={{-40,14},{-20,34}})));
            Modelica.Blocks.Math.Add add
              annotation (Placement(transformation(extent={{0,20},{20,40}})));
            Modelica.Fluid.Sensors.Temperature temperature(redeclare package
                Medium =
                  Modelica.Media.IdealGases.MixtureGases.CombustionAir)
              annotation (Placement(transformation(extent={{74,-48},{94,-28}})));
            extends Components.Cost.ConditionalCostPortDevice;
          //*****************************************************************************/

          //equations********************************************************************/
          equation

            //cost equations
            QHeat = 0;
            electPowerOut = 0;
            electPowerIn = 0;
            //end cost equations

            connect(pump.port_b,heater. port_a) annotation (Line(
                points={{-12,-30},{44,-30}},
                color={0,127,255},
                smooth=Smooth.None));
            connect(heater.port_b, port_b1) annotation (Line(
                points={{64,-30},{72,-30},{72,0},{80,0}},
                color={0,127,255},
                smooth=Smooth.None));
            connect(boundary.ports[1], pump.port_a) annotation (Line(
                points={{-52,-30},{-32,-30}},
                color={0,127,255},
                smooth=Smooth.None));
            connect(Celsius_to_Kelvin.u2, conversion_factor.y) annotation (Line(
                points={{-42,44},{-48,44},{-48,30},{-51,30}},
                color={0,0,127},
                smooth=Smooth.None));
            connect(real_heating_behavior.y[1], Celsius_to_Kelvin.u1) annotation (
                Line(
                points={{-51,70},{-48,70},{-48,56},{-42,56}},
                color={0,0,127},
                smooth=Smooth.None));
            connect(shift_Temp.y, add.u2) annotation (Line(
                points={{-19,24},{-2,24}},
                color={0,0,127},
                smooth=Smooth.None));
            connect(Celsius_to_Kelvin.y, add.u1) annotation (Line(
                points={{-19,50},{-12,50},{-12,36},{-2,36}},
                color={0,0,127},
                smooth=Smooth.None));
            connect(simulation_time.y, real_heating_behavior.u) annotation (Line(
                points={{-79,90},{-78,90},{-78,70},{-74,70}},
                color={0,0,127},
                smooth=Smooth.None));
            connect(add.y, boundary.T_in) annotation (Line(
                points={{21,30},{28,30},{28,0},{-90,0},{-90,-26},{-74,-26}},
                color={0,0,127},
                smooth=Smooth.None));
            connect(temperature.port, port_b1) annotation (Line(
                points={{84,-48},{72,-48},{72,0},{80,0}},
                color={0,127,255},
                smooth=Smooth.None));
          //*****************************************************************************/
          annotation (Documentation(info="<html>
   <p>
**************************************************************************** <br>
  <b> Copyright (C) 2015-2017 Chair of Automation and Energy Systems, Saarland University </b> <br>
------------------------------------------------------------------------------------------------------------------ <br>
  This file is part of EHSTEG. <p>                    
  
  For more information see <a href=\"//EHSTEG.UsersGuide\">User's Guide</a> <p>
  
**************************************************************************** <p>
</html>
"),                     Icon(coordinateSystem(preserveAspectRatio=false, extent={{-100,-100},
                      {100,100}}), graphics={
                  Rectangle(
                    extent={{-80,70},{80,-72}},
                    lineColor={0,0,0},
                    fillColor={255,128,0},
                    fillPattern=FillPattern.Solid),
                  Rectangle(
                    extent={{-70,-72},{70,-90}},
                    lineColor={0,0,0},
                    fillColor={255,170,85},
                    fillPattern=FillPattern.Solid),
                  Rectangle(
                    extent={{-60,-90},{-40,-100}},
                    lineColor={0,0,0},
                    fillColor={0,0,0},
                    fillPattern=FillPattern.Solid),
                  Rectangle(
                    extent={{40,-90},{60,-100}},
                    lineColor={0,0,0},
                    fillColor={0,0,0},
                    fillPattern=FillPattern.Solid),
                  Rectangle(
                    extent={{-80,70},{-20,90}},
                    lineColor={0,0,0},
                    fillPattern=FillPattern.Solid,
                    fillColor={0,0,255}),
                  Rectangle(
                    extent={{-62,40},{38,-60}},
                    lineColor={0,0,0},
                    fillColor={255,255,255},
                    fillPattern=FillPattern.Solid,
                    lineThickness=0.5),
                  Polygon(
                    points={{-62,-60},{-60,-32},{-56,-38},{-54,-2},{-44,-20},{-36,12},{-30,
                        -18},{-14,16},{-6,0},{4,18},{10,-20},{24,-2},{26,-32},{36,-24},{38,
                        -60},{-62,-60}},
                    lineColor={255,0,0},
                    lineThickness=0.5,
                    smooth=Smooth.None,
                    fillColor={255,0,0},
                    fillPattern=FillPattern.Solid),
                  Polygon(
                    points={{-56,-56},{-58,-40},{-52,-44},{-52,-18},{-40,-32},{-36,-8},{-30,
                        -28},{-16,4},{-4,-12},{2,6},{10,-30},{20,-14},{24,-38},{32,-34},{36,
                        -56},{-56,-56}},
                    lineColor={255,128,0},
                    lineThickness=0.5,
                    smooth=Smooth.None,
                    fillColor={255,128,0},
                    fillPattern=FillPattern.Solid),
                  Polygon(
                    points={{-48,-54},{-48,-30},{-38,-38},{-34,-24},{-28,-36},{-14,-8},{-4,
                        -28},{2,-16},{10,-38},{18,-26},{22,-44},{30,-40},{32,-54},{-48,-54}},
                    lineColor={255,255,0},
                    lineThickness=0.5,
                    smooth=Smooth.None,
                    fillColor={255,255,0},
                    fillPattern=FillPattern.Solid),
                  Line(
                    points={{-60,6},{-38,36}},
                    color={0,0,0},
                    smooth=Smooth.None),
                  Line(
                    points={{-58,-16},{-22,34}},
                    color={0,0,0},
                    smooth=Smooth.None),
                  Line(
                    points={{-54,-40},{-4,34}},
                    color={0,0,0},
                    smooth=Smooth.None),
                  Line(
                    points={{-40,-50},{14,30}},
                    color={0,0,0},
                    smooth=Smooth.None),
                  Line(
                    points={{-22,-50},{28,28}},
                    color={0,0,0},
                    smooth=Smooth.None),
                  Line(
                    points={{-4,-50},{32,0}},
                    color={0,0,0},
                    smooth=Smooth.None),
                  Line(
                    points={{14,-50},{36,-18}},
                    color={0,0,0},
                    smooth=Smooth.None)}), Diagram(coordinateSystem(preserveAspectRatio=false,
                    extent={{-100,-100},{100,100}}), graphics));
          end HeatingBoiler_20_80;

            //Copyright (C) 2015-2017 Chair of Automation and Energy Systems, Saarland University (for more information see 'Documentation')


          model ACS_20_80_Uncontrolled
            "uncontrolled air cooled system for 20/80 heating load"

            //Copyright (C) 2015-2017 Chair of Automation and Energy Systems, Saarland University (for more information see 'Documentation')

          //parameter definition*********************************************************/
              parameter Real valve_start_time = 10; // s
              replaceable package Medium =
                Modelica.Media.IdealGases.MixtureGases.CombustionAir
               constrainedby Modelica.Media.Interfaces.PartialMedium;
          //*****************************************************************************/

          //variable definition**********************************************************/
              Modelica.SIunits.Resistance R1 = TEG1A.tEG_Module.inner_TEG.R
              "resistance of TEG1";                                                               // Ohm
              Modelica.SIunits.Resistance R2 = TEG1B.tEG_Module.inner_TEG.R
              "resistance of TEG2";                                                               // Ohm
              Modelica.SIunits.Resistance R3 = TEG2A.tEG_Module.inner_TEG.R
              "resistance of TEG3";                                                               // Ohm
              Modelica.SIunits.Resistance R4 = TEG2B.tEG_Module.inner_TEG.R
              "resistance of TEG4";                                                               // Ohm
              Modelica.SIunits.Resistance R5 = TEG3A.tEG_Module.inner_TEG.R
              "resistance of TEG5";                                                               // Ohm
              Modelica.SIunits.Resistance R6 = TEG3B.tEG_Module.inner_TEG.R
              "resistance of TEG6";                                                               // Ohm
              Modelica.SIunits.Resistance R7 = TEG4A.tEG_Module.inner_TEG.R
              "resistance of TEG7";                                                               // Ohm
              Modelica.SIunits.Resistance R8 = TEG4B.tEG_Module.inner_TEG.R
              "resistance of TEG8";                                                               // Ohm

              Modelica.SIunits.Resistance  R_calc
              "inner resistance of TEG-based EHS";                                     // Ohm
              Modelica.SIunits.Power P_ges "gained electrical power"; // W
          //*****************************************************************************/

          //used components**************************************************************/
            HeatingBoiler_20_80                 heating_boiler
              annotation (Placement(transformation(extent={{-180,-20},{-140,20}})));
            Components.HeatTransfer.PipeSection pipe_TEG_1
              annotation (Placement(transformation(extent={{-120,-10},{-100,10}})));
            Components.HeatTransfer.PipeSection pipe_TEG_2
              annotation (Placement(transformation(extent={{-60,-10},{-40,10}})));
            Components.HeatTransfer.PipeSection pipe_TEG_3
              annotation (Placement(transformation(extent={{0,-10},{20,10}})));
            Components.HeatTransfer.PipeSection pipe_TEG_4
              annotation (Placement(transformation(extent={{60,-10},{80,10}})));
            Components.Miscellaneous.Chimney chimney
              annotation (Placement(transformation(extent={{104,-4},{144,36}})));
            Components.ThermoelectricDevice.Thermalforce.TEG_199_200_5 TEG1A
              annotation (Placement(transformation(extent={{-106,10},{-126,30}})));
            Components.ThermoelectricDevice.Thermalforce.TEG_199_200_5 TEG1B
              annotation (Placement(transformation(extent={{-106,-10},{-126,-30}})));
            Components.ThermoelectricDevice.Thermalforce.TEG_199_200_5 TEG2A
              annotation (Placement(transformation(extent={{-46,10},{-66,30}})));
            Components.ThermoelectricDevice.Thermalforce.TEG_199_200_5 TEG2B
              annotation (Placement(transformation(extent={{-46,-10},{-66,-30}})));
            Components.ThermoelectricDevice.Thermalforce.TEG_199_200_5 TEG3A
              annotation (Placement(transformation(extent={{14,10},{-6,30}})));
            Components.ThermoelectricDevice.Thermalforce.TEG_199_200_5 TEG3B
              annotation (Placement(transformation(extent={{14,-10},{-6,-30}})));
            Components.ThermoelectricDevice.Thermalforce.TEG_199_200_5 TEG4A
              annotation (Placement(transformation(extent={{74,10},{54,30}})));
            Components.ThermoelectricDevice.Thermalforce.TEG_199_200_5 TEG4B
              annotation (Placement(transformation(extent={{74,-10},{54,-30}})));
            inner Modelica.Fluid.System system(
                m_flow_small=1e-4, energyDynamics=Modelica.Fluid.Types.Dynamics.SteadyStateInitial)
                                  annotation (Placement(transformation(extent={{-170,70},{
                      -150,90}},  rotation=0)));
            Modelica.Thermal.HeatTransfer.Sources.FixedTemperature ambientTemperature(
                T=system.T_ambient)
              annotation (Placement(transformation(extent={{-140,70},{-120,90}})));
            Components.Electrics.IdealCommutingSwitch switch_TEG_2
              annotation (Placement(transformation(extent={{-94,10},{-74,30}})));
            Components.Electrics.IdealCommutingSwitch switch_TEG_3
              annotation (Placement(transformation(extent={{-34,10},{-14,30}})));
            Components.Electrics.IdealCommutingSwitch switch_TEG_4
              annotation (Placement(transformation(extent={{26,10},{46,30}})));
            Components.Electrics.IdealMPPT electrical_connection_TEG annotation (
                Placement(transformation(
                  extent={{-10,-10},{10,10}},
                  rotation=90,
                  origin={150,-30})));
            Components.CoolingElement.Active.ForcedAir.CPUCooler cooling_element1
              annotation (Placement(transformation(extent={{-126,30},{-106,50}})));
            Components.CoolingElement.Active.ForcedAir.CPUCooler cooling_element2
              annotation (Placement(transformation(extent={{-66,30},{-46,50}})));
            Components.CoolingElement.Active.ForcedAir.CPUCooler cooling_element3
              annotation (Placement(transformation(extent={{-6,30},{14,50}})));
            Components.CoolingElement.Active.ForcedAir.CPUCooler cooling_element4
              annotation (Placement(transformation(extent={{54,30},{74,50}})));
            Components.CoolingElement.Active.ForcedAir.CPUCooler cooling_element5
              annotation (Placement(transformation(extent={{-126,-30},{-106,-50}})));
            Components.CoolingElement.Active.ForcedAir.CPUCooler cooling_element6
              annotation (Placement(transformation(extent={{-66,-30},{-46,-50}})));
            Components.CoolingElement.Active.ForcedAir.CPUCooler cooling_element7
              annotation (Placement(transformation(extent={{-6,-30},{14,-50}})));
            Components.CoolingElement.Active.ForcedAir.CPUCooler cooling_element8
              annotation (Placement(transformation(extent={{54,-30},{74,-50}})));
            Modelica.Blocks.Sources.Constant DutyCycle(k=100)
              annotation (Placement(transformation(extent={{-180,40},{-160,60}})));
          //*****************************************************************************/

          //equations********************************************************************/
          equation

            P_ges = electrical_connection_TEG.electrical_Power - cooling_element1.energy_consumption - cooling_element2.energy_consumption - cooling_element3.energy_consumption - cooling_element4.energy_consumption - cooling_element5.energy_consumption -cooling_element6.energy_consumption -cooling_element7.energy_consumption -cooling_element8.energy_consumption;

            //****************************************************************************
            // ideal MPPT
            //****************************************************************************
             if switch_TEG_4.booleanStep.y == true then
               R_calc = (R1*R2)/(R1+R2) + (R3*R4)/(R3+R4) + (R5*R6)/(R5+R6) + (R7*R8)/(R7+R8);
             else
               if switch_TEG_3.booleanStep.y == true then
                 R_calc = (R1*R2)/(R1+R2) + (R3*R4)/(R3+R4) + (R5*R6)/(R5+R6);
               else
                 if switch_TEG_2.booleanStep.y == true then
                   R_calc = (R1*R2)/(R1+R2) + (R3*R4)/(R3+R4);
                 else
                   R_calc = (R1*R2)/(R1+R2);
                 end if;
               end if;
             end if;

            electrical_connection_TEG.R = R_calc;
            //****************************************************************************

            connect(pipe_TEG_1.heatPorts1[1], TEG1A.port_a1) annotation (Line(
                points={{-116,5},{-116,15}},
                color={127,0,0},
                smooth=Smooth.None));
            connect(pipe_TEG_1.heatPorts2[1], TEG1B.port_a1) annotation (Line(
                points={{-116,-5},{-116,-15}},
                color={127,0,0},
                smooth=Smooth.None));
            connect(pipe_TEG_2.heatPorts1[1], TEG2A.port_a1) annotation (Line(
                points={{-56,5},{-56,15}},
                color={127,0,0},
                smooth=Smooth.None));
            connect(pipe_TEG_2.heatPorts2[1], TEG2B.port_a1) annotation (Line(
                points={{-56,-5},{-56,-15}},
                color={127,0,0},
                smooth=Smooth.None));
            connect(pipe_TEG_3.heatPorts1[1], TEG3A.port_a1) annotation (Line(
                points={{4,5},{4,15}},
                color={127,0,0},
                smooth=Smooth.None));
            connect(pipe_TEG_3.heatPorts2[1], TEG3B.port_a1) annotation (Line(
                points={{4,-5},{4,-15}},
                color={127,0,0},
                smooth=Smooth.None));
            connect(pipe_TEG_4.heatPorts1[1], TEG4A.port_a1) annotation (Line(
                points={{64,5},{64,15}},
                color={127,0,0},
                smooth=Smooth.None));
            connect(pipe_TEG_4.heatPorts2[1], TEG4B.port_a1) annotation (Line(
                points={{64,-5},{64,-15}},
                color={127,0,0},
                smooth=Smooth.None));

            connect(TEG1A.pin_n1, switch_TEG_2.p1) annotation (Line(
                points={{-107,20},{-93,20}},
                color={0,0,255},
                smooth=Smooth.None));
            connect(TEG2A.pin_p1, switch_TEG_2.n2) annotation (Line(
                points={{-65,20},{-75,20}},
                color={0,0,255},
                smooth=Smooth.None));
            connect(TEG2A.pin_n1, switch_TEG_3.p1) annotation (Line(
                points={{-47,20},{-33,20}},
                color={0,0,255},
                smooth=Smooth.None));
            connect(TEG3A.pin_p1, switch_TEG_3.n2) annotation (Line(
                points={{-5,20},{-15,20}},
                color={0,0,255},
                smooth=Smooth.None));
            connect(TEG3A.pin_n1, switch_TEG_4.p1) annotation (Line(
                points={{13,20},{27,20}},
                color={0,0,255},
                smooth=Smooth.None));
            connect(TEG4A.pin_p1, switch_TEG_4.n2) annotation (Line(
                points={{55,20},{45,20}},
                color={0,0,255},
                smooth=Smooth.None));
            connect(TEG1B.pin_n1, switch_TEG_2.p1) annotation (Line(
                points={{-107,-20},{-98,-20},{-98,20},{-93,20}},
                color={0,0,255},
                smooth=Smooth.None));
            connect(TEG2B.pin_n1, switch_TEG_3.p1) annotation (Line(
                points={{-47,-20},{-38,-20},{-38,20},{-33,20}},
                color={0,0,255},
                smooth=Smooth.None));
            connect(TEG3B.pin_n1, switch_TEG_4.p1) annotation (Line(
                points={{13,-20},{22,-20},{22,20},{27,20}},
                color={0,0,255},
                smooth=Smooth.None));
            connect(TEG4B.pin_n1, TEG4A.pin_n1) annotation (Line(
                points={{73,-20},{82,-20},{82,20},{73,20}},
                color={0,0,255},
                smooth=Smooth.None));
            connect(TEG1B.pin_p1, TEG1A.pin_p1) annotation (Line(
                points={{-125,-20},{-130,-20},{-130,20},{-125,20}},
                color={0,0,255},
                smooth=Smooth.None));
            connect(TEG2B.pin_p1, switch_TEG_2.n2) annotation (Line(
                points={{-65,-20},{-70,-20},{-70,20},{-75,20}},
                color={0,0,255},
                smooth=Smooth.None));
            connect(TEG3B.pin_p1, switch_TEG_3.n2) annotation (Line(
                points={{-5,-20},{-10,-20},{-10,20},{-15,20}},
                color={0,0,255},
                smooth=Smooth.None));
            connect(TEG4B.pin_p1, switch_TEG_4.n2) annotation (Line(
                points={{55,-20},{50,-20},{50,20},{45,20}},
                color={0,0,255},
                smooth=Smooth.None));
            connect(switch_TEG_2.n1, TEG4A.pin_n1) annotation (Line(
                points={{-75,25},{-75,30},{82,30},{82,20},{73,20}},
                color={0,0,255},
                smooth=Smooth.None));
            connect(switch_TEG_3.n1, TEG4A.pin_n1) annotation (Line(
                points={{-15,25},{-15,30},{82,30},{82,20},{73,20}},
                color={0,0,255},
                smooth=Smooth.None));
            connect(switch_TEG_4.n1, TEG4A.pin_n1) annotation (Line(
                points={{45,25},{45,30},{82,30},{82,20},{73,20}},
                color={0,0,255},
                smooth=Smooth.None));
            connect(TEG2A.port_b1, cooling_element2.port1) annotation (Line(
                points={{-56,25},{-56,31}},
                color={191,0,0},
                smooth=Smooth.None));
            connect(TEG3A.port_b1, cooling_element3.port1) annotation (Line(
                points={{4,25},{4,31}},
                color={191,0,0},
                smooth=Smooth.None));
            connect(TEG4A.port_b1, cooling_element4.port1) annotation (Line(
                points={{64,25},{64,31}},
                color={191,0,0},
                smooth=Smooth.None));
            connect(TEG1B.port_b1, cooling_element5.port1) annotation (Line(
                points={{-116,-25},{-116,-31}},
                color={191,0,0},
                smooth=Smooth.None));
            connect(TEG2B.port_b1, cooling_element6.port1) annotation (Line(
                points={{-56,-25},{-56,-31}},
                color={191,0,0},
                smooth=Smooth.None));
            connect(TEG3B.port_b1, cooling_element7.port1) annotation (Line(
                points={{4,-25},{4,-31}},
                color={191,0,0},
                smooth=Smooth.None));
            connect(TEG4B.port_b1, cooling_element8.port1) annotation (Line(
                points={{64,-25},{64,-31}},
                color={191,0,0},
                smooth=Smooth.None));
            connect(DutyCycle.y, cooling_element1.DutyCycle) annotation (Line(
                points={{-159,50},{-140,50},{-140,44},{-125.8,44}},
                color={0,0,127},
                smooth=Smooth.None,
                visible=false));
            connect(DutyCycle.y, cooling_element2.DutyCycle) annotation (Line(
                points={{-159,50},{-72,50},{-72,44},{-65.8,44}},
                color={0,0,127},
                smooth=Smooth.None,
                visible=false));
            connect(DutyCycle.y, cooling_element3.DutyCycle) annotation (Line(
                points={{-159,50},{-12,50},{-12,44},{-5.8,44}},
                color={0,0,127},
                smooth=Smooth.None,
                visible=false));
            connect(DutyCycle.y, cooling_element4.DutyCycle) annotation (Line(
                points={{-159,50},{44,50},{44,44},{54.2,44}},
                color={0,0,127},
                smooth=Smooth.None,
                visible=false));
            connect(DutyCycle.y, cooling_element5.DutyCycle) annotation (Line(
                points={{-159,50},{-138,50},{-138,-44},{-125.8,-44}},
                color={0,0,127},
                smooth=Smooth.None,
                visible=false));
            connect(DutyCycle.y, cooling_element6.DutyCycle) annotation (Line(
                points={{-159,50},{-138,50},{-138,-58},{-82,-58},{-82,-44},{-65.8,-44}},
                color={0,0,127},
                smooth=Smooth.None,
                visible=false));
            connect(DutyCycle.y, cooling_element7.DutyCycle) annotation (Line(
                points={{-159,50},{-138,50},{-138,-58},{-18,-58},{-18,-44},{-5.8,-44}},
                color={0,0,127},
                smooth=Smooth.None,
                visible=false));
            connect(DutyCycle.y, cooling_element8.DutyCycle) annotation (Line(
                points={{-159,50},{-138,50},{-138,-58},{42,-58},{42,-44},{54.2,-44}},
                color={0,0,127},
                smooth=Smooth.None,
                visible=false));
            connect(cooling_element1.port1, TEG1A.port_b1) annotation (Line(
                points={{-116,31},{-116,25}},
                color={191,0,0},
                smooth=Smooth.None));
            connect(heating_boiler.port_b1, pipe_TEG_1.port_a) annotation (Line(
                points={{-144,0},{-132,0},{-120,0}},
                color={0,127,255},
                visible=false));
            connect(pipe_TEG_1.port_b, pipe_TEG_2.port_a) annotation (Line(
                points={{-100,0},{-80,0},{-60,0}},
                color={0,127,255},
                visible=false));
            connect(pipe_TEG_2.port_b, pipe_TEG_3.port_a) annotation (Line(
                points={{-40,0},{-20,0},{0,0}},
                color={0,127,255},
                visible=false));
            connect(pipe_TEG_3.port_b, pipe_TEG_4.port_a) annotation (Line(
                points={{20,0},{40,0},{60,0}},
                color={0,127,255},
                visible=false));
            connect(pipe_TEG_4.port_b, chimney.port_a1) annotation (Line(
                points={{80,0},{120,0}},
                color={0,127,255},
                visible=false));
            connect(ambientTemperature.port, pipe_TEG_1.fluid) annotation (Line(
                points={{-120,80},{-104,80},{-104,5}},
                color={191,0,0},
                visible=false));
            connect(pipe_TEG_2.fluid, pipe_TEG_1.fluid) annotation (Line(
                points={{-44,5},{-44,80},{-104,80},{-104,5}},
                color={191,0,0},
                visible=false));
            connect(pipe_TEG_3.fluid, pipe_TEG_1.fluid) annotation (Line(
                points={{16,5},{16,80},{-104,80},{-104,5}},
                color={191,0,0},
                visible=false));
            connect(pipe_TEG_4.fluid, pipe_TEG_1.fluid) annotation (Line(
                points={{76,5},{76,80},{-104,80},{-104,5}},
                color={191,0,0},
                visible=false));
            connect(TEG4B.pin_n1, electrical_connection_TEG.n1) annotation (Line(points={{
                    73,-20},{111.5,-20},{150,-20}}, color={0,0,255}));
            connect(TEG1B.pin_p1, electrical_connection_TEG.p1) annotation (Line(points={{
                    -125,-20},{-130,-20},{-130,-28},{100,-28},{100,-40},{150,-40}}, color=
                   {0,0,255}));
          //*****************************************************************************/

             annotation (Diagram(coordinateSystem(extent={{-180,-100},{180,100}},
                    preserveAspectRatio=false), graphics={
                  Rectangle(
                    extent={{-100,4},{-60,-4}},
                    lineColor={0,0,0},
                    fillColor={175,175,175},
                    fillPattern=FillPattern.HorizontalCylinder),
                  Rectangle(
                    extent={{-40,4},{0,-4}},
                    lineColor={0,0,0},
                    fillColor={175,175,175},
                    fillPattern=FillPattern.HorizontalCylinder),
                  Rectangle(
                    extent={{20,4},{60,-4}},
                    lineColor={0,0,0},
                    fillColor={175,175,175},
                    fillPattern=FillPattern.HorizontalCylinder),
                  Rectangle(
                    extent={{80,4},{120,-4}},
                    lineColor={0,0,0},
                    fillColor={175,175,175},
                    fillPattern=FillPattern.HorizontalCylinder),
                  Rectangle(
                    extent={{-144,4},{-120,-4}},
                    lineColor={0,0,0},
                    fillColor={175,175,175},
                    fillPattern=FillPattern.HorizontalCylinder)}), Icon(coordinateSystem(
                    extent={{-180,-100},{180,100}})),
              experiment(StopTime=2100),
              __Dymola_experimentSetupOutput, Documentation(info="<html>
   <p>
**************************************************************************** <br>
  <b> Copyright (C) 2015-2017 Chair of Automation and Energy Systems, Saarland University </b> <br>
------------------------------------------------------------------------------------------------------------------ <br>
  This file is part of EHSTEG. <p>                    
  
  For more information see <a href=\"//EHSTEG.UsersGuide\">User's Guide</a> <p>
  
**************************************************************************** <p>
</html>
"));
          end ACS_20_80_Uncontrolled;

          model ACS_20_80_Controlled
            "controlled air cooled system for 20/80 heating load"

            //Copyright (C) 2015-2017 Chair of Automation and Energy Systems, Saarland University (for more information see 'Documentation')

          //parameter definition*********************************************************/
              parameter Real valve_start_time = 10; // s
              replaceable package Medium =
                Modelica.Media.IdealGases.MixtureGases.CombustionAir
               constrainedby Modelica.Media.Interfaces.PartialMedium;
          //*****************************************************************************/

          //variable definition**********************************************************/
              Modelica.SIunits.Resistance R1 = TEG1A.tEG_Module.inner_TEG.R
              "resistance of TEG1";                                                               // Ohm
              Modelica.SIunits.Resistance R2 = TEG1B.tEG_Module.inner_TEG.R
              "resistance of TEG2";                                                               // Ohm
              Modelica.SIunits.Resistance R3 = TEG2A.tEG_Module.inner_TEG.R
              "resistance of TEG3";                                                               // Ohm
              Modelica.SIunits.Resistance R4 = TEG2B.tEG_Module.inner_TEG.R
              "resistance of TEG4";                                                               // Ohm
              Modelica.SIunits.Resistance R5 = TEG3A.tEG_Module.inner_TEG.R
              "resistance of TEG5";                                                               // Ohm
              Modelica.SIunits.Resistance R6 = TEG3B.tEG_Module.inner_TEG.R
              "resistance of TEG6";                                                               // Ohm
              Modelica.SIunits.Resistance R7 = TEG4A.tEG_Module.inner_TEG.R
              "resistance of TEG7";                                                               // Ohm
              Modelica.SIunits.Resistance R8 = TEG4B.tEG_Module.inner_TEG.R
              "resistance of TEG8";                                                               // Ohm

              Modelica.SIunits.Resistance  R_calc
              "inner resistance of TEG-based EHS";                                     // Ohm
              Modelica.SIunits.Power P_ges "gained electrical power"; // W
              Modelica.SIunits.Power P
              "gained electrical power with control laws";                          // W
              Modelica.SIunits.Energy E
              "gained electrical energy with control laws";                           // J
          //*****************************************************************************/

          //used components**************************************************************/
            HeatingBoiler_20_80                 heating_boiler
              annotation (Placement(transformation(extent={{-180,-20},{-140,20}})));
            Components.HeatTransfer.PipeSection pipe_TEG_1
              annotation (Placement(transformation(extent={{-120,-10},{-100,10}})));
            Components.HeatTransfer.PipeSection pipe_TEG_2
              annotation (Placement(transformation(extent={{-60,-10},{-40,10}})));
            Components.HeatTransfer.PipeSection pipe_TEG_3
              annotation (Placement(transformation(extent={{0,-10},{20,10}})));
            Components.HeatTransfer.PipeSection pipe_TEG_4
              annotation (Placement(transformation(extent={{60,-10},{80,10}})));
            Components.Miscellaneous.Chimney chimney
              annotation (Placement(transformation(extent={{104,-4},{144,36}})));
            Components.ThermoelectricDevice.Thermalforce.TEG_199_200_5 TEG1A
              annotation (Placement(transformation(extent={{-106,10},{-126,30}})));
            Components.ThermoelectricDevice.Thermalforce.TEG_199_200_5 TEG1B
              annotation (Placement(transformation(extent={{-106,-10},{-126,-30}})));
            Components.ThermoelectricDevice.Thermalforce.TEG_199_200_5 TEG2A
              annotation (Placement(transformation(extent={{-46,10},{-66,30}})));
            Components.ThermoelectricDevice.Thermalforce.TEG_199_200_5 TEG2B
              annotation (Placement(transformation(extent={{-46,-10},{-66,-30}})));
            Components.ThermoelectricDevice.Thermalforce.TEG_199_200_5 TEG3A
              annotation (Placement(transformation(extent={{14,10},{-6,30}})));
            Components.ThermoelectricDevice.Thermalforce.TEG_199_200_5 TEG3B
              annotation (Placement(transformation(extent={{14,-10},{-6,-30}})));
            Components.ThermoelectricDevice.Thermalforce.TEG_199_200_5 TEG4A
              annotation (Placement(transformation(extent={{74,10},{54,30}})));
            Components.ThermoelectricDevice.Thermalforce.TEG_199_200_5 TEG4B
              annotation (Placement(transformation(extent={{74,-10},{54,-30}})));
            inner Modelica.Fluid.System system(
                m_flow_small=1e-4, energyDynamics=Modelica.Fluid.Types.Dynamics.SteadyStateInitial)
                                  annotation (Placement(transformation(extent={{-170,70},{
                      -150,90}},  rotation=0)));
            Modelica.Thermal.HeatTransfer.Sources.FixedTemperature ambientTemperature(
                T=system.T_ambient)
              annotation (Placement(transformation(extent={{-140,70},{-120,90}})));
            Components.Electrics.IdealCommutingSwitch switch_TEG_2
              annotation (Placement(transformation(extent={{-94,10},{-74,30}})));
            Components.Electrics.IdealCommutingSwitch switch_TEG_3
              annotation (Placement(transformation(extent={{-34,10},{-14,30}})));
            Components.Electrics.IdealCommutingSwitch switch_TEG_4
              annotation (Placement(transformation(extent={{26,10},{46,30}})));
            Components.Electrics.IdealMPPT electrical_connection_TEG annotation (
                Placement(transformation(
                  extent={{-10,-10},{10,10}},
                  rotation=90,
                  origin={150,-30})));
            Components.Controlling.CPUCoolerControlled           cooling_element1
              annotation (Placement(transformation(extent={{-126,30},{-106,50}})));
            Components.Controlling.CPUCoolerControlled           cooling_element2
              annotation (Placement(transformation(extent={{-66,30},{-46,50}})));
            Components.Controlling.CPUCoolerControlled           cooling_element3
              annotation (Placement(transformation(extent={{-6,30},{14,50}})));
            Components.Controlling.CPUCoolerControlled           cooling_element4
              annotation (Placement(transformation(extent={{54,30},{74,50}})));
            Components.Controlling.CPUCoolerControlled           cooling_element5
              annotation (Placement(transformation(extent={{-126,-30},{-106,-50}})));
            Components.Controlling.CPUCoolerControlled           cooling_element6
              annotation (Placement(transformation(extent={{-66,-30},{-46,-50}})));
            Components.Controlling.CPUCoolerControlled           cooling_element7
              annotation (Placement(transformation(extent={{-6,-30},{14,-50}})));
            Components.Controlling.CPUCoolerControlled           cooling_element8
              annotation (Placement(transformation(extent={{54,-30},{74,-50}})));
          //*****************************************************************************/

          //equations********************************************************************/
          equation

            P_ges = electrical_connection_TEG.electrical_Power - cooling_element1.energy_consumption - cooling_element2.energy_consumption - cooling_element3.energy_consumption - cooling_element4.energy_consumption - cooling_element5.energy_consumption -cooling_element6.energy_consumption -cooling_element7.energy_consumption -cooling_element8.energy_consumption;

            cooling_element1.T_hot_TEG = TEG1A.tEG_Module.port_a.T;
            cooling_element2.T_hot_TEG = TEG2A.tEG_Module.port_a.T;
            cooling_element3.T_hot_TEG = TEG3A.tEG_Module.port_a.T;
            cooling_element4.T_hot_TEG = TEG4A.tEG_Module.port_a.T;
            cooling_element5.T_hot_TEG = TEG1B.tEG_Module.port_a.T;
            cooling_element6.T_hot_TEG = TEG2B.tEG_Module.port_a.T;
            cooling_element7.T_hot_TEG = TEG3B.tEG_Module.port_a.T;
            cooling_element8.T_hot_TEG = TEG4B.tEG_Module.port_a.T;

            P = der(E);

            if P_ges < 0 then
              P = 0;
            else
              P = P_ges;
            end if;

            //****************************************************************************
            // ideal MPPT
            //****************************************************************************
             if switch_TEG_4.booleanStep.y == true then
               R_calc = (R1*R2)/(R1+R2) + (R3*R4)/(R3+R4) + (R5*R6)/(R5+R6) + (R7*R8)/(R7+R8);
             else
               if switch_TEG_3.booleanStep.y == true then
                 R_calc = (R1*R2)/(R1+R2) + (R3*R4)/(R3+R4) + (R5*R6)/(R5+R6);
               else
                 if switch_TEG_2.booleanStep.y == true then
                   R_calc = (R1*R2)/(R1+R2) + (R3*R4)/(R3+R4);
                 else
                   R_calc = (R1*R2)/(R1+R2);
                 end if;
               end if;
             end if;

            electrical_connection_TEG.R = R_calc;
            //****************************************************************************

            connect(pipe_TEG_1.heatPorts1[1], TEG1A.port_a1) annotation (Line(
                points={{-116,5},{-116,15}},
                color={127,0,0},
                smooth=Smooth.None));
            connect(pipe_TEG_1.heatPorts2[1], TEG1B.port_a1) annotation (Line(
                points={{-116,-5},{-116,-15}},
                color={127,0,0},
                smooth=Smooth.None));
            connect(pipe_TEG_2.heatPorts1[1], TEG2A.port_a1) annotation (Line(
                points={{-56,5},{-56,15}},
                color={127,0,0},
                smooth=Smooth.None));
            connect(pipe_TEG_2.heatPorts2[1], TEG2B.port_a1) annotation (Line(
                points={{-56,-5},{-56,-15}},
                color={127,0,0},
                smooth=Smooth.None));
            connect(pipe_TEG_3.heatPorts1[1], TEG3A.port_a1) annotation (Line(
                points={{4,5},{4,15}},
                color={127,0,0},
                smooth=Smooth.None));
            connect(pipe_TEG_3.heatPorts2[1], TEG3B.port_a1) annotation (Line(
                points={{4,-5},{4,-15}},
                color={127,0,0},
                smooth=Smooth.None));
            connect(pipe_TEG_4.heatPorts1[1], TEG4A.port_a1) annotation (Line(
                points={{64,5},{64,15}},
                color={127,0,0},
                smooth=Smooth.None));
            connect(pipe_TEG_4.heatPorts2[1], TEG4B.port_a1) annotation (Line(
                points={{64,-5},{64,-15}},
                color={127,0,0},
                smooth=Smooth.None));

            connect(TEG1A.pin_n1, switch_TEG_2.p1) annotation (Line(
                points={{-107,20},{-93,20}},
                color={0,0,255},
                smooth=Smooth.None));
            connect(TEG2A.pin_p1, switch_TEG_2.n2) annotation (Line(
                points={{-65,20},{-75,20}},
                color={0,0,255},
                smooth=Smooth.None));
            connect(TEG2A.pin_n1, switch_TEG_3.p1) annotation (Line(
                points={{-47,20},{-33,20}},
                color={0,0,255},
                smooth=Smooth.None));
            connect(TEG3A.pin_p1, switch_TEG_3.n2) annotation (Line(
                points={{-5,20},{-15,20}},
                color={0,0,255},
                smooth=Smooth.None));
            connect(TEG3A.pin_n1, switch_TEG_4.p1) annotation (Line(
                points={{13,20},{27,20}},
                color={0,0,255},
                smooth=Smooth.None));
            connect(TEG4A.pin_p1, switch_TEG_4.n2) annotation (Line(
                points={{55,20},{45,20}},
                color={0,0,255},
                smooth=Smooth.None));
            connect(TEG1B.pin_n1, switch_TEG_2.p1) annotation (Line(
                points={{-107,-20},{-98,-20},{-98,20},{-93,20}},
                color={0,0,255},
                smooth=Smooth.None));
            connect(TEG2B.pin_n1, switch_TEG_3.p1) annotation (Line(
                points={{-47,-20},{-38,-20},{-38,20},{-33,20}},
                color={0,0,255},
                smooth=Smooth.None));
            connect(TEG3B.pin_n1, switch_TEG_4.p1) annotation (Line(
                points={{13,-20},{22,-20},{22,20},{27,20}},
                color={0,0,255},
                smooth=Smooth.None));
            connect(TEG4B.pin_n1, TEG4A.pin_n1) annotation (Line(
                points={{73,-20},{82,-20},{82,20},{73,20}},
                color={0,0,255},
                smooth=Smooth.None));
            connect(TEG1B.pin_p1, TEG1A.pin_p1) annotation (Line(
                points={{-125,-20},{-130,-20},{-130,20},{-125,20}},
                color={0,0,255},
                smooth=Smooth.None));
            connect(TEG2B.pin_p1, switch_TEG_2.n2) annotation (Line(
                points={{-65,-20},{-70,-20},{-70,20},{-75,20}},
                color={0,0,255},
                smooth=Smooth.None));
            connect(TEG3B.pin_p1, switch_TEG_3.n2) annotation (Line(
                points={{-5,-20},{-10,-20},{-10,20},{-15,20}},
                color={0,0,255},
                smooth=Smooth.None));
            connect(TEG4B.pin_p1, switch_TEG_4.n2) annotation (Line(
                points={{55,-20},{50,-20},{50,20},{45,20}},
                color={0,0,255},
                smooth=Smooth.None));
            connect(switch_TEG_2.n1, TEG4A.pin_n1) annotation (Line(
                points={{-75,25},{-75,30},{82,30},{82,20},{73,20}},
                color={0,0,255},
                smooth=Smooth.None));
            connect(switch_TEG_3.n1, TEG4A.pin_n1) annotation (Line(
                points={{-15,25},{-15,30},{82,30},{82,20},{73,20}},
                color={0,0,255},
                smooth=Smooth.None));
            connect(switch_TEG_4.n1, TEG4A.pin_n1) annotation (Line(
                points={{45,25},{45,30},{82,30},{82,20},{73,20}},
                color={0,0,255},
                smooth=Smooth.None));
            connect(TEG2A.port_b1, cooling_element2.port1) annotation (Line(
                points={{-56,25},{-56,31}},
                color={191,0,0},
                smooth=Smooth.None));
            connect(TEG3A.port_b1, cooling_element3.port1) annotation (Line(
                points={{4,25},{4,31}},
                color={191,0,0},
                smooth=Smooth.None));
            connect(TEG4A.port_b1, cooling_element4.port1) annotation (Line(
                points={{64,25},{64,31}},
                color={191,0,0},
                smooth=Smooth.None));
            connect(TEG1B.port_b1, cooling_element5.port1) annotation (Line(
                points={{-116,-25},{-116,-31}},
                color={191,0,0},
                smooth=Smooth.None));
            connect(TEG2B.port_b1, cooling_element6.port1) annotation (Line(
                points={{-56,-25},{-56,-31}},
                color={191,0,0},
                smooth=Smooth.None));
            connect(TEG3B.port_b1, cooling_element7.port1) annotation (Line(
                points={{4,-25},{4,-31}},
                color={191,0,0},
                smooth=Smooth.None));
            connect(TEG4B.port_b1, cooling_element8.port1) annotation (Line(
                points={{64,-25},{64,-31}},
                color={191,0,0},
                smooth=Smooth.None));
            connect(cooling_element1.port1, TEG1A.port_b1) annotation (Line(
                points={{-116,31},{-116,25}},
                color={191,0,0},
                smooth=Smooth.None));
            connect(heating_boiler.port_b1, pipe_TEG_1.port_a) annotation (Line(
                points={{-144,0},{-132,0},{-120,0}},
                color={0,127,255},
                visible=false));
            connect(pipe_TEG_1.port_b, pipe_TEG_2.port_a) annotation (Line(
                points={{-100,0},{-80,0},{-60,0}},
                color={0,127,255},
                visible=false));
            connect(pipe_TEG_2.port_b, pipe_TEG_3.port_a) annotation (Line(
                points={{-40,0},{-20,0},{0,0}},
                color={0,127,255},
                visible=false));
            connect(pipe_TEG_3.port_b, pipe_TEG_4.port_a) annotation (Line(
                points={{20,0},{40,0},{60,0}},
                color={0,127,255},
                visible=false));
            connect(pipe_TEG_4.port_b, chimney.port_a1) annotation (Line(
                points={{80,0},{120,0}},
                color={0,127,255},
                visible=false));
            connect(ambientTemperature.port, pipe_TEG_1.fluid) annotation (Line(
                points={{-120,80},{-104,80},{-104,5}},
                color={191,0,0},
                visible=false));
            connect(pipe_TEG_2.fluid, pipe_TEG_1.fluid) annotation (Line(
                points={{-44,5},{-44,80},{-104,80},{-104,5}},
                color={191,0,0},
                visible=false));
            connect(pipe_TEG_3.fluid, pipe_TEG_1.fluid) annotation (Line(
                points={{16,5},{16,80},{-104,80},{-104,5}},
                color={191,0,0},
                visible=false));
            connect(pipe_TEG_4.fluid, pipe_TEG_1.fluid) annotation (Line(
                points={{76,5},{76,80},{-104,80},{-104,5}},
                color={191,0,0},
                visible=false));
            connect(TEG4B.pin_n1, electrical_connection_TEG.n1) annotation (Line(points={{
                    73,-20},{111.5,-20},{150,-20}}, color={0,0,255}));
            connect(TEG1B.pin_p1, electrical_connection_TEG.p1) annotation (Line(points={{
                    -125,-20},{-130,-20},{-130,-28},{100,-28},{100,-40},{150,-40}}, color=
                   {0,0,255}));
          //*****************************************************************************/

             annotation (Diagram(coordinateSystem(extent={{-180,-100},{180,100}},
                    preserveAspectRatio=false), graphics={
                  Rectangle(
                    extent={{-100,4},{-60,-4}},
                    lineColor={0,0,0},
                    fillColor={175,175,175},
                    fillPattern=FillPattern.HorizontalCylinder),
                  Rectangle(
                    extent={{-40,4},{0,-4}},
                    lineColor={0,0,0},
                    fillColor={175,175,175},
                    fillPattern=FillPattern.HorizontalCylinder),
                  Rectangle(
                    extent={{20,4},{60,-4}},
                    lineColor={0,0,0},
                    fillColor={175,175,175},
                    fillPattern=FillPattern.HorizontalCylinder),
                  Rectangle(
                    extent={{80,4},{120,-4}},
                    lineColor={0,0,0},
                    fillColor={175,175,175},
                    fillPattern=FillPattern.HorizontalCylinder),
                  Rectangle(
                    extent={{-144,4},{-120,-4}},
                    lineColor={0,0,0},
                    fillColor={175,175,175},
                    fillPattern=FillPattern.HorizontalCylinder)}), Icon(coordinateSystem(
                    extent={{-180,-100},{180,100}})),
              experiment(StopTime=2100),
              __Dymola_experimentSetupOutput, Documentation(info="<html>
   <p>
**************************************************************************** <br>
  <b> Copyright (C) 2015-2017 Chair of Automation and Energy Systems, Saarland University </b> <br>
------------------------------------------------------------------------------------------------------------------ <br>
  This file is part of EHSTEG. <p>                    
  
  For more information see <a href=\"//EHSTEG.UsersGuide\">User's Guide</a> <p>
  
**************************************************************************** <p>
</html>
"));
          end ACS_20_80_Controlled;

          model LCS_20_80_Uncontrolled
            "uncontrolled liquid cooled system for 20/80 heating load"

            //Copyright (C) 2015-2017 Chair of Automation and Energy Systems, Saarland University (for more information see 'Documentation')

          //parameter definition*********************************************************/
              parameter Real valve_start_time = 10; // s
              replaceable package Medium =
                Modelica.Media.IdealGases.MixtureGases.CombustionAir
               constrainedby Modelica.Media.Interfaces.PartialMedium;

          //variable definition**********************************************************/
              Modelica.SIunits.Resistance R1 = TEG1A.tEG_Module.inner_TEG.R
              "resistance of TEG1";                                                               // Ohm
              Modelica.SIunits.Resistance R2 = TEG1B.tEG_Module.inner_TEG.R
              "resistance of TEG2";                                                               // Ohm
              Modelica.SIunits.Resistance R3 = TEG2A.tEG_Module.inner_TEG.R
              "resistance of TEG3";                                                               // Ohm
              Modelica.SIunits.Resistance R4 = TEG2B.tEG_Module.inner_TEG.R
              "resistance of TEG4";                                                               // Ohm
              Modelica.SIunits.Resistance R5 = TEG3A.tEG_Module.inner_TEG.R
              "resistance of TEG5";                                                               // Ohm
              Modelica.SIunits.Resistance R6 = TEG3B.tEG_Module.inner_TEG.R
              "resistance of TEG6";                                                               // Ohm
              Modelica.SIunits.Resistance R7 = TEG4A.tEG_Module.inner_TEG.R
              "resistance of TEG7";                                                               // Ohm
              Modelica.SIunits.Resistance R8 = TEG4B.tEG_Module.inner_TEG.R
              "resistance of TEG8";                                                               // Ohm

              Modelica.SIunits.Resistance  R_calc
              "inner resistance of TEG-based EHS";                                     // Ohm
              Modelica.SIunits.Power P_ges "gained electrical power"; // W

              Modelica.SIunits.Energy E "gained electrical energy"; // J

              Boolean Cooling_unit_1_2_on_off "controlling unit_1_2";
              Boolean Cooling_unit_3_4_on_off "controlling unit_3_4";
          //*****************************************************************************/

          //used components**************************************************************/
            HeatingBoiler_20_80                 heating_boiler
              annotation (Placement(transformation(extent={{-180,-20},{-140,20}})));
            Components.HeatTransfer.PipeSection pipe_TEG_1
              annotation (Placement(transformation(extent={{-120,-10},{-100,10}})));
            Components.HeatTransfer.PipeSection pipe_TEG_2
              annotation (Placement(transformation(extent={{-60,-10},{-40,10}})));
            Components.HeatTransfer.PipeSection pipe_TEG_3
              annotation (Placement(transformation(extent={{0,-10},{20,10}})));
            Components.HeatTransfer.PipeSection pipe_TEG_4
              annotation (Placement(transformation(extent={{60,-10},{80,10}})));
            Components.Miscellaneous.Chimney chimney
              annotation (Placement(transformation(extent={{104,-4},{144,36}})));
            Components.ThermoelectricDevice.Thermalforce.TEG_199_200_5 TEG1A
              annotation (Placement(transformation(extent={{-106,10},{-126,30}})));
            Components.ThermoelectricDevice.Thermalforce.TEG_199_200_5 TEG1B
              annotation (Placement(transformation(extent={{-106,-10},{-126,-30}})));
            Components.ThermoelectricDevice.Thermalforce.TEG_199_200_5 TEG2A
              annotation (Placement(transformation(extent={{-46,10},{-66,30}})));
            Components.ThermoelectricDevice.Thermalforce.TEG_199_200_5 TEG2B
              annotation (Placement(transformation(extent={{-46,-10},{-66,-30}})));
            Components.ThermoelectricDevice.Thermalforce.TEG_199_200_5 TEG3A
              annotation (Placement(transformation(extent={{14,10},{-6,30}})));
            Components.ThermoelectricDevice.Thermalforce.TEG_199_200_5 TEG3B
              annotation (Placement(transformation(extent={{14,-10},{-6,-30}})));
            Components.ThermoelectricDevice.Thermalforce.TEG_199_200_5 TEG4A
              annotation (Placement(transformation(extent={{74,10},{54,30}})));
            Components.ThermoelectricDevice.Thermalforce.TEG_199_200_5 TEG4B
              annotation (Placement(transformation(extent={{74,-10},{54,-30}})));
            Components.CoolingElement.Active.Liquid.CoolingElement cooling_element1A
              annotation (Placement(transformation(extent={{-106,30},{-126,50}})));
            Components.CoolingElement.Active.Liquid.CoolingElement cooling_element2A
              annotation (Placement(transformation(extent={{-46,30},{-66,50}})));
            Components.CoolingElement.Active.Liquid.CoolingElement cooling_element3A
              annotation (Placement(transformation(extent={{14,30},{-6,50}})));
            Components.CoolingElement.Active.Liquid.CoolingElement cooling_element4A
              annotation (Placement(transformation(extent={{74,30},{54,50}})));
            Components.CoolingElement.Active.Liquid.CoolingElement cooling_element1B
              annotation (Placement(transformation(extent={{-106,-30},{-126,-50}})));
            Components.CoolingElement.Active.Liquid.CoolingElement cooling_element2B
              annotation (Placement(transformation(extent={{-46,-30},{-66,-50}})));
            Components.CoolingElement.Active.Liquid.CoolingElement cooling_element3B
              annotation (Placement(transformation(extent={{14,-30},{-6,-50}})));
            Components.CoolingElement.Active.Liquid.CoolingElement cooling_element4B
              annotation (Placement(transformation(extent={{74,-30},{54,-50}})));
            inner Modelica.Fluid.System system(
                m_flow_small=1e-4, energyDynamics=Modelica.Fluid.Types.Dynamics.SteadyStateInitial)
                                  annotation (Placement(transformation(extent={{-170,70},{
                      -150,90}},  rotation=0)));
            Modelica.Thermal.HeatTransfer.Sources.FixedTemperature ambientTemperature(
                T=system.T_ambient)
              annotation (Placement(transformation(extent={{-140,70},{-120,90}})));
            Components.CoolingElement.Active.Liquid.Distributor_a distributor_in_1_2
              annotation (Placement(transformation(extent={{-96,-54},{-76,-74}})));
            Components.CoolingElement.Active.Liquid.Distributor_b distributor_out_1_2
              annotation (Placement(transformation(extent={{-96,-82},{-76,-62}})));
            Components.CoolingElement.Active.Liquid.Distributor_a distributor_in_3_4
              annotation (Placement(transformation(extent={{24,-54},{44,-74}})));
            Components.CoolingElement.Active.Liquid.Distributor_b distributor_out_3_4
              annotation (Placement(transformation(extent={{24,-82},{44,-62}})));
            Components.CoolingElement.Active.Liquid.IdealCoolingUnit cooling_unit_1_2
              annotation (Placement(transformation(extent={{-60,-78},{-40,-58}})));
            Components.CoolingElement.Active.Liquid.IdealCoolingUnit cooling_unit_3_4
              annotation (Placement(transformation(extent={{60,-78},{80,-58}})));
            Components.Electrics.IdealCommutingSwitch switch_TEG_2
              annotation (Placement(transformation(extent={{-94,10},{-74,30}})));
            Components.Electrics.IdealCommutingSwitch switch_TEG_3
              annotation (Placement(transformation(extent={{-34,10},{-14,30}})));
            Components.Electrics.IdealCommutingSwitch switch_TEG_4
              annotation (Placement(transformation(extent={{26,10},{46,30}})));
            Components.Electrics.IdealMPPT electrical_connection_TEG annotation (
                Placement(transformation(
                  extent={{-10,-10},{10,10}},
                  rotation=90,
                  origin={150,-30})));
            Components.Electrics.EnergySupply energy_supply_single_cooling_unit_1_2
              annotation (Placement(transformation(extent={{-20,-80},{0,-60}})));
            Components.Electrics.EnergySupply energy_supply_single_cooling_unit_3_4
              annotation (Placement(transformation(extent={{100,-80},{120,-60}})));
            Modelica.Blocks.Sources.Constant
                                          pulse(k=0.01)
              annotation (Placement(transformation(extent={{52,-58},{58,-52}})));
            Modelica.Blocks.Sources.Constant
                                          pulse1(k=0.01)
              annotation (Placement(transformation(extent={{-68,-58},{-62,-52}})));
            Modelica.Electrical.Analog.Basic.Ground ground annotation (
                Placement(transformation(extent={{82,-84},{102,-64}})));
          //*****************************************************************************/

          //equations********************************************************************/
          equation

            P_ges = electrical_connection_TEG.electrical_Power - energy_supply_single_cooling_unit_1_2.y - energy_supply_single_cooling_unit_3_4.y;

            P_ges = der(E);

            Cooling_unit_1_2_on_off = true;
            Cooling_unit_3_4_on_off = true;

            energy_supply_single_cooling_unit_1_2.u = Cooling_unit_1_2_on_off;
            energy_supply_single_cooling_unit_3_4.u = Cooling_unit_3_4_on_off;

            //****************************************************************************
            // ideal MPPT
            //****************************************************************************
             if switch_TEG_4.booleanStep.y == true then
               R_calc = (R1*R2)/(R1+R2) + (R3*R4)/(R3+R4) + (R5*R6)/(R5+R6) + (R7*R8)/(R7+R8);
             else
               if switch_TEG_3.booleanStep.y == true then
                 R_calc = (R1*R2)/(R1+R2) + (R3*R4)/(R3+R4) + (R5*R6)/(R5+R6);
               else
                 if switch_TEG_2.booleanStep.y == true then
                   R_calc = (R1*R2)/(R1+R2) + (R3*R4)/(R3+R4);
                 else
                   R_calc = (R1*R2)/(R1+R2);
                 end if;
               end if;
             end if;

            electrical_connection_TEG.R = R_calc;
            //****************************************************************************

            connect(pipe_TEG_1.heatPorts1[1], TEG1A.port_a1) annotation (Line(
                points={{-116,5},{-116,15}},
                color={127,0,0},
                smooth=Smooth.None));
            connect(pipe_TEG_1.heatPorts2[1], TEG1B.port_a1) annotation (Line(
                points={{-116,-5},{-116,-15}},
                color={127,0,0},
                smooth=Smooth.None));
            connect(pipe_TEG_2.heatPorts1[1], TEG2A.port_a1) annotation (Line(
                points={{-56,5},{-56,15}},
                color={127,0,0},
                smooth=Smooth.None));
            connect(pipe_TEG_2.heatPorts2[1], TEG2B.port_a1) annotation (Line(
                points={{-56,-5},{-56,-15}},
                color={127,0,0},
                smooth=Smooth.None));
            connect(pipe_TEG_3.heatPorts1[1], TEG3A.port_a1) annotation (Line(
                points={{4,5},{4,15}},
                color={127,0,0},
                smooth=Smooth.None));
            connect(pipe_TEG_3.heatPorts2[1], TEG3B.port_a1) annotation (Line(
                points={{4,-5},{4,-15}},
                color={127,0,0},
                smooth=Smooth.None));
            connect(pipe_TEG_4.heatPorts1[1], TEG4A.port_a1) annotation (Line(
                points={{64,5},{64,15}},
                color={127,0,0},
                smooth=Smooth.None));
            connect(pipe_TEG_4.heatPorts2[1], TEG4B.port_a1) annotation (Line(
                points={{64,-5},{64,-15}},
                color={127,0,0},
                smooth=Smooth.None));
            connect(TEG1A.port_b1, cooling_element1A.port_a1) annotation (Line(
                points={{-116,25},{-116,35}},
                color={191,0,0},
                smooth=Smooth.None));
            connect(cooling_element2A.port_a1, TEG2A.port_b1) annotation (Line(
                points={{-56,35},{-56,25}},
                color={191,0,0},
                smooth=Smooth.None));
            connect(TEG3A.port_b1, cooling_element3A.port_a1) annotation (Line(
                points={{4,25},{4,35}},
                color={191,0,0},
                smooth=Smooth.None));
            connect(TEG4A.port_b1, cooling_element4A.port_a1) annotation (Line(
                points={{64,25},{64,35}},
                color={191,0,0},
                smooth=Smooth.None));
            connect(TEG1B.port_b1, cooling_element1B.port_a1) annotation (Line(
                points={{-116,-25},{-116,-35}},
                color={191,0,0},
                smooth=Smooth.None));
            connect(TEG2B.port_b1, cooling_element2B.port_a1) annotation (Line(
                points={{-56,-25},{-56,-35}},
                color={191,0,0},
                smooth=Smooth.None));
            connect(TEG3B.port_b1, cooling_element3B.port_a1) annotation (Line(
                points={{4,-25},{4,-35}},
                color={191,0,0},
                smooth=Smooth.None));
            connect(TEG4B.port_b1, cooling_element4B.port_a1) annotation (Line(
                points={{64,-25},{64,-35}},
                color={191,0,0},
                smooth=Smooth.None));
            connect(distributor_in_1_2.port_b, cooling_element1B.port_a) annotation (Line(
                points={{-92,-54},{-92,-40},{-108,-40}},
                color={0,127,255},
                smooth=Smooth.None,
                visible=false));
            connect(distributor_in_1_2.port_b1, cooling_element1A.port_a) annotation (
                Line(
                points={{-88,-54},{-88,40},{-108,40}},
                color={0,127,255},
                smooth=Smooth.None,
                visible=false));
            connect(distributor_in_1_2.port_b2, cooling_element2B.port_a) annotation (
                Line(
                points={{-84,-54},{-84,-46},{-44,-46},{-44,-40},{-48,-40}},
                color={0,127,255},
                smooth=Smooth.None,
                visible=false));
            connect(distributor_in_1_2.port_b3, cooling_element2A.port_a) annotation (
                Line(
                points={{-80,-54},{-80,-48},{-38,-48},{-38,40},{-48,40}},
                color={0,127,255},
                smooth=Smooth.None,
                visible=false));
            connect(cooling_element1B.port_b, distributor_out_1_2.port_a) annotation (
                Line(
                points={{-124.4,-40},{-128,-40},{-128,-86},{-92,-86},{-92,-82}},
                color={0,127,255},
                smooth=Smooth.None,
                visible=false));
            connect(cooling_element1A.port_b, distributor_out_1_2.port_a1) annotation (
                Line(
                points={{-124.4,40},{-134,40},{-134,-92},{-88,-92},{-88,-82}},
                color={0,127,255},
                smooth=Smooth.None,
                visible=false));
            connect(cooling_element2A.port_b, distributor_out_1_2.port_a3) annotation (
                Line(
                points={{-64.4,40},{-72,40},{-72,-86},{-80,-86},{-80,-82}},
                color={0,127,255},
                smooth=Smooth.None,
                visible=false));
            connect(cooling_element2B.port_b, distributor_out_1_2.port_a2) annotation (
                Line(
                points={{-64.4,-40},{-68,-40},{-68,-92},{-84,-92},{-84,-82}},
                color={0,127,255},
                smooth=Smooth.None,
                visible=false));
            connect(distributor_in_3_4.port_b, cooling_element3B.port_a) annotation (Line(
                points={{28,-54},{28,-40},{12,-40}},
                color={0,127,255},
                smooth=Smooth.None,
                visible=false));
            connect(distributor_in_3_4.port_b1, cooling_element3A.port_a) annotation (
                Line(
                points={{32,-54},{32,40},{12,40}},
                color={0,127,255},
                smooth=Smooth.None,
                visible=false));
            connect(distributor_in_3_4.port_b2, cooling_element4B.port_a) annotation (
                Line(
                points={{36,-54},{36,-46},{78,-46},{78,-40},{72,-40}},
                color={0,127,255},
                smooth=Smooth.None,
                visible=false));
            connect(distributor_in_3_4.port_b3, cooling_element4A.port_a) annotation (
                Line(
                points={{40,-54},{40,-50},{84,-50},{84,40},{72,40}},
                color={0,127,255},
                smooth=Smooth.None,
                visible=false));
            connect(distributor_out_3_4.port_a, cooling_element3B.port_b) annotation (
                Line(
                points={{28,-82},{28,-86},{-10,-86},{-10,-40},{-4.4,-40}},
                color={0,127,255},
                smooth=Smooth.None,
                visible=false));
            connect(distributor_out_3_4.port_a1, cooling_element3A.port_b) annotation (
                Line(
                points={{32,-82},{32,-90},{-18,-90},{-18,40},{-4.4,40}},
                color={0,127,255},
                smooth=Smooth.None,
                visible=false));
            connect(distributor_out_3_4.port_a2, cooling_element4B.port_b) annotation (
                Line(
                points={{36,-82},{36,-90},{52,-90},{52,-40},{55.6,-40}},
                color={0,127,255},
                smooth=Smooth.None,
                visible=false));
            connect(distributor_out_3_4.port_a3, cooling_element4A.port_b) annotation (
                Line(
                points={{40,-82},{40,-86},{48,-86},{48,40},{55.6,40}},
                color={0,127,255},
                smooth=Smooth.None,
                visible=false));
            connect(distributor_in_1_2.port_a, cooling_unit_1_2.port_b) annotation (Line(
                points={{-76,-64},{-60,-64}},
                color={0,127,255},
                smooth=Smooth.None));
            connect(distributor_out_1_2.port_b, cooling_unit_1_2.port_a) annotation (Line(
                points={{-76,-72},{-60,-72}},
                color={0,127,255},
                smooth=Smooth.None));
            connect(distributor_in_3_4.port_a, cooling_unit_3_4.port_b) annotation (Line(
                points={{44,-64},{60,-64}},
                color={0,127,255},
                smooth=Smooth.None));
            connect(distributor_out_3_4.port_b, cooling_unit_3_4.port_a) annotation (Line(
                points={{44,-72},{60,-72}},
                color={0,127,255},
                smooth=Smooth.None));

            connect(TEG1A.pin_n1, switch_TEG_2.p1) annotation (Line(
                points={{-107,20},{-93,20}},
                color={0,0,255},
                smooth=Smooth.None));
            connect(TEG2A.pin_p1, switch_TEG_2.n2) annotation (Line(
                points={{-65,20},{-75,20}},
                color={0,0,255},
                smooth=Smooth.None));
            connect(TEG2A.pin_n1, switch_TEG_3.p1) annotation (Line(
                points={{-47,20},{-33,20}},
                color={0,0,255},
                smooth=Smooth.None));
            connect(TEG3A.pin_p1, switch_TEG_3.n2) annotation (Line(
                points={{-5,20},{-15,20}},
                color={0,0,255},
                smooth=Smooth.None));
            connect(TEG3A.pin_n1, switch_TEG_4.p1) annotation (Line(
                points={{13,20},{27,20}},
                color={0,0,255},
                smooth=Smooth.None));
            connect(TEG4A.pin_p1, switch_TEG_4.n2) annotation (Line(
                points={{55,20},{45,20}},
                color={0,0,255},
                smooth=Smooth.None));
            connect(TEG1B.pin_n1, switch_TEG_2.p1) annotation (Line(
                points={{-107,-20},{-98,-20},{-98,20},{-93,20}},
                color={0,0,255},
                smooth=Smooth.None));
            connect(TEG2B.pin_n1, switch_TEG_3.p1) annotation (Line(
                points={{-47,-20},{-38,-20},{-38,20},{-33,20}},
                color={0,0,255},
                smooth=Smooth.None));
            connect(TEG3B.pin_n1, switch_TEG_4.p1) annotation (Line(
                points={{13,-20},{22,-20},{22,20},{27,20}},
                color={0,0,255},
                smooth=Smooth.None));
            connect(TEG4B.pin_n1, TEG4A.pin_n1) annotation (Line(
                points={{73,-20},{82,-20},{82,20},{73,20}},
                color={0,0,255},
                smooth=Smooth.None));
            connect(TEG1B.pin_p1, TEG1A.pin_p1) annotation (Line(
                points={{-125,-20},{-130,-20},{-130,20},{-125,20}},
                color={0,0,255},
                smooth=Smooth.None));
            connect(TEG2B.pin_p1, switch_TEG_2.n2) annotation (Line(
                points={{-65,-20},{-70,-20},{-70,20},{-75,20}},
                color={0,0,255},
                smooth=Smooth.None));
            connect(TEG3B.pin_p1, switch_TEG_3.n2) annotation (Line(
                points={{-5,-20},{-10,-20},{-10,20},{-15,20}},
                color={0,0,255},
                smooth=Smooth.None));
            connect(TEG4B.pin_p1, switch_TEG_4.n2) annotation (Line(
                points={{55,-20},{50,-20},{50,20},{45,20}},
                color={0,0,255},
                smooth=Smooth.None));
            connect(switch_TEG_2.n1, TEG4A.pin_n1) annotation (Line(
                points={{-75,25},{-75,30},{82,30},{82,20},{73,20}},
                color={0,0,255},
                smooth=Smooth.None));
            connect(switch_TEG_3.n1, TEG4A.pin_n1) annotation (Line(
                points={{-15,25},{-15,30},{82,30},{82,20},{73,20}},
                color={0,0,255},
                smooth=Smooth.None));
            connect(switch_TEG_4.n1, TEG4A.pin_n1) annotation (Line(
                points={{45,25},{45,30},{82,30},{82,20},{73,20}},
                color={0,0,255},
                smooth=Smooth.None));
            connect(pulse1.y, cooling_unit_1_2.m_flow_in) annotation (Line(
                points={{-61.7,-55},{-55,-55},{-55,-61.6}},
                color={0,0,127},
                smooth=Smooth.None));
            connect(pulse.y, cooling_unit_3_4.m_flow_in) annotation (Line(
                points={{58.3,-55},{65,-55},{65,-61.6}},
                color={0,0,127},
                smooth=Smooth.None));
            connect(heating_boiler.port_b1, pipe_TEG_1.port_a) annotation (Line(
                points={{-144,0},{-132,0},{-120,0}},
                color={0,127,255},
                visible=false));
            connect(pipe_TEG_1.port_b, pipe_TEG_2.port_a) annotation (Line(
                points={{-100,0},{-80,0},{-60,0}},
                color={0,127,255},
                visible=false));
            connect(pipe_TEG_2.port_b, pipe_TEG_3.port_a) annotation (Line(
                points={{-40,0},{-20,0},{0,0}},
                color={0,127,255},
                visible=false));
            connect(pipe_TEG_3.port_b, pipe_TEG_4.port_a) annotation (Line(
                points={{20,0},{40,0},{60,0}},
                color={0,127,255},
                visible=false));
            connect(pipe_TEG_4.port_b, chimney.port_a1) annotation (Line(
                points={{80,0},{100,0},{120,0}},
                color={0,127,255},
                visible=false));
            connect(ambientTemperature.port, pipe_TEG_1.fluid) annotation (Line(
                points={{-120,80},{-104,80},{-104,5}},
                color={191,0,0},
                visible=false));
            connect(ambientTemperature.port, pipe_TEG_2.fluid) annotation (Line(
                points={{-120,80},{-88,80},{-44,80},{-44,5}},
                color={191,0,0},
                visible=false));
            connect(ambientTemperature.port, pipe_TEG_3.fluid) annotation (Line(
                points={{-120,80},{-52,80},{16,80},{16,5}},
                color={191,0,0},
                visible=false));
            connect(ambientTemperature.port, pipe_TEG_4.fluid) annotation (Line(
                points={{-120,80},{-24,80},{76,80},{76,5}},
                color={191,0,0},
                visible=false));
            connect(energy_supply_single_cooling_unit_1_2.p, cooling_unit_1_2.p1)
              annotation (Line(
                points={{-16,-61},{-16,-61},{-16,-54},{-49,-54},{-49,-61.6}},
                color={0,0,255},
                visible=false));
            connect(cooling_unit_1_2.n1, energy_supply_single_cooling_unit_1_2.n)
              annotation (Line(
                points={{-41,-61.6},{-41,-58},{-4,-58},{-4,-61}},
                color={0,0,255},
                visible=false));
            connect(cooling_unit_3_4.p1, energy_supply_single_cooling_unit_3_4.p)
              annotation (Line(
                points={{71,-61.6},{71,-50},{104,-50},{104,-61}},
                color={0,0,255},
                visible=false));
            connect(cooling_unit_3_4.n1, energy_supply_single_cooling_unit_3_4.n)
              annotation (Line(
                points={{79,-61.6},{79,-56},{116,-56},{116,-61}},
                color={0,0,255},
                visible=false));
            connect(TEG4B.pin_n1, electrical_connection_TEG.n1)
              annotation (Line(points={{73,-20},{112,-20},{150,-20}}, color={0,0,255}));
            connect(TEG1B.pin_p1, electrical_connection_TEG.p1) annotation (Line(points={{
                    -125,-20},{-130,-20},{-130,-30},{112,-30},{112,-40},{150,-40}}, color=
                   {0,0,255}));
            connect(energy_supply_single_cooling_unit_3_4.p, ground.p)
              annotation (Line(points={{104,-61},{98,-61},{98,-64},{92,-64}},
                  color={0,0,255}));
            connect(energy_supply_single_cooling_unit_1_2.p, ground.p)
              annotation (Line(
                points={{-16,-61},{-20,-61},{-20,-62},{-26,-62},{-26,-90},{92,
                    -90},{92,-64}},
                color={0,0,255},
                visible=false));
          //*****************************************************************************/

             annotation (Diagram(coordinateSystem(extent={{-180,-100},{180,100}},
                    preserveAspectRatio=false), graphics={
                  Rectangle(
                    extent={{-100,4},{-60,-4}},
                    lineColor={0,0,0},
                    fillColor={175,175,175},
                    fillPattern=FillPattern.HorizontalCylinder),
                  Rectangle(
                    extent={{-40,4},{0,-4}},
                    lineColor={0,0,0},
                    fillColor={175,175,175},
                    fillPattern=FillPattern.HorizontalCylinder),
                  Rectangle(
                    extent={{20,4},{60,-4}},
                    lineColor={0,0,0},
                    fillColor={175,175,175},
                    fillPattern=FillPattern.HorizontalCylinder),
                  Rectangle(
                    extent={{80,4},{120,-4}},
                    lineColor={0,0,0},
                    fillColor={175,175,175},
                    fillPattern=FillPattern.HorizontalCylinder),
                  Rectangle(
                    extent={{-144,4},{-120,-4}},
                    lineColor={0,0,0},
                    fillColor={175,175,175},
                    fillPattern=FillPattern.HorizontalCylinder)}), Icon(coordinateSystem(
                    extent={{-180,-100},{180,100}})),
              experiment(StopTime=2100),
              __Dymola_experimentSetupOutput, Documentation(info="<html>
   <p>
**************************************************************************** <br>
  <b> Copyright (C) 2015-2017 Chair of Automation and Energy Systems, Saarland University </b> <br>
------------------------------------------------------------------------------------------------------------------ <br>
  This file is part of EHSTEG. <p>                    
  
  For more information see <a href=\"//EHSTEG.UsersGuide\">User's Guide</a> <p>
  
**************************************************************************** <p>
</html>
"));
          end LCS_20_80_Uncontrolled;

          model LCS_20_80_Controlled
            "controlled liquid cooled system for 20/80 heating load"

            //Copyright (C) 2015-2017 Chair of Automation and Energy Systems, Saarland University (for more information see 'Documentation')

          //parameter definition*********************************************************/
              parameter Real valve_start_time = 10; // s
              replaceable package Medium =
                Modelica.Media.IdealGases.MixtureGases.CombustionAir
               constrainedby Modelica.Media.Interfaces.PartialMedium;

          //variable definition**********************************************************/
              Modelica.SIunits.Resistance R1 = TEG1A.tEG_Module.inner_TEG.R
              "resistance of TEG1";                                                               // Ohm
              Modelica.SIunits.Resistance R2 = TEG1B.tEG_Module.inner_TEG.R
              "resistance of TEG2";                                                               // Ohm
              Modelica.SIunits.Resistance R3 = TEG2A.tEG_Module.inner_TEG.R
              "resistance of TEG3";                                                               // Ohm
              Modelica.SIunits.Resistance R4 = TEG2B.tEG_Module.inner_TEG.R
              "resistance of TEG4";                                                               // Ohm
              Modelica.SIunits.Resistance R5 = TEG3A.tEG_Module.inner_TEG.R
              "resistance of TEG5";                                                               // Ohm
              Modelica.SIunits.Resistance R6 = TEG3B.tEG_Module.inner_TEG.R
              "resistance of TEG6";                                                               // Ohm
              Modelica.SIunits.Resistance R7 = TEG4A.tEG_Module.inner_TEG.R
              "resistance of TEG7";                                                               // Ohm
              Modelica.SIunits.Resistance R8 = TEG4B.tEG_Module.inner_TEG.R
              "resistance of TEG8";                                                               // Ohm

              Modelica.SIunits.Resistance  R_calc
              "inner resistance of TEG-based EHS";                                     // Ohm
              Modelica.SIunits.Power P_ges "gained electrical power"; // W
              Modelica.SIunits.Power P
              "gained electrical power with control laws";                          // W

              Modelica.SIunits.Energy E "gained electrical energy"; // J
              Modelica.SIunits.Energy E2
              "gained electrical energy with control laws";                            // J

              Boolean Cooling_unit_1_2_on_off "controlling unit_1_2";
              Boolean Cooling_unit_3_4_on_off "controlling unit_3_4";
              Boolean switch_value;
              Real m_flow;
          //*****************************************************************************/

          //used components**************************************************************/
            HeatingBoiler_20_80                 heating_boiler
              annotation (Placement(transformation(extent={{-180,-20},{-140,20}})));
            Components.HeatTransfer.PipeSection pipe_TEG_1
              annotation (Placement(transformation(extent={{-120,-10},{-100,10}})));
            Components.HeatTransfer.PipeSection pipe_TEG_2
              annotation (Placement(transformation(extent={{-60,-10},{-40,10}})));
            Components.HeatTransfer.PipeSection pipe_TEG_3
              annotation (Placement(transformation(extent={{0,-10},{20,10}})));
            Components.HeatTransfer.PipeSection pipe_TEG_4
              annotation (Placement(transformation(extent={{60,-10},{80,10}})));
            Components.Miscellaneous.Chimney chimney
              annotation (Placement(transformation(extent={{104,-4},{144,36}})));
            Components.ThermoelectricDevice.Thermalforce.TEG_199_200_5 TEG1A
              annotation (Placement(transformation(extent={{-106,10},{-126,30}})));
            Components.ThermoelectricDevice.Thermalforce.TEG_199_200_5 TEG1B
              annotation (Placement(transformation(extent={{-106,-10},{-126,-30}})));
            Components.ThermoelectricDevice.Thermalforce.TEG_199_200_5 TEG2A
              annotation (Placement(transformation(extent={{-46,10},{-66,30}})));
            Components.ThermoelectricDevice.Thermalforce.TEG_199_200_5 TEG2B
              annotation (Placement(transformation(extent={{-46,-10},{-66,-30}})));
            Components.ThermoelectricDevice.Thermalforce.TEG_199_200_5 TEG3A
              annotation (Placement(transformation(extent={{14,10},{-6,30}})));
            Components.ThermoelectricDevice.Thermalforce.TEG_199_200_5 TEG3B
              annotation (Placement(transformation(extent={{14,-10},{-6,-30}})));
            Components.ThermoelectricDevice.Thermalforce.TEG_199_200_5 TEG4A
              annotation (Placement(transformation(extent={{74,10},{54,30}})));
            Components.ThermoelectricDevice.Thermalforce.TEG_199_200_5 TEG4B
              annotation (Placement(transformation(extent={{74,-10},{54,-30}})));
            Components.CoolingElement.Active.Liquid.CoolingElement cooling_element1A
              annotation (Placement(transformation(extent={{-106,30},{-126,50}})));
            Components.CoolingElement.Active.Liquid.CoolingElement cooling_element2A
              annotation (Placement(transformation(extent={{-46,30},{-66,50}})));
            Components.CoolingElement.Active.Liquid.CoolingElement cooling_element3A
              annotation (Placement(transformation(extent={{14,30},{-6,50}})));
            Components.CoolingElement.Active.Liquid.CoolingElement cooling_element4A
              annotation (Placement(transformation(extent={{74,30},{54,50}})));
            Components.CoolingElement.Active.Liquid.CoolingElement cooling_element1B
              annotation (Placement(transformation(extent={{-106,-30},{-126,-50}})));
            Components.CoolingElement.Active.Liquid.CoolingElement cooling_element2B
              annotation (Placement(transformation(extent={{-46,-30},{-66,-50}})));
            Components.CoolingElement.Active.Liquid.CoolingElement cooling_element3B
              annotation (Placement(transformation(extent={{14,-30},{-6,-50}})));
            Components.CoolingElement.Active.Liquid.CoolingElement cooling_element4B
              annotation (Placement(transformation(extent={{74,-30},{54,-50}})));
            inner Modelica.Fluid.System system(
                m_flow_small=1e-4, energyDynamics=Modelica.Fluid.Types.Dynamics.SteadyStateInitial)
                                  annotation (Placement(transformation(extent={{-170,70},{
                      -150,90}},  rotation=0)));
            Modelica.Thermal.HeatTransfer.Sources.FixedTemperature ambientTemperature(
                T=system.T_ambient)
              annotation (Placement(transformation(extent={{-140,70},{-120,90}})));
            Components.CoolingElement.Active.Liquid.Distributor_a distributor_in_1_2
              annotation (Placement(transformation(extent={{-96,-54},{-76,-74}})));
            Components.CoolingElement.Active.Liquid.Distributor_b distributor_out_1_2
              annotation (Placement(transformation(extent={{-96,-82},{-76,-62}})));
            Components.CoolingElement.Active.Liquid.Distributor_a distributor_in_3_4
              annotation (Placement(transformation(extent={{24,-54},{44,-74}})));
            Components.CoolingElement.Active.Liquid.Distributor_b distributor_out_3_4
              annotation (Placement(transformation(extent={{24,-82},{44,-62}})));
            Components.CoolingElement.Active.Liquid.IdealCoolingUnit cooling_unit_1_2
              annotation (Placement(transformation(extent={{-60,-78},{-40,-58}})));
            Components.CoolingElement.Active.Liquid.IdealCoolingUnit cooling_unit_3_4
              annotation (Placement(transformation(extent={{60,-78},{80,-58}})));
            Components.Electrics.IdealCommutingSwitch switch_TEG_2(startTime=10,
                startValue=false)
              annotation (Placement(transformation(extent={{-94,10},{-74,30}})));
            Components.Electrics.IdealMPPT electrical_connection_TEG annotation (
                Placement(transformation(
                  extent={{-10,-10},{10,10}},
                  rotation=90,
                  origin={150,-30})));
            Components.Electrics.EnergySupply energy_supply_single_cooling_unit_1_2
              annotation (Placement(transformation(extent={{-20,-80},{0,-60}})));
            Components.Electrics.EnergySupply energy_supply_single_cooling_unit_3_4
              annotation (Placement(transformation(extent={{100,-80},{120,-60}})));
            Modelica.Blocks.Sources.Constant
                                          pulse1(k=0.01)
              annotation (Placement(transformation(extent={{-68,-58},{-62,-52}})));
            Modelica.Electrical.Analog.Ideal.IdealCommutingSwitch switch_TEG_3
              annotation (Placement(transformation(extent={{-32,10},{-12,30}})));
            Modelica.Electrical.Analog.Ideal.IdealCommutingSwitch switch_TEG_4
              annotation (Placement(transformation(extent={{26,10},{46,30}})));
            Modelica.Electrical.Analog.Basic.Ground ground annotation (
                Placement(transformation(extent={{80,-98},{100,-78}})));
          //*****************************************************************************/

          //equations********************************************************************/
          equation

            P_ges = electrical_connection_TEG.electrical_Power - energy_supply_single_cooling_unit_1_2.y - energy_supply_single_cooling_unit_3_4.y;

            P_ges = der(E);
            P = der( E2);

            if electrical_connection_TEG.electrical_Power <= 12.2 then
              P = 0;
            else
              P = P_ges;
            end if;

            switch_TEG_3.control = switch_value;
            switch_TEG_4.control = switch_value;

            //****************************************************************************
            // switching on - cooling unit 1/2 und 3/4
            //****************************************************************************
            cooling_unit_3_4.m_flow_in = m_flow;
            Cooling_unit_1_2_on_off = true;

            if time < 134 then
              Cooling_unit_3_4_on_off = false;
              switch_value = false;
              m_flow = 0.001;
            else
                if time <= 348 then
                  Cooling_unit_3_4_on_off = true;
                  switch_value = true;
                  m_flow = 0.01;
                else
                  Cooling_unit_3_4_on_off = false;
                  switch_value = false;
                  m_flow = 0.001;
                end if;
            end if;

            energy_supply_single_cooling_unit_1_2.u = Cooling_unit_1_2_on_off;
            energy_supply_single_cooling_unit_3_4.u = Cooling_unit_3_4_on_off;
            //****************************************************************************

            //****************************************************************************
            // ideal MPPT
            //****************************************************************************
             if switch_value == true then
               R_calc = (R1*R2)/(R1+R2) + (R3*R4)/(R3+R4) + (R5*R6)/(R5+R6) + (R7*R8)/(R7+R8);
             else
                 if switch_TEG_2.booleanStep.y == true then
                   R_calc = (R1*R2)/(R1+R2) + (R3*R4)/(R3+R4);
                 else
                   R_calc = (R1*R2)/(R1+R2);
                 end if;
             end if;

            electrical_connection_TEG.R = R_calc;
            //****************************************************************************

            connect(pipe_TEG_1.heatPorts1[1], TEG1A.port_a1) annotation (Line(
                points={{-116,5},{-116,15}},
                color={127,0,0},
                smooth=Smooth.None));
            connect(pipe_TEG_1.heatPorts2[1], TEG1B.port_a1) annotation (Line(
                points={{-116,-5},{-116,-15}},
                color={127,0,0},
                smooth=Smooth.None));
            connect(pipe_TEG_2.heatPorts1[1], TEG2A.port_a1) annotation (Line(
                points={{-56,5},{-56,15}},
                color={127,0,0},
                smooth=Smooth.None));
            connect(pipe_TEG_2.heatPorts2[1], TEG2B.port_a1) annotation (Line(
                points={{-56,-5},{-56,-15}},
                color={127,0,0},
                smooth=Smooth.None));
            connect(pipe_TEG_3.heatPorts1[1], TEG3A.port_a1) annotation (Line(
                points={{4,5},{4,15}},
                color={127,0,0},
                smooth=Smooth.None));
            connect(pipe_TEG_3.heatPorts2[1], TEG3B.port_a1) annotation (Line(
                points={{4,-5},{4,-15}},
                color={127,0,0},
                smooth=Smooth.None));
            connect(pipe_TEG_4.heatPorts1[1], TEG4A.port_a1) annotation (Line(
                points={{64,5},{64,15}},
                color={127,0,0},
                smooth=Smooth.None));
            connect(pipe_TEG_4.heatPorts2[1], TEG4B.port_a1) annotation (Line(
                points={{64,-5},{64,-15}},
                color={127,0,0},
                smooth=Smooth.None));
            connect(TEG1A.port_b1, cooling_element1A.port_a1) annotation (Line(
                points={{-116,25},{-116,35}},
                color={191,0,0},
                smooth=Smooth.None));
            connect(cooling_element2A.port_a1, TEG2A.port_b1) annotation (Line(
                points={{-56,35},{-56,25}},
                color={191,0,0},
                smooth=Smooth.None));
            connect(TEG3A.port_b1, cooling_element3A.port_a1) annotation (Line(
                points={{4,25},{4,35}},
                color={191,0,0},
                smooth=Smooth.None));
            connect(TEG4A.port_b1, cooling_element4A.port_a1) annotation (Line(
                points={{64,25},{64,35}},
                color={191,0,0},
                smooth=Smooth.None));
            connect(TEG1B.port_b1, cooling_element1B.port_a1) annotation (Line(
                points={{-116,-25},{-116,-35}},
                color={191,0,0},
                smooth=Smooth.None));
            connect(TEG2B.port_b1, cooling_element2B.port_a1) annotation (Line(
                points={{-56,-25},{-56,-35}},
                color={191,0,0},
                smooth=Smooth.None));
            connect(TEG3B.port_b1, cooling_element3B.port_a1) annotation (Line(
                points={{4,-25},{4,-35}},
                color={191,0,0},
                smooth=Smooth.None));
            connect(TEG4B.port_b1, cooling_element4B.port_a1) annotation (Line(
                points={{64,-25},{64,-35}},
                color={191,0,0},
                smooth=Smooth.None));
            connect(distributor_in_1_2.port_b, cooling_element1B.port_a) annotation (Line(
                points={{-92,-54},{-92,-40},{-108,-40}},
                color={0,127,255},
                smooth=Smooth.None,
                visible=false));
            connect(distributor_in_1_2.port_b1, cooling_element1A.port_a) annotation (
                Line(
                points={{-88,-54},{-88,40},{-108,40}},
                color={0,127,255},
                smooth=Smooth.None,
                visible=false));
            connect(distributor_in_1_2.port_b2, cooling_element2B.port_a) annotation (
                Line(
                points={{-84,-54},{-84,-46},{-44,-46},{-44,-40},{-48,-40}},
                color={0,127,255},
                smooth=Smooth.None,
                visible=false));
            connect(distributor_in_1_2.port_b3, cooling_element2A.port_a) annotation (
                Line(
                points={{-80,-54},{-80,-48},{-38,-48},{-38,40},{-48,40}},
                color={0,127,255},
                smooth=Smooth.None,
                visible=false));
            connect(cooling_element1B.port_b, distributor_out_1_2.port_a) annotation (
                Line(
                points={{-124.4,-40},{-128,-40},{-128,-86},{-92,-86},{-92,-82}},
                color={0,127,255},
                smooth=Smooth.None,
                visible=false));
            connect(cooling_element1A.port_b, distributor_out_1_2.port_a1) annotation (
                Line(
                points={{-124.4,40},{-134,40},{-134,-92},{-88,-92},{-88,-82}},
                color={0,127,255},
                smooth=Smooth.None,
                visible=false));
            connect(cooling_element2A.port_b, distributor_out_1_2.port_a3) annotation (
                Line(
                points={{-64.4,40},{-72,40},{-72,-86},{-80,-86},{-80,-82}},
                color={0,127,255},
                smooth=Smooth.None,
                visible=false));
            connect(cooling_element2B.port_b, distributor_out_1_2.port_a2) annotation (
                Line(
                points={{-64.4,-40},{-68,-40},{-68,-92},{-84,-92},{-84,-82}},
                color={0,127,255},
                smooth=Smooth.None,
                visible=false));
            connect(distributor_in_3_4.port_b, cooling_element3B.port_a) annotation (Line(
                points={{28,-54},{28,-40},{12,-40}},
                color={0,127,255},
                smooth=Smooth.None,
                visible=false));
            connect(distributor_in_3_4.port_b1, cooling_element3A.port_a) annotation (
                Line(
                points={{32,-54},{32,40},{12,40}},
                color={0,127,255},
                smooth=Smooth.None,
                visible=false));
            connect(distributor_in_3_4.port_b2, cooling_element4B.port_a) annotation (
                Line(
                points={{36,-54},{36,-46},{78,-46},{78,-40},{72,-40}},
                color={0,127,255},
                smooth=Smooth.None,
                visible=false));
            connect(distributor_in_3_4.port_b3, cooling_element4A.port_a) annotation (
                Line(
                points={{40,-54},{40,-50},{84,-50},{84,40},{72,40}},
                color={0,127,255},
                smooth=Smooth.None,
                visible=false));
            connect(distributor_out_3_4.port_a, cooling_element3B.port_b) annotation (
                Line(
                points={{28,-82},{28,-86},{-10,-86},{-10,-40},{-4.4,-40}},
                color={0,127,255},
                smooth=Smooth.None,
                visible=false));
            connect(distributor_out_3_4.port_a1, cooling_element3A.port_b) annotation (
                Line(
                points={{32,-82},{32,-90},{-18,-90},{-18,40},{-4.4,40}},
                color={0,127,255},
                smooth=Smooth.None,
                visible=false));
            connect(distributor_out_3_4.port_a2, cooling_element4B.port_b) annotation (
                Line(
                points={{36,-82},{36,-90},{52,-90},{52,-40},{55.6,-40}},
                color={0,127,255},
                smooth=Smooth.None,
                visible=false));
            connect(distributor_out_3_4.port_a3, cooling_element4A.port_b) annotation (
                Line(
                points={{40,-82},{40,-86},{48,-86},{48,40},{55.6,40}},
                color={0,127,255},
                smooth=Smooth.None,
                visible=false));
            connect(distributor_in_1_2.port_a, cooling_unit_1_2.port_b) annotation (Line(
                points={{-76,-64},{-60,-64}},
                color={0,127,255},
                smooth=Smooth.None));
            connect(distributor_out_1_2.port_b, cooling_unit_1_2.port_a) annotation (Line(
                points={{-76,-72},{-60,-72}},
                color={0,127,255},
                smooth=Smooth.None));
            connect(distributor_in_3_4.port_a, cooling_unit_3_4.port_b) annotation (Line(
                points={{44,-64},{60,-64}},
                color={0,127,255},
                smooth=Smooth.None));
            connect(distributor_out_3_4.port_b, cooling_unit_3_4.port_a) annotation (Line(
                points={{44,-72},{60,-72}},
                color={0,127,255},
                smooth=Smooth.None));

            connect(TEG1A.pin_n1, switch_TEG_2.p1) annotation (Line(
                points={{-107,20},{-93,20}},
                color={0,0,255},
                smooth=Smooth.None));
            connect(TEG2A.pin_p1, switch_TEG_2.n2) annotation (Line(
                points={{-65,20},{-75,20}},
                color={0,0,255},
                smooth=Smooth.None));
            connect(TEG1B.pin_n1, switch_TEG_2.p1) annotation (Line(
                points={{-107,-20},{-98,-20},{-98,20},{-93,20}},
                color={0,0,255},
                smooth=Smooth.None));
            connect(TEG4B.pin_n1, TEG4A.pin_n1) annotation (Line(
                points={{73,-20},{82,-20},{82,20},{73,20}},
                color={0,0,255},
                smooth=Smooth.None));
            connect(TEG1B.pin_p1, TEG1A.pin_p1) annotation (Line(
                points={{-125,-20},{-130,-20},{-130,20},{-125,20}},
                color={0,0,255},
                smooth=Smooth.None));
            connect(TEG2B.pin_p1, switch_TEG_2.n2) annotation (Line(
                points={{-65,-20},{-70,-20},{-70,20},{-75,20}},
                color={0,0,255},
                smooth=Smooth.None));
            connect(switch_TEG_2.n1, TEG4A.pin_n1) annotation (Line(
                points={{-75,25},{-75,30},{82,30},{82,20},{73,20}},
                color={0,0,255},
                smooth=Smooth.None));
            connect(pulse1.y, cooling_unit_1_2.m_flow_in) annotation (Line(
                points={{-61.7,-55},{-55,-55},{-55,-61.6}},
                color={0,0,127},
                smooth=Smooth.None));
            connect(TEG3A.pin_p1, switch_TEG_3.n2) annotation (Line(
                points={{-5,20},{-12,20}},
                color={0,0,255},
                smooth=Smooth.None));
            connect(TEG2A.pin_n1, TEG2B.pin_n1) annotation (Line(
                points={{-47,20},{-38,20},{-38,-20},{-47,-20}},
                color={0,0,255},
                smooth=Smooth.None));
            connect(TEG3B.pin_p1, switch_TEG_3.n2) annotation (Line(
                points={{-5,-20},{-10,-20},{-10,20},{-12,20}},
                color={0,0,255},
                smooth=Smooth.None));
            connect(TEG4A.pin_p1, switch_TEG_4.n2) annotation (Line(
                points={{55,20},{46,20}},
                color={0,0,255},
                smooth=Smooth.None));
            connect(TEG4B.pin_p1, switch_TEG_4.n2) annotation (Line(
                points={{55,-20},{50,-20},{50,20},{46,20}},
                color={0,0,255},
                smooth=Smooth.None));
            connect(switch_TEG_3.n1, TEG4A.pin_n1) annotation (Line(
                points={{-12,25},{-12,30},{82,30},{82,20},{73,20}},
                color={0,0,255},
                smooth=Smooth.None));
            connect(switch_TEG_4.n1, TEG4A.pin_n1) annotation (Line(
                points={{46,25},{46,30},{82,30},{82,20},{73,20}},
                color={0,0,255},
                smooth=Smooth.None));
            connect(TEG2A.pin_n1, switch_TEG_3.p)
              annotation (Line(points={{-47,20},{-39.5,20},{-32,20}}, color={0,0,255}));
            connect(TEG3A.pin_n1, switch_TEG_4.p)
              annotation (Line(points={{13,20},{19.5,20},{26,20}}, color={0,0,255}));
            connect(TEG3B.pin_n1, switch_TEG_4.p) annotation (Line(points={{13,-20},{18,-20},
                    {18,-20},{22,-20},{22,20},{26,20}}, color={0,0,255}));
            connect(heating_boiler.port_b1, pipe_TEG_1.port_a) annotation (Line(
                points={{-144,0},{-132,0},{-120,0}},
                color={0,127,255},
                visible=false));
            connect(pipe_TEG_1.port_b, pipe_TEG_2.port_a) annotation (Line(
                points={{-100,0},{-80,0},{-60,0}},
                color={0,127,255},
                visible=false));
            connect(pipe_TEG_2.port_b, pipe_TEG_3.port_a) annotation (Line(
                points={{-40,0},{-20,0},{0,0}},
                color={0,127,255},
                visible=false));
            connect(pipe_TEG_3.port_b, pipe_TEG_4.port_a) annotation (Line(
                points={{20,0},{40,0},{60,0}},
                color={0,127,255},
                visible=false));
            connect(pipe_TEG_4.port_b, chimney.port_a1) annotation (Line(
                points={{80,0},{102,0},{120,0}},
                color={0,127,255},
                visible=false));
            connect(pipe_TEG_4.fluid, ambientTemperature.port) annotation (Line(
                points={{76,5},{76,5},{76,80},{-120,80}},
                color={191,0,0},
                visible=false));
            connect(pipe_TEG_3.fluid, ambientTemperature.port) annotation (Line(
                points={{16,5},{16,80},{-120,80}},
                color={191,0,0},
                visible=false));
            connect(pipe_TEG_2.fluid, ambientTemperature.port) annotation (Line(
                points={{-44,5},{-44,80},{-120,80}},
                color={191,0,0},
                visible=false));
            connect(pipe_TEG_1.fluid, ambientTemperature.port) annotation (Line(
                points={{-104,5},{-104,80},{-120,80}},
                color={191,0,0},
                visible=false));
            connect(energy_supply_single_cooling_unit_1_2.p, cooling_unit_1_2.p1)
              annotation (Line(
                points={{-16,-61},{-16,-52},{-49,-52},{-49,-61.6}},
                color={0,0,255},
                visible=false));
            connect(cooling_unit_1_2.n1, energy_supply_single_cooling_unit_1_2.n)
              annotation (Line(
                points={{-41,-61.6},{-41,-56},{-4,-56},{-4,-61}},
                color={0,0,255},
                visible=false));
            connect(cooling_unit_3_4.p1, energy_supply_single_cooling_unit_3_4.p)
              annotation (Line(
                points={{71,-61.6},{71,-52},{104,-52},{104,-61}},
                color={0,0,255},
                visible=false));
            connect(cooling_unit_3_4.n1, energy_supply_single_cooling_unit_3_4.n)
              annotation (Line(
                points={{79,-61.6},{79,-56},{116,-56},{116,-61}},
                color={0,0,255},
                visible=false));
            connect(TEG4B.pin_n1, electrical_connection_TEG.n1)
              annotation (Line(points={{73,-20},{112,-20},{150,-20}}, color={0,0,255}));
            connect(TEG1B.pin_p1, electrical_connection_TEG.p1) annotation (Line(points={{
                    -125,-20},{-130,-20},{-130,-32},{100,-32},{100,-40},{150,-40}}, color=
                   {0,0,255}));
            connect(energy_supply_single_cooling_unit_1_2.p, ground.p)
              annotation (Line(
                points={{-16,-61},{36,-61},{36,-78},{90,-78}},
                color={0,0,255},
                visible=false));
            connect(energy_supply_single_cooling_unit_3_4.p, ground.p)
              annotation (Line(points={{104,-61},{96,-61},{96,-78},{90,-78}},
                  color={0,0,255}));
          //*****************************************************************************/

              annotation (Diagram(coordinateSystem(extent={{-180,-100},{180,100}},
                    preserveAspectRatio=false), graphics={
                  Rectangle(
                    extent={{-100,4},{-60,-4}},
                    lineColor={0,0,0},
                    fillColor={175,175,175},
                    fillPattern=FillPattern.HorizontalCylinder),
                  Rectangle(
                    extent={{-40,4},{0,-4}},
                    lineColor={0,0,0},
                    fillColor={175,175,175},
                    fillPattern=FillPattern.HorizontalCylinder),
                  Rectangle(
                    extent={{20,4},{60,-4}},
                    lineColor={0,0,0},
                    fillColor={175,175,175},
                    fillPattern=FillPattern.HorizontalCylinder),
                  Rectangle(
                    extent={{80,4},{120,-4}},
                    lineColor={0,0,0},
                    fillColor={175,175,175},
                    fillPattern=FillPattern.HorizontalCylinder),
                  Rectangle(
                    extent={{-144,4},{-120,-4}},
                    lineColor={0,0,0},
                    fillColor={175,175,175},
                    fillPattern=FillPattern.HorizontalCylinder)}), Icon(coordinateSystem(
                    extent={{-180,-100},{180,100}})),
              experiment(StopTime=2100),
              __Dymola_experimentSetupOutput, Documentation(info="<html>
   <p>
**************************************************************************** <br>
  <b> Copyright (C) 2015-2017 Chair of Automation and Energy Systems, Saarland University </b> <br>
------------------------------------------------------------------------------------------------------------------ <br>
  This file is part of EHSTEG. <p>                    
  
  For more information see <a href=\"//EHSTEG.UsersGuide\">User's Guide</a> <p>
  
**************************************************************************** <p>
</html>
"));
          end LCS_20_80_Controlled;

          annotation (Documentation(info="<html>
   <p>
**************************************************************************** <br>
  <b> Copyright (C) 2015-2017 Chair of Automation and Energy Systems, Saarland University </b> <br>
------------------------------------------------------------------------------------------------------------------ <br>
  This file is part of EHSTEG. <p>                    
  
  For more information see <a href=\"//EHSTEG.UsersGuide\">User's Guide</a> <p>
  
**************************************************************************** <p>
</html>
"));
        end HeatingLoad_20_80;
        annotation (Documentation(info="<html>
   <p>
**************************************************************************** <br>
  <b> Copyright (C) 2015-2017 Chair of Automation and Energy Systems, Saarland University </b> <br>
------------------------------------------------------------------------------------------------------------------ <br>
  This file is part of EHSTEG. <p>                    
  
  For more information see <a href=\"//EHSTEG.UsersGuide\">User's Guide</a> <p>
  
**************************************************************************** <p>
</html>
"));
      end SystemAssessment;
      annotation (Documentation(info="<html>
   <p>
**************************************************************************** <br>
  <b> Copyright (C) 2015-2017 Chair of Automation and Energy Systems, Saarland University </b> <br>
------------------------------------------------------------------------------------------------------------------ <br>
  This file is part of EHSTEG. <p>                    
  
  For more information see <a href=\"//EHSTEG.UsersGuide\">User's Guide</a> <p>
  
**************************************************************************** <p>
</html>
"));
    end SystemReconfiguration;

    package TEGvsTEC "package contains the comparison between TEG and TEC"

      //Copyright (C) 2015-2017 Chair of Automation and Energy Systems, Saarland University (for more information see 'Documentation')

      model TEGvsTEC_OpenCircuit
        "Comparison of open-circuit voltage, according to 'Messung_16-03-02'"

        //Copyright (C) 2015-2017 Chair of Automation and Energy Systems, Saarland University (for more information see 'Documentation')

      //used components**************************************************************/
        Components.ThermoelectricDevice.HebeiIT.TEC1_12706 tEC1_12706_1
          annotation (Placement(transformation(extent={{-60,-10},{-40,10}})));
        Components.ThermoelectricDevice.EuropeanThermodynamics.GM250_127_14_10
          gM250_127_14_10_1
          annotation (Placement(transformation(extent={{40,-10},{60,10}})));
        Modelica.Thermal.HeatTransfer.Sources.PrescribedTemperature
          prescribedTemperature annotation (Placement(transformation(
              extent={{-10,-10},{10,10}},
              rotation=270,
              origin={-50,38})));
        Modelica.Thermal.HeatTransfer.Sources.PrescribedTemperature
          prescribedTemperature1 annotation (Placement(transformation(
              extent={{-10,-10},{10,10}},
              rotation=270,
              origin={50,36})));
        Modelica.Thermal.HeatTransfer.Sources.PrescribedTemperature
          prescribedTemperature2 annotation (Placement(transformation(
              extent={{-10,-10},{10,10}},
              rotation=90,
              origin={-50,-38})));
        Modelica.Thermal.HeatTransfer.Sources.PrescribedTemperature
          prescribedTemperature3 annotation (Placement(transformation(
              extent={{-10,-10},{10,10}},
              rotation=90,
              origin={50,-38})));
        Modelica.Electrical.Analog.Sensors.VoltageSensor voltageSensor_TEC
          annotation (Placement(transformation(extent={{-90,-40},{-70,-20}})));
        Modelica.Electrical.Analog.Sensors.VoltageSensor voltageSensor_TEG
          annotation (Placement(transformation(extent={{10,-40},{30,-20}})));
        Modelica.Electrical.Analog.Basic.Ground ground
          annotation (Placement(transformation(extent={{-40,-48},{-20,-28}})));
        Modelica.Electrical.Analog.Basic.Ground ground1
          annotation (Placement(transformation(extent={{60,-48},{80,-28}})));
        Modelica.Blocks.Tables.CombiTable1D MeasurementDataTHot_TEC(table=[0,30; 0.5,30;
              1,30; 1.5,29.8; 2,30; 2.7,29.8; 3,30; 3.5,29.8; 4,29.8; 4.5,29.8; 5,29.8;
              5.5,29.8; 6.3,29.8; 6.5,29.8; 7,29.8; 7.5,29.8; 8,29.8; 8.5,29.8; 9,29.8;
              9.5,29.8; 10,29.8; 10.5,29.7; 11,29.8; 11.5,29.7; 12,29.8; 12.5,29.9; 13,
              29.8; 13.5,29.7; 14,29.7; 14.5,29.8; 15,29.8; 15.5,29.8; 16,29.8; 16.5,29.8;
              17,29.8; 17.5,29.8; 18,29.8; 18.5,29.8; 19,29.8; 19.5,30; 20,30; 20.5,30;
              21,30; 21.5,30.2; 22,30.1; 22.5,30.3; 23,30.3; 23.5,30.5; 24,30.6; 24.5,
              30.8; 25,30.9; 25.5,31.1; 26,31.1; 26.5,31.2; 27,31.4; 27.5,31.5; 28,31.7;
              28.5,31.9; 29,32; 29.5,32.2; 30,32.3; 30.5,32.6; 31,32.8; 31.5,32.9; 32,
              33.3; 32.5,33.4; 33,33.7; 33.5,33.9; 34,34.2; 34.5,34.3; 35,34.6; 35.5,34.9;
              36,35.1; 36.5,35.4; 37,35.6; 37.5,35.9; 38,36.2; 38.5,36.5; 39,36.8; 39.5,
              37.1; 40,37.4; 40.5,37.7; 41,38; 41.5,38.4; 42,38.7; 42.5,39; 43,39.3; 43.5,
              39.6; 44,39.9; 44.5,40.4; 45,40.7; 45.5,41; 46,41.3; 46.5,41.6; 47,42.1;
              47.5,42.5; 48,42.8; 48.5,43.1; 49,43.4; 49.5,43.9; 50,44.4; 50.5,44.7; 51,
              45; 51.5,45.4; 52,45.9; 52.5,46.2; 53,46.7; 53.5,47; 54,47.5; 54.5,47.8;
              55,48.2; 55.5,48.5; 56,48.8; 56.5,49.3; 57,49.7; 57.5,50; 58,50.5; 58.5,
              50.8; 59,51.3; 59.5,51.6; 60,52.1; 60.5,52.5; 61,53; 61.5,53.3; 62,53.8;
              62.5,54.3; 63,54.7; 63.5,55.2; 64,55.5; 64.5,56; 65,56.6; 65.5,57.1; 66,
              57.4; 66.5,57.8; 67,58.3; 67.5,58.8; 68,59.1; 68.5,59.5; 69,60; 69.5,60.5;
              70,60.9; 70.5,61.4; 71,61.9; 71.5,62.3; 72,62.8; 72.5,63.1; 73,63.6; 73.5,
              64; 74,64.5; 74.5,65; 75,65.3; 75.5,65.8; 76,66.2; 76.5,66.7; 77,67.1; 77.5,
              67.6; 78,68.1; 78.5,68.5; 79,69; 79.5,69.5; 80,69.9; 80.5,70.4; 81,70.9;
              81.5,71.3; 82,71.8; 82.5,72.3; 83,72.7; 83.5,73.2; 84,73.7; 84.5,74.1; 85,
              74.6; 85.5,74.9; 86,75.3; 86.5,75.8; 87,76.3; 87.5,76.7; 88,77.2; 88.5,77.8;
              89,78.3; 89.5,78.7; 90,79.2; 90.5,79.7; 91,80.2; 91.5,80.6; 92,81.1; 92.5,
              81.7; 93,82.2; 93.5,82.6; 94,83; 94.5,83.4; 95,83.9; 95.5,84.3; 96,85; 96.5,
              85.3; 97,85.9; 97.5,86.3; 98,86.8; 98.5,87.3; 99,87.6; 99.5,88.1; 100,88.5;
              100.5,88.8; 101,89.3; 101.5,89.8; 102,90.2; 102.5,90.7; 103,91.2; 103.5,
              91.5; 104,91.9; 104.5,92.2; 105,92.7; 105.5,93.2; 106,93.5; 106.5,94; 107,
              94.3; 107.5,94.4; 108,94.9; 108.5,95.3; 109,95.6; 109.5,95.9; 110,96.3;
              110.5,96.7; 111,97.2; 111.5,97.5; 112,98; 112.5,98.3; 113,98.7; 113.5,99.1;
              114,99.5; 114.5,100; 115,100.4; 115.5,100.9; 116,101.2; 116.5,101.7; 117,
              102.2; 117.5,102.5; 118,102.6; 118.5,103.1; 119,103.4; 119.5,103.7; 120,
              104.2; 120.5,104.5; 121,104.9; 121.5,105.2; 122,105.7; 122.5,106.2; 123,
              106.7; 123.5,107.1; 124,107.4; 124.5,107.9; 125,108.2; 125.5,108.5; 126,
              108.8; 126.5,109.3; 127,109.8; 127.5,110.2; 128,110.5; 128.5,111; 129,111.3;
              129.5,111.6; 130,111.9; 130.5,112.2; 131,112.7; 131.5,112.9; 132,113.2;
              132.5,113.3; 133,113.8; 133.5,114.4; 134,114.9; 134.5,115.3; 135,115.6;
              135.5,116; 136,116.4; 136.5,116.7; 137,117; 137.5,117.3; 138,117.6; 138.5,
              118; 139,118.1; 139.5,118.3; 140,118.6; 140.5,118.7; 141,119.1; 141.5,119.4;
              142,119.7; 142.5,120; 143,120.3; 143.5,120.6; 144,121.1; 144.5,121.4; 145,
              121.7; 145.5,122.1; 146,122.4; 146.5,122.8; 147,123.1; 147.5,123.4; 148,
              123.7; 148.5,124; 149,124.3; 149.5,124.6; 150,124.9; 150.5,125.1; 151,125.2;
              151.5,125.4; 152,125.6; 152.5,125.9; 153,126; 153.5,126.3; 154,126.6; 154.5,
              126.8; 155,127; 155.5,127.1; 156,127.4; 156.5,127.6; 157,127.6; 157.5,127.9;
              158,128; 158.5,128.2; 159,128.5; 159.5,128.6; 160,128.8; 160.5,128.8; 161,
              129; 161.5,129.3; 162,129.4; 162.5,129.4; 163,129.6; 163.5,129.9; 164,130;
              164.5,130.2; 165,130.3; 165.5,130.3; 166,130.5; 166.5,130.5; 167,130.7;
              167.5,130.6; 168,131; 168.5,131.1; 169,131.3; 169.5,131.4; 170,131.4; 170.5,
              131.4; 171,131.6; 171.5,131.6; 172,131.7; 172.5,131.7; 173,131.7; 173.5,
              131.9; 174,131.9; 174.5,132; 175,132; 175.5,132; 176,132; 176.5,132; 177,
              132; 177.5,132.2; 178,132.2; 178.5,132.2; 179,132; 179.5,132.2; 180,132;
              180.5,132; 181,132.2; 181.5,132.2; 182,132.2; 182.5,132.2; 183,132.4; 183.5,
              132.5; 184,132.5; 184.5,132.8; 185,132.8; 185.5,132.8; 186,132.8; 186.5,
              132.8; 187,132.8; 187.5,132.8; 188,132.8; 188.5,132.8; 189,132.8; 189.5,
              132.8; 190,132.8; 190.5,132.8; 191,132.8; 191.5,132.8; 192,132.8; 192.5,
              132.8; 193,132.8; 193.5,132.8; 194,132.8; 194.5,132.8; 195,132.7; 195.5,
              132.7; 196,132.7; 196.5,132.5; 197,132.5; 197.5,132.4; 198,132.4; 198.5,
              132.4; 199,132.4; 199.5,132.5; 200,132.4; 200.5,132.4; 201,132.4; 201.5,
              132.4; 202,132.4; 202.5,132.2; 203,132.2; 203.5,132.2; 204,132.2; 204.5,
              132.4; 205,132.4; 205.5,132.5; 206,132.5; 206.5,132.5; 207,132.5; 207.5,
              132.4; 208,132; 208.5,132; 209,132; 209.5,132; 210,132; 210.5,131.9; 211,
              131.9; 211.5,131.9; 212,132; 212.5,132.2; 213,132.5; 213.5,132.5; 214,132.5;
              214.5,132.5; 215,132.5; 215.5,132.5; 216,132.4; 216.5,132; 217,131.9; 217.5,
              131.7; 218,131.7; 218.5,131.6; 219,131.6; 219.5,131.6; 220,131.7; 220.5,
              131.9; 221,131.9; 221.5,131.9; 222,131.9; 222.5,131.9; 223,131.9; 223.5,
              131.9; 224,131.7; 224.5,131.7; 225,131.7; 225.5,131.6; 226,131.7; 226.5,
              131.6; 227,131.4; 227.5,131.6; 228,131.6; 228.5,131.6; 229,131.4; 229.5,
              131.4; 230,131.4; 230.5,131.3; 231,131.3; 231.5,131.1; 232,131; 232.5,130.8;
              233,130.8; 233.5,131; 234,131; 234.5,130.8; 235,130.5; 235.5,130.3; 236,
              130.2; 236.5,130; 237,129.9; 237.5,129.7; 238,129.7; 238.5,129.4; 239,129.3;
              239.5,129.1; 240,129.1; 240.5,128.9; 241,129; 241.5,129.1; 242,129.1; 242.5,
              129.1; 243,129.1; 243.5,129; 244,129; 244.5,128.8; 245,128.8; 245.5,128.6;
              246,128.5; 246.5,128.3; 247,128.3; 247.5,128.3; 248,128.2; 248.5,128.2;
              249,128.2; 249.5,128; 250,128; 250.5,127.9; 251,127.9; 251.5,127.9; 252,
              127.7; 252.5,127.7; 253,127.6; 253.5,127.6; 254,127.4; 254.5,127.4; 255,
              127.3; 255.5,127.1; 256,127.1; 256.5,126.9; 257,127; 257.5,126.8; 258,126.8;
              258.5,126.8; 259,126.6; 259.5,126.6; 260,126.6; 260.5,126.5; 261,126.3;
              261.5,126.3; 262,126.2; 262.5,126.2; 263,126; 263.5,126; 264,125.9; 264.5,
              125.9; 265,125.9; 265.5,125.9; 266,125.9; 266.5,125.9; 267,125.7; 267.5,
              125.6; 268,125.4; 268.5,125.4; 269,125.2; 269.5,125.2; 270,125.2; 270.5,
              125.2; 271,125.2; 271.5,125.1; 272,125.1; 272.5,124.9; 273,124.9; 273.5,
              124.8; 274,124.6; 274.5,124.6; 275,124.6; 275.5,124.6; 276,124.5; 276.5,
              124.3; 277,124.3; 277.5,124.1; 278,124.1; 278.5,124; 279,124; 279.5,123.8;
              280,123.8; 280.5,123.8; 281,123.7; 281.5,123.7; 282,123.7; 282.5,123.5;
              283,123.5; 283.5,123.5; 284,123.5; 284.5,123.4; 285,123.4; 285.5,123.4;
              286,123.2; 286.5,123.2; 287,123.1; 287.5,123.1; 288,122.9; 288.5,122.9;
              289,122.9; 289.5,122.7; 290,122.8; 290.5,122.9; 291,122.9; 291.5,122.9;
              292,122.8; 292.5,122.6; 293,122.4; 293.5,122.4; 294,122.3; 294.5,122.1;
              295,122; 295.5,121.8; 296,121.8; 296.5,121.7; 297,121.7; 297.5,121.7; 298,
              121.7; 298.5,121.5; 299,121.4; 299.5,121.4; 300,121.2; 300.5,121.2; 301,
              121.1; 301.5,121.1; 302,120.9; 302.5,120.9; 303,120.7; 303.5,120.7; 304,
              120.6; 304.5,120.6; 305,120.5; 305.5,120.4; 306,120.4; 306.5,120.4; 307,
              120.4; 307.5,120.6; 308,120.4; 308.5,120.4; 309,120.3; 309.5,120.3; 310,
              120.1; 310.5,120.1; 311,120; 311.5,119.8; 312,119.8; 312.5,119.8; 313,119.6;
              313.5,119.5; 314,119.3; 314.5,119.3; 315,119.3; 315.5,119.4; 316,119.2;
              316.5,119.2; 317,119.2; 317.5,119.1; 318,119; 318.5,119.1; 319,118.9; 319.5,
              118.9; 320,118.7; 320.5,118.7; 321,118.7; 321.5,118.7; 322,118.7; 322.5,
              118.6; 323,118.6; 323.5,118.6; 324,118.6; 324.5,118.4; 325,118.3; 325.5,
              118.3; 326,118.3; 326.5,118.3; 327,118.1; 327.5,118.1; 328,118; 328.5,118;
              329,118; 329.5,117.8; 330,117.8; 330.5,117.6; 331,117.6; 332.5,117.3; 332.6,
              117.3; 335.5,117.2; 335.7,117.2; 336,117; 336.5,117; 337,116.9; 337.5,116.9;
              338,117; 338.5,117; 339,117.2; 339.5,117; 340,116.7; 340.5,116.7; 341,116.6;
              341.5,116.4; 342,116.3; 342.5,116.1; 343,116.1; 343.5,116.1; 344,115.9;
              344.5,116; 345,116; 345.5,115.8; 346,115.8; 346.5,115.6; 347,115.7; 347.5,
              115.6; 348,115.5; 348.5,115.5; 349,115.5; 349.5,115.3; 350,115.2; 350.5,
              115; 351,115; 351.5,114.9; 352,114.9; 352.5,114.9; 353,114.9; 353.5,114.7;
              354,114.7; 354.5,114.6; 355,114.6; 355.5,114.4; 356,114.4; 356.5,114.3;
              357,114.3; 357.5,114.3; 358,114.1; 358.5,114.1; 359,114.1; 359.5,114.1;
              360,113.9; 360.5,113.8; 361,113.8; 361.5,113.8; 362,113.6; 362.5,113.6;
              363,113.6; 363.5,113.6; 364,113.5; 364.5,113.5; 365,113.3; 365.5,113.3;
              366,113.2; 366.5,113; 367,112.8; 367.5,112.9; 368,112.8; 368.5,112.9; 369,
              112.7; 369.5,112.7; 370,112.5; 370.5,112.5; 371,112.4; 371.5,112.4; 372,
              112.2; 372.5,112.2; 373,112.2; 373.5,112.2; 374,112.2; 374.5,112.2; 375,
              112.1; 375.5,112.1; 376,111.9; 376.5,111.9; 377,111.8; 377.5,111.8; 378,
              111.8; 378.5,111.6; 379,111.6; 379.5,111.6; 380,111.5; 380.5,111.3; 381,
              111.3; 381.5,111.2; 382,111.2; 382.5,111; 383,111; 383.5,111; 384,111; 384.5,
              110.9; 385,110.9; 385.5,110.7; 386,110.7; 386.5,110.7; 387,110.5; 387.5,
              110.5; 388,110.5; 388.5,110.4; 389,110.4; 389.5,110.4; 390,110.2; 390.5,
              110.2; 391,110.2; 391.5,110.1; 392,110.1; 392.5,109.9; 393,109.9; 393.5,
              109.9; 394,109.8; 394.5,109.8; 395,109.8; 395.5,109.6; 396,109.6; 396.5,
              109.4; 397,109.4; 397.5,109.4; 398,109.3; 398.5,109.1; 399,109.1; 399.5,
              109.1; 400,109.1; 400.5,109.1; 401,109.1; 401.5,109.1; 402,109; 402.5,109;
              403,108.8; 403.5,108.8; 404,108.8; 404.5,108.7; 405,108.7; 405.5,108.5;
              406,108.5; 406.5,108.4; 407,108.2; 407.5,108.2; 408,108.2; 408.5,108.2;
              409,108; 409.5,108; 410,108.1; 410.5,107.9; 411,107.9; 411.5,107.9; 412,
              107.9; 412.5,107.9; 413,107.9; 413.5,107.7; 414,107.7; 414.5,107.6; 415,
              107.6; 415.5,107.6; 416,107.4; 416.5,107.4; 417,107.3; 417.5,107.3; 418,
              107.1; 418.5,107.1; 419,107.1; 419.5,107.1; 420,107.1; 420.5,107.1; 421,
              107.1; 421.5,107; 422,107; 422.5,107; 423,107; 423.5,106.8; 424,106.7; 424.5,
              106.6; 425,106.5; 425.5,106.5; 426,106.5; 426.5,106.3; 427,106.3; 427.5,
              106.3; 428,106.3; 428.5,106.3; 429,106.2; 429.5,106; 430,105.9; 430.5,105.9;
              431,105.9; 431.5,105.9; 432,105.9; 432.5,105.7; 433,105.7; 433.5,105.7;
              434,105.6; 434.5,105.6; 435,105.6; 435.5,105.4; 436,105.4; 436.5,105.2;
              437,105.2; 437.5,105.1; 438,105.1; 438.5,105.1; 439,105.1; 439.5,104.9;
              440,104.9; 440.5,104.9; 441,104.8; 441.5,104.8; 442,104.8; 442.5,104.8;
              443,104.8; 443.5,104.8; 444,104.8; 444.5,104.8; 445,104.8; 445.5,104.9;
              446,104.8; 446.5,104.8; 447,104.8; 447.5,104.8; 448,104.8; 448.5,104.8;
              449,104.6; 449.5,104.5; 450,104.5; 450.5,104.5; 451,104.5; 451.5,104.5;
              452,104.5; 452.5,104.3; 453,104.3; 453.5,104.2; 454,104; 454.5,103.8; 455,
              103.7; 455.5,103.5; 456,103.5; 456.5,103.4; 457,103.4; 457.5,103.4; 458,
              103.2; 458.5,103.1; 459,103.1; 459.5,103.1; 460,102.9; 460.5,102.9; 461,
              102.8; 461.5,102.8; 462,102.6; 462.5,102.6; 463,102.6; 463.5,102.6; 464,
              102.6; 464.5,102.6; 465,102.6; 465.5,102.5; 466,102.5; 466.5,102.5; 467,
              102.3; 467.5,102.1; 468,102.2; 468.5,102.2; 469,102.2; 469.5,102.1; 470,
              102; 470.5,102; 471,102; 471.5,101.8; 472,101.8; 472.5,101.8; 473,101.7;
              473.5,101.7; 474,101.5; 474.5,101.5; 475,101.5; 475.5,101.4; 476,101.4;
              476.5,101.4; 477,101.4; 477.5,101.2; 478,101.2; 478.5,101.2; 479,101.2;
              479.5,101.4; 480,101.4; 480.5,101.4; 481,101.2; 481.5,101.1; 482,101.1;
              482.5,101.2; 483,101.2; 483.5,101.2; 484,101.2; 484.5,101.1; 485,101.1;
              485.5,100.9; 486,100.9; 486.5,100.8; 487,100.6; 487.5,100.6; 488,100.6;
              488.5,100.4; 489,100.3; 489.5,100.3; 490,100.1; 490.5,100.1; 491,100; 491.5,
              100; 492,100; 492.5,99.8; 493,99.8; 493.5,99.8; 494,99.7; 494.5,99.7; 495,
              99.5; 495.5,99.5; 496,99.5; 496.5,99.3; 497,99.3; 497.5,99.3; 498,99.3;
              498.5,99.3; 499,99.3; 499.5,99.3; 500,99.2; 500.5,99.2; 501,99.1; 501.5,
              99; 502,99; 502.5,99.1; 503,99.1; 503.5,98.9; 504,98.9; 504.5,98.7; 505,
              98.7; 505.5,98.7; 506,98.6; 506.5,98.6; 507,98.6; 507.5,98.4; 508,98.4;
              508.5,98.4; 509,98.4; 509.5,98.3; 510,98.3; 510.5,98.3; 511,98.1; 511.5,
              98.1; 512,98.1; 512.5,98.1; 513,98; 513.5,98; 514,98; 514.5,97.8; 515,97.8;
              515.5,97.8; 516,97.7; 516.5,97.5; 517,97.5; 517.5,97.5; 518,97.5; 518.5,
              97.3; 519,97.3; 519.5,97.3; 520,97.3; 520.5,97.3; 521,97.2; 521.5,97.2;
              522,97.2; 522.5,97; 523,97; 523.5,97; 524,96.9; 524.5,96.9; 525,96.9; 525.5,
              96.9; 526,96.9; 526.5,96.7; 527,96.7; 527.5,96.6; 528,96.6; 528.5,96.6;
              529,96.6; 529.5,96.6; 530,96.4; 530.5,96.4; 531,96.4; 531.5,96.4; 532,96.4;
              532.5,96.6; 533,96.6; 533.5,96.6; 534,96.4; 534.5,96.4; 535,96.2; 535.5,
              96.1; 536,95.9; 536.5,95.9; 537,95.8; 537.5,95.8; 538,95.6; 538.5,95.6;
              539,95.6; 539.5,95.6; 540,95.6; 540.5,95.5; 541,95.5; 541.5,95.3; 542,95.3;
              542.5,95.3; 543,95.2; 543.5,95.2; 544,95.2; 544.5,95; 545,95; 545.5,94.9;
              546,94.9; 546.5,94.9; 547,94.9; 547.5,94.7; 548,94.7; 548.5,94.7; 549,94.7;
              549.5,94.7; 550,94.6; 550.5,94.6; 551,94.6; 551.5,94.6; 552,94.6; 552.5,
              94.4; 553,94.4; 553.5,94.4; 554,94.4; 554.5,94.4; 555,94.4; 555.5,94.4;
              556,94.2; 556.5,94.2; 557,94.1; 557.5,94.1; 558,94; 558.5,93.9; 559,93.8;
              559.5,93.8; 560,93.8; 560.5,93.8; 561,93.6; 561.5,93.6; 562,93.5; 562.5,
              93.5; 563,93.5; 563.5,93.5; 564,93.5; 564.5,93.3; 565,93.3; 565.5,93.3;
              566,93.3; 566.5,93.2; 567,93.3; 567.5,93.3; 568,93.3; 568.5,93.2; 569,93.2;
              569.5,93.2; 570,93.2; 570.5,93; 571,93; 571.5,92.9; 572,92.9; 572.5,92.7;
              573,92.7; 573.5,92.7; 574,92.6; 574.5,92.6; 575,92.5; 575.5,92.6; 576,92.5;
              576.5,92.7; 577,92.5; 577.5,92.5; 578,92.6; 578.5,92.4; 579,92.4; 579.5,
              92.2; 580,92.2; 580.5,92.2; 581,92.2; 581.5,92.2; 582,92.1; 582.5,92.1;
              583,92.1; 583.5,91.9; 584,91.9; 584.5,91.9; 585,91.8; 585.5,91.8; 586,91.8;
              586.5,91.8; 587,91.8; 587.5,91.8; 588,91.8; 588.5,91.6; 589,91.6; 589.5,
              91.6; 590,91.6; 590.5,91.6; 591,91.5; 591.5,91.5; 592,91.5; 592.5,91.5;
              593,91.3; 593.5,91.3; 594,91.3; 594.5,91.2; 595,91.2; 595.5,91.2; 596,91.2;
              596.5,91; 597,91; 597.5,91; 598,91; 598.5,91; 599,91; 599.5,91; 600,91;
              600.5,91; 601,91; 601.5,91; 602,91; 602.5,90.9; 603,90.9; 603.5,90.9; 604,
              90.7; 604.5,90.5; 605,90.5; 605.5,90.5; 606,90.4; 606.5,90.4; 607,90.2;
              607.5,90.2; 608,90.2; 608.5,90.1; 609,90.1; 609.5,89.9; 610,89.9; 610.5,
              89.9; 611,89.9; 611.5,89.7; 612,89.7; 612.5,89.8; 613,89.8; 613.5,89.8;
              614,89.8; 614.5,89.8; 615,89.6; 615.5,89.6; 616,89.4; 616.5,89.4; 617,89.5;
              617.5,89.3; 618,89.3; 618.5,89.3; 619,89.3; 619.5,89.3; 620,89.3; 620.5,
              89.1; 621,89.1; 621.5,89.1; 622,89.1; 622.5,89; 623,89; 623.5,89; 624,89;
              624.5,88.8; 625,88.8; 625.5,88.8; 626,88.7; 626.5,88.7; 627,88.7; 627.5,
              88.7; 628,88.7; 628.5,88.7; 629,88.7; 629.5,88.5; 630,88.7; 630.5,88.7;
              631,88.7; 631.5,88.7; 632,88.5; 632.5,88.5; 633,88.4; 633.5,88.4; 634,88.2;
              634.5,88.2; 635,88; 635.5,88; 636,88.1; 636.5,88; 637,88; 637.5,87.9; 638,
              87.9; 638.5,87.7; 639,87.8; 639.5,87.8; 640,87.7; 640.5,87.8; 641,87.7;
              641.5,87.8; 642,87.7; 642.5,87.6; 643,87.6; 643.5,87.6; 644,87.6; 644.5,
              87.6; 645,87.6; 645.5,87.6; 646,87.4; 646.5,87.4; 647,87.4; 647.5,87.4;
              648,87.4; 648.5,87.3; 649,87.3; 649.5,87.1; 650,87; 650.5,87; 651,87; 651.5,
              87; 652,87; 652.5,87; 653,87; 653.5,86.8; 654,86.8; 654.5,86.8; 655,86.8;
              655.5,86.8; 656,86.7; 656.5,86.7; 657,86.7; 657.5,86.5; 658,86.5; 658.5,
              86.5; 659,86.5; 659.5,86.5; 660,86.3; 660.5,86.3; 661,86.4; 661.5,86.3;
              662,86.3; 662.5,86.2; 663,86.2; 663.5,86.2; 664,86; 664.5,86; 665,86; 665.5,
              85.9; 666,85.9; 666.5,85.9; 667,85.9; 667.5,85.9; 668,85.9; 668.5,85.7;
              669,85.7; 669.5,85.7; 670,85.7; 670.5,85.6; 671,85.6; 671.5,85.4; 672,85.4;
              672.5,85.4; 673,85.4; 673.5,85.3; 674,85.3; 674.5,85.3; 675,85.3; 675.5,
              85.3; 676,85.3; 676.5,85.3; 677,85.3; 677.5,85.3; 678,85.1; 678.5,85.1;
              679,85.1; 679.5,84.9; 680,85; 680.5,85; 681,84.8; 681.5,84.8; 682,84.8;
              682.5,84.8; 683,84.8; 683.5,84.8; 684,84.8; 684.5,84.8; 685,84.6; 685.5,
              84.6; 686,84.6; 686.5,84.6; 687,84.5; 687.5,84.5; 688,84.5; 688.5,84.3;
              689,84.3; 689.5,84.3; 690,84.3; 690.5,84.3; 691,84.2; 691.5,84.2; 692,84.2;
              692.5,84.2; 693,84; 693.5,84; 694,84; 694.5,84; 695,84; 695.5,83.9; 696,
              83.9; 696.5,83.9; 697,83.9; 697.5,83.7; 698,83.7; 698.5,83.7; 699,83.7;
              699.5,83.7; 700,83.7; 700.5,83.7; 701,83.7; 701.5,83.6; 702,83.6; 702.5,
              83.6; 703,83.4; 703.5,83.4; 704,83.4; 704.5,83.4; 705,83.3; 705.5,83.3;
              706,83.3; 706.5,83.3; 707,83.1; 707.5,83.1; 708,83.1; 708.5,83.1; 709,83.1;
              709.5,83.1; 710,83; 710.5,83; 711,82.9; 711.5,83; 712,83; 712.5,82.8; 713,
              82.8; 713.5,82.8; 714,82.8; 714.5,82.6; 715,82.6; 715.5,82.6; 716,82.6;
              716.5,82.5; 717,82.5; 717.5,82.5; 718,82.5; 718.5,82.5; 719,82.3; 719.5,
              82.3; 720,82.3; 720.5,82.3; 721,82.3; 721.5,82.2; 722,82.2; 722.5,82.2;
              723,82.2; 723.5,82; 724,82; 724.5,82; 725,82; 725.5,81.9; 726,81.8; 726.5,
              81.9; 727,81.8; 727.5,81.7; 728,81.7; 728.5,81.7; 729,81.7; 729.5,81.7;
              730,81.5; 730.5,81.5; 731,81.5; 731.5,81.5; 732,81.5; 732.5,81.4; 733,81.4;
              733.5,81.4; 734,81.4; 734.5,81.4; 735,81.2; 735.5,81.2; 736,81.2; 736.5,
              81.2; 737,81.2; 737.5,81.2; 738,81.2; 738.5,81.2; 739,81.1; 739.5,81.1;
              740,81.1; 740.5,81.2; 741,81.2; 741.5,81.2; 742,81.1; 742.5,81.1; 743,81.1;
              743.5,81.1; 744,81.1; 744.5,80.9; 745,80.9; 745.5,80.9; 746,80.9; 746.5,
              80.9; 747,80.9; 747.5,81.1; 748,81.1; 748.5,80.9; 749,80.9; 749.5,80.9;
              750,80.9; 750.5,80.9; 751,81.1; 751.5,80.9; 752,80.9; 752.5,80.9; 753,80.9;
              753.5,80.8; 754,80.6; 754.5,80.5; 755,80.5; 755.5,80.3; 756,80.1; 756.5,
              80.1; 757,80.1; 757.5,80.1; 758,80; 758.5,80; 759,79.8; 759.5,79.8; 760,
              79.8; 760.5,79.7; 761,79.7; 761.5,79.7; 762,79.8; 762.5,79.8; 763,79.7;
              763.5,79.7; 764,79.7; 764.5,79.7; 765,79.5; 765.5,79.5; 766,79.5; 766.5,
              79.5; 767,79.4; 767.5,79.4; 768,79.4; 768.5,79.4; 769,79.4; 769.5,79.4;
              770,79.2; 770.5,79.2; 771,79.2; 771.5,79.2; 772,79.1; 772.5,79.1; 773,79.1;
              773.5,79.1; 774,79.1; 774.5,79.1; 775,78.9; 775.5,78.9; 776,78.9; 776.5,
              78.9; 777,78.9; 777.5,78.9; 778,78.9; 778.5,78.9; 779,78.7; 779.5,78.7;
              780,78.5; 780.5,78.6; 781,78.6; 781.5,78.6; 782,78.6; 782.5,78.4; 783,78.4;
              783.5,78.4; 784,78.4; 784.5,78.4; 785,78.4; 785.5,78.3; 786,78.3; 786.5,
              78.3; 787,78.3; 787.5,78.3; 788,78.3; 788.5,78.1; 789,78.1; 789.5,78.1;
              790,78.1; 790.5,78.1; 791,78.1; 791.5,78.1; 792,78.1; 792.5,78.1; 793,78;
              793.5,78; 794,77.8; 794.5,77.8; 795,77.8; 795.5,77.8; 796,77.8; 796.5,77.8;
              797,77.8; 797.5,77.8; 798,77.7; 798.5,77.7; 799,77.7; 799.5,77.7; 800,77.7;
              800.5,77.5; 801,77.5; 801.5,77.3; 802,77.4; 802.5,77.4; 803,77.4; 803.5,
              77.3; 804,77.4; 804.5,77.3; 805,77.4; 805.5,77.4; 806,77.4; 806.5,77.2;
              807,77.2; 807.5,77.1; 808,77; 808.5,77; 809,77; 809.5,76.9; 810,76.9; 810.5,
              76.9; 811,76.9; 811.5,76.9; 812,76.9; 812.5,76.7; 813,76.7; 813.5,76.7;
              814,76.7; 814.5,76.6; 815,76.6; 815.5,76.6; 816,76.6; 816.5,76.6; 817,76.6;
              817.5,76.4; 818,76.4; 818.5,76.4; 819,76.4; 819.5,76.4; 820,76.4; 820.5,
              76.4; 821,76.3; 821.5,76.3; 822,76.3; 822.5,76.3; 823,76.3; 823.5,76.3;
              824,76.3; 824.5,76.3; 825,76.1; 825.5,76.1; 826,76.1; 826.5,76.1; 827,76;
              827.5,76; 828,75.8; 828.5,75.8; 829,75.8; 829.5,75.8; 830,75.7; 830.5,75.7;
              831,75.7; 831.5,75.7; 832,75.5; 832.5,75.5; 833,75.5; 833.5,75.5; 834,75.5;
              834.5,75.5; 835,75.5; 835.5,75.5; 836,75.5; 836.5,75.5; 837,75.5; 837.5,
              75.5; 838,75.5; 838.5,75.5; 839,75.5; 839.5,75.7; 840,75.5; 840.5,75.5;
              841,75.5; 841.5,75.5; 842,75.7; 842.5,75.5; 843,75.5; 843.5,75.5; 844,75.5;
              844.5,75.3; 845,75.3; 845.5,75.3; 846,75.2; 846.5,75.2; 847,75; 847.5,75;
              848,74.9; 848.5,74.9; 849,74.9; 849.5,74.7; 850,74.7; 850.5,74.7; 851,74.7;
              851.5,74.7; 852,74.7; 852.5,74.7; 853,74.7; 853.5,74.6; 854,74.6; 854.5,
              74.6; 855,74.4; 855.5,74.4; 856,74.4; 856.5,74.3; 857,74.3; 857.5,74.3;
              858,74.3; 858.5,74.3; 859,74.3; 859.5,74.1; 860,74.1; 860.5,74.1; 861,74.1;
              861.5,74.1; 862,74.1; 862.5,74; 863,74; 863.5,74; 864,74; 864.5,73.9; 865,
              73.9; 865.5,73.8; 866,73.8; 866.5,73.8; 867,73.8; 867.5,73.8; 868,73.8;
              868.5,73.8; 869,73.8; 869.5,73.8; 870,73.8; 870.5,73.6; 871,73.6; 871.5,
              73.6; 872,73.6; 872.5,73.6; 873,73.5; 873.5,73.5; 874,73.5; 874.5,73.5;
              875,73.3; 875.5,73.3; 876,73.3; 876.5,73.3; 877,73.3; 877.5,73.3; 878,73.3;
              878.5,73.3; 879,73.2; 879.5,73.2; 880,73.2; 880.5,73.2; 881,73.2; 881.5,
              73; 882,73; 882.5,73; 883,73; 883.5,73; 884,73; 884.5,73; 885,73; 885.5,
              73; 886,73; 886.5,72.9; 887,72.9; 887.5,72.9; 888,72.7; 888.5,72.7; 889,
              72.7; 889.5,72.7; 890,72.7; 890.5,72.6; 891,72.6; 891.5,72.6; 892,72.6;
              892.5,72.6; 893,72.6; 893.5,72.4; 894,72.4; 894.5,72.4; 895,72.4; 895.5,
              72.4; 896,72.4; 896.5,72.3; 897,72.3; 897.5,72.2; 898,72.3; 898.5,72.3;
              899,72.1; 899.5,72.1; 900,72.1; 900.5,72.1; 901,72.1; 901.5,72.1; 902,72.1;
              902.5,71.9; 903,71.9; 903.5,71.9; 904,71.9; 904.5,71.9; 905,71.9; 905.5,
              71.8; 906,71.8; 906.5,71.8; 907,71.8; 907.5,71.6; 908,71.6; 908.5,71.6;
              909,71.6; 909.5,71.6; 910,71.6; 910.5,71.6; 911,71.6; 911.5,71.6; 912,71.5;
              912.5,71.5; 913,71.5; 913.5,71.5; 914,71.5; 914.5,71.5; 915,71.3; 915.5,
              71.3; 916,71.3; 916.5,71.3; 917,71.2; 917.5,71.2; 918,71.2; 918.5,71.2;
              919,71.2; 919.5,71.2; 920,71; 920.5,71; 921,71; 921.5,71; 922,71; 922.5,
              71; 923,71; 923.5,71; 924,70.9; 924.5,70.9; 925,70.9; 925.5,70.9; 926,70.9;
              926.5,70.7; 927,70.7; 927.5,70.7; 928,70.7; 928.5,70.7; 929,70.7; 929.5,
              70.7; 930,70.7; 930.5,70.7; 931,70.5; 931.5,70.6; 932,70.6; 932.5,70.6;
              933,70.4; 933.5,70.4; 934,70.4; 934.5,70.4; 935,70.4; 935.5,70.4; 936,70.2;
              936.5,70.2; 937,70.2; 937.5,70.2; 938,70.1; 938.5,70.1; 939,70.1; 939.5,
              70.1; 940,70.1; 940.5,70.1; 941,70.1; 941.5,70.1; 942,70.1; 942.5,69.9;
              943,69.9; 943.5,69.9; 944,69.9; 944.5,69.8; 945,69.8; 945.5,69.8; 946,69.8;
              946.5,69.8; 947,69.8; 947.5,69.6; 948,69.6; 948.5,69.6; 949,69.6; 949.5,
              69.6; 950,69.6; 950.5,69.6; 951,69.6; 951.5,69.6; 952,69.5; 952.5,69.5;
              953,69.4; 953.5,69.5; 954,69.5; 954.5,69.5; 955,69.5; 955.5,69.5; 956,69.5;
              956.5,69.5; 957,69.5; 957.5,69.5; 958,69.3; 958.5,69.3; 959,69.3; 959.5,
              69.3; 960,69.1; 960.5,69.1; 961,69.1; 961.5,69.1; 962,69.2; 962.5,69.1;
              963,69; 963.5,69; 964,69; 964.5,69; 965,69; 965.5,69; 966,69; 966.5,68.8;
              967,68.8; 967.5,68.8; 968,68.8; 968.5,68.8; 969,68.8; 969.5,68.8; 970,68.8;
              970.5,68.8; 971,68.7; 971.5,68.7; 972,68.7; 972.5,68.7; 973,68.7; 973.5,
              68.5; 974,68.5; 974.5,68.5; 975,68.5; 975.5,68.5; 976,68.5; 976.5,68.5;
              977,68.5; 977.5,68.5; 978,68.4; 978.5,68.4; 979,68.4; 979.5,68.4; 980,68.4;
              980.5,68.4; 981,68.2; 981.5,68.2; 982,68.2; 982.5,68.2; 983,68.2; 983.5,
              68.1; 984,68.1; 984.5,68.1; 985,68.1; 985.5,68.1; 986,68.1; 986.5,67.9;
              987,67.9; 987.5,67.9; 988,67.9; 988.5,67.9; 989,67.9; 989.5,67.7; 990,67.7;
              990.5,67.7; 991,67.7; 991.5,67.8; 992,67.7; 992.5,67.7; 993,67.6; 993.5,
              67.6; 994,67.6; 994.5,67.6; 995,67.4; 995.5,67.4; 996,67.4; 996.5,67.4;
              997,67.4; 997.5,67.4; 998,67.4; 998.5,67.3; 999,67.3; 999.5,67.3; 1000,67.3;
              1000.5,67.3; 1001,67.3; 1001.5,67.3; 1002,67.1; 1002.5,67.1; 1003,67.3;
              1003.5,67.1; 1004,67.1; 1004.5,67.1; 1005,67.1; 1005.5,67; 1006,67; 1006.5,
              67; 1007,67; 1007.5,67; 1008,67; 1008.5,67; 1009,67; 1009.5,67; 1010,66.8;
              1010.5,66.8; 1011,66.8; 1011.5,66.8; 1012,66.8; 1012.5,66.7; 1013,66.7;
              1013.5,66.7; 1014,66.7; 1014.5,66.7; 1015,66.7; 1015.5,66.7; 1016,66.7;
              1016.5,66.5; 1017,66.5; 1017.5,66.5; 1018,66.5; 1018.5,66.5; 1019,66.5;
              1019.5,66.5; 1020,66.5; 1020.5,66.4; 1021,66.4; 1021.5,66.4; 1022,66.4;
              1022.5,66.4; 1023,66.4; 1023.5,66.4; 1024,66.4; 1024.5,66.2; 1025,66.2;
              1025.5,66.2; 1026,66.2; 1026.5,66.2; 1027,66.2; 1027.5,66.2; 1028,66.2;
              1028.5,66.1; 1029,66.1; 1029.5,66.1; 1030,66.1; 1030.5,65.9; 1031,65.9;
              1031.5,65.9; 1032,65.9; 1032.5,65.9; 1033,65.9; 1033.5,65.9; 1034,65.9;
              1034.5,65.7; 1035,65.8; 1035.5,65.7; 1036,65.7; 1036.5,65.8; 1037,65.8;
              1037.5,65.7; 1038,65.7; 1038.5,65.6; 1039,65.6; 1039.5,65.6; 1040,65.6;
              1040.5,65.6; 1041,65.6; 1041.5,65.6; 1042,65.6; 1042.5,65.6; 1043,65.4;
              1043.5,65.4; 1044,65.4; 1044.5,65.4; 1045,65.4; 1045.5,65.4; 1046,65.3;
              1046.5,65.3; 1047,65.3; 1047.5,65.3; 1048,65.3; 1048.5,65.3; 1049,65.3;
              1049.5,65.1; 1050,65.1; 1050.5,65.1; 1051,65.1; 1051.5,65.1; 1052,65.1;
              1052.5,65.1; 1053,65.1; 1053.5,65.1; 1054,65.1; 1054.5,65; 1055,65; 1055.5,
              65; 1056,65; 1056.5,65; 1057,64.8; 1057.5,64.8; 1058,64.8; 1058.5,64.8;
              1059,64.8; 1059.5,64.8; 1060,64.8; 1060.5,64.8; 1061,64.8; 1061.5,64.8;
              1062,64.8; 1062.5,64.7; 1063,64.7; 1063.5,64.7; 1064,64.7; 1064.5,64.7;
              1065,64.7; 1065.5,64.7; 1066,64.5; 1066.5,64.5; 1067,64.5; 1067.5,64.5;
              1068,64.5; 1068.5,64.5; 1069,64.5; 1069.5,64.5; 1070,64.5; 1070.5,64.5;
              1071,64.5; 1071.5,64.4; 1072,64.4; 1072.5,64.4; 1073,64.4; 1073.5,64.4;
              1074,64.3; 1074.5,64.2; 1075,64.2; 1075.5,64.2; 1076,64.2; 1076.5,64.2;
              1077,64; 1077.5,64.1; 1078,64; 1078.5,64; 1079,64; 1079.5,64; 1080,64; 1080.5,
              63.9; 1081,63.9; 1081.5,63.9; 1082,63.9; 1082.5,63.9; 1083,63.9; 1083.5,
              63.9; 1084,63.9; 1084.5,63.9; 1085,63.9; 1085.5,63.9; 1086,63.7; 1086.5,
              63.7; 1087,63.7; 1087.5,63.7; 1088,63.7; 1088.5,63.6; 1089,63.6; 1089.5,
              63.6; 1090,63.6; 1090.5,63.6; 1091,63.6; 1091.5,63.6; 1092,63.4; 1092.5,
              63.4; 1093,63.4; 1093.5,63.4; 1094,63.4; 1094.5,63.3; 1095,63.3; 1095.5,
              63.3; 1096,63.3; 1096.5,63.3; 1097,63.3; 1097.5,63.3; 1098,63.3; 1098.5,
              63.3; 1099,63.3; 1099.5,63.3; 1100,63.3; 1100.5,63.1; 1101,63.1; 1101.5,
              63.1; 1102,63.1; 1102.5,63.1; 1103,62.9; 1103.5,63; 1104,63; 1104.5,63;
              1105,63; 1105.5,63; 1106,63; 1106.5,63; 1107,63; 1107.5,62.8; 1108,62.8;
              1108.5,62.8; 1109,62.8; 1109.5,62.8; 1110,62.8; 1110.5,62.8; 1111,62.8;
              1111.5,62.6; 1112,62.6; 1112.5,62.6; 1113,62.6; 1113.5,62.6; 1114,62.6;
              1114.5,62.5; 1115,62.5; 1115.5,62.5; 1116,62.5; 1116.5,62.5; 1117,62.5;
              1117.5,62.5; 1118,62.5; 1118.5,62.3; 1119,62.3; 1119.5,62.3; 1120,62.3;
              1120.5,62.3; 1121,62.3; 1121.5,62.3; 1122,62.3; 1122.5,62.3; 1123,62.2;
              1123.5,62.2; 1124,62.2; 1124.5,62.2; 1125,62.2; 1125.5,62; 1126,62; 1126.5,
              62; 1127,62; 1127.5,62; 1128,62; 1128.5,62; 1129,62; 1129.5,62; 1130,62;
              1130.5,61.9; 1131,61.9; 1131.5,61.9; 1132,61.9; 1132.5,61.9; 1133,61.9;
              1133.5,61.9; 1134,61.9; 1134.5,61.9; 1135,61.9; 1135.5,61.7; 1136,61.7;
              1136.5,61.7; 1137,61.7; 1137.5,61.7; 1138,61.7; 1138.5,61.7; 1139,61.7;
              1139.5,61.5; 1140,61.5; 1140.5,61.5; 1141,61.5; 1141.5,61.5; 1142,61.5;
              1142.5,61.5; 1143,61.5; 1143.5,61.4; 1144,61.5; 1144.5,61.4; 1145,61.4;
              1145.5,61.4; 1146,61.4; 1146.5,61.4; 1147,61.2; 1147.5,61.2; 1148,61.2;
              1148.5,61.2; 1149,61.2; 1149.5,61.2; 1150,61.2; 1150.5,61.2; 1151,61.2;
              1151.5,61.2; 1152,61.2; 1152.5,61.2; 1153,61.2; 1153.5,61.2; 1154,61.2;
              1154.5,61.2; 1155,61.2; 1155.5,61.2; 1156,61.1; 1156.5,61.1; 1157,61.1;
              1157.5,61.1; 1158,60.9; 1158.5,60.9; 1159,60.9; 1159.5,60.9; 1160,60.9;
              1160.5,60.9; 1161,60.9; 1161.5,60.8; 1162,60.8; 1162.5,60.8; 1163,60.8;
              1163.5,60.6; 1164,60.6; 1164.5,60.6; 1165,60.6; 1165.5,60.6; 1166,60.6;
              1166.5,60.6; 1167,60.6; 1167.5,60.6; 1168,60.5; 1168.5,60.5; 1169,60.5;
              1169.5,60.5; 1170,60.5; 1170.5,60.5; 1171,60.5; 1171.5,60.5; 1172,60.5;
              1172.5,60.5; 1173,60.5; 1173.5,60.5; 1174,60.3; 1174.5,60.3; 1175,60.3;
              1175.5,60.3; 1176,60.3; 1176.5,60.2; 1177,60.2; 1177.5,60.2; 1178,60.2;
              1178.5,60.2; 1179,60.2; 1179.5,60.2; 1180,60.2; 1180.5,60.2; 1181,60.2;
              1181.5,60.2; 1182,60.2; 1182.5,60.2; 1183,60.2; 1183.5,60.2; 1184,60.2;
              1184.5,60; 1185,60; 1185.5,60; 1186,59.8; 1186.5,59.8; 1187,59.8; 1187.5,
              59.8; 1188,59.8; 1188.5,59.8; 1189,59.8; 1189.5,59.8; 1190,59.8; 1190.5,
              59.8; 1191,59.7; 1191.5,59.7; 1192,59.7; 1192.5,59.7; 1193,59.7; 1193.5,
              59.7; 1194,59.7; 1194.5,59.5; 1195,59.5; 1195.5,59.5; 1196,59.5; 1196.5,
              59.5; 1197,59.5; 1197.5,59.5; 1198,59.5; 1198.5,59.4; 1199,59.4; 1199.5,
              59.4; 1200,59.4; 1200.5,59.4; 1201,59.4; 1201.5,59.4; 1202,59.4; 1202.5,
              59.4; 1203,59.4; 1203.5,59.4; 1204,59.4; 1204.5,59.2; 1205,59.2; 1205.5,
              59.2; 1206,59.2; 1206.5,59.2; 1207,59.2; 1207.5,59.2; 1208,59.1; 1208.5,
              59.1; 1209,59.1; 1209.5,59.1; 1210,59.1; 1210.5,59.1; 1211,59.1; 1211.5,
              59.1; 1212,58.9; 1212.5,58.9; 1213,58.9; 1213.5,58.9; 1214,58.9; 1214.5,
              58.9; 1215,58.9; 1215.5,58.9; 1216,58.9; 1216.5,58.9; 1217,58.8; 1217.5,
              58.8; 1218,58.8; 1218.5,58.8; 1219,58.8; 1219.5,58.8; 1220,58.8; 1220.5,
              58.6; 1221,58.6; 1221.5,58.6; 1222,58.6; 1222.5,58.6; 1223,58.6; 1223.5,
              58.6; 1224,58.6; 1224.5,58.5; 1225,58.5; 1225.5,58.5; 1226,58.5; 1226.5,
              58.5; 1227,58.5; 1227.5,58.5; 1228,58.5; 1228.5,58.5; 1229,58.5; 1229.5,
              58.5; 1230,58.5; 1230.5,58.5; 1231,58.5; 1231.5,58.5; 1232,58.5; 1232.5,
              58.3; 1233,58.3; 1233.5,58.3; 1234,58.3; 1234.5,58.3; 1235,58.3; 1235.5,
              58.3; 1236,58.3; 1236.5,58.3; 1237,58.1; 1237.5,58.2; 1238,58.2; 1238.5,
              58.1; 1239,58.1; 1239.5,58.2; 1240,58; 1240.5,58; 1241,58; 1241.5,58; 1242,
              58; 1242.5,58; 1243,58; 1243.5,58; 1244,58; 1244.5,57.8; 1245,57.8; 1245.5,
              57.8; 1246,57.8; 1246.5,57.8; 1247,57.8; 1247.5,57.8; 1248,57.8; 1248.5,
              57.7; 1249,57.7; 1249.5,57.7; 1250,57.7; 1250.5,57.7; 1251,57.7; 1251.5,
              57.7; 1252,57.7; 1252.5,57.5; 1253,57.5; 1253.5,57.5; 1254,57.5; 1254.5,
              57.5; 1255,57.5; 1255.5,57.5; 1256,57.5; 1256.5,57.5; 1257,57.5; 1257.5,
              57.4; 1258,57.4; 1258.5,57.4; 1259,57.4; 1259.5,57.4; 1260,57.4; 1260.5,
              57.4; 1261,57.4; 1261.5,57.4; 1262,57.4; 1262.5,57.4; 1263,57.4; 1263.5,
              57.4; 1264,57.2; 1264.5,57.2; 1265,57.2; 1265.5,57.2; 1266,57.2; 1266.5,
              57.2; 1267,57.2; 1267.5,57.2; 1268,57.2; 1268.5,57.2; 1269,57.1; 1269.5,
              57.1; 1270,57.1; 1270.5,57.1; 1271,57.1; 1271.5,57.1; 1272,57.2; 1272.5,
              57.2; 1273,57.1; 1273.5,57.1; 1274,57.1; 1274.5,57.1; 1275,56.9; 1275.5,
              56.9; 1276,56.9; 1276.5,56.9; 1277,56.9; 1277.5,56.9; 1278,56.7; 1278.5,
              56.9; 1279,56.9; 1279.5,56.7; 1280,56.7; 1280.5,56.7; 1281,56.7; 1281.5,
              56.7; 1282,56.7; 1282.5,56.7; 1283,56.7; 1283.5,56.7; 1284,56.6; 1284.5,
              56.6; 1285,56.6; 1285.5,56.6; 1286,56.6; 1286.5,56.4; 1287,56.4; 1287.5,
              56.4; 1288,56.4; 1288.5,56.4; 1289,56.4; 1289.5,56.4; 1290,56.3; 1290.5,
              56.3; 1291,56.3; 1291.5,56.3; 1292,56.3; 1292.5,56.3; 1293,56.3; 1293.5,
              56.3; 1294,56.3; 1294.5,56.3; 1295,56.1; 1295.5,56.1; 1296,56.1; 1296.5,
              56.1; 1297,56.1; 1297.5,56.1; 1298,56.1; 1298.5,56.1; 1299,56.1; 1299.5,
              56.1; 1300,56; 1300.5,56; 1301,56; 1301.5,56; 1302,56; 1302.5,56; 1303,56;
              1303.5,56; 1304,56; 1304.5,56; 1305,56; 1305.5,56; 1306,56; 1306.5,56; 1307,
              56; 1307.5,55.8; 1308,55.8; 1308.5,55.8; 1309,55.8; 1309.5,55.8; 1310,55.8;
              1310.5,55.8; 1311,55.8; 1311.5,55.8; 1312,55.7; 1312.5,55.7; 1313,55.7;
              1313.5,55.6; 1314,55.6; 1314.5,55.7; 1315,55.5; 1315.5,55.5; 1316,55.5;
              1316.5,55.5; 1317,55.5; 1317.5,55.5; 1318,55.5; 1318.5,55.5; 1319,55.5;
              1319.5,55.5; 1320,55.4; 1320.5,55.3; 1321,55.3; 1321.5,55.3; 1322,55.3;
              1322.5,55.3; 1323,55.3; 1323.5,55.3; 1324,55.3; 1324.5,55.3; 1325,55.3;
              1325.5,55.3; 1326,55.3; 1326.5,55.3; 1327,55.3; 1327.5,55.2; 1328,55.2;
              1328.5,55.2; 1329,55.2; 1329.5,55.2; 1330,55.2; 1330.5,55.2; 1331,55; 1331.5,
              55; 1332,55; 1332.5,55; 1333,55; 1333.5,55; 1334,55; 1334.5,55; 1335,55;
              1335.5,55; 1336,55; 1336.5,55; 1337,55; 1337.5,55; 1338,55; 1338.5,54.9;
              1339,54.9; 1339.5,54.9; 1340,54.9; 1340.5,54.9; 1341,54.9; 1341.5,54.9;
              1342,54.7; 1342.5,54.7; 1343,54.7; 1343.5,54.7; 1344,54.7; 1344.5,54.7;
              1345,54.7; 1345.5,54.7; 1346,54.7; 1346.5,54.7; 1347,54.6; 1347.5,54.6;
              1348,54.6; 1348.5,54.6; 1349,54.6; 1349.5,54.6; 1350,54.6; 1350.5,54.6;
              1351,54.6; 1351.5,54.6; 1352,54.6; 1352.5,54.6; 1353,54.6; 1353.5,54.4;
              1354,54.4; 1354.5,54.4; 1355,54.4; 1355.5,54.4; 1356,54.3; 1356.5,54.2;
              1357,54.3; 1357.5,54.3; 1358,54.3; 1358.5,54.3; 1359,54.3; 1359.5,54.3;
              1360,54.1; 1360.5,54.1; 1361,54.1; 1361.5,54.1; 1362,54.3; 1362.5,54.1;
              1363,54.1; 1363.5,54.1; 1364,54.1; 1364.5,54.1; 1365,54.1; 1365.5,54.1;
              1366,54.1; 1366.5,54.1; 1367,54.1; 1367.5,53.9; 1368,53.9; 1368.5,53.9;
              1369,53.9; 1369.5,53.9; 1370,53.9; 1370.5,53.9; 1371,53.8; 1371.5,53.8;
              1372,53.8; 1372.5,53.8; 1373,53.8; 1373.5,53.8; 1374,53.8; 1374.5,53.8;
              1375,53.8; 1375.5,53.8; 1376,53.8; 1376.5,53.8; 1377,53.8; 1377.5,53.6;
              1378,53.6; 1378.5,53.6; 1379,53.6; 1379.5,53.6; 1380,53.6; 1380.5,53.6;
              1381,53.6; 1381.5,53.6; 1382,53.6; 1382.5,53.6; 1383,53.6; 1383.5,53.5;
              1384,53.5; 1384.5,53.5; 1385,53.5; 1385.5,53.5; 1386,53.5; 1386.5,53.5;
              1387,53.5; 1387.5,53.3; 1388,53.3; 1388.5,53.3; 1389,53.3; 1389.5,53.3;
              1390,53.3; 1390.5,53.3; 1391,53.3; 1391.5,53.3; 1392,53.2; 1392.5,53.2;
              1393,53.1; 1393.5,53.1; 1394,53.1; 1394.5,53.1; 1395,53.1; 1395.5,53.1;
              1396,53.2; 1396.5,53; 1397,53.1; 1397.5,53.1; 1398,53.2; 1398.5,53; 1399,
              53; 1399.5,53; 1400,53; 1400.5,53; 1401,53; 1401.5,53; 1402,53; 1402.5,53;
              1403,53; 1403.5,53; 1404,52.8; 1404.5,52.8; 1405,52.8; 1405.5,52.8; 1406,
              52.8; 1406.5,52.8; 1407,52.8; 1407.5,52.7; 1408,52.7; 1408.5,52.7; 1409,
              52.7; 1409.5,52.7; 1410,52.7; 1410.5,52.7; 1411,52.7; 1411.5,52.7; 1412,
              52.7; 1412.5,52.7; 1413,52.7; 1413.5,52.7; 1414,52.7; 1414.5,52.7; 1415,
              52.7; 1415.5,52.7; 1416,52.7; 1416.5,52.7; 1417,52.7; 1417.5,52.5; 1418,
              52.5; 1418.5,52.5; 1419,52.5; 1419.5,52.5; 1420,52.5; 1420.5,52.5; 1421,
              52.5; 1421.5,52.5; 1422,52.5; 1422.5,52.5; 1423,52.5; 1423.5,52.5; 1424,
              52.5; 1424.5,52.5; 1425,52.5; 1425.5,52.5; 1426,52.5; 1426.5,52.5; 1427,
              52.5; 1427.5,52.5; 1428,52.5; 1428.5,52.4; 1429,52.4; 1429.5,52.4; 1430,
              52.4; 1430.5,52.4; 1431,52.4; 1431.5,52.4; 1432,52.4; 1432.5,52.4; 1433,
              52.4; 1433.5,52.4; 1434,52.4; 1434.5,52.4; 1435,52.2; 1435.5,52.2; 1436,
              52.4; 1436.5,52.4; 1437,52.4; 1437.5,52.4; 1438,52.4; 1438.5,52.4; 1439,
              52.2; 1439.5,52.4; 1440,52.2; 1440.5,52.2; 1441,52.2; 1441.5,52.2; 1442,
              52.2; 1442.5,52.2; 1443,52.2; 1443.5,52.1; 1444,52.1; 1444.5,52.1; 1445,
              52.1; 1445.5,52.1; 1446,52.1; 1446.5,52.1; 1447,51.9; 1447.5,51.9; 1448,
              51.9; 1448.5,51.9; 1449,51.9; 1449.5,51.9; 1450,51.9; 1450.5,51.9; 1451,
              51.9; 1451.5,51.9; 1452,51.9; 1452.5,51.8; 1453,51.8; 1453.5,51.8; 1454,
              51.6; 1454.5,51.6; 1455,51.6; 1455.5,51.6; 1456,51.6; 1456.5,51.6; 1457,
              51.6; 1457.5,51.6; 1458,51.6; 1458.5,51.6; 1459,51.6; 1459.5,51.6; 1460,
              51.6; 1460.5,51.6; 1461,51.6; 1461.5,51.4; 1462,51.5; 1462.5,51.4; 1463,
              51.4; 1463.5,51.4; 1464,51.3; 1464.5,51.3; 1465,51.3; 1465.5,51.3; 1466,
              51.3; 1466.5,51.3; 1467,51.3; 1467.5,51.3; 1468,51.3; 1468.5,51.1; 1469,
              51.1; 1469.5,51.1; 1470,51.1; 1470.5,51.1; 1471,51.1; 1471.5,51.1; 1472,
              51.1; 1472.5,51.1; 1473,51.1; 1473.5,51.1; 1474,51.1; 1474.5,51.1; 1475,
              51.1; 1475.5,51; 1476,51; 1476.5,51; 1477,51; 1477.5,51; 1478,51; 1478.5,
              51; 1479,51; 1479.5,51; 1480,51; 1480.5,51; 1481,51; 1481.5,51; 1482,51;
              1482.5,51; 1483,51; 1483.5,51; 1484,51; 1484.5,51; 1485,51; 1485.5,51; 1486,
              51; 1486.5,50.8; 1487,50.8; 1487.5,50.8; 1488,50.8; 1488.5,50.8; 1489,50.7;
              1489.5,50.7; 1490,50.7; 1490.5,50.7; 1491,50.7; 1491.5,50.7; 1492,50.7;
              1492.5,50.7; 1493,50.7; 1493.5,50.7; 1494,50.7; 1494.5,50.8; 1495,50.8;
              1495.5,50.8; 1496,50.8; 1496.5,50.8; 1497,50.7; 1497.5,50.7; 1498,50.7;
              1498.5,50.5; 1499,50.5; 1499.5,50.5; 1500,50.4; 1500.5,50.4; 1501,50.4;
              1501.5,50.4; 1502,50.4; 1502.5,50.4; 1503,50.4; 1503.5,50.4; 1504,50.4;
              1504.5,50.4; 1505,50.4; 1505.5,50.4; 1506,50.4; 1506.5,50.2; 1507,50.2;
              1507.5,50.2; 1508,50.2; 1508.5,50.2; 1509,50.2; 1509.5,50.2; 1510,50.2;
              1510.5,50.2; 1511,50.2; 1511.5,50.2; 1512,50.2; 1512.5,50.2; 1513,50; 1513.5,
              50; 1514,50; 1514.5,50.1; 1515,50; 1515.5,50; 1516,49.9; 1516.5,49.9; 1517,
              49.9; 1517.5,49.9; 1518,49.9; 1518.5,49.9; 1519,49.9; 1519.5,49.9; 1520,
              49.9; 1520.5,49.9; 1521,49.9; 1521.5,49.9; 1522,49.9; 1522.5,49.9; 1523,
              49.9; 1523.5,49.7; 1524,49.7; 1524.5,49.7; 1525,49.7; 1525.5,49.7; 1526,
              49.7; 1526.5,49.7; 1527,49.7; 1527.5,49.8; 1528,49.7; 1528.5,49.7; 1529,
              49.6; 1529.5,49.6; 1530,49.6; 1530.5,49.6; 1531,49.6; 1531.5,49.4; 1532,
              49.4; 1532.5,49.5; 1533,49.5; 1533.5,49.4; 1534,49.4; 1534.5,49.4; 1535,
              49.4; 1535.5,49.4; 1536,49.4; 1536.5,49.4; 1537,49.4; 1537.5,49.4; 1538,
              49.4; 1538.5,49.3; 1539,49.3; 1539.5,49.3; 1540,49.3; 1540.5,49.3; 1541,
              49.3; 1541.5,49.3; 1542,49.3; 1542.5,49.3; 1543,49.1; 1543.5,49.1; 1544,
              49.1; 1544.5,49.2; 1545,49.1; 1545.5,49.1; 1546,49.2; 1546.5,49.1; 1547,
              49.1; 1547.5,49.1; 1548,49.1; 1548.5,49.1; 1549,49.1; 1549.5,49.1; 1550,
              49.1; 1550.5,49.1; 1551,49.2; 1551.5,49.2; 1552,49.1; 1552.5,49.1; 1553,
              49.1; 1553.5,49; 1554,49; 1554.5,49; 1555,49; 1555.5,49; 1556,49; 1556.5,
              49; 1557,49; 1557.5,49; 1558,48.8; 1558.5,48.8; 1559,48.8; 1559.5,48.8;
              1560,48.8; 1560.5,48.8; 1561,48.8; 1561.5,48.8; 1562,48.8; 1562.5,48.8;
              1563,48.7; 1563.5,48.7; 1564,48.7; 1564.5,48.7; 1565,48.7; 1565.5,48.8;
              1566,48.7; 1566.5,48.8; 1567,48.8; 1567.5,48.7; 1568,48.7; 1568.5,48.7;
              1569,48.7; 1569.5,48.7; 1570,48.7; 1570.5,48.7; 1571,48.5; 1571.5,48.5;
              1572,48.5; 1572.5,48.5; 1573,48.5; 1573.5,48.5; 1574,48.5; 1574.5,48.5;
              1575,48.6; 1575.5,48.5; 1576,48.5; 1576.5,48.5; 1577,48.5; 1577.5,48.5;
              1578,48.5; 1578.5,48.5; 1579,48.5; 1579.5,48.4; 1580,48.4; 1580.5,48.4;
              1581,48.4; 1581.5,48.4; 1582,48.4; 1582.5,48.2; 1583,48.4; 1583.5,48.4;
              1584,48.4; 1584.5,48.4; 1585,48.2; 1585.5,48.2; 1586,48.4; 1586.5,48.4;
              1587,48.4; 1587.5,48.4; 1588,48.4; 1588.5,48.2; 1589,48.2; 1589.5,48.2;
              1590,48.2; 1590.5,48.2; 1591,48.2; 1591.5,48.2; 1592,48.2; 1592.5,48.2;
              1593,48.1; 1593.5,48.1; 1594,48.1; 1594.5,48.1; 1595,48.1; 1595.5,48.1;
              1596,48.1; 1596.5,48.1; 1597,47.9; 1597.5,47.9; 1598,47.9; 1598.5,47.9;
              1599,47.9; 1599.5,47.9; 1600,47.9; 1600.5,47.9; 1601,47.9; 1601.5,47.9;
              1602,47.9; 1602.5,47.9; 1603,47.9; 1603.5,47.9; 1604,47.9; 1604.5,47.9;
              1605,47.9; 1605.5,47.9; 1606,47.9; 1606.5,47.8; 1607,47.8; 1607.5,47.8;
              1608,47.8; 1608.5,47.8; 1609,47.8; 1609.5,47.8; 1610,47.9; 1610.5,47.9;
              1611,47.9; 1611.5,47.8; 1612,47.8; 1612.5,47.8; 1613,47.8; 1613.5,47.8;
              1614,47.6; 1614.5,47.6; 1615,47.6; 1615.5,47.6; 1616,47.6; 1616.5,47.6;
              1617,47.6; 1617.5,47.5; 1618,47.5; 1618.5,47.5; 1619,47.5; 1619.5,47.5;
              1620,47.5; 1620.5,47.4; 1621,47.4; 1621.5,47.5; 1622,47.5; 1622.5,47.4;
              1623,47.5; 1623.5,47.5; 1624,47.5; 1624.5,47.3; 1625,47.3; 1625.5,47.3;
              1626,47.3; 1626.5,47.3; 1627,47.3; 1627.5,47.3; 1628,47.3; 1628.5,47.3;
              1629,47.3; 1629.5,47.3; 1630,47.1; 1630.5,47.1; 1631,47.1; 1631.5,47.2;
              1632,47.1; 1632.5,47.1; 1633,47.1; 1633.5,47.1; 1634,47.1; 1634.5,47.1;
              1635,47.1; 1635.5,47.1; 1636,47; 1636.5,47; 1637,47; 1637.5,47; 1638,47;
              1638.5,47; 1639,47; 1639.5,47; 1640,47; 1640.5,47; 1641,47; 1641.5,47; 1642,
              47; 1642.5,47; 1643,47; 1643.5,47; 1644,47; 1644.5,46.8; 1645,46.8; 1645.5,
              46.8; 1646,46.8; 1646.5,46.8; 1647,46.8; 1647.5,46.8; 1648,46.8; 1648.5,
              46.8; 1649,46.8; 1649.5,46.7; 1650,46.7; 1650.5,46.7; 1651,46.7; 1651.5,
              46.7; 1652,46.7; 1652.5,46.7; 1653,46.7; 1653.5,46.7; 1654,46.7; 1654.5,
              46.7; 1655,46.7; 1655.5,46.7; 1656,46.7; 1656.5,46.7; 1657,46.7; 1657.5,
              46.7; 1658,46.7; 1658.5,46.7; 1659,46.7; 1659.5,46.7; 1660,46.7; 1660.5,
              46.7; 1661,46.5; 1661.5,46.5; 1662,46.5; 1662.5,46.5; 1663,46.5; 1663.5,
              46.5; 1664,46.5; 1664.5,46.5; 1665,46.5; 1665.5,46.4; 1666,46.4; 1666.5,
              46.4; 1667,46.4; 1667.5,46.4; 1668,46.4; 1668.5,46.4; 1669,46.4; 1669.5,
              46.2; 1670,46.2; 1670.5,46.2; 1671,46.2; 1671.5,46.2; 1672,46.2; 1672.5,
              46.2; 1673,46.2; 1673.5,46.2; 1674,46.2; 1674.5,46.2; 1675,46.2; 1675.5,
              46.4; 1676,46.4; 1676.5,46.2; 1677,46.2; 1677.5,46.2; 1678,46.2; 1678.5,
              46.2; 1679,46.2; 1679.5,46.2; 1680,46.2; 1680.5,46.2; 1681,46.2; 1681.5,
              46.2; 1682,46.2; 1682.5,46.1; 1683,46.1; 1683.5,46.1; 1684,46.1; 1684.5,
              46.1; 1685,46.1; 1685.5,45.9; 1686,45.9; 1686.5,45.9; 1687,45.9; 1687.5,
              45.9; 1688,45.9; 1688.5,45.9; 1689,46.1; 1689.5,45.9; 1690,45.9; 1690.5,
              45.9; 1691,45.9; 1691.5,45.9; 1692,45.9; 1692.5,45.9; 1693,45.8; 1693.5,
              45.8; 1694,45.8; 1694.5,45.8; 1695,45.8; 1695.5,45.8; 1696,45.8; 1696.5,
              45.8; 1697,45.8; 1697.5,45.8; 1698,45.8; 1698.5,45.8; 1699,45.8; 1699.5,
              45.8; 1700,45.8; 1700.5,45.8; 1701,45.8; 1701.5,45.8; 1702,45.8; 1702.5,
              45.8; 1703,45.6; 1703.5,45.6; 1704,45.6; 1704.5,45.6; 1705,45.6; 1705.5,
              45.6; 1706,45.6; 1706.5,45.6; 1707,45.6; 1707.5,45.6; 1708,45.6; 1708.5,
              45.6; 1709,45.4; 1709.5,45.4; 1710,45.4; 1710.5,45.4; 1711,45.4; 1711.5,
              45.4; 1712,45.4; 1712.5,45.4; 1713,45.4; 1713.5,45.4; 1714,45.4; 1714.5,
              45.4; 1715,45.4; 1715.5,45.4; 1716,45.4; 1716.5,45.4; 1717,45.4; 1717.5,
              45.4; 1718,45.3; 1718.5,45.3; 1719,45.3; 1719.5,45.3; 1720,45.3; 1720.5,
              45.3; 1721,45.3; 1721.5,45.3; 1722,45.3; 1722.5,45.3; 1723,45.3; 1723.5,
              45.3; 1724,45.3; 1724.5,45.3; 1725,45.1; 1725.5,45.1; 1726,45.1; 1726.5,
              45.1; 1727,45.1; 1727.5,45.1; 1728,45.1; 1728.5,45.1; 1729,45.1; 1729.5,
              45.1; 1730,45.1; 1730.5,45.1; 1731,45.1; 1731.5,45.1; 1732,45.1; 1732.5,
              45.1; 1733,45.1; 1733.5,45.1; 1734,45.1; 1734.5,45.1; 1735,45.1; 1735.5,
              45.1; 1736,45.1; 1736.5,45.1; 1737,45.1; 1737.5,45; 1738,45; 1738.5,45;
              1739,45; 1739.5,45; 1740,45; 1740.5,45; 1741,45; 1741.5,45; 1742,45; 1742.5,
              45; 1743,45; 1743.5,45; 1744,45; 1744.5,45; 1745,45; 1745.5,45; 1746,45;
              1746.5,45; 1747,45; 1747.5,45; 1748,45; 1748.5,45; 1749,45; 1749.5,45; 1750,
              45; 1750.5,44.8; 1751,44.8; 1751.5,44.8; 1752,44.8; 1752.5,44.8; 1753,44.8;
              1753.5,44.8; 1754,44.8; 1754.5,44.8; 1755,44.8; 1755.5,44.8; 1756,44.8;
              1756.5,44.8; 1757,44.7; 1757.5,44.7; 1758,44.7; 1758.5,44.7; 1759,44.7;
              1759.5,44.7; 1760,44.7; 1760.5,44.7; 1761,44.7; 1761.5,44.7; 1762,44.7;
              1762.5,44.7; 1763,44.7; 1763.5,44.7; 1764,44.5; 1764.5,44.5; 1765,44.5;
              1765.5,44.5; 1766,44.5; 1766.5,44.4; 1767,44.4; 1767.5,44.4; 1768,44.4;
              1768.5,44.4; 1769,44.4; 1769.5,44.4; 1770,44.4; 1770.5,44.4; 1771,44.4;
              1771.5,44.4; 1772,44.4; 1772.5,44.4; 1773,44.2; 1773.5,44.2; 1774,44.2;
              1774.5,44.2; 1775,44.2; 1775.5,44.2; 1776,44.2; 1776.5,44.2; 1777,44.2;
              1777.5,44.2; 1778,44.2; 1778.5,44.2; 1779,44.2; 1779.5,44.2; 1780,44.2;
              1780.5,44.2; 1781,44.2; 1781.5,44.1; 1782,44.2; 1782.5,44.2; 1783,44.1;
              1783.5,44.1; 1784,44.1; 1784.5,44.1; 1785,44.1; 1785.5,44.1; 1786,44.1;
              1786.5,44.1; 1787,44; 1787.5,44; 1788,44.1; 1788.5,44.1; 1789,44.1; 1789.5,
              44.1; 1790,44.1; 1790.5,44.1; 1791,44.1; 1791.5,44.1; 1792,44.1; 1792.5,
              44.1; 1793,44.1; 1793.5,44.1; 1794,44.1; 1794.5,44.1; 1795,43.9; 1795.5,
              43.9; 1796,43.9; 1796.5,43.9; 1797,43.9; 1797.5,43.9; 1798,43.9; 1798.5,
              43.9; 1799,43.9; 1799.5,43.9; 1800,43.9; 1800.5,43.9; 1801,43.9; 1801.5,
              43.9; 1802,43.9; 1802.5,43.7; 1803,43.8; 1803.5,43.7; 1804,43.8; 1804.5,
              43.8; 1805,43.8; 1805.5,43.7; 1806,43.8; 1806.5,43.8; 1807,43.7; 1807.5,
              43.8; 1808,43.8; 1808.5,43.8; 1809,43.8; 1809.5,43.6; 1810,43.6; 1810.5,
              43.6; 1811,43.6; 1811.5,43.6; 1812,43.6; 1812.5,43.6; 1813,43.6; 1813.5,
              43.6; 1814,43.6; 1814.5,43.4; 1815,43.6; 1815.5,43.6; 1816,43.6; 1816.5,
              43.4; 1817,43.4; 1817.5,43.4; 1818,43.4; 1818.5,43.4; 1819,43.4; 1819.5,
              43.4; 1820,43.4; 1820.5,43.4; 1821,43.4; 1821.5,43.4; 1822,43.4; 1822.5,
              43.4; 1823,43.4; 1823.5,43.4; 1824,43.4; 1824.5,43.3; 1825,43.3; 1825.5,
              43.3; 1826,43.3; 1826.5,43.3; 1827,43.1; 1827.5,43.1; 1828,43.1; 1828.5,
              43.1; 1829,43.1; 1829.5,43.1; 1830,43.1; 1830.5,43.1; 1831,43.1; 1831.5,
              43.1; 1832,43.1; 1832.5,43.1; 1833,43.1; 1833.5,43.1; 1834,43.1; 1834.5,
              43.1; 1835,43.1; 1835.5,43.1; 1836,43.1; 1836.5,43; 1837,43.1; 1837.5,43.1;
              1838,43; 1838.5,43; 1839,43; 1839.5,43; 1840,43; 1840.5,43; 1841,43; 1841.5,
              43; 1842,43; 1842.5,43; 1843,43; 1843.5,43; 1844,43; 1844.5,43; 1845,43;
              1845.5,43; 1846,43; 1846.5,43; 1847,43; 1847.5,43; 1848,43; 1848.5,43; 1849,
              43; 1849.5,43; 1850,43; 1850.5,43; 1851,42.8; 1851.5,42.8; 1852,42.8; 1852.5,
              42.8; 1853,42.8; 1853.5,42.8; 1854,42.8; 1854.5,42.8; 1855,42.8; 1855.5,
              42.7; 1856,42.7; 1856.5,42.7; 1857,42.7; 1857.5,42.7; 1858,42.7; 1858.5,
              42.7; 1859,42.7; 1859.5,42.7; 1860,42.7; 1860.5,42.7; 1861,42.7; 1861.5,
              42.7; 1862,42.7; 1862.5,42.7; 1863,42.7; 1863.5,42.7; 1864,42.7; 1864.5,
              42.7; 1865,42.5; 1865.5,42.5; 1866,42.5; 1866.5,42.5; 1867,42.5; 1867.5,
              42.5; 1868,42.5; 1868.5,42.5; 1869,42.5; 1869.5,42.5; 1870,42.5; 1870.5,
              42.5; 1871,42.4; 1871.5,42.4; 1872,42.4; 1872.5,42.4; 1873,42.4; 1873.5,
              42.4; 1874,42.4; 1874.5,42.4; 1875,42.4; 1875.5,42.4; 1876,42.4; 1876.5,
              42.4; 1877,42.4; 1877.5,42.4; 1878,42.4; 1878.5,42.4; 1879,42.4; 1879.5,
              42.2; 1880,42.2; 1880.5,42.2; 1881,42.2; 1881.5,42.2; 1882,42.2; 1882.5,
              42.2; 1883,42.2; 1883.5,42.2; 1884,42.2; 1884.5,42.2; 1885,42.2; 1885.5,
              42.2; 1886,42.2; 1886.5,42.2; 1887,42.2; 1887.5,42.2; 1888,42.2; 1888.5,
              42.1; 1889,42.2; 1889.5,42.1; 1890,42.2; 1890.5,42.1; 1891,42.1; 1891.5,
              42.1; 1892,42.1; 1892.5,42.1; 1893,42.1; 1893.5,42.1; 1894,42.1; 1894.5,
              42.1; 1895,42.1; 1895.5,42.1; 1896,42.1; 1896.5,41.9; 1897,42.1; 1897.5,
              42.1; 1898,41.9; 1898.5,41.9; 1899,41.9; 1899.5,41.9; 1900,41.9; 1900.5,
              41.9; 1901,41.9; 1901.5,41.9; 1902,41.9; 1902.5,41.9; 1903,41.9; 1903.5,
              41.9; 1904,41.9; 1904.5,41.9; 1905,41.9; 1905.5,41.9; 1906,41.9; 1906.5,
              41.8; 1907,41.7; 1907.5,41.8; 1908,41.8; 1908.5,41.9; 1909,41.9; 1909.5,
              41.8; 1910,41.9; 1910.5,41.9; 1911,41.8; 1911.5,41.7; 1912,41.8; 1912.5,
              41.8; 1913,41.8; 1913.5,41.7; 1914,41.8; 1914.5,41.8; 1915,41.7; 1915.5,
              41.7; 1916,41.8; 1916.5,41.7; 1917,41.7; 1917.5,41.8; 1918,41.7; 1918.5,
              41.7; 1919,41.6; 1919.5,41.6; 1920,41.6; 1920.5,41.6; 1921,41.6; 1921.5,
              41.6; 1922,41.6; 1922.5,41.6; 1923,41.6; 1923.5,41.6; 1924,41.6; 1924.5,
              41.6; 1925,41.6; 1925.5,41.6; 1926,41.5; 1926.5,41.4; 1927,41.4; 1927.5,
              41.4; 1928,41.5; 1928.5,41.5; 1929,41.5; 1929.5,41.5; 1930,41.5; 1930.5,
              41.4; 1931,41.4; 1931.5,41.4; 1932,41.4; 1932.5,41.4; 1933,41.5; 1933.5,
              41.4; 1934,41.4; 1934.5,41.4; 1935,41.4; 1935.5,41.4; 1936,41.3; 1936.5,
              41.3; 1937,41.3; 1937.5,41.3; 1938,41.3; 1938.5,41.3; 1939,41.3; 1939.5,
              41.3; 1940,41.3; 1940.5,41.3; 1941,41.1; 1941.5,41.3; 1942,41.1; 1942.5,
              41.1; 1943,41.1; 1943.5,41.1; 1944,41.1; 1944.5,41.1; 1945,41.1; 1945.5,
              41.1; 1946,41.1; 1946.5,41.1; 1947,41.3; 1947.5,41.1; 1948,41.1; 1948.5,
              41.1; 1949,41.1; 1949.5,41.1; 1950,41.1; 1950.5,41.1; 1951,41.1; 1951.5,
              41.1; 1952,41.1; 1952.5,41.1; 1953,41.1; 1953.5,41.1; 1954,41.1; 1954.5,
              41; 1955,41; 1955.5,41; 1956,41; 1956.5,41; 1957,41; 1957.5,41; 1958,41;
              1958.5,41; 1959,41; 1959.5,41; 1960,41; 1960.5,40.8; 1961,40.8; 1961.5,40.8;
              1962,40.8; 1962.5,40.8; 1963,40.8; 1963.5,40.8; 1964,40.8; 1964.5,40.8;
              1965,40.8; 1965.5,40.8; 1966,40.8; 1966.5,40.8; 1967,40.8; 1967.5,40.8;
              1968,40.8; 1968.5,40.8; 1969,40.7; 1969.5,40.7; 1970,40.7; 1970.5,40.7;
              1971,40.7; 1971.5,40.7; 1972,40.7; 1972.5,40.7; 1973,40.7; 1973.5,40.7;
              1974,40.7; 1974.5,40.7; 1975,40.7; 1975.5,40.7; 1976,40.7; 1976.5,40.7;
              1977,40.7; 1977.5,40.7; 1978,40.7; 1978.5,40.7; 1979,40.7; 1979.5,40.7;
              1980,40.7; 1980.5,40.5; 1981,40.5; 1981.5,40.5; 1982,40.5; 1982.5,40.5;
              1983,40.5; 1983.5,40.5; 1984,40.5; 1984.5,40.5; 1985,40.5; 1985.5,40.4;
              1986,40.4; 1986.5,40.4; 1987,40.5; 1987.5,40.5; 1988,40.4; 1988.5,40.4;
              1989,40.4; 1989.5,40.4; 1990,40.4; 1990.5,40.4; 1991,40.4; 1991.5,40.4;
              1992,40.4; 1992.5,40.4; 1993,40.4; 1993.5,40.4; 1994,40.4; 1994.5,40.4;
              1995,40.4; 1995.5,40.4; 1996,40.4; 1996.5,40.4; 1997,40.4; 1997.5,40.4;
              1998,40.4; 1998.5,40.4; 1999,40.4; 1999.5,40.4; 2000,40.4; 2000.5,40.4;
              2001,40.4; 2001.5,40.4; 2002,40.4; 2002.5,40.2; 2003,40.2; 2003.5,40.2;
              2004,40.2; 2004.5,40.2; 2005,40.2; 2005.5,40.2; 2006,40.2; 2006.5,40.2;
              2007,40.2; 2007.5,40.2; 2008,40.1; 2008.5,40.1; 2009,40.1; 2009.5,40; 2010,
              40.1; 2010.5,40.1; 2011,40.1; 2011.5,40.1; 2012,40.1; 2012.5,40.1; 2013,
              40; 2013.5,40; 2014,40.1; 2014.5,40.1; 2015,40.1; 2015.5,40; 2016,40; 2016.5,
              40; 2017,39.9; 2017.5,39.9; 2018,39.9; 2018.5,40; 2019,39.9; 2019.5,39.9;
              2020,39.9; 2020.5,39.9; 2021,39.9; 2021.5,39.9; 2022,39.9; 2022.5,39.9;
              2023,39.9; 2023.5,39.9; 2024,39.9; 2024.5,39.9; 2025,39.9; 2025.5,39.9;
              2026,39.9; 2026.5,39.9; 2027,39.9; 2027.5,39.9; 2028,39.9; 2028.5,39.7;
              2029,39.7; 2029.5,39.7; 2030,39.7; 2030.5,39.7; 2031,39.7; 2031.5,39.8;
              2032,39.7; 2032.5,39.7; 2033,39.7; 2033.5,39.7; 2034,39.7; 2034.5,39.7;
              2035,39.7; 2035.5,39.6; 2036,39.7; 2036.5,39.6; 2037,39.6; 2037.5,39.6;
              2038,39.6; 2038.5,39.6; 2039,39.6; 2039.5,39.6; 2040,39.6; 2040.5,39.6;
              2041,39.6; 2041.5,39.6; 2042,39.6; 2042.5,39.6; 2043,39.6; 2043.5,39.6;
              2044.2,39.6; 2044.5,39.6; 2045,39.6; 2045.5,39.6; 2046,39.6; 2046.5,39.6;
              2047,39.6; 2047.5,39.6; 2048,39.6; 2048.5,39.6; 2049,39.6; 2049.5,39.6;
              2050,39.6; 2050.5,39.4; 2051,39.4; 2051.5,39.6; 2052,39.4; 2052.5,39.4;
              2053,39.4; 2053.5,39.4; 2054,39.4; 2054.5,39.4; 2055,39.4; 2055.5,39.4;
              2056,39.4; 2056.5,39.3; 2057,39.3; 2057.5,39.3; 2058,39.3; 2058.5,39.3;
              2059,39.3; 2059.5,39.3; 2060,39.3; 2060.5,39.3; 2061,39.3; 2061.5,39.3;
              2062,39.3; 2062.5,39.3; 2063,39.3; 2063.5,39.3; 2064,39.3; 2064.5,39.3;
              2065,39.3; 2065.5,39.3; 2066,39.3; 2066.5,39.3; 2067,39.3; 2067.5,39.3;
              2068,39.1; 2068.5,39.3; 2069,39.1; 2069.5,39.3; 2070,39.3; 2070.5,39.3;
              2071,39.1; 2071.5,39.1; 2072,39.1; 2072.5,39.1; 2073,39.1; 2073.5,39.1;
              2074,39.1; 2074.5,39.1; 2075,39.1; 2075.5,39.1; 2076,39.1; 2076.5,39.1;
              2077,39.1; 2077.5,39.1; 2078,39.1; 2078.5,39.1; 2079,39.1; 2079.5,39; 2080,
              39; 2080.5,39; 2081,39; 2081.5,39; 2082,39; 2082.5,39; 2083,39; 2083.5,39;
              2084,39; 2084.5,39; 2085,39; 2085.5,39; 2086,39; 2086.5,39; 2087,39; 2087.5,
              39; 2088,39; 2088.5,39; 2089,39; 2089.5,39; 2090,38.8; 2090.5,38.8; 2091,
              38.8; 2091.5,38.8; 2092,38.8; 2092.5,38.8; 2093,38.8; 2093.5,38.8; 2094,
              38.8; 2094.5,38.8; 2095,38.8; 2095.5,38.8; 2096,38.8; 2096.5,38.8; 2097,
              38.8; 2097.5,38.8; 2098,38.8; 2098.5,38.8; 2099,38.8; 2099.5,38.8; 2100,
              38.8; 2100.5,38.8; 2101,38.8; 2101.5,38.8; 2102,38.7; 2102.5,38.7; 2103,
              38.7; 2103.5,38.7; 2104,38.7; 2104.5,38.7; 2105,38.7; 2105.5,38.7; 2106,
              38.7; 2106.5,38.7; 2107,38.7; 2107.5,38.7; 2108,38.7; 2108.5,38.7; 2109,
              38.7; 2109.5,38.7; 2110,38.7; 2110.5,38.7; 2111,38.5; 2111.5,38.5; 2112,
              38.5; 2112.5,38.5; 2113,38.5; 2113.5,38.5; 2114,38.5; 2114.5,38.5; 2115,
              38.5; 2115.5,38.5; 2116,38.5; 2116.5,38.5; 2117,38.5; 2117.5,38.5; 2118,
              38.5; 2118.5,38.5; 2119,38.5; 2119.5,38.5; 2120,38.5; 2120.5,38.5; 2121,
              38.4; 2121.5,38.5; 2122,38.5; 2122.5,38.5; 2123,38.5; 2123.5,38.5; 2124,
              38.5; 2124.5,38.5; 2125,38.5; 2125.5,38.5; 2126,38.5; 2126.5,38.5; 2127,
              38.5; 2127.5,38.5; 2128,38.5; 2128.5,38.5; 2129,38.4; 2129.5,38.3; 2130,
              38.4; 2130.5,38.4; 2131,38.3; 2131.5,38.4; 2132,38.3; 2132.5,38.4; 2133,
              38.4; 2133.5,38.3; 2134,38.3; 2134.5,38.4; 2135,38.2; 2135.5,38.2; 2136,
              38.2; 2136.5,38.2; 2137,38.2; 2137.5,38.2; 2138,38.2; 2138.5,38.2; 2139,
              38.2; 2139.5,38.2; 2140,38.2; 2140.5,38.2; 2141,38.2; 2141.5,38.2; 2142,
              38.2; 2142.5,38.2; 2143,38.2; 2143.5,38.2; 2144,38.2; 2144.5,38.2; 2145,
              38.2; 2145.5,38.2; 2146,38; 2146.5,38; 2147,38; 2147.5,38; 2148,38; 2148.5,
              38; 2149,38; 2149.5,38; 2150,38; 2150.5,38; 2151,38; 2151.5,38; 2152,38;
              2152.5,38; 2153,38; 2153.5,38; 2154,38; 2154.5,38; 2155,38; 2155.5,38; 2156,
              37.9; 2156.5,38; 2157,37.9; 2157.5,37.9; 2158,37.9; 2158.5,37.9; 2159,37.9;
              2159.5,37.9; 2160,37.9; 2160.5,37.9; 2161,37.9; 2161.5,37.9; 2162,37.9;
              2162.5,37.9; 2163,37.9; 2163.5,37.9; 2164,37.9; 2164.5,37.9; 2165,37.9;
              2165.5,37.9; 2166,37.9; 2166.5,37.9; 2167,37.9; 2167.5,37.9; 2168,37.9;
              2168.5,37.9; 2169,37.9; 2169.5,37.7; 2170,37.7; 2170.5,37.7; 2171,37.7;
              2171.5,37.7; 2172,37.7; 2172.5,37.7; 2173,37.7; 2173.5,37.7; 2174,37.7;
              2174.5,37.7; 2175,37.7; 2175.5,37.7; 2176,37.7; 2176.5,37.7; 2177,37.7;
              2177.5,37.7; 2178,37.7; 2178.5,37.7; 2179,37.7; 2179.5,37.7; 2180,37.7;
              2180.5,37.7; 2181,37.7; 2181.5,37.7; 2182,37.7; 2182.5,37.7; 2183,37.7;
              2183.5,37.6; 2184,37.6; 2184.5,37.6; 2185,37.6; 2185.5,37.6; 2186,37.6;
              2186.5,37.6; 2187,37.6; 2187.5,37.6; 2188,37.6; 2188.5,37.6; 2189,37.6;
              2189.5,37.6; 2190,37.6; 2190.5,37.4; 2191,37.4; 2191.5,37.4; 2192,37.4;
              2192.5,37.4; 2193,37.4; 2193.5,37.4; 2194,37.4; 2194.5,37.4; 2195,37.4;
              2195.5,37.4; 2196,37.4; 2196.5,37.4; 2197,37.6; 2197.5,37.4; 2198,37.4;
              2198.5,37.6; 2199,37.4; 2199.5,37.4; 2200,37.4; 2200.5,37.4; 2201,37.6;
              2201.5,37.6; 2202,37.6; 2202.5,37.4; 2203,37.4; 2203.5,37.4; 2204,37.4;
              2204.5,37.4; 2205,37.4; 2205.5,37.4; 2206,37.4; 2206.5,37.4; 2207,37.3;
              2207.5,37.3; 2208,37.3; 2208.5,37.3; 2209,37.3; 2209.5,37.3; 2210,37.3;
              2210.5,37.3; 2211,37.3; 2211.5,37.3; 2212,37.3; 2212.5,37.3; 2213,37.1;
              2213.5,37.1; 2214,37.1; 2214.5,37.1; 2215,37.1; 2215.5,37.1; 2216,37.1;
              2216.5,37.1; 2217,37.1; 2217.5,37.1; 2218,37.1; 2218.5,37.1; 2219,37.1;
              2219.5,37.1; 2220,37.1; 2220.5,37.1; 2221,37.3; 2221.5,37.3; 2222,37.3;
              2222.5,37.3; 2223,37.1; 2223.5,37.1; 2224,37.1; 2224.5,37.1; 2225,37.1;
              2225.5,37.1; 2226,37.1; 2226.5,37.1; 2227,37.1; 2227.5,37.1; 2228,37.1;
              2228.5,37.1; 2229,37.1; 2229.5,36.9; 2230,37; 2230.5,37; 2231,36.9; 2231.5,
              37.1; 2232,37.1; 2232.5,37.1; 2233,37.1; 2233.5,37.1; 2234,37.1; 2234.5,
              37.1; 2235,37.1; 2235.5,37.1; 2236,37.1; 2236.5,37.1; 2237,37; 2237.5,37;
              2238,37; 2238.5,37; 2239,37; 2239.5,36.9; 2240,37; 2240.5,36.9; 2241,36.9;
              2241.5,36.9; 2242,36.9; 2242.5,36.9; 2243,36.8; 2243.5,36.8; 2244,36.8;
              2244.5,36.8; 2245,36.8; 2245.5,37; 2246,37; 2246.5,37; 2247,37; 2247.5,36.9;
              2248,37; 2248.5,37; 2249,37; 2249.5,36.8; 2250,36.9; 2250.5,36.8; 2251,36.8;
              2251.5,36.8; 2252,36.8; 2252.5,36.8; 2253,36.8; 2253.5,36.8; 2254,36.8;
              2254.5,36.8; 2255,36.8; 2255.5,36.8; 2256,36.8; 2256.5,36.8; 2257,36.8;
              2257.5,36.8; 2258,36.8; 2258.5,36.8; 2259,36.8; 2259.5,36.8; 2260,36.8;
              2260.5,36.8; 2261,36.8; 2261.5,36.8; 2262,36.8; 2262.5,36.8; 2263,36.8;
              2263.5,36.8; 2264,36.8; 2264.5,36.7; 2265,36.6; 2265.5,36.7; 2266,36.6;
              2266.5,36.6; 2267,36.6; 2267.5,36.7; 2268,36.6; 2268.5,36.6; 2269,36.6;
              2269.5,36.7; 2270,36.6; 2270.5,36.5; 2271,36.5; 2271.5,36.5; 2272,36.5;
              2272.5,36.5; 2273,36.5; 2273.5,36.5; 2274,36.5; 2274.5,36.5; 2275,36.5;
              2275.5,36.5; 2276,36.5; 2276.5,36.5; 2277,36.5; 2277.5,36.5; 2278,36.5;
              2278.5,36.5; 2279,36.5; 2279.5,36.5; 2280,36.5; 2280.5,36.5; 2281,36.5;
              2281.5,36.5; 2282,36.5; 2282.5,36.5; 2283,36.3; 2283.5,36.3; 2284,36.3;
              2284.5,36.3; 2285,36.3; 2285.5,36.3; 2286,36.3; 2286.5,36.3; 2287,36.3;
              2287.5,36.3; 2288,36.3; 2288.5,36.3; 2289,36.3; 2289.5,36.3; 2290,36.3;
              2290.5,36.3; 2291,36.2; 2291.5,36.2; 2292,36.2; 2292.5,36.2; 2293,36.2;
              2293.5,36.2; 2294,36.2; 2294.5,36.2; 2295,36.2; 2295.5,36.2; 2296,36.2;
              2296.5,36.2; 2297,36.2; 2297.5,36.2; 2298,36.2; 2298.5,36.2; 2299,36.2;
              2299.5,36.2; 2300,36.2; 2300.5,36.2; 2301,36.2; 2301.5,36.2; 2302,36.2;
              2302.5,36.2; 2303,36.2; 2303.5,36.2; 2304,36; 2304.5,36; 2305,36; 2305.5,
              36; 2306,36; 2306.5,36.2; 2307,36.2; 2307.5,36.2; 2308,36; 2308.5,36; 2309,
              36; 2309.5,36; 2310,36; 2310.5,36; 2311,36; 2311.5,36; 2312,36; 2312.5,36;
              2313,35.9; 2313.5,35.9; 2314,35.9; 2314.5,35.9; 2315,36; 2315.5,36; 2316,
              35.9; 2316.5,35.9; 2317,35.9; 2317.5,35.9; 2318,35.9; 2318.5,35.9; 2319,
              35.9; 2319.5,35.9; 2320,35.9; 2320.5,35.9; 2321,35.9; 2321.5,35.9; 2322,
              35.9; 2322.5,35.9; 2323,35.9; 2323.5,35.9; 2324,35.9; 2324.5,35.9; 2325,
              35.9; 2325.5,35.9; 2326,35.9; 2326.5,35.9; 2327,35.9; 2327.5,35.9; 2328,
              35.9; 2328.5,35.9; 2329,35.9; 2329.5,35.9; 2330,35.9; 2330.5,35.9; 2331,
              35.7; 2331.5,35.7; 2332,35.7; 2332.5,35.7; 2333,35.7; 2333.5,35.7; 2334,
              35.7; 2334.5,35.7; 2335,35.7; 2335.5,35.7; 2336,35.7; 2336.5,35.7; 2337,
              35.7; 2337.5,35.7; 2338,35.7; 2338.5,35.7; 2339,35.7; 2339.5,35.6; 2340,
              35.6; 2340.5,35.6; 2341,35.6; 2341.5,35.6; 2342,35.6; 2342.5,35.6; 2343,
              35.6; 2343.5,35.6; 2344,35.6; 2344.5,35.6; 2345,35.6; 2345.5,35.6; 2346,
              35.6; 2346.5,35.6; 2347,35.6; 2347.5,35.6; 2348,35.6; 2348.5,35.6; 2349,
              35.6; 2349.5,35.6; 2350,35.4; 2350.5,35.4; 2351,35.4; 2351.5,35.4; 2352,
              35.4; 2352.5,35.4; 2353,35.6; 2353.5,35.4; 2354,35.4; 2354.5,35.4; 2355,
              35.4; 2355.5,35.4; 2356,35.4; 2356.5,35.4; 2357,35.4; 2357.5,35.4; 2358,
              35.4; 2358.5,35.4; 2359,35.4; 2359.5,35.4; 2360,35.4; 2360.5,35.4; 2361,
              35.4; 2361.5,35.4; 2362,35.4; 2362.5,35.4; 2363,35.4; 2363.5,35.4; 2364,
              35.4; 2364.5,35.4; 2365,35.4; 2365.5,35.4; 2366,35.4; 2366.5,35.4; 2367,
              35.4; 2367.5,35.4; 2368,35.4; 2368.5,35.4; 2369,35.4; 2369.5,35.4; 2370,
              35.4; 2370.5,35.4; 2371,35.4; 2371.5,35.4; 2372,35.4; 2372.5,35.4; 2373,
              35.4; 2373.5,35.4; 2374,35.4; 2374.5,35.4; 2375,35.4; 2375.5,35.4; 2376,
              35.2; 2376.5,35.3; 2377,35.4; 2377.5,35.4; 2378,35.4; 2378.5,35.4; 2379,
              35.4; 2379.5,35.4; 2380,35.2; 2380.5,35.2; 2381,35.2; 2381.5,35.2; 2382,
              35.2; 2382.5,35.1; 2383,35.1; 2383.5,35.1; 2384,35.1; 2384.5,35.1; 2385,
              35.1; 2385.5,35.1; 2386,35.1; 2386.5,35.1; 2387,35.1; 2387.5,35.1; 2388,
              35.1; 2388.5,35.1; 2389,35.1; 2389.5,35.1; 2390,35.1; 2390.5,35.1; 2391,
              35.1; 2391.5,35.1; 2392,35.1; 2392.5,35.1; 2393,35.1; 2393.5,35.1; 2394,
              35.1; 2394.5,35.1; 2395,35.1; 2395.5,35.1; 2396,35.1; 2396.5,35.1; 2397,
              35.1; 2397.5,35.1; 2398,35.1; 2398.5,35.1; 2399,35.1; 2399.5,35.1; 2400,
              35.1; 2400.5,35.1; 2401,35.1; 2401.5,35.1; 2402,35.1; 2402.5,35.1; 2403,
              35.1; 2403.5,35.1; 2404,35.1; 2404.5,35.1; 2405,35.1; 2405.5,35.1; 2406,
              34.9; 2406.5,34.9; 2407,34.9; 2407.5,34.9; 2408,34.9]) annotation (
            Placement(transformation(
              extent={{-10,-10},{10,10}},
              rotation=270,
              origin={-80,80})));
        Modelica.Blocks.Tables.CombiTable1D MeasurementDataTCold_TEC(table=[0,25.1; 0.5,
              25.1; 1,25; 1.5,25; 2,25; 2.7,25; 3,25.1; 3.5,25; 4,25; 4.5,25; 5,25; 5.5,
              25.1; 6.3,24.9; 6.5,24.9; 7,24.9; 7.5,24.9; 8,24.9; 8.5,24.9; 9,24.9; 9.5,
              24.9; 10,24.9; 10.5,24.9; 11,24.9; 11.5,24.9; 12,24.9; 12.5,24.9; 13,24.9;
              13.5,24.7; 14,24.7; 14.5,24.7; 15,24.7; 15.5,24.7; 16,24.7; 16.5,24.7; 17,
              24.7; 17.5,24.7; 18,24.7; 18.5,24.7; 19,24.7; 19.5,24.7; 20,24.7; 20.5,24.6;
              21,24.6; 21.5,24.6; 22,24.6; 22.5,24.6; 23,24.6; 23.5,24.6; 24,24.6; 24.5,
              24.6; 25,24.6; 25.5,24.6; 26,24.6; 26.5,24.6; 27,24.6; 27.5,24.6; 28,24.6;
              28.5,24.6; 29,24.6; 29.5,24.6; 30,24.6; 30.5,24.6; 31,24.6; 31.5,24.6; 32,
              24.7; 32.5,24.7; 33,24.7; 33.5,24.7; 34,24.7; 34.5,24.7; 35,24.7; 35.5,24.7;
              36,24.9; 36.5,24.9; 37,24.9; 37.5,24.9; 38,24.9; 38.5,24.9; 39,24.9; 39.5,
              25; 40,25; 40.5,25.1; 41,25.1; 41.5,25.2; 42,25.2; 42.5,25.2; 43,25.2; 43.5,
              25.2; 44,25.2; 44.5,25.4; 45,25.3; 45.5,25.4; 46,25.5; 46.5,25.5; 47,25.5;
              47.5,25.7; 48,25.7; 48.5,25.7; 49,25.7; 49.5,25.8; 50,25.8; 50.5,26; 51,
              26; 51.5,26; 52,26.1; 52.5,26.1; 53,26.1; 53.5,26.3; 54,26.3; 54.5,26.4;
              55,26.4; 55.5,26.4; 56,26.6; 56.5,26.6; 57,26.6; 57.5,26.7; 58,26.7; 58.5,
              26.7; 59,26.9; 59.5,26.9; 60,27.1; 60.5,27.1; 61,27.2; 61.5,27.2; 62,27.2;
              62.5,27.4; 63,27.4; 63.5,27.5; 64,27.5; 64.5,27.7; 65,27.7; 65.5,27.8; 66,
              27.8; 66.5,28; 67,28; 67.5,28.1; 68,28.1; 68.5,28.3; 69,28.3; 69.5,28.4;
              70,28.4; 70.5,28.4; 71,28.6; 71.5,28.8; 72,28.8; 72.5,28.8; 73,28.9; 73.5,
              29.1; 74,29.1; 74.5,29.2; 75,29.2; 75.5,29.2; 76,29.4; 76.5,29.5; 77,29.5;
              77.5,29.7; 78,29.7; 78.5,29.8; 79,29.8; 79.5,30; 80,30; 80.5,30.1; 81,30.1;
              81.5,30.3; 82,30.4; 82.5,30.4; 83,30.4; 83.5,30.6; 84,30.7; 84.5,30.7; 85,
              30.9; 85.5,30.9; 86,31.1; 86.5,31; 87,31.2; 87.5,31.2; 88,31.4; 88.5,31.4;
              89,31.5; 89.5,31.7; 90,31.7; 90.5,31.8; 91,31.8; 91.5,32; 92,32; 92.5,32.1;
              93,32.1; 93.5,32.3; 94,32.4; 94.5,32.4; 95,32.6; 95.5,32.6; 96,32.7; 96.5,
              32.7; 97,32.9; 97.5,32.9; 98,33; 98.5,33.2; 99,33.2; 99.5,33.3; 100,33.3;
              100.5,33.5; 101,33.5; 101.5,33.7; 102,33.8; 102.5,33.8; 103,34; 103.5,34;
              104,34.1; 104.5,34.1; 105,34.3; 105.5,34.3; 106,34.4; 106.5,34.6; 107,34.6;
              107.5,34.7; 108,34.7; 108.5,34.9; 109,34.9; 109.5,35; 110,35; 110.5,35.2;
              111,35.2; 111.5,35.3; 112,35.3; 112.5,35.5; 113,35.5; 113.5,35.6; 114,35.7;
              114.5,35.8; 115,35.8; 115.5,36; 116,36.1; 116.5,36.1; 117,36.3; 117.5,36.3;
              118,36.3; 118.5,36.4; 119,36.6; 119.5,36.6; 120,36.6; 120.5,36.7; 121,36.7;
              121.5,36.9; 122,37; 122.5,37; 123,37; 123.5,37.2; 124,37.3; 124.5,37.4;
              125,37.5; 125.5,37.5; 126,37.5; 126.5,37.7; 127,37.8; 127.5,37.8; 128,38;
              128.5,38; 129,38.1; 129.5,38.1; 130,38.3; 130.5,38.3; 131,38.4; 131.5,38.4;
              132,38.4; 132.5,38.6; 133,38.6; 133.5,38.7; 134,38.7; 134.5,38.9; 135,38.9;
              135.5,39; 136,39.2; 136.5,39.2; 137,39.2; 137.5,39.3; 138,39.3; 138.5,39.5;
              139,39.5; 139.5,39.6; 140,39.6; 140.5,39.8; 141,39.8; 141.5,39.9; 142,39.9;
              142.5,40.1; 143,40.1; 143.5,40.1; 144,40.3; 144.5,40.3; 145,40.4; 145.5,
              40.4; 146,40.6; 146.5,40.6; 147,40.7; 147.5,40.7; 148,40.7; 148.5,40.9;
              149,40.9; 149.5,41; 150,41; 150.5,41.2; 151,41.2; 151.5,41.2; 152,41.3;
              152.5,41.3; 153,41.5; 153.5,41.5; 154,41.5; 154.5,41.6; 155,41.6; 155.5,
              41.8; 156,41.8; 156.5,41.8; 157,41.9; 157.5,41.9; 158,41.9; 158.5,42.1;
              159,42.1; 159.5,42.1; 160,42.3; 160.5,42.3; 161,42.2; 161.5,42.4; 162,42.4;
              162.5,42.4; 163,42.6; 163.5,42.6; 164,42.6; 164.5,42.7; 165,42.7; 165.5,
              42.7; 166,42.7; 166.5,42.7; 167,42.9; 167.5,42.9; 168,42.9; 168.5,42.9;
              169,43; 169.5,43; 170,43; 170.5,43; 171,43.2; 171.5,43.2; 172,43.2; 172.5,
              43.2; 173,43.2; 173.5,43.3; 174,43.3; 174.5,43.3; 175,43.3; 175.5,43.3;
              176,43.5; 176.5,43.5; 177,43.5; 177.5,43.5; 178,43.5; 178.5,43.5; 179,43.7;
              179.5,43.6; 180,43.6; 180.5,43.6; 181,43.6; 181.5,43.6; 182,43.6; 182.5,
              43.6; 183,43.6; 183.5,43.6; 184,43.8; 184.5,43.8; 185,43.8; 185.5,43.8;
              186,43.8; 186.5,43.8; 187,43.8; 187.5,43.8; 188,43.8; 188.5,44; 189,44;
              189.5,44; 190,43.9; 190.5,44; 191,44; 191.5,44; 192,44; 192.5,44; 193,44;
              193.5,44; 194,44; 194.5,44; 195,44; 195.5,44; 196,44; 196.5,44.1; 197,44.1;
              197.5,44.1; 198,44.1; 198.5,44.1; 199,44.1; 199.5,44.1; 200,44.1; 200.5,
              44.1; 201,44.1; 201.5,44.1; 202,44.1; 202.5,44.1; 203,44.1; 203.5,44.1;
              204,44.1; 204.5,44.1; 205,44.1; 205.5,44.1; 206,44.1; 206.5,44.1; 207,44.1;
              207.5,44.1; 208,44.1; 208.5,44.1; 209,44.1; 209.5,44.1; 210,44.1; 210.5,
              44.1; 211,44.1; 211.5,44.1; 212,44.1; 212.5,44.1; 213,44.1; 213.5,44.1;
              214,44.1; 214.5,44.1; 215,44.1; 215.5,44.1; 216,44.1; 216.5,44.1; 217,44.1;
              217.5,44.1; 218,44.1; 218.5,44.1; 219,44.1; 219.5,44.1; 220,44.1; 220.5,
              44.1; 221,44.1; 221.5,44.1; 222,44.1; 222.5,44.1; 223,44.1; 223.5,44.1;
              224,44.1; 224.5,44.1; 225,44.1; 225.5,44.1; 226,44.1; 226.5,44.1; 227,44.1;
              227.5,44.1; 228,44.1; 228.5,44.1; 229,44.1; 229.5,44.1; 230,44.1; 230.5,
              44.1; 231,44.1; 231.5,44.1; 232,44.1; 232.5,44.1; 233,44.1; 233.5,44.1;
              234,44.1; 234.5,44.1; 235,44.1; 235.5,44.1; 236,44; 236.5,44; 237,44; 237.5,
              44; 238,44; 238.5,44; 239,44; 239.5,44; 240,43.8; 240.5,43.8; 241,43.8;
              241.5,43.8; 242,43.8; 242.5,43.8; 243,43.8; 243.5,43.8; 244,43.8; 244.5,
              43.8; 245,43.8; 245.5,43.6; 246,43.6; 246.5,43.6; 247,43.6; 247.5,43.6;
              248,43.6; 248.5,43.6; 249,43.6; 249.5,43.6; 250,43.7; 250.5,43.6; 251,43.7;
              251.5,43.6; 252,43.6; 252.5,43.5; 253,43.5; 253.5,43.5; 254,43.5; 254.5,
              43.5; 255,43.5; 255.5,43.5; 256,43.5; 256.5,43.3; 257,43.5; 257.5,43.3;
              258,43.3; 258.5,43.3; 259,43.3; 259.5,43.3; 260,43.3; 260.5,43.3; 261,43.3;
              261.5,43.3; 262,43.3; 262.5,43.2; 263,43.2; 263.5,43.2; 264,43.2; 264.5,
              43.2; 265,43.2; 265.5,43.2; 266,43.2; 266.5,43.2; 267,43.2; 267.5,43.2;
              268,43.2; 268.5,43.2; 269,43; 269.5,43; 270,43; 270.5,43; 271,43; 271.5,
              43; 272,43; 272.5,43; 273,43; 273.5,43; 274,43; 274.5,42.9; 275,42.9; 275.5,
              42.9; 276,42.9; 276.5,42.9; 277,42.9; 277.5,42.9; 278,42.9; 278.5,42.9;
              279,42.9; 279.5,42.7; 280,42.7; 280.5,42.7; 281,42.7; 281.5,42.7; 282,42.7;
              282.5,42.7; 283,42.7; 283.5,42.7; 284,42.7; 284.5,42.7; 285,42.7; 285.5,
              42.7; 286,42.7; 286.5,42.7; 287,42.6; 287.5,42.6; 288,42.6; 288.5,42.6;
              289,42.6; 289.5,42.6; 290,42.6; 290.5,42.6; 291,42.6; 291.5,42.6; 292,42.6;
              292.5,42.6; 293,42.4; 293.5,42.4; 294,42.4; 294.5,42.4; 295,42.4; 295.5,
              42.4; 296,42.4; 296.5,42.4; 297,42.4; 297.5,42.2; 298,42.3; 298.5,42.3;
              299,42.3; 299.5,42.3; 300,42.2; 300.5,42.3; 301,42.3; 301.5,42.3; 302,42.3;
              302.5,42.3; 303,42.3; 303.5,42.3; 304,42.3; 304.5,42.1; 305,42.1; 305.5,
              42.1; 306,42.1; 306.5,42.1; 307,42.1; 307.5,42.1; 308,42.1; 308.5,42.1;
              309,42.1; 309.5,42.1; 310,42.1; 310.5,41.9; 311,41.9; 311.5,41.9; 312,41.9;
              312.5,41.9; 313,41.9; 313.5,41.9; 314,41.9; 314.5,41.8; 315,41.8; 315.5,
              41.8; 316,41.8; 316.5,41.8; 317,41.8; 317.5,41.8; 318,41.8; 318.5,41.8;
              319,41.8; 319.5,41.8; 320,41.8; 320.5,41.8; 321,41.8; 321.5,41.8; 322,41.8;
              322.5,41.8; 323,41.8; 323.5,41.6; 324,41.6; 324.5,41.6; 325,41.6; 325.5,
              41.6; 326,41.6; 326.5,41.6; 327,41.6; 327.5,41.6; 328,41.6; 328.5,41.6;
              329,41.6; 329.5,41.5; 330,41.5; 330.5,41.5; 331,41.5; 332.5,41.5; 332.6,
              41.5; 335.5,41.5; 335.7,41.5; 336,41.5; 336.5,41.3; 337,41.3; 337.5,41.3;
              338,41.3; 338.5,41.3; 339,41.3; 339.5,41.3; 340,41.3; 340.5,41.3; 341,41.3;
              341.5,41.3; 342,41.3; 342.5,41.3; 343,41.2; 343.5,41.3; 344,41.3; 344.5,
              41.2; 345,41.2; 345.5,41.2; 346,41.2; 346.5,41.2; 347,41.2; 347.5,41.2;
              348,41.2; 348.5,41; 349,41.2; 349.5,41.2; 350,41; 350.5,41; 351,41; 351.5,
              41; 352,41; 352.5,41; 353,41; 353.5,41; 354,41; 354.5,41; 355,41; 355.5,
              41; 356,41; 356.5,40.9; 357,40.9; 357.5,40.9; 358,40.9; 358.5,40.9; 359,
              40.9; 359.5,40.9; 360,40.9; 360.5,40.9; 361,40.9; 361.5,40.9; 362,40.7;
              362.5,40.7; 363,40.7; 363.5,40.7; 364,40.7; 364.5,40.7; 365,40.7; 365.5,
              40.7; 366,40.7; 366.5,40.7; 367,40.6; 367.5,40.6; 368,40.6; 368.5,40.6;
              369,40.6; 369.5,40.6; 370,40.6; 370.5,40.6; 371,40.6; 371.5,40.6; 372,40.6;
              372.5,40.6; 373,40.6; 373.5,40.6; 374,40.4; 374.5,40.4; 375,40.4; 375.5,
              40.4; 376,40.4; 376.5,40.4; 377,40.4; 377.5,40.4; 378,40.4; 378.5,40.4;
              379,40.4; 379.5,40.3; 380,40.3; 380.5,40.3; 381,40.3; 381.5,40.3; 382,40.3;
              382.5,40.3; 383,40.3; 383.5,40.1; 384,40.3; 384.5,40.3; 385,40.1; 385.5,
              40.1; 386,40.1; 386.5,40.1; 387,40.1; 387.5,40.1; 388,40.1; 388.5,40.1;
              389,40.1; 389.5,40.1; 390,40.1; 390.5,40.1; 391,40.1; 391.5,39.9; 392,39.9;
              392.5,39.9; 393,39.9; 393.5,39.9; 394,39.9; 394.5,39.9; 395,39.9; 395.5,
              39.9; 396,39.9; 396.5,39.9; 397,39.8; 397.5,39.8; 398,39.8; 398.5,39.8;
              399,39.8; 399.5,39.8; 400,39.8; 400.5,39.8; 401,39.8; 401.5,39.8; 402,39.6;
              402.5,39.8; 403,39.8; 403.5,39.8; 404,39.6; 404.5,39.6; 405,39.6; 405.5,
              39.6; 406,39.6; 406.5,39.6; 407,39.6; 407.5,39.6; 408,39.6; 408.5,39.6;
              409,39.6; 409.5,39.6; 410,39.6; 410.5,39.6; 411,39.6; 411.5,39.6; 412,39.5;
              412.5,39.5; 413,39.5; 413.5,39.5; 414,39.5; 414.5,39.5; 415,39.5; 415.5,
              39.5; 416,39.5; 416.5,39.5; 417,39.5; 417.5,39.5; 418,39.3; 418.5,39.3;
              419,39.3; 419.5,39.3; 420,39.3; 420.5,39.4; 421,39.3; 421.5,39.3; 422,39.3;
              422.5,39.4; 423,39.3; 423.5,39.3; 424,39.3; 424.5,39.4; 425,39.4; 425.5,
              39.2; 426,39.2; 426.5,39.2; 427,39.2; 427.5,39.2; 428,39.2; 428.5,39.2;
              429,39.2; 429.5,39.2; 430,39.2; 430.5,39.2; 431,39.2; 431.5,39.2; 432,39.2;
              432.5,39.2; 433,39.2; 433.5,39.2; 434,39.2; 434.5,39; 435,39; 435.5,39;
              436,39; 436.5,39; 437,39; 437.5,39; 438,39; 438.5,39; 439,39; 439.5,39;
              440,39; 440.5,39; 441,38.9; 441.5,38.9; 442,38.9; 442.5,38.9; 443,38.9;
              443.5,38.9; 444,38.9; 444.5,38.9; 445,38.9; 445.5,38.9; 446,38.9; 446.5,
              38.9; 447,38.9; 447.5,38.9; 448,38.9; 448.5,38.9; 449,38.9; 449.5,38.9;
              450,38.9; 450.5,38.9; 451,38.9; 451.5,38.7; 452,38.7; 452.5,38.7; 453,38.7;
              453.5,38.7; 454,38.7; 454.5,38.7; 455,38.7; 455.5,38.7; 456,38.7; 456.5,
              38.7; 457,38.7; 457.5,38.7; 458,38.7; 458.5,38.7; 459,38.6; 459.5,38.6;
              460,38.6; 460.5,38.6; 461,38.6; 461.5,38.6; 462,38.6; 462.5,38.6; 463,38.6;
              463.5,38.6; 464,38.6; 464.5,38.4; 465,38.4; 465.5,38.4; 466,38.4; 466.5,
              38.4; 467,38.4; 467.5,38.4; 468,38.4; 468.5,38.4; 469,38.4; 469.5,38.4;
              470,38.4; 470.5,38.4; 471,38.4; 471.5,38.4; 472,38.4; 472.5,38.3; 473,38.3;
              473.5,38.3; 474,38.3; 474.5,38.3; 475,38.3; 475.5,38.3; 476,38.3; 476.5,
              38.3; 477,38.3; 477.5,38.3; 478,38.3; 478.5,38.3; 479,38.3; 479.5,38.1;
              480,38.1; 480.5,38.1; 481,38.1; 481.5,38.1; 482,38.1; 482.5,38.1; 483,38.1;
              483.5,38.1; 484,38.1; 484.5,38.1; 485,38.1; 485.5,38.1; 486,38.1; 486.5,
              38.1; 487,38.1; 487.5,38.1; 488,38.1; 488.5,38; 489,38; 489.5,38; 490,38;
              490.5,38; 491,38; 491.5,38; 492,38; 492.5,38; 493,38; 493.5,38; 494,38;
              494.5,38; 495,38; 495.5,38; 496,38; 496.5,37.8; 497,37.8; 497.5,37.8; 498,
              37.8; 498.5,37.8; 499,37.8; 499.5,37.8; 500,37.8; 500.5,37.8; 501,37.8;
              501.5,37.8; 502,37.8; 502.5,37.8; 503,37.8; 503.5,37.8; 504,37.7; 504.5,
              37.7; 505,37.7; 505.5,37.7; 506,37.7; 506.5,37.7; 507,37.7; 507.5,37.7;
              508,37.7; 508.5,37.7; 509,37.7; 509.5,37.7; 510,37.7; 510.5,37.5; 511,37.5;
              511.5,37.5; 512,37.5; 512.5,37.5; 513,37.5; 513.5,37.5; 514,37.5; 514.5,
              37.5; 515,37.5; 515.5,37.5; 516,37.5; 516.5,37.5; 517,37.5; 517.5,37.5;
              518,37.5; 518.5,37.5; 519,37.5; 519.5,37.3; 520,37.5; 520.5,37.5; 521,37.3;
              521.5,37.4; 522,37.3; 522.5,37.3; 523,37.3; 523.5,37.3; 524,37.3; 524.5,
              37.4; 525,37.3; 525.5,37.3; 526,37.4; 526.5,37.3; 527,37.3; 527.5,37.3;
              528,37.2; 528.5,37.2; 529,37.2; 529.5,37.2; 530,37.2; 530.5,37.2; 531,37.2;
              531.5,37.2; 532,37.2; 532.5,37.2; 533,37.2; 533.5,37.2; 534,37.2; 534.5,
              37.2; 535,37.2; 535.5,37.2; 536,37.2; 536.5,37; 537,37; 537.5,37; 538,37;
              538.5,37; 539,37; 539.5,37; 540,37; 540.5,37; 541,37; 541.5,37; 542,37;
              542.5,37; 543,37.1; 543.5,37; 544,37; 544.5,37; 545,37; 545.5,37; 546,36.9;
              546.5,36.9; 547,36.9; 547.5,36.9; 548,36.9; 548.5,36.9; 549,36.9; 549.5,
              36.9; 550,36.9; 550.5,36.9; 551,36.9; 551.5,36.9; 552,36.9; 552.5,36.9;
              553,36.7; 553.5,36.7; 554,36.7; 554.5,36.7; 555,36.7; 555.5,36.7; 556,36.7;
              556.5,36.7; 557,36.7; 557.5,36.7; 558,36.7; 558.5,36.7; 559,36.7; 559.5,
              36.7; 560,36.7; 560.5,36.7; 561,36.6; 561.5,36.6; 562,36.6; 562.5,36.6;
              563,36.6; 563.5,36.6; 564,36.6; 564.5,36.6; 565,36.6; 565.5,36.6; 566,36.6;
              566.5,36.6; 567,36.6; 567.5,36.6; 568,36.6; 568.5,36.6; 569,36.6; 569.5,
              36.6; 570,36.6; 570.5,36.6; 571,36.6; 571.5,36.6; 572,36.4; 572.5,36.4;
              573,36.4; 573.5,36.4; 574,36.4; 574.5,36.4; 575,36.4; 575.5,36.4; 576,36.4;
              576.5,36.4; 577,36.4; 577.5,36.4; 578,36.4; 578.5,36.4; 579,36.4; 579.5,
              36.4; 580,36.4; 580.5,36.4; 581,36.3; 581.5,36.3; 582,36.3; 582.5,36.3;
              583,36.3; 583.5,36.3; 584,36.3; 584.5,36.3; 585,36.3; 585.5,36.3; 586,36.3;
              586.5,36.3; 587,36.3; 587.5,36.3; 588,36.3; 588.5,36.3; 589,36.3; 589.5,
              36.3; 590,36.3; 590.5,36.3; 591,36.3; 591.5,36.3; 592,36.1; 592.5,36.1;
              593,36.1; 593.5,36.1; 594,36.1; 594.5,36.1; 595,36.1; 595.5,36.1; 596,36.1;
              596.5,36.1; 597,36.1; 597.5,36.1; 598,36.1; 598.5,36.1; 599,36.1; 599.5,
              36.1; 600,36.1; 600.5,36.1; 601,36.1; 601.5,36.1; 602,36.1; 602.5,36; 603,
              36; 603.5,36; 604,36; 604.5,36; 605,36; 605.5,36; 606,36; 606.5,36; 607,
              36; 607.5,36; 608,36; 608.5,36; 609,36; 609.5,36; 610,36; 610.5,35.8; 611,
              35.8; 611.5,35.8; 612,35.8; 612.5,35.8; 613,35.8; 613.5,35.8; 614,35.8;
              614.5,35.8; 615,35.8; 615.5,35.8; 616,35.8; 616.5,35.8; 617,35.8; 617.5,
              35.8; 618,35.8; 618.5,35.8; 619,35.8; 619.5,35.8; 620,35.8; 620.5,35.8;
              621,35.8; 621.5,35.6; 622,35.7; 622.5,35.7; 623,35.7; 623.5,35.7; 624,35.7;
              624.5,35.7; 625,35.6; 625.5,35.6; 626,35.6; 626.5,35.7; 627,35.7; 627.5,
              35.7; 628,35.7; 628.5,35.7; 629,35.7; 629.5,35.7; 630,35.7; 630.5,35.6;
              631,35.5; 631.5,35.5; 632,35.5; 632.5,35.5; 633,35.5; 633.5,35.5; 634,35.5;
              634.5,35.5; 635,35.5; 635.5,35.5; 636,35.5; 636.5,35.5; 637,35.5; 637.5,
              35.5; 638,35.5; 638.5,35.5; 639,35.5; 639.5,35.5; 640,35.5; 640.5,35.3;
              641,35.3; 641.5,35.3; 642,35.3; 642.5,35.3; 643,35.3; 643.5,35.3; 644,35.3;
              644.5,35.3; 645,35.3; 645.5,35.3; 646,35.3; 646.5,35.3; 647,35.3; 647.5,
              35.3; 648,35.3; 648.5,35.3; 649,35.3; 649.5,35.4; 650,35.3; 650.5,35.3;
              651,35.3; 651.5,35.3; 652,35.3; 652.5,35.3; 653,35.3; 653.5,35.3; 654,35.2;
              654.5,35.2; 655,35.2; 655.5,35.2; 656,35.2; 656.5,35.2; 657,35.2; 657.5,
              35.2; 658,35.2; 658.5,35.2; 659,35.2; 659.5,35.2; 660,35.2; 660.5,35.2;
              661,35.2; 661.5,35.2; 662,35.2; 662.5,35.2; 663,35; 663.5,35; 664,35; 664.5,
              35; 665,35; 665.5,35; 666,35; 666.5,35; 667,35; 667.5,35; 668,35; 668.5,
              35; 669,35; 669.5,35; 670,35; 670.5,35; 671,35; 671.5,35; 672,35; 672.5,
              35; 673,35; 673.5,35; 674,35; 674.5,35; 675,34.9; 675.5,34.9; 676,34.9;
              676.5,34.9; 677,34.9; 677.5,34.9; 678,34.9; 678.5,34.9; 679,34.9; 679.5,
              34.9; 680,34.9; 680.5,34.9; 681,34.9; 681.5,34.9; 682,34.9; 682.5,34.9;
              683,34.9; 683.5,34.9; 684,34.9; 684.5,34.9; 685,34.7; 685.5,34.7; 686,34.7;
              686.5,34.7; 687,34.7; 687.5,34.7; 688,34.7; 688.5,34.7; 689,34.7; 689.5,
              34.7; 690,34.7; 690.5,34.7; 691,34.7; 691.5,34.7; 692,34.7; 692.5,34.7;
              693,34.7; 693.5,34.7; 694,34.6; 694.5,34.6; 695,34.6; 695.5,34.6; 696,34.6;
              696.5,34.6; 697,34.6; 697.5,34.6; 698,34.6; 698.5,34.6; 699,34.6; 699.5,
              34.6; 700,34.6; 700.5,34.6; 701,34.6; 701.5,34.6; 702,34.6; 702.5,34.6;
              703,34.6; 703.5,34.6; 704,34.6; 704.5,34.6; 705,34.6; 705.5,34.6; 706,34.6;
              706.5,34.6; 707,34.6; 707.5,34.4; 708,34.4; 708.5,34.4; 709,34.4; 709.5,
              34.4; 710,34.4; 710.5,34.4; 711,34.4; 711.5,34.4; 712,34.4; 712.5,34.4;
              713,34.4; 713.5,34.4; 714,34.4; 714.5,34.4; 715,34.4; 715.5,34.4; 716,34.4;
              716.5,34.4; 717,34.4; 717.5,34.3; 718,34.3; 718.5,34.3; 719,34.3; 719.5,
              34.3; 720,34.3; 720.5,34.3; 721,34.3; 721.5,34.3; 722,34.3; 722.5,34.3;
              723,34.3; 723.5,34.3; 724,34.3; 724.5,34.3; 725,34.3; 725.5,34.3; 726,34.3;
              726.5,34.3; 727,34.3; 727.5,34.3; 728,34.1; 728.5,34.1; 729,34.1; 729.5,
              34.1; 730,34.1; 730.5,34.1; 731,34.1; 731.5,34.1; 732,34.1; 732.5,34.1;
              733,34.1; 733.5,34.1; 734,34.1; 734.5,34.1; 735,34.1; 735.5,34.1; 736,34.1;
              736.5,34.1; 737,34.1; 737.5,34.1; 738,34.1; 738.5,34.1; 739,34.1; 739.5,
              34.1; 740,34.1; 740.5,34.1; 741,34.1; 741.5,34.1; 742,34.1; 742.5,34.1;
              743,34.1; 743.5,34.1; 744,34.1; 744.5,34.1; 745,34; 745.5,34; 746,34; 746.5,
              34; 747,34; 747.5,34; 748,34; 748.5,34; 749,34; 749.5,34; 750,34; 750.5,
              34; 751,34; 751.5,34; 752,34; 752.5,34; 753,34; 753.5,34; 754,34; 754.5,
              34; 755,34; 755.5,34; 756,34; 756.5,34; 757,34; 757.5,34; 758,34; 758.5,
              34; 759,33.8; 759.5,33.8; 760,33.8; 760.5,33.8; 761,33.8; 761.5,33.8; 762,
              33.8; 762.5,33.8; 763,33.8; 763.5,33.8; 764,33.8; 764.5,33.8; 765,33.8;
              765.5,33.8; 766,33.8; 766.5,33.8; 767,33.8; 767.5,33.8; 768,33.8; 768.5,
              33.8; 769,33.8; 769.5,33.8; 770,33.8; 770.5,33.8; 771,33.8; 771.5,33.7;
              772,33.7; 772.5,33.7; 773,33.7; 773.5,33.7; 774,33.7; 774.5,33.7; 775,33.7;
              775.5,33.7; 776,33.7; 776.5,33.7; 777,33.7; 777.5,33.7; 778,33.7; 778.5,
              33.7; 779,33.7; 779.5,33.7; 780,33.7; 780.5,33.7; 781,33.7; 781.5,33.7;
              782,33.5; 782.5,33.5; 783,33.5; 783.5,33.5; 784,33.5; 784.5,33.5; 785,33.5;
              785.5,33.5; 786,33.5; 786.5,33.5; 787,33.5; 787.5,33.5; 788,33.5; 788.5,
              33.5; 789,33.5; 789.5,33.5; 790,33.5; 790.5,33.5; 791,33.5; 791.5,33.5;
              792,33.5; 792.5,33.3; 793,33.4; 793.5,33.3; 794,33.4; 794.5,33.4; 795,33.3;
              795.5,33.4; 796,33.3; 796.5,33.3; 797,33.4; 797.5,33.4; 798,33.3; 798.5,
              33.4; 799,33.4; 799.5,33.4; 800,33.4; 800.5,33.4; 801,33.4; 801.5,33.3;
              802,33.3; 802.5,33.3; 803,33.3; 803.5,33.3; 804,33.4; 804.5,33.4; 805,33.3;
              805.5,33.3; 806,33.3; 806.5,33.3; 807,33.4; 807.5,33.3; 808,33.3; 808.5,
              33.3; 809,33.3; 809.5,33.2; 810,33.2; 810.5,33.2; 811,33.2; 811.5,33.2;
              812,33.2; 812.5,33.2; 813,33.2; 813.5,33.2; 814,33.2; 814.5,33.2; 815,33.2;
              815.5,33.2; 816,33.2; 816.5,33.2; 817,33.2; 817.5,33.2; 818,33.2; 818.5,
              33.2; 819,33.2; 819.5,33.2; 820,33.2; 820.5,33.2; 821,33.2; 821.5,33.2;
              822,33; 822.5,33; 823,33; 823.5,33; 824,33; 824.5,33; 825,33; 825.5,33.1;
              826,33; 826.5,33; 827,33.1; 827.5,33; 828,33; 828.5,33; 829,33; 829.5,33;
              830,33; 830.5,33; 831,33; 831.5,33; 832,33.1; 832.5,33; 833,33; 833.5,32.9;
              834,32.9; 834.5,32.9; 835,32.9; 835.5,32.9; 836,32.9; 836.5,32.9; 837,32.9;
              837.5,32.9; 838,32.9; 838.5,32.9; 839,32.9; 839.5,32.9; 840,32.9; 840.5,
              32.9; 841,32.9; 841.5,32.9; 842,32.9; 842.5,32.9; 843,32.9; 843.5,32.9;
              844,32.9; 844.5,32.9; 845,32.9; 845.5,32.9; 846,32.9; 846.5,32.9; 847,32.9;
              847.5,32.9; 848,32.9; 848.5,32.9; 849,32.9; 849.5,32.9; 850,32.9; 850.5,
              32.9; 851,32.9; 851.5,32.9; 852,32.9; 852.5,32.9; 853,32.7; 853.5,32.7;
              854,32.7; 854.5,32.7; 855,32.7; 855.5,32.7; 856,32.7; 856.5,32.7; 857,32.7;
              857.5,32.7; 858,32.7; 858.5,32.7; 859,32.7; 859.5,32.7; 860,32.7; 860.5,
              32.7; 861,32.7; 861.5,32.7; 862,32.7; 862.5,32.7; 863,32.7; 863.5,32.6;
              864,32.6; 864.5,32.6; 865,32.6; 865.5,32.6; 866,32.6; 866.5,32.6; 867,32.6;
              867.5,32.6; 868,32.6; 868.5,32.6; 869,32.6; 869.5,32.6; 870,32.6; 870.5,
              32.6; 871,32.6; 871.5,32.6; 872,32.6; 872.5,32.6; 873,32.6; 873.5,32.6;
              874,32.4; 874.5,32.6; 875,32.6; 875.5,32.4; 876,32.4; 876.5,32.4; 877,32.4;
              877.5,32.4; 878,32.4; 878.5,32.4; 879,32.4; 879.5,32.4; 880,32.4; 880.5,
              32.4; 881,32.4; 881.5,32.4; 882,32.4; 882.5,32.4; 883,32.4; 883.5,32.4;
              884,32.4; 884.5,32.4; 885,32.4; 885.5,32.4; 886,32.4; 886.5,32.4; 887,32.4;
              887.5,32.4; 888,32.4; 888.5,32.4; 889,32.4; 889.5,32.4; 890,32.4; 890.5,
              32.4; 891,32.4; 891.5,32.4; 892,32.4; 892.5,32.4; 893,32.4; 893.5,32.3;
              894,32.3; 894.5,32.3; 895,32.3; 895.5,32.3; 896,32.3; 896.5,32.3; 897,32.3;
              897.5,32.3; 898,32.3; 898.5,32.3; 899,32.3; 899.5,32.3; 900,32.3; 900.5,
              32.3; 901,32.3; 901.5,32.3; 902,32.3; 902.5,32.3; 903,32.3; 903.5,32.3;
              904,32.3; 904.5,32.3; 905,32.3; 905.5,32.1; 906,32.1; 906.5,32.1; 907,32.1;
              907.5,32.1; 908,32.1; 908.5,32.1; 909,32.1; 909.5,32.1; 910,32.1; 910.5,
              32.1; 911,32.1; 911.5,32.1; 912,32.1; 912.5,32.1; 913,32.1; 913.5,32.1;
              914,32.1; 914.5,32.1; 915,32.1; 915.5,32.1; 916,32.1; 916.5,32.1; 917,32.1;
              917.5,32.1; 918,32.1; 918.5,32.1; 919,32.1; 919.5,32.1; 920,32.1; 920.5,
              32.1; 921,32.1; 921.5,32.1; 922,32.1; 922.5,32.1; 923,32; 923.5,32; 924,
              32; 924.5,32; 925,32; 925.5,32; 926,32; 926.5,32; 927,32; 927.5,32; 928,
              32; 928.5,32; 929,32; 929.5,32; 930,32; 930.5,32; 931,32; 931.5,32; 932,
              32; 932.5,32; 933,32; 933.5,32; 934,32; 934.5,32; 935,32; 935.5,32; 936,
              32; 936.5,31.8; 937,31.8; 937.5,31.8; 938,31.8; 938.5,31.8; 939,31.8; 939.5,
              31.8; 940,31.8; 940.5,31.8; 941,31.8; 941.5,31.8; 942,31.8; 942.5,31.8;
              943,31.8; 943.5,31.8; 944,31.8; 944.5,31.8; 945,31.8; 945.5,31.8; 946,31.8;
              946.5,31.8; 947,31.8; 947.5,31.8; 948,31.8; 948.5,31.8; 949,31.8; 949.5,
              31.8; 950,31.7; 950.5,31.7; 951,31.7; 951.5,31.7; 952,31.7; 952.5,31.7;
              953,31.7; 953.5,31.7; 954,31.7; 954.5,31.7; 955,31.7; 955.5,31.7; 956,31.7;
              956.5,31.7; 957,31.7; 957.5,31.7; 958,31.7; 958.5,31.7; 959,31.7; 959.5,
              31.7; 960,31.7; 960.5,31.7; 961,31.7; 961.5,31.7; 962,31.7; 962.5,31.7;
              963,31.7; 963.5,31.7; 964,31.7; 964.5,31.7; 965,31.7; 965.5,31.7; 966,31.7;
              966.5,31.7; 967,31.7; 967.5,31.7; 968,31.7; 968.5,31.7; 969,31.7; 969.5,
              31.5; 970,31.5; 970.5,31.5; 971,31.5; 971.5,31.5; 972,31.5; 972.5,31.5;
              973,31.5; 973.5,31.5; 974,31.5; 974.5,31.5; 975,31.5; 975.5,31.5; 976,31.5;
              976.5,31.5; 977,31.5; 977.5,31.5; 978,31.5; 978.5,31.5; 979,31.5; 979.5,
              31.5; 980,31.5; 980.5,31.5; 981,31.5; 981.5,31.5; 982,31.5; 982.5,31.5;
              983,31.4; 983.5,31.4; 984,31.4; 984.5,31.4; 985,31.4; 985.5,31.4; 986,31.4;
              986.5,31.4; 987,31.4; 987.5,31.4; 988,31.4; 988.5,31.4; 989,31.4; 989.5,
              31.4; 990,31.4; 990.5,31.4; 991,31.4; 991.5,31.4; 992,31.4; 992.5,31.4;
              993,31.4; 993.5,31.4; 994,31.4; 994.5,31.3; 995,31.4; 995.5,31.4; 996,31.4;
              996.5,31.4; 997,31.4; 997.5,31.2; 998,31.2; 998.5,31.2; 999,31.2; 999.5,
              31.2; 1000,31.2; 1000.5,31.2; 1001,31.2; 1001.5,31.2; 1002,31.2; 1002.5,
              31.2; 1003,31.2; 1003.5,31.2; 1004,31.2; 1004.5,31.2; 1005,31.2; 1005.5,
              31.2; 1006,31.2; 1006.5,31.2; 1007,31.2; 1007.5,31.2; 1008,31.2; 1008.5,
              31.2; 1009,31.2; 1009.5,31.2; 1010,31.2; 1010.5,31.2; 1011,31.2; 1011.5,
              31.2; 1012,31.2; 1012.5,31.2; 1013,31.2; 1013.5,31.2; 1014,31.2; 1014.5,
              31.2; 1015,31.2; 1015.5,31.2; 1016,31.2; 1016.5,31.2; 1017,31.2; 1017.5,
              31.2; 1018,31.2; 1018.5,31; 1019,31; 1019.5,31; 1020,31.1; 1020.5,31; 1021,
              31; 1021.5,31; 1022,31.1; 1022.5,31; 1023,31; 1023.5,31.1; 1024,31; 1024.5,
              31; 1025,31; 1025.5,31; 1026,31; 1026.5,31; 1027,31; 1027.5,31; 1028,31;
              1028.5,31; 1029,31; 1029.5,31; 1030,31; 1030.5,31; 1031,31; 1031.5,31; 1032,
              31; 1032.5,31; 1033,31; 1033.5,31; 1034,31; 1034.5,31; 1035,31; 1035.5,30.9;
              1036,30.9; 1036.5,30.9; 1037,30.9; 1037.5,30.9; 1038,30.9; 1038.5,30.9;
              1039,30.9; 1039.5,30.9; 1040,30.9; 1040.5,30.9; 1041,30.9; 1041.5,30.9;
              1042,30.9; 1042.5,30.9; 1043,30.9; 1043.5,30.9; 1044,30.9; 1044.5,30.9;
              1045,30.9; 1045.5,30.9; 1046,30.9; 1046.5,30.9; 1047,30.9; 1047.5,30.9;
              1048,30.9; 1048.5,30.9; 1049,30.9; 1049.5,30.9; 1050,30.9; 1050.5,30.9;
              1051,30.9; 1051.5,30.9; 1052,30.9; 1052.5,30.9; 1053,30.9; 1053.5,30.9;
              1054,30.9; 1054.5,30.9; 1055,30.9; 1055.5,30.9; 1056,30.7; 1056.5,30.7;
              1057,30.7; 1057.5,30.7; 1058,30.7; 1058.5,30.7; 1059,30.7; 1059.5,30.7;
              1060,30.7; 1060.5,30.7; 1061,30.7; 1061.5,30.7; 1062,30.7; 1062.5,30.7;
              1063,30.7; 1063.5,30.7; 1064,30.7; 1064.5,30.7; 1065,30.7; 1065.5,30.7;
              1066,30.7; 1066.5,30.7; 1067,30.7; 1067.5,30.7; 1068,30.7; 1068.5,30.7;
              1069,30.7; 1069.5,30.7; 1070,30.7; 1070.5,30.7; 1071,30.7; 1071.5,30.7;
              1072,30.7; 1072.5,30.7; 1073,30.7; 1073.5,30.7; 1074,30.7; 1074.5,30.7;
              1075,30.6; 1075.5,30.6; 1076,30.6; 1076.5,30.6; 1077,30.6; 1077.5,30.6;
              1078,30.6; 1078.5,30.6; 1079,30.6; 1079.5,30.6; 1080,30.6; 1080.5,30.6;
              1081,30.6; 1081.5,30.6; 1082,30.6; 1082.5,30.6; 1083,30.6; 1083.5,30.6;
              1084,30.6; 1084.5,30.6; 1085,30.6; 1085.5,30.6; 1086,30.6; 1086.5,30.6;
              1087,30.6; 1087.5,30.6; 1088,30.6; 1088.5,30.6; 1089,30.6; 1089.5,30.6;
              1090,30.6; 1090.5,30.6; 1091,30.6; 1091.5,30.6; 1092,30.6; 1092.5,30.6;
              1093,30.4; 1093.5,30.4; 1094,30.4; 1094.5,30.4; 1095,30.4; 1095.5,30.4;
              1096,30.4; 1096.5,30.4; 1097,30.4; 1097.5,30.4; 1098,30.4; 1098.5,30.4;
              1099,30.4; 1099.5,30.4; 1100,30.4; 1100.5,30.4; 1101,30.4; 1101.5,30.4;
              1102,30.4; 1102.5,30.4; 1103,30.4; 1103.5,30.4; 1104,30.4; 1104.5,30.4;
              1105,30.4; 1105.5,30.4; 1106,30.4; 1106.5,30.4; 1107,30.4; 1107.5,30.4;
              1108,30.4; 1108.5,30.4; 1109,30.4; 1109.5,30.4; 1110,30.4; 1110.5,30.4;
              1111,30.4; 1111.5,30.4; 1112,30.4; 1112.5,30.4; 1113,30.4; 1113.5,30.4;
              1114,30.3; 1114.5,30.3; 1115,30.3; 1115.5,30.3; 1116,30.3; 1116.5,30.3;
              1117,30.3; 1117.5,30.3; 1118,30.3; 1118.5,30.3; 1119,30.3; 1119.5,30.3;
              1120,30.3; 1120.5,30.3; 1121,30.3; 1121.5,30.3; 1122,30.3; 1122.5,30.3;
              1123,30.3; 1123.5,30.3; 1124,30.3; 1124.5,30.3; 1125,30.3; 1125.5,30.3;
              1126,30.3; 1126.5,30.3; 1127,30.3; 1127.5,30.3; 1128,30.3; 1128.5,30.3;
              1129,30.3; 1129.5,30.3; 1130,30.3; 1130.5,30.3; 1131,30.1; 1131.5,30.3;
              1132,30.1; 1132.5,30.1; 1133,30.1; 1133.5,30.1; 1134,30.1; 1134.5,30.1;
              1135,30.1; 1135.5,30.1; 1136,30.1; 1136.5,30.1; 1137,30.1; 1137.5,30.1;
              1138,30.1; 1138.5,30.1; 1139,30.1; 1139.5,30.1; 1140,30.1; 1140.5,30.1;
              1141,30.1; 1141.5,30.1; 1142,30.1; 1142.5,30.1; 1143,30.1; 1143.5,30.1;
              1144,30.1; 1144.5,30.1; 1145,30.1; 1145.5,30.1; 1146,30.1; 1146.5,30.1;
              1147,30.1; 1147.5,30.1; 1148,30.1; 1148.5,30; 1149,30; 1149.5,30.1; 1150,
              30; 1150.5,30; 1151,30; 1151.5,30; 1152,30; 1152.5,30; 1153,30; 1153.5,30;
              1154,30; 1154.5,30; 1155,30; 1155.5,30; 1156,30; 1156.5,30; 1157,30; 1157.5,
              30; 1158,30; 1158.5,30; 1159,30; 1159.5,30; 1160,30; 1160.5,30; 1161,30;
              1161.5,30; 1162,30; 1162.5,30; 1163,30; 1163.5,30; 1164,30; 1164.5,30; 1165,
              30; 1165.5,30; 1166,30; 1166.5,30; 1167,30; 1167.5,30; 1168,30; 1168.5,30;
              1169,30; 1169.5,30; 1170,30; 1170.5,30; 1171,30; 1171.5,30; 1172,30; 1172.5,
              30; 1173,30; 1173.5,30; 1174,29.8; 1174.5,29.8; 1175,29.8; 1175.5,29.8;
              1176,29.8; 1176.5,29.8; 1177,29.8; 1177.5,29.8; 1178,29.8; 1178.5,29.8;
              1179,29.8; 1179.5,29.8; 1180,29.8; 1180.5,29.8; 1181,29.8; 1181.5,29.8;
              1182,29.8; 1182.5,29.8; 1183,29.8; 1183.5,29.8; 1184,29.8; 1184.5,29.8;
              1185,29.8; 1185.5,29.8; 1186,29.8; 1186.5,29.8; 1187,29.8; 1187.5,29.8;
              1188,29.8; 1188.5,29.8; 1189,29.8; 1189.5,29.8; 1190,29.8; 1190.5,29.8;
              1191,29.8; 1191.5,29.7; 1192,29.7; 1192.5,29.7; 1193,29.7; 1193.5,29.7;
              1194,29.7; 1194.5,29.7; 1195,29.7; 1195.5,29.7; 1196,29.7; 1196.5,29.7;
              1197,29.7; 1197.5,29.7; 1198,29.7; 1198.5,29.7; 1199,29.7; 1199.5,29.7;
              1200,29.7; 1200.5,29.7; 1201,29.7; 1201.5,29.7; 1202,29.7; 1202.5,29.7;
              1203,29.7; 1203.5,29.7; 1204,29.7; 1204.5,29.7; 1205,29.7; 1205.5,29.7;
              1206,29.7; 1206.5,29.7; 1207,29.7; 1207.5,29.7; 1208,29.7; 1208.5,29.7;
              1209,29.7; 1209.5,29.7; 1210,29.7; 1210.5,29.7; 1211,29.7; 1211.5,29.7;
              1212,29.7; 1212.5,29.7; 1213,29.7; 1213.5,29.7; 1214,29.7; 1214.5,29.7;
              1215,29.7; 1215.5,29.7; 1216,29.7; 1216.5,29.7; 1217,29.7; 1217.5,29.5;
              1218,29.5; 1218.5,29.5; 1219,29.5; 1219.5,29.5; 1220,29.5; 1220.5,29.5;
              1221,29.5; 1221.5,29.5; 1222,29.5; 1222.5,29.5; 1223,29.5; 1223.5,29.5;
              1224,29.5; 1224.5,29.5; 1225,29.5; 1225.5,29.5; 1226,29.5; 1226.5,29.5;
              1227,29.5; 1227.5,29.5; 1228,29.5; 1228.5,29.5; 1229,29.5; 1229.5,29.5;
              1230,29.5; 1230.5,29.5; 1231,29.5; 1231.5,29.5; 1232,29.5; 1232.5,29.5;
              1233,29.5; 1233.5,29.5; 1234,29.5; 1234.5,29.5; 1235,29.5; 1235.5,29.5;
              1236,29.5; 1236.5,29.5; 1237,29.5; 1237.5,29.5; 1238,29.5; 1238.5,29.5;
              1239,29.5; 1239.5,29.4; 1240,29.5; 1240.5,29.4; 1241,29.4; 1241.5,29.4;
              1242,29.4; 1242.5,29.4; 1243,29.4; 1243.5,29.4; 1244,29.4; 1244.5,29.4;
              1245,29.4; 1245.5,29.4; 1246,29.4; 1246.5,29.4; 1247,29.4; 1247.5,29.4;
              1248,29.4; 1248.5,29.4; 1249,29.4; 1249.5,29.4; 1250,29.4; 1250.5,29.4;
              1251,29.4; 1251.5,29.4; 1252,29.4; 1252.5,29.4; 1253,29.4; 1253.5,29.4;
              1254,29.4; 1254.5,29.4; 1255,29.4; 1255.5,29.4; 1256,29.4; 1256.5,29.4;
              1257,29.4; 1257.5,29.4; 1258,29.4; 1258.5,29.2; 1259,29.4; 1259.5,29.2;
              1260,29.3; 1260.5,29.2; 1261,29.2; 1261.5,29.2; 1262,29.2; 1262.5,29.2;
              1263,29.2; 1263.5,29.2; 1264,29.2; 1264.5,29.2; 1265,29.2; 1265.5,29.2;
              1266,29.2; 1266.5,29.2; 1267,29.2; 1267.5,29.2; 1268,29.2; 1268.5,29.2;
              1269,29.2; 1269.5,29.2; 1270,29.2; 1270.5,29.2; 1271,29.2; 1271.5,29.2;
              1272,29.2; 1272.5,29.2; 1273,29.2; 1273.5,29.2; 1274,29.2; 1274.5,29.2;
              1275,29.2; 1275.5,29.2; 1276,29.2; 1276.5,29.2; 1277,29.2; 1277.5,29.2;
              1278,29.2; 1278.5,29.2; 1279,29.2; 1279.5,29.2; 1280,29.2; 1280.5,29.2;
              1281,29.2; 1281.5,29.2; 1282,29.2; 1282.5,29.2; 1283,29.2; 1283.5,29.2;
              1284,29.2; 1284.5,29.2; 1285,29.2; 1285.5,29.2; 1286,29.2; 1286.5,29.2;
              1287,29.2; 1287.5,29.2; 1288,29.2; 1288.5,29.2; 1289,29.2; 1289.5,29.2;
              1290,29.2; 1290.5,29.1; 1291,29.1; 1291.5,29.1; 1292,29.1; 1292.5,29.1;
              1293,29.1; 1293.5,29.1; 1294,29.1; 1294.5,29.1; 1295,29.1; 1295.5,29.1;
              1296,29.1; 1296.5,29.1; 1297,29.1; 1297.5,29.1; 1298,29.1; 1298.5,29.1;
              1299,29.1; 1299.5,29.1; 1300,29.1; 1300.5,29.1; 1301,29.1; 1301.5,29.1;
              1302,29.1; 1302.5,29.1; 1303,29.1; 1303.5,29.1; 1304,29.1; 1304.5,29.1;
              1305,29.1; 1305.5,29.1; 1306,29.1; 1306.5,29.1; 1307,29.1; 1307.5,29.1;
              1308,29.1; 1308.5,29.1; 1309,29.1; 1309.5,29.1; 1310,29.1; 1310.5,28.9;
              1311,28.9; 1311.5,28.9; 1312,28.9; 1312.5,28.9; 1313,28.9; 1313.5,28.9;
              1314,28.9; 1314.5,28.9; 1315,28.9; 1315.5,28.9; 1316,28.9; 1316.5,28.9;
              1317,28.9; 1317.5,28.9; 1318,28.9; 1318.5,28.9; 1319,28.9; 1319.5,28.9;
              1320,28.9; 1320.5,28.9; 1321,28.9; 1321.5,28.9; 1322,28.9; 1322.5,28.9;
              1323,28.9; 1323.5,28.9; 1324,28.9; 1324.5,28.9; 1325,28.9; 1325.5,28.9;
              1326,28.9; 1326.5,28.9; 1327,28.9; 1327.5,28.9; 1328,28.9; 1328.5,28.9;
              1329,28.9; 1329.5,28.9; 1330,28.8; 1330.5,28.9; 1331,28.8; 1331.5,28.8;
              1332,28.8; 1332.5,28.8; 1333,28.8; 1333.5,28.8; 1334,28.7; 1334.5,28.8;
              1335,28.8; 1335.5,28.8; 1336,28.8; 1336.5,28.8; 1337,28.8; 1337.5,28.8;
              1338,28.8; 1338.5,28.8; 1339,28.8; 1339.5,28.8; 1340,28.8; 1340.5,28.8;
              1341,28.8; 1341.5,28.8; 1342,28.8; 1342.5,28.8; 1343,28.8; 1343.5,28.8;
              1344,28.8; 1344.5,28.8; 1345,28.8; 1345.5,28.8; 1346,28.8; 1346.5,28.8;
              1347,28.8; 1347.5,28.8; 1348,28.8; 1348.5,28.8; 1349,28.8; 1349.5,28.7;
              1350,28.8; 1350.5,28.8; 1351,28.8; 1351.5,28.8; 1352,28.8; 1352.5,28.8;
              1353,28.8; 1353.5,28.8; 1354,28.8; 1354.5,28.8; 1355,28.8; 1355.5,28.8;
              1356,28.8; 1356.5,28.8; 1357,28.8; 1357.5,28.8; 1358,28.8; 1358.5,28.8;
              1359,28.6; 1359.5,28.6; 1360,28.6; 1360.5,28.6; 1361,28.6; 1361.5,28.6;
              1362,28.6; 1362.5,28.6; 1363,28.6; 1363.5,28.6; 1364,28.6; 1364.5,28.6;
              1365,28.6; 1365.5,28.6; 1366,28.6; 1366.5,28.6; 1367,28.6; 1367.5,28.6;
              1368,28.6; 1368.5,28.6; 1369,28.6; 1369.5,28.6; 1370,28.6; 1370.5,28.6;
              1371,28.6; 1371.5,28.6; 1372,28.6; 1372.5,28.6; 1373,28.6; 1373.5,28.6;
              1374,28.6; 1374.5,28.6; 1375,28.6; 1375.5,28.6; 1376,28.6; 1376.5,28.6;
              1377,28.6; 1377.5,28.6; 1378,28.6; 1378.5,28.6; 1379,28.6; 1379.5,28.6;
              1380,28.6; 1380.5,28.6; 1381,28.6; 1381.5,28.4; 1382,28.4; 1382.5,28.4;
              1383,28.4; 1383.5,28.4; 1384,28.5; 1384.5,28.4; 1385,28.4; 1385.5,28.4;
              1386,28.4; 1386.5,28.4; 1387,28.4; 1387.5,28.4; 1388,28.5; 1388.5,28.4;
              1389,28.4; 1389.5,28.4; 1390,28.4; 1390.5,28.4; 1391,28.4; 1391.5,28.4;
              1392,28.4; 1392.5,28.4; 1393,28.4; 1393.5,28.4; 1394,28.4; 1394.5,28.4;
              1395,28.4; 1395.5,28.5; 1396,28.4; 1396.5,28.4; 1397,28.4; 1397.5,28.4;
              1398,28.4; 1398.5,28.4; 1399,28.4; 1399.5,28.5; 1400,28.4; 1400.5,28.4;
              1401,28.4; 1401.5,28.4; 1402,28.4; 1402.5,28.5; 1403,28.4; 1403.5,28.4;
              1404,28.4; 1404.5,28.4; 1405,28.4; 1405.5,28.5; 1406,28.4; 1406.5,28.4;
              1407,28.4; 1407.5,28.4; 1408,28.4; 1408.5,28.4; 1409,28.4; 1409.5,28.4;
              1410,28.4; 1410.5,28.5; 1411,28.4; 1411.5,28.4; 1412,28.4; 1412.5,28.4;
              1413,28.4; 1413.5,28.4; 1414,28.4; 1414.5,28.4; 1415,28.4; 1415.5,28.3;
              1416,28.4; 1416.5,28.3; 1417,28.3; 1417.5,28.3; 1418,28.3; 1418.5,28.3;
              1419,28.3; 1419.5,28.3; 1420,28.3; 1420.5,28.3; 1421,28.3; 1421.5,28.3;
              1422,28.3; 1422.5,28.3; 1423,28.3; 1423.5,28.3; 1424,28.3; 1424.5,28.3;
              1425,28.3; 1425.5,28.3; 1426,28.3; 1426.5,28.3; 1427,28.3; 1427.5,28.3;
              1428,28.3; 1428.5,28.3; 1429,28.3; 1429.5,28.3; 1430,28.3; 1430.5,28.3;
              1431,28.3; 1431.5,28.3; 1432,28.3; 1432.5,28.3; 1433,28.3; 1433.5,28.3;
              1434,28.3; 1434.5,28.3; 1435,28.3; 1435.5,28.3; 1436,28.3; 1436.5,28.3;
              1437,28.3; 1437.5,28.3; 1438,28.3; 1438.5,28.3; 1439,28.3; 1439.5,28.3;
              1440,28.3; 1440.5,28.3; 1441,28.3; 1441.5,28.3; 1442,28.3; 1442.5,28.3;
              1443,28.3; 1443.5,28.3; 1444,28.3; 1444.5,28.3; 1445,28.3; 1445.5,28.3;
              1446,28.3; 1446.5,28.3; 1447,28.3; 1447.5,28.3; 1448,28.3; 1448.5,28.3;
              1449,28.3; 1449.5,28.3; 1450,28.3; 1450.5,28.3; 1451,28.3; 1451.5,28.1;
              1452,28.1; 1452.5,28.1; 1453,28.1; 1453.5,28.1; 1454,28.1; 1454.5,28.1;
              1455,28.1; 1455.5,28.1; 1456,28.1; 1456.5,28.1; 1457,28.1; 1457.5,28.1;
              1458,28.1; 1458.5,28.1; 1459,28.1; 1459.5,28.1; 1460,28.1; 1460.5,28.1;
              1461,28.1; 1461.5,28.1; 1462,28.1; 1462.5,28.1; 1463,28.1; 1463.5,28.1;
              1464,28.1; 1464.5,28.2; 1465,28.1; 1465.5,28.1; 1466,28.1; 1466.5,28.1;
              1467,28.1; 1467.5,28.1; 1468,28.1; 1468.5,28.1; 1469,28.1; 1469.5,28.1;
              1470,28.1; 1470.5,28.1; 1471,28.1; 1471.5,28.1; 1472,28.1; 1472.5,28.1;
              1473,28.1; 1473.5,28.1; 1474,28.1; 1474.5,28.1; 1475,28.1; 1475.5,28.1;
              1476,28.1; 1476.5,28.1; 1477,28.1; 1477.5,28.1; 1478,28.1; 1478.5,28; 1479,
              28; 1479.5,28; 1480,28; 1480.5,28; 1481,28; 1481.5,28; 1482,28; 1482.5,28;
              1483,28; 1483.5,28; 1484,28; 1484.5,28; 1485,28; 1485.5,28; 1486,28; 1486.5,
              28; 1487,28; 1487.5,28; 1488,28; 1488.5,28; 1489,28; 1489.5,28; 1490,28;
              1490.5,28; 1491,28; 1491.5,28; 1492,28; 1492.5,28; 1493,28; 1493.5,28; 1494,
              28; 1494.5,28; 1495,28; 1495.5,28; 1496,28; 1496.5,28; 1497,28; 1497.5,28;
              1498,28; 1498.5,28; 1499,28; 1499.5,28; 1500,28; 1500.5,28; 1501,28; 1501.5,
              28; 1502,28; 1502.5,28; 1503,28; 1503.5,28; 1504,28; 1504.5,28; 1505,28;
              1505.5,27.8; 1506,27.8; 1506.5,27.8; 1507,27.8; 1507.5,27.8; 1508,27.8;
              1508.5,27.8; 1509,27.8; 1509.5,27.8; 1510,27.8; 1510.5,27.8; 1511,27.8;
              1511.5,27.8; 1512,27.8; 1512.5,27.8; 1513,27.8; 1513.5,27.8; 1514,27.8;
              1514.5,27.8; 1515,27.8; 1515.5,27.8; 1516,27.8; 1516.5,27.8; 1517,27.8;
              1517.5,27.8; 1518,27.8; 1518.5,27.8; 1519,27.8; 1519.5,27.8; 1520,27.8;
              1520.5,27.8; 1521,27.8; 1521.5,27.8; 1522,27.8; 1522.5,27.8; 1523,27.8;
              1523.5,27.8; 1524,27.8; 1524.5,27.8; 1525,27.8; 1525.5,27.8; 1526,27.8;
              1526.5,27.8; 1527,27.8; 1527.5,27.8; 1528,27.8; 1528.5,27.8; 1529,27.7;
              1529.5,27.7; 1530,27.8; 1530.5,27.7; 1531,27.7; 1531.5,27.7; 1532,27.7;
              1532.5,27.7; 1533,27.7; 1533.5,27.7; 1534,27.7; 1534.5,27.7; 1535,27.7;
              1535.5,27.7; 1536,27.7; 1536.5,27.7; 1537,27.7; 1537.5,27.7; 1538,27.7;
              1538.5,27.7; 1539,27.7; 1539.5,27.7; 1540,27.7; 1540.5,27.7; 1541,27.7;
              1541.5,27.7; 1542,27.7; 1542.5,27.7; 1543,27.7; 1543.5,27.7; 1544,27.7;
              1544.5,27.7; 1545,27.7; 1545.5,27.7; 1546,27.7; 1546.5,27.7; 1547,27.7;
              1547.5,27.7; 1548,27.7; 1548.5,27.7; 1549,27.7; 1549.5,27.7; 1550,27.7;
              1550.5,27.7; 1551,27.7; 1551.5,27.7; 1552,27.7; 1552.5,27.7; 1553,27.7;
              1553.5,27.7; 1554,27.7; 1554.5,27.7; 1555,27.7; 1555.5,27.7; 1556,27.7;
              1556.5,27.7; 1557,27.7; 1557.5,27.7; 1558,27.7; 1558.5,27.7; 1559,27.7;
              1559.5,27.7; 1560,27.7; 1560.5,27.5; 1561,27.5; 1561.5,27.5; 1562,27.5;
              1562.5,27.5; 1563,27.5; 1563.5,27.5; 1564,27.5; 1564.5,27.5; 1565,27.5;
              1565.5,27.5; 1566,27.5; 1566.5,27.5; 1567,27.5; 1567.5,27.5; 1568,27.5;
              1568.5,27.5; 1569,27.5; 1569.5,27.5; 1570,27.5; 1570.5,27.5; 1571,27.5;
              1571.5,27.5; 1572,27.5; 1572.5,27.5; 1573,27.5; 1573.5,27.5; 1574,27.5;
              1574.5,27.5; 1575,27.5; 1575.5,27.5; 1576,27.5; 1576.5,27.5; 1577,27.5;
              1577.5,27.5; 1578,27.5; 1578.5,27.5; 1579,27.5; 1579.5,27.5; 1580,27.5;
              1580.5,27.5; 1581,27.5; 1581.5,27.5; 1582,27.5; 1582.5,27.5; 1583,27.5;
              1583.5,27.5; 1584,27.5; 1584.5,27.5; 1585,27.5; 1585.5,27.5; 1586,27.5;
              1586.5,27.5; 1587,27.5; 1587.5,27.5; 1588,27.5; 1588.5,27.5; 1589,27.5;
              1589.5,27.5; 1590,27.5; 1590.5,27.5; 1591,27.5; 1591.5,27.5; 1592,27.5;
              1592.5,27.4; 1593,27.4; 1593.5,27.4; 1594,27.4; 1594.5,27.4; 1595,27.4;
              1595.5,27.4; 1596,27.4; 1596.5,27.4; 1597,27.4; 1597.5,27.4; 1598,27.4;
              1598.5,27.4; 1599,27.4; 1599.5,27.4; 1600,27.4; 1600.5,27.4; 1601,27.4;
              1601.5,27.4; 1602,27.4; 1602.5,27.4; 1603,27.4; 1603.5,27.4; 1604,27.4;
              1604.5,27.4; 1605,27.4; 1605.5,27.4; 1606,27.4; 1606.5,27.4; 1607,27.4;
              1607.5,27.4; 1608,27.4; 1608.5,27.4; 1609,27.4; 1609.5,27.4; 1610,27.4;
              1610.5,27.4; 1611,27.4; 1611.5,27.4; 1612,27.4; 1612.5,27.4; 1613,27.4;
              1613.5,27.4; 1614,27.4; 1614.5,27.4; 1615,27.4; 1615.5,27.4; 1616,27.4;
              1616.5,27.4; 1617,27.4; 1617.5,27.4; 1618,27.4; 1618.5,27.4; 1619,27.4;
              1619.5,27.4; 1620,27.4; 1620.5,27.4; 1621,27.2; 1621.5,27.2; 1622,27.2;
              1622.5,27.2; 1623,27.2; 1623.5,27.2; 1624,27.2; 1624.5,27.2; 1625,27.2;
              1625.5,27.2; 1626,27.2; 1626.5,27.2; 1627,27.2; 1627.5,27.2; 1628,27.2;
              1628.5,27.2; 1629,27.2; 1629.5,27.2; 1630,27.2; 1630.5,27.2; 1631,27.2;
              1631.5,27.2; 1632,27.2; 1632.5,27.2; 1633,27.2; 1633.5,27.2; 1634,27.2;
              1634.5,27.2; 1635,27.2; 1635.5,27.2; 1636,27.2; 1636.5,27.2; 1637,27.2;
              1637.5,27.2; 1638,27.2; 1638.5,27.2; 1639,27.2; 1639.5,27.2; 1640,27.2;
              1640.5,27.2; 1641,27.2; 1641.5,27.2; 1642,27.2; 1642.5,27.2; 1643,27.2;
              1643.5,27.2; 1644,27.2; 1644.5,27.2; 1645,27.2; 1645.5,27.2; 1646,27.2;
              1646.5,27.2; 1647,27.2; 1647.5,27.2; 1648,27.2; 1648.5,27.2; 1649,27.2;
              1649.5,27.2; 1650,27.2; 1650.5,27.2; 1651,27.2; 1651.5,27.2; 1652,27.2;
              1652.5,27.2; 1653,27.2; 1653.5,27.2; 1654,27.2; 1654.5,27.2; 1655,27.2;
              1655.5,27.2; 1656,27.2; 1656.5,27.2; 1657,27.2; 1657.5,27.2; 1658,27.1;
              1658.5,27.1; 1659,27; 1659.5,27.1; 1660,27.1; 1660.5,27; 1661,27.1; 1661.5,
              27.1; 1662,27; 1662.5,27.1; 1663,27.1; 1663.5,27.1; 1664,27.1; 1664.5,27.1;
              1665,27.1; 1665.5,27.1; 1666,27; 1666.5,27.1; 1667,27; 1667.5,27.1; 1668,
              27.1; 1668.5,27; 1669,27.1; 1669.5,27; 1670,27; 1670.5,27; 1671,27; 1671.5,
              27; 1672,27.1; 1672.5,27.1; 1673,27; 1673.5,27.1; 1674,27; 1674.5,27.1;
              1675,27.1; 1675.5,27; 1676,27; 1676.5,27.1; 1677,27; 1677.5,27; 1678,27.1;
              1678.5,27; 1679,27.1; 1679.5,27.1; 1680,27.1; 1680.5,27.1; 1681,27; 1681.5,
              27.1; 1682,27.1; 1682.5,27; 1683,27; 1683.5,27.1; 1684,27; 1684.5,27.1;
              1685,27.1; 1685.5,27; 1686,27.1; 1686.5,27; 1687,27.1; 1687.5,27; 1688,27.1;
              1688.5,26.9; 1689,27.1; 1689.5,26.9; 1690,26.9; 1690.5,26.9; 1691,26.9;
              1691.5,26.9; 1692,26.9; 1692.5,26.9; 1693,26.9; 1693.5,26.9; 1694,26.9;
              1694.5,26.9; 1695,26.9; 1695.5,26.9; 1696,26.9; 1696.5,26.9; 1697,26.9;
              1697.5,26.9; 1698,26.9; 1698.5,26.9; 1699,26.9; 1699.5,26.9; 1700,26.9;
              1700.5,26.9; 1701,26.9; 1701.5,26.9; 1702,26.9; 1702.5,26.9; 1703,26.9;
              1703.5,26.9; 1704,26.9; 1704.5,26.9; 1705,26.9; 1705.5,26.9; 1706,26.9;
              1706.5,26.9; 1707,26.9; 1707.5,26.9; 1708,26.9; 1708.5,26.9; 1709,26.9;
              1709.5,26.9; 1710,26.9; 1710.5,26.9; 1711,26.9; 1711.5,26.9; 1712,26.9;
              1712.5,26.9; 1713,26.9; 1713.5,26.9; 1714,26.9; 1714.5,26.9; 1715,26.9;
              1715.5,26.9; 1716,26.9; 1716.5,26.9; 1717,26.9; 1717.5,26.9; 1718,26.9;
              1718.5,26.9; 1719,26.9; 1719.5,26.9; 1720,26.7; 1720.5,26.7; 1721,26.7;
              1721.5,26.7; 1722,26.7; 1722.5,26.7; 1723,26.7; 1723.5,26.7; 1724,26.7;
              1724.5,26.7; 1725,26.7; 1725.5,26.7; 1726,26.7; 1726.5,26.7; 1727,26.7;
              1727.5,26.7; 1728,26.7; 1728.5,26.7; 1729,26.7; 1729.5,26.7; 1730,26.7;
              1730.5,26.7; 1731,26.7; 1731.5,26.7; 1732,26.7; 1732.5,26.7; 1733,26.7;
              1733.5,26.7; 1734,26.7; 1734.5,26.7; 1735,26.7; 1735.5,26.7; 1736,26.7;
              1736.5,26.7; 1737,26.7; 1737.5,26.7; 1738,26.7; 1738.5,26.7; 1739,26.7;
              1739.5,26.7; 1740,26.7; 1740.5,26.7; 1741,26.7; 1741.5,26.7; 1742,26.7;
              1742.5,26.7; 1743,26.7; 1743.5,26.7; 1744,26.7; 1744.5,26.7; 1745,26.7;
              1745.5,26.7; 1746,26.7; 1746.5,26.7; 1747,26.7; 1747.5,26.7; 1748,26.7;
              1748.5,26.7; 1749,26.7; 1749.5,26.7; 1750,26.7; 1750.5,26.7; 1751,26.7;
              1751.5,26.7; 1752,26.7; 1752.5,26.7; 1753,26.7; 1753.5,26.7; 1754,26.7;
              1754.5,26.7; 1755,26.7; 1755.5,26.7; 1756,26.7; 1756.5,26.7; 1757,26.7;
              1757.5,26.7; 1758,26.7; 1758.5,26.7; 1759,26.7; 1759.5,26.7; 1760,26.7;
              1760.5,26.7; 1761,26.7; 1761.5,26.7; 1762,26.7; 1762.5,26.7; 1763,26.7;
              1763.5,26.7; 1764,26.7; 1764.5,26.7; 1765,26.7; 1765.5,26.7; 1766,26.7;
              1766.5,26.7; 1767,26.7; 1767.5,26.7; 1768,26.7; 1768.5,26.8; 1769,26.7;
              1769.5,26.7; 1770,26.7; 1770.5,26.7; 1771,26.7; 1771.5,26.7; 1772,26.7;
              1772.5,26.7; 1773,26.7; 1773.5,26.6; 1774,26.6; 1774.5,26.6; 1775,26.6;
              1775.5,26.6; 1776,26.6; 1776.5,26.6; 1777,26.6; 1777.5,26.6; 1778,26.6;
              1778.5,26.6; 1779,26.6; 1779.5,26.6; 1780,26.6; 1780.5,26.6; 1781,26.6;
              1781.5,26.6; 1782,26.6; 1782.5,26.6; 1783,26.6; 1783.5,26.6; 1784,26.6;
              1784.5,26.6; 1785,26.6; 1785.5,26.6; 1786,26.6; 1786.5,26.6; 1787,26.6;
              1787.5,26.6; 1788,26.6; 1788.5,26.6; 1789,26.6; 1789.5,26.6; 1790,26.6;
              1790.5,26.6; 1791,26.6; 1791.5,26.6; 1792,26.6; 1792.5,26.6; 1793,26.6;
              1793.5,26.6; 1794,26.6; 1794.5,26.6; 1795,26.6; 1795.5,26.6; 1796,26.6;
              1796.5,26.6; 1797,26.6; 1797.5,26.6; 1798,26.6; 1798.5,26.6; 1799,26.6;
              1799.5,26.6; 1800,26.6; 1800.5,26.6; 1801,26.6; 1801.5,26.6; 1802,26.6;
              1802.5,26.6; 1803,26.6; 1803.5,26.6; 1804,26.6; 1804.5,26.6; 1805,26.6;
              1805.5,26.6; 1806,26.6; 1806.5,26.6; 1807,26.6; 1807.5,26.6; 1808,26.6;
              1808.5,26.6; 1809,26.4; 1809.5,26.4; 1810,26.4; 1810.5,26.4; 1811,26.4;
              1811.5,26.4; 1812,26.4; 1812.5,26.4; 1813,26.4; 1813.5,26.4; 1814,26.4;
              1814.5,26.4; 1815,26.4; 1815.5,26.4; 1816,26.4; 1816.5,26.4; 1817,26.4;
              1817.5,26.4; 1818,26.4; 1818.5,26.4; 1819,26.4; 1819.5,26.4; 1820,26.4;
              1820.5,26.4; 1821,26.4; 1821.5,26.4; 1822,26.4; 1822.5,26.4; 1823,26.4;
              1823.5,26.4; 1824,26.4; 1824.5,26.4; 1825,26.4; 1825.5,26.4; 1826,26.4;
              1826.5,26.4; 1827,26.4; 1827.5,26.4; 1828,26.4; 1828.5,26.4; 1829,26.4;
              1829.5,26.4; 1830,26.4; 1830.5,26.4; 1831,26.4; 1831.5,26.4; 1832,26.4;
              1832.5,26.4; 1833,26.4; 1833.5,26.4; 1834,26.4; 1834.5,26.4; 1835,26.4;
              1835.5,26.4; 1836,26.4; 1836.5,26.4; 1837,26.4; 1837.5,26.4; 1838,26.4;
              1838.5,26.4; 1839,26.4; 1839.5,26.4; 1840,26.4; 1840.5,26.4; 1841,26.4;
              1841.5,26.4; 1842,26.4; 1842.5,26.4; 1843,26.4; 1843.5,26.4; 1844,26.4;
              1844.5,26.4; 1845,26.4; 1845.5,26.4; 1846,26.4; 1846.5,26.4; 1847,26.4;
              1847.5,26.4; 1848,26.4; 1848.5,26.4; 1849,26.4; 1849.5,26.4; 1850,26.4;
              1850.5,26.4; 1851,26.4; 1851.5,26.4; 1852,26.4; 1852.5,26.4; 1853,26.4;
              1853.5,26.4; 1854,26.4; 1854.5,26.4; 1855,26.4; 1855.5,26.4; 1856,26.4;
              1856.5,26.4; 1857,26.4; 1857.5,26.3; 1858,26.3; 1858.5,26.3; 1859,26.3;
              1859.5,26.3; 1860,26.3; 1860.5,26.3; 1861,26.3; 1861.5,26.3; 1862,26.3;
              1862.5,26.3; 1863,26.3; 1863.5,26.3; 1864,26.3; 1864.5,26.3; 1865,26.3;
              1865.5,26.3; 1866,26.3; 1866.5,26.3; 1867,26.3; 1867.5,26.3; 1868,26.3;
              1868.5,26.3; 1869,26.3; 1869.5,26.3; 1870,26.3; 1870.5,26.3; 1871,26.3;
              1871.5,26.3; 1872,26.3; 1872.5,26.3; 1873,26.3; 1873.5,26.3; 1874,26.3;
              1874.5,26.3; 1875,26.3; 1875.5,26.3; 1876,26.3; 1876.5,26.3; 1877,26.3;
              1877.5,26.3; 1878,26.3; 1878.5,26.3; 1879,26.3; 1879.5,26.3; 1880,26.3;
              1880.5,26.3; 1881,26.3; 1881.5,26.3; 1882,26.3; 1882.5,26.3; 1883,26.3;
              1883.5,26.3; 1884,26.3; 1884.5,26.3; 1885,26.3; 1885.5,26.3; 1886,26.3;
              1886.5,26.3; 1887,26.3; 1887.5,26.3; 1888,26.3; 1888.5,26.3; 1889,26.3;
              1889.5,26.1; 1890,26.3; 1890.5,26.1; 1891,26.1; 1891.5,26.1; 1892,26.1;
              1892.5,26.1; 1893,26.1; 1893.5,26.1; 1894,26.1; 1894.5,26.1; 1895,26.1;
              1895.5,26.1; 1896,26.1; 1896.5,26.1; 1897,26.1; 1897.5,26.1; 1898,26.1;
              1898.5,26.1; 1899,26.1; 1899.5,26.1; 1900,26.1; 1900.5,26.1; 1901,26.1;
              1901.5,26.1; 1902,26.1; 1902.5,26.1; 1903,26.1; 1903.5,26.1; 1904,26.1;
              1904.5,26.1; 1905,26.1; 1905.5,26.1; 1906,26.1; 1906.5,26.1; 1907,26.1;
              1907.5,26.1; 1908,26.1; 1908.5,26.1; 1909,26.1; 1909.5,26.1; 1910,26.1;
              1910.5,26.1; 1911,26.1; 1911.5,26.1; 1912,26.1; 1912.5,26.1; 1913,26.1;
              1913.5,26.1; 1914,26.1; 1914.5,26.1; 1915,26.1; 1915.5,26.1; 1916,26.1;
              1916.5,26.1; 1917,26.1; 1917.5,26.1; 1918,26.1; 1918.5,26.1; 1919,26.1;
              1919.5,26.1; 1920,26.1; 1920.5,26.1; 1921,26.1; 1921.5,26.1; 1922,26.1;
              1922.5,26.1; 1923,26.1; 1923.5,26.1; 1924,26.1; 1924.5,26.1; 1925,26.1;
              1925.5,26.1; 1926,26.1; 1926.5,26.1; 1927,26.1; 1927.5,26.1; 1928,26.1;
              1928.5,26.1; 1929,26.1; 1929.5,26.1; 1930,26.1; 1930.5,26.1; 1931,26.1;
              1931.5,26.1; 1932,26.1; 1932.5,26.1; 1933,26.1; 1933.5,26.1; 1934,26.1;
              1934.5,26.1; 1935,26.1; 1935.5,26.1; 1936,26.1; 1936.5,26.1; 1937,26.1;
              1937.5,26.1; 1938,26.1; 1938.5,26.1; 1939,26.1; 1939.5,26.1; 1940,26.1;
              1940.5,26.1; 1941,26.1; 1941.5,26.1; 1942,26.1; 1942.5,26.1; 1943,26.1;
              1943.5,26.1; 1944,26.1; 1944.5,26; 1945,26; 1945.5,26; 1946,26; 1946.5,26;
              1947,26.1; 1947.5,26; 1948,26; 1948.5,26; 1949,26; 1949.5,26; 1950,26; 1950.5,
              26; 1951,26; 1951.5,26; 1952,26; 1952.5,26; 1953,26; 1953.5,26; 1954,26;
              1954.5,26; 1955,26; 1955.5,26; 1956,26; 1956.5,26; 1957,26; 1957.5,26; 1958,
              26; 1958.5,26; 1959,26; 1959.5,26; 1960,26; 1960.5,26; 1961,26; 1961.5,26;
              1962,26; 1962.5,26; 1963,26; 1963.5,26; 1964,26; 1964.5,26; 1965,26; 1965.5,
              26; 1966,26; 1966.5,26; 1967,26; 1967.5,26; 1968,26; 1968.5,26; 1969,26;
              1969.5,26; 1970,26; 1970.5,26; 1971,26; 1971.5,26; 1972,26; 1972.5,26; 1973,
              26; 1973.5,26; 1974,26; 1974.5,26; 1975,26; 1975.5,26; 1976,26; 1976.5,26;
              1977,26; 1977.5,26; 1978,26; 1978.5,26; 1979,26; 1979.5,26; 1980,26; 1980.5,
              26; 1981,26; 1981.5,26; 1982,26; 1982.5,26; 1983,26; 1983.5,26; 1984,26;
              1984.5,25.8; 1985,25.8; 1985.5,25.8; 1986,25.8; 1986.5,25.8; 1987,25.8;
              1987.5,25.8; 1988,25.8; 1988.5,25.8; 1989,25.8; 1989.5,25.8; 1990,25.8;
              1990.5,25.8; 1991,25.8; 1991.5,25.8; 1992,25.8; 1992.5,25.8; 1993,25.8;
              1993.5,25.8; 1994,25.8; 1994.5,25.8; 1995,25.8; 1995.5,25.8; 1996,25.8;
              1996.5,25.8; 1997,25.8; 1997.5,25.8; 1998,25.8; 1998.5,25.8; 1999,25.8;
              1999.5,25.8; 2000,25.8; 2000.5,25.8; 2001,25.8; 2001.5,25.8; 2002,25.8;
              2002.5,25.8; 2003,25.8; 2003.5,25.8; 2004,25.8; 2004.5,25.8; 2005,25.8;
              2005.5,25.8; 2006,25.8; 2006.5,25.8; 2007,25.8; 2007.5,25.8; 2008,25.8;
              2008.5,25.8; 2009,25.8; 2009.5,25.8; 2010,25.8; 2010.5,25.8; 2011,25.8;
              2011.5,25.8; 2012,25.8; 2012.5,25.8; 2013,25.8; 2013.5,25.8; 2014,25.8;
              2014.5,25.8; 2015,25.8; 2015.5,25.8; 2016,25.8; 2016.5,25.8; 2017,25.8;
              2017.5,25.8; 2018,25.8; 2018.5,25.8; 2019,25.8; 2019.5,25.8; 2020,25.8;
              2020.5,25.8; 2021,25.8; 2021.5,25.8; 2022,25.8; 2022.5,25.8; 2023,25.8;
              2023.5,25.8; 2024,25.8; 2024.5,25.8; 2025,25.8; 2025.5,25.7; 2026,25.7;
              2026.5,25.8; 2027,25.7; 2027.5,25.7; 2028,25.7; 2028.5,25.7; 2029,25.7;
              2029.5,25.7; 2030,25.7; 2030.5,25.7; 2031,25.7; 2031.5,25.7; 2032,25.7;
              2032.5,25.7; 2033,25.7; 2033.5,25.7; 2034,25.7; 2034.5,25.7; 2035,25.7;
              2035.5,25.7; 2036,25.7; 2036.5,25.7; 2037,25.7; 2037.5,25.7; 2038,25.7;
              2038.5,25.7; 2039,25.7; 2039.5,25.7; 2040,25.7; 2040.5,25.7; 2041,25.7;
              2041.5,25.7; 2042,25.7; 2042.5,25.7; 2043,25.7; 2043.5,25.7; 2044.2,25.7;
              2044.5,25.7; 2045,25.7; 2045.5,25.7; 2046,25.7; 2046.5,25.7; 2047,25.7;
              2047.5,25.7; 2048,25.7; 2048.5,25.7; 2049,25.7; 2049.5,25.7; 2050,25.7;
              2050.5,25.7; 2051,25.7; 2051.5,25.7; 2052,25.7; 2052.5,25.7; 2053,25.7;
              2053.5,25.7; 2054,25.7; 2054.5,25.7; 2055,25.7; 2055.5,25.7; 2056,25.7;
              2056.5,25.7; 2057,25.7; 2057.5,25.7; 2058,25.7; 2058.5,25.7; 2059,25.7;
              2059.5,25.7; 2060,25.7; 2060.5,25.7; 2061,25.7; 2061.5,25.7; 2062,25.7;
              2062.5,25.7; 2063,25.7; 2063.5,25.7; 2064,25.7; 2064.5,25.7; 2065,25.7;
              2065.5,25.7; 2066,25.7; 2066.5,25.7; 2067,25.7; 2067.5,25.7; 2068,25.7;
              2068.5,25.7; 2069,25.7; 2069.5,25.7; 2070,25.7; 2070.5,25.7; 2071,25.7;
              2071.5,25.7; 2072,25.7; 2072.5,25.7; 2073,25.7; 2073.5,25.7; 2074,25.7;
              2074.5,25.7; 2075,25.7; 2075.5,25.7; 2076,25.7; 2076.5,25.7; 2077,25.7;
              2077.5,25.7; 2078,25.7; 2078.5,25.7; 2079,25.7; 2079.5,25.7; 2080,25.5;
              2080.5,25.7; 2081,25.7; 2081.5,25.7; 2082,25.7; 2082.5,25.5; 2083,25.7;
              2083.5,25.5; 2084,25.5; 2084.5,25.5; 2085,25.5; 2085.5,25.5; 2086,25.5;
              2086.5,25.5; 2087,25.5; 2087.5,25.5; 2088,25.5; 2088.5,25.5; 2089,25.5;
              2089.5,25.5; 2090,25.5; 2090.5,25.5; 2091,25.5; 2091.5,25.5; 2092,25.5;
              2092.5,25.5; 2093,25.5; 2093.5,25.5; 2094,25.5; 2094.5,25.5; 2095,25.5;
              2095.5,25.5; 2096,25.5; 2096.5,25.5; 2097,25.5; 2097.5,25.5; 2098,25.5;
              2098.5,25.5; 2099,25.5; 2099.5,25.5; 2100,25.5; 2100.5,25.5; 2101,25.5;
              2101.5,25.5; 2102,25.5; 2102.5,25.5; 2103,25.5; 2103.5,25.5; 2104,25.5;
              2104.5,25.5; 2105,25.5; 2105.5,25.5; 2106,25.5; 2106.5,25.5; 2107,25.5;
              2107.5,25.5; 2108,25.5; 2108.5,25.5; 2109,25.5; 2109.5,25.5; 2110,25.5;
              2110.5,25.5; 2111,25.5; 2111.5,25.5; 2112,25.5; 2112.5,25.5; 2113,25.5;
              2113.5,25.5; 2114,25.5; 2114.5,25.5; 2115,25.5; 2115.5,25.5; 2116,25.5;
              2116.5,25.5; 2117,25.5; 2117.5,25.5; 2118,25.5; 2118.5,25.5; 2119,25.5;
              2119.5,25.5; 2120,25.5; 2120.5,25.5; 2121,25.5; 2121.5,25.5; 2122,25.5;
              2122.5,25.5; 2123,25.5; 2123.5,25.5; 2124,25.5; 2124.5,25.5; 2125,25.5;
              2125.5,25.5; 2126,25.5; 2126.5,25.5; 2127,25.5; 2127.5,25.5; 2128,25.5;
              2128.5,25.5; 2129,25.5; 2129.5,25.5; 2130,25.5; 2130.5,25.3; 2131,25.4;
              2131.5,25.4; 2132,25.5; 2132.5,25.5; 2133,25.4; 2133.5,25.4; 2134,25.3;
              2134.5,25.4; 2135,25.4; 2135.5,25.4; 2136,25.4; 2136.5,25.4; 2137,25.4;
              2137.5,25.4; 2138,25.4; 2138.5,25.4; 2139,25.4; 2139.5,25.4; 2140,25.4;
              2140.5,25.4; 2141,25.4; 2141.5,25.4; 2142,25.4; 2142.5,25.4; 2143,25.4;
              2143.5,25.4; 2144,25.4; 2144.5,25.3; 2145,25.4; 2145.5,25.4; 2146,25.4;
              2146.5,25.4; 2147,25.4; 2147.5,25.4; 2148,25.4; 2148.5,25.4; 2149,25.4;
              2149.5,25.4; 2150,25.3; 2150.5,25.4; 2151,25.4; 2151.5,25.4; 2152,25.4;
              2152.5,25.4; 2153,25.4; 2153.5,25.3; 2154,25.3; 2154.5,25.4; 2155,25.4;
              2155.5,25.4; 2156,25.3; 2156.5,25.4; 2157,25.4; 2157.5,25.4; 2158,25.3;
              2158.5,25.4; 2159,25.4; 2159.5,25.4; 2160,25.4; 2160.5,25.4; 2161,25.4;
              2161.5,25.4; 2162,25.4; 2162.5,25.4; 2163,25.4; 2163.5,25.4; 2164,25.4;
              2164.5,25.4; 2165,25.4; 2165.5,25.4; 2166,25.4; 2166.5,25.4; 2167,25.3;
              2167.5,25.4; 2168,25.4; 2168.5,25.4; 2169,25.4; 2169.5,25.4; 2170,25.4;
              2170.5,25.4; 2171,25.4; 2171.5,25.4; 2172,25.4; 2172.5,25.4; 2173,25.3;
              2173.5,25.4; 2174,25.4; 2174.5,25.4; 2175,25.4; 2175.5,25.4; 2176,25.4;
              2176.5,25.4; 2177,25.3; 2177.5,25.4; 2178,25.4; 2178.5,25.4; 2179,25.4;
              2179.5,25.4; 2180,25.4; 2180.5,25.2; 2181,25.4; 2181.5,25.2; 2182,25.2;
              2182.5,25.2; 2183,25.2; 2183.5,25.2; 2184,25.2; 2184.5,25.2; 2185,25.2;
              2185.5,25.2; 2186,25.2; 2186.5,25.2; 2187,25.2; 2187.5,25.2; 2188,25.2;
              2188.5,25.2; 2189,25.2; 2189.5,25.2; 2190,25.2; 2190.5,25.2; 2191,25.2;
              2191.5,25.2; 2192,25.2; 2192.5,25.2; 2193,25.2; 2193.5,25.2; 2194,25.2;
              2194.5,25.2; 2195,25.2; 2195.5,25.2; 2196,25.2; 2196.5,25.2; 2197,25.2;
              2197.5,25.2; 2198,25.2; 2198.5,25.2; 2199,25.2; 2199.5,25.2; 2200,25.2;
              2200.5,25.2; 2201,25.2; 2201.5,25.2; 2202,25.2; 2202.5,25.2; 2203,25.2;
              2203.5,25.2; 2204,25.2; 2204.5,25.2; 2205,25.2; 2205.5,25.2; 2206,25.2;
              2206.5,25.2; 2207,25.2; 2207.5,25.2; 2208,25.2; 2208.5,25.2; 2209,25.2;
              2209.5,25.2; 2210,25.2; 2210.5,25.2; 2211,25.2; 2211.5,25.2; 2212,25.2;
              2212.5,25.2; 2213,25.2; 2213.5,25.2; 2214,25.2; 2214.5,25.2; 2215,25.2;
              2215.5,25.2; 2216,25.2; 2216.5,25.2; 2217,25.2; 2217.5,25.2; 2218,25.2;
              2218.5,25.2; 2219,25.2; 2219.5,25.2; 2220,25.2; 2220.5,25.2; 2221,25.2;
              2221.5,25.2; 2222,25.2; 2222.5,25.2; 2223,25.2; 2223.5,25.2; 2224,25.2;
              2224.5,25.2; 2225,25.2; 2225.5,25.2; 2226,25.2; 2226.5,25.2; 2227,25.2;
              2227.5,25.2; 2228,25.2; 2228.5,25.2; 2229,25.2; 2229.5,25.2; 2230,25.2;
              2230.5,25.2; 2231,25.2; 2231.5,25.2; 2232,25.2; 2232.5,25.2; 2233,25.2;
              2233.5,25.2; 2234,25.2; 2234.5,25.2; 2235,25.2; 2235.5,25.2; 2236,25.2;
              2236.5,25.2; 2237,25.2; 2237.5,25.2; 2238,25.2; 2238.5,25.2; 2239,25.2;
              2239.5,25.2; 2240,25.2; 2240.5,25.2; 2241,25.2; 2241.5,25.2; 2242,25.2;
              2242.5,25.2; 2243,25.2; 2243.5,25.2; 2244,25.2; 2244.5,25.2; 2245,25.2;
              2245.5,25.2; 2246,25.2; 2246.5,25.2; 2247,25.2; 2247.5,25.2; 2248,25.2;
              2248.5,25.2; 2249,25.2; 2249.5,25.2; 2250,25.2; 2250.5,25.2; 2251,25.2;
              2251.5,25.2; 2252,25.2; 2252.5,25.2; 2253,25.2; 2253.5,25.2; 2254,25.2;
              2254.5,25.2; 2255,25.2; 2255.5,25.2; 2256,25.2; 2256.5,25.2; 2257,25.2;
              2257.5,25.1; 2258,25.2; 2258.5,25.2; 2259,25.2; 2259.5,25.2; 2260,25.2;
              2260.5,25.2; 2261,25; 2261.5,25; 2262,25; 2262.5,25; 2263,25; 2263.5,25.1;
              2264,25; 2264.5,25; 2265,25; 2265.5,25.1; 2266,25.1; 2266.5,25; 2267,25.1;
              2267.5,25; 2268,25.1; 2268.5,25.2; 2269,25.1; 2269.5,25; 2270,25; 2270.5,
              25.1; 2271,25; 2271.5,25.1; 2272,25.1; 2272.5,25; 2273,25.1; 2273.5,25.1;
              2274,25; 2274.5,25; 2275,25.1; 2275.5,25.1; 2276,25.1; 2276.5,25; 2277,25;
              2277.5,25; 2278,25; 2278.5,25; 2279,25; 2279.5,25.1; 2280,25; 2280.5,25;
              2281,25.1; 2281.5,25.1; 2282,25; 2282.5,25; 2283,25.1; 2283.5,25; 2284,25.1;
              2284.5,25.1; 2285,25; 2285.5,25.1; 2286,25; 2286.5,25; 2287,25.1; 2287.5,
              25.1; 2288,25.1; 2288.5,25; 2289,25; 2289.5,25.1; 2290,25.1; 2290.5,25;
              2291,25; 2291.5,25; 2292,25; 2292.5,25.1; 2293,25.1; 2293.5,25; 2294,25;
              2294.5,25; 2295,25.1; 2295.5,25; 2296,25; 2296.5,25; 2297,25; 2297.5,25.1;
              2298,25.1; 2298.5,25; 2299,25.1; 2299.5,25; 2300,25; 2300.5,25; 2301,25;
              2301.5,25; 2302,25; 2302.5,25; 2303,25; 2303.5,25; 2304,25; 2304.5,25; 2305,
              25; 2305.5,25; 2306,25; 2306.5,25.1; 2307,24.9; 2307.5,25; 2308,24.9; 2308.5,
              24.9; 2309,25; 2309.5,25; 2310,25; 2310.5,25; 2311,24.9; 2311.5,25; 2312,
              24.9; 2312.5,24.9; 2313,24.9; 2313.5,24.9; 2314,24.9; 2314.5,24.9; 2315,
              24.9; 2315.5,24.9; 2316,24.9; 2316.5,24.9; 2317,24.9; 2317.5,24.9; 2318,
              24.9; 2318.5,24.9; 2319,24.9; 2319.5,24.9; 2320,24.9; 2320.5,24.9; 2321,
              24.9; 2321.5,24.9; 2322,24.9; 2322.5,24.9; 2323,24.9; 2323.5,24.9; 2324,
              24.9; 2324.5,24.9; 2325,24.9; 2325.5,24.9; 2326,24.9; 2326.5,24.9; 2327,
              24.9; 2327.5,24.9; 2328,24.9; 2328.5,24.9; 2329,24.9; 2329.5,24.9; 2330,
              24.9; 2330.5,24.9; 2331,24.9; 2331.5,24.9; 2332,24.9; 2332.5,24.9; 2333,
              24.9; 2333.5,24.9; 2334,24.9; 2334.5,24.9; 2335,24.9; 2335.5,24.9; 2336,
              24.9; 2336.5,24.9; 2337,24.9; 2337.5,24.9; 2338,24.9; 2338.5,24.9; 2339,
              24.9; 2339.5,24.9; 2340,24.9; 2340.5,24.9; 2341,24.9; 2341.5,24.9; 2342,
              24.9; 2342.5,24.9; 2343,24.9; 2343.5,24.9; 2344,24.9; 2344.5,24.9; 2345,
              24.9; 2345.5,24.9; 2346,24.9; 2346.5,24.9; 2347,24.9; 2347.5,24.9; 2348,
              24.9; 2348.5,24.9; 2349,24.9; 2349.5,24.9; 2350,24.9; 2350.5,24.9; 2351,
              24.9; 2351.5,24.9; 2352,24.9; 2352.5,24.9; 2353,24.9; 2353.5,24.9; 2354,
              24.9; 2354.5,24.9; 2355,24.9; 2355.5,24.9; 2356,24.9; 2356.5,24.9; 2357,
              24.9; 2357.5,24.9; 2358,24.9; 2358.5,24.9; 2359,24.9; 2359.5,24.9; 2360,
              24.9; 2360.5,24.9; 2361,24.9; 2361.5,24.9; 2362,24.9; 2362.5,24.9; 2363,
              24.9; 2363.5,24.9; 2364,24.9; 2364.5,24.9; 2365,24.9; 2365.5,24.9; 2366,
              24.9; 2366.5,24.9; 2367,24.9; 2367.5,24.9; 2368,24.9; 2368.5,24.9; 2369,
              24.9; 2369.5,24.9; 2370,24.9; 2370.5,24.9; 2371,24.9; 2371.5,24.9; 2372,
              24.9; 2372.5,24.9; 2373,24.9; 2373.5,24.9; 2374,24.9; 2374.5,24.9; 2375,
              24.9; 2375.5,24.9; 2376,24.9; 2376.5,24.9; 2377,24.9; 2377.5,24.9; 2378,
              24.9; 2378.5,24.9; 2379,24.9; 2379.5,24.9; 2380,24.9; 2380.5,24.9; 2381,
              24.9; 2381.5,24.9; 2382,24.8; 2382.5,24.7; 2383,24.7; 2383.5,24.7; 2384,
              24.7; 2384.5,24.7; 2385,24.7; 2385.5,24.7; 2386,24.7; 2386.5,24.7; 2387,
              24.7; 2387.5,24.7; 2388,24.7; 2388.5,24.7; 2389,24.7; 2389.5,24.7; 2390,
              24.7; 2390.5,24.7; 2391,24.7; 2391.5,24.7; 2392,24.7; 2392.5,24.7; 2393,
              24.7; 2393.5,24.7; 2394,24.7; 2394.5,24.7; 2395,24.7; 2395.5,24.7; 2396,
              24.7; 2396.5,24.7; 2397,24.7; 2397.5,24.7; 2398,24.7; 2398.5,24.7; 2399,
              24.7; 2399.5,24.7; 2400,24.7; 2400.5,24.7; 2401,24.7; 2401.5,24.7; 2402,
              24.7; 2402.5,24.7; 2403,24.7; 2403.5,24.7; 2404,24.7; 2404.5,24.8; 2405,
              24.7; 2405.5,24.7; 2406,24.7; 2406.5,24.7; 2407,24.7; 2407.5,24.7; 2408,
              24.7]) annotation (Placement(transformation(
              extent={{-10,-10},{10,10}},
              rotation=90,
              origin={-80,-80})));
        Modelica.Blocks.Tables.CombiTable1D MeasurementDataTHot_TEG(table=[0,22.2; 0.5,
              22.2; 1,22.2; 1.5,22.2; 2,22.2; 2.5,22.2; 3,22.2; 3.5,22.2; 4,22.2; 4.5,
              22.2; 5,22.2; 5.5,22.2; 6,22.2; 6.5,22.2; 7,22.2; 7.5,22.2; 8,22.2; 8.5,
              22.2; 9,22.2; 9.5,22.2; 10,22.2; 10.5,22.2; 11,22.3; 11.5,22.3; 12,22.3;
              12.5,22.3; 13,22.3; 13.5,22.3; 14,22.3; 14.5,22.3; 15,22.5; 15.5,22.5; 16,
              22.5; 16.5,22.6; 17,22.6; 17.5,22.6; 18,22.8; 18.5,22.9; 19,22.9; 19.5,23.1;
              20,23.2; 20.5,23.4; 21,23.4; 21.5,23.6; 22,23.7; 22.5,23.9; 23,24; 23.5,
              24.2; 24,24.3; 24.5,24.5; 25,24.6; 25.5,24.8; 26,25.1; 26.5,25.2; 27,25.4;
              27.5,25.7; 28,25.9; 28.5,26.2; 29,26.3; 29.5,26.6; 30,26.8; 30.5,27.1; 31,
              27.3; 31.6,27.5; 32,27.8; 32.5,28; 33,28.3; 33.5,28.6; 34,28.9; 34.5,29.1;
              35,29.4; 35.5,29.7; 36,30; 36.5,30.3; 37,30.6; 37.5,30.9; 38,31.2; 38.5,
              31.5; 39,31.9; 39.5,32.2; 40,32.5; 40.5,32.8; 41,33.1; 41.5,33.4; 42,33.9;
              42.5,34.2; 43,34.5; 43.5,34.8; 44,35.2; 44.5,35.6; 45,35.9; 45.5,36.3; 46,
              36.6; 46.5,37; 47,37.4; 47.5,37.7; 48,38.2; 48.5,38.5; 49,38.8; 49.5,39.3;
              50,39.6; 50.5,40; 51,40.4; 51.5,40.8; 52,41.3; 52.5,41.6; 53,42.1; 53.5,
              42.4; 54,42.8; 54.5,43.3; 55,43.6; 55.5,44.1; 56,44.4; 56.5,44.8; 57,45.1;
              57.5,45.6; 58,46.1; 58.5,46.4; 59,46.8; 59.5,47.3; 60,47.6; 60.5,48.1; 61,
              48.4; 61.5,48.8; 62,49.3; 62.5,49.6; 63,50; 63.5,50.5; 64,51; 64.5,51.3;
              65,51.6; 65.5,52.1; 66,52.5; 66.5,53; 67,53.6; 67.5,53.9; 68,54.4; 68.5,
              54.7; 69,55.2; 69.5,55.7; 70,56; 70.5,56.4; 71,56.9; 71.5,57.4; 72,57.7;
              72.5,58.1; 73,58.5; 73.5,58.9; 74,59.4; 74.5,59.8; 75,60.3; 75.5,60.8; 76,
              61.2; 76.5,61.7; 77,62; 77.5,62.5; 78,62.8; 78.5,63.1; 79,63.6; 79.5,64;
              80,64.5; 80.5,65; 81,65.4; 81.5,65.9; 82,66.5; 82.5,67; 83,67.4; 83.5,67.7;
              84,68.2; 84.5,68.5; 85,69; 85.5,69.5; 86,69.8; 86.5,70.2; 87,70.7; 87.5,
              71.2; 88,71.6; 88.5,71.9; 89,72.4; 89.5,72.9; 90,73.3; 90.5,73.8; 91,74.3;
              91.5,74.7; 92,75.2; 92.5,75.7; 93,76.1; 93.5,76.6; 94,77; 94.5,77.5; 95,
              77.8; 95.5,78.3; 96,78.7; 96.5,79.1; 97,79.5; 97.5,80; 98,80.5; 98.5,80.8;
              99,81.2; 99.5,81.5; 100,82; 100.5,82.5; 101,83; 101.5,83.3; 102,83.7; 102.5,
              84.2; 103,84.6; 103.5,85; 104,85.4; 104.5,85.9; 105,86.3; 105.5,86.7; 106,
              87.1; 106.5,87.6; 107,88.2; 107.5,88.7; 108,89; 108.5,89.3; 109,89.7; 109.5,
              90.1; 110,90.5; 110.5,91; 111,91.5; 111.5,91.9; 112,92.4; 112.5,92.9; 113,
              93.2; 113.5,93.8; 114,94.2; 114.5,94.6; 115,95; 115.5,95.2; 116,95.6; 116.5,
              96.1; 117,96.4; 117.5,96.9; 118,97.2; 118.5,97.5; 119,98; 119.5,98.4; 120,
              98.9; 120.5,99.2; 121,99.7; 121.5,100.1; 122,100.6; 122.5,101.1; 123,101.5;
              123.5,101.8; 124,102.5; 124.5,102.8; 125,103.2; 125.5,103.7; 126,104; 126.5,
              104.5; 127,104.8; 127.5,105.1; 128,105.6; 128.5,105.9; 129,106.3; 129.5,
              106.6; 130,107.1; 130.5,107.4; 131,107.8; 131.5,108; 132,108.5; 132.5,109;
              133,109.4; 133.5,109.8; 134,110.2; 134.5,110.5; 135,111.2; 135.5,111.6;
              136,111.9; 136.5,112.4; 137,112.7; 137.5,113.3; 138,113.6; 138.5,114.1;
              139,114.4; 139.5,114.9; 140,115.3; 140.5,115.6; 141,116.1; 141.5,116.6;
              142,117; 142.5,117.3; 143,117.8; 143.5,118.1; 144,118.6; 144.5,118.9; 145,
              119.3; 145.5,119.8; 146,120.1; 146.5,120.4; 147,121.1; 147.5,121.4; 148,
              121.7; 148.5,122.1; 149,122.4; 149.5,122.9; 150,123.2; 150.5,123.7; 151,
              124; 151.5,124.3; 152,124.8; 152.5,125.1; 153,125.5; 153.5,125.9; 154,126.3;
              154.5,126.6; 155,127; 155.5,127.4; 156,127.7; 156.5,128; 157,128.5; 157.5,
              128.9; 158,129.3; 158.5,129.7; 159,130; 159.5,130.5; 160,130.8; 160.5,131.1;
              161,131.4; 161.5,131.7; 162,132.2; 162.5,132.5; 163,132.9; 163.5,133.3;
              164,133.8; 164.5,134.1; 165,134.4; 165.5,134.7; 166,135.2; 166.5,135.6;
              167,135.9; 167.5,136.4; 168,136.7; 168.5,137.2; 169,137.5; 169.5,137.8;
              170,138.1; 170.5,138.6; 171,138.9; 171.5,139.3; 172,139.6; 172.5,140.1;
              173,140.6; 173.5,140.9; 174,141.2; 174.5,141.7; 175,142; 175.5,142.4; 176,
              142.7; 176.5,143.2; 177,143.5; 177.5,144; 178,144.3; 178.5,144.8; 179,145.2;
              179.5,145.5; 180,145.7; 180.5,146; 181,146.5; 181.5,146.6; 182,146.9; 182.5,
              146.9; 183,147.2; 183.5,147.7; 184,148; 184.5,148.3; 185,148.7; 185.5,148.8;
              186,149.1; 186.5,149.4; 187,149.7; 187.5,149.9; 188,150.2; 188.5,150.5;
              189,150.6; 189.5,151; 190,151.3; 190.5,151.6; 191,151.9; 191.5,152.3; 192,
              152.6; 192.5,153; 193,153.1; 193.5,153.4; 194,153.9; 194.5,154; 195,154.3;
              195.5,154.6; 196,155; 196.5,155.3; 197,155.6; 197.5,155.9; 198,156.2; 198.5,
              156.5; 199,156.8; 199.5,157.1; 200,157.3; 200.5,157.6; 201,157.9; 201.5,
              158; 202,158.3; 202.5,158.7; 203,159; 203.5,159.3; 204,159.6; 204.5,159.7;
              205,160.2; 205.5,160.5; 206,160.7; 206.5,161; 207,161.3; 207.5,161.6; 208,
              161.7; 208.5,162.2; 209,162.5; 209.5,162.9; 210,163.1; 210.5,163.3; 211,
              163.6; 211.5,163.8; 212,164.1; 212.5,164.4; 213,164.7; 213.5,165; 214,165.2;
              214.5,165.6; 215,166; 215.5,166.3; 216,166.6; 216.5,166.7; 217,166.9; 217.5,
              167.2; 218,167.5; 218.5,167.8; 219,168; 219.5,168.3; 220,168.6; 220.5,168.8;
              221,169.1; 221.5,169.2; 222,169.5; 222.5,169.7; 223,170; 223.5,170.1; 224,
              170.3; 224.5,170.6; 225,170.9; 225.5,171.1; 226,171.4; 226.5,171.7; 227,
              171.8; 227.5,172.2; 228,172.3; 228.5,172.6; 229,172.8; 229.5,173.1; 230,
              173.2; 230.5,173.4; 231,173.7; 231.5,174; 232,174.3; 232.5,174.6; 233,175.1;
              233.5,175.4; 234,175.9; 234.5,176.2; 235,176.5; 235.5,176.6; 236,176.8;
              236.5,177; 237,177; 237.5,176.8; 238,176.8; 238.5,177; 239,177.1; 239.5,
              177.3; 240,177.4; 240.5,177.6; 241,177.7; 241.5,177.9; 242,177.9; 242.5,
              178; 243,178.2; 243.5,178.5; 244,178.6; 244.5,178.8; 245,179; 245.5,179.3;
              246,179.4; 246.5,179.7; 247,180; 247.5,180.2; 248,180.5; 248.5,180.7; 249,
              180.8; 249.5,181.1; 250,181.3; 250.5,181.4; 251,181.7; 251.5,181.9; 252,
              182; 252.5,182.3; 253,182.5; 253.5,182.7; 254,183; 254.5,183.3; 255,183.6;
              255.5,183.9; 256,184.2; 256.5,184.4; 257,184.7; 257.5,184.8; 258,185.1;
              258.5,185.4; 259,185.6; 259.5,185.9; 260,186; 260.5,186.4; 261,186.5; 261.5,
              186.8; 262,187.1; 262.5,187.3; 263,187.6; 263.5,187.9; 264,188.1; 264.5,
              188.4; 265,188.4; 265.5,188.5; 266,188.8; 266.5,189; 267,189.3; 267.5,189.4;
              268,189.6; 268.5,189.9; 269,190.2; 269.5,190.4; 270,190.7; 270.5,191; 271,
              191.1; 271.5,191.4; 272,191.6; 272.5,191.9; 273,192.2; 273.5,192.4; 274,
              192.7; 274.5,193; 275,193.3; 275.5,193.6; 276,193.9; 276.5,194.2; 277,194.4;
              277.5,194.7; 278,194.8; 278.5,195; 279,195.4; 279.5,195.6; 280,195.9; 280.5,
              196.2; 281,196.4; 281.5,196.7; 282,197; 282.5,197.3; 283,197.6; 283.5,197.9;
              284,198.2; 284.5,198.5; 285,198.7; 285.5,199; 286,199.3; 286.5,199.5; 287,
              199.6; 287.5,199.9; 288,200.1; 288.5,200.4; 289,200.7; 289.5,200.8; 290,
              201.2; 290.5,201.5; 291,201.8; 291.5,202.1; 292,202.3; 292.5,202.6; 293,
              202.9; 293.5,203.2; 294,203.5; 294.5,203.6; 295,203.9; 295.5,204.1; 296,
              204.4; 296.5,204.7; 297,205; 297.5,205.3; 298,205.6; 298.5,205.9; 299,206.2;
              299.5,206.4; 300,206.7; 300.5,207; 301,207.2; 301.5,207.5; 302,207.8; 302.5,
              208; 303,208.1; 303.5,208.4; 304,208.6; 304.5,208.9; 305,209; 305.5,209.3;
              306,209.7; 306.5,209.8; 307,210.1; 307.5,210.3; 308,210.6; 308.5,210.9;
              309,211.2; 309.5,211.3; 310,211.6; 310.5,212; 311,212.3; 311.5,212.6; 312,
              212.9; 312.5,213.1; 313,213.4; 313.5,213.5; 314,213.8; 314.5,214.1; 315,
              214.3; 315.5,214.6; 316,214.8; 316.5,215.1; 317,215.4; 317.5,215.7; 318,
              216; 318.5,216.3; 319,216.5; 319.5,216.6; 320,216.9; 320.5,217.1; 321,217.4;
              321.5,217.5; 322,217.8; 322.5,218.1; 323,218.5; 323.5,218.8; 324,218.9;
              324.5,219.2; 325,219.5; 325.5,219.7; 326,219.9; 326.5,220; 327,220.3; 327.5,
              220.9; 328,221.4; 328.5,222; 329,222.3; 329.5,222.5; 330,222.5; 330.5,222.5;
              331,222.8; 331.5,222.9; 332,223.3; 332.5,223.4; 333,223.7; 333.5,223.9;
              334,224.2; 334.5,224.3; 335,224.5; 335.5,224.8; 336,224.9; 336.5,225.2;
              337,225.6; 337.5,225.7; 338,226; 338.5,226.3; 339,226.7; 339.5,227; 340,
              227.1; 340.5,227.4; 341,227.7; 341.5,228; 342,228.2; 342.5,228.5; 343,228.7;
              343.5,229; 344,229.3; 344.5,229.7; 345,230; 345.5,230.4; 346,230.8; 346.5,
              231.1; 347,231.3; 347.5,231.6; 348,231.8; 348.5,231.8; 349,232.2; 349.5,
              232.4; 350,232.5; 350.5,232.5; 351,232.5; 351.5,232.7; 352,232.7; 352.5,
              232.8; 353,233; 353.5,233; 354,233; 354.5,233.1; 355,233.3; 355.5,233.5;
              356,233.8; 356.5,233.9; 357,234.2; 357.5,234.6; 358,234.9; 358.5,235; 359,
              235.3; 359.5,235.6; 360,235.8; 360.5,235.9; 361,236.1; 361.5,236.2; 362,
              236.6; 362.5,236.7; 363,237; 363.5,237.3; 364,237.5; 364.5,237.7; 365,237.6;
              365.5,237.8; 366,237.8; 366.5,237.9; 367,238; 367.5,238.1; 368,238.1; 368.5,
              238.3; 369,238.3; 369.5,238.4; 370,238.6; 370.5,238.6; 371,238.7; 371.5,
              238.7; 372,238.7; 372.5,238.6; 373,238.7; 373.5,238.7; 374,238.7; 374.5,
              238.7; 375,238.9; 375.5,238.9; 376,238.9; 376.5,239; 377,239; 377.5,239.2;
              378,239.2; 378.5,239.2; 379,239.2; 379.5,239.2; 380,239.2; 380.5,239.2;
              381,239.2; 381.5,239.4; 382,239.4; 382.5,239.4; 383,239.4; 383.5,239.4;
              384,239.4; 384.5,239.4; 385,239.2; 385.5,239.2; 386,239.2; 386.5,239.2;
              387,239.2; 387.5,239; 388,239; 388.5,239; 389,239; 389.5,239; 390,239; 390.5,
              239; 391,238.9; 391.5,238.9; 392,238.9; 392.5,238.7; 393,238.6; 393.5,238.6;
              394,238.4; 394.5,238.2; 395,238.3; 395.5,238.1; 396,238.1; 396.5,238.1;
              397,238; 397.5,238; 398,237.8; 398.5,237.8; 399,237.7; 399.5,237.5; 400,
              237.3; 400.5,237.2; 401,237; 401.5,236.9; 402,236.9; 402.5,236.9; 403,236.9;
              403.5,236.7; 404,236.7; 404.5,236.5; 405,236.4; 405.5,236.2; 406,236.2;
              406.5,236.1; 407,235.9; 407.5,235.9; 408,235.8; 408.5,235.6; 409,235.5;
              409.5,235.3; 410,235.2; 410.5,235; 411,235; 411.5,234.9; 412,234.7; 412.5,
              234.7; 413,234.6; 413.5,234.4; 414,234.3; 414.5,234.1; 415,234.1; 415.5,
              233.9; 416,233.8; 416.5,233.6; 417,233.6; 417.5,233.5; 418,233.3; 418.5,
              233.2; 419,233; 419.5,233; 420,232.9; 420.5,232.7; 421,232.5; 421.5,232.2;
              422,232.2; 422.5,232.1; 423,231.9; 423.5,231.8; 424,231.6; 424.5,231.5;
              425,231.3; 425.5,231.1; 426,231; 426.5,231; 427,230.8; 427.5,230.7; 428,
              230.5; 428.5,230.4; 429,230.2; 429.5,230.2; 430,230.1; 430.5,230.1; 431,
              230; 431.5,229.9; 432,229.8; 432.5,229.6; 433,229.4; 433.5,229.4; 434,229.3;
              434.5,229.1; 435,229; 435.5,228.8; 436,228.7; 436.5,228.7; 437,228.5; 437.5,
              228.4; 438,228.2; 438.5,228; 439,227.9; 439.5,227.8; 440,227.7; 440.5,227.6;
              441,227.4; 441.5,227.3; 442,227.3; 442.5,227.3; 443,227.1; 443.5,227; 444,
              226.8; 444.5,226.7; 445,226.3; 445.5,226.2; 446,226; 446.5,225.9; 447,225.7;
              447.5,225.4; 448,225.4; 448.5,225.2; 449,225.1; 449.5,225.1; 450,225.1;
              450.5,225.1; 451,225.1; 451.5,225.1; 452,224.9; 452.5,224.6; 453,224.5;
              453.5,224.2; 454,223.9; 454.5,223.6; 455,223.4; 455.5,223.1; 456,223; 456.5,
              222.8; 457,222.6; 457.5,222.6; 458,222.5; 458.5,222.3; 459,222.3; 459.5,
              222.2; 460,222; 460.5,221.9; 461,221.7; 461.5,221.6; 462,221.4; 462.5,221.3;
              463,221.1; 463.5,220.8; 464,220.8; 464.5,220.6; 465,220.3; 465.5,220.3;
              466,220.2; 466.5,219.9; 467,219.7; 467.5,219.6; 468,219.4; 468.5,219.2;
              469,219.1; 469.5,218.8; 470,218.8; 470.5,218.6; 471,218.5; 471.5,218.3;
              472,218.1; 472.5,218; 473,218; 473.5,217.8; 474,217.7; 474.5,217.5; 475,
              217.5; 475.5,217.4; 476,217.2; 476.5,217.1; 477,216.9; 477.5,216.8; 478,
              216.6; 478.5,216.5; 479,216.3; 479.5,216.1; 480,216; 480.5,215.8; 481,215.8;
              481.5,215.7; 482,215.5; 482.5,215.4; 483,215.4; 483.5,215.1; 484,214.9;
              484.5,214.9; 485,214.8; 485.5,214.6; 486,214.4; 486.5,214.3; 487,214.1;
              487.5,214.1; 488,214; 488.5,213.8; 489,213.7; 489.5,213.7; 490,213.4; 490.5,
              213.2; 491,212.9; 491.5,212.8; 492,212.8; 492.5,212.8; 493,212.7; 493.5,
              212.6; 494,212.6; 494.5,212.4; 495,212.4; 495.5,212.1; 496,212; 496.5,211.8;
              497,211.7; 497.5,211.5; 498,211.3; 498.5,211.2; 499,211; 499.5,210.9; 500,
              210.7; 500.5,210.7; 501,210.6; 501.5,210.4; 502,210.4; 502.5,210.3; 503,
              210.1; 503.5,210; 504,210; 504.5,209.8; 505,209.7; 505.5,209.5; 506,209.4;
              506.5,209.3; 507,209.2; 507.5,209.2; 508,209; 508.5,208.9; 509,208.7; 509.5,
              208.4; 510,208.1; 510.5,207.9; 511,207.6; 511.5,207.5; 512,207.3; 512.5,
              207.2; 513,207.2; 513.5,207; 514,206.7; 514.5,206.6; 515,206.4; 515.5,206.3;
              516,206.1; 516.5,205.9; 517,205.8; 517.5,205.6; 518,205.5; 518.5,205.5;
              519,205.5; 519.5,205.5; 520,205.3; 520.5,205.2; 521,205; 521.5,205; 522,
              204.9; 522.5,204.7; 523,204.4; 523.5,204.3; 524,204.3; 524.5,204.1; 525,
              204; 525.5,203.8; 526,203.7; 526.5,203.5; 527,203.4; 527.5,203.2; 528,202.9;
              528.5,202.7; 529,202.7; 529.5,202.6; 530,202.4; 530.5,202.3; 531,202.3;
              531.5,202.3; 532,202.3; 532.5,202.3; 533,202.3; 533.5,202.1; 534,201.8;
              534.5,201.6; 535,201.5; 535.5,201.3; 536,201.2; 536.5,201; 537,201; 537.5,
              200.8; 538,200.9; 538.5,200.7; 539,200.7; 539.5,200.5; 540,200.4; 540.5,
              200.4; 541,200.1; 541.5,200.1; 542,199.8; 542.5,199.6; 543,199.5; 543.5,
              199.3; 544,199.2; 544.5,199; 545,198.9; 545.5,198.7; 546,198.4; 546.5,198.2;
              547,197.9; 547.5,197.8; 548,197.6; 548.5,197.6; 549,197.5; 549.5,197.3;
              550,197.2; 550.5,197.1; 551,197; 551.5,196.8; 552,196.7; 552.5,196.7; 553,
              196.5; 553.5,196.4; 554,196.2; 554.5,196; 555,195.7; 555.5,195.7; 556,195.6;
              556.5,195.4; 557,195.4; 557.5,195.4; 558,195.4; 558.5,195.4; 559,195.4;
              559.5,195.3; 560,195.3; 560.5,195.1; 561,195; 561.5,194.8; 562,194.7; 562.5,
              194.4; 563,194.2; 563.5,194.2; 564,194.1; 564.5,193.9; 565,193.7; 565.5,
              193.6; 566,193.4; 566.5,193.3; 567,193.1; 567.5,193; 568,192.8; 568.5,192.7;
              569,192.7; 569.5,192.5; 570,192.4; 570.5,192.2; 571,192.1; 571.5,191.9;
              572,191.9; 572.5,191.7; 573,191.6; 573.5,191.6; 574,191.4; 574.5,191.3;
              575,191.1; 575.5,191; 576,190.7; 576.5,190.5; 577,190.5; 577.5,190.4; 578,
              190.2; 578.5,190.2; 579,190.1; 579.5,189.9; 580,189.8; 580.5,189.8; 581,
              189.6; 581.5,189.4; 582,189.3; 582.5,189.1; 583,189.1; 583.5,189.1; 584,
              189.1; 584.5,189.1; 585,189; 585.5,189; 586,188.8; 586.5,188.7; 587,188.5;
              587.5,188.5; 588,188.4; 588.5,188.4; 589,188.1; 589.5,188.1; 590,188.1;
              590.5,187.9; 591,187.9; 591.5,187.8; 592,187.7; 592.5,187.6; 593,187.4;
              593.5,187.3; 594,187.3; 594.5,187.1; 595,187.1; 595.5,187; 596,186.8; 596.5,
              186.8; 597,186.7; 597.5,186.7; 598,186.5; 598.5,186.4; 599,186.2; 599.5,
              186.1; 600,185.9; 600.5,185.7; 601,185.6; 601.5,185.4; 602,185.3; 602.5,
              185.3; 603,185.1; 603.5,185; 604,184.8; 604.5,184.8; 605,184.7; 605.5,184.5;
              606,184.4; 606.5,184.2; 607,184.2; 607.5,184; 608,183.9; 608.5,183.7; 609,
              183.6; 609.5,183.6; 610,183.4; 610.5,183.4; 611,183.3; 611.5,183.1; 612,
              183.1; 612.5,183; 613,182.8; 613.5,182.7; 614,182.7; 614.5,182.5; 615,182.5;
              615.5,182.5; 616,182.3; 616.5,182.4; 617,182.2; 617.5,182.2; 618,182; 618.5,
              181.9; 619,181.7; 619.5,181.6; 620,181.4; 620.5,181.4; 621,181.3; 621.5,
              181.1; 622,181; 622.5,181; 623,180.8; 623.5,180.7; 624,180.5; 624.5,180.5;
              625,180.4; 625.5,180.2; 626,180.2; 626.5,180.1; 627,179.9; 627.5,179.9;
              628,179.7; 628.5,179.6; 629,179.4; 629.5,179.4; 630,179.3; 630.5,179.1;
              631,178.9; 631.5,178.8; 632,178.7; 632.5,178.7; 633,178.5; 633.5,178.5;
              634,178.2; 634.5,178.2; 635,178.1; 635.5,178; 636,178; 636.5,178; 637,177.9;
              637.5,177.7; 638,177.6; 638.5,177.4; 639,177.3; 639.5,177.3; 640,177.1;
              640.5,177; 641,176.8; 641.5,176.8; 642,176.6; 642.5,176.5; 643,176.5; 643.5,
              176.3; 644,176.3; 644.5,176.2; 645,176.2; 645.5,176; 646,175.9; 646.5,175.9;
              647,175.7; 647.5,175.7; 648,175.7; 648.5,175.7; 649,175.6; 649.5,175.6;
              650,175.4; 650.5,175.2; 651,175.1; 651.5,174.9; 652,174.8; 652.5,174.6;
              653,174.5; 653.5,174.5; 654,174.3; 654.5,174.2; 655,174.2; 655.5,174; 656,
              174; 656.5,174; 657,174; 657.5,173.9; 658,173.8; 658.5,173.7; 659,173.5;
              659.5,173.5; 660,173.4; 660.5,173.2; 661,173.2; 661.5,173.1; 662,172.9;
              662.5,172.6; 663,172.5; 663.5,172.5; 664,172.3; 664.5,172.3; 665,172.3;
              665.5,172; 666,172; 666.5,172; 667,172; 667.5,171.8; 668,171.8; 668.5,171.7;
              669,171.5; 669.5,171.5; 670,171.4; 670.5,171.2; 671,171.1; 671.5,171.1;
              672,170.9; 672.5,170.8; 673,170.8; 673.5,170.6; 674,170.5; 674.5,170.3;
              675,170.3; 675.5,170.3; 676,170.1; 676.5,170; 677,169.8; 677.5,169.7; 678,
              169.7; 678.5,169.5; 679,169.5; 679.5,169.4; 680,169.4; 680.5,169.2; 681,
              169.2; 681.5,169.1; 682,168.9; 682.5,168.8; 683,168.8; 683.5,168.8; 684,
              168.6; 684.5,168.5; 685,168.5; 685.5,168.3; 686,168.3; 686.5,168.1; 687,
              168; 687.5,167.8; 688,167.8; 688.5,167.7; 689,167.7; 689.5,167.5; 690,167.3;
              690.5,167.2; 691,167.2; 691.5,167; 692,166.9; 692.5,166.7; 693,166.7; 693.5,
              166.7; 694,166.6; 694.5,166.4; 695,166.4; 695.5,166.3; 696,166.1; 696.5,
              166.1; 697,166; 697.5,166; 698,165.8; 698.5,165.6; 699,165.7; 699.5,165.5;
              700,165.5; 700.5,165.2; 701,165.2; 701.5,165; 702,165; 702.5,165; 703,165;
              703.5,164.9; 704,164.9; 704.5,164.7; 705,164.6; 705.5,164.6; 706,164.4;
              706.5,164.2; 707,164.1; 707.5,163.9; 708,163.9; 708.5,163.7; 709,163.8;
              709.5,163.6; 710,163.6; 710.5,163.5; 711,163.3; 711.5,163.3; 712,163.3;
              712.5,163.1; 713,163; 713.5,162.8; 714,162.8; 714.5,162.7; 715,162.7; 715.5,
              162.5; 716,162.5; 716.5,162.4; 717,162.4; 717.5,162.4; 718,162.2; 718.5,
              162; 719,161.9; 719.5,161.9; 720,161.8; 720.5,161.8; 721,161.6; 721.5,161.4;
              722,161.4; 722.5,161.3; 723,161.1; 723.5,161.1; 724,161; 724.5,160.8; 725,
              160.7; 725.5,160.7; 726,160.5; 726.5,160.4; 727,160.4; 727.5,160.2; 728,
              160.1; 728.5,160.1; 729,160.1; 729.5,159.9; 730,159.9; 730.5,159.9; 731,
              159.7; 731.5,159.7; 732,159.6; 732.5,159.6; 733,159.4; 733.5,159.4; 734,
              159.3; 734.5,159.3; 735,159.3; 735.5,159.1; 736,159.1; 736.5,159; 737,159;
              737.5,159; 738,158.8; 738.5,158.8; 739,158.7; 739.5,158.7; 740,158.5; 740.5,
              158.5; 741,158.3; 741.5,158.2; 742,158.1; 742.5,157.9; 743,157.7; 743.5,
              157.7; 744,157.6; 744.5,157.6; 745,157.4; 745.5,157.4; 746,157.3; 746.5,
              157.1; 747,156.8; 747.5,156.8; 748,156.8; 748.5,156.9; 749,156.9; 749.5,
              156.9; 750,156.9; 750.5,156.9; 751,156.8; 751.5,156.6; 752,156.5; 752.5,
              156.5; 753,156.3; 753.5,156.2; 754,156; 754.5,155.9; 755,155.7; 755.5,155.6;
              756,155.4; 756.5,155.3; 757,155.1; 757.5,155; 758,154.9; 758.5,154.8; 759,
              154.8; 759.5,154.9; 760,154.9; 760.5,154.8; 761,154.8; 761.5,154.6; 762,
              154.6; 762.5,154.5; 763,154.3; 763.5,154.2; 764,154.2; 764.5,154; 765,153.9;
              765.5,153.9; 766,153.7; 766.5,153.7; 767,153.6; 767.5,153.6; 768,153.4;
              768.5,153.4; 769,153.3; 769.5,153.3; 770,153.1; 770.5,153.1; 771,153; 771.5,
              152.8; 772,152.8; 772.5,152.6; 773,152.5; 773.5,152.5; 774,152.3; 774.5,
              152.2; 775,152.2; 775.5,152; 776,152; 776.5,151.9; 777,151.7; 777.5,151.7;
              778,151.6; 778.5,151.6; 779,151.4; 779.5,151.4; 780,151.4; 780.5,151.3;
              781,151.3; 781.5,151.1; 782,151.1; 782.5,151; 783,151; 783.5,150.8; 784,
              150.8; 784.5,150.7; 785,150.7; 785.5,150.5; 786,150.5; 786.5,150.5; 787,
              150.3; 787.5,150.2; 788,150.2; 788.5,150; 789,150; 789.5,150; 790,150; 790.5,
              150; 791,149.9; 791.5,149.9; 792,149.7; 792.5,149.7; 793,149.6; 793.5,149.6;
              794,149.4; 794.5,149.3; 795,149.3; 795.5,149.3; 796,149.1; 796.5,149.1;
              797,149; 797.5,149; 798,148.8; 798.5,148.8; 799,148.7; 799.5,148.7; 800,
              148.5; 800.5,148.3; 801,148.3; 801.5,148.2; 802,148.2; 802.5,148; 803,148;
              803.5,147.9; 804,147.9; 804.5,147.7; 805,147.7; 805.5,147.6; 806,147.6;
              806.5,147.4; 807,147.4; 807.5,147.4; 808,147.2; 808.5,147.3; 809,147.1;
              809.5,146.9; 810,146.9; 810.5,146.8; 811,146.8; 811.5,146.8; 812,146.6;
              812.5,146.5; 813,146.5; 813.5,146.3; 814,146.2; 814.5,146.2; 815,146.2;
              815.5,146; 816,146; 816.5,145.8; 817,145.8; 817.5,145.8; 818,145.7; 818.5,
              145.7; 819,145.5; 819.5,145.4; 820,145.2; 820.5,145.2; 821,145.1; 821.5,
              144.9; 822,144.9; 822.5,144.8; 823,144.8; 823.5,144.8; 824,144.8; 824.5,
              144.6; 825,144.6; 825.5,144.4; 826,144.4; 826.5,144.3; 827,144.1; 827.5,
              144.1; 828,144.1; 828.5,144; 829,143.8; 829.5,143.8; 830,143.7; 830.5,143.7;
              831,143.5; 831.5,143.5; 832,143.5; 832.5,143.5; 833,143.4; 833.5,143.4;
              834,143.2; 834.5,143.2; 835,143.1; 835.5,142.9; 836,142.9; 836.5,142.9;
              837,142.7; 837.5,142.6; 838,142.6; 838.5,142.4; 839,142.4; 839.5,142.4;
              840,142.3; 840.5,142.3; 841,142.3; 841.5,142.3; 842,142.3; 842.5,142.3;
              843,142.3; 843.5,142.4; 844,142.4; 844.5,142.6; 845,142.6; 845.5,142.6;
              846,142.4; 846.5,142.4; 847,142.3; 847.5,142.1; 848,142; 848.5,141.8; 849,
              141.6; 849.5,141.5; 850,141.5; 850.5,141.3; 851,141.3; 851.5,141.2; 852,
              141; 852.5,141; 853,140.9; 853.5,140.7; 854,140.6; 854.5,140.6; 855,140.4;
              855.5,140.4; 856,140.3; 856.5,140.3; 857,140.1; 857.5,140.1; 858,140; 858.5,
              139.8; 859,139.7; 859.5,139.5; 860,139.5; 860.5,139.3; 861,139.2; 861.5,
              139.2; 862,139.2; 862.5,139; 863,138.9; 863.5,138.9; 864,138.9; 864.5,138.9;
              865,139; 865.5,139; 866,139.2; 866.5,139.3; 867,139.3; 867.5,139.5; 868,
              139.5; 868.5,139.3; 869,139.3; 869.5,139.2; 870,139.2; 870.5,139; 871,138.7;
              871.5,138.6; 872,138.4; 872.5,138.3; 873,138.1; 873.5,138.1; 874,137.9;
              874.5,137.8; 875,137.6; 875.5,137.6; 876,137.5; 876.5,137.3; 877,137.2;
              877.5,137; 878,136.9; 878.5,136.9; 879,136.9; 879.5,136.9; 880,136.9; 880.5,
              136.7; 881,136.7; 881.5,136.7; 882,136.6; 882.5,136.6; 883,136.6; 883.5,
              136.4; 884,136.4; 884.5,136.3; 885,136.1; 885.5,136.1; 886,136.1; 886.5,
              135.9; 887,135.9; 887.5,135.9; 888,135.8; 888.5,135.8; 889,135.8; 889.5,
              135.6; 890,135.6; 890.5,135.5; 891,135.3; 891.5,135.2; 892,135.2; 892.5,
              135; 893,135; 893.5,134.9; 894,134.8; 894.5,134.9; 895,134.9; 895.5,134.7;
              896,134.7; 896.5,134.7; 897,134.7; 897.5,134.5; 898,134.5; 898.5,134.4;
              899,134.4; 899.5,134.2; 900,134.2; 900.5,134.1; 901,134.1; 901.5,133.9;
              902,133.9; 902.5,133.7; 903,133.6; 903.5,133.6; 904,133.4; 904.5,133.4;
              905,133.3; 905.5,133.1; 906,133; 906.5,133; 907,133; 907.5,132.8; 908,132.8;
              908.5,132.8; 909,132.7; 909.5,132.7; 910,132.7; 910.5,132.7; 911,132.7;
              911.5,132.5; 912,132.5; 912.5,132.4; 913,132.4; 913.5,132.2; 914,132; 914.5,
              132; 915,131.9; 915.5,131.9; 916,131.9; 916.5,131.9; 917,131.9; 917.5,131.7;
              918,131.7; 918.5,131.6; 919,131.6; 919.5,131.6; 920,131.4; 920.5,131.3;
              921,131.3; 921.5,131.1; 922,131.1; 922.5,131; 923,131; 923.5,131; 924,130.8;
              924.5,130.8; 925,130.8; 925.5,130.6; 926,130.6; 926.5,130.5; 927,130.5;
              927.5,130.5; 928,130.3; 928.5,130.3; 929,130.3; 929.5,130.2; 930,130.2;
              930.5,130.2; 931,130; 931.5,130; 932,130; 932.5,130; 933,129.9; 933.5,129.7;
              934,129.7; 934.5,129.6; 935,129.6; 935.5,129.6; 936,129.4; 936.5,129.4;
              937,129.4; 937.5,129.4; 938,129.4; 938.5,129.3; 939,129.3; 939.5,129.1;
              940,129; 940.5,128.6; 941,128.5; 941.5,128.3; 942,128.3; 942.5,128.3; 943,
              128.3; 943.5,128.2; 944,128; 944.5,128; 945,127.9; 945.5,127.9; 946,127.9;
              946.5,127.9; 947,127.9; 947.5,127.9; 948,127.9; 948.5,127.9; 949,127.7;
              949.5,127.7; 950,127.6; 950.5,127.6; 951,127.4; 951.5,127.4; 952,127.4;
              952.5,127.3; 953,127.3; 953.5,127.3; 954,127.4; 954.5,127.4; 955,127.6;
              955.5,127.4; 956,127.4; 956.5,127.4; 957,127.4; 957.5,127.4; 958,127.4;
              958.5,127.1; 959,126.9; 959.5,126.8; 960,126.6; 960.5,126.5; 961,126.3;
              961.5,126.3; 962,126.2; 962.5,126; 963,126; 963.5,126; 964,126; 964.5,126;
              965,126; 965.5,125.9; 966,125.9; 966.5,125.9; 967,125.9; 967.5,125.7; 968,
              125.7; 968.5,125.7; 969,125.7; 969.5,125.7; 970,125.6; 970.5,125.5; 971,
              125.4; 971.5,125.4; 972,125.2; 972.5,125.2; 973,125.2; 973.5,125.2; 974,
              125.2; 974.5,125.2; 975,125.2; 975.5,125.2; 976,125.2; 976.5,125.2; 977,
              125.1; 977.5,124.9; 978,124.8; 978.5,124.6; 979,124.5; 979.5,124.3; 980,
              124.3; 980.5,124.3; 981,124.5; 981.5,124.5; 982,124.5; 982.5,124.5; 983,
              124.5; 983.5,124.5; 984,124.5; 984.5,124.3; 985,124.3; 985.5,124.1; 986,
              124; 986.5,123.8; 987,123.7; 987.5,123.5; 988,123.4; 988.5,123.4; 989,123.2;
              989.5,123.2; 990,123.2; 990.5,123.1; 991,123.1; 991.5,122.9; 992,122.7;
              992.5,122.8; 993,122.7; 993.5,122.8; 994,122.6; 994.5,122.6; 995,122.6;
              995.5,122.4; 996,122.5; 996.5,122.4; 997,122.4; 997.5,122.3; 998,122.3;
              998.5,122; 999,121.8; 999.5,121.8; 1000,121.7; 1000.5,121.7; 1001,121.5;
              1001.5,121.5; 1002,121.5; 1002.5,121.5; 1003,121.5; 1003.5,121.4; 1004,121.4;
              1004.5,121.4; 1005,121.4; 1005.5,121.4; 1006,121.4; 1006.5,121.4; 1007,121.4;
              1007.5,121.5; 1008,121.5; 1008.5,121.5; 1009,121.7; 1009.5,121.7; 1010,121.7;
              1010.5,121.5; 1011,121.5; 1011.5,121.4; 1012,121.4; 1012.5,121.1; 1013,120.9;
              1013.5,120.7; 1014,120.7; 1014.5,120.7; 1015,120.7; 1015.5,120.9; 1016,120.9;
              1016.5,120.9; 1017,120.7; 1017.5,120.6; 1018,120.6; 1018.5,120.4; 1019,120.3;
              1019.5,120.1; 1020,120; 1020.5,119.8; 1021,119.8; 1021.5,119.8; 1022,119.8;
              1022.5,119.8; 1023,119.7; 1023.5,119.5; 1024,119.5; 1024.5,119.5; 1025,119.3;
              1025.5,119.4; 1026,119.4; 1026.5,119.2; 1027,119.2; 1027.5,119; 1028,119;
              1028.5,118.9; 1029,118.9; 1029.5,118.9; 1030,118.9; 1030.5,118.9; 1031,119.1;
              1031.5,119; 1032,119.1; 1032.5,119.1; 1033,119.1; 1033.5,119.1; 1034,118.9;
              1034.5,118.9; 1035,118.9; 1035.5,118.9; 1036,118.8; 1036.5,118.6; 1037,118.6;
              1037.5,118.4; 1038,118.4; 1038.5,118.4; 1039,118.4; 1039.5,118.4; 1040,118.4;
              1040.5,118.3; 1041,118.3; 1041.5,118.1; 1042,118; 1042.5,117.8; 1043,117.5;
              1043.5,117.3; 1044,117.3; 1044.5,117.3; 1045,117.3; 1045.5,117.3; 1046,117.3;
              1046.5,117.3; 1047,117.3; 1047.5,117.3; 1048,117.4; 1048.5,117.3; 1049,117.2;
              1049.5,117; 1050,116.9; 1050.5,116.9; 1051,116.7; 1051.5,116.7; 1052,116.6;
              1052.5,116.4; 1053,116.4; 1053.5,116.3; 1054,116.3; 1054.5,116.1; 1055,116;
              1055.5,116; 1056,115.8; 1056.5,115.8; 1057,115.8; 1057.5,115.6; 1058,115.6;
              1058.5,115.6; 1059,115.6; 1059.5,115.5; 1060,115.5; 1060.5,115.3; 1061,115.3;
              1061.5,115.3; 1062,115.2; 1062.5,115.2; 1063,115; 1063.5,115; 1064,114.9;
              1064.5,114.9; 1065,114.9; 1065.5,114.7; 1066,114.7; 1066.5,114.7; 1067,114.6;
              1067.5,114.6; 1068,114.5; 1068.5,114.4; 1069,114.3; 1069.5,114.1; 1070,114.1;
              1070.5,114.1; 1071,114.1; 1071.5,114.1; 1072,114.1; 1072.5,114.1; 1073,113.9;
              1073.5,113.9; 1074,113.8; 1074.5,113.8; 1075,113.8; 1075.5,113.6; 1076,113.6;
              1076.5,113.6; 1077,113.6; 1077.5,113.5; 1078,113.5; 1078.5,113.5; 1079,113.3;
              1079.5,113.3; 1080,113.2; 1080.5,113.2; 1081,113; 1081.5,113; 1082,112.9;
              1082.5,112.9; 1083,112.9; 1083.5,112.9; 1084,112.9; 1084.5,112.7; 1085,112.7;
              1085.5,112.5; 1086,112.5; 1086.5,112.5; 1087,112.4; 1087.5,112.4; 1088,112.2;
              1088.5,112.2; 1089,112.2; 1089.5,112.2; 1090,112.1; 1090.5,112.1; 1091,111.9;
              1091.5,111.9; 1092,111.9; 1092.5,111.8; 1093,111.8; 1093.5,111.8; 1094,111.6;
              1094.5,111.6; 1095,111.5; 1095.5,111.5; 1096,111.5; 1096.5,111.3; 1097,111.3;
              1097.5,111.3; 1098,111.3; 1098.5,111.3; 1099,111.3; 1099.5,111.2; 1100,111.2;
              1100.5,111.2; 1101,111; 1101.5,111; 1102,111; 1102.5,110.9; 1103,110.8;
              1103.5,110.9; 1104,110.9; 1104.5,110.9; 1105,110.7; 1105.5,110.7; 1106,110.7;
              1106.5,110.5; 1107,110.5; 1107.5,110.5; 1108,110.5; 1108.5,110.5; 1109,110.4;
              1109.5,110.4; 1110,110.2; 1110.5,110.2; 1111,110.2; 1111.5,110.1; 1112,110.1;
              1112.5,110.1; 1113,110.1; 1113.5,110.1; 1114,110.1; 1114.5,110.1; 1115,109.9;
              1115.5,109.9; 1116,109.7; 1116.5,109.8; 1117,109.6; 1117.5,109.4; 1118,109.4;
              1118.5,109.5; 1119,109.3; 1119.5,109.3; 1120,109.3; 1120.5,109.1; 1121,109.1;
              1121.5,109.1; 1122,109.1; 1122.5,109; 1123,109; 1123.5,109; 1124,109; 1124.5,
              108.8; 1125,108.8; 1125.5,108.8; 1126,108.7; 1126.5,108.7; 1127,108.7; 1127.5,
              108.5; 1128,108.5; 1128.5,108.5; 1129,108.5; 1129.5,108.4; 1130,108.4; 1130.5,
              108.4; 1131,108.2; 1131.5,108.2; 1132,108.2; 1132.5,108.2; 1133,108; 1133.5,
              108; 1134,107.9; 1134.5,107.9; 1135,107.9; 1135.5,107.9; 1136,107.7; 1136.5,
              107.7; 1137,107.6; 1137.5,107.6; 1138,107.4; 1138.5,107.4; 1139,107.3; 1139.5,
              107.3; 1140,107.1; 1140.5,107.1; 1141,107.1; 1141.5,107.1; 1142,107.1; 1142.5,
              107.1; 1143,107.1; 1143.5,107.1; 1144,107; 1144.5,107; 1145,106.8; 1145.5,
              106.8; 1146,106.8; 1146.5,106.7; 1147,106.7; 1147.5,106.6; 1148,106.5; 1148.5,
              106.5; 1149,106.5; 1149.5,106.5; 1150,106.5; 1150.5,106.3; 1151,106.3; 1151.5,
              106.3; 1152,106.3; 1152.5,106.2; 1153,106.2; 1153.5,106.2; 1154,106; 1154.5,
              106; 1155,106; 1155.5,106; 1156,105.9; 1156.5,105.9; 1157,105.9; 1157.5,
              105.7; 1158,105.7; 1158.5,105.7; 1159,105.7; 1159.5,105.5; 1160,105.6; 1160.5,
              105.6; 1161,105.4; 1161.5,105.4; 1162,105.3; 1162.5,105.2; 1163,105.2; 1163.5,
              105.2; 1164,105.1; 1164.5,105.1; 1165,105.1; 1165.5,105.1; 1166,105.1; 1166.5,
              105.1; 1167,104.9; 1167.5,104.9; 1168,104.9; 1168.5,104.9; 1169,104.8; 1169.5,
              104.8; 1170,104.8; 1170.5,104.6; 1171,104.6; 1171.5,104.6; 1172,104.5; 1172.5,
              104.5; 1173,104.5; 1173.5,104.3; 1174,104.3; 1174.5,104.2; 1175,104.2; 1175.5,
              104; 1176,104; 1176.5,103.8; 1177,103.9; 1177.5,103.8; 1178,103.9; 1178.5,
              103.9; 1179,103.8; 1179.5,103.7; 1180,103.7; 1180.5,103.5; 1182.1,103.5;
              1182.2,103.4; 1182.5,103.4; 1184.7,103.2; 1184.8,103.2; 1185.1,103.2; 1185.5,
              103.1; 1186,103.1; 1186.5,103.1; 1187,103.1; 1187.5,103.1; 1188,102.9; 1188.5,
              102.9; 1189,102.8; 1189.5,102.8; 1190.1,102.8; 1190.5,102.8; 1191,102.8;
              1191.5,102.6; 1192,102.6; 1192.5,102.6; 1193,102.5; 1193.5,102.5; 1194,102.3;
              1194.5,102.3; 1195,102.3; 1195.5,102.3; 1196,102.3; 1196.5,102.3; 1197,102.2;
              1197.5,102.2; 1198,102.2; 1198.5,102.2; 1199,102; 1199.5,102; 1200,102;
              1200.5,102; 1201,101.8; 1201.5,101.8; 1202,101.9; 1202.5,101.7; 1203,101.7;
              1203.5,101.7; 1204,101.5; 1204.5,101.5; 1205,101.5; 1205.5,101.4; 1206,101.4;
              1206.5,101.4; 1207,101.2; 1207.5,101.2; 1208,101.2; 1208.5,101.1; 1209,101;
              1209.5,101.1; 1210,101.1; 1210.5,101.1; 1211,101.1; 1211.5,101.1; 1212,100.9;
              1212.5,100.9; 1213,100.7; 1213.5,100.8; 1214,100.6; 1214.5,100.6; 1215,100.6;
              1215.5,100.4; 1216,100.6; 1216.5,100.4; 1217,100.4; 1217.5,100.4; 1218,100.4;
              1218.5,100.4; 1219,100.3; 1219.5,100.3; 1220,100.3; 1220.5,100.1; 1221,100.1;
              1221.5,100.1; 1222,100; 1222.5,100; 1223,100; 1223.5,100; 1224,99.8; 1224.5,
              99.8; 1225,99.7; 1225.5,99.7; 1226,99.7; 1226.5,99.7; 1227,99.5; 1227.5,
              99.5; 1228,99.5; 1228.5,99.3; 1229,99.3; 1229.5,99.3; 1230,99.3; 1230.5,
              99.2; 1231,99.2; 1231.5,99.2; 1232,99.2; 1232.5,99.2; 1233,99.1; 1233.5,
              99; 1234,99.1; 1234.5,99.1; 1235,98.9; 1235.5,98.9; 1236,98.7; 1236.5,98.7;
              1237,98.7; 1237.5,98.7; 1238,98.6; 1238.5,98.6; 1239,98.6; 1239.5,98.6;
              1240,98.4; 1240.5,98.4; 1241,98.3; 1241.5,98.3; 1242,98.3; 1242.5,98.1;
              1243,98.1; 1243.5,98.1; 1244,98.1; 1244.5,98; 1245,98; 1245.5,98; 1246,98;
              1246.5,98; 1247,98; 1247.5,98; 1248,98; 1248.5,97.8; 1249,97.8; 1249.5,97.7;
              1250,97.6; 1250.5,97.5; 1251,97.5; 1251.5,97.5; 1252,97.5; 1252.5,97.3;
              1253,97.3; 1253.5,97.3; 1254,97.2; 1254.5,97.2; 1255,97.2; 1255.5,97.2;
              1256,97.2; 1256.5,97; 1257,97; 1257.5,97; 1258,97; 1258.5,97; 1259,96.9;
              1259.5,96.9; 1260,96.9; 1260.5,96.9; 1261,96.9; 1261.5,96.9; 1262,96.7;
              1262.5,96.7; 1263,96.7; 1263.5,96.7; 1264,96.6; 1264.5,96.6; 1265,96.4;
              1265.5,96.4; 1266,96.2; 1266.5,96.2; 1267,96.2; 1267.5,96.1; 1268,96.1;
              1268.5,96.1; 1269,96.1; 1269.5,95.9; 1270,95.9; 1270.5,95.9; 1271,95.8;
              1271.5,95.8; 1272,95.8; 1272.5,95.8; 1273,95.8; 1273.5,95.8; 1274,95.8;
              1274.5,95.6; 1275,95.6; 1275.5,95.6; 1276,95.6; 1276.5,95.6; 1277,95.6;
              1277.5,95.5; 1278,95.5; 1278.5,95.5; 1279,95.3; 1279.5,95.3; 1280,95.3;
              1280.5,95.2; 1281,95.2; 1281.5,95.2; 1282,95.2; 1282.5,95; 1283,95; 1283.5,
              95; 1284,95; 1284.5,94.9; 1285,94.9; 1285.5,94.9; 1286,94.9; 1286.5,94.7;
              1287,94.7; 1287.5,94.7; 1288,94.7; 1288.5,94.7; 1289,94.7; 1289.5,94.6;
              1290,94.6; 1290.5,94.6; 1291,94.4; 1291.5,94.4; 1292,94.4; 1292.5,94.2;
              1293,94.3; 1293.5,94.2; 1294,94.3; 1294.5,94.1; 1295,94.2; 1295.5,94.1;
              1296,94.1; 1296.5,94.1; 1297,94; 1297.5,94; 1298,93.9; 1298.5,93.9; 1299,
              93.8; 1299.5,93.8; 1300,93.8; 1300.5,93.8; 1301,93.8; 1301.5,93.8; 1302,
              93.6; 1302.5,93.6; 1303,93.6; 1303.5,93.5; 1304,93.5; 1304.5,93.5; 1305,
              93.3; 1305.5,93.3; 1306,93.3; 1306.5,93.2; 1307,93.2; 1307.5,93.2; 1308,
              93.2; 1308.5,93.2; 1309,93; 1309.5,93; 1310,93; 1310.5,92.9; 1311,92.9;
              1311.5,92.9; 1312,92.7; 1312.5,92.7; 1313,92.7; 1313.5,92.7; 1314,92.7;
              1314.5,92.5; 1315,92.5; 1315.5,92.5; 1316,92.4; 1316.5,92.4; 1317,92.4;
              1317.5,92.4; 1318,92.4; 1318.5,92.4; 1319,92.4; 1319.5,92.4; 1320,92.2;
              1320.5,92.2; 1321,92.2; 1321.5,92.2; 1322,92.1; 1322.5,92.1; 1323,92.1;
              1323.5,91.9; 1324,91.9; 1324.5,91.9; 1325,91.9; 1325.5,91.8; 1326,91.8;
              1326.5,91.8; 1327,91.6; 1327.5,91.6; 1328,91.6; 1328.5,91.5; 1329,91.5;
              1329.5,91.6; 1330,91.6; 1330.5,91.5; 1331,91.5; 1331.5,91.5; 1332,91.5;
              1332.5,91.5; 1333,91.3; 1333.5,91.3; 1334,91.3; 1334.5,91.2; 1335,91.2;
              1335.5,91.2; 1336,91.2; 1336.5,91.2; 1337,91; 1337.5,91; 1338,91; 1338.5,
              91; 1339,90.8; 1339.5,90.9; 1340,90.9; 1340.5,90.9; 1341,90.9; 1341.5,90.7;
              1342,90.7; 1342.5,90.5; 1343,90.5; 1343.5,90.5; 1344,90.5; 1344.5,90.5;
              1345,90.5; 1345.5,90.4; 1346,90.4; 1346.5,90.4; 1347,90.4; 1347.5,90.4;
              1348,90.4; 1348.5,90.2; 1349,90.2; 1349.5,90.1; 1350,90.1; 1350.5,90.1;
              1351,89.9; 1351.5,89.9; 1352,89.9; 1352.5,89.9; 1353,89.9; 1353.5,89.9;
              1354,89.9; 1354.5,89.9; 1355,89.7; 1355.5,89.7; 1356,89.7; 1356.5,89.7;
              1357,89.8; 1357.5,89.6; 1358,89.6; 1358.5,89.6; 1359,89.4; 1359.5,89.4;
              1360,89.4; 1360.5,89.3; 1361,89.3; 1361.5,89.3; 1362,89.3; 1362.5,89.1;
              1363,89.1; 1363.5,89; 1364,89; 1364.5,89; 1365,89; 1365.5,89; 1366,89; 1366.5,
              89; 1367,89; 1367.5,88.8; 1368,88.8; 1368.5,88.8; 1369,88.8; 1369.5,88.7;
              1370,88.7; 1370.5,88.7; 1371,88.7; 1371.5,88.7; 1372,88.5; 1372.5,88.5;
              1373,88.5; 1373.5,88.5; 1374,88.5; 1374.5,88.5; 1375,88.4; 1375.5,88.4;
              1376,88.4; 1376.5,88.2; 1377,88.2; 1377.5,88.2; 1378,88.2; 1378.5,88.2;
              1379,88.2; 1379.5,88; 1380,88; 1380.5,88; 1381,87.9; 1381.5,87.9; 1382,87.9;
              1382.5,87.8; 1383,87.7; 1383.5,87.7; 1384,87.7; 1384.5,87.7; 1385,87.7;
              1385.5,87.6; 1386,87.6; 1386.5,87.6; 1387,87.6; 1387.5,87.6; 1388,87.6;
              1388.5,87.4; 1389,87.4; 1389.5,87.4; 1390,87.3; 1390.5,87.3; 1391,87.3;
              1391.5,87.3; 1392,87.1; 1392.5,87.1; 1393,87.1; 1393.5,87.1; 1394,87.1;
              1394.5,87; 1395,87; 1395.5,87; 1396,87; 1396.5,87; 1397,86.8; 1397.5,86.8;
              1398,86.8; 1398.5,86.8; 1399,86.8; 1399.5,86.8; 1400,86.7; 1400.5,86.7;
              1401,86.7; 1401.5,86.7; 1402,86.7; 1402.5,86.7; 1403,86.7; 1403.5,86.7;
              1404,86.5; 1404.5,86.5; 1405,86.5; 1405.5,86.3; 1406,86.3; 1406.5,86.3;
              1407,86.3; 1407.5,86.2; 1408,86.2; 1408.5,86.2; 1409,86.2; 1409.5,86.2;
              1410,86.2; 1410.5,86; 1411,86; 1411.5,86; 1412,86; 1412.5,86; 1413,85.9;
              1413.5,85.9; 1414,85.9; 1414.5,85.9; 1415,85.9; 1415.5,85.7; 1416,85.7;
              1416.5,85.7; 1417,85.7; 1417.5,85.6; 1418,85.6; 1418.5,85.6; 1419,85.4;
              1419.5,85.4; 1420,85.4; 1420.5,85.4; 1421,85.3; 1421.5,85.3; 1422,85.3;
              1422.5,85.3; 1423,85.3; 1423.5,85.1; 1424,85.1; 1424.5,85; 1425,85; 1425.5,
              85; 1426,85; 1426.5,84.8; 1427,84.8; 1427.5,84.8; 1428,84.8; 1428.5,84.8;
              1429,84.8; 1429.5,84.8; 1430,84.8; 1430.5,84.8; 1431,84.8; 1431.5,84.8;
              1432,84.6; 1432.5,84.6; 1433,84.6; 1433.5,84.5; 1434,84.5; 1434.5,84.5;
              1435,84.3; 1435.5,84.3; 1436,84.3; 1436.5,84.3; 1437,84.2; 1437.5,84.2;
              1438,84.2; 1438.5,84.2; 1439,84; 1439.5,84; 1440,84; 1440.5,84; 1441,84;
              1441.5,84; 1442,84; 1442.5,83.9; 1443,83.9; 1443.5,83.9; 1444,83.7; 1444.5,
              83.7; 1445,83.7; 1445.5,83.7; 1446,83.7; 1446.5,83.6; 1447,83.6; 1447.5,
              83.6; 1448,83.6; 1448.5,83.6; 1449,83.6; 1449.5,83.4; 1450,83.4; 1450.5,
              83.4; 1451,83.4; 1451.5,83.4; 1452,83.4; 1452.5,83.3; 1453,83.3; 1453.5,
              83.3; 1454,83.3; 1454.5,83.1; 1455,83.1; 1455.5,83.1; 1456,83.1; 1456.5,
              83.1; 1457,83.1; 1457.5,83.1; 1458,82.9; 1458.5,83; 1459,83; 1459.5,83;
              1460,82.8; 1460.5,82.8; 1461,82.8; 1461.5,82.6; 1462,82.6; 1462.5,82.6;
              1463,82.6; 1463.5,82.6; 1464,82.6; 1464.5,82.6; 1465,82.5; 1465.5,82.5;
              1466,82.5; 1466.5,82.5; 1467,82.5; 1467.5,82.3; 1468,82.3; 1468.5,82.3;
              1469,82.2; 1469.5,82.2; 1470,82.2; 1470.5,82.2; 1471,82.2; 1471.5,82.2;
              1472,82.2; 1472.5,82.2; 1473,82.2; 1473.5,82; 1474,82; 1474.5,82; 1475,82;
              1475.5,82; 1476,81.8; 1476.5,81.9; 1477,81.8; 1477.5,81.9; 1478,81.7; 1478.5,
              81.7; 1479,81.7; 1479.5,81.7; 1480,81.7; 1480.5,81.5; 1481,81.5; 1481.5,
              81.5; 1482,81.5; 1482.5,81.5; 1483,81.5; 1483.5,81.4; 1484,81.4; 1484.5,
              81.2; 1485,81.2; 1485.5,81.2; 1486,81.2; 1486.5,81.1; 1487,81.1; 1487.5,
              81.1; 1488,81.1; 1488.5,81.1; 1489,81.1; 1489.5,81.1; 1490,81.1; 1490.5,
              81.1; 1491,81.1; 1491.5,81.1; 1492,81.1; 1492.5,81.1; 1493,80.9; 1493.5,
              80.9; 1494,80.9; 1494.5,80.9; 1495,80.8; 1495.5,80.8; 1496,80.8; 1496.5,
              80.8; 1497,80.6; 1497.5,80.6; 1498,80.6; 1498.5,80.5; 1499,80.4; 1499.5,
              80.5; 1500,80.6; 1500.5,80.5; 1501,80.4; 1501.5,80.5; 1502,80.3; 1502.5,
              80.3; 1503,80.1; 1503.5,80.1; 1504,80.1; 1504.5,80.1; 1505,80; 1505.5,80;
              1506,80; 1506.5,80; 1507,80; 1507.5,80; 1508,79.8; 1508.5,79.8; 1509,79.8;
              1509.5,79.8; 1510,79.7; 1510.5,79.7; 1511,79.7; 1511.5,79.7; 1512,79.7;
              1512.5,79.5; 1513,79.5; 1513.5,79.5; 1514,79.5; 1514.5,79.5; 1515,79.5;
              1515.5,79.5; 1516,79.5; 1516.5,79.4; 1517,79.4; 1517.5,79.4; 1518,79.4;
              1518.5,79.2; 1519,79.2; 1519.5,79.2; 1520,79.2; 1520.5,79.2; 1521,79.2;
              1521.5,79.1; 1522,79.1; 1522.5,79.1; 1523,79.1; 1523.5,79.1; 1524,79.2;
              1524.5,79.1; 1525,79.1; 1525.5,79.1; 1526,78.9; 1526.5,78.9; 1527,78.9;
              1527.5,78.9; 1528,78.9; 1528.5,78.9; 1529,78.9; 1529.5,78.7; 1530,78.7;
              1530.5,78.7; 1531,78.7; 1531.5,78.7; 1532,78.7; 1532.5,78.6; 1533,78.6;
              1533.5,78.6; 1534,78.4; 1534.5,78.4; 1535,78.4; 1535.5,78.4; 1536,78.4;
              1536.5,78.3; 1537,78.3; 1537.5,78.3; 1538,78.3; 1538.5,78.3; 1539,78.1;
              1539.5,78.1; 1540,78.1; 1540.5,78.1; 1541,78.1; 1541.5,78; 1542,78; 1542.5,
              78; 1543,78; 1543.5,77.8; 1544,77.8; 1544.5,77.8; 1545,77.8; 1545.5,77.8;
              1546,77.8; 1546.5,77.8; 1547,77.7; 1547.5,77.7; 1548,77.7; 1548.5,77.7;
              1549,77.7; 1549.5,77.7; 1550,77.7; 1550.5,77.7; 1551,77.7; 1551.5,77.5;
              1552,77.5; 1552.5,77.5; 1553,77.5; 1553.5,77.4; 1554,77.4; 1554.5,77.4;
              1555,77.4; 1555.5,77.4; 1556,77.4; 1556.5,77.2; 1557,77.2; 1557.5,77.2;
              1558,77.2; 1558.5,77; 1559,77; 1559.5,77; 1560,77; 1560.5,76.9; 1561,76.9;
              1561.5,76.9; 1562,76.9; 1562.5,76.9; 1563,76.9; 1563.5,76.9; 1564,76.7;
              1564.5,76.7; 1565,76.7; 1565.5,76.6; 1566,76.6; 1566.5,76.6; 1567,76.6;
              1567.5,76.6; 1568,76.6; 1568.5,76.4; 1569,76.4; 1569.5,76.4; 1570,76.4;
              1570.5,76.4; 1571,76.3; 1571.5,76.3; 1572,76.3; 1572.5,76.3; 1573,76.1;
              1573.5,76.1; 1574,76.1; 1574.5,76.1; 1575,76.1; 1575.5,76.1; 1576,76.1;
              1576.5,76.1; 1577,76.1; 1577.5,76.1; 1578,76.1; 1578.5,76; 1579,76; 1579.5,
              75.8; 1580,75.8; 1580.5,75.8; 1581,75.8; 1581.5,75.8; 1582,75.8; 1582.5,
              75.7; 1583,75.7; 1583.5,75.7; 1584,75.7; 1584.5,75.7; 1585,75.7; 1585.5,
              75.7; 1586,75.5; 1586.5,75.5; 1587,75.5; 1587.5,75.5; 1588,75.5; 1588.5,
              75.5; 1589,75.3; 1589.5,75.3; 1590,75.3; 1590.5,75.2; 1591,75.2; 1591.5,
              75.2; 1592,75.2; 1592.5,75.2; 1593,75.2; 1593.5,75; 1594,75; 1594.5,75;
              1595,75; 1595.5,75; 1596,75; 1596.5,75; 1597,75; 1597.5,74.9; 1598,74.9;
              1598.5,74.9; 1599,74.9; 1599.5,74.9; 1600,74.9; 1600.5,74.9; 1601,74.7;
              1601.5,74.7; 1602,74.7; 1602.5,74.7; 1603,74.6; 1603.5,74.6; 1604,74.6;
              1604.5,74.6; 1605,74.6; 1605.5,74.4; 1606,74.4; 1606.5,74.4; 1607,74.4;
              1607.5,74.4; 1608,74.4; 1608.5,74.4; 1609,74.4; 1609.5,74.4; 1610,74.4;
              1610.5,74.3; 1611,74.3; 1611.5,74.3; 1612,74.3; 1612.5,74.1; 1613,74.1;
              1613.5,74.1; 1614,74.1; 1614.5,74; 1615,74; 1615.5,73.9; 1616,73.9; 1616.5,
              74; 1617,74; 1617.5,73.8; 1618,73.8; 1618.5,73.8; 1619,73.8; 1619.5,73.8;
              1620,73.8; 1620.5,73.8; 1621,73.8; 1621.5,73.6; 1622,73.7; 1622.5,73.6;
              1623,73.6; 1623.5,73.6; 1624,73.6; 1624.5,73.5; 1625,73.5; 1625.5,73.5;
              1626,73.3; 1626.5,73.3; 1627,73.3; 1627.5,73.3; 1628,73.3; 1628.5,73.3;
              1629,73.3; 1629.5,73.3; 1630,73.3; 1630.5,73.2; 1631,73.2; 1631.5,73.2;
              1632,73.2; 1632.5,73; 1633,73; 1633.5,73; 1634,73; 1634.5,73; 1635,73; 1635.5,
              73; 1636,72.9; 1636.5,72.9; 1637,72.9; 1637.5,72.9; 1638,72.9; 1638.5,72.9;
              1639,72.9; 1639.5,72.9; 1640,72.7; 1640.5,72.7; 1641,72.7; 1641.5,72.7;
              1642,72.7; 1642.5,72.6; 1643,72.6; 1643.5,72.6; 1644,72.6; 1644.5,72.6;
              1645,72.4; 1645.5,72.4; 1646,72.4; 1646.5,72.4; 1647,72.4; 1647.5,72.4;
              1648,72.4; 1648.5,72.3; 1649,72.2; 1649.5,72.3; 1650,72.2; 1650.5,72.3;
              1651,72.3; 1651.5,72.3; 1652,72.1; 1652.5,72.1; 1653,72.1; 1653.5,72.1;
              1654,71.9; 1654.5,71.9; 1655,71.9; 1655.5,72; 1656,71.9; 1656.5,71.9; 1657,
              71.9; 1657.5,72; 1658,71.9; 1658.5,72; 1659,72; 1659.5,71.8; 1660,71.8;
              1660.5,71.8; 1661,71.8; 1661.5,71.8; 1662,71.8; 1662.5,71.6; 1663,71.6;
              1663.5,71.6; 1664,71.6; 1664.5,71.5; 1665,71.5; 1665.5,71.5; 1666,71.5;
              1666.5,71.5; 1667,71.5; 1667.5,71.5; 1668,71.3; 1668.5,71.3; 1669,71.3;
              1669.5,71.3; 1670,71.3; 1670.5,71.3; 1671,71.3; 1671.5,71.3; 1672,71.3;
              1672.5,71.3; 1673,71.2; 1673.5,71.2; 1674,71.2; 1674.5,71.2; 1675,71; 1675.5,
              71; 1676,71; 1676.5,71; 1677,70.9; 1677.5,70.9; 1678,70.9; 1678.5,70.9;
              1679,70.9; 1679.5,70.9; 1680,70.7; 1680.5,70.7; 1681,70.7; 1681.5,70.7;
              1682,70.7; 1682.5,70.7; 1683,70.7; 1683.5,70.7; 1684,70.7; 1684.5,70.6;
              1685,70.6; 1685.5,70.6; 1686,70.6; 1686.5,70.5; 1687,70.6; 1687.5,70.6;
              1688,70.4; 1688.5,70.4; 1689,70.4; 1689.5,70.4; 1690,70.4; 1690.5,70.4;
              1691,70.4; 1691.5,70.4; 1692,70.4; 1692.5,70.2; 1693,70.2; 1693.5,70.2;
              1694,70.1; 1694.5,70.1; 1695,70.1; 1695.5,70.1; 1696,70.1; 1696.5,70.1;
              1697,70.1; 1697.5,69.9; 1698,69.9; 1698.5,69.9; 1699,69.9; 1699.5,69.9;
              1700,69.9; 1700.5,69.9; 1701,69.9; 1701.5,69.9; 1702,69.8; 1702.5,69.8;
              1703,69.8; 1703.5,69.8; 1704,69.8; 1704.5,69.8; 1705,69.6; 1705.5,69.6;
              1706,69.6; 1706.5,69.6; 1707,69.6; 1707.5,69.4; 1708,69.5; 1708.5,69.5;
              1709,69.5; 1709.5,69.5; 1710,69.5; 1710.5,69.5; 1711,69.5; 1711.5,69.4;
              1712,69.5; 1712.5,69.3; 1713,69.3; 1713.5,69.3; 1714,69.1; 1714.5,69.1;
              1715,69.1; 1715.5,69.1; 1716,69.1; 1716.5,69.1; 1717,69; 1717.5,69; 1718,
              69; 1718.5,69; 1719,69; 1719.5,69; 1720,69; 1720.5,69; 1721,68.8; 1721.5,
              68.8; 1722,68.8; 1722.5,68.8; 1723,68.8; 1723.5,68.8; 1724,68.8; 1724.5,
              68.8; 1725,68.7; 1725.5,68.7; 1726,68.7; 1726.5,68.7; 1727,68.7; 1727.5,
              68.7; 1728,68.7; 1728.5,68.5; 1729,68.5; 1729.5,68.5; 1730,68.5; 1730.5,
              68.5; 1731,68.5; 1731.5,68.5; 1732,68.5; 1732.5,68.4; 1733,68.4; 1733.5,
              68.4; 1734,68.4; 1734.5,68.4; 1735,68.4; 1735.5,68.2; 1736,68.2; 1736.5,
              68.2; 1737,68.2; 1737.5,68.2; 1738,68.2; 1738.5,68.2; 1739,68.1; 1739.5,
              68.1; 1740,68.1; 1740.5,68.1; 1741,68.1; 1741.5,67.9; 1742,67.9; 1742.5,
              67.9; 1743,67.9; 1743.5,67.9; 1744,67.9; 1744.5,67.9; 1745,67.9; 1745.5,
              67.7; 1746,67.8; 1746.5,67.7; 1747,67.7; 1747.5,67.8; 1748,67.7; 1748.5,
              67.7; 1749,67.6; 1749.5,67.6; 1750,67.6; 1750.5,67.6; 1751,67.6; 1751.5,
              67.4; 1752,67.4; 1752.5,67.4; 1753,67.4; 1753.5,67.4; 1754,67.3; 1754.5,
              67.3; 1755,67.4; 1755.5,67.3; 1756,67.3; 1756.5,67.3; 1757,67.3; 1757.5,
              67.3; 1758,67.3; 1758.5,67.3; 1759,67.3; 1759.5,67.3; 1760,67.3; 1760.5,
              67.1; 1761,67.1; 1761.5,67.1; 1762,67.1; 1762.5,67; 1763,67; 1763.5,67;
              1764,67; 1764.5,67; 1765,67; 1765.5,67; 1766,67; 1766.5,66.8; 1767,66.8;
              1767.5,66.8; 1768,66.8; 1768.5,66.8; 1769,66.8; 1769.5,66.8; 1770,66.7;
              1770.5,66.7; 1771,66.7; 1771.5,66.7; 1772,66.7; 1772.5,66.7; 1773,66.7;
              1773.5,66.5; 1774,66.5; 1774.5,66.5; 1775,66.5; 1775.5,66.5; 1776,66.5;
              1776.5,66.4; 1777,66.4; 1777.5,66.4; 1778,66.4; 1778.5,66.4; 1779,66.2;
              1779.5,66.2; 1780,66.2; 1780.5,66.2; 1781,66.2; 1781.5,66.2; 1782,66.2;
              1782.5,66.1; 1783,66.1; 1783.5,66.1; 1784,66.1; 1784.5,66.1; 1785,66.1;
              1785.5,66.1; 1786,66.1; 1786.5,66.1; 1787,66.1; 1787.5,65.9; 1788,65.9;
              1788.5,65.9; 1789,65.9; 1789.5,65.9; 1790,65.9; 1790.5,65.7; 1791,65.8;
              1791.5,65.7; 1792,65.8; 1792.5,65.7; 1793,65.7; 1793.5,65.6; 1794,65.6;
              1794.5,65.6; 1795,65.6; 1795.5,65.6; 1796,65.6; 1796.5,65.6; 1797,65.6;
              1797.5,65.6; 1798,65.6; 1798.5,65.6; 1799,65.6; 1799.5,65.6; 1800,65.6;
              1800.5,65.4; 1801,65.4; 1801.5,65.4; 1802,65.4; 1802.5,65.4; 1803,65.4;
              1803.5,65.3; 1804,65.3; 1804.5,65.3; 1805,65.3; 1805.5,65.3; 1806,65.3;
              1806.5,65.3; 1807,65.1; 1807.5,65.1; 1808,65.1; 1808.5,65.1; 1809,65.1;
              1809.5,65; 1810,65; 1810.5,65; 1811,65; 1811.5,65; 1812,64.8; 1812.5,64.8;
              1813,64.8; 1813.5,64.8; 1814,64.8; 1814.5,64.8; 1815,64.8; 1815.5,64.8;
              1816,64.8; 1816.5,64.8; 1817,64.7; 1817.5,64.7; 1818,64.7; 1818.5,64.7;
              1819,64.7; 1819.5,64.7; 1820,64.7; 1820.5,64.5; 1821,64.5; 1821.5,64.5;
              1822,64.5; 1822.5,64.5; 1823,64.5; 1823.5,64.3; 1824,64.3; 1824.5,64.4;
              1825,64.4; 1825.5,64.4; 1826,64.4; 1826.5,64.4; 1827,64.4; 1827.5,64.4;
              1828,64.4; 1828.5,64.4; 1829,64.2; 1829.5,64.2; 1830,64.2; 1830.5,64.2;
              1831,64.2; 1831.5,64; 1832,64; 1832.5,64; 1833,64; 1833.5,64.2; 1834,64;
              1834.5,64; 1835,64; 1835.5,64; 1836,64; 1836.5,63.9; 1837,63.9; 1837.5,63.9;
              1838,63.9; 1838.5,63.9; 1839,63.9; 1839.5,63.9; 1840,63.9; 1840.5,63.9;
              1841,63.9; 1841.5,63.7; 1842,63.7; 1842.5,63.7; 1843,63.7; 1843.5,63.7;
              1844,63.7; 1844.5,63.6; 1845,63.6; 1845.5,63.6; 1846,63.6; 1846.5,63.6;
              1847,63.6; 1847.5,63.4; 1848,63.4; 1848.5,63.4; 1849,63.4; 1849.5,63.4;
              1850,63.4; 1850.5,63.4; 1851,63.4; 1851.5,63.4; 1852,63.3; 1852.5,63.3;
              1853,63.3; 1853.5,63.3; 1854,63.3; 1854.5,63.3; 1855,63.3; 1855.5,63.3;
              1856,63.3; 1856.5,63.1; 1857,63.1; 1857.5,63.1; 1858,63.1; 1858.5,63.1;
              1859,63.1; 1859.5,63.1; 1860,63.1; 1860.5,63.1; 1861,63.1; 1861.5,63; 1862,
              63; 1862.5,63; 1863,63; 1863.5,63; 1864,63; 1864.5,63; 1865,63; 1865.5,63;
              1866,62.8; 1866.5,62.8; 1867,62.8; 1867.5,62.8; 1868,62.6; 1868.5,62.6;
              1869,62.6; 1869.5,62.6; 1870,62.6; 1870.5,62.6; 1871,62.5; 1871.5,62.5;
              1872,62.5; 1872.5,62.5; 1873,62.5; 1873.5,62.5; 1874,62.5; 1874.5,62.5;
              1875,62.3; 1875.5,62.3; 1876,62.3; 1876.5,62.3; 1877,62.3; 1877.5,62.3;
              1878,62.3; 1878.5,62.2; 1879,62.2; 1879.5,62.2; 1880,62.2; 1880.5,62.2;
              1881,62.2; 1881.5,62.2; 1882,62; 1882.5,62; 1883,62; 1883.5,62; 1884,62;
              1884.5,62; 1885,62; 1885.5,62; 1886,62; 1886.5,62; 1887,62; 1887.5,61.9;
              1888,61.9; 1888.5,61.9; 1889,61.9; 1889.5,61.9; 1890,61.9; 1890.5,61.9;
              1891,61.9; 1891.5,61.7; 1892,61.7; 1892.5,61.7; 1893,61.7; 1893.5,61.7;
              1894,61.7; 1894.5,61.5; 1895,61.5; 1895.5,61.5; 1896,61.5; 1896.5,61.5;
              1897,61.5; 1897.5,61.5; 1898,61.5; 1898.5,61.4; 1899,61.4; 1899.5,61.4;
              1900,61.4; 1900.5,61.4; 1901,61.4; 1901.5,61.4; 1902,61.4; 1902.5,61.4;
              1903,61.4; 1903.5,61.2; 1904,61.2; 1904.5,61.2; 1905,61.2; 1905.5,61.2;
              1906,61.2; 1906.5,61.1; 1907,61.1; 1907.5,61.1; 1908,61.1; 1908.5,61.1;
              1909,61.1; 1909.5,61.1; 1910,61.1; 1910.5,61.1; 1911,61.1; 1911.5,61.1;
              1912,61.1; 1912.5,60.9; 1913,60.9; 1913.5,60.9; 1914,60.9; 1914.5,60.9;
              1915,60.8; 1915.5,60.8; 1916,60.8; 1916.5,60.8; 1917,60.8; 1917.5,60.8;
              1918,60.8; 1918.5,60.8; 1919,60.6; 1919.5,60.6; 1920,60.6; 1920.5,60.6;
              1921,60.6; 1921.5,60.6; 1922,60.6; 1922.5,60.6; 1923,60.6; 1923.5,60.6;
              1924,60.6; 1924.5,60.5; 1925,60.5; 1925.5,60.5; 1926,60.5; 1926.5,60.5;
              1927,60.5; 1927.5,60.5; 1928,60.5; 1928.5,60.3; 1929,60.3; 1929.5,60.3;
              1930,60.3; 1930.5,60.2; 1931,60.2; 1931.5,60.2; 1932,60.2; 1932.5,60.2;
              1933,60.2; 1933.5,60.2; 1934,60.2; 1934.5,60.2; 1935,60.2; 1935.5,60.2;
              1936,60.2; 1936.5,60.2; 1937,60.2; 1937.5,60.2; 1938,60.2; 1938.5,60.2;
              1939,60; 1939.5,60; 1940,60; 1940.5,60; 1941,60; 1941.5,60; 1942,60; 1942.5,
              59.8; 1943,59.8; 1943.5,59.8; 1944,59.8; 1944.5,59.8; 1945,59.7; 1945.5,
              59.7; 1946,59.7; 1946.5,59.7; 1947,59.7; 1947.5,59.7; 1948,59.7; 1948.5,
              59.7; 1949,59.7; 1949.5,59.7; 1950,59.5; 1950.5,59.5; 1951,59.5; 1951.5,
              59.5; 1952,59.5; 1952.5,59.5; 1953,59.4; 1953.5,59.4; 1954,59.4; 1954.5,
              59.4; 1955,59.4; 1955.5,59.4; 1956,59.4; 1956.5,59.4; 1957,59.4; 1957.5,
              59.4; 1958,59.4; 1958.5,59.4; 1959,59.2; 1959.5,59.2; 1960,59.2; 1960.5,
              59.2; 1961,59.2; 1961.5,59.2; 1962,59.2; 1962.5,59.2; 1963,59.2; 1963.5,
              59.1; 1964,59.1; 1964.5,59.1; 1965,59.1; 1965.5,59.1; 1966,59.1; 1966.5,
              59.1; 1967,59.1; 1967.5,59.1; 1968,58.9; 1968.5,58.9; 1969,58.9; 1969.5,
              58.9; 1970,58.9; 1970.5,58.9; 1971,58.9; 1971.5,58.9; 1972,58.9; 1972.5,
              58.8; 1973,58.8; 1973.5,58.8; 1974,58.8; 1974.5,58.8; 1975,58.8; 1975.5,
              58.8; 1976,58.8; 1976.5,58.6; 1977,58.6; 1977.5,58.6; 1978,58.6; 1978.5,
              58.6; 1979,58.6; 1979.5,58.6; 1980,58.6; 1980.5,58.6; 1981,58.5; 1981.5,
              58.5; 1982,58.5; 1982.5,58.5; 1983,58.5; 1983.5,58.5; 1984,58.5; 1984.5,
              58.5; 1985,58.3; 1985.5,58.3; 1986,58.3; 1986.5,58.3; 1987,58.3; 1987.5,
              58.3; 1988,58.3; 1988.5,58.3; 1989,58.3; 1989.5,58.3; 1990,58.3; 1990.5,
              58.2; 1991,58.1; 1991.5,58.1; 1992,58.2; 1992.5,58.2; 1993,58.2; 1993.5,
              58.2; 1994,58; 1994.5,58; 1995,58; 1995.5,58; 1996,58; 1996.5,58; 1997,58;
              1997.5,58; 1998,57.8; 1998.5,57.8; 1999,57.8; 1999.5,57.8; 2000,57.8; 2000.5,
              57.8; 2001,57.8; 2001.5,57.8; 2002,57.8; 2002.5,57.8; 2003,57.7; 2003.5,
              57.7; 2004,57.7; 2004.5,57.7; 2005,57.7; 2005.5,57.7; 2006,57.7; 2006.5,
              57.7; 2007,57.5; 2007.5,57.5; 2008,57.5; 2008.5,57.5; 2009,57.5; 2009.5,
              57.5; 2010,57.5; 2010.5,57.5; 2011,57.5; 2011.5,57.5; 2012,57.5; 2012.5,
              57.5; 2013,57.5; 2013.5,57.4; 2014,57.4; 2014.5,57.4; 2015,57.4; 2015.5,
              57.4; 2016,57.4; 2016.5,57.4; 2017,57.4; 2017.5,57.2; 2018,57.2; 2018.5,
              57.2; 2019,57.2; 2019.5,57.2; 2020,57.2; 2020.5,57.2; 2021,57.2; 2021.5,
              57.2; 2022,57.2; 2022.5,57.1; 2023,57.1; 2023.5,57.1; 2024,57.1; 2024.5,
              57.1; 2025,57.1; 2025.5,57.1; 2026,56.9; 2026.5,56.9; 2027,56.9; 2027.5,
              56.9; 2028,56.9; 2028.5,56.9; 2029,56.9; 2029.5,56.9; 2030,56.7; 2030.5,
              56.7; 2031,56.7; 2031.5,56.7; 2032,56.7; 2032.5,56.7; 2033,56.7; 2033.5,
              56.7; 2034,56.7; 2034.5,56.7; 2035,56.7; 2035.5,56.7; 2036,56.7; 2036.5,
              56.7; 2037,56.6; 2037.5,56.6; 2038,56.6; 2038.5,56.6; 2039,56.6; 2039.5,
              56.6; 2040,56.4; 2040.5,56.4; 2041,56.4; 2041.5,56.4; 2042,56.4; 2042.5,
              56.4; 2043,56.4; 2043.5,56.4; 2044,56.3; 2044.5,56.3; 2045,56.3; 2045.5,
              56.3; 2046,56.3; 2046.5,56.3; 2047,56.3; 2047.5,56.3; 2048,56.3; 2048.5,
              56.3; 2049,56.3; 2049.5,56.3; 2050,56.1; 2050.5,56.1; 2051,56.1; 2051.5,
              56.1; 2052,56.1; 2052.5,56.1; 2053,56.1; 2053.5,56.1; 2054,56.1; 2054.5,
              56.1; 2055,56; 2055.5,56; 2056,56; 2056.5,56; 2057,56; 2057.5,56; 2058,56;
              2058.5,56; 2059,56; 2059.5,56; 2060,56; 2060.5,56; 2061,55.8; 2061.5,55.8;
              2062,55.8; 2062.5,55.8; 2063,55.8; 2063.5,55.8; 2064,55.8; 2064.5,55.8;
              2065,55.8; 2065.5,55.8; 2066,55.8; 2066.5,55.8; 2067,55.7; 2067.5,55.7;
              2068,55.7; 2068.5,55.7; 2069,55.7; 2069.5,55.5; 2070,55.5; 2070.5,55.5;
              2071,55.5; 2071.5,55.5; 2072,55.5; 2072.5,55.5; 2073,55.5; 2073.5,55.5;
              2074,55.5; 2074.5,55.3; 2075,55.3; 2075.5,55.3; 2076,55.4; 2076.5,55.3;
              2077,55.3; 2077.5,55.3; 2078,55.3; 2078.5,55.3; 2079,55.3; 2079.5,55.3;
              2080,55.2; 2080.5,55.2; 2081,55.2; 2081.5,55.2; 2082,55.2; 2082.5,55.2;
              2083,55.2; 2083.5,55.2; 2084,55.2; 2084.5,55.2; 2085,55.2; 2085.5,55.2;
              2086,55; 2086.5,55; 2087,55; 2087.5,55; 2088,55; 2088.5,55; 2089,55; 2089.5,
              55; 2090,55; 2090.5,55; 2091,55; 2091.5,55; 2092,55; 2092.5,55; 2093,55;
              2093.5,54.9; 2094,54.9; 2094.5,54.9; 2095,54.9; 2095.5,54.9; 2096,54.9;
              2096.5,54.9; 2097,54.7; 2097.5,54.7; 2098,54.7; 2098.5,54.7; 2099,54.7;
              2099.5,54.7; 2100,54.7; 2100.5,54.7; 2101,54.7; 2101.5,54.6; 2102,54.6;
              2102.5,54.6; 2103,54.6; 2103.5,54.6; 2104,54.6; 2104.5,54.6; 2105,54.6;
              2105.5,54.6; 2106,54.6; 2106.5,54.6; 2107,54.4; 2107.5,54.4; 2108,54.4;
              2108.5,54.4; 2109,54.4; 2109.5,54.4; 2110,54.4; 2110.5,54.3; 2111,54.3;
              2111.5,54.3; 2112,54.3; 2112.5,54.3; 2113,54.3; 2113.5,54.1; 2114,54.1;
              2114.5,54.1; 2115,54.1; 2115.5,54.1; 2116,54.1; 2116.5,54.1; 2117,54.1;
              2117.5,54.1; 2118,54.1; 2118.5,54.1; 2119,54.1; 2119.5,54.1; 2120,54.1;
              2120.5,53.9; 2121,53.9; 2121.5,53.9; 2122,53.9; 2122.5,53.9; 2123,53.9;
              2123.5,53.9; 2124,53.9; 2124.5,53.9; 2125,53.9; 2125.5,53.8; 2126,53.8;
              2126.5,53.8; 2127,53.8; 2127.5,53.8; 2128,53.8; 2128.5,53.8; 2129,53.8;
              2129.5,53.6; 2130,53.6; 2130.5,53.6; 2131,53.6; 2131.5,53.6; 2132,53.6;
              2132.5,53.6; 2133,53.6; 2133.5,53.6; 2134,53.6; 2134.5,53.6; 2135,53.6;
              2135.5,53.6; 2136,53.6; 2136.5,53.6; 2137,53.5; 2137.5,53.5; 2138,53.5;
              2138.5,53.5; 2139,53.5; 2139.5,53.5; 2140,53.5; 2140.5,53.5; 2141,53.3;
              2141.5,53.3; 2142,53.3; 2142.5,53.3; 2143,53.3; 2143.5,53.3; 2144,53.3;
              2144.5,53.3; 2145,53.3; 2145.5,53.3; 2146,53.3; 2146.5,53.3; 2147,53.1;
              2147.5,53.1; 2148,53.1; 2148.5,53.1; 2149,53.2; 2149.5,53.2; 2150,53.2;
              2150.5,53.2; 2151,53.1; 2151.5,53; 2152,53; 2152.5,53; 2153,53; 2153.5,53;
              2154,53; 2154.5,53; 2155,53; 2155.5,53; 2156,52.8; 2156.5,52.8; 2157,52.8;
              2157.5,52.8; 2158,52.8; 2158.5,52.8; 2159,52.8; 2159.5,52.8; 2160,52.8;
              2160.5,52.8; 2161,52.8; 2161.5,52.8; 2162,52.8; 2162.5,52.8; 2163,52.8;
              2163.5,52.8; 2164,52.8; 2164.5,52.7; 2165,52.7; 2165.5,52.7; 2166,52.7;
              2166.5,52.7; 2167,52.7; 2167.5,52.7; 2168,52.7; 2168.5,52.7; 2169,52.5;
              2169.5,52.5; 2170,52.5; 2170.5,52.5; 2171,52.5; 2171.5,52.5; 2172,52.5;
              2172.5,52.5; 2173,52.5; 2173.5,52.5; 2174,52.5; 2174.5,52.5; 2175,52.5;
              2175.5,52.4; 2176,52.4; 2176.5,52.4; 2177,52.4; 2177.5,52.4; 2178,52.4;
              2178.5,52.4; 2179,52.4; 2179.5,52.4; 2180,52.4; 2180.5,52.4; 2181,52.4;
              2181.5,52.4; 2182,52.4; 2182.5,52.4; 2183,52.2; 2183.5,52.2; 2184,52.2;
              2184.5,52.2; 2185,52.2; 2185.5,52.1; 2186,52.1; 2186.5,52.1; 2187,52.1;
              2187.5,52.1; 2188,52.1; 2188.5,52.1; 2189,52.1; 2189.5,52.1; 2190,52.1;
              2190.5,51.9; 2191,51.9; 2191.5,51.9; 2192,51.9; 2192.5,51.9; 2193,51.9;
              2193.5,51.9; 2194,51.9; 2194.5,51.9; 2195,51.9; 2195.5,51.9; 2196,51.9;
              2196.5,51.9; 2197,51.8; 2197.5,51.8; 2198,51.8; 2198.5,51.8; 2199,51.8;
              2199.5,51.8; 2200,51.6; 2200.5,51.6; 2201,51.6; 2201.5,51.6; 2202,51.6;
              2202.5,51.6; 2203,51.6; 2203.5,51.6; 2204,51.6; 2204.5,51.6; 2205,51.6;
              2205.5,51.6; 2206,51.6; 2206.5,51.6; 2207,51.6; 2207.5,51.6; 2208,51.6;
              2208.5,51.6; 2209,51.4; 2209.5,51.4; 2210,51.4; 2210.5,51.4; 2211,51.4;
              2211.5,51.3; 2212,51.3; 2212.5,51.3; 2213,51.3; 2213.5,51.3; 2214,51.3;
              2214.5,51.3; 2215,51.3; 2215.5,51.3; 2216,51.3; 2216.5,51.3; 2217,51.1;
              2217.5,51.1; 2218,51.1; 2218.5,51.1; 2219,51.1; 2219.5,51.1; 2220,51.1;
              2220.5,51.1; 2221,51.1; 2221.5,51.1; 2222,51.1; 2222.5,51.1; 2223,51.1;
              2223.5,51.1; 2224,51.1; 2224.5,51.1; 2225,51; 2225.5,51; 2226,51; 2226.5,
              51; 2227,51; 2227.5,51; 2228,51; 2228.5,51; 2229,50.8; 2229.5,50.8; 2230,
              50.8; 2230.5,50.8; 2231,50.8; 2231.5,50.8; 2232,50.8; 2232.5,50.8; 2233,
              50.8; 2233.5,50.8; 2234,50.8; 2234.5,50.8; 2235,50.7; 2235.5,50.7; 2236,
              50.7; 2236.5,50.7; 2237,50.7; 2237.5,50.7; 2238,50.7; 2238.5,50.7; 2239,
              50.7; 2239.5,50.7; 2240,50.7; 2240.5,50.5; 2241,50.5; 2241.5,50.5; 2242,
              50.5; 2242.5,50.5; 2243,50.5; 2243.5,50.5; 2244,50.5; 2244.5,50.5; 2245,
              50.5; 2245.5,50.5; 2246,50.4; 2246.5,50.4; 2247,50.4; 2247.5,50.4; 2248,
              50.4; 2248.5,50.4; 2249,50.4; 2249.5,50.4; 2250,50.4; 2250.5,50.4; 2251,
              50.4; 2251.5,50.2; 2252,50.2; 2252.5,50.2; 2253,50.2; 2253.5,50.2; 2254,
              50.2; 2254.5,50.2; 2255,50.2; 2255.5,50.2; 2256,50.2; 2256.5,50.2; 2257,
              50.2; 2257.5,50.2; 2258,50.2; 2258.5,50.2; 2259,50; 2259.5,50; 2260,50.1;
              2260.5,50.1; 2261,50.1; 2261.5,50; 2262,50; 2262.5,50; 2263,50; 2263.5,50;
              2264,50; 2264.5,50; 2265,50; 2265.5,50; 2266,50; 2266.5,49.9; 2267,49.9;
              2267.5,49.9; 2268,49.9; 2268.5,49.9; 2269,49.9; 2269.5,49.9; 2270,49.9;
              2270.5,49.7; 2271,49.7; 2271.5,49.7; 2272,49.7; 2272.5,49.7; 2273,49.7;
              2273.5,49.7; 2274,49.7; 2274.5,49.7; 2275,49.7; 2275.5,49.7; 2276,49.6;
              2276.5,49.6; 2277,49.6; 2277.5,49.6; 2278,49.6; 2278.5,49.6; 2279,49.6;
              2279.5,49.6; 2280,49.6; 2280.5,49.6; 2281,49.6; 2281.5,49.6; 2282,49.6;
              2282.5,49.6; 2283,49.6; 2283.5,49.6; 2284,49.4; 2284.5,49.4; 2285,49.4;
              2285.5,49.4; 2286,49.4; 2286.5,49.5; 2287,49.5; 2287.5,49.4; 2288,49.4;
              2288.5,49.4; 2289,49.4; 2289.5,49.5; 2290,49.3; 2290.5,49.3; 2291,49.3;
              2291.5,49.3; 2292,49.3; 2292.5,49.3; 2293,49.1; 2293.5,49.1; 2294,49.1;
              2294.5,49.1; 2295,49.1; 2295.5,49.1; 2296,49.1; 2296.5,49.1; 2297,49.1;
              2297.5,49.1; 2298,49.1; 2298.5,49.1; 2299,49.2; 2299.5,49.1; 2300,49.1;
              2300.5,49.2; 2301,49.1; 2301.5,49.2; 2302,49.1; 2302.5,49; 2303,49; 2303.5,
              49; 2304,49; 2304.5,49; 2305,49; 2305.5,49; 2306,49; 2306.5,49; 2307,49;
              2307.5,49; 2308,49; 2308.5,48.8; 2309,48.8; 2309.5,48.8; 2310,48.8; 2310.5,
              48.8; 2311,48.8; 2311.5,48.8; 2312,48.8; 2312.5,48.8; 2313,48.8; 2313.5,
              48.7; 2314,48.7; 2314.5,48.7; 2315,48.7; 2315.5,48.7; 2316,48.7; 2316.5,
              48.7; 2317,48.7; 2317.5,48.7; 2318,48.7; 2318.5,48.7; 2319,48.7; 2319.5,
              48.7; 2320,48.7; 2320.5,48.7; 2321,48.5; 2321.5,48.5; 2322,48.5; 2322.5,
              48.5; 2323,48.5; 2323.5,48.5; 2324,48.5; 2324.5,48.5; 2325,48.5; 2325.5,
              48.5; 2326,48.4; 2326.5,48.4; 2327,48.4; 2327.5,48.4; 2328,48.4; 2328.5,
              48.4; 2329,48.4; 2329.5,48.4; 2330,48.4; 2330.5,48.4; 2331,48.4; 2331.5,
              48.4; 2332,48.4; 2332.5,48.4; 2333,48.2; 2333.5,48.2; 2334,48.2; 2334.5,
              48.2; 2335,48.2; 2335.5,48.2; 2336,48.2; 2336.5,48.2; 2337,48.2; 2337.5,
              48.2; 2338,48.2; 2338.5,48.2; 2339,48.2; 2339.5,48.1; 2340,48.1; 2340.5,
              48.1; 2341,48.1; 2341.5,48.1; 2342,48.1; 2342.5,48.1; 2343,48.1; 2343.5,
              48.1; 2344,48.1; 2344.5,47.9; 2345,47.9; 2345.5,47.9; 2346,47.9; 2346.5,
              47.9; 2347,47.9; 2347.5,47.9; 2348,47.9; 2348.5,47.9; 2349,47.9; 2349.5,
              47.9; 2350,47.9; 2350.5,47.9; 2351,47.9; 2351.5,47.8; 2352,47.8; 2352.5,
              47.8; 2353,47.8; 2353.5,47.8; 2354,47.8; 2354.5,47.8; 2355,47.8; 2355.5,
              47.8; 2356,47.8; 2356.5,47.6; 2357,47.6; 2357.5,47.6; 2358,47.6; 2358.5,
              47.6; 2359,47.6; 2359.5,47.6; 2360,47.6; 2360.5,47.6; 2361,47.6; 2361.5,
              47.6; 2362,47.6; 2362.5,47.6; 2363,47.6; 2363.5,47.6; 2364,47.6; 2364.5,
              47.4; 2365,47.5; 2365.5,47.4; 2366,47.4; 2366.5,47.5; 2367,47.4; 2367.5,
              47.5; 2368,47.5; 2368.5,47.5; 2369,47.4; 2369.5,47.4; 2370,47.4; 2370.5,
              47.5; 2371,47.3; 2371.5,47.3; 2372,47.3; 2372.5,47.3; 2373,47.3; 2373.5,
              47.3; 2374,47.3; 2374.5,47.3; 2375,47.3; 2375.5,47.3; 2376,47.3; 2376.5,
              47.3; 2377,47.3; 2377.5,47.1; 2378,47.1; 2378.5,47.1; 2379,47.1; 2379.5,
              47.1; 2380,47.1; 2380.5,47.1; 2381,47.1; 2381.5,47.1; 2382,47.1; 2382.5,
              47.1; 2383,47; 2383.5,47; 2384,47; 2384.5,47; 2385,47; 2385.5,47; 2386,47;
              2386.5,47; 2387,47; 2387.5,47; 2388,47; 2388.5,47; 2389,47; 2389.5,47; 2390,
              47; 2390.5,47; 2391,46.8; 2391.5,46.8; 2392,46.8; 2392.5,46.8; 2393,46.8;
              2393.5,46.8; 2394,46.8; 2394.5,46.8; 2395,46.8; 2395.5,46.8; 2396,46.7;
              2396.5,46.7; 2397,46.7; 2397.5,46.7; 2398,46.7; 2398.5,46.7; 2399,46.7;
              2399.5,46.7; 2400,46.7; 2400.5,46.7; 2401,46.7; 2401.5,46.7; 2402,46.7;
              2402.5,46.7; 2403,46.7; 2403.5,46.7; 2404,46.7; 2404.5,46.5; 2405,46.5;
              2405.5,46.5; 2406,46.5; 2406.5,46.5; 2407,46.5; 2407.5,46.5; 2408,46.5;
              2408.5,46.5; 2409,46.5; 2409.5,46.5; 2410,46.5; 2410.5,46.4; 2411,46.4;
              2411.5,46.4; 2412,46.4; 2412.5,46.4; 2413,46.4; 2413.5,46.4; 2414,46.4;
              2414.5,46.4; 2415,46.4; 2415.5,46.4; 2416,46.4; 2416.5,46.4; 2417,46.4;
              2417.5,46.4; 2418,46.2; 2418.5,46.2; 2419,46.2; 2419.5,46.2; 2420,46.2;
              2420.5,46.2; 2421,46.2; 2421.5,46.2; 2422,46.2; 2422.5,46.2; 2423,46.2;
              2423.5,46.2; 2424,46.2; 2424.5,46.2; 2425,46.2; 2425.5,46.2; 2426,46.1;
              2426.5,46.1; 2427,46.1; 2427.5,46.1; 2428,46.1; 2428.5,46.1; 2429,46.1;
              2429.5,46.1; 2430,46.1; 2430.5,46.1; 2431,46.1; 2431.5,46.1; 2432,46.1;
              2432.5,46.1; 2433,46.1; 2433.5,45.9; 2434,45.9; 2434.5,45.9; 2435,45.9;
              2435.5,45.9; 2436,45.9; 2436.5,45.9; 2437,45.9; 2437.5,45.9; 2438,45.9;
              2438.5,45.9; 2439,45.9; 2439.5,45.9; 2440,45.9; 2440.5,45.8; 2441,45.8;
              2441.5,45.8; 2442,45.8; 2442.5,45.8; 2443,45.8; 2443.5,45.8; 2444,45.8;
              2444.5,45.8; 2445,45.8; 2445.5,45.8; 2446,45.8; 2446.5,45.8; 2447,45.8;
              2447.5,45.6; 2448,45.6; 2448.5,45.6; 2449,45.6; 2449.5,45.6; 2450,45.6;
              2450.5,45.6; 2451,45.6; 2451.5,45.6; 2452,45.6; 2452.5,45.6; 2453,45.4;
              2453.5,45.4; 2454,45.4; 2454.5,45.4; 2455,45.4; 2455.5,45.4; 2456,45.4;
              2456.5,45.4; 2457,45.4; 2457.5,45.4; 2458,45.4; 2458.5,45.4; 2459,45.4;
              2459.5,45.4; 2460,45.4; 2460.5,45.4; 2461,45.4; 2461.5,45.4; 2462,45.4;
              2462.5,45.4; 2463,45.3; 2463.5,45.3; 2464,45.3; 2464.5,45.3; 2465,45.3;
              2465.5,45.3; 2466,45.3; 2466.5,45.3; 2467,45.3; 2467.5,45.1; 2468,45.1;
              2468.5,45.1; 2469,45.1; 2469.5,45.1; 2470,45.1; 2470.5,45.1; 2471,45.1;
              2471.5,45.1; 2472,45.1; 2472.5,45.1; 2473,45.1; 2473.5,45.1; 2474,45.1;
              2474.5,45; 2475,45; 2475.5,45; 2476,45; 2476.5,45; 2477,45; 2477.5,45; 2478,
              45; 2478.5,45; 2479,45; 2479.5,45; 2480,44.8; 2480.5,44.8; 2481,45; 2481.5,
              44.8; 2482,44.8; 2482.5,44.8; 2483,44.8; 2483.5,44.8; 2484,44.8; 2484.5,
              44.8; 2485,44.8; 2485.5,44.8; 2486,44.8; 2486.5,44.8; 2487,44.8; 2487.5,
              44.8; 2488,44.8; 2488.5,44.8; 2489,44.7; 2489.5,44.7; 2490,44.7; 2490.5,
              44.7; 2491,44.7; 2491.5,44.7; 2492,44.7; 2492.5,44.7; 2493,44.7; 2493.5,
              44.7; 2494,44.7; 2494.5,44.7; 2495,44.7; 2495.5,44.7; 2496,44.7; 2496.5,
              44.7; 2497,44.7; 2497.5,44.7; 2498,44.5; 2498.5,44.5; 2499,44.5; 2499.5,
              44.5; 2500,44.5; 2500.5,44.5; 2501,44.5; 2501.5,44.5; 2502,44.5; 2502.5,
              44.5; 2503,44.5; 2503.5,44.5; 2504,44.4; 2504.5,44.4; 2505,44.4; 2505.5,
              44.4; 2506,44.4; 2506.5,44.4; 2507,44.4; 2507.5,44.4; 2508,44.4; 2508.5,
              44.4; 2509,44.4; 2509.5,44.4; 2510,44.4; 2510.5,44.2; 2511,44.2; 2511.5,
              44.2; 2512,44.2; 2512.5,44.2; 2513,44.2; 2513.5,44.2; 2514,44.2; 2514.5,
              44.2; 2515,44.2; 2515.5,44.2; 2516,44.2; 2516.5,44.2; 2517,44.2; 2517.5,
              44.2; 2518,44.2; 2518.5,44.2; 2519,44.2; 2519.5,44.2; 2520,44.1; 2520.5,
              44.1; 2521,44.1; 2521.5,44.1; 2522,44.1; 2522.5,44.1; 2523,44.1; 2523.5,
              44.1; 2524,44.1; 2524.5,44.1; 2525,44.1; 2525.5,43.9; 2526,43.9; 2526.5,
              43.9; 2527,43.9; 2527.5,43.9; 2528,43.9; 2528.5,43.9; 2529,43.9; 2529.5,
              43.9; 2530,43.9; 2530.5,43.9; 2531,43.9; 2531.5,43.9; 2532,43.9; 2532.5,
              43.9; 2533,43.9; 2533.5,43.9; 2534,43.9; 2534.5,43.9; 2535,43.9; 2535.5,
              43.9; 2536,43.8; 2536.5,43.7; 2537,43.8; 2537.5,43.7; 2538,43.7; 2538.5,
              43.7; 2539,43.8; 2539.5,43.7; 2540,43.7; 2540.5,43.8; 2541,43.7; 2541.5,
              43.8; 2542,43.7; 2542.5,43.7; 2543,43.8; 2543.5,43.7; 2544,43.8; 2544.5,
              43.7; 2545,43.6; 2545.5,43.6; 2546,43.6; 2546.5,43.6; 2547,43.6; 2547.5,
              43.6; 2548,43.6; 2548.5,43.6; 2549,43.6; 2549.5,43.6; 2550,43.6; 2550.5,
              43.6; 2551,43.6; 2551.5,43.4; 2552,43.4; 2552.5,43.4; 2553,43.4; 2553.5,
              43.4; 2554,43.4; 2554.5,43.4; 2555,43.4; 2555.5,43.4; 2556,43.4; 2556.5,
              43.4; 2557,43.4; 2557.5,43.4; 2558,43.4; 2558.5,43.4; 2559,43.3; 2559.5,
              43.3; 2560,43.3; 2560.5,43.3; 2561,43.3; 2561.5,43.3; 2562,43.3; 2562.5,
              43.3; 2563,43.3; 2563.5,43.3; 2564,43.3; 2564.5,43.3; 2565,43.3; 2565.5,
              43.3; 2566,43.3; 2566.5,43.3; 2567,43.3; 2567.5,43.1; 2568,43.1; 2568.5,
              43.1; 2569,43.1; 2569.5,43.1; 2570,43.1; 2570.5,43.1; 2571,43.1; 2571.5,
              43.1; 2572,43.1; 2572.5,43.1; 2573,43.1; 2573.5,43.1; 2574,43.1; 2574.5,
              43.1; 2575,43.1; 2575.5,43.1; 2576,43; 2576.5,43; 2577,43; 2577.5,43; 2578,
              43; 2578.5,43; 2579,43; 2579.5,43; 2580,43; 2580.5,43; 2581,43; 2581.5,43;
              2582,43; 2582.5,43; 2583,43; 2583.5,42.8; 2584,42.8; 2584.5,42.8; 2585,42.8;
              2585.5,42.8; 2586,42.8; 2586.5,42.8; 2587,42.8; 2587.5,42.8; 2588,42.8;
              2588.5,42.8; 2589,42.8; 2589.5,42.8; 2590,42.8; 2590.5,42.8; 2591,42.8;
              2591.5,42.8; 2592,42.8; 2592.5,42.8; 2593,42.7; 2593.5,42.7; 2594,42.7;
              2594.5,42.7; 2595,42.7; 2595.5,42.7; 2596,42.7; 2596.5,42.7; 2597,42.7;
              2597.5,42.7; 2598,42.7; 2598.5,42.7; 2599,42.7; 2599.5,42.7; 2600,42.7;
              2600.5,42.7; 2601,42.5; 2601.5,42.5; 2602,42.5; 2602.5,42.5; 2603,42.5;
              2603.5,42.5; 2604,42.5; 2604.5,42.5; 2605,42.5; 2605.5,42.5; 2606,42.5;
              2606.5,42.5; 2607,42.5; 2607.5,42.4; 2608,42.4; 2608.5,42.4; 2609,42.4;
              2609.5,42.4; 2610,42.4; 2610.5,42.4; 2611,42.4; 2611.5,42.4; 2612,42.4;
              2612.5,42.4; 2613,42.4; 2613.5,42.4; 2614,42.4; 2614.5,42.2; 2615,42.2;
              2615.5,42.4; 2616,42.2; 2616.5,42.2; 2617,42.2; 2617.5,42.2; 2618,42.2;
              2618.5,42.2; 2619,42.2; 2619.5,42.2; 2620,42.2; 2620.5,42.2; 2621,42.2;
              2621.5,42.2; 2622,42.2; 2622.5,42.2; 2623,42.2; 2623.5,42.2; 2624,42.2;
              2624.5,42.2; 2625,42.1; 2625.5,42.1; 2626,42.1; 2626.5,42.1; 2627,42.1;
              2627.5,42.1; 2628,42.1; 2628.5,42.1; 2629,42.1; 2629.5,42.1; 2630,42.1;
              2630.5,42.1; 2631,42.1; 2631.5,42.1; 2632,42.1; 2632.5,42.1; 2633,42.1;
              2633.5,42.1; 2634,41.9; 2634.5,41.9; 2635,41.9; 2635.5,41.9; 2636,41.9;
              2636.5,41.9; 2637,41.9; 2637.5,41.9; 2638,41.9; 2638.5,41.9; 2639,41.9;
              2639.5,41.9; 2640,41.9; 2640.5,41.9; 2641,41.9; 2641.5,41.9; 2642,41.7;
              2642.5,41.7; 2643,41.7; 2643.5,41.8; 2644,41.8; 2644.5,41.7; 2645,41.7;
              2645.5,41.7; 2646,41.7; 2646.5,41.8; 2647,41.7; 2647.5,41.7; 2648,41.8;
              2648.5,41.8; 2649,41.8; 2649.5,41.8; 2650,41.8; 2650.5,41.6; 2651,41.8;
              2651.5,41.6; 2652,41.6; 2652.5,41.6; 2653,41.6; 2653.5,41.6; 2654,41.6;
              2654.5,41.6; 2655,41.6; 2655.5,41.6; 2656,41.6; 2656.5,41.6; 2657,41.6;
              2657.5,41.6; 2658,41.6; 2658.5,41.6; 2659,41.6; 2659.5,41.4; 2660,41.4;
              2660.5,41.4; 2661,41.4; 2661.5,41.4; 2662,41.4; 2662.5,41.4; 2663,41.5;
              2663.5,41.4; 2664,41.5; 2664.5,41.4; 2665,41.4; 2665.5,41.4; 2666,41.5;
              2666.5,41.5; 2667,41.5; 2667.5,41.4; 2668,41.4; 2668.5,41.5; 2669,41.5;
              2669.5,41.5; 2670,41.5; 2670.5,41.4; 2671,41.3; 2671.5,41.3; 2672,41.3;
              2672.5,41.3; 2673,41.3; 2673.5,41.3; 2674,41.3; 2674.5,41.3; 2675,41.3;
              2675.5,41.3; 2676,41.3; 2676.5,41.1; 2677,41.1; 2677.5,41.1; 2678,41.1;
              2678.5,41.1; 2679,41.1; 2679.5,41.1; 2680,41.1; 2680.5,41.1; 2681,41.1;
              2681.5,41.1; 2682,41.1; 2682.5,41.1; 2683,41.1; 2683.5,41.1; 2684,41.1;
              2684.5,41.1; 2685,41.1; 2685.5,41.1; 2686,41.1; 2686.5,41.1; 2687,41.1;
              2687.5,41.1; 2688,41; 2688.5,41; 2689,41; 2689.5,41; 2690,41; 2690.5,41;
              2691,41; 2691.5,41; 2692,41; 2692.5,41; 2693,41; 2693.5,41; 2694,41; 2694.5,
              41; 2695,41; 2695.5,41; 2696,41; 2696.5,41; 2697,41; 2697.5,40.8; 2698,40.8;
              2698.5,40.8; 2699,40.8; 2699.5,40.8; 2700,40.8; 2700.5,40.8; 2701,40.8;
              2701.5,40.8; 2702,40.8; 2702.5,40.8; 2703,40.8; 2703.5,40.8; 2704,40.8;
              2704.5,40.8; 2705,40.8; 2705.5,40.8; 2706,40.8; 2706.5,40.8; 2707,40.8;
              2707.5,40.7; 2708,40.7; 2708.5,40.7; 2709,40.7; 2709.5,40.7; 2710,40.7;
              2710.5,40.7; 2711,40.7; 2711.5,40.7; 2712,40.7; 2712.5,40.7; 2713,40.7;
              2713.5,40.7; 2714,40.7; 2714.5,40.7; 2715,40.5; 2715.5,40.5; 2716,40.5;
              2716.5,40.5; 2717,40.5; 2717.5,40.5; 2718,40.5; 2718.5,40.5; 2719,40.5;
              2719.5,40.5; 2720,40.5; 2720.5,40.5; 2721,40.5; 2721.5,40.5; 2722,40.5;
              2722.5,40.4; 2723,40.4; 2723.5,40.4; 2724,40.4; 2724.5,40.4; 2725,40.4;
              2725.5,40.4; 2726,40.4; 2726.5,40.4; 2727,40.4; 2727.5,40.4; 2728,40.4;
              2728.5,40.4; 2729,40.4; 2729.5,40.4; 2730,40.4; 2730.5,40.4; 2731,40.4;
              2731.5,40.4; 2732,40.4; 2732.5,40.4; 2733,40.4; 2733.5,40.4; 2734,40.4;
              2734.5,40.4; 2735,40.4; 2735.5,40.4; 2736,40.4; 2736.5,40.4; 2737,40.2;
              2737.5,40.2; 2738,40.2; 2738.5,40.2; 2739,40.2; 2739.5,40.2; 2740,40.2;
              2740.5,40.2; 2741,40.2; 2741.5,40.2; 2742,40.2; 2742.5,40.2; 2743,40.2;
              2743.5,40; 2744,40.1; 2744.5,40.1; 2745,40.1; 2745.5,40.1; 2746,40; 2746.5,
              40.1; 2747,40; 2747.5,40.1; 2748,40.1; 2748.5,40.1; 2749,40.1; 2749.5,40;
              2750,40.1; 2750.5,40.1; 2751,40; 2751.5,40.1; 2752,40.1; 2752.5,40; 2753,
              40; 2753.5,39.9; 2754,39.9; 2754.5,39.9; 2755,39.9; 2755.5,39.9; 2756,39.9;
              2756.5,39.9; 2757,39.9; 2757.5,39.9; 2758,39.9; 2758.5,39.9; 2759,39.9;
              2759.5,39.9; 2760,39.9; 2760.5,39.9; 2761,39.9; 2761.5,39.9; 2762,39.9;
              2762.5,39.7; 2763,39.7; 2763.5,39.7; 2764,39.7; 2764.5,39.7; 2765,39.7;
              2765.5,39.8; 2766,39.7; 2766.5,39.8; 2767,39.7; 2767.5,39.7; 2768,39.7;
              2768.5,39.7; 2769,39.7; 2769.5,39.7; 2770,39.7; 2770.5,39.7; 2771,39.7;
              2771.5,39.7; 2772,39.7; 2772.5,39.7; 2773,39.7; 2773.5,39.8; 2774,39.7;
              2774.5,39.7; 2775,39.7; 2775.5,39.6; 2776,39.6; 2776.5,39.6; 2777,39.7;
              2777.5,39.6; 2778,39.6; 2778.5,39.6; 2779,39.6; 2779.5,39.6; 2780,39.6;
              2780.5,39.6; 2781,39.6; 2781.5,39.6; 2782,39.6; 2782.5,39.6; 2783,39.6;
              2783.5,39.6; 2784,39.4; 2784.5,39.4; 2785,39.4; 2785.5,39.4; 2786,39.4;
              2786.5,39.4; 2787,39.4; 2787.5,39.4; 2788,39.4; 2788.5,39.4; 2789,39.4;
              2789.5,39.4; 2790,39.4; 2790.5,39.4; 2791,39.4; 2791.5,39.4; 2792,39.3;
              2792.5,39.3; 2793,39.3; 2793.5,39.3; 2794,39.3; 2794.5,39.3; 2795,39.3;
              2795.5,39.3; 2796,39.3; 2796.5,39.3; 2797,39.3; 2797.5,39.3; 2798,39.3;
              2798.5,39.3; 2799,39.3; 2799.5,39.3; 2800,39.3; 2800.5,39.3; 2801,39.3;
              2801.5,39.3; 2802,39.3; 2802.5,39.3; 2803,39.3; 2803.5,39.3; 2804,39.3;
              2804.5,39.3; 2805,39.3; 2805.5,39.1; 2806,39.1; 2806.5,39.1; 2807,39.1;
              2807.5,39.1; 2808,39.1; 2808.5,39.1; 2809,39.1; 2809.5,39.1; 2810,39.1;
              2810.5,39.1; 2811,39.1; 2811.5,39.1; 2812,39.1; 2812.5,39.1; 2813,39; 2813.5,
              39; 2814,39; 2814.5,39; 2815,39; 2815.5,39; 2816,39; 2816.5,39; 2817,39;
              2817.5,39; 2818,39; 2818.5,39; 2819,39; 2819.5,39; 2820,39; 2820.5,39; 2821,
              39; 2821.5,39; 2822,39; 2822.5,38.8; 2823,38.8; 2823.5,38.8; 2824,38.8;
              2824.5,38.8; 2825,38.8; 2825.5,38.8; 2826,38.8; 2826.5,38.8; 2827,38.8;
              2827.5,38.8; 2828,38.8; 2828.5,38.8; 2829,38.8; 2829.5,38.8; 2830,38.8;
              2830.5,38.8; 2831,38.8; 2831.5,38.8; 2832,38.8; 2832.5,38.8; 2833,38.8;
              2833.5,38.8; 2834,38.8; 2834.5,38.7; 2835,38.7; 2835.5,38.7; 2836,38.7;
              2836.5,38.7; 2837,38.7; 2837.5,38.7; 2838,38.7; 2838.5,38.7; 2839,38.7;
              2839.5,38.7; 2840,38.7; 2840.5,38.7; 2841,38.7; 2841.5,38.7; 2842,38.7;
              2842.5,38.7; 2843,38.7; 2843.5,38.7; 2844,38.5; 2844.5,38.5; 2845,38.5;
              2845.5,38.5; 2846,38.5; 2846.5,38.5; 2847,38.5; 2847.5,38.5; 2848,38.5;
              2848.5,38.5; 2849,38.5; 2849.5,38.5; 2850,38.5; 2850.5,38.5; 2851,38.5;
              2851.5,38.5; 2852,38.5; 2852.5,38.5; 2853,38.5; 2853.5,38.5; 2854,38.5;
              2854.5,38.5; 2855,38.4; 2855.5,38.4; 2856,38.3; 2856.5,38.3; 2857,38.4;
              2857.5,38.4; 2858,38.3; 2858.5,38.4; 2859,38.4; 2859.5,38.4; 2860,38.3;
              2860.5,38.4; 2861,38.4; 2861.5,38.3; 2862,38.4; 2862.5,38.4; 2863,38.4;
              2863.5,38.3; 2864,38.4; 2864.5,38.2; 2865,38.2; 2865.5,38.2; 2866,38.2;
              2866.5,38.2; 2867,38.2; 2867.5,38.2; 2868,38.2; 2868.5,38.2; 2869,38.2;
              2869.5,38.2; 2870,38.2; 2870.5,38.2; 2871,38.2; 2871.5,38.2; 2872,38.2;
              2872.5,38.2; 2873,38.2; 2873.5,38.2; 2874,38.2; 2874.5,38.2; 2875,38; 2875.5,
              38; 2876,38; 2876.5,38; 2877,38; 2877.5,38; 2878,38; 2878.5,38; 2879,38;
              2879.5,38; 2880,38; 2880.5,38; 2881,38; 2881.5,38; 2882,38; 2882.5,38; 2883,
              38; 2883.5,38; 2884,38; 2884.5,38; 2885,38; 2885.5,38; 2886,38; 2886.5,38;
              2887,38; 2887.5,37.9; 2888,37.9; 2888.5,37.9; 2889,37.9; 2889.5,37.9; 2890,
              37.9; 2890.5,37.9; 2891,37.9; 2891.5,37.9; 2892,37.9; 2892.5,37.9; 2893,
              37.9; 2893.5,37.9; 2894,37.9; 2894.5,37.9; 2895,37.9; 2895.5,37.9; 2896,
              37.9; 2896.5,37.9; 2897,37.9; 2897.5,37.9; 2898,37.7; 2898.5,37.7; 2899,
              37.7; 2899.5,37.7; 2900,37.7; 2900.5,37.7; 2901,37.7; 2901.5,37.7; 2902,
              37.7; 2902.5,37.7; 2903,37.7; 2903.5,37.7; 2904,37.7; 2904.5,37.7; 2905,
              37.7; 2905.5,37.7; 2906,37.7; 2906.5,37.7; 2907,37.7; 2907.5,37.7; 2908,
              37.7; 2908.5,37.7; 2909,37.7; 2909.5,37.7; 2910,37.7; 2910.5,37.6; 2911,
              37.7; 2911.5,37.6; 2912,37.6; 2912.5,37.6; 2913,37.6; 2913.5,37.6; 2914,
              37.6; 2914.5,37.6; 2915,37.6; 2915.5,37.6; 2916,37.6; 2916.5,37.6; 2917,
              37.6; 2917.5,37.6; 2918,37.6; 2918.5,37.4; 2919,37.4; 2919.5,37.4; 2920,
              37.4; 2920.5,37.4; 2921,37.4; 2921.5,37.4; 2922,37.4; 2922.5,37.4; 2923,
              37.4; 2923.5,37.4; 2924,37.4; 2924.5,37.4; 2925,37.4; 2925.5,37.4; 2926,
              37.4; 2926.5,37.4; 2927,37.4; 2927.5,37.4; 2928,37.3; 2928.5,37.3; 2929,
              37.4; 2929.5,37.4; 2930,37.4; 2930.5,37.4; 2931,37.3; 2931.5,37.3; 2932,
              37.3; 2932.5,37.3; 2933,37.3; 2933.5,37.3; 2934,37.3; 2934.5,37.3; 2935,
              37.3; 2935.5,37.3; 2936,37.3; 2936.5,37.3; 2937,37.3; 2937.5,37.3; 2938,
              37.3; 2938.5,37.3; 2939,37.3; 2939.5,37.3; 2940,37.3; 2940.5,37.3; 2941,
              37.3; 2941.5,37.3; 2942,37.3; 2942.5,37.3; 2943,37.3; 2943.5,37.1; 2944,
              37.1; 2944.5,37.1; 2945,37.1; 2945.5,37.1; 2946,37.1; 2946.5,37.1; 2947,
              37.1; 2947.5,37.1; 2948,37.1; 2948.5,37.1; 2949,37.1; 2949.5,37.1; 2950,
              37.1; 2950.5,37.1; 2951,37.1; 2951.5,37.1; 2952,37.1; 2952.5,37.1; 2953,
              37; 2953.5,37.1; 2954,36.9; 2954.5,37; 2955,37; 2955.5,37; 2956,37; 2956.5,
              36.9; 2957,37; 2957.5,36.9; 2958,37; 2958.5,37; 2959,37; 2959.5,37; 2960,
              37; 2960.5,37; 2961,37; 2961.5,37; 2962,36.9; 2962.5,36.9; 2963,37; 2963.5,
              36.9; 2964,37; 2964.5,36.9; 2965,37; 2965.5,37; 2966,37; 2966.5,37; 2967,
              37; 2967.5,37; 2968,37; 2968.5,37; 2969,37; 2969.5,36.9; 2970,37; 2970.5,
              37; 2971,37; 2971.5,37; 2972,37; 2972.5,37; 2973,37; 2973.5,37; 2974,37;
              2974.5,36.9; 2975,36.9; 2975.5,36.8; 2976,36.8; 2976.5,36.8; 2977,36.8;
              2977.5,36.8; 2978,36.8; 2978.5,36.8; 2979,36.8; 2979.5,36.8; 2980,36.6;
              2980.5,36.6; 2981,36.6; 2981.5,36.7; 2982,36.6; 2982.5,36.6; 2983,36.7;
              2983.5,36.6; 2984,36.6; 2984.5,36.6; 2985,36.6; 2985.5,36.6; 2986,36.6;
              2986.5,36.6; 2987,36.5; 2987.5,36.5; 2988,36.5; 2988.5,36.5; 2989,36.5;
              2989.5,36.5; 2990,36.5; 2990.5,36.5; 2991,36.5; 2991.5,36.5; 2992,36.5;
              2992.5,36.5; 2993,36.5; 2993.5,36.5; 2994,36.5; 2994.5,36.5; 2995,36.5;
              2995.5,36.5; 2996,36.5; 2996.5,36.5; 2997,36.5; 2997.5,36.5; 2998,36.5;
              2998.5,36.5; 2999,36.5; 2999.5,36.5; 3000,36.5; 3000.5,36.5; 3001,36.5;
              3001.5,36.5; 3002,36.5; 3002.5,36.5; 3003,36.5; 3003.5,36.5; 3004,36.5;
              3004.5,36.3; 3005,36.3; 3005.5,36.5; 3006,36.3; 3006.5,36.3; 3007,36.3;
              3007.5,36.3; 3008,36.3; 3008.5,36.3; 3009,36.3; 3009.5,36.3; 3010,36.3;
              3010.5,36.3; 3011,36.3; 3011.5,36.3; 3012,36.3; 3012.5,36.3; 3013,36.3;
              3013.5,36.3; 3014,36.3; 3014.5,36.3; 3015,36.2; 3015.5,36.2; 3016,36.2;
              3016.5,36.2; 3017,36.2; 3017.5,36.2; 3018,36.2; 3018.5,36.2; 3019,36.2;
              3019.5,36.2; 3020,36.2; 3020.5,36.2; 3021,36.2; 3021.5,36.2; 3022,36.2;
              3022.5,36.2; 3023,36.2; 3023.5,36.2; 3024,36.2; 3024.5,36.2; 3025,36.2;
              3025.5,36.2; 3026,36.2; 3026.5,36.2; 3027,36.2; 3027.5,36.2; 3028,36.2;
              3028.5,36.2; 3029,36; 3029.5,36; 3030,36; 3030.5,36; 3031,36; 3031.5,36;
              3032,36; 3032.5,36; 3033,36; 3033.5,36; 3034,36; 3034.5,36; 3035,36; 3035.5,
              36; 3036,36; 3036.5,36; 3037,36; 3037.5,36; 3038,36; 3038.5,36; 3039,36;
              3039.5,36; 3040,35.9; 3040.5,35.9; 3041,35.9; 3041.5,35.9; 3042,35.9; 3042.5,
              35.9; 3043,35.9; 3043.5,35.9; 3044,35.9; 3044.5,35.9; 3045,35.9; 3045.5,
              35.9; 3046,35.9; 3046.5,35.9; 3047,35.9; 3047.5,35.9; 3048,35.9; 3048.5,
              35.9; 3049,35.9; 3049.5,35.9; 3050,35.9; 3050.5,35.9; 3051,35.9; 3051.5,
              35.9; 3052,35.9; 3052.5,35.9; 3053,35.9; 3053.5,35.9; 3054,35.9; 3054.5,
              35.9; 3055,35.9; 3055.5,35.9; 3056,35.7; 3056.5,35.7; 3057,35.7; 3057.5,
              35.7; 3058,35.7; 3058.5,35.7; 3059,35.7; 3059.5,35.7; 3060,35.7; 3060.5,
              35.6; 3061,35.7; 3061.5,35.7; 3062,35.7; 3062.5,35.7; 3063,35.7; 3063.5,
              35.7; 3064,35.7; 3064.5,35.7; 3065,35.7; 3065.5,35.7; 3066,35.7; 3066.5,
              35.7; 3067,35.7; 3067.5,35.7; 3068,35.7; 3068.5,35.6; 3069,35.6; 3069.5,
              35.6; 3070,35.5; 3070.5,35.6; 3071,35.6; 3071.5,35.6; 3072,35.6; 3072.5,
              35.6; 3073,35.6; 3073.5,35.5; 3074,35.6; 3074.5,35.6; 3075,35.6; 3075.5,
              35.5; 3076,35.5; 3076.5,35.6; 3077,35.6; 3077.5,35.6; 3078,35.6; 3078.5,
              35.4; 3079,35.4; 3079.5,35.4; 3080,35.4; 3080.5,35.4; 3081,35.4; 3081.5,
              35.4; 3082,35.4; 3082.5,35.4; 3083,35.4; 3083.5,35.4; 3084,35.4; 3084.5,
              35.4; 3085,35.4; 3085.5,35.4; 3086,35.4; 3086.5,35.4; 3087,35.4; 3087.5,
              35.4; 3088,35.4; 3088.5,35.4; 3089,35.4; 3089.5,35.4; 3090,35.4; 3090.5,
              35.4; 3091,35.4; 3091.5,35.2; 3092,35.2; 3092.5,35.2; 3093,35.2; 3093.5,
              35.2; 3094,35.2; 3094.5,35.2; 3095,35.2; 3095.5,35.2; 3096,35.3; 3096.5,
              35.2; 3097,35.2; 3097.5,35.2; 3098,35.2; 3098.5,35.2; 3099,35.2; 3099.5,
              35.2; 3100,35.2; 3100.5,35.2; 3101,35.2; 3101.5,35.3; 3102,35.2; 3102.5,
              35.2; 3103,35.3; 3103.5,35.2; 3104,35.1; 3104.5,35.1; 3105,35.1; 3105.5,
              35.1; 3106,35.1; 3106.5,35.1; 3107,35.1; 3107.5,35.1; 3108,35.1; 3108.5,
              35.1; 3109,35.1; 3109.5,35.1; 3110,35.1; 3110.5,35.1; 3111,35.1; 3111.5,
              35.1; 3112,35.1; 3112.5,35.1; 3113,35.1; 3113.5,35.1; 3114,35.1; 3114.5,
              35.1; 3115,35.1; 3115.5,35.1; 3116,35.1; 3116.5,35.1; 3117,35.1; 3117.5,
              35.1; 3118,35.1; 3118.5,35.1; 3119,35.1; 3119.5,35.1; 3120,35.1; 3120.5,
              35.1; 3121,35.1; 3121.5,34.9; 3122,35.1; 3122.5,34.9; 3123,34.9; 3123.5,
              34.9; 3124,34.9; 3124.5,34.9; 3125,34.9; 3125.5,34.9; 3126,34.9; 3126.5,
              34.9; 3127,34.9; 3127.5,34.9; 3128,34.9; 3128.5,34.9; 3129,34.9; 3129.5,
              34.9; 3130,34.9; 3130.5,34.9; 3131,34.9; 3131.5,34.9; 3132,34.9; 3132.5,
              34.9; 3133,34.9; 3133.5,34.9; 3134,34.9; 3134.5,34.9; 3135,34.9; 3135.5,
              34.9; 3136,34.9; 3136.5,34.9; 3137,34.9; 3137.5,34.9; 3138,34.8; 3138.5,
              34.8; 3139,34.8; 3139.5,34.8; 3140,34.8; 3140.5,34.8; 3141,34.8; 3141.5,
              34.8; 3142,34.8; 3142.5,34.8; 3143,34.8; 3143.5,34.8; 3144,34.8; 3144.5,
              34.6; 3145,34.6; 3145.5,34.6; 3146,34.6; 3146.5,34.6; 3147,34.6; 3147.5,
              34.6; 3148,34.6; 3148.5,34.6; 3149,34.6; 3149.5,34.6; 3150,34.6; 3150.5,
              34.6; 3151,34.6; 3151.5,34.6; 3152,34.6; 3152.5,34.6; 3153,34.6; 3153.5,
              34.6; 3154,34.6; 3154.5,34.6; 3155,34.6; 3155.5,34.6; 3156,34.6; 3156.5,
              34.6; 3157,34.6; 3157.5,34.6; 3158,34.6; 3158.5,34.6; 3159,34.6; 3159.5,
              34.6; 3160,34.6; 3160.5,34.6; 3161,34.6; 3161.5,34.6; 3162,34.5; 3162.5,
              34.5; 3163,34.5; 3163.5,34.5; 3164,34.5; 3164.5,34.5; 3165,34.5; 3165.5,
              34.5; 3166,34.5; 3166.5,34.5; 3167,34.5; 3167.5,34.5; 3168,34.5; 3168.5,
              34.5; 3169,34.5; 3169.5,34.5; 3170,34.5; 3170.5,34.5; 3171,34.5; 3171.5,
              34.5; 3172,34.5; 3172.5,34.5; 3173,34.5; 3173.5,34.5; 3174,34.5; 3174.5,
              34.3; 3175,34.3; 3175.5,34.3; 3176,34.5; 3176.5,34.3; 3177,34.3; 3177.5,
              34.3; 3178,34.3; 3178.5,34.3; 3179,34.3; 3179.5,34.3; 3180,34.3; 3180.5,
              34.3; 3181,34.3; 3181.5,34.3; 3182,34.3; 3182.5,34.3; 3183,34.3; 3183.5,
              34.3; 3184,34.3; 3184.5,34.3; 3185,34.3; 3185.5,34.3; 3186,34.3; 3186.5,
              34.3; 3187,34.3; 3187.5,34.3; 3188,34.3; 3188.5,34.3; 3189,34.3; 3189.5,
              34.3; 3190,34.3; 3190.5,34.2; 3191,34.2; 3191.5,34.2; 3192,34.2; 3192.5,
              34.2; 3193,34.2; 3193.5,34.2; 3194,34.2; 3194.5,34.2; 3195,34.2; 3195.5,
              34.2; 3196,34.2; 3196.5,34.2; 3197,34.2; 3197.5,34.2; 3198,34.2; 3198.5,
              34.2; 3199,34.2; 3199.5,34.2; 3200,34.2; 3200.5,34.2; 3201,34.2; 3201.5,
              34.2; 3202,34.2; 3202.5,34.2; 3203,34.2; 3203.5,34.2; 3204,34.2; 3204.5,
              34.2; 3205,34.2; 3205.5,34.2; 3206,34.2; 3206.5,34; 3207,34; 3207.5,34;
              3208,34; 3208.5,34; 3209,34; 3209.5,34; 3210,34; 3210.5,34; 3211,34; 3211.5,
              34; 3212,34; 3212.5,34; 3213,34; 3213.5,34; 3214,34; 3214.5,34; 3215,34;
              3215.5,34; 3216,34; 3216.5,34; 3217,34; 3217.5,34; 3218,34; 3218.5,34; 3219,
              34; 3219.5,33.9; 3220,33.9; 3220.5,33.9; 3221,33.9; 3221.5,33.9; 3222,33.9;
              3222.5,33.9; 3223,33.9; 3223.5,33.9; 3224,33.9; 3224.5,33.9; 3225,33.9;
              3225.5,33.9; 3226,33.9; 3226.5,33.9; 3227,33.9; 3227.5,33.9; 3228,33.9;
              3228.5,33.9; 3229,33.9; 3229.5,33.9; 3230,33.9; 3230.5,33.9; 3231,33.9;
              3231.5,33.9; 3232,33.9; 3232.5,33.9; 3233,33.9; 3233.5,33.9; 3234,33.9;
              3234.5,33.9; 3235,33.9; 3235.5,33.9; 3236,33.7; 3236.5,33.7; 3237,33.7;
              3237.5,33.7; 3238,33.7; 3238.5,33.7; 3239,33.7; 3239.5,33.7; 3240,33.7;
              3240.5,33.7; 3241,33.7; 3241.5,33.7; 3242,33.7; 3242.5,33.7; 3243,33.7;
              3243.5,33.7; 3244,33.7; 3244.5,33.7; 3245,33.7; 3245.5,33.7; 3246,33.7;
              3246.5,33.7; 3247,33.7; 3247.5,33.7; 3248,33.7; 3248.5,33.6; 3249,33.6;
              3249.5,33.6; 3250,33.6; 3250.5,33.6; 3251,33.6; 3251.5,33.6; 3252,33.6;
              3252.5,33.6; 3253,33.6; 3253.5,33.6; 3254,33.6; 3254.5,33.6; 3255,33.6;
              3255.5,33.6; 3256,33.6; 3256.5,33.6; 3257,33.6; 3257.5,33.6; 3258,33.6;
              3258.5,33.6; 3259,33.6; 3259.5,33.6; 3260,33.6; 3260.5,33.6; 3261,33.6;
              3261.5,33.6; 3262,33.6; 3262.5,33.6; 3263,33.6; 3263.5,33.6; 3264,33.6;
              3264.5,33.6; 3265,33.6; 3265.5,33.6; 3266,33.6; 3266.5,33.6; 3267,33.6;
              3267.5,33.6; 3268,33.6; 3268.5,33.6; 3269,33.6; 3269.5,33.4; 3270,33.4;
              3270.5,33.4; 3271,33.4; 3271.5,33.4; 3272,33.4; 3272.5,33.4])
          annotation (Placement(transformation(
              extent={{-10,-10},{10,10}},
              rotation=270,
              origin={80,80})));
        Modelica.Blocks.Tables.CombiTable1D MeasurementDataTCold_TEG(table=[0,22; 0.5,
              22; 1,22; 1.5,22; 2,22; 2.5,21.8; 3,21.8; 3.5,21.8; 4,22; 4.5,22; 5,22;
              5.5,22; 6,22; 6.5,22; 7,22; 7.5,22; 8,21.8; 8.5,22; 9,22; 9.5,22; 10,22;
              10.5,22; 11,21.8; 11.5,22; 12,22; 12.5,21.8; 13,22; 13.5,21.8; 14,22; 14.5,
              22; 15,22; 15.5,21.8; 16,22; 16.5,22; 17,22; 17.5,21.8; 18,22; 18.5,21.8;
              19,22; 19.5,22; 20,22; 20.5,22; 21,22; 21.5,22; 22,22; 22.5,22; 23,22; 23.5,
              22; 24,22; 24.5,22; 25,22.1; 25.5,22.1; 26,22.1; 26.5,22.1; 27,22.1; 27.5,
              22.1; 28,22.1; 28.5,22.1; 29,22.1; 29.5,22.1; 30,22.3; 30.5,22.3; 31,22.3;
              31.6,22.3; 32,22.3; 32.5,22.4; 33,22.4; 33.5,22.4; 34,22.4; 34.5,22.4; 35,
              22.4; 35.5,22.6; 36,22.6; 36.5,22.6; 37,22.6; 37.5,22.7; 38,22.7; 38.5,22.7;
              39,22.9; 39.5,22.9; 40,22.9; 40.5,22.9; 41,22.9; 41.5,22.9; 42,23.1; 42.5,
              23; 43,23.2; 43.5,23.2; 44,23.2; 44.5,23.4; 45,23.4; 45.5,23.4; 46,23.4;
              46.5,23.5; 47,23.5; 47.5,23.7; 48,23.7; 48.5,23.7; 49,23.8; 49.5,23.8; 50,
              24; 50.5,24; 51,24; 51.5,24; 52,24.1; 52.5,24.1; 53,24.3; 53.5,24.3; 54,
              24.4; 54.5,24.4; 55,24.4; 55.5,24.6; 56,24.6; 56.5,24.6; 57,24.7; 57.5,24.9;
              58,24.9; 58.5,24.9; 59,25; 59.5,25.1; 60,25.2; 60.5,25.2; 61,25.4; 61.5,
              25.4; 62,25.4; 62.5,25.5; 63,25.7; 63.5,25.7; 64,25.7; 64.5,25.8; 65,25.8;
              65.5,26; 66,26; 66.5,26.1; 67,26.1; 67.5,26.1; 68,26.3; 68.5,26.4; 69,26.4;
              69.5,26.6; 70,26.6; 70.5,26.7; 71,26.7; 71.5,26.7; 72,26.9; 72.5,26.9; 73,
              27.1; 73.5,27.2; 74,27.2; 74.5,27.2; 75,27.4; 75.5,27.5; 76,27.5; 76.5,27.7;
              77,27.7; 77.5,27.8; 78,27.8; 78.5,28; 79,28; 79.5,28.1; 80,28.1; 80.5,28.3;
              81,28.3; 81.5,28.3; 82,28.4; 82.5,28.6; 83,28.6; 83.5,28.6; 84,28.8; 84.5,
              28.8; 85,28.9; 85.5,28.9; 86,29.1; 86.5,29.1; 87,29.2; 87.5,29.2; 88,29.4;
              88.5,29.5; 89,29.5; 89.5,29.7; 90,29.7; 90.5,29.8; 91,29.8; 91.5,30; 92,
              30; 92.5,30.1; 93,30.3; 93.5,30.3; 94,30.4; 94.5,30.4; 95,30.6; 95.5,30.6;
              96,30.7; 96.5,30.7; 97,30.9; 97.5,30.9; 98,31; 98.5,31.1; 99,31.2; 99.5,
              31.2; 100,31.4; 100.5,31.4; 101,31.5; 101.5,31.5; 102,31.7; 102.5,31.7;
              103,31.8; 103.5,31.8; 104,32; 104.5,32; 105,32.1; 105.5,32.1; 106,32.3;
              106.5,32.4; 107,32.4; 107.5,32.4; 108,32.6; 108.5,32.6; 109,32.7; 109.5,
              32.9; 110,32.9; 110.5,32.9; 111,33; 111.5,33.1; 112,33.2; 112.5,33.4; 113,
              33.4; 113.5,33.5; 114,33.5; 114.5,33.7; 115,33.8; 115.5,33.8; 116,33.8;
              116.5,34; 117,34; 117.5,34.1; 118,34.1; 118.5,34.3; 119,34.3; 119.5,34.4;
              120,34.6; 120.5,34.6; 121,34.6; 121.5,34.7; 122,34.9; 122.5,34.9; 123,34.9;
              123.5,35; 124,35.2; 124.5,35.2; 125,35.3; 125.5,35.3; 126,35.3; 126.5,35.5;
              127,35.7; 127.5,35.6; 128,35.8; 128.5,35.8; 129,36; 129.5,36; 130,36.1;
              130.5,36.1; 131,36.3; 131.5,36.3; 132,36.3; 132.5,36.4; 133,36.6; 133.5,
              36.6; 134,36.6; 134.5,36.7; 135,36.9; 135.5,36.9; 136,37; 136.5,37; 137,
              37.2; 137.5,37.2; 138,37.4; 138.5,37.3; 139,37.5; 139.5,37.7; 140,37.7;
              140.5,37.8; 141,37.8; 141.5,38; 142,38; 142.5,38.1; 143,38.1; 143.5,38.3;
              144,38.3; 144.5,38.4; 145,38.4; 145.5,38.6; 146,38.6; 146.5,38.7; 147,38.7;
              147.5,38.9; 148,38.9; 148.5,39; 149,39; 149.5,39.2; 150,39.2; 150.5,39.3;
              151,39.3; 151.5,39.5; 152,39.5; 152.5,39.6; 153,39.6; 153.5,39.8; 154,39.8;
              154.5,40; 155,39.9; 155.5,40.1; 156,40.1; 156.5,40.3; 157,40.3; 157.5,40.4;
              158,40.4; 158.5,40.6; 159,40.6; 159.5,40.7; 160,40.7; 160.5,40.9; 161,41;
              161.5,41; 162,41; 162.5,41.2; 163,41.2; 163.5,41.3; 164,41.3; 164.5,41.3;
              165,41.5; 165.5,41.6; 166,41.6; 166.5,41.8; 167,41.8; 167.5,41.8; 168,41.9;
              168.5,42.1; 169,42.1; 169.5,42.3; 170,42.3; 170.5,42.4; 171,42.4; 171.5,
              42.4; 172,42.6; 172.5,42.7; 173,42.7; 173.5,42.9; 174,42.9; 174.5,43; 175,
              43; 175.5,43.2; 176,43.2; 176.5,43.3; 177,43.3; 177.5,43.5; 178,43.5; 178.5,
              43.6; 179,43.6; 179.5,43.8; 180,43.8; 180.5,44; 181,44; 181.5,44.1; 182,
              44.1; 182.5,44.1; 183,44.3; 183.5,44.4; 184,44.4; 184.5,44.4; 185,44.6;
              185.5,44.6; 186,44.6; 186.5,44.7; 187,44.7; 187.5,44.9; 188,45; 188.5,45;
              189,45; 189.5,45.2; 190,45.2; 190.5,45.3; 191,45.3; 191.5,45.3; 192,45.5;
              192.5,45.5; 193,45.6; 193.5,45.6; 194,45.8; 194.5,45.8; 195,45.8; 195.5,
              45.9; 196,45.9; 196.5,46.1; 197,46.1; 197.5,46.2; 198,46.3; 198.5,46.2;
              199,46.4; 199.5,46.4; 200,46.6; 200.5,46.6; 201,46.7; 201.5,46.7; 202,46.7;
              202.5,46.7; 203,46.9; 203.5,46.9; 204,47; 204.5,47; 205,47; 205.5,47.2;
              206,47.2; 206.5,47.2; 207,47.3; 207.5,47.5; 208,47.5; 208.5,47.5; 209,47.6;
              209.5,47.6; 210,47.8; 210.5,47.8; 211,47.8; 211.5,47.9; 212,47.9; 212.5,
              48.1; 213,48.1; 213.5,48.1; 214,48.2; 214.5,48.2; 215,48.4; 215.5,48.4;
              216,48.6; 216.5,48.6; 217,48.6; 217.5,48.7; 218,48.7; 218.5,48.9; 219,48.8;
              219.5,48.8; 220,49; 220.5,49; 221,49.2; 221.5,49.2; 222,49.3; 222.5,49.3;
              223,49.3; 223.5,49.4; 224,49.4; 224.5,49.4; 225,49.5; 225.5,49.6; 226,49.6;
              226.5,49.7; 227,49.7; 227.5,49.7; 228,49.9; 228.5,50; 229,50; 229.5,50.1;
              230,50; 230.5,50.1; 231,50.2; 231.5,50.4; 232,50.4; 232.5,50.4; 233,50.4;
              233.5,50.5; 234,50.7; 234.5,50.7; 235,50.8; 235.5,50.8; 236,51; 236.5,51;
              237,51; 237.5,51; 238,51; 238.5,51.1; 239,51.1; 239.5,51.3; 240,51.3; 240.5,
              51.3; 241,51.3; 241.5,51.3; 242,51.3; 242.5,51.4; 243,51.4; 243.5,51.6;
              244,51.6; 244.5,51.6; 245,51.7; 245.5,51.7; 246,51.8; 246.5,51.9; 247,51.9;
              247.5,51.9; 248,51.9; 248.5,52.1; 249,52.1; 249.5,52.1; 250,52.2; 250.5,
              52.2; 251,52.2; 251.5,52.4; 252,52.4; 252.5,52.4; 253,52.4; 253.5,52.5;
              254,52.5; 254.5,52.5; 255,52.7; 255.5,52.7; 256,52.8; 256.5,52.8; 257,52.8;
              257.5,53; 258,53; 258.5,53; 259,53.1; 259.5,53.1; 260,53.1; 260.5,53.3;
              261,53.3; 261.5,53.3; 262,53.4; 262.5,53.4; 263,53.6; 263.5,53.6; 264,53.6;
              264.5,53.7; 265,53.7; 265.5,53.7; 266,53.7; 266.5,53.7; 267,53.9; 267.5,
              53.9; 268,53.9; 268.5,54; 269,54.1; 269.5,54.2; 270,54.2; 270.5,54.2; 271,
              54.2; 271.5,54.4; 272,54.4; 272.5,54.4; 273,54.5; 273.5,54.5; 274,54.7;
              274.5,54.7; 275,54.7; 275.5,54.8; 276,54.8; 276.5,54.8; 277,55; 277.5,55;
              278,55; 278.5,55.1; 279,55.1; 279.5,55.1; 280,55.3; 280.5,55.3; 281,55.3;
              281.5,55.4; 282,55.4; 282.5,55.6; 283,55.6; 283.5,55.6; 284,55.7; 284.5,
              55.7; 285,55.9; 285.5,55.9; 286,55.9; 286.5,56.1; 287,56.1; 287.5,56.1;
              288,56.2; 288.5,56.2; 289,56.2; 289.5,56.4; 290,56.4; 290.5,56.5; 291,56.5;
              291.5,56.7; 292,56.7; 292.5,56.7; 293,56.7; 293.5,56.8; 294,56.8; 294.5,
              57; 295,57; 295.5,57.1; 296,57.1; 296.5,57.1; 297,57.3; 297.5,57.3; 298,
              57.4; 298.5,57.4; 299,57.6; 299.5,57.6; 300,57.7; 300.5,57.7; 301,57.7;
              301.5,57.9; 302,57.9; 302.5,57.9; 303,58; 303.5,58; 304,58; 304.5,58.1;
              305,58.2; 305.5,58.4; 306,58.4; 306.5,58.4; 307,58.5; 307.5,58.5; 308,58.5;
              308.5,58.7; 309,58.7; 309.5,58.7; 310,58.8; 310.5,58.8; 311,59; 311.5,59;
              312,59.1; 312.5,59.1; 313,59.1; 313.5,59.3; 314,59.3; 314.5,59.4; 315,59.4;
              315.5,59.4; 316,59.6; 316.5,59.6; 317,59.7; 317.5,59.7; 318,59.7; 318.5,
              59.9; 319,59.9; 319.5,60; 320,60; 320.5,60.2; 321,60.2; 321.5,60.2; 322,
              60.2; 322.5,60.3; 323,60.3; 323.5,60.5; 324,60.5; 324.5,60.6; 325,60.6;
              325.5,60.6; 326,60.6; 326.5,60.8; 327,61; 327.5,61.1; 328,61.1; 328.5,61.3;
              329,61.3; 329.5,61.4; 330,61.4; 330.5,61.4; 331,61.6; 331.5,61.6; 332,61.8;
              332.5,61.7; 333,61.7; 333.5,61.7; 334,61.9; 334.5,61.9; 335,62; 335.5,62.2;
              336,62.2; 336.5,62.2; 337,62.3; 337.5,62.3; 338,62.3; 338.5,62.5; 339,62.5;
              339.5,62.6; 340,62.6; 340.5,62.7; 341,62.8; 341.5,62.8; 342,63; 342.5,63;
              343,63.1; 343.5,63.1; 344,63.1; 344.5,63.3; 345,63.3; 345.5,63.4; 346,63.6;
              346.5,63.7; 347,63.7; 347.5,63.9; 348,64.1; 348.5,64.2; 349,64.5; 349.5,
              64.7; 350,64.7; 350.5,64.8; 351,64.8; 351.5,64.8; 352,64.8; 352.5,65; 353,
              65; 353.5,65; 354,65.1; 354.5,65.1; 355,65.1; 355.5,65.3; 356,65.3; 356.5,
              65.3; 357,65.4; 357.5,65.4; 358,65.4; 358.5,65.6; 359,65.7; 359.5,65.7;
              360,65.7; 360.5,65.9; 361,65.9; 361.5,66; 362,66; 362.5,66.2; 363,66.4;
              363.5,66.4; 364,66.4; 364.5,66.5; 365,66.5; 365.5,66.5; 366,66.7; 366.5,
              66.7; 367,66.7; 367.5,66.7; 368,66.8; 368.5,66.8; 369,66.8; 369.5,66.8;
              370,67; 370.5,67; 371,67; 371.5,67.1; 372,67; 372.5,67.1; 373,67.1; 373.5,
              67.1; 374,67.3; 374.5,67.3; 375,67.3; 375.5,67.4; 376,67.4; 376.5,67.4;
              377,67.4; 377.5,67.4; 378,67.6; 378.5,67.6; 379,67.6; 379.5,67.6; 380,67.6;
              380.5,67.6; 381,67.6; 381.5,67.8; 382,67.7; 382.5,67.7; 383,67.7; 383.5,
              67.7; 384,67.8; 384.5,67.9; 385,67.9; 385.5,67.9; 386,67.9; 386.5,67.9;
              387,67.9; 387.5,67.9; 388,67.9; 388.5,67.9; 389,67.9; 389.5,67.9; 390,68.1;
              390.5,68.1; 391,68.1; 391.5,68.1; 392,68.1; 392.5,68.1; 393,68.1; 393.5,
              68.1; 394,68.1; 394.5,68.1; 395,67.9; 395.5,67.9; 396,68.1; 396.5,68.1;
              397,68.1; 397.5,68.1; 398,68.1; 398.5,67.9; 399,67.9; 399.5,67.9; 400,67.9;
              400.5,67.9; 401,67.9; 401.5,67.9; 402,67.9; 402.5,67.9; 403,67.9; 403.5,
              67.9; 404,67.9; 404.5,67.9; 405,67.9; 405.5,67.9; 406,67.9; 406.5,67.8;
              407,67.8; 407.5,67.7; 408,67.8; 408.5,67.8; 409,67.7; 409.5,67.8; 410,67.6;
              410.5,67.6; 411,67.6; 411.5,67.6; 412,67.6; 412.5,67.6; 413,67.6; 413.5,
              67.6; 414,67.4; 414.5,67.4; 415,67.4; 415.5,67.4; 416,67.4; 416.5,67.4;
              417,67.4; 417.5,67.4; 418,67.3; 418.5,67.3; 419,67.3; 419.5,67.3; 420,67.3;
              420.5,67.3; 421,67.1; 421.5,67.1; 422,67.1; 422.5,67; 423,67.1; 423.5,67;
              424,67; 424.5,67; 425,67; 425.5,67; 426,67; 426.5,67; 427,66.8; 427.5,66.8;
              428,66.8; 428.5,66.8; 429,66.8; 429.5,66.7; 430,66.7; 430.5,66.7; 431,66.7;
              431.5,66.7; 432,66.7; 432.5,66.7; 433,66.5; 433.5,66.5; 434,66.5; 434.5,
              66.5; 435,66.5; 435.5,66.5; 436,66.4; 436.5,66.4; 437,66.4; 437.5,66.4;
              438,66.3; 438.5,66.4; 439,66.3; 439.5,66.4; 440,66.2; 440.5,66.2; 441,66.2;
              441.5,66.2; 442,66; 442.5,66; 443,66; 443.5,66; 444,65.9; 444.5,65.9; 445,
              65.9; 445.5,65.7; 446,65.7; 446.5,65.7; 447,65.7; 447.5,65.6; 448,65.6;
              448.5,65.6; 449,65.6; 449.5,65.6; 450,65.6; 450.5,65.6; 451,65.4; 451.5,
              65.4; 452,65.4; 452.5,65.4; 453,65.3; 453.5,65.3; 454,65.3; 454.5,65.3;
              455,65.1; 455.5,65.1; 456,65.1; 456.5,65.1; 457,65; 457.5,65; 458,65; 458.5,
              65; 459,64.8; 459.5,64.8; 460,64.8; 460.5,64.8; 461,64.8; 461.5,64.7; 462,
              64.7; 462.5,64.7; 463,64.5; 463.5,64.5; 464,64.5; 464.5,64.5; 465,64.4;
              465.5,64.4; 466,64.4; 466.5,64.4; 467,64.2; 467.5,64.2; 468,64.2; 468.5,
              64.2; 469,64; 469.5,64; 470,64.1; 470.5,64.1; 471,63.9; 471.5,63.9; 472,
              63.9; 472.5,63.9; 473,63.7; 473.5,63.7; 474,63.7; 474.5,63.7; 475,63.7;
              475.5,63.6; 476,63.6; 476.5,63.6; 477,63.6; 477.5,63.4; 478,63.4; 478.5,
              63.4; 479,63.3; 479.5,63.3; 480,63.3; 480.5,63.3; 481,63.3; 481.5,63.3;
              482,63.1; 482.5,63.1; 483,63.1; 483.5,63.1; 484,63; 484.5,63; 485,63; 485.5,
              63; 486,62.8; 486.5,62.8; 487,62.8; 487.5,62.8; 488,62.6; 488.5,62.7; 489,
              62.7; 489.5,62.7; 490,62.5; 490.5,62.5; 491,62.5; 491.5,62.5; 492,62.3;
              492.5,62.3; 493,62.3; 493.5,62.3; 494,62.3; 494.5,62.3; 495,62.2; 495.5,
              62.2; 496,62.2; 496.5,62.2; 497,62.2; 497.5,62.2; 498,62; 498.5,62; 499,
              62; 499.5,62; 500,62; 500.5,61.9; 501,61.9; 501.5,61.9; 502,61.9; 502.5,
              61.7; 503,61.7; 503.5,61.7; 504,61.7; 504.5,61.7; 505,61.7; 505.5,61.7;
              506,61.7; 506.5,61.6; 507,61.6; 507.5,61.6; 508,61.6; 508.5,61.6; 509,61.4;
              509.5,61.4; 510,61.3; 510.5,61.3; 511,61.1; 511.5,61.1; 512,61.1; 512.5,
              61.1; 513,61.1; 513.5,61.1; 514,61; 514.5,61; 515,61; 515.5,60.8; 516,60.8;
              516.5,60.8; 517,60.7; 517.5,60.6; 518,60.7; 518.5,60.6; 519,60.7; 519.5,
              60.6; 520,60.6; 520.5,60.7; 521,60.5; 521.5,60.5; 522,60.5; 522.5,60.3;
              523,60.4; 523.5,60.3; 524,60.3; 524.5,60.3; 525,60.2; 525.5,60.2; 526,60.2;
              526.5,60; 527,60; 527.5,60; 528,60; 528.5,59.9; 529,59.9; 529.5,59.9; 530,
              59.9; 530.5,59.7; 531,59.7; 531.5,59.9; 532,59.7; 532.5,59.9; 533,59.7;
              533.5,59.7; 534,59.7; 534.5,59.6; 535,59.6; 535.5,59.6; 536,59.6; 536.5,
              59.4; 537,59.4; 537.5,59.4; 538,59.4; 538.5,59.4; 539,59.4; 539.5,59.4;
              540,59.4; 540.5,59.3; 541,59.3; 541.5,59.3; 542,59.3; 542.5,59.1; 543,59.1;
              543.5,59.1; 544,59.1; 544.5,59.1; 545,59; 545.5,59; 546,59; 546.5,58.8;
              547,58.8; 547.5,58.8; 548,58.7; 548.5,58.7; 549,58.7; 549.5,58.7; 550,58.7;
              550.5,58.7; 551,58.7; 551.5,58.5; 552,58.5; 552.5,58.5; 553,58.4; 553.5,
              58.4; 554,58.4; 554.5,58.4; 555,58.2; 555.5,58.2; 556,58.2; 556.5,58.2;
              557,58.2; 557.5,58.2; 558,58.2; 558.5,58.2; 559,58; 559.5,58; 560,58.1;
              560.5,58.1; 561,58; 561.5,58; 562,57.9; 562.5,57.9; 563,57.9; 563.5,57.7;
              564,57.7; 564.5,57.7; 565,57.7; 565.5,57.7; 566,57.6; 566.5,57.6; 567,57.6;
              567.5,57.6; 568,57.4; 568.5,57.4; 569,57.4; 569.5,57.3; 570,57.4; 570.5,
              57.3; 571,57.3; 571.5,57.3; 572,57.3; 572.5,57.3; 573,57.1; 573.5,57.1;
              574,57.1; 574.5,57.1; 575,57; 575.5,57; 576,57; 576.5,57; 577,56.8; 577.5,
              56.8; 578,56.8; 578.5,56.8; 579,56.8; 579.5,56.7; 580,56.7; 580.5,56.7;
              581,56.7; 581.5,56.7; 582,56.7; 582.5,56.7; 583,56.5; 583.5,56.5; 584,56.5;
              584.5,56.5; 585,56.5; 585.5,56.5; 586,56.5; 586.5,56.5; 587,56.4; 587.5,
              56.4; 588,56.4; 588.5,56.4; 589,56.4; 589.5,56.4; 590,56.2; 590.5,56.2;
              591,56.2; 591.5,56.2; 592,56.2; 592.5,56.2; 593,56.2; 593.5,56.2; 594,56.2;
              594.5,56.1; 595,56.1; 595.5,56.1; 596,56.1; 596.5,56.1; 597,56.1; 597.5,
              55.9; 598,55.9; 598.5,55.9; 599,55.9; 599.5,55.7; 600,55.7; 600.5,55.7;
              601,55.6; 601.5,55.7; 602,55.6; 602.5,55.6; 603,55.6; 603.5,55.6; 604,55.6;
              604.5,55.6; 605,55.4; 605.5,55.4; 606,55.4; 606.5,55.4; 607,55.3; 607.5,
              55.3; 608,55.3; 608.5,55.3; 609,55.3; 609.5,55.3; 610,55.3; 610.5,55.1;
              611,55.1; 611.5,55.1; 612,55.1; 612.5,55.1; 613,55.1; 613.5,55; 614,55;
              614.5,55; 615,55; 615.5,55; 616,55; 616.5,55; 617,54.8; 617.5,54.8; 618,
              54.8; 618.5,54.8; 619,54.8; 619.5,54.7; 620,54.7; 620.5,54.7; 621,54.7;
              621.5,54.7; 622,54.7; 622.5,54.7; 623,54.5; 623.5,54.5; 624,54.5; 624.5,
              54.5; 625,54.5; 625.5,54.4; 626,54.4; 626.5,54.4; 627,54.4; 627.5,54.4;
              628,54.2; 628.5,54.2; 629,54.2; 629.5,54.2; 630,54.2; 630.5,54.2; 631,54.1;
              631.5,54.1; 632,54.1; 632.5,54.1; 633,54.1; 633.5,54.1; 634,53.9; 634.5,
              53.9; 635,53.9; 635.5,53.9; 636,53.7; 636.5,53.7; 637,53.7; 637.5,53.7;
              638,53.7; 638.5,53.7; 639,53.7; 639.5,53.7; 640,53.6; 640.5,53.6; 641,53.6;
              641.5,53.6; 642,53.6; 642.5,53.4; 643,53.4; 643.5,53.4; 644,53.4; 644.5,
              53.4; 645,53.4; 645.5,53.4; 646,53.4; 646.5,53.3; 647,53.3; 647.5,53.3;
              648,53.3; 648.5,53.3; 649,53.3; 649.5,53.3; 650,53.3; 650.5,53.3; 651,53.3;
              651.5,53.1; 652,53.1; 652.5,53.1; 653,53.1; 653.5,53; 654,53; 654.5,53;
              655,53; 655.5,53; 656,53; 656.5,53; 657,52.8; 657.5,52.8; 658,52.8; 658.5,
              52.8; 659,52.8; 659.5,52.8; 660,52.8; 660.5,52.8; 661,52.8; 661.5,52.7;
              662,52.7; 662.5,52.7; 663,52.7; 663.5,52.7; 664,52.7; 664.5,52.5; 665,52.5;
              665.5,52.5; 666,52.5; 666.5,52.5; 667,52.5; 667.5,52.5; 668,52.5; 668.5,
              52.5; 669,52.4; 669.5,52.4; 670,52.4; 670.5,52.4; 671,52.4; 671.5,52.4;
              672,52.4; 672.5,52.2; 673,52.2; 673.5,52.2; 674,52.2; 674.5,52.2; 675,52.2;
              675.5,52.2; 676,52; 676.5,52; 677,52.1; 677.5,52.1; 678,52.1; 678.5,51.9;
              679,51.9; 679.5,51.9; 680,51.9; 680.5,51.9; 681,51.9; 681.5,51.9; 682,51.9;
              682.5,51.9; 683,51.7; 683.5,51.7; 684,51.7; 684.5,51.7; 685,51.7; 685.5,
              51.6; 686,51.6; 686.5,51.6; 687,51.6; 687.5,51.6; 688,51.6; 688.5,51.6;
              689,51.4; 689.5,51.4; 690,51.4; 690.5,51.4; 691,51.4; 691.5,51.3; 692,51.3;
              692.5,51.3; 693,51.3; 693.5,51.3; 694,51.3; 694.5,51.3; 695,51.3; 695.5,
              51.3; 696,51.1; 696.5,51.1; 697,51.1; 697.5,51.1; 698,51.1; 698.5,51.1;
              699,51; 699.5,51; 700,51; 700.5,51; 701,51; 701.5,51; 702,51; 702.5,51;
              703,51; 703.5,50.8; 704,50.8; 704.5,50.8; 705,50.8; 705.5,50.8; 706,50.7;
              706.5,50.8; 707,50.7; 707.5,50.7; 708,50.7; 708.5,50.7; 709,50.7; 709.5,
              50.7; 710,50.5; 710.5,50.5; 711,50.5; 711.5,50.5; 712,50.5; 712.5,50.5;
              713,50.4; 713.5,50.4; 714,50.4; 714.5,50.3; 715,50.4; 715.5,50.4; 716,50.4;
              716.5,50.4; 717,50.4; 717.5,50.4; 718,50.2; 718.5,50.2; 719,50.2; 719.5,
              50.2; 720,50.2; 720.5,50.2; 721,50; 721.5,50; 722,50; 722.5,50.1; 723,50;
              723.5,50.1; 724,50.1; 724.5,49.9; 725,49.9; 725.5,49.9; 726,49.9; 726.5,
              49.9; 727,49.9; 727.5,49.7; 728,49.7; 728.5,49.7; 729,49.7; 729.5,49.7;
              730,49.7; 730.5,49.7; 731,49.7; 731.5,49.7; 732,49.7; 732.5,49.6; 733,49.6;
              733.5,49.6; 734,49.6; 734.5,49.6; 735,49.6; 735.5,49.6; 736,49.6; 736.5,
              49.6; 737,49.4; 737.5,49.4; 738,49.4; 738.5,49.4; 739,49.4; 739.5,49.4;
              740,49.4; 740.5,49.4; 741,49.4; 741.5,49.4; 742,49.3; 742.5,49.3; 743,49.3;
              743.5,49.3; 744,49.3; 744.5,49.3; 745,49.3; 745.5,49.2; 746,49.2; 746.5,
              49.2; 747,49.2; 747.5,49.2; 748,49.2; 748.5,49.1; 749,49.2; 749.5,49.2;
              750,49.2; 750.5,49.2; 751,49.2; 751.5,49; 752,49; 752.5,49; 753,49; 753.5,
              49; 754,49; 754.5,48.9; 755,48.9; 755.5,48.9; 756,48.9; 756.5,48.7; 757,
              48.7; 757.5,48.7; 758,48.7; 758.5,48.7; 759,48.7; 759.5,48.7; 760,48.7;
              760.5,48.6; 761,48.6; 761.5,48.6; 762,48.6; 762.5,48.6; 763,48.6; 763.5,
              48.6; 764,48.6; 764.5,48.6; 765,48.5; 765.5,48.4; 766,48.4; 766.5,48.4;
              767,48.4; 767.5,48.4; 768,48.4; 768.5,48.4; 769,48.2; 769.5,48.2; 770,48.3;
              770.5,48.2; 771,48.3; 771.5,48.2; 772,48.3; 772.5,48.1; 773,48.1; 773.5,
              48.1; 774,48.1; 774.5,48.1; 775,48.1; 775.5,48.1; 776,48.1; 776.5,48.1;
              777,47.9; 777.5,47.9; 778,47.9; 778.5,47.9; 779,47.9; 779.5,47.9; 780,47.9;
              780.5,47.8; 781,47.8; 781.5,47.8; 782,47.8; 782.5,47.8; 783,47.8; 783.5,
              47.8; 784,47.8; 784.5,47.8; 785,47.8; 785.5,47.6; 786,47.6; 786.5,47.6;
              787,47.6; 787.5,47.6; 788,47.6; 788.5,47.6; 789,47.6; 789.5,47.5; 790,47.5;
              790.5,47.5; 791,47.5; 791.5,47.5; 792,47.5; 792.5,47.5; 793,47.5; 793.5,
              47.3; 794,47.3; 794.5,47.3; 795,47.3; 795.5,47.3; 796,47.3; 796.5,47.3;
              797,47.2; 797.5,47.2; 798,47.2; 798.5,47.2; 799,47.2; 799.5,47.2; 800,47.2;
              800.5,47.2; 801,47.2; 801.5,47.2; 802,47.2; 802.5,47; 803,47; 803.5,47;
              804,47; 804.5,47; 805,47; 805.5,46.9; 806,46.9; 806.5,46.9; 807,46.9; 807.5,
              46.9; 808,46.9; 808.5,46.9; 809,46.9; 809.5,46.9; 810,46.7; 810.5,46.7;
              811,46.7; 811.5,46.7; 812,46.7; 812.5,46.7; 813,46.7; 813.5,46.7; 814,46.7;
              814.5,46.7; 815,46.7; 815.5,46.6; 816,46.6; 816.5,46.6; 817,46.6; 817.5,
              46.6; 818,46.6; 818.5,46.6; 819,46.6; 819.5,46.4; 820,46.4; 820.5,46.4;
              821,46.4; 821.5,46.3; 822,46.2; 822.5,46.4; 823,46.2; 823.5,46.3; 824,46.2;
              824.5,46.3; 825,46.3; 825.5,46.3; 826,46.2; 826.5,46.2; 827,46.1; 827.5,
              46.1; 828,46.1; 828.5,46.1; 829,46.1; 829.5,46.1; 830,46.1; 830.5,46.1;
              831,46.1; 831.5,46.1; 832,45.9; 832.5,45.9; 833,45.9; 833.5,45.9; 834,45.9;
              834.5,45.9; 835,45.8; 835.5,45.8; 836,45.9; 836.5,45.8; 837,45.8; 837.5,
              45.8; 838,45.8; 838.5,45.8; 839,45.8; 839.5,45.8; 840,45.8; 840.5,45.8;
              841,45.8; 841.5,45.8; 842,45.8; 842.5,45.8; 843,45.8; 843.5,45.8; 844,45.8;
              844.5,45.8; 845,45.8; 845.5,45.8; 846,45.8; 846.5,45.8; 847,45.8; 847.5,
              45.8; 848,45.6; 848.5,45.7; 849,45.6; 849.5,45.6; 850,45.6; 850.5,45.7;
              851,45.6; 851.5,45.6; 852,45.6; 852.5,45.5; 853,45.5; 853.5,45.5; 854,45.5;
              854.5,45.5; 855,45.3; 855.5,45.3; 856,45.3; 856.5,45.3; 857,45.3; 857.5,
              45.3; 858,45.3; 858.5,45.3; 859,45.2; 859.5,45.2; 860,45.2; 860.5,45.2;
              861,45.2; 861.5,45.2; 862,45.2; 862.5,45; 863,45; 863.5,45; 864,45; 864.5,
              45; 865,45; 865.5,45; 866,45.2; 866.5,45.2; 867,45.2; 867.5,45.2; 868,45;
              868.5,45.2; 869,45.2; 869.5,45.2; 870,45.2; 870.5,45.2; 871,45; 871.5,45;
              872,45; 872.5,45; 873,45; 873.5,45; 874,45; 874.5,44.9; 875,44.9; 875.5,
              44.9; 876,44.9; 876.5,44.9; 877,44.9; 877.5,44.7; 878,44.7; 878.5,44.7;
              879,44.7; 879.5,44.7; 880,44.5; 880.5,44.7; 881,44.7; 881.5,44.6; 882,44.6;
              882.5,44.6; 883,44.6; 883.5,44.6; 884,44.6; 884.5,44.6; 885,44.4; 885.5,
              44.4; 886,44.4; 886.5,44.4; 887,44.4; 887.5,44.4; 888,44.4; 888.5,44.4;
              889,44.4; 889.5,44.4; 890,44.4; 890.5,44.3; 891,44.3; 891.5,44.3; 892,44.3;
              892.5,44.3; 893,44.1; 893.5,44.3; 894,44.1; 894.5,44.1; 895,44.1; 895.5,
              44.1; 896,44.1; 896.5,44.1; 897,44.1; 897.5,44.1; 898,44.1; 898.5,44.1;
              899,44.1; 899.5,44.1; 900,44.1; 900.5,44.1; 901,44.1; 901.5,44; 902,44;
              902.5,44; 903,44; 903.5,44; 904,43.8; 904.5,43.8; 905,43.8; 905.5,43.8;
              906,43.8; 906.5,43.6; 907,43.8; 907.5,43.8; 908,43.8; 908.5,43.7; 909,43.6;
              909.5,43.6; 910,43.6; 910.5,43.6; 911,43.6; 911.5,43.6; 912,43.6; 912.5,
              43.6; 913,43.6; 913.5,43.6; 914,43.6; 914.5,43.5; 915,43.6; 915.5,43.5;
              916,43.5; 916.5,43.5; 917,43.5; 917.5,43.5; 918,43.5; 918.5,43.5; 919,43.5;
              919.5,43.5; 920,43.5; 920.5,43.5; 921,43.3; 921.5,43.3; 922,43.3; 922.5,
              43.3; 923,43.3; 923.5,43.3; 924,43.2; 924.5,43.3; 925,43.3; 925.5,43.2;
              926,43.2; 926.5,43.2; 927,43.2; 927.5,43.2; 928,43.2; 928.5,43.2; 929,43.2;
              929.5,43.2; 930,43.2; 930.5,43.2; 931,43.2; 931.5,43.2; 932,43.2; 932.5,
              43.2; 933,43.2; 933.5,43; 934,43; 934.5,43; 935,43; 935.5,43; 936,43; 936.5,
              43; 937,43; 937.5,43; 938,43; 938.5,43; 939,43; 939.5,43; 940,42.9; 940.5,
              42.9; 941,42.9; 941.5,42.9; 942,42.9; 942.5,42.7; 943,42.7; 943.5,42.7;
              944,42.7; 944.5,42.7; 945,42.7; 945.5,42.7; 946,42.7; 946.5,42.7; 947,42.7;
              947.5,42.7; 948,42.7; 948.5,42.7; 949,42.6; 949.5,42.7; 950,42.7; 950.5,
              42.6; 951,42.6; 951.5,42.6; 952,42.6; 952.5,42.6; 953,42.6; 953.5,42.5;
              954,42.6; 954.5,42.6; 955,42.6; 955.5,42.6; 956,42.6; 956.5,42.6; 957,42.6;
              957.5,42.6; 958,42.6; 958.5,42.6; 959,42.6; 959.5,42.6; 960,42.6; 960.5,
              42.4; 961,42.4; 961.5,42.4; 962,42.4; 962.5,42.4; 963,42.4; 963.5,42.4;
              964,42.4; 964.5,42.4; 965,42.4; 965.5,42.4; 966,42.4; 966.5,42.4; 967,42.4;
              967.5,42.4; 968,42.3; 968.5,42.3; 969,42.2; 969.5,42.3; 970,42.3; 970.5,
              42.3; 971,42.3; 971.5,42.3; 972,42.3; 972.5,42.3; 973,42.3; 973.5,42.2;
              974,42.3; 974.5,42.3; 975,42.2; 975.5,42.3; 976,42.3; 976.5,42.3; 977,42.3;
              977.5,42.3; 978,42.1; 978.5,42.1; 979,42.1; 979.5,42.1; 980,42.1; 980.5,
              42.1; 981,42.1; 981.5,42.1; 982,42.1; 982.5,42.1; 983,42.1; 983.5,42.1;
              984,42.1; 984.5,42.1; 985,42.1; 985.5,42.1; 986,41.9; 986.5,41.9; 987,41.9;
              987.5,41.9; 988,41.9; 988.5,41.8; 989,41.8; 989.5,41.8; 990,41.8; 990.5,
              41.8; 991,41.8; 991.5,41.8; 992,41.8; 992.5,41.8; 993,41.8; 993.5,41.8;
              994,41.8; 994.5,41.8; 995,41.6; 995.5,41.6; 996,41.6; 996.5,41.6; 997,41.6;
              997.5,41.6; 998,41.6; 998.5,41.6; 999,41.5; 999.5,41.5; 1000,41.5; 1000.5,
              41.5; 1001,41.5; 1001.5,41.3; 1002,41.4; 1002.5,41.3; 1003,41.5; 1003.5,
              41.5; 1004,41.5; 1004.5,41.3; 1005,41.3; 1005.5,41.3; 1006,41.3; 1006.5,
              41.3; 1007,41.3; 1007.5,41.3; 1008,41.3; 1008.5,41.3; 1009,41.5; 1009.5,
              41.3; 1010,41.3; 1010.5,41.3; 1011,41.3; 1011.5,41.3; 1012,41.3; 1012.5,
              41.3; 1013,41.3; 1013.5,41.3; 1014,41.3; 1014.5,41.3; 1015,41.3; 1015.5,
              41.3; 1016,41.3; 1016.5,41.3; 1017,41.3; 1017.5,41.3; 1018,41.3; 1018.5,
              41.3; 1019,41.3; 1019.5,41.2; 1020,41.2; 1020.5,41.2; 1021,41.2; 1021.5,
              41.2; 1022,41.2; 1022.5,41.2; 1023,41.2; 1023.5,41.2; 1024,41.2; 1024.5,
              41.2; 1025,41.2; 1025.5,41.2; 1026,41; 1026.5,41; 1027,41; 1027.5,41; 1028,
              41; 1028.5,41; 1029,41; 1029.5,41; 1030,41; 1030.5,41; 1031,41; 1031.5,41;
              1032,41; 1032.5,41; 1033,41; 1033.5,41; 1034,41; 1034.5,41; 1035,41; 1035.5,
              40.9; 1036,40.9; 1036.5,40.9; 1037,40.9; 1037.5,40.9; 1038,40.9; 1038.5,
              40.9; 1039,40.9; 1039.5,40.9; 1040,40.9; 1040.5,40.9; 1041,40.9; 1041.5,
              40.9; 1042,40.9; 1042.5,40.9; 1043,40.7; 1043.5,40.7; 1044,40.7; 1044.5,
              40.7; 1045,40.7; 1045.5,40.6; 1046,40.7; 1046.5,40.7; 1047,40.7; 1047.5,
              40.7; 1048,40.7; 1048.5,40.7; 1049,40.6; 1049.5,40.6; 1050,40.6; 1050.5,
              40.6; 1051,40.6; 1051.5,40.6; 1052,40.6; 1052.5,40.6; 1053,40.6; 1053.5,
              40.4; 1054,40.4; 1054.5,40.4; 1055,40.4; 1055.5,40.4; 1056,40.4; 1056.5,
              40.4; 1057,40.3; 1057.5,40.3; 1058,40.3; 1058.5,40.3; 1059,40.3; 1059.5,
              40.3; 1060,40.3; 1060.5,40.3; 1061,40.3; 1061.5,40.3; 1062,40.3; 1062.5,
              40.1; 1063,40.1; 1063.5,40.1; 1064,40.1; 1064.5,40.1; 1065,40.1; 1065.5,
              40.1; 1066,40.1; 1066.5,40.1; 1067,40.1; 1067.5,40.1; 1068,40.1; 1068.5,
              40.1; 1069,40; 1069.5,39.9; 1070,40; 1070.5,39.9; 1071,39.9; 1071.5,40;
              1072,39.9; 1072.5,39.9; 1073,39.9; 1073.5,39.9; 1074,39.9; 1074.5,39.8;
              1075,39.8; 1075.5,39.8; 1076,39.8; 1076.5,39.8; 1077,39.8; 1077.5,39.8;
              1078,39.8; 1078.5,39.8; 1079,39.6; 1079.5,39.6; 1080,39.6; 1080.5,39.6;
              1081,39.6; 1081.5,39.6; 1082,39.6; 1082.5,39.6; 1083,39.6; 1083.5,39.6;
              1084,39.6; 1084.5,39.6; 1085,39.6; 1085.5,39.6; 1086,39.5; 1086.5,39.6;
              1087,39.5; 1087.5,39.5; 1088,39.5; 1088.5,39.5; 1089,39.5; 1089.5,39.5;
              1090,39.5; 1090.5,39.5; 1091,39.5; 1091.5,39.5; 1092,39.5; 1092.5,39.5;
              1093,39.5; 1093.5,39.3; 1094,39.4; 1094.5,39.3; 1095,39.3; 1095.5,39.4;
              1096,39.3; 1096.5,39.4; 1097,39.3; 1097.5,39.3; 1098,39.3; 1098.5,39.3;
              1099,39.4; 1099.5,39.3; 1100,39.4; 1100.5,39.3; 1101,39.2; 1101.5,39.2;
              1102,39.2; 1102.5,39.2; 1103,39.2; 1103.5,39.2; 1104,39.2; 1104.5,39.2;
              1105,39.2; 1105.5,39.2; 1106,39.2; 1106.5,39.2; 1107,39.2; 1107.5,39.2;
              1108,39.2; 1108.5,39.2; 1109,39.2; 1109.5,39.2; 1110,39.2; 1110.5,39.2;
              1111,39.2; 1111.5,39; 1112,39; 1112.5,39; 1113,39; 1113.5,39; 1114,39; 1114.5,
              39; 1115,39; 1115.5,39; 1116,39; 1116.5,39; 1117,39; 1117.5,39; 1118,39;
              1118.5,39; 1119,38.9; 1119.5,38.9; 1120,38.9; 1120.5,38.9; 1121,38.9; 1121.5,
              38.9; 1122,38.9; 1122.5,38.9; 1123,38.9; 1123.5,38.9; 1124,38.9; 1124.5,
              38.9; 1125,38.9; 1125.5,38.9; 1126,38.9; 1126.5,38.9; 1127,38.9; 1127.5,
              38.9; 1128,38.9; 1128.5,38.7; 1129,38.7; 1129.5,38.7; 1130,38.7; 1130.5,
              38.7; 1131,38.7; 1131.5,38.7; 1132,38.7; 1132.5,38.7; 1133,38.7; 1133.5,
              38.7; 1134,38.7; 1134.5,38.7; 1135,38.7; 1135.5,38.7; 1136,38.7; 1136.5,
              38.6; 1137,38.6; 1137.5,38.6; 1138,38.6; 1138.5,38.6; 1139,38.6; 1139.5,
              38.6; 1140,38.6; 1140.5,38.6; 1141,38.6; 1141.5,38.6; 1142,38.6; 1142.5,
              38.6; 1143,38.6; 1143.5,38.4; 1144,38.4; 1144.5,38.4; 1145,38.4; 1145.5,
              38.4; 1146,38.4; 1146.5,38.4; 1147,38.4; 1147.5,38.4; 1148,38.4; 1148.5,
              38.4; 1149,38.4; 1149.5,38.4; 1150,38.4; 1150.5,38.4; 1151,38.4; 1151.5,
              38.3; 1152,38.3; 1152.5,38.4; 1153,38.4; 1153.5,38.4; 1154,38.3; 1154.5,
              38.3; 1155,38.3; 1155.5,38.3; 1156,38.3; 1156.5,38.3; 1157,38.3; 1157.5,
              38.3; 1158,38.3; 1158.5,38.3; 1159,38.3; 1159.5,38.3; 1160,38.3; 1160.5,
              38.3; 1161,38.1; 1161.5,38.1; 1162,38.1; 1162.5,38.1; 1163,38.1; 1163.5,
              38.1; 1164,38.1; 1164.5,38.1; 1165,38.1; 1165.5,38.1; 1166,38.1; 1166.5,
              38.1; 1167,38.1; 1167.5,38.1; 1168,38.1; 1168.5,38.1; 1169,38.1; 1169.5,
              38.1; 1170,38.1; 1170.5,38; 1171,38; 1171.5,38; 1172,38; 1172.5,38; 1173,
              38; 1173.5,38; 1174,38; 1174.5,38; 1175,38; 1175.5,38; 1176,38; 1176.5,38;
              1177,38; 1177.5,38; 1178,38; 1178.5,38; 1179,38; 1179.5,37.8; 1180,37.8;
              1180.5,37.8; 1182.1,37.8; 1182.2,37.8; 1182.5,37.8; 1184.7,37.8; 1184.8,
              37.8; 1185.1,37.8; 1185.5,37.8; 1186,37.8; 1186.5,37.7; 1187,37.7; 1187.5,
              37.7; 1188,37.7; 1188.5,37.7; 1189,37.7; 1189.5,37.7; 1190.1,37.7; 1190.5,
              37.7; 1191,37.7; 1191.5,37.7; 1192,37.5; 1192.5,37.7; 1193,37.7; 1193.5,
              37.5; 1194,37.5; 1194.5,37.5; 1195,37.5; 1195.5,37.5; 1196,37.5; 1196.5,
              37.5; 1197,37.5; 1197.5,37.5; 1198,37.5; 1198.5,37.5; 1199,37.5; 1199.5,
              37.5; 1200,37.5; 1200.5,37.5; 1201,37.5; 1201.5,37.5; 1202,37.5; 1202.5,
              37.5; 1203,37.5; 1203.5,37.5; 1204,37.5; 1204.5,37.5; 1205,37.3; 1205.5,
              37.3; 1206,37.4; 1206.5,37.4; 1207,37.3; 1207.5,37.4; 1208,37.3; 1208.5,
              37.3; 1209,37.4; 1209.5,37.3; 1210,37.4; 1210.5,37.4; 1211,37.3; 1211.5,
              37.3; 1212,37.3; 1212.5,37.3; 1213,37.3; 1213.5,37.2; 1214,37.2; 1214.5,
              37.2; 1215,37.2; 1215.5,37.2; 1216,37.2; 1216.5,37.2; 1217,37.2; 1217.5,
              37.2; 1218,37.2; 1218.5,37.2; 1219,37.2; 1219.5,37.2; 1220,37.2; 1220.5,
              37.2; 1221,37.2; 1221.5,37.2; 1222,37; 1222.5,37; 1223,37; 1223.5,37; 1224,
              37; 1224.5,37; 1225,37; 1225.5,37; 1226,37; 1226.5,37; 1227,37; 1227.5,37;
              1228,37; 1228.5,37; 1229,37; 1229.5,37; 1230,37; 1230.5,37; 1231,37; 1231.5,
              36.9; 1232,36.9; 1232.5,36.9; 1233,36.9; 1233.5,36.9; 1234,36.9; 1234.5,
              36.9; 1235,36.9; 1235.5,36.9; 1236,36.9; 1236.5,36.9; 1237,36.9; 1237.5,
              36.9; 1238,36.9; 1238.5,36.7; 1239,36.9; 1239.5,36.7; 1240,36.7; 1240.5,
              36.7; 1241,36.7; 1241.5,36.7; 1242,36.7; 1242.5,36.7; 1243,36.7; 1243.5,
              36.7; 1244,36.6; 1244.5,36.7; 1245,36.7; 1245.5,36.7; 1246,36.7; 1246.5,
              36.7; 1247,36.7; 1247.5,36.7; 1248,36.7; 1248.5,36.6; 1249,36.6; 1249.5,
              36.6; 1250,36.6; 1250.5,36.6; 1251,36.6; 1251.5,36.6; 1252,36.6; 1252.5,
              36.6; 1253,36.6; 1253.5,36.6; 1254,36.6; 1254.5,36.6; 1255,36.6; 1255.5,
              36.6; 1256,36.6; 1256.5,36.6; 1257,36.6; 1257.5,36.6; 1258,36.6; 1258.5,
              36.6; 1259,36.6; 1259.5,36.6; 1260,36.4; 1260.5,36.4; 1261,36.4; 1261.5,
              36.4; 1262,36.4; 1262.5,36.4; 1263,36.4; 1263.5,36.4; 1264,36.4; 1264.5,
              36.4; 1265,36.4; 1265.5,36.4; 1266,36.4; 1266.5,36.4; 1267,36.4; 1267.5,
              36.3; 1268,36.4; 1268.5,36.3; 1269,36.3; 1269.5,36.3; 1270,36.3; 1270.5,
              36.3; 1271,36.3; 1271.5,36.3; 1272,36.3; 1272.5,36.3; 1273,36.3; 1273.5,
              36.3; 1274,36.3; 1274.5,36.3; 1275,36.3; 1275.5,36.3; 1276,36.3; 1276.5,
              36.3; 1277,36.3; 1277.5,36.3; 1278,36.3; 1278.5,36.3; 1279,36.3; 1279.5,
              36.1; 1280,36.3; 1280.5,36.3; 1281,36.1; 1281.5,36.1; 1282,36.1; 1282.5,
              36.1; 1283,36.1; 1283.5,36.1; 1284,36.1; 1284.5,36.1; 1285,36.1; 1285.5,
              36.1; 1286,36.1; 1286.5,36.1; 1287,36.1; 1287.5,36.1; 1288,36.1; 1288.5,
              36.1; 1289,36.1; 1289.5,36.1; 1290,36.1; 1290.5,36; 1291,36; 1291.5,36;
              1292,36; 1292.5,36; 1293,36; 1293.5,36; 1294,36; 1294.5,36; 1295,36; 1295.5,
              36; 1296,36; 1296.5,36; 1297,36; 1297.5,36; 1298,36; 1298.5,36; 1299,35.8;
              1299.5,35.8; 1300,35.8; 1300.5,35.8; 1301,35.8; 1301.5,35.8; 1302,35.8;
              1302.5,35.8; 1303,35.8; 1303.5,35.8; 1304,35.8; 1304.5,35.8; 1305,35.8;
              1305.5,35.8; 1306,35.8; 1306.5,35.8; 1307,35.8; 1307.5,35.8; 1308,35.8;
              1308.5,35.8; 1309,35.8; 1309.5,35.8; 1310,35.7; 1310.5,35.7; 1311,35.7;
              1311.5,35.6; 1312,35.7; 1312.5,35.7; 1313,35.7; 1313.5,35.7; 1314,35.7;
              1314.5,35.7; 1315,35.7; 1315.5,35.7; 1316,35.6; 1316.5,35.7; 1317,35.7;
              1317.5,35.7; 1318,35.6; 1318.5,35.7; 1319,35.7; 1319.5,35.7; 1320,35.5;
              1320.5,35.5; 1321,35.5; 1321.5,35.5; 1322,35.5; 1322.5,35.5; 1323,35.5;
              1323.5,35.5; 1324,35.5; 1324.5,35.5; 1325,35.5; 1325.5,35.5; 1326,35.5;
              1326.5,35.5; 1327,35.5; 1327.5,35.5; 1328,35.3; 1328.5,35.3; 1329,35.3;
              1329.5,35.3; 1330,35.3; 1330.5,35.3; 1331,35.3; 1331.5,35.3; 1332,35.3;
              1332.5,35.3; 1333,35.3; 1333.5,35.3; 1334,35.3; 1334.5,35.3; 1335,35.3;
              1335.5,35.3; 1336,35.3; 1336.5,35.3; 1337,35.3; 1337.5,35.3; 1338,35.3;
              1338.5,35.3; 1339,35.3; 1339.5,35.3; 1340,35.3; 1340.5,35.3; 1341,35.3;
              1341.5,35.3; 1342,35.3; 1342.5,35.2; 1343,35.2; 1343.5,35.2; 1344,35.2;
              1344.5,35.2; 1345,35.2; 1345.5,35.2; 1346,35.2; 1346.5,35.2; 1347,35.2;
              1347.5,35.2; 1348,35.2; 1348.5,35.2; 1349,35.2; 1349.5,35.2; 1350,35.2;
              1350.5,35.2; 1351,35; 1351.5,35; 1352,35; 1352.5,35; 1353,35; 1353.5,35;
              1354,35; 1354.5,35; 1355,35; 1355.5,35; 1356,35; 1356.5,35; 1357,35; 1357.5,
              35; 1358,35; 1358.5,35; 1359,35; 1359.5,35; 1360,35; 1360.5,35; 1361,35;
              1361.5,35; 1362,35; 1362.5,35; 1363,35; 1363.5,35; 1364,35; 1364.5,35; 1365,
              35; 1365.5,35; 1366,34.9; 1366.5,34.9; 1367,34.9; 1367.5,34.9; 1368,34.9;
              1368.5,34.9; 1369,34.9; 1369.5,34.9; 1370,34.9; 1370.5,34.9; 1371,34.9;
              1371.5,34.9; 1372,34.9; 1372.5,34.9; 1373,34.9; 1373.5,34.9; 1374,34.9;
              1374.5,34.9; 1375,34.9; 1375.5,34.7; 1376,34.7; 1376.5,34.7; 1377,34.7;
              1377.5,34.7; 1378,34.7; 1378.5,34.7; 1379,34.7; 1379.5,34.7; 1380,34.7;
              1380.5,34.7; 1381,34.7; 1381.5,34.7; 1382,34.7; 1382.5,34.7; 1383,34.7;
              1383.5,34.7; 1384,34.7; 1384.5,34.7; 1385,34.7; 1385.5,34.7; 1386,34.6;
              1386.5,34.7; 1387,34.6; 1387.5,34.6; 1388,34.6; 1388.5,34.6; 1389,34.6;
              1389.5,34.6; 1390,34.6; 1390.5,34.6; 1391,34.6; 1391.5,34.6; 1392,34.6;
              1392.5,34.6; 1393,34.6; 1393.5,34.6; 1394,34.6; 1394.5,34.6; 1395,34.6;
              1395.5,34.6; 1396,34.6; 1396.5,34.6; 1397,34.6; 1397.5,34.6; 1398,34.6;
              1398.5,34.6; 1399,34.6; 1399.5,34.6; 1400,34.6; 1400.5,34.6; 1401,34.4;
              1401.5,34.4; 1402,34.4; 1402.5,34.4; 1403,34.4; 1403.5,34.4; 1404,34.4;
              1404.5,34.4; 1405,34.4; 1405.5,34.4; 1406,34.4; 1406.5,34.4; 1407,34.4;
              1407.5,34.4; 1408,34.4; 1408.5,34.4; 1409,34.4; 1409.5,34.4; 1410,34.4;
              1410.5,34.4; 1411,34.4; 1411.5,34.4; 1412,34.4; 1412.5,34.4; 1413,34.4;
              1413.5,34.4; 1414,34.4; 1414.5,34.3; 1415,34.3; 1415.5,34.3; 1416,34.3;
              1416.5,34.3; 1417,34.3; 1417.5,34.3; 1418,34.3; 1418.5,34.3; 1419,34.3;
              1419.5,34.3; 1420,34.3; 1420.5,34.3; 1421,34.3; 1421.5,34.3; 1422,34.3;
              1422.5,34.3; 1423,34.3; 1423.5,34.3; 1424,34.1; 1424.5,34.1; 1425,34.1;
              1425.5,34.1; 1426,34.1; 1426.5,34.1; 1427,34.1; 1427.5,34.1; 1428,34.1;
              1428.5,34.1; 1429,34.1; 1429.5,34.1; 1430,34.1; 1430.5,34.1; 1431,34.1;
              1431.5,34.1; 1432,34.1; 1432.5,34.1; 1433,34.1; 1433.5,34.1; 1434,34.1;
              1434.5,34.1; 1435,34.1; 1435.5,34.1; 1436,34.1; 1436.5,34; 1437,34.1; 1437.5,
              34; 1438,34; 1438.5,34; 1439,34; 1439.5,34; 1440,34; 1440.5,34; 1441,34;
              1441.5,34; 1442,34; 1442.5,34; 1443,34; 1443.5,34; 1444,34; 1444.5,34; 1445,
              34; 1445.5,34; 1446,34; 1446.5,33.8; 1447,34; 1447.5,33.8; 1448,33.8; 1448.5,
              33.8; 1449,33.8; 1449.5,33.8; 1450,33.8; 1450.5,33.8; 1451,33.8; 1451.5,
              33.8; 1452,33.8; 1452.5,33.8; 1453,33.8; 1453.5,33.8; 1454,33.8; 1454.5,
              33.8; 1455,33.8; 1455.5,33.8; 1456,33.8; 1456.5,33.8; 1457,33.8; 1457.5,
              33.8; 1458,33.8; 1458.5,33.8; 1459,33.8; 1459.5,33.8; 1460,33.8; 1460.5,
              33.8; 1461,33.8; 1461.5,33.8; 1462,33.8; 1462.5,33.8; 1463,33.7; 1463.5,
              33.7; 1464,33.7; 1464.5,33.7; 1465,33.7; 1465.5,33.7; 1466,33.7; 1466.5,
              33.7; 1467,33.7; 1467.5,33.7; 1468,33.7; 1468.5,33.7; 1469,33.7; 1469.5,
              33.7; 1470,33.7; 1470.5,33.7; 1471,33.7; 1471.5,33.7; 1472,33.7; 1472.5,
              33.7; 1473,33.7; 1473.5,33.7; 1474,33.7; 1474.5,33.7; 1475,33.7; 1475.5,
              33.7; 1476,33.7; 1476.5,33.5; 1477,33.5; 1477.5,33.5; 1478,33.5; 1478.5,
              33.5; 1479,33.5; 1479.5,33.5; 1480,33.5; 1480.5,33.5; 1481,33.5; 1481.5,
              33.5; 1482,33.5; 1482.5,33.5; 1483,33.5; 1483.5,33.5; 1484,33.5; 1484.5,
              33.5; 1485,33.5; 1485.5,33.5; 1486,33.5; 1486.5,33.5; 1487,33.5; 1487.5,
              33.3; 1488,33.3; 1488.5,33.3; 1489,33.3; 1489.5,33.4; 1490,33.4; 1490.5,
              33.3; 1491,33.3; 1491.5,33.3; 1492,33.4; 1492.5,33.4; 1493,33.3; 1493.5,
              33.3; 1494,33.3; 1494.5,33.3; 1495,33.3; 1495.5,33.3; 1496,33.3; 1496.5,
              33.3; 1497,33.3; 1497.5,33.3; 1498,33.3; 1498.5,33.4; 1499,33.4; 1499.5,
              33.4; 1500,33.3; 1500.5,33.4; 1501,33.3; 1501.5,33.4; 1502,33.4; 1502.5,
              33.3; 1503,33.4; 1503.5,33.3; 1504,33.3; 1504.5,33.4; 1505,33.2; 1505.5,
              33.2; 1506,33.2; 1506.5,33.2; 1507,33.2; 1507.5,33.2; 1508,33.2; 1508.5,
              33.2; 1509,33.2; 1509.5,33.2; 1510,33.2; 1510.5,33.2; 1511,33.2; 1511.5,
              33.2; 1512,33.2; 1512.5,33.2; 1513,33.2; 1513.5,33.2; 1514,33.2; 1514.5,
              33.2; 1515,33.2; 1515.5,33.2; 1516,33.2; 1516.5,33; 1517,33; 1517.5,33;
              1518,33; 1518.5,33; 1519,33; 1519.5,33; 1520,33; 1520.5,33; 1521,33; 1521.5,
              33; 1522,33; 1522.5,33; 1523,33; 1523.5,33; 1524,33; 1524.5,33; 1525,33;
              1525.5,33; 1526,33; 1526.5,33; 1527,33; 1527.5,32.9; 1528,33; 1528.5,32.9;
              1529,32.9; 1529.5,32.9; 1530,32.9; 1530.5,32.9; 1531,32.9; 1531.5,32.9;
              1532,32.9; 1532.5,32.9; 1533,32.9; 1533.5,32.9; 1534,32.9; 1534.5,32.9;
              1535,32.9; 1535.5,32.9; 1536,32.9; 1536.5,32.9; 1537,32.9; 1537.5,32.9;
              1538,32.9; 1538.5,32.9; 1539,32.9; 1539.5,32.9; 1540,32.9; 1540.5,32.9;
              1541,32.9; 1541.5,32.9; 1542,32.9; 1542.5,32.9; 1543,32.9; 1543.5,32.9;
              1544,32.9; 1544.5,32.9; 1545,32.7; 1545.5,32.7; 1546,32.7; 1546.5,32.7;
              1547,32.7; 1547.5,32.7; 1548,32.7; 1548.5,32.7; 1549,32.7; 1549.5,32.7;
              1550,32.7; 1550.5,32.7; 1551,32.7; 1551.5,32.7; 1552,32.7; 1552.5,32.7;
              1553,32.7; 1553.5,32.7; 1554,32.7; 1554.5,32.7; 1555,32.7; 1555.5,32.7;
              1556,32.7; 1556.5,32.7; 1557,32.7; 1557.5,32.7; 1558,32.6; 1558.5,32.6;
              1559,32.6; 1559.5,32.6; 1560,32.6; 1560.5,32.6; 1561,32.6; 1561.5,32.6;
              1562,32.6; 1562.5,32.6; 1563,32.6; 1563.5,32.6; 1564,32.6; 1564.5,32.6;
              1565,32.6; 1565.5,32.6; 1566,32.6; 1566.5,32.6; 1567,32.6; 1567.5,32.4;
              1568,32.4; 1568.5,32.6; 1569,32.4; 1569.5,32.4; 1570,32.4; 1570.5,32.4;
              1571,32.4; 1571.5,32.4; 1572,32.4; 1572.5,32.4; 1573,32.4; 1573.5,32.4;
              1574,32.4; 1574.5,32.4; 1575,32.4; 1575.5,32.4; 1576,32.4; 1576.5,32.4;
              1577,32.4; 1577.5,32.4; 1578,32.4; 1578.5,32.4; 1579,32.4; 1579.5,32.4;
              1580,32.4; 1580.5,32.4; 1581,32.4; 1581.5,32.4; 1582,32.4; 1582.5,32.4;
              1583,32.4; 1583.5,32.4; 1584,32.4; 1584.5,32.4; 1585,32.4; 1585.5,32.4;
              1586,32.4; 1586.5,32.3; 1587,32.4; 1587.5,32.3; 1588,32.3; 1588.5,32.3;
              1589,32.3; 1589.5,32.3; 1590,32.3; 1590.5,32.3; 1591,32.3; 1591.5,32.3;
              1592,32.3; 1592.5,32.3; 1593,32.3; 1593.5,32.3; 1594,32.3; 1594.5,32.3;
              1595,32.3; 1595.5,32.3; 1596,32.3; 1596.5,32.3; 1597,32.3; 1597.5,32.3;
              1598,32.3; 1598.5,32.3; 1599,32.1; 1599.5,32.3; 1600,32.1; 1600.5,32.3;
              1601,32.3; 1601.5,32.1; 1602,32.1; 1602.5,32.1; 1603,32.1; 1603.5,32.1;
              1604,32.1; 1604.5,32.1; 1605,32.1; 1605.5,32.1; 1606,32.1; 1606.5,32.1;
              1607,32.1; 1607.5,32.1; 1608,32.1; 1608.5,32.1; 1609,32.1; 1609.5,32.1;
              1610,32.1; 1610.5,32.1; 1611,32.1; 1611.5,32.1; 1612,32.1; 1612.5,32.1;
              1613,32.1; 1613.5,32.1; 1614,32.1; 1614.5,32.1; 1615,32.1; 1615.5,32.1;
              1616,32.1; 1616.5,32; 1617,32.1; 1617.5,32; 1618,32.1; 1618.5,32; 1619,32;
              1619.5,32; 1620,32; 1620.5,32; 1621,32; 1621.5,32; 1622,32; 1622.5,32; 1623,
              32; 1623.5,32; 1624,32; 1624.5,32; 1625,32; 1625.5,32; 1626,32; 1626.5,32;
              1627,32; 1627.5,32; 1628,32; 1628.5,31.8; 1629,32; 1629.5,32; 1630,32; 1630.5,
              31.8; 1631,32; 1631.5,32; 1632,31.8; 1632.5,31.8; 1633,31.8; 1633.5,31.8;
              1634,31.8; 1634.5,31.8; 1635,31.8; 1635.5,31.8; 1636,31.8; 1636.5,31.8;
              1637,31.8; 1637.5,31.8; 1638,31.8; 1638.5,31.8; 1639,31.8; 1639.5,31.8;
              1640,31.8; 1640.5,31.8; 1641,31.8; 1641.5,31.8; 1642,31.8; 1642.5,31.8;
              1643,31.7; 1643.5,31.8; 1644,31.8; 1644.5,31.7; 1645,31.7; 1645.5,31.8;
              1646,31.8; 1646.5,31.7; 1647,31.8; 1647.5,31.7; 1648,31.7; 1648.5,31.7;
              1649,31.7; 1649.5,31.7; 1650,31.7; 1650.5,31.7; 1651,31.7; 1651.5,31.7;
              1652,31.7; 1652.5,31.7; 1653,31.7; 1653.5,31.7; 1654,31.7; 1654.5,31.7;
              1655,31.7; 1655.5,31.7; 1656,31.7; 1656.5,31.7; 1657,31.7; 1657.5,31.7;
              1658,31.7; 1658.5,31.7; 1659,31.7; 1659.5,31.7; 1660,31.7; 1660.5,31.7;
              1661,31.7; 1661.5,31.7; 1662,31.7; 1662.5,31.7; 1663,31.7; 1663.5,31.7;
              1664,31.7; 1664.5,31.7; 1665,31.7; 1665.5,31.5; 1666,31.5; 1666.5,31.5;
              1667,31.5; 1667.5,31.5; 1668,31.5; 1668.5,31.5; 1669,31.5; 1669.5,31.5;
              1670,31.5; 1670.5,31.5; 1671,31.5; 1671.5,31.5; 1672,31.5; 1672.5,31.5;
              1673,31.5; 1673.5,31.5; 1674,31.5; 1674.5,31.5; 1675,31.5; 1675.5,31.5;
              1676,31.5; 1676.5,31.5; 1677,31.5; 1677.5,31.5; 1678,31.5; 1678.5,31.5;
              1679,31.5; 1679.5,31.4; 1680,31.4; 1680.5,31.4; 1681,31.3; 1681.5,31.4;
              1682,31.4; 1682.5,31.4; 1683,31.4; 1683.5,31.4; 1684,31.4; 1684.5,31.4;
              1685,31.4; 1685.5,31.4; 1686,31.4; 1686.5,31.4; 1687,31.4; 1687.5,31.4;
              1688,31.4; 1688.5,31.4; 1689,31.4; 1689.5,31.4; 1690,31.4; 1690.5,31.4;
              1691,31.4; 1691.5,31.4; 1692,31.3; 1692.5,31.4; 1693,31.4; 1693.5,31.4;
              1694,31.4; 1694.5,31.4; 1695,31.2; 1695.5,31.2; 1696,31.2; 1696.5,31.2;
              1697,31.2; 1697.5,31.2; 1698,31.2; 1698.5,31.2; 1699,31.2; 1699.5,31.2;
              1700,31.2; 1700.5,31.2; 1701,31.2; 1701.5,31.2; 1702,31.2; 1702.5,31.2;
              1703,31.2; 1703.5,31.2; 1704,31.2; 1704.5,31.2; 1705,31.2; 1705.5,31.2;
              1706,31.2; 1706.5,31.2; 1707,31.2; 1707.5,31.2; 1708,31.2; 1708.5,31.2;
              1709,31.2; 1709.5,31.2; 1710,31.2; 1710.5,31.2; 1711,31.2; 1711.5,31.2;
              1712,31.2; 1712.5,31.2; 1713,31.2; 1713.5,31; 1714,31; 1714.5,31.2; 1715,
              31; 1715.5,31.1; 1716,31; 1716.5,31; 1717,31; 1717.5,31.1; 1718,31; 1718.5,
              31; 1719,31; 1719.5,31; 1720,31; 1720.5,31; 1721,31; 1721.5,31; 1722,31;
              1722.5,31; 1723,31; 1723.5,31; 1724,31; 1724.5,31; 1725,31; 1725.5,31; 1726,
              31; 1726.5,31; 1727,30.9; 1727.5,30.9; 1728,30.9; 1728.5,31; 1729,31; 1729.5,
              31; 1730,30.9; 1730.5,31; 1731,30.9; 1731.5,31; 1732,31; 1732.5,30.9; 1733,
              30.9; 1733.5,30.9; 1734,30.9; 1734.5,30.9; 1735,30.9; 1735.5,30.9; 1736,
              30.9; 1736.5,30.9; 1737,30.9; 1737.5,30.9; 1738,30.9; 1738.5,30.9; 1739,
              30.9; 1739.5,30.9; 1740,30.9; 1740.5,30.9; 1741,30.9; 1741.5,30.9; 1742,
              30.9; 1742.5,30.9; 1743,30.9; 1743.5,30.9; 1744,30.9; 1744.5,30.9; 1745,
              30.9; 1745.5,30.9; 1746,30.9; 1746.5,30.9; 1747,30.9; 1747.5,30.9; 1748,
              30.9; 1748.5,30.9; 1749,30.9; 1749.5,30.9; 1750,30.9; 1750.5,30.9; 1751,
              30.7; 1751.5,30.7; 1752,30.7; 1752.5,30.7; 1753,30.7; 1753.5,30.7; 1754,
              30.7; 1754.5,30.7; 1755,30.7; 1755.5,30.7; 1756,30.7; 1756.5,30.7; 1757,
              30.7; 1757.5,30.7; 1758,30.7; 1758.5,30.7; 1759,30.7; 1759.5,30.7; 1760,
              30.7; 1760.5,30.7; 1761,30.7; 1761.5,30.7; 1762,30.7; 1762.5,30.7; 1763,
              30.7; 1763.5,30.7; 1764,30.7; 1764.5,30.6; 1765,30.7; 1765.5,30.7; 1766,
              30.7; 1766.5,30.7; 1767,30.7; 1767.5,30.7; 1768,30.7; 1768.5,30.7; 1769,
              30.6; 1769.5,30.6; 1770,30.6; 1770.5,30.6; 1771,30.6; 1771.5,30.6; 1772,
              30.6; 1772.5,30.6; 1773,30.6; 1773.5,30.6; 1774,30.6; 1774.5,30.6; 1775,
              30.6; 1775.5,30.6; 1776,30.6; 1776.5,30.6; 1777,30.6; 1777.5,30.6; 1778,
              30.6; 1778.5,30.6; 1779,30.6; 1779.5,30.6; 1780,30.6; 1780.5,30.4; 1781,
              30.6; 1781.5,30.6; 1782,30.6; 1782.5,30.6; 1783,30.6; 1783.5,30.4; 1784,
              30.4; 1784.5,30.4; 1785,30.4; 1785.5,30.4; 1786,30.4; 1786.5,30.4; 1787,
              30.4; 1787.5,30.4; 1788,30.4; 1788.5,30.4; 1789,30.4; 1789.5,30.4; 1790,
              30.4; 1790.5,30.4; 1791,30.4; 1791.5,30.4; 1792,30.4; 1792.5,30.4; 1793,
              30.4; 1793.5,30.4; 1794,30.4; 1794.5,30.4; 1795,30.4; 1795.5,30.4; 1796,
              30.4; 1796.5,30.4; 1797,30.4; 1797.5,30.4; 1798,30.4; 1798.5,30.4; 1799,
              30.4; 1799.5,30.4; 1800,30.4; 1800.5,30.4; 1801,30.4; 1801.5,30.4; 1802,
              30.4; 1802.5,30.4; 1803,30.4; 1803.5,30.4; 1804,30.4; 1804.5,30.4; 1805,
              30.4; 1805.5,30.4; 1806,30.4; 1806.5,30.4; 1807,30.4; 1807.5,30.4; 1808,
              30.4; 1808.5,30.3; 1809,30.3; 1809.5,30.3; 1810,30.3; 1810.5,30.3; 1811,
              30.3; 1811.5,30.3; 1812,30.3; 1812.5,30.3; 1813,30.3; 1813.5,30.3; 1814,
              30.3; 1814.5,30.3; 1815,30.3; 1815.5,30.3; 1816,30.3; 1816.5,30.3; 1817,
              30.3; 1817.5,30.3; 1818,30.3; 1818.5,30.3; 1819,30.3; 1819.5,30.3; 1820,
              30.3; 1820.5,30.3; 1821,30.3; 1821.5,30.3; 1822,30.3; 1822.5,30.1; 1823,
              30.1; 1823.5,30.1; 1824,30.1; 1824.5,30.1; 1825,30.1; 1825.5,30.1; 1826,
              30.1; 1826.5,30.1; 1827,30.1; 1827.5,30.1; 1828,30.1; 1828.5,30.1; 1829,
              30.1; 1829.5,30.1; 1830,30.1; 1830.5,30.1; 1831,30.1; 1831.5,30.1; 1832,
              30.1; 1832.5,30.1; 1833,30.1; 1833.5,30.1; 1834,30.1; 1834.5,30.1; 1835,
              30.1; 1835.5,30.1; 1836,30.1; 1836.5,30.1; 1837,30.1; 1837.5,30.1; 1838,
              30.1; 1838.5,30.1; 1839,30.1; 1839.5,30.1; 1840,30.1; 1840.5,30.1; 1841,
              30; 1841.5,30; 1842,30; 1842.5,30; 1843,30; 1843.5,30; 1844,30; 1844.5,30;
              1845,30; 1845.5,30; 1846,30; 1846.5,30; 1847,30; 1847.5,30; 1848,30; 1848.5,
              30; 1849,30; 1849.5,30; 1850,30; 1850.5,30; 1851,30; 1851.5,30; 1852,30;
              1852.5,30; 1853,30; 1853.5,30; 1854,30; 1854.5,30; 1855,30; 1855.5,30; 1856,
              30; 1856.5,30; 1857,30; 1857.5,30; 1858,30; 1858.5,30; 1859,30; 1859.5,30;
              1860,30; 1860.5,30; 1861,30; 1861.5,30; 1862,30; 1862.5,30; 1863,30; 1863.5,
              30; 1864,30; 1864.5,30; 1865,30; 1865.5,30; 1866,30; 1866.5,29.8; 1867,29.8;
              1867.5,29.8; 1868,29.8; 1868.5,29.8; 1869,29.8; 1869.5,29.8; 1870,29.8;
              1870.5,29.8; 1871,29.8; 1871.5,29.8; 1872,29.8; 1872.5,29.8; 1873,29.8;
              1873.5,29.8; 1874,29.8; 1874.5,29.8; 1875,29.8; 1875.5,29.8; 1876,29.8;
              1876.5,29.8; 1877,29.8; 1877.5,29.8; 1878,29.8; 1878.5,29.8; 1879,29.7;
              1879.5,29.8; 1880,29.8; 1880.5,29.8; 1881,29.8; 1881.5,29.8; 1882,29.8;
              1882.5,29.7; 1883,29.8; 1883.5,29.7; 1884,29.7; 1884.5,29.7; 1885,29.7;
              1885.5,29.7; 1886,29.7; 1886.5,29.7; 1887,29.7; 1887.5,29.7; 1888,29.7;
              1888.5,29.7; 1889,29.7; 1889.5,29.7; 1890,29.7; 1890.5,29.7; 1891,29.7;
              1891.5,29.7; 1892,29.7; 1892.5,29.7; 1893,29.7; 1893.5,29.7; 1894,29.7;
              1894.5,29.7; 1895,29.7; 1895.5,29.7; 1896,29.7; 1896.5,29.7; 1897,29.7;
              1897.5,29.7; 1898,29.7; 1898.5,29.7; 1899,29.7; 1899.5,29.7; 1900,29.7;
              1900.5,29.7; 1901,29.7; 1901.5,29.7; 1902,29.7; 1902.5,29.7; 1903,29.7;
              1903.5,29.7; 1904,29.7; 1904.5,29.7; 1905,29.7; 1905.5,29.7; 1906,29.7;
              1906.5,29.7; 1907,29.7; 1907.5,29.7; 1908,29.7; 1908.5,29.5; 1909,29.5;
              1909.5,29.5; 1910,29.5; 1910.5,29.5; 1911,29.5; 1911.5,29.5; 1912,29.5;
              1912.5,29.5; 1913,29.5; 1913.5,29.5; 1914,29.5; 1914.5,29.5; 1915,29.5;
              1915.5,29.5; 1916,29.5; 1916.5,29.5; 1917,29.5; 1917.5,29.5; 1918,29.5;
              1918.5,29.5; 1919,29.5; 1919.5,29.5; 1920,29.5; 1920.5,29.5; 1921,29.5;
              1921.5,29.5; 1922,29.5; 1922.5,29.5; 1923,29.5; 1923.5,29.5; 1924,29.4;
              1924.5,29.5; 1925,29.5; 1925.5,29.5; 1926,29.5; 1926.5,29.4; 1927,29.5;
              1927.5,29.4; 1928,29.4; 1928.5,29.4; 1929,29.4; 1929.5,29.4; 1930,29.4;
              1930.5,29.4; 1931,29.4; 1931.5,29.4; 1932,29.4; 1932.5,29.4; 1933,29.4;
              1933.5,29.4; 1934,29.4; 1934.5,29.4; 1935,29.4; 1935.5,29.4; 1936,29.4;
              1936.5,29.4; 1937,29.4; 1937.5,29.4; 1938,29.4; 1938.5,29.4; 1939,29.4;
              1939.5,29.4; 1940,29.4; 1940.5,29.4; 1941,29.4; 1941.5,29.4; 1942,29.4;
              1942.5,29.4; 1943,29.4; 1943.5,29.4; 1944,29.4; 1944.5,29.4; 1945,29.4;
              1945.5,29.4; 1946,29.4; 1946.5,29.4; 1947,29.2; 1947.5,29.2; 1948,29.2;
              1948.5,29.2; 1949,29.2; 1949.5,29.2; 1950,29.2; 1950.5,29.2; 1951,29.2;
              1951.5,29.2; 1952,29.2; 1952.5,29.2; 1953,29.2; 1953.5,29.2; 1954,29.2;
              1954.5,29.2; 1955,29.2; 1955.5,29.2; 1956,29.2; 1956.5,29.2; 1957,29.2;
              1957.5,29.2; 1958,29.2; 1958.5,29.2; 1959,29.2; 1959.5,29.2; 1960,29.2;
              1960.5,29.2; 1961,29.2; 1961.5,29.2; 1962,29.2; 1962.5,29.2; 1963,29.2;
              1963.5,29.2; 1964,29.2; 1964.5,29.2; 1965,29.2; 1965.5,29.2; 1966,29.2;
              1966.5,29.2; 1967,29.2; 1967.5,29.2; 1968,29.2; 1968.5,29.2; 1969,29.2;
              1969.5,29.2; 1970,29.2; 1970.5,29.2; 1971,29.1; 1971.5,29.2; 1972,29.1;
              1972.5,29.1; 1973,29.1; 1973.5,29.1; 1974,29.1; 1974.5,29.1; 1975,29.1;
              1975.5,29.1; 1976,29.1; 1976.5,29.1; 1977,29.1; 1977.5,29.1; 1978,29.1;
              1978.5,29.1; 1979,29.1; 1979.5,29.1; 1980,29.1; 1980.5,29.1; 1981,29.1;
              1981.5,29.1; 1982,29.1; 1982.5,29.1; 1983,29.1; 1983.5,29.1; 1984,29.1;
              1984.5,29.1; 1985,29.1; 1985.5,29.1; 1986,29.1; 1986.5,29.1; 1987,29.1;
              1987.5,29.1; 1988,29.1; 1988.5,29.1; 1989,29.1; 1989.5,29.1; 1990,29.1;
              1990.5,29.1; 1991,29.1; 1991.5,29.1; 1992,29.1; 1992.5,29.1; 1993,29.1;
              1993.5,29.1; 1994,28.9; 1994.5,28.9; 1995,28.9; 1995.5,28.9; 1996,28.9;
              1996.5,28.9; 1997,28.9; 1997.5,28.9; 1998,28.9; 1998.5,28.9; 1999,28.9;
              1999.5,28.9; 2000,28.9; 2000.5,28.9; 2001,28.9; 2001.5,28.9; 2002,28.9;
              2002.5,28.9; 2003,28.9; 2003.5,28.9; 2004,28.9; 2004.5,28.9; 2005,28.9;
              2005.5,28.9; 2006,28.9; 2006.5,28.9; 2007,28.9; 2007.5,28.9; 2008,28.9;
              2008.5,28.9; 2009,28.9; 2009.5,28.9; 2010,28.9; 2010.5,28.9; 2011,28.9;
              2011.5,28.9; 2012,28.9; 2012.5,28.9; 2013,28.9; 2013.5,28.9; 2014,28.9;
              2014.5,28.8; 2015,28.8; 2015.5,28.8; 2016,28.8; 2016.5,28.8; 2017,28.8;
              2017.5,28.8; 2018,28.8; 2018.5,28.8; 2019,28.8; 2019.5,28.8; 2020,28.7;
              2020.5,28.8; 2021,28.8; 2021.5,28.8; 2022,28.8; 2022.5,28.8; 2023,28.8;
              2023.5,28.8; 2024,28.7; 2024.5,28.8; 2025,28.8; 2025.5,28.7; 2026,28.7;
              2026.5,28.8; 2027,28.8; 2027.5,28.8; 2028,28.8; 2028.5,28.8; 2029,28.8;
              2029.5,28.8; 2030,28.8; 2030.5,28.8; 2031,28.8; 2031.5,28.8; 2032,28.8;
              2032.5,28.8; 2033,28.8; 2033.5,28.8; 2034,28.8; 2034.5,28.8; 2035,28.8;
              2035.5,28.8; 2036,28.8; 2036.5,28.8; 2037,28.8; 2037.5,28.8; 2038,28.8;
              2038.5,28.8; 2039,28.8; 2039.5,28.8; 2040,28.8; 2040.5,28.8; 2041,28.8;
              2041.5,28.8; 2042,28.8; 2042.5,28.8; 2043,28.8; 2043.5,28.8; 2044,28.6;
              2044.5,28.6; 2045,28.6; 2045.5,28.6; 2046,28.6; 2046.5,28.6; 2047,28.6;
              2047.5,28.6; 2048,28.6; 2048.5,28.6; 2049,28.6; 2049.5,28.6; 2050,28.6;
              2050.5,28.6; 2051,28.6; 2051.5,28.6; 2052,28.6; 2052.5,28.6; 2053,28.6;
              2053.5,28.6; 2054,28.6; 2054.5,28.6; 2055,28.6; 2055.5,28.6; 2056,28.6;
              2056.5,28.6; 2057,28.6; 2057.5,28.6; 2058,28.6; 2058.5,28.6; 2059,28.6;
              2059.5,28.6; 2060,28.6; 2060.5,28.6; 2061,28.6; 2061.5,28.6; 2062,28.6;
              2062.5,28.6; 2063,28.6; 2063.5,28.6; 2064,28.6; 2064.5,28.6; 2065,28.6;
              2065.5,28.6; 2066,28.6; 2066.5,28.6; 2067,28.4; 2067.5,28.4; 2068,28.4;
              2068.5,28.4; 2069,28.4; 2069.5,28.4; 2070,28.4; 2070.5,28.4; 2071,28.4;
              2071.5,28.4; 2072,28.4; 2072.5,28.4; 2073,28.4; 2073.5,28.4; 2074,28.4;
              2074.5,28.4; 2075,28.4; 2075.5,28.4; 2076,28.4; 2076.5,28.4; 2077,28.4;
              2077.5,28.4; 2078,28.4; 2078.5,28.4; 2079,28.4; 2079.5,28.4; 2080,28.4;
              2080.5,28.4; 2081,28.4; 2081.5,28.4; 2082,28.4; 2082.5,28.4; 2083,28.4;
              2083.5,28.4; 2084,28.4; 2084.5,28.4; 2085,28.4; 2085.5,28.4; 2086,28.4;
              2086.5,28.4; 2087,28.4; 2087.5,28.4; 2088,28.4; 2088.5,28.4; 2089,28.4;
              2089.5,28.4; 2090,28.4; 2090.5,28.4; 2091,28.4; 2091.5,28.4; 2092,28.4;
              2092.5,28.4; 2093,28.4; 2093.5,28.4; 2094,28.4; 2094.5,28.4; 2095,28.4;
              2095.5,28.4; 2096,28.5; 2096.5,28.4; 2097,28.3; 2097.5,28.3; 2098,28.3;
              2098.5,28.3; 2099,28.3; 2099.5,28.3; 2100,28.3; 2100.5,28.3; 2101,28.3;
              2101.5,28.3; 2102,28.3; 2102.5,28.3; 2103,28.3; 2103.5,28.3; 2104,28.3;
              2104.5,28.3; 2105,28.3; 2105.5,28.3; 2106,28.3; 2106.5,28.3; 2107,28.3;
              2107.5,28.3; 2108,28.3; 2108.5,28.3; 2109,28.3; 2109.5,28.3; 2110,28.3;
              2110.5,28.3; 2111,28.3; 2111.5,28.3; 2112,28.3; 2112.5,28.3; 2113,28.3;
              2113.5,28.3; 2114,28.3; 2114.5,28.3; 2115,28.3; 2115.5,28.1; 2116,28.1;
              2116.5,28.1; 2117,28.1; 2117.5,28.1; 2118,28.1; 2118.5,28.1; 2119,28.1;
              2119.5,28.1; 2120,28.1; 2120.5,28.1; 2121,28.1; 2121.5,28.1; 2122,28.1;
              2122.5,28.1; 2123,28.1; 2123.5,28.1; 2124,28.1; 2124.5,28.1; 2125,28.1;
              2125.5,28.1; 2126,28.1; 2126.5,28.1; 2127,28.1; 2127.5,28.1; 2128,28.1;
              2128.5,28.1; 2129,28.1; 2129.5,28.1; 2130,28.1; 2130.5,28.1; 2131,28.1;
              2131.5,28.1; 2132,28.1; 2132.5,28.1; 2133,28.1; 2133.5,28.1; 2134,28.1;
              2134.5,28.1; 2135,28.1; 2135.5,28.1; 2136,28.1; 2136.5,28.1; 2137,28.1;
              2137.5,28.1; 2138,28.1; 2138.5,28.1; 2139,28.1; 2139.5,28.1; 2140,28.1;
              2140.5,28.1; 2141,28.1; 2141.5,28.1; 2142,28.1; 2142.5,28.1; 2143,28.1;
              2143.5,28.1; 2144,28.1; 2144.5,28.1; 2145,28.1; 2145.5,28.1; 2146,28.1;
              2146.5,28.1; 2147,28.1; 2147.5,28.1; 2148,28.1; 2148.5,28.1; 2149,28; 2149.5,
              28.1; 2150,28.1; 2150.5,28; 2151,28.1; 2151.5,28; 2152,28; 2152.5,28; 2153,
              28; 2153.5,28; 2154,28; 2154.5,28; 2155,28; 2155.5,28; 2156,28; 2156.5,28;
              2157,28; 2157.5,28; 2158,28; 2158.5,28; 2159,28; 2159.5,28; 2160,28; 2160.5,
              28; 2161,28; 2161.5,28; 2162,28; 2162.5,28; 2163,28; 2163.5,28; 2164,28;
              2164.5,28; 2165,28; 2165.5,28; 2166,28; 2166.5,28; 2167,28; 2167.5,28; 2168,
              28; 2168.5,28; 2169,28; 2169.5,28; 2170,28; 2170.5,28; 2171,28; 2171.5,28;
              2172,28; 2172.5,28; 2173,28; 2173.5,28; 2174,28; 2174.5,28; 2175,28; 2175.5,
              28; 2176,28; 2176.5,28; 2177,28; 2177.5,28; 2178,28; 2178.5,27.8; 2179,27.8;
              2179.5,27.8; 2180,27.8; 2180.5,27.8; 2181,27.8; 2181.5,27.8; 2182,27.8;
              2182.5,27.8; 2183,27.8; 2183.5,27.8; 2184,27.8; 2184.5,27.8; 2185,27.8;
              2185.5,27.8; 2186,27.8; 2186.5,27.8; 2187,27.8; 2187.5,27.8; 2188,27.8;
              2188.5,27.8; 2189,27.8; 2189.5,27.8; 2190,27.8; 2190.5,27.8; 2191,27.8;
              2191.5,27.8; 2192,27.8; 2192.5,27.8; 2193,27.8; 2193.5,27.8; 2194,27.8;
              2194.5,27.8; 2195,27.8; 2195.5,27.8; 2196,27.8; 2196.5,27.8; 2197,27.8;
              2197.5,27.8; 2198,27.8; 2198.5,27.8; 2199,27.8; 2199.5,27.8; 2200,27.7;
              2200.5,27.7; 2201,27.7; 2201.5,27.7; 2202,27.7; 2202.5,27.7; 2203,27.7;
              2203.5,27.7; 2204,27.7; 2204.5,27.7; 2205,27.7; 2205.5,27.7; 2206,27.7;
              2206.5,27.7; 2207,27.7; 2207.5,27.7; 2208,27.7; 2208.5,27.7; 2209,27.7;
              2209.5,27.7; 2210,27.7; 2210.5,27.7; 2211,27.7; 2211.5,27.7; 2212,27.7;
              2212.5,27.7; 2213,27.7; 2213.5,27.7; 2214,27.7; 2214.5,27.7; 2215,27.7;
              2215.5,27.7; 2216,27.7; 2216.5,27.7; 2217,27.7; 2217.5,27.7; 2218,27.7;
              2218.5,27.7; 2219,27.7; 2219.5,27.7; 2220,27.7; 2220.5,27.7; 2221,27.7;
              2221.5,27.7; 2222,27.7; 2222.5,27.7; 2223,27.7; 2223.5,27.7; 2224,27.7;
              2224.5,27.7; 2225,27.7; 2225.5,27.7; 2226,27.7; 2226.5,27.7; 2227,27.7;
              2227.5,27.7; 2228,27.7; 2228.5,27.7; 2229,27.7; 2229.5,27.7; 2230,27.7;
              2230.5,27.7; 2231,27.7; 2231.5,27.5; 2232,27.5; 2232.5,27.5; 2233,27.5;
              2233.5,27.5; 2234,27.5; 2234.5,27.5; 2235,27.5; 2235.5,27.5; 2236,27.5;
              2236.5,27.5; 2237,27.5; 2237.5,27.5; 2238,27.5; 2238.5,27.5; 2239,27.5;
              2239.5,27.5; 2240,27.5; 2240.5,27.5; 2241,27.5; 2241.5,27.5; 2242,27.5;
              2242.5,27.5; 2243,27.5; 2243.5,27.5; 2244,27.5; 2244.5,27.5; 2245,27.5;
              2245.5,27.5; 2246,27.5; 2246.5,27.5; 2247,27.5; 2247.5,27.5; 2248,27.5;
              2248.5,27.5; 2249,27.5; 2249.5,27.5; 2250,27.5; 2250.5,27.5; 2251,27.5;
              2251.5,27.5; 2252,27.5; 2252.5,27.5; 2253,27.5; 2253.5,27.5; 2254,27.5;
              2254.5,27.5; 2255,27.5; 2255.5,27.5; 2256,27.4; 2256.5,27.4; 2257,27.4;
              2257.5,27.4; 2258,27.4; 2258.5,27.4; 2259,27.4; 2259.5,27.4; 2260,27.4;
              2260.5,27.4; 2261,27.4; 2261.5,27.4; 2262,27.4; 2262.5,27.4; 2263,27.4;
              2263.5,27.4; 2264,27.4; 2264.5,27.4; 2265,27.4; 2265.5,27.4; 2266,27.4;
              2266.5,27.4; 2267,27.4; 2267.5,27.4; 2268,27.4; 2268.5,27.4; 2269,27.4;
              2269.5,27.4; 2270,27.4; 2270.5,27.4; 2271,27.4; 2271.5,27.4; 2272,27.4;
              2272.5,27.4; 2273,27.4; 2273.5,27.4; 2274,27.4; 2274.5,27.4; 2275,27.4;
              2275.5,27.4; 2276,27.4; 2276.5,27.4; 2277,27.4; 2277.5,27.4; 2278,27.4;
              2278.5,27.4; 2279,27.4; 2279.5,27.4; 2280,27.4; 2280.5,27.4; 2281,27.4;
              2281.5,27.4; 2282,27.4; 2282.5,27.4; 2283,27.4; 2283.5,27.4; 2284,27.4;
              2284.5,27.4; 2285,27.4; 2285.5,27.4; 2286,27.2; 2286.5,27.2; 2287,27.4;
              2287.5,27.2; 2288,27.2; 2288.5,27.2; 2289,27.2; 2289.5,27.2; 2290,27.2;
              2290.5,27.2; 2291,27.2; 2291.5,27.2; 2292,27.2; 2292.5,27.2; 2293,27.2;
              2293.5,27.2; 2294,27.2; 2294.5,27.2; 2295,27.2; 2295.5,27.2; 2296,27.2;
              2296.5,27.2; 2297,27.2; 2297.5,27.2; 2298,27.2; 2298.5,27.2; 2299,27.2;
              2299.5,27.2; 2300,27.2; 2300.5,27.2; 2301,27.2; 2301.5,27.2; 2302,27.2;
              2302.5,27.2; 2303,27.2; 2303.5,27.2; 2304,27.2; 2304.5,27.2; 2305,27.2;
              2305.5,27.2; 2306,27.2; 2306.5,27.2; 2307,27.2; 2307.5,27.2; 2308,27.2;
              2308.5,27.2; 2309,27.2; 2309.5,27.2; 2310,27.2; 2310.5,27.2; 2311,27.2;
              2311.5,27.2; 2312,27.2; 2312.5,27.2; 2313,27.2; 2313.5,27.2; 2314,27.2;
              2314.5,27.2; 2315,27.2; 2315.5,27.2; 2316,27.2; 2316.5,27.2; 2317,27.2;
              2317.5,27.2; 2318,27.2; 2318.5,27.2; 2319,27.2; 2319.5,27.2; 2320,27.2;
              2320.5,27.2; 2321,27.2; 2321.5,27.2; 2322,27.2; 2322.5,27.2; 2323,27.1;
              2323.5,27.1; 2324,27.1; 2324.5,27; 2325,27; 2325.5,27.1; 2326,27; 2326.5,
              27.1; 2327,27; 2327.5,27; 2328,27.1; 2328.5,27.1; 2329,27.1; 2329.5,27.1;
              2330,27.1; 2330.5,27.1; 2331,27; 2331.5,27.1; 2332,27; 2332.5,27.1; 2333,
              27.1; 2333.5,27; 2334,27; 2334.5,27; 2335,27.1; 2335.5,27; 2336,27.1; 2336.5,
              27.1; 2337,27.1; 2337.5,27.1; 2338,27; 2338.5,27.1; 2339,27.1; 2339.5,27.1;
              2340,27; 2340.5,27.1; 2341,27.1; 2341.5,27.1; 2342,27.1; 2342.5,27; 2343,
              27.1; 2343.5,27.1; 2344,27.1; 2344.5,27.1; 2345,27.1; 2345.5,27.1; 2346,
              27.1; 2346.5,27.1; 2347,27; 2347.5,27.1; 2348,27.1; 2348.5,27; 2349,27.1;
              2349.5,27.1; 2350,27.1; 2350.5,27.1; 2351,26.9; 2351.5,26.9; 2352,26.9;
              2352.5,26.9; 2353,26.9; 2353.5,26.9; 2354,26.9; 2354.5,26.9; 2355,26.9;
              2355.5,26.9; 2356,26.9; 2356.5,26.9; 2357,26.9; 2357.5,26.9; 2358,26.9;
              2358.5,26.9; 2359,26.9; 2359.5,26.9; 2360,26.9; 2360.5,26.9; 2361,26.9;
              2361.5,26.9; 2362,26.9; 2362.5,26.9; 2363,26.9; 2363.5,26.9; 2364,26.9;
              2364.5,26.9; 2365,26.9; 2365.5,26.9; 2366,26.9; 2366.5,26.9; 2367,26.9;
              2367.5,26.9; 2368,26.9; 2368.5,26.9; 2369,26.9; 2369.5,26.9; 2370,26.9;
              2370.5,26.9; 2371,26.9; 2371.5,26.9; 2372,26.9; 2372.5,26.9; 2373,26.9;
              2373.5,26.9; 2374,26.9; 2374.5,26.9; 2375,26.9; 2375.5,26.9; 2376,26.9;
              2376.5,26.9; 2377,26.9; 2377.5,26.9; 2378,26.9; 2378.5,26.9; 2379,26.7;
              2379.5,26.7; 2380,26.7; 2380.5,26.7; 2381,26.7; 2381.5,26.7; 2382,26.7;
              2382.5,26.7; 2383,26.7; 2383.5,26.7; 2384,26.7; 2384.5,26.7; 2385,26.7;
              2385.5,26.7; 2386,26.7; 2386.5,26.7; 2387,26.7; 2387.5,26.7; 2388,26.7;
              2388.5,26.7; 2389,26.7; 2389.5,26.7; 2390,26.7; 2390.5,26.7; 2391,26.7;
              2391.5,26.7; 2392,26.7; 2392.5,26.7; 2393,26.7; 2393.5,26.7; 2394,26.7;
              2394.5,26.7; 2395,26.7; 2395.5,26.7; 2396,26.7; 2396.5,26.7; 2397,26.7;
              2397.5,26.7; 2398,26.7; 2398.5,26.7; 2399,26.7; 2399.5,26.7; 2400,26.7;
              2400.5,26.7; 2401,26.7; 2401.5,26.7; 2402,26.7; 2402.5,26.7; 2403,26.7;
              2403.5,26.7; 2404,26.7; 2404.5,26.7; 2405,26.7; 2405.5,26.7; 2406,26.7;
              2406.5,26.7; 2407,26.7; 2407.5,26.7; 2408,26.7; 2408.5,26.7; 2409,26.7;
              2409.5,26.7; 2410,26.7; 2410.5,26.7; 2411,26.7; 2411.5,26.7; 2412,26.7;
              2412.5,26.7; 2413,26.7; 2413.5,26.7; 2414,26.7; 2414.5,26.7; 2415,26.7;
              2415.5,26.7; 2416,26.7; 2416.5,26.7; 2417,26.7; 2417.5,26.7; 2418,26.7;
              2418.5,26.6; 2419,26.7; 2419.5,26.7; 2420,26.6; 2420.5,26.6; 2421,26.6;
              2421.5,26.7; 2422,26.6; 2422.5,26.6; 2423,26.6; 2423.5,26.6; 2424,26.6;
              2424.5,26.6; 2425,26.6; 2425.5,26.6; 2426,26.6; 2426.5,26.6; 2427,26.6;
              2427.5,26.6; 2428,26.6; 2428.5,26.6; 2429,26.6; 2429.5,26.6; 2430,26.6;
              2430.5,26.6; 2431,26.6; 2431.5,26.6; 2432,26.6; 2432.5,26.6; 2433,26.6;
              2433.5,26.6; 2434,26.6; 2434.5,26.6; 2435,26.6; 2435.5,26.6; 2436,26.6;
              2436.5,26.6; 2437,26.6; 2437.5,26.6; 2438,26.6; 2438.5,26.6; 2439,26.6;
              2439.5,26.6; 2440,26.6; 2440.5,26.6; 2441,26.6; 2441.5,26.6; 2442,26.6;
              2442.5,26.6; 2443,26.6; 2443.5,26.6; 2444,26.6; 2444.5,26.6; 2445,26.6;
              2445.5,26.6; 2446,26.6; 2446.5,26.6; 2447,26.6; 2447.5,26.4; 2448,26.6;
              2448.5,26.6; 2449,26.6; 2449.5,26.6; 2450,26.6; 2450.5,26.6; 2451,26.6;
              2451.5,26.6; 2452,26.4; 2452.5,26.6; 2453,26.4; 2453.5,26.4; 2454,26.4;
              2454.5,26.4; 2455,26.4; 2455.5,26.4; 2456,26.4; 2456.5,26.4; 2457,26.4;
              2457.5,26.4; 2458,26.4; 2458.5,26.4; 2459,26.4; 2459.5,26.4; 2460,26.4;
              2460.5,26.4; 2461,26.4; 2461.5,26.4; 2462,26.4; 2462.5,26.4; 2463,26.4;
              2463.5,26.4; 2464,26.4; 2464.5,26.4; 2465,26.4; 2465.5,26.4; 2466,26.4;
              2466.5,26.4; 2467,26.4; 2467.5,26.4; 2468,26.4; 2468.5,26.4; 2469,26.4;
              2469.5,26.4; 2470,26.4; 2470.5,26.4; 2471,26.4; 2471.5,26.4; 2472,26.4;
              2472.5,26.4; 2473,26.4; 2473.5,26.4; 2474,26.4; 2474.5,26.4; 2475,26.4;
              2475.5,26.4; 2476,26.4; 2476.5,26.4; 2477,26.4; 2477.5,26.4; 2478,26.4;
              2478.5,26.4; 2479,26.4; 2479.5,26.4; 2480,26.4; 2480.5,26.4; 2481,26.4;
              2481.5,26.4; 2482,26.4; 2482.5,26.4; 2483,26.4; 2483.5,26.4; 2484,26.4;
              2484.5,26.4; 2485,26.4; 2485.5,26.4; 2486,26.4; 2486.5,26.4; 2487,26.4;
              2487.5,26.4; 2488,26.4; 2488.5,26.4; 2489,26.4; 2489.5,26.4; 2490,26.4;
              2490.5,26.4; 2491,26.4; 2491.5,26.4; 2492,26.4; 2492.5,26.4; 2493,26.4;
              2493.5,26.4; 2494,26.4; 2494.5,26.4; 2495,26.4; 2495.5,26.4; 2496,26.4;
              2496.5,26.4; 2497,26.4; 2497.5,26.4; 2498,26.4; 2498.5,26.4; 2499,26.4;
              2499.5,26.4; 2500,26.3; 2500.5,26.3; 2501,26.4; 2501.5,26.3; 2502,26.3;
              2502.5,26.3; 2503,26.3; 2503.5,26.3; 2504,26.3; 2504.5,26.3; 2505,26.3;
              2505.5,26.3; 2506,26.3; 2506.5,26.3; 2507,26.3; 2507.5,26.3; 2508,26.3;
              2508.5,26.3; 2509,26.3; 2509.5,26.3; 2510,26.3; 2510.5,26.3; 2511,26.3;
              2511.5,26.3; 2512,26.3; 2512.5,26.3; 2513,26.3; 2513.5,26.3; 2514,26.3;
              2514.5,26.3; 2515,26.3; 2515.5,26.3; 2516,26.3; 2516.5,26.3; 2517,26.3;
              2517.5,26.3; 2518,26.3; 2518.5,26.3; 2519,26.3; 2519.5,26.3; 2520,26.3;
              2520.5,26.3; 2521,26.3; 2521.5,26.3; 2522,26.3; 2522.5,26.3; 2523,26.3;
              2523.5,26.3; 2524,26.3; 2524.5,26.3; 2525,26.3; 2525.5,26.3; 2526,26.3;
              2526.5,26.1; 2527,26.3; 2527.5,26.3; 2528,26.3; 2528.5,26.3; 2529,26.3;
              2529.5,26.3; 2530,26.3; 2530.5,26.3; 2531,26.3; 2531.5,26.3; 2532,26.3;
              2532.5,26.3; 2533,26.3; 2533.5,26.1; 2534,26.3; 2534.5,26.1; 2535,26.1;
              2535.5,26.1; 2536,26.1; 2536.5,26.1; 2537,26.1; 2537.5,26.1; 2538,26.1;
              2538.5,26.1; 2539,26.1; 2539.5,26.1; 2540,26.1; 2540.5,26.1; 2541,26.1;
              2541.5,26.1; 2542,26.1; 2542.5,26.1; 2543,26.1; 2543.5,26.1; 2544,26.1;
              2544.5,26.1; 2545,26.1; 2545.5,26.1; 2546,26.1; 2546.5,26.1; 2547,26.1;
              2547.5,26.1; 2548,26.1; 2548.5,26.1; 2549,26.1; 2549.5,26.1; 2550,26.1;
              2550.5,26.1; 2551,26.1; 2551.5,26.1; 2552,26.1; 2552.5,26.1; 2553,26.1;
              2553.5,26.1; 2554,26.1; 2554.5,26.1; 2555,26.1; 2555.5,26.1; 2556,26.1;
              2556.5,26.1; 2557,26.1; 2557.5,26.1; 2558,26.1; 2558.5,26.1; 2559,26.1;
              2559.5,26.1; 2560,26.1; 2560.5,26.1; 2561,26.1; 2561.5,26.1; 2562,26.1;
              2562.5,26.1; 2563,26.1; 2563.5,26.1; 2564,26.1; 2564.5,26.1; 2565,26.1;
              2565.5,26.1; 2566,26.1; 2566.5,26.1; 2567,26.1; 2567.5,26.1; 2568,26.1;
              2568.5,26.1; 2569,26.1; 2569.5,26.1; 2570,26.1; 2570.5,26.1; 2571,26.1;
              2571.5,26.1; 2572,26.1; 2572.5,26.1; 2573,26.1; 2573.5,26.1; 2574,26.1;
              2574.5,26.1; 2575,26.1; 2575.5,26.1; 2576,26.1; 2576.5,26.1; 2577,26.1;
              2577.5,26.1; 2578,26.1; 2578.5,26.1; 2579,26.1; 2579.5,26.1; 2580,26.1;
              2580.5,26; 2581,26; 2581.5,26; 2582,26; 2582.5,26; 2583,26; 2583.5,26; 2584,
              26; 2584.5,26; 2585,26; 2585.5,26; 2586,26; 2586.5,26; 2587,26; 2587.5,26;
              2588,26; 2588.5,26; 2589,26; 2589.5,26; 2590,26; 2590.5,26; 2591,26; 2591.5,
              26; 2592,26; 2592.5,26; 2593,26; 2593.5,26; 2594,26; 2594.5,26; 2595,26;
              2595.5,26; 2596,26; 2596.5,26; 2597,26; 2597.5,26; 2598,26; 2598.5,26; 2599,
              26; 2599.5,26; 2600,26; 2600.5,26; 2601,26; 2601.5,26; 2602,26; 2602.5,26;
              2603,26; 2603.5,26; 2604,26; 2604.5,26; 2605,26; 2605.5,26; 2606,26; 2606.5,
              26; 2607,26; 2607.5,26; 2608,26; 2608.5,26; 2609,26; 2609.5,26; 2610,26;
              2610.5,26; 2611,26; 2611.5,26; 2612,26; 2612.5,26; 2613,26; 2613.5,26; 2614,
              26; 2614.5,26; 2615,26; 2615.5,26; 2616,26; 2616.5,26; 2617,26; 2617.5,26;
              2618,26; 2618.5,26; 2619,26; 2619.5,26; 2620,26; 2620.5,25.8; 2621,25.8;
              2621.5,26; 2622,25.9; 2622.5,25.8; 2623,25.8; 2623.5,25.8; 2624,25.8; 2624.5,
              25.8; 2625,25.8; 2625.5,25.8; 2626,25.8; 2626.5,25.8; 2627,25.8; 2627.5,
              25.8; 2628,25.8; 2628.5,25.8; 2629,25.8; 2629.5,25.8; 2630,25.8; 2630.5,
              25.8; 2631,25.8; 2631.5,25.8; 2632,25.8; 2632.5,25.8; 2633,25.8; 2633.5,
              25.8; 2634,25.8; 2634.5,25.8; 2635,25.8; 2635.5,25.8; 2636,25.8; 2636.5,
              25.8; 2637,25.8; 2637.5,25.8; 2638,25.8; 2638.5,25.8; 2639,25.8; 2639.5,
              25.8; 2640,25.8; 2640.5,25.8; 2641,25.8; 2641.5,25.8; 2642,25.8; 2642.5,
              25.8; 2643,25.8; 2643.5,25.8; 2644,25.8; 2644.5,25.8; 2645,25.8; 2645.5,
              25.8; 2646,25.8; 2646.5,25.8; 2647,25.8; 2647.5,25.8; 2648,25.8; 2648.5,
              25.8; 2649,25.8; 2649.5,25.8; 2650,25.8; 2650.5,25.8; 2651,25.7; 2651.5,
              25.8; 2652,25.8; 2652.5,25.8; 2653,25.8; 2653.5,25.8; 2654,25.8; 2654.5,
              25.7; 2655,25.8; 2655.5,25.8; 2656,25.8; 2656.5,25.8; 2657,25.8; 2657.5,
              25.8; 2658,25.8; 2658.5,25.8; 2659,25.8; 2659.5,25.8; 2660,25.8; 2660.5,
              25.7; 2661,25.8; 2661.5,25.7; 2662,25.7; 2662.5,25.7; 2663,25.7; 2663.5,
              25.7; 2664,25.7; 2664.5,25.7; 2665,25.7; 2665.5,25.7; 2666,25.7; 2666.5,
              25.7; 2667,25.7; 2667.5,25.7; 2668,25.7; 2668.5,25.7; 2669,25.7; 2669.5,
              25.7; 2670,25.7; 2670.5,25.7; 2671,25.7; 2671.5,25.7; 2672,25.7; 2672.5,
              25.7; 2673,25.7; 2673.5,25.7; 2674,25.7; 2674.5,25.7; 2675,25.7; 2675.5,
              25.7; 2676,25.7; 2676.5,25.7; 2677,25.7; 2677.5,25.7; 2678,25.7; 2678.5,
              25.7; 2679,25.7; 2679.5,25.7; 2680,25.7; 2680.5,25.7; 2681,25.7; 2681.5,
              25.7; 2682,25.7; 2682.5,25.7; 2683,25.7; 2683.5,25.7; 2684,25.7; 2684.5,
              25.7; 2685,25.7; 2685.5,25.7; 2686,25.7; 2686.5,25.7; 2687,25.7; 2687.5,
              25.7; 2688,25.7; 2688.5,25.7; 2689,25.7; 2689.5,25.7; 2690,25.7; 2690.5,
              25.7; 2691,25.7; 2691.5,25.7; 2692,25.7; 2692.5,25.7; 2693,25.7; 2693.5,
              25.7; 2694,25.7; 2694.5,25.7; 2695,25.7; 2695.5,25.7; 2696,25.7; 2696.5,
              25.7; 2697,25.7; 2697.5,25.7; 2698,25.7; 2698.5,25.7; 2699,25.7; 2699.5,
              25.7; 2700,25.7; 2700.5,25.7; 2701,25.7; 2701.5,25.7; 2702,25.7; 2702.5,
              25.7; 2703,25.7; 2703.5,25.7; 2704,25.7; 2704.5,25.7; 2705,25.7; 2705.5,
              25.5; 2706,25.7; 2706.5,25.7; 2707,25.7; 2707.5,25.7; 2708,25.7; 2708.5,
              25.7; 2709,25.7; 2709.5,25.7; 2710,25.7; 2710.5,25.7; 2711,25.7; 2711.5,
              25.7; 2712,25.7; 2712.5,25.5; 2713,25.7; 2713.5,25.5; 2714,25.7; 2714.5,
              25.5; 2715,25.5; 2715.5,25.7; 2716,25.5; 2716.5,25.5; 2717,25.5; 2717.5,
              25.5; 2718,25.5; 2718.5,25.5; 2719,25.5; 2719.5,25.5; 2720,25.5; 2720.5,
              25.5; 2721,25.5; 2721.5,25.5; 2722,25.5; 2722.5,25.5; 2723,25.5; 2723.5,
              25.5; 2724,25.5; 2724.5,25.5; 2725,25.5; 2725.5,25.5; 2726,25.5; 2726.5,
              25.5; 2727,25.5; 2727.5,25.5; 2728,25.5; 2728.5,25.5; 2729,25.5; 2729.5,
              25.5; 2730,25.5; 2730.5,25.5; 2731,25.5; 2731.5,25.5; 2732,25.5; 2732.5,
              25.5; 2733,25.5; 2733.5,25.5; 2734,25.5; 2734.5,25.5; 2735,25.5; 2735.5,
              25.5; 2736,25.5; 2736.5,25.5; 2737,25.5; 2737.5,25.5; 2738,25.5; 2738.5,
              25.5; 2739,25.5; 2739.5,25.5; 2740,25.5; 2740.5,25.5; 2741,25.5; 2741.5,
              25.5; 2742,25.5; 2742.5,25.5; 2743,25.5; 2743.5,25.5; 2744,25.5; 2744.5,
              25.5; 2745,25.5; 2745.5,25.5; 2746,25.5; 2746.5,25.5; 2747,25.5; 2747.5,
              25.5; 2748,25.5; 2748.5,25.5; 2749,25.5; 2749.5,25.5; 2750,25.5; 2750.5,
              25.5; 2751,25.5; 2751.5,25.5; 2752,25.5; 2752.5,25.5; 2753,25.5; 2753.5,
              25.5; 2754,25.5; 2754.5,25.5; 2755,25.5; 2755.5,25.5; 2756,25.5; 2756.5,
              25.5; 2757,25.5; 2757.5,25.5; 2758,25.5; 2758.5,25.5; 2759,25.3; 2759.5,
              25.4; 2760,25.4; 2760.5,25.4; 2761,25.4; 2761.5,25.3; 2762,25.4; 2762.5,
              25.4; 2763,25.4; 2763.5,25.4; 2764,25.4; 2764.5,25.4; 2765,25.4; 2765.5,
              25.4; 2766,25.4; 2766.5,25.4; 2767,25.4; 2767.5,25.3; 2768,25.3; 2768.5,
              25.3; 2769,25.4; 2769.5,25.4; 2770,25.4; 2770.5,25.4; 2771,25.4; 2771.5,
              25.4; 2772,25.3; 2772.5,25.3; 2773,25.4; 2773.5,25.4; 2774,25.4; 2774.5,
              25.4; 2775,25.4; 2775.5,25.4; 2776,25.3; 2776.5,25.4; 2777,25.4; 2777.5,
              25.4; 2778,25.4; 2778.5,25.4; 2779,25.4; 2779.5,25.4; 2780,25.4; 2780.5,
              25.4; 2781,25.4; 2781.5,25.4; 2782,25.4; 2782.5,25.4; 2783,25.4; 2783.5,
              25.4; 2784,25.4; 2784.5,25.4; 2785,25.4; 2785.5,25.4; 2786,25.3; 2786.5,
              25.4; 2787,25.3; 2787.5,25.4; 2788,25.3; 2788.5,25.4; 2789,25.4; 2789.5,
              25.4; 2790,25.3; 2790.5,25.4; 2791,25.4; 2791.5,25.4; 2792,25.4; 2792.5,
              25.4; 2793,25.4; 2793.5,25.4; 2794,25.4; 2794.5,25.4; 2795,25.4; 2795.5,
              25.4; 2796,25.4; 2796.5,25.4; 2797,25.4; 2797.5,25.4; 2798,25.4; 2798.5,
              25.4; 2799,25.4; 2799.5,25.4; 2800,25.4; 2800.5,25.4; 2801,25.4; 2801.5,
              25.4; 2802,25.4; 2802.5,25.4; 2803,25.4; 2803.5,25.4; 2804,25.4; 2804.5,
              25.4; 2805,25.4; 2805.5,25.4; 2806,25.4; 2806.5,25.4; 2807,25.2; 2807.5,
              25.4; 2808,25.4; 2808.5,25.4; 2809,25.2; 2809.5,25.4; 2810,25.2; 2810.5,
              25.2; 2811,25.2; 2811.5,25.2; 2812,25.2; 2812.5,25.2; 2813,25.2; 2813.5,
              25.2; 2814,25.2; 2814.5,25.2; 2815,25.2; 2815.5,25.2; 2816,25.2; 2816.5,
              25.2; 2817,25.2; 2817.5,25.2; 2818,25.2; 2818.5,25.2; 2819,25.2; 2819.5,
              25.2; 2820,25.2; 2820.5,25.2; 2821,25.2; 2821.5,25.2; 2822,25.2; 2822.5,
              25.2; 2823,25.2; 2823.5,25.2; 2824,25.2; 2824.5,25.2; 2825,25.2; 2825.5,
              25.2; 2826,25.2; 2826.5,25.2; 2827,25.2; 2827.5,25.2; 2828,25.2; 2828.5,
              25.2; 2829,25.2; 2829.5,25.2; 2830,25.2; 2830.5,25.2; 2831,25.2; 2831.5,
              25.2; 2832,25.2; 2832.5,25.2; 2833,25.2; 2833.5,25.2; 2834,25.2; 2834.5,
              25.2; 2835,25.2; 2835.5,25.2; 2836,25.2; 2836.5,25.2; 2837,25.2; 2837.5,
              25.2; 2838,25.2; 2838.5,25.2; 2839,25.2; 2839.5,25.2; 2840,25.2; 2840.5,
              25.2; 2841,25.2; 2841.5,25.2; 2842,25.2; 2842.5,25.2; 2843,25.2; 2843.5,
              25.2; 2844,25.2; 2844.5,25.2; 2845,25.2; 2845.5,25.2; 2846,25.2; 2846.5,
              25.2; 2847,25.2; 2847.5,25.2; 2848,25.2; 2848.5,25.2; 2849,25.2; 2849.5,
              25.2; 2850,25.2; 2850.5,25.2; 2851,25.2; 2851.5,25.2; 2852,25.2; 2852.5,
              25.2; 2853,25.2; 2853.5,25.2; 2854,25.2; 2854.5,25.2; 2855,25.2; 2855.5,
              25.2; 2856,25.2; 2856.5,25.2; 2857,25.2; 2857.5,25.2; 2858,25.2; 2858.5,
              25.2; 2859,25.2; 2859.5,25.2; 2860,25.2; 2860.5,25.2; 2861,25.2; 2861.5,
              25; 2862,25.2; 2862.5,25.2; 2863,25; 2863.5,25.2; 2864,25.2; 2864.5,25.2;
              2865,25.2; 2865.5,25.2; 2866,25.1; 2866.5,25; 2867,25; 2867.5,25; 2868,25;
              2868.5,25; 2869,25.1; 2869.5,25; 2870,25; 2870.5,25; 2871,25; 2871.5,25;
              2872,25; 2872.5,25.1; 2873,25; 2873.5,25; 2874,25; 2874.5,25; 2875,25.1;
              2875.5,25.1; 2876,25; 2876.5,25; 2877,25; 2877.5,25; 2878,25.1; 2878.5,25;
              2879,25.1; 2879.5,25; 2880,25; 2880.5,25; 2881,25; 2881.5,25.1; 2882,25;
              2882.5,25; 2883,25; 2883.5,25; 2884,25; 2884.5,25; 2885,25; 2885.5,25; 2886,
              25; 2886.5,25.1; 2887,25; 2887.5,25; 2888,25; 2888.5,25; 2889,25; 2889.5,
              25.1; 2890,25; 2890.5,25; 2891,25; 2891.5,25; 2892,25; 2892.5,25; 2893,25;
              2893.5,25; 2894,25.1; 2894.5,25; 2895,25; 2895.5,25; 2896,25; 2896.5,25;
              2897,25; 2897.5,25; 2898,25.1; 2898.5,25; 2899,25; 2899.5,25.1; 2900,25;
              2900.5,25; 2901,25; 2901.5,25.1; 2902,25.1; 2902.5,25; 2903,25; 2903.5,25;
              2904,25; 2904.5,25; 2905,25; 2905.5,25.1; 2906,25.1; 2906.5,25; 2907,25;
              2907.5,25; 2908,25; 2908.5,25.1; 2909,25; 2909.5,25; 2910,25; 2910.5,25.1;
              2911,25; 2911.5,25; 2912,25; 2912.5,25.1; 2913,25; 2913.5,25; 2914,25; 2914.5,
              25.1; 2915,25.1; 2915.5,25.1; 2916,25; 2916.5,25; 2917,25; 2917.5,25; 2918,
              25.1; 2918.5,25; 2919,24.9; 2919.5,25; 2920,25; 2920.5,25; 2921,24.9; 2921.5,
              24.9; 2922,24.9; 2922.5,24.9; 2923,24.9; 2923.5,24.9; 2924,24.9; 2924.5,
              24.9; 2925,24.9; 2925.5,24.9; 2926,24.9; 2926.5,24.9; 2927,24.9; 2927.5,
              24.9; 2928,24.9; 2928.5,24.9; 2929,24.9; 2929.5,24.9; 2930,24.9; 2930.5,
              24.9; 2931,24.9; 2931.5,24.9; 2932,24.9; 2932.5,24.9; 2933,24.9; 2933.5,
              24.9; 2934,24.9; 2934.5,24.9; 2935,24.9; 2935.5,24.9; 2936,24.9; 2936.5,
              24.9; 2937,24.9; 2937.5,24.9; 2938,24.9; 2938.5,24.9; 2939,24.9; 2939.5,
              24.9; 2940,24.9; 2940.5,24.9; 2941,24.9; 2941.5,24.9; 2942,24.9; 2942.5,
              24.9; 2943,24.9; 2943.5,24.9; 2944,24.9; 2944.5,24.9; 2945,24.9; 2945.5,
              24.9; 2946,24.9; 2946.5,24.9; 2947,24.9; 2947.5,24.9; 2948,24.9; 2948.5,
              24.9; 2949,24.9; 2949.5,24.9; 2950,24.9; 2950.5,24.9; 2951,24.9; 2951.5,
              24.9; 2952,24.9; 2952.5,24.9; 2953,24.9; 2953.5,24.9; 2954,24.9; 2954.5,
              24.9; 2955,24.9; 2955.5,24.9; 2956,24.9; 2956.5,24.9; 2957,24.9; 2957.5,
              24.9; 2958,24.9; 2958.5,24.9; 2959,24.9; 2959.5,24.9; 2960,24.9; 2960.5,
              24.9; 2961,24.9; 2961.5,24.9; 2962,24.9; 2962.5,24.9; 2963,24.9; 2963.5,
              24.9; 2964,24.9; 2964.5,24.9; 2965,24.9; 2965.5,24.9; 2966,24.9; 2966.5,
              24.9; 2967,24.9; 2967.5,24.9; 2968,24.9; 2968.5,24.9; 2969,24.9; 2969.5,
              24.9; 2970,24.9; 2970.5,24.9; 2971,24.9; 2971.5,24.9; 2972,24.9; 2972.5,
              24.9; 2973,24.9; 2973.5,24.9; 2974,24.9; 2974.5,24.9; 2975,24.9; 2975.5,
              24.9; 2976,24.9; 2976.5,24.9; 2977,24.9; 2977.5,24.9; 2978,24.9; 2978.5,
              24.9; 2979,24.9; 2979.5,24.9; 2980,24.9; 2980.5,24.9; 2981,24.9; 2981.5,
              24.9; 2982,24.9; 2982.5,24.9; 2983,24.9; 2983.5,24.9; 2984,24.9; 2984.5,
              24.9; 2985,24.9; 2985.5,24.9; 2986,24.9; 2986.5,24.9; 2987,24.9; 2987.5,
              24.9; 2988,24.9; 2988.5,24.9; 2989,24.9; 2989.5,24.9; 2990,24.9; 2990.5,
              24.9; 2991,24.9; 2991.5,24.9; 2992,24.9; 2992.5,24.9; 2993,24.9; 2993.5,
              24.9; 2994,24.9; 2994.5,24.9; 2995,24.9; 2995.5,24.9; 2996,24.7; 2996.5,
              24.7; 2997,24.7; 2997.5,24.7; 2998,24.9; 2998.5,24.7; 2999,24.7; 2999.5,
              24.7; 3000,24.7; 3000.5,24.7; 3001,24.7; 3001.5,24.9; 3002,24.7; 3002.5,
              24.7; 3003,24.7; 3003.5,24.7; 3004,24.7; 3004.5,24.7; 3005,24.7; 3005.5,
              24.7; 3006,24.7; 3006.5,24.7; 3007,24.8; 3007.5,24.7; 3008,24.7; 3008.5,
              24.7; 3009,24.7; 3009.5,24.7; 3010,24.7; 3010.5,24.7; 3011,24.7; 3011.5,
              24.7; 3012,24.7; 3012.5,24.7; 3013,24.7; 3013.5,24.7; 3014,24.7; 3014.5,
              24.7; 3015,24.7; 3015.5,24.7; 3016,24.7; 3016.5,24.7; 3017,24.7; 3017.5,
              24.7; 3018,24.7; 3018.5,24.7; 3019,24.7; 3019.5,24.7; 3020,24.7; 3020.5,
              24.7; 3021,24.7; 3021.5,24.7; 3022,24.7; 3022.5,24.7; 3023,24.7; 3023.5,
              24.7; 3024,24.7; 3024.5,24.7; 3025,24.8; 3025.5,24.7; 3026,24.7; 3026.5,
              24.7; 3027,24.7; 3027.5,24.7; 3028,24.7; 3028.5,24.7; 3029,24.7; 3029.5,
              24.7; 3030,24.7; 3030.5,24.7; 3031,24.7; 3031.5,24.7; 3032,24.7; 3032.5,
              24.7; 3033,24.7; 3033.5,24.7; 3034,24.7; 3034.5,24.7; 3035,24.7; 3035.5,
              24.7; 3036,24.7; 3036.5,24.7; 3037,24.7; 3037.5,24.7; 3038,24.7; 3038.5,
              24.7; 3039,24.7; 3039.5,24.7; 3040,24.7; 3040.5,24.7; 3041,24.7; 3041.5,
              24.7; 3042,24.7; 3042.5,24.7; 3043,24.6; 3043.5,24.7; 3044,24.6; 3044.5,
              24.6; 3045,24.6; 3045.5,24.7; 3046,24.7; 3046.5,24.6; 3047,24.6; 3047.5,
              24.7; 3048,24.7; 3048.5,24.6; 3049,24.6; 3049.5,24.6; 3050,24.6; 3050.5,
              24.6; 3051,24.6; 3051.5,24.6; 3052,24.6; 3052.5,24.6; 3053,24.6; 3053.5,
              24.6; 3054,24.6; 3054.5,24.6; 3055,24.6; 3055.5,24.6; 3056,24.6; 3056.5,
              24.6; 3057,24.6; 3057.5,24.6; 3058,24.6; 3058.5,24.6; 3059,24.6; 3059.5,
              24.6; 3060,24.6; 3060.5,24.6; 3061,24.6; 3061.5,24.6; 3062,24.6; 3062.5,
              24.6; 3063,24.6; 3063.5,24.6; 3064,24.6; 3064.5,24.6; 3065,24.6; 3065.5,
              24.6; 3066,24.6; 3066.5,24.6; 3067,24.6; 3067.5,24.6; 3068,24.6; 3068.5,
              24.6; 3069,24.6; 3069.5,24.6; 3070,24.6; 3070.5,24.6; 3071,24.6; 3071.5,
              24.6; 3072,24.6; 3072.5,24.6; 3073,24.6; 3073.5,24.6; 3074,24.6; 3074.5,
              24.6; 3075,24.6; 3075.5,24.6; 3076,24.6; 3076.5,24.6; 3077,24.6; 3077.5,
              24.6; 3078,24.6; 3078.5,24.6; 3079,24.6; 3079.5,24.6; 3080,24.6; 3080.5,
              24.6; 3081,24.6; 3081.5,24.6; 3082,24.6; 3082.5,24.6; 3083,24.6; 3083.5,
              24.6; 3084,24.6; 3084.5,24.6; 3085,24.6; 3085.5,24.6; 3086,24.6; 3086.5,
              24.6; 3087,24.6; 3087.5,24.6; 3088,24.6; 3088.5,24.6; 3089,24.6; 3089.5,
              24.6; 3090,24.6; 3090.5,24.6; 3091,24.6; 3091.5,24.6; 3092,24.6; 3092.5,
              24.6; 3093,24.6; 3093.5,24.6; 3094,24.6; 3094.5,24.6; 3095,24.6; 3095.5,
              24.6; 3096,24.6; 3096.5,24.6; 3097,24.6; 3097.5,24.6; 3098,24.6; 3098.5,
              24.4; 3099,24.4; 3099.5,24.4; 3100,24.4; 3100.5,24.4; 3101,24.6; 3101.5,
              24.4; 3102,24.4; 3102.5,24.4; 3103,24.4; 3103.5,24.4; 3104,24.4; 3104.5,
              24.4; 3105,24.4; 3105.5,24.4; 3106,24.4; 3106.5,24.4; 3107,24.4; 3107.5,
              24.4; 3108,24.4; 3108.5,24.4; 3109,24.4; 3109.5,24.4; 3110,24.4; 3110.5,
              24.4; 3111,24.4; 3111.5,24.4; 3112,24.4; 3112.5,24.4; 3113,24.4; 3113.5,
              24.4; 3114,24.4; 3114.5,24.4; 3115,24.4; 3115.5,24.4; 3116,24.4; 3116.5,
              24.4; 3117,24.4; 3117.5,24.4; 3118,24.4; 3118.5,24.4; 3119,24.4; 3119.5,
              24.4; 3120,24.4; 3120.5,24.4; 3121,24.4; 3121.5,24.4; 3122,24.4; 3122.5,
              24.4; 3123,24.4; 3123.5,24.4; 3124,24.4; 3124.5,24.4; 3125,24.4; 3125.5,
              24.4; 3126,24.4; 3126.5,24.4; 3127,24.4; 3127.5,24.4; 3128,24.4; 3128.5,
              24.4; 3129,24.4; 3129.5,24.4; 3130,24.4; 3130.5,24.4; 3131,24.4; 3131.5,
              24.4; 3132,24.4; 3132.5,24.4; 3133,24.4; 3133.5,24.4; 3134,24.4; 3134.5,
              24.4; 3135,24.4; 3135.5,24.4; 3136,24.4; 3136.5,24.4; 3137,24.4; 3137.5,
              24.4; 3138,24.4; 3138.5,24.4; 3139,24.4; 3139.5,24.4; 3140,24.4; 3140.5,
              24.4; 3141,24.4; 3141.5,24.4; 3142,24.4; 3142.5,24.4; 3143,24.4; 3143.5,
              24.4; 3144,24.4; 3144.5,24.4; 3145,24.4; 3145.5,24.4; 3146,24.4; 3146.5,
              24.4; 3147,24.4; 3147.5,24.4; 3148,24.4; 3148.5,24.4; 3149,24.4; 3149.5,
              24.4; 3150,24.4; 3150.5,24.4; 3151,24.4; 3151.5,24.4; 3152,24.4; 3152.5,
              24.4; 3153,24.4; 3153.5,24.4; 3154,24.4; 3154.5,24.4; 3155,24.4; 3155.5,
              24.4; 3156,24.4; 3156.5,24.4; 3157,24.4; 3157.5,24.4; 3158,24.4; 3158.5,
              24.4; 3159,24.4; 3159.5,24.4; 3160,24.4; 3160.5,24.4; 3161,24.4; 3161.5,
              24.4; 3162,24.4; 3162.5,24.4; 3163,24.4; 3163.5,24.4; 3164,24.4; 3164.5,
              24.4; 3165,24.4; 3165.5,24.4; 3166,24.4; 3166.5,24.4; 3167,24.4; 3167.5,
              24.4; 3168,24.4; 3168.5,24.4; 3169,24.4; 3169.5,24.4; 3170,24.4; 3170.5,
              24.4; 3171,24.4; 3171.5,24.4; 3172,24.4; 3172.5,24.4; 3173,24.4; 3173.5,
              24.4; 3174,24.4; 3174.5,24.4; 3175,24.4; 3175.5,24.4; 3176,24.4; 3176.5,
              24.4; 3177,24.4; 3177.5,24.4; 3178,24.4; 3178.5,24.4; 3179,24.4; 3179.5,
              24.4; 3180,24.4; 3180.5,24.4; 3181,24.4; 3181.5,24.4; 3182,24.4; 3182.5,
              24.4; 3183,24.4; 3183.5,24.4; 3184,24.4; 3184.5,24.4; 3185,24.4; 3185.5,
              24.4; 3186,24.4; 3186.5,24.4; 3187,24.4; 3187.5,24.4; 3188,24.3; 3188.5,
              24.3; 3189,24.4; 3189.5,24.4; 3190,24.3; 3190.5,24.4; 3191,24.3; 3191.5,
              24.3; 3192,24.3; 3192.5,24.3; 3193,24.4; 3193.5,24.3; 3194,24.3; 3194.5,
              24.3; 3195,24.3; 3195.5,24.3; 3196,24.3; 3196.5,24.3; 3197,24.3; 3197.5,
              24.3; 3198,24.3; 3198.5,24.3; 3199,24.3; 3199.5,24.3; 3200,24.3; 3200.5,
              24.3; 3201,24.3; 3201.5,24.3; 3202,24.3; 3202.5,24.3; 3203,24.3; 3203.5,
              24.3; 3204,24.3; 3204.5,24.3; 3205,24.3; 3205.5,24.3; 3206,24.3; 3206.5,
              24.3; 3207,24.3; 3207.5,24.3; 3208,24.3; 3208.5,24.3; 3209,24.3; 3209.5,
              24.3; 3210,24.3; 3210.5,24.3; 3211,24.3; 3211.5,24.3; 3212,24.3; 3212.5,
              24.3; 3213,24.3; 3213.5,24.3; 3214,24.3; 3214.5,24.3; 3215,24.3; 3215.5,
              24.3; 3216,24.3; 3216.5,24.3; 3217,24.3; 3217.5,24.3; 3218,24.3; 3218.5,
              24.3; 3219,24.3; 3219.5,24.3; 3220,24.3; 3220.5,24.3; 3221,24.3; 3221.5,
              24.3; 3222,24.3; 3222.5,24.3; 3223,24.3; 3223.5,24.3; 3224,24.3; 3224.5,
              24.3; 3225,24.3; 3225.5,24.3; 3226,24.3; 3226.5,24.3; 3227,24.3; 3227.5,
              24.3; 3228,24.3; 3228.5,24.3; 3229,24.3; 3229.5,24.3; 3230,24.3; 3230.5,
              24.3; 3231,24.3; 3231.5,24.3; 3232,24.3; 3232.5,24.3; 3233,24.3; 3233.5,
              24.3; 3234,24.3; 3234.5,24.3; 3235,24.3; 3235.5,24.3; 3236,24.3; 3236.5,
              24.3; 3237,24.3; 3237.5,24.3; 3238,24.3; 3238.5,24.3; 3239,24.3; 3239.5,
              24.3; 3240,24.3; 3240.5,24.3; 3241,24.3; 3241.5,24.3; 3242,24.3; 3242.5,
              24.3; 3243,24.3; 3243.5,24.3; 3244,24.3; 3244.5,24.3; 3245,24.3; 3245.5,
              24.3; 3246,24.3; 3246.5,24.3; 3247,24.3; 3247.5,24.3; 3248,24.1; 3248.5,
              24.3; 3249,24.3; 3249.5,24.3; 3250,24.3; 3250.5,24.3; 3251,24.3; 3251.5,
              24.3; 3252,24.3; 3252.5,24.3; 3253,24.3; 3253.5,24.1; 3254,24.3; 3254.5,
              24.1; 3255,24.3; 3255.5,24.3; 3256,24.3; 3256.5,24.3; 3257,24.1; 3257.5,
              24.1; 3258,24.1; 3258.5,24.1; 3259,24.1; 3259.5,24.1; 3260,24.1; 3260.5,
              24.1; 3261,24.1; 3261.5,24.1; 3262,24.1; 3262.5,24.1; 3263,24.1; 3263.5,
              24.1; 3264,24.1; 3264.5,24.1; 3265,24.1; 3265.5,24.1; 3266,24.1; 3266.5,
              24.1; 3267,24.1; 3267.5,24.1; 3268,24.1; 3268.5,24.1; 3269,24.1; 3269.5,
              24.1; 3270,24.1; 3270.5,24.1; 3271,24.1; 3271.5,24.1; 3272,24.1; 3272.5,
              24.1]) annotation (Placement(transformation(
              extent={{-10,-10},{10,10}},
              rotation=90,
              origin={80,-80})));
        Modelica.Blocks.Sources.Clock clock annotation (Placement(transformation(
              extent={{-10,-10},{10,10}},
              rotation=90,
              origin={0,-90})));
        Components.HeatTransfer.CopperPlate copperPlate
          annotation (Placement(transformation(extent={{-60,10},{-40,30}})));
        Components.HeatTransfer.CopperPlate copperPlate1
          annotation (Placement(transformation(extent={{40,10},{60,30}})));
        Components.HeatTransfer.CopperPlate copperPlate2 annotation (Placement(
              transformation(
              extent={{-10,-10},{10,10}},
              rotation=180,
              origin={-50,-20})));
        Components.HeatTransfer.HTP hTP
          annotation (Placement(transformation(extent={{-60,-2},{-40,18}})));
        Components.HeatTransfer.HTP hTP1              annotation (Placement(
              transformation(
              extent={{-10,-10},{10,10}},
              rotation=180,
              origin={-50,-8})));

        Modelica.Blocks.Sources.Constant KToDegC(k=273.15) annotation (
            Placement(transformation(
              extent={{-10,-10},{10,10}},
              rotation=270,
              origin={0,90})));
        Modelica.Blocks.Math.Add add annotation (Placement(transformation(
              extent={{-10,-10},{10,10}},
              rotation=270,
              origin={-50,70})));
        Modelica.Blocks.Math.Add add1 annotation (Placement(transformation(
              extent={{-10,-10},{10,10}},
              rotation=90,
              origin={-50,-70})));
        Components.HeatTransfer.AirGap airGap(d_Air=0.00003)
          annotation (Placement(transformation(extent={{-60,4},{-40,24}})));
        Components.HeatTransfer.AirGap airGap1(d_Air=0.00003) annotation (
            Placement(transformation(
              extent={{-10,-10},{10,10}},
              rotation=180,
              origin={-50,-14})));
        Modelica.Blocks.Math.Add add2 annotation (Placement(transformation(
              extent={{-10,-10},{10,10}},
              rotation=90,
              origin={50,-70})));
        Components.HeatTransfer.HTP hTP2              annotation (Placement(
              transformation(
              extent={{-10,-10},{10,10}},
              rotation=180,
              origin={50,-8})));
        Components.HeatTransfer.AirGap airGap2(d_Air=0.00003) annotation (
            Placement(transformation(
              extent={{-10,-10},{10,10}},
              rotation=180,
              origin={50,-14})));
        Components.HeatTransfer.CopperPlate copperPlate3 annotation (Placement(
              transformation(
              extent={{-10,-10},{10,10}},
              rotation=180,
              origin={50,-20})));
        Components.HeatTransfer.HTP hTP3
          annotation (Placement(transformation(extent={{40,-2},{60,18}})));
        Components.HeatTransfer.AirGap airGap3(d_Air=0.00003)
          annotation (Placement(transformation(extent={{40,4},{60,24}})));
        Modelica.Blocks.Math.Add add3
                                     annotation (Placement(transformation(
              extent={{-10,-10},{10,10}},
              rotation=270,
              origin={50,70})));
        Modelica.Blocks.Math.Add deltaT_TEC(k2=-1)
          annotation (Placement(transformation(extent={{-88,14},{-68,34}})));
        Modelica.Blocks.Math.Add deltaT_TEG(k1=-1) annotation (Placement(
              transformation(
              extent={{-10,-10},{10,10}},
              rotation=180,
              origin={78,26})));
      //*****************************************************************************/

      //equations********************************************************************/
      equation
        connect(tEC1_12706_1.pin_n1, voltageSensor_TEC.p) annotation (Line(points={{-59,0},
                {-94,0},{-94,-30},{-90,-30}},    color={0,0,255}));
        connect(tEC1_12706_1.pin_p1, ground.p)
          annotation (Line(points={{-41,0},{-30,0},{-30,-28}},
                                                             color={0,0,255}));
        connect(gM250_127_14_10_1.pin_p1, ground1.p)
          annotation (Line(points={{59,0},{70,0},{70,-28}},
                                                          color={0,0,255}));
        connect(prescribedTemperature.port, copperPlate.port_a1)
          annotation (Line(points={{-50,28},{-50,23}}, color={191,0,0}));
        connect(prescribedTemperature1.port, copperPlate1.port_a1)
          annotation (Line(points={{50,26},{50,23}},         color={191,0,0}));
        connect(copperPlate2.port_a1, prescribedTemperature2.port)
          annotation (Line(points={{-50,-23},{-50,-28}}, color={191,0,0}));
        connect(tEC1_12706_1.port_b1, hTP.port_b1)
          annotation (Line(points={{-50,5},{-50,5}},         color={191,0,0}));
        connect(tEC1_12706_1.port_a1, hTP1.port_b1)
          annotation (Line(points={{-50,-5},{-50,-5}}, color={191,0,0}));
        connect(copperPlate.port_b1, airGap.port_a1)
          annotation (Line(points={{-50,17},{-50,17}}, color={191,0,0}));
        connect(hTP.port_a1, airGap.port_b1)
          annotation (Line(points={{-50,11},{-50,11}}, color={191,0,0}));
        connect(copperPlate2.port_b1, airGap1.port_a1)
          annotation (Line(points={{-50,-17},{-50,-17}}, color={191,0,0}));
        connect(hTP1.port_a1, airGap1.port_b1)
          annotation (Line(points={{-50,-11},{-50,-11}}, color={191,0,0}));
        connect(add1.y, prescribedTemperature2.T)
          annotation (Line(points={{-50,-59},{-50,-50}}, color={0,0,127}));
        connect(prescribedTemperature.T, add.y)
          annotation (Line(points={{-50,50},{-50,59}}, color={0,0,127}));
        connect(MeasurementDataTCold_TEC.y[1], add1.u1) annotation (Line(points=
               {{-80,-69},{-80,-62},{-66,-62},{-66,-88},{-56,-88},{-56,-82}},
              color={0,0,127}));
        connect(MeasurementDataTHot_TEC.y[1], add.u2) annotation (Line(points={
                {-80,69},{-80,62},{-66,62},{-66,88},{-56,88},{-56,82}}, color={
                0,0,127}));
        connect(voltageSensor_TEC.n, ground.p) annotation (Line(points={{-70,
                -30},{-70,-26},{-30,-26},{-30,-28}}, color={0,0,255}));
        connect(clock.y, MeasurementDataTCold_TEC.u[1]) annotation (Line(points={{0,-79},
                {0,-79},{0,-72},{0,-70},{-20,-70},{-20,-98},{-80,-98},{-80,-92}},
                            color={0,0,127}));
        connect(KToDegC.y, add1.u2) annotation (Line(points={{-2.22045e-015,79},
                {0,79},{0,10},{-10,10},{-10,-66},{-30,-66},{-30,-88},{-44,-88},
                {-44,-82}}, color={0,0,127}));
        connect(clock.y, MeasurementDataTHot_TEC.u[1]) annotation (Line(points=
                {{0,-79},{0,-79},{0,-10},{-14,-10},{-14,66},{-30,66},{-30,100},
                {-80,100},{-80,92}}, color={0,0,127}));
        connect(KToDegC.y, add.u1) annotation (Line(points={{0,79},{0,74},{-20,
                74},{-20,88},{-44,88},{-44,82}}, color={0,0,127}));
        connect(add2.y, prescribedTemperature3.T) annotation (Line(points={{50,
                -59},{50,-50},{50,-50}}, color={0,0,127}));
        connect(clock.y, MeasurementDataTCold_TEG.u[1]) annotation (Line(points={{0,-79},
                {0,-70},{20,-70},{20,-98},{80,-98},{80,-92}},           color={
                0,0,127}));
        connect(MeasurementDataTCold_TEG.y[1], add2.u2) annotation (Line(points=
               {{80,-69},{80,-62},{64,-62},{64,-88},{56,-88},{56,-82}}, color={
                0,0,127}));
        connect(add2.u1, add1.u2) annotation (Line(points={{44,-82},{44,-88},{
                30,-88},{30,-66},{-30,-66},{-30,-88},{-44,-88},{-44,-82}},
              color={0,0,127}));
        connect(gM250_127_14_10_1.port_a1, hTP2.port_b1)
          annotation (Line(points={{50,-5},{50,-5}}, color={191,0,0}));
        connect(hTP2.port_a1, airGap2.port_b1)
          annotation (Line(points={{50,-11},{50,-11}}, color={191,0,0}));
        connect(airGap2.port_a1, copperPlate3.port_b1)
          annotation (Line(points={{50,-17},{50,-17}}, color={191,0,0}));
        connect(prescribedTemperature3.port, copperPlate3.port_a1) annotation (
            Line(points={{50,-28},{50,-23},{50,-23}}, color={191,0,0}));
        connect(voltageSensor_TEG.n, ground1.p) annotation (Line(points={{30,
                -30},{30,-26},{70,-26},{70,-28}}, color={0,0,255}));
        connect(voltageSensor_TEG.p, gM250_127_14_10_1.pin_n1) annotation (Line(
              points={{10,-30},{6,-30},{6,0},{41,0}}, color={0,0,255}));
        connect(gM250_127_14_10_1.port_b1, hTP3.port_b1)
          annotation (Line(points={{50,5},{50,5}}, color={191,0,0}));
        connect(hTP3.port_a1, airGap3.port_b1)
          annotation (Line(points={{50,11},{50,11}}, color={191,0,0}));
        connect(airGap3.port_a1, copperPlate1.port_b1)
          annotation (Line(points={{50,17},{50,17}}, color={191,0,0}));
        connect(prescribedTemperature1.T, add3.y)
          annotation (Line(points={{50,48},{50,48},{50,59}}, color={0,0,127}));
        connect(add3.u1, MeasurementDataTHot_TEG.y[1]) annotation (Line(points=
                {{56,82},{56,88},{68,88},{68,62},{80,62},{80,69}}, color={0,0,
                127}));
        connect(KToDegC.y, add3.u2) annotation (Line(points={{0,79},{0,79},{0,
                74},{20,74},{20,88},{44,88},{44,82}}, color={0,0,127}));
        connect(clock.y, MeasurementDataTHot_TEG.u[1]) annotation (Line(points=
                {{0,-79},{0,-79},{0,-10},{0,8},{34,8},{34,100},{80,100},{80,92}},
              color={0,0,127}));
        connect(MeasurementDataTHot_TEC.y[1], deltaT_TEC.u1) annotation (Line(
              points={{-80,69},{-80,69},{-80,56},{-98,56},{-98,30},{-90,30}},
              color={0,0,127}));
        connect(MeasurementDataTCold_TEC.y[1], deltaT_TEC.u2) annotation (Line(
              points={{-80,-69},{-80,-62},{-98,-62},{-98,18},{-90,18}}, color={
                0,0,127}));
        connect(MeasurementDataTHot_TEG.y[1], deltaT_TEG.u2) annotation (Line(
              points={{80,69},{80,69},{80,58},{80,56},{98,56},{98,32},{90,32}},
              color={0,0,127}));
        connect(MeasurementDataTCold_TEG.y[1], deltaT_TEG.u1) annotation (Line(
              points={{80,-69},{80,-62},{98,-62},{98,20},{90,20}}, color={0,0,
                127}));
      //*****************************************************************************/

        annotation (
          Icon(coordinateSystem(preserveAspectRatio=false)),
          Diagram(coordinateSystem(preserveAspectRatio=false)),
          experiment(StopTime=3273),
          __Dymola_experimentSetupOutput, Documentation(info="<html>
   <p>
**************************************************************************** <br>
  <b> Copyright (C) 2015-2017 Chair of Automation and Energy Systems, Saarland University </b> <br>
------------------------------------------------------------------------------------------------------------------ <br>
  This file is part of EHSTEG. <p>                    
  
  For more information see <a href=\"//EHSTEG.UsersGuide\">User's Guide</a> <p>
  
**************************************************************************** <p>
</html>
"));
      end TEGvsTEC_OpenCircuit;

      model TEGvsTEC_Power
        "Comparison of produced power, according to 'Messung_16-03-02'"

        //Copyright (C) 2015-2017 Chair of Automation and Energy Systems, Saarland University (for more information see 'Documentation')

      //used components**************************************************************/
        Components.ThermoelectricDevice.HebeiIT.TEC1_12706 tEC1_12706_1
          annotation (Placement(transformation(extent={{-60,-10},{-40,10}})));
        Components.ThermoelectricDevice.EuropeanThermodynamics.GM250_127_14_10
          gM250_127_14_10_1
          annotation (Placement(transformation(extent={{40,-10},{60,10}})));
        Modelica.Thermal.HeatTransfer.Sources.PrescribedTemperature
          prescribedTemperature annotation (Placement(transformation(
              extent={{-10,-10},{10,10}},
              rotation=270,
              origin={-50,38})));
        Modelica.Thermal.HeatTransfer.Sources.PrescribedTemperature
          prescribedTemperature1 annotation (Placement(transformation(
              extent={{-10,-10},{10,10}},
              rotation=270,
              origin={50,36})));
        Modelica.Thermal.HeatTransfer.Sources.PrescribedTemperature
          prescribedTemperature2 annotation (Placement(transformation(
              extent={{-10,-10},{10,10}},
              rotation=90,
              origin={-50,-38})));
        Modelica.Thermal.HeatTransfer.Sources.PrescribedTemperature
          prescribedTemperature3 annotation (Placement(transformation(
              extent={{-10,-10},{10,10}},
              rotation=90,
              origin={50,-38})));
        Components.Electrics.PowerMeasurement            voltageSensor_TEC(R=2.9)
          annotation (Placement(transformation(extent={{-90,-40},{-70,-20}})));
        Components.Electrics.PowerMeasurement            voltageSensor_TEG(R=2.9)
          annotation (Placement(transformation(extent={{10,-40},{30,-20}})));
        Modelica.Blocks.Tables.CombiTable1D MeasurementDataTHot_TEC(table=[0,30; 0.5,30;
              1,30; 1.5,29.8; 2,30; 2.7,29.8; 3,30; 3.5,29.8; 4,29.8; 4.5,29.8; 5,29.8;
              5.5,29.8; 6.3,29.8; 6.5,29.8; 7,29.8; 7.5,29.8; 8,29.8; 8.5,29.8; 9,29.8;
              9.5,29.8; 10,29.8; 10.5,29.7; 11,29.8; 11.5,29.7; 12,29.8; 12.5,29.9; 13,
              29.8; 13.5,29.7; 14,29.7; 14.5,29.8; 15,29.8; 15.5,29.8; 16,29.8; 16.5,29.8;
              17,29.8; 17.5,29.8; 18,29.8; 18.5,29.8; 19,29.8; 19.5,30; 20,30; 20.5,30;
              21,30; 21.5,30.2; 22,30.1; 22.5,30.3; 23,30.3; 23.5,30.5; 24,30.6; 24.5,
              30.8; 25,30.9; 25.5,31.1; 26,31.1; 26.5,31.2; 27,31.4; 27.5,31.5; 28,31.7;
              28.5,31.9; 29,32; 29.5,32.2; 30,32.3; 30.5,32.6; 31,32.8; 31.5,32.9; 32,
              33.3; 32.5,33.4; 33,33.7; 33.5,33.9; 34,34.2; 34.5,34.3; 35,34.6; 35.5,34.9;
              36,35.1; 36.5,35.4; 37,35.6; 37.5,35.9; 38,36.2; 38.5,36.5; 39,36.8; 39.5,
              37.1; 40,37.4; 40.5,37.7; 41,38; 41.5,38.4; 42,38.7; 42.5,39; 43,39.3; 43.5,
              39.6; 44,39.9; 44.5,40.4; 45,40.7; 45.5,41; 46,41.3; 46.5,41.6; 47,42.1;
              47.5,42.5; 48,42.8; 48.5,43.1; 49,43.4; 49.5,43.9; 50,44.4; 50.5,44.7; 51,
              45; 51.5,45.4; 52,45.9; 52.5,46.2; 53,46.7; 53.5,47; 54,47.5; 54.5,47.8;
              55,48.2; 55.5,48.5; 56,48.8; 56.5,49.3; 57,49.7; 57.5,50; 58,50.5; 58.5,
              50.8; 59,51.3; 59.5,51.6; 60,52.1; 60.5,52.5; 61,53; 61.5,53.3; 62,53.8;
              62.5,54.3; 63,54.7; 63.5,55.2; 64,55.5; 64.5,56; 65,56.6; 65.5,57.1; 66,
              57.4; 66.5,57.8; 67,58.3; 67.5,58.8; 68,59.1; 68.5,59.5; 69,60; 69.5,60.5;
              70,60.9; 70.5,61.4; 71,61.9; 71.5,62.3; 72,62.8; 72.5,63.1; 73,63.6; 73.5,
              64; 74,64.5; 74.5,65; 75,65.3; 75.5,65.8; 76,66.2; 76.5,66.7; 77,67.1; 77.5,
              67.6; 78,68.1; 78.5,68.5; 79,69; 79.5,69.5; 80,69.9; 80.5,70.4; 81,70.9;
              81.5,71.3; 82,71.8; 82.5,72.3; 83,72.7; 83.5,73.2; 84,73.7; 84.5,74.1; 85,
              74.6; 85.5,74.9; 86,75.3; 86.5,75.8; 87,76.3; 87.5,76.7; 88,77.2; 88.5,77.8;
              89,78.3; 89.5,78.7; 90,79.2; 90.5,79.7; 91,80.2; 91.5,80.6; 92,81.1; 92.5,
              81.7; 93,82.2; 93.5,82.6; 94,83; 94.5,83.4; 95,83.9; 95.5,84.3; 96,85; 96.5,
              85.3; 97,85.9; 97.5,86.3; 98,86.8; 98.5,87.3; 99,87.6; 99.5,88.1; 100,88.5;
              100.5,88.8; 101,89.3; 101.5,89.8; 102,90.2; 102.5,90.7; 103,91.2; 103.5,
              91.5; 104,91.9; 104.5,92.2; 105,92.7; 105.5,93.2; 106,93.5; 106.5,94; 107,
              94.3; 107.5,94.4; 108,94.9; 108.5,95.3; 109,95.6; 109.5,95.9; 110,96.3;
              110.5,96.7; 111,97.2; 111.5,97.5; 112,98; 112.5,98.3; 113,98.7; 113.5,99.1;
              114,99.5; 114.5,100; 115,100.4; 115.5,100.9; 116,101.2; 116.5,101.7; 117,
              102.2; 117.5,102.5; 118,102.6; 118.5,103.1; 119,103.4; 119.5,103.7; 120,
              104.2; 120.5,104.5; 121,104.9; 121.5,105.2; 122,105.7; 122.5,106.2; 123,
              106.7; 123.5,107.1; 124,107.4; 124.5,107.9; 125,108.2; 125.5,108.5; 126,
              108.8; 126.5,109.3; 127,109.8; 127.5,110.2; 128,110.5; 128.5,111; 129,111.3;
              129.5,111.6; 130,111.9; 130.5,112.2; 131,112.7; 131.5,112.9; 132,113.2;
              132.5,113.3; 133,113.8; 133.5,114.4; 134,114.9; 134.5,115.3; 135,115.6;
              135.5,116; 136,116.4; 136.5,116.7; 137,117; 137.5,117.3; 138,117.6; 138.5,
              118; 139,118.1; 139.5,118.3; 140,118.6; 140.5,118.7; 141,119.1; 141.5,119.4;
              142,119.7; 142.5,120; 143,120.3; 143.5,120.6; 144,121.1; 144.5,121.4; 145,
              121.7; 145.5,122.1; 146,122.4; 146.5,122.8; 147,123.1; 147.5,123.4; 148,
              123.7; 148.5,124; 149,124.3; 149.5,124.6; 150,124.9; 150.5,125.1; 151,125.2;
              151.5,125.4; 152,125.6; 152.5,125.9; 153,126; 153.5,126.3; 154,126.6; 154.5,
              126.8; 155,127; 155.5,127.1; 156,127.4; 156.5,127.6; 157,127.6; 157.5,127.9;
              158,128; 158.5,128.2; 159,128.5; 159.5,128.6; 160,128.8; 160.5,128.8; 161,
              129; 161.5,129.3; 162,129.4; 162.5,129.4; 163,129.6; 163.5,129.9; 164,130;
              164.5,130.2; 165,130.3; 165.5,130.3; 166,130.5; 166.5,130.5; 167,130.7;
              167.5,130.6; 168,131; 168.5,131.1; 169,131.3; 169.5,131.4; 170,131.4; 170.5,
              131.4; 171,131.6; 171.5,131.6; 172,131.7; 172.5,131.7; 173,131.7; 173.5,
              131.9; 174,131.9; 174.5,132; 175,132; 175.5,132; 176,132; 176.5,132; 177,
              132; 177.5,132.2; 178,132.2; 178.5,132.2; 179,132; 179.5,132.2; 180,132;
              180.5,132; 181,132.2; 181.5,132.2; 182,132.2; 182.5,132.2; 183,132.4; 183.5,
              132.5; 184,132.5; 184.5,132.8; 185,132.8; 185.5,132.8; 186,132.8; 186.5,
              132.8; 187,132.8; 187.5,132.8; 188,132.8; 188.5,132.8; 189,132.8; 189.5,
              132.8; 190,132.8; 190.5,132.8; 191,132.8; 191.5,132.8; 192,132.8; 192.5,
              132.8; 193,132.8; 193.5,132.8; 194,132.8; 194.5,132.8; 195,132.7; 195.5,
              132.7; 196,132.7; 196.5,132.5; 197,132.5; 197.5,132.4; 198,132.4; 198.5,
              132.4; 199,132.4; 199.5,132.5; 200,132.4; 200.5,132.4; 201,132.4; 201.5,
              132.4; 202,132.4; 202.5,132.2; 203,132.2; 203.5,132.2; 204,132.2; 204.5,
              132.4; 205,132.4; 205.5,132.5; 206,132.5; 206.5,132.5; 207,132.5; 207.5,
              132.4; 208,132; 208.5,132; 209,132; 209.5,132; 210,132; 210.5,131.9; 211,
              131.9; 211.5,131.9; 212,132; 212.5,132.2; 213,132.5; 213.5,132.5; 214,132.5;
              214.5,132.5; 215,132.5; 215.5,132.5; 216,132.4; 216.5,132; 217,131.9; 217.5,
              131.7; 218,131.7; 218.5,131.6; 219,131.6; 219.5,131.6; 220,131.7; 220.5,
              131.9; 221,131.9; 221.5,131.9; 222,131.9; 222.5,131.9; 223,131.9; 223.5,
              131.9; 224,131.7; 224.5,131.7; 225,131.7; 225.5,131.6; 226,131.7; 226.5,
              131.6; 227,131.4; 227.5,131.6; 228,131.6; 228.5,131.6; 229,131.4; 229.5,
              131.4; 230,131.4; 230.5,131.3; 231,131.3; 231.5,131.1; 232,131; 232.5,130.8;
              233,130.8; 233.5,131; 234,131; 234.5,130.8; 235,130.5; 235.5,130.3; 236,
              130.2; 236.5,130; 237,129.9; 237.5,129.7; 238,129.7; 238.5,129.4; 239,129.3;
              239.5,129.1; 240,129.1; 240.5,128.9; 241,129; 241.5,129.1; 242,129.1; 242.5,
              129.1; 243,129.1; 243.5,129; 244,129; 244.5,128.8; 245,128.8; 245.5,128.6;
              246,128.5; 246.5,128.3; 247,128.3; 247.5,128.3; 248,128.2; 248.5,128.2;
              249,128.2; 249.5,128; 250,128; 250.5,127.9; 251,127.9; 251.5,127.9; 252,
              127.7; 252.5,127.7; 253,127.6; 253.5,127.6; 254,127.4; 254.5,127.4; 255,
              127.3; 255.5,127.1; 256,127.1; 256.5,126.9; 257,127; 257.5,126.8; 258,126.8;
              258.5,126.8; 259,126.6; 259.5,126.6; 260,126.6; 260.5,126.5; 261,126.3;
              261.5,126.3; 262,126.2; 262.5,126.2; 263,126; 263.5,126; 264,125.9; 264.5,
              125.9; 265,125.9; 265.5,125.9; 266,125.9; 266.5,125.9; 267,125.7; 267.5,
              125.6; 268,125.4; 268.5,125.4; 269,125.2; 269.5,125.2; 270,125.2; 270.5,
              125.2; 271,125.2; 271.5,125.1; 272,125.1; 272.5,124.9; 273,124.9; 273.5,
              124.8; 274,124.6; 274.5,124.6; 275,124.6; 275.5,124.6; 276,124.5; 276.5,
              124.3; 277,124.3; 277.5,124.1; 278,124.1; 278.5,124; 279,124; 279.5,123.8;
              280,123.8; 280.5,123.8; 281,123.7; 281.5,123.7; 282,123.7; 282.5,123.5;
              283,123.5; 283.5,123.5; 284,123.5; 284.5,123.4; 285,123.4; 285.5,123.4;
              286,123.2; 286.5,123.2; 287,123.1; 287.5,123.1; 288,122.9; 288.5,122.9;
              289,122.9; 289.5,122.7; 290,122.8; 290.5,122.9; 291,122.9; 291.5,122.9;
              292,122.8; 292.5,122.6; 293,122.4; 293.5,122.4; 294,122.3; 294.5,122.1;
              295,122; 295.5,121.8; 296,121.8; 296.5,121.7; 297,121.7; 297.5,121.7; 298,
              121.7; 298.5,121.5; 299,121.4; 299.5,121.4; 300,121.2; 300.5,121.2; 301,
              121.1; 301.5,121.1; 302,120.9; 302.5,120.9; 303,120.7; 303.5,120.7; 304,
              120.6; 304.5,120.6; 305,120.5; 305.5,120.4; 306,120.4; 306.5,120.4; 307,
              120.4; 307.5,120.6; 308,120.4; 308.5,120.4; 309,120.3; 309.5,120.3; 310,
              120.1; 310.5,120.1; 311,120; 311.5,119.8; 312,119.8; 312.5,119.8; 313,119.6;
              313.5,119.5; 314,119.3; 314.5,119.3; 315,119.3; 315.5,119.4; 316,119.2;
              316.5,119.2; 317,119.2; 317.5,119.1; 318,119; 318.5,119.1; 319,118.9; 319.5,
              118.9; 320,118.7; 320.5,118.7; 321,118.7; 321.5,118.7; 322,118.7; 322.5,
              118.6; 323,118.6; 323.5,118.6; 324,118.6; 324.5,118.4; 325,118.3; 325.5,
              118.3; 326,118.3; 326.5,118.3; 327,118.1; 327.5,118.1; 328,118; 328.5,118;
              329,118; 329.5,117.8; 330,117.8; 330.5,117.6; 331,117.6; 332.5,117.3; 332.6,
              117.3; 335.5,117.2; 335.7,117.2; 336,117; 336.5,117; 337,116.9; 337.5,116.9;
              338,117; 338.5,117; 339,117.2; 339.5,117; 340,116.7; 340.5,116.7; 341,116.6;
              341.5,116.4; 342,116.3; 342.5,116.1; 343,116.1; 343.5,116.1; 344,115.9;
              344.5,116; 345,116; 345.5,115.8; 346,115.8; 346.5,115.6; 347,115.7; 347.5,
              115.6; 348,115.5; 348.5,115.5; 349,115.5; 349.5,115.3; 350,115.2; 350.5,
              115; 351,115; 351.5,114.9; 352,114.9; 352.5,114.9; 353,114.9; 353.5,114.7;
              354,114.7; 354.5,114.6; 355,114.6; 355.5,114.4; 356,114.4; 356.5,114.3;
              357,114.3; 357.5,114.3; 358,114.1; 358.5,114.1; 359,114.1; 359.5,114.1;
              360,113.9; 360.5,113.8; 361,113.8; 361.5,113.8; 362,113.6; 362.5,113.6;
              363,113.6; 363.5,113.6; 364,113.5; 364.5,113.5; 365,113.3; 365.5,113.3;
              366,113.2; 366.5,113; 367,112.8; 367.5,112.9; 368,112.8; 368.5,112.9; 369,
              112.7; 369.5,112.7; 370,112.5; 370.5,112.5; 371,112.4; 371.5,112.4; 372,
              112.2; 372.5,112.2; 373,112.2; 373.5,112.2; 374,112.2; 374.5,112.2; 375,
              112.1; 375.5,112.1; 376,111.9; 376.5,111.9; 377,111.8; 377.5,111.8; 378,
              111.8; 378.5,111.6; 379,111.6; 379.5,111.6; 380,111.5; 380.5,111.3; 381,
              111.3; 381.5,111.2; 382,111.2; 382.5,111; 383,111; 383.5,111; 384,111; 384.5,
              110.9; 385,110.9; 385.5,110.7; 386,110.7; 386.5,110.7; 387,110.5; 387.5,
              110.5; 388,110.5; 388.5,110.4; 389,110.4; 389.5,110.4; 390,110.2; 390.5,
              110.2; 391,110.2; 391.5,110.1; 392,110.1; 392.5,109.9; 393,109.9; 393.5,
              109.9; 394,109.8; 394.5,109.8; 395,109.8; 395.5,109.6; 396,109.6; 396.5,
              109.4; 397,109.4; 397.5,109.4; 398,109.3; 398.5,109.1; 399,109.1; 399.5,
              109.1; 400,109.1; 400.5,109.1; 401,109.1; 401.5,109.1; 402,109; 402.5,109;
              403,108.8; 403.5,108.8; 404,108.8; 404.5,108.7; 405,108.7; 405.5,108.5;
              406,108.5; 406.5,108.4; 407,108.2; 407.5,108.2; 408,108.2; 408.5,108.2;
              409,108; 409.5,108; 410,108.1; 410.5,107.9; 411,107.9; 411.5,107.9; 412,
              107.9; 412.5,107.9; 413,107.9; 413.5,107.7; 414,107.7; 414.5,107.6; 415,
              107.6; 415.5,107.6; 416,107.4; 416.5,107.4; 417,107.3; 417.5,107.3; 418,
              107.1; 418.5,107.1; 419,107.1; 419.5,107.1; 420,107.1; 420.5,107.1; 421,
              107.1; 421.5,107; 422,107; 422.5,107; 423,107; 423.5,106.8; 424,106.7; 424.5,
              106.6; 425,106.5; 425.5,106.5; 426,106.5; 426.5,106.3; 427,106.3; 427.5,
              106.3; 428,106.3; 428.5,106.3; 429,106.2; 429.5,106; 430,105.9; 430.5,105.9;
              431,105.9; 431.5,105.9; 432,105.9; 432.5,105.7; 433,105.7; 433.5,105.7;
              434,105.6; 434.5,105.6; 435,105.6; 435.5,105.4; 436,105.4; 436.5,105.2;
              437,105.2; 437.5,105.1; 438,105.1; 438.5,105.1; 439,105.1; 439.5,104.9;
              440,104.9; 440.5,104.9; 441,104.8; 441.5,104.8; 442,104.8; 442.5,104.8;
              443,104.8; 443.5,104.8; 444,104.8; 444.5,104.8; 445,104.8; 445.5,104.9;
              446,104.8; 446.5,104.8; 447,104.8; 447.5,104.8; 448,104.8; 448.5,104.8;
              449,104.6; 449.5,104.5; 450,104.5; 450.5,104.5; 451,104.5; 451.5,104.5;
              452,104.5; 452.5,104.3; 453,104.3; 453.5,104.2; 454,104; 454.5,103.8; 455,
              103.7; 455.5,103.5; 456,103.5; 456.5,103.4; 457,103.4; 457.5,103.4; 458,
              103.2; 458.5,103.1; 459,103.1; 459.5,103.1; 460,102.9; 460.5,102.9; 461,
              102.8; 461.5,102.8; 462,102.6; 462.5,102.6; 463,102.6; 463.5,102.6; 464,
              102.6; 464.5,102.6; 465,102.6; 465.5,102.5; 466,102.5; 466.5,102.5; 467,
              102.3; 467.5,102.1; 468,102.2; 468.5,102.2; 469,102.2; 469.5,102.1; 470,
              102; 470.5,102; 471,102; 471.5,101.8; 472,101.8; 472.5,101.8; 473,101.7;
              473.5,101.7; 474,101.5; 474.5,101.5; 475,101.5; 475.5,101.4; 476,101.4;
              476.5,101.4; 477,101.4; 477.5,101.2; 478,101.2; 478.5,101.2; 479,101.2;
              479.5,101.4; 480,101.4; 480.5,101.4; 481,101.2; 481.5,101.1; 482,101.1;
              482.5,101.2; 483,101.2; 483.5,101.2; 484,101.2; 484.5,101.1; 485,101.1;
              485.5,100.9; 486,100.9; 486.5,100.8; 487,100.6; 487.5,100.6; 488,100.6;
              488.5,100.4; 489,100.3; 489.5,100.3; 490,100.1; 490.5,100.1; 491,100; 491.5,
              100; 492,100; 492.5,99.8; 493,99.8; 493.5,99.8; 494,99.7; 494.5,99.7; 495,
              99.5; 495.5,99.5; 496,99.5; 496.5,99.3; 497,99.3; 497.5,99.3; 498,99.3;
              498.5,99.3; 499,99.3; 499.5,99.3; 500,99.2; 500.5,99.2; 501,99.1; 501.5,
              99; 502,99; 502.5,99.1; 503,99.1; 503.5,98.9; 504,98.9; 504.5,98.7; 505,
              98.7; 505.5,98.7; 506,98.6; 506.5,98.6; 507,98.6; 507.5,98.4; 508,98.4;
              508.5,98.4; 509,98.4; 509.5,98.3; 510,98.3; 510.5,98.3; 511,98.1; 511.5,
              98.1; 512,98.1; 512.5,98.1; 513,98; 513.5,98; 514,98; 514.5,97.8; 515,97.8;
              515.5,97.8; 516,97.7; 516.5,97.5; 517,97.5; 517.5,97.5; 518,97.5; 518.5,
              97.3; 519,97.3; 519.5,97.3; 520,97.3; 520.5,97.3; 521,97.2; 521.5,97.2;
              522,97.2; 522.5,97; 523,97; 523.5,97; 524,96.9; 524.5,96.9; 525,96.9; 525.5,
              96.9; 526,96.9; 526.5,96.7; 527,96.7; 527.5,96.6; 528,96.6; 528.5,96.6;
              529,96.6; 529.5,96.6; 530,96.4; 530.5,96.4; 531,96.4; 531.5,96.4; 532,96.4;
              532.5,96.6; 533,96.6; 533.5,96.6; 534,96.4; 534.5,96.4; 535,96.2; 535.5,
              96.1; 536,95.9; 536.5,95.9; 537,95.8; 537.5,95.8; 538,95.6; 538.5,95.6;
              539,95.6; 539.5,95.6; 540,95.6; 540.5,95.5; 541,95.5; 541.5,95.3; 542,95.3;
              542.5,95.3; 543,95.2; 543.5,95.2; 544,95.2; 544.5,95; 545,95; 545.5,94.9;
              546,94.9; 546.5,94.9; 547,94.9; 547.5,94.7; 548,94.7; 548.5,94.7; 549,94.7;
              549.5,94.7; 550,94.6; 550.5,94.6; 551,94.6; 551.5,94.6; 552,94.6; 552.5,
              94.4; 553,94.4; 553.5,94.4; 554,94.4; 554.5,94.4; 555,94.4; 555.5,94.4;
              556,94.2; 556.5,94.2; 557,94.1; 557.5,94.1; 558,94; 558.5,93.9; 559,93.8;
              559.5,93.8; 560,93.8; 560.5,93.8; 561,93.6; 561.5,93.6; 562,93.5; 562.5,
              93.5; 563,93.5; 563.5,93.5; 564,93.5; 564.5,93.3; 565,93.3; 565.5,93.3;
              566,93.3; 566.5,93.2; 567,93.3; 567.5,93.3; 568,93.3; 568.5,93.2; 569,93.2;
              569.5,93.2; 570,93.2; 570.5,93; 571,93; 571.5,92.9; 572,92.9; 572.5,92.7;
              573,92.7; 573.5,92.7; 574,92.6; 574.5,92.6; 575,92.5; 575.5,92.6; 576,92.5;
              576.5,92.7; 577,92.5; 577.5,92.5; 578,92.6; 578.5,92.4; 579,92.4; 579.5,
              92.2; 580,92.2; 580.5,92.2; 581,92.2; 581.5,92.2; 582,92.1; 582.5,92.1;
              583,92.1; 583.5,91.9; 584,91.9; 584.5,91.9; 585,91.8; 585.5,91.8; 586,91.8;
              586.5,91.8; 587,91.8; 587.5,91.8; 588,91.8; 588.5,91.6; 589,91.6; 589.5,
              91.6; 590,91.6; 590.5,91.6; 591,91.5; 591.5,91.5; 592,91.5; 592.5,91.5;
              593,91.3; 593.5,91.3; 594,91.3; 594.5,91.2; 595,91.2; 595.5,91.2; 596,91.2;
              596.5,91; 597,91; 597.5,91; 598,91; 598.5,91; 599,91; 599.5,91; 600,91;
              600.5,91; 601,91; 601.5,91; 602,91; 602.5,90.9; 603,90.9; 603.5,90.9; 604,
              90.7; 604.5,90.5; 605,90.5; 605.5,90.5; 606,90.4; 606.5,90.4; 607,90.2;
              607.5,90.2; 608,90.2; 608.5,90.1; 609,90.1; 609.5,89.9; 610,89.9; 610.5,
              89.9; 611,89.9; 611.5,89.7; 612,89.7; 612.5,89.8; 613,89.8; 613.5,89.8;
              614,89.8; 614.5,89.8; 615,89.6; 615.5,89.6; 616,89.4; 616.5,89.4; 617,89.5;
              617.5,89.3; 618,89.3; 618.5,89.3; 619,89.3; 619.5,89.3; 620,89.3; 620.5,
              89.1; 621,89.1; 621.5,89.1; 622,89.1; 622.5,89; 623,89; 623.5,89; 624,89;
              624.5,88.8; 625,88.8; 625.5,88.8; 626,88.7; 626.5,88.7; 627,88.7; 627.5,
              88.7; 628,88.7; 628.5,88.7; 629,88.7; 629.5,88.5; 630,88.7; 630.5,88.7;
              631,88.7; 631.5,88.7; 632,88.5; 632.5,88.5; 633,88.4; 633.5,88.4; 634,88.2;
              634.5,88.2; 635,88; 635.5,88; 636,88.1; 636.5,88; 637,88; 637.5,87.9; 638,
              87.9; 638.5,87.7; 639,87.8; 639.5,87.8; 640,87.7; 640.5,87.8; 641,87.7;
              641.5,87.8; 642,87.7; 642.5,87.6; 643,87.6; 643.5,87.6; 644,87.6; 644.5,
              87.6; 645,87.6; 645.5,87.6; 646,87.4; 646.5,87.4; 647,87.4; 647.5,87.4;
              648,87.4; 648.5,87.3; 649,87.3; 649.5,87.1; 650,87; 650.5,87; 651,87; 651.5,
              87; 652,87; 652.5,87; 653,87; 653.5,86.8; 654,86.8; 654.5,86.8; 655,86.8;
              655.5,86.8; 656,86.7; 656.5,86.7; 657,86.7; 657.5,86.5; 658,86.5; 658.5,
              86.5; 659,86.5; 659.5,86.5; 660,86.3; 660.5,86.3; 661,86.4; 661.5,86.3;
              662,86.3; 662.5,86.2; 663,86.2; 663.5,86.2; 664,86; 664.5,86; 665,86; 665.5,
              85.9; 666,85.9; 666.5,85.9; 667,85.9; 667.5,85.9; 668,85.9; 668.5,85.7;
              669,85.7; 669.5,85.7; 670,85.7; 670.5,85.6; 671,85.6; 671.5,85.4; 672,85.4;
              672.5,85.4; 673,85.4; 673.5,85.3; 674,85.3; 674.5,85.3; 675,85.3; 675.5,
              85.3; 676,85.3; 676.5,85.3; 677,85.3; 677.5,85.3; 678,85.1; 678.5,85.1;
              679,85.1; 679.5,84.9; 680,85; 680.5,85; 681,84.8; 681.5,84.8; 682,84.8;
              682.5,84.8; 683,84.8; 683.5,84.8; 684,84.8; 684.5,84.8; 685,84.6; 685.5,
              84.6; 686,84.6; 686.5,84.6; 687,84.5; 687.5,84.5; 688,84.5; 688.5,84.3;
              689,84.3; 689.5,84.3; 690,84.3; 690.5,84.3; 691,84.2; 691.5,84.2; 692,84.2;
              692.5,84.2; 693,84; 693.5,84; 694,84; 694.5,84; 695,84; 695.5,83.9; 696,
              83.9; 696.5,83.9; 697,83.9; 697.5,83.7; 698,83.7; 698.5,83.7; 699,83.7;
              699.5,83.7; 700,83.7; 700.5,83.7; 701,83.7; 701.5,83.6; 702,83.6; 702.5,
              83.6; 703,83.4; 703.5,83.4; 704,83.4; 704.5,83.4; 705,83.3; 705.5,83.3;
              706,83.3; 706.5,83.3; 707,83.1; 707.5,83.1; 708,83.1; 708.5,83.1; 709,83.1;
              709.5,83.1; 710,83; 710.5,83; 711,82.9; 711.5,83; 712,83; 712.5,82.8; 713,
              82.8; 713.5,82.8; 714,82.8; 714.5,82.6; 715,82.6; 715.5,82.6; 716,82.6;
              716.5,82.5; 717,82.5; 717.5,82.5; 718,82.5; 718.5,82.5; 719,82.3; 719.5,
              82.3; 720,82.3; 720.5,82.3; 721,82.3; 721.5,82.2; 722,82.2; 722.5,82.2;
              723,82.2; 723.5,82; 724,82; 724.5,82; 725,82; 725.5,81.9; 726,81.8; 726.5,
              81.9; 727,81.8; 727.5,81.7; 728,81.7; 728.5,81.7; 729,81.7; 729.5,81.7;
              730,81.5; 730.5,81.5; 731,81.5; 731.5,81.5; 732,81.5; 732.5,81.4; 733,81.4;
              733.5,81.4; 734,81.4; 734.5,81.4; 735,81.2; 735.5,81.2; 736,81.2; 736.5,
              81.2; 737,81.2; 737.5,81.2; 738,81.2; 738.5,81.2; 739,81.1; 739.5,81.1;
              740,81.1; 740.5,81.2; 741,81.2; 741.5,81.2; 742,81.1; 742.5,81.1; 743,81.1;
              743.5,81.1; 744,81.1; 744.5,80.9; 745,80.9; 745.5,80.9; 746,80.9; 746.5,
              80.9; 747,80.9; 747.5,81.1; 748,81.1; 748.5,80.9; 749,80.9; 749.5,80.9;
              750,80.9; 750.5,80.9; 751,81.1; 751.5,80.9; 752,80.9; 752.5,80.9; 753,80.9;
              753.5,80.8; 754,80.6; 754.5,80.5; 755,80.5; 755.5,80.3; 756,80.1; 756.5,
              80.1; 757,80.1; 757.5,80.1; 758,80; 758.5,80; 759,79.8; 759.5,79.8; 760,
              79.8; 760.5,79.7; 761,79.7; 761.5,79.7; 762,79.8; 762.5,79.8; 763,79.7;
              763.5,79.7; 764,79.7; 764.5,79.7; 765,79.5; 765.5,79.5; 766,79.5; 766.5,
              79.5; 767,79.4; 767.5,79.4; 768,79.4; 768.5,79.4; 769,79.4; 769.5,79.4;
              770,79.2; 770.5,79.2; 771,79.2; 771.5,79.2; 772,79.1; 772.5,79.1; 773,79.1;
              773.5,79.1; 774,79.1; 774.5,79.1; 775,78.9; 775.5,78.9; 776,78.9; 776.5,
              78.9; 777,78.9; 777.5,78.9; 778,78.9; 778.5,78.9; 779,78.7; 779.5,78.7;
              780,78.5; 780.5,78.6; 781,78.6; 781.5,78.6; 782,78.6; 782.5,78.4; 783,78.4;
              783.5,78.4; 784,78.4; 784.5,78.4; 785,78.4; 785.5,78.3; 786,78.3; 786.5,
              78.3; 787,78.3; 787.5,78.3; 788,78.3; 788.5,78.1; 789,78.1; 789.5,78.1;
              790,78.1; 790.5,78.1; 791,78.1; 791.5,78.1; 792,78.1; 792.5,78.1; 793,78;
              793.5,78; 794,77.8; 794.5,77.8; 795,77.8; 795.5,77.8; 796,77.8; 796.5,77.8;
              797,77.8; 797.5,77.8; 798,77.7; 798.5,77.7; 799,77.7; 799.5,77.7; 800,77.7;
              800.5,77.5; 801,77.5; 801.5,77.3; 802,77.4; 802.5,77.4; 803,77.4; 803.5,
              77.3; 804,77.4; 804.5,77.3; 805,77.4; 805.5,77.4; 806,77.4; 806.5,77.2;
              807,77.2; 807.5,77.1; 808,77; 808.5,77; 809,77; 809.5,76.9; 810,76.9; 810.5,
              76.9; 811,76.9; 811.5,76.9; 812,76.9; 812.5,76.7; 813,76.7; 813.5,76.7;
              814,76.7; 814.5,76.6; 815,76.6; 815.5,76.6; 816,76.6; 816.5,76.6; 817,76.6;
              817.5,76.4; 818,76.4; 818.5,76.4; 819,76.4; 819.5,76.4; 820,76.4; 820.5,
              76.4; 821,76.3; 821.5,76.3; 822,76.3; 822.5,76.3; 823,76.3; 823.5,76.3;
              824,76.3; 824.5,76.3; 825,76.1; 825.5,76.1; 826,76.1; 826.5,76.1; 827,76;
              827.5,76; 828,75.8; 828.5,75.8; 829,75.8; 829.5,75.8; 830,75.7; 830.5,75.7;
              831,75.7; 831.5,75.7; 832,75.5; 832.5,75.5; 833,75.5; 833.5,75.5; 834,75.5;
              834.5,75.5; 835,75.5; 835.5,75.5; 836,75.5; 836.5,75.5; 837,75.5; 837.5,
              75.5; 838,75.5; 838.5,75.5; 839,75.5; 839.5,75.7; 840,75.5; 840.5,75.5;
              841,75.5; 841.5,75.5; 842,75.7; 842.5,75.5; 843,75.5; 843.5,75.5; 844,75.5;
              844.5,75.3; 845,75.3; 845.5,75.3; 846,75.2; 846.5,75.2; 847,75; 847.5,75;
              848,74.9; 848.5,74.9; 849,74.9; 849.5,74.7; 850,74.7; 850.5,74.7; 851,74.7;
              851.5,74.7; 852,74.7; 852.5,74.7; 853,74.7; 853.5,74.6; 854,74.6; 854.5,
              74.6; 855,74.4; 855.5,74.4; 856,74.4; 856.5,74.3; 857,74.3; 857.5,74.3;
              858,74.3; 858.5,74.3; 859,74.3; 859.5,74.1; 860,74.1; 860.5,74.1; 861,74.1;
              861.5,74.1; 862,74.1; 862.5,74; 863,74; 863.5,74; 864,74; 864.5,73.9; 865,
              73.9; 865.5,73.8; 866,73.8; 866.5,73.8; 867,73.8; 867.5,73.8; 868,73.8;
              868.5,73.8; 869,73.8; 869.5,73.8; 870,73.8; 870.5,73.6; 871,73.6; 871.5,
              73.6; 872,73.6; 872.5,73.6; 873,73.5; 873.5,73.5; 874,73.5; 874.5,73.5;
              875,73.3; 875.5,73.3; 876,73.3; 876.5,73.3; 877,73.3; 877.5,73.3; 878,73.3;
              878.5,73.3; 879,73.2; 879.5,73.2; 880,73.2; 880.5,73.2; 881,73.2; 881.5,
              73; 882,73; 882.5,73; 883,73; 883.5,73; 884,73; 884.5,73; 885,73; 885.5,
              73; 886,73; 886.5,72.9; 887,72.9; 887.5,72.9; 888,72.7; 888.5,72.7; 889,
              72.7; 889.5,72.7; 890,72.7; 890.5,72.6; 891,72.6; 891.5,72.6; 892,72.6;
              892.5,72.6; 893,72.6; 893.5,72.4; 894,72.4; 894.5,72.4; 895,72.4; 895.5,
              72.4; 896,72.4; 896.5,72.3; 897,72.3; 897.5,72.2; 898,72.3; 898.5,72.3;
              899,72.1; 899.5,72.1; 900,72.1; 900.5,72.1; 901,72.1; 901.5,72.1; 902,72.1;
              902.5,71.9; 903,71.9; 903.5,71.9; 904,71.9; 904.5,71.9; 905,71.9; 905.5,
              71.8; 906,71.8; 906.5,71.8; 907,71.8; 907.5,71.6; 908,71.6; 908.5,71.6;
              909,71.6; 909.5,71.6; 910,71.6; 910.5,71.6; 911,71.6; 911.5,71.6; 912,71.5;
              912.5,71.5; 913,71.5; 913.5,71.5; 914,71.5; 914.5,71.5; 915,71.3; 915.5,
              71.3; 916,71.3; 916.5,71.3; 917,71.2; 917.5,71.2; 918,71.2; 918.5,71.2;
              919,71.2; 919.5,71.2; 920,71; 920.5,71; 921,71; 921.5,71; 922,71; 922.5,
              71; 923,71; 923.5,71; 924,70.9; 924.5,70.9; 925,70.9; 925.5,70.9; 926,70.9;
              926.5,70.7; 927,70.7; 927.5,70.7; 928,70.7; 928.5,70.7; 929,70.7; 929.5,
              70.7; 930,70.7; 930.5,70.7; 931,70.5; 931.5,70.6; 932,70.6; 932.5,70.6;
              933,70.4; 933.5,70.4; 934,70.4; 934.5,70.4; 935,70.4; 935.5,70.4; 936,70.2;
              936.5,70.2; 937,70.2; 937.5,70.2; 938,70.1; 938.5,70.1; 939,70.1; 939.5,
              70.1; 940,70.1; 940.5,70.1; 941,70.1; 941.5,70.1; 942,70.1; 942.5,69.9;
              943,69.9; 943.5,69.9; 944,69.9; 944.5,69.8; 945,69.8; 945.5,69.8; 946,69.8;
              946.5,69.8; 947,69.8; 947.5,69.6; 948,69.6; 948.5,69.6; 949,69.6; 949.5,
              69.6; 950,69.6; 950.5,69.6; 951,69.6; 951.5,69.6; 952,69.5; 952.5,69.5;
              953,69.4; 953.5,69.5; 954,69.5; 954.5,69.5; 955,69.5; 955.5,69.5; 956,69.5;
              956.5,69.5; 957,69.5; 957.5,69.5; 958,69.3; 958.5,69.3; 959,69.3; 959.5,
              69.3; 960,69.1; 960.5,69.1; 961,69.1; 961.5,69.1; 962,69.2; 962.5,69.1;
              963,69; 963.5,69; 964,69; 964.5,69; 965,69; 965.5,69; 966,69; 966.5,68.8;
              967,68.8; 967.5,68.8; 968,68.8; 968.5,68.8; 969,68.8; 969.5,68.8; 970,68.8;
              970.5,68.8; 971,68.7; 971.5,68.7; 972,68.7; 972.5,68.7; 973,68.7; 973.5,
              68.5; 974,68.5; 974.5,68.5; 975,68.5; 975.5,68.5; 976,68.5; 976.5,68.5;
              977,68.5; 977.5,68.5; 978,68.4; 978.5,68.4; 979,68.4; 979.5,68.4; 980,68.4;
              980.5,68.4; 981,68.2; 981.5,68.2; 982,68.2; 982.5,68.2; 983,68.2; 983.5,
              68.1; 984,68.1; 984.5,68.1; 985,68.1; 985.5,68.1; 986,68.1; 986.5,67.9;
              987,67.9; 987.5,67.9; 988,67.9; 988.5,67.9; 989,67.9; 989.5,67.7; 990,67.7;
              990.5,67.7; 991,67.7; 991.5,67.8; 992,67.7; 992.5,67.7; 993,67.6; 993.5,
              67.6; 994,67.6; 994.5,67.6; 995,67.4; 995.5,67.4; 996,67.4; 996.5,67.4;
              997,67.4; 997.5,67.4; 998,67.4; 998.5,67.3; 999,67.3; 999.5,67.3; 1000,67.3;
              1000.5,67.3; 1001,67.3; 1001.5,67.3; 1002,67.1; 1002.5,67.1; 1003,67.3;
              1003.5,67.1; 1004,67.1; 1004.5,67.1; 1005,67.1; 1005.5,67; 1006,67; 1006.5,
              67; 1007,67; 1007.5,67; 1008,67; 1008.5,67; 1009,67; 1009.5,67; 1010,66.8;
              1010.5,66.8; 1011,66.8; 1011.5,66.8; 1012,66.8; 1012.5,66.7; 1013,66.7;
              1013.5,66.7; 1014,66.7; 1014.5,66.7; 1015,66.7; 1015.5,66.7; 1016,66.7;
              1016.5,66.5; 1017,66.5; 1017.5,66.5; 1018,66.5; 1018.5,66.5; 1019,66.5;
              1019.5,66.5; 1020,66.5; 1020.5,66.4; 1021,66.4; 1021.5,66.4; 1022,66.4;
              1022.5,66.4; 1023,66.4; 1023.5,66.4; 1024,66.4; 1024.5,66.2; 1025,66.2;
              1025.5,66.2; 1026,66.2; 1026.5,66.2; 1027,66.2; 1027.5,66.2; 1028,66.2;
              1028.5,66.1; 1029,66.1; 1029.5,66.1; 1030,66.1; 1030.5,65.9; 1031,65.9;
              1031.5,65.9; 1032,65.9; 1032.5,65.9; 1033,65.9; 1033.5,65.9; 1034,65.9;
              1034.5,65.7; 1035,65.8; 1035.5,65.7; 1036,65.7; 1036.5,65.8; 1037,65.8;
              1037.5,65.7; 1038,65.7; 1038.5,65.6; 1039,65.6; 1039.5,65.6; 1040,65.6;
              1040.5,65.6; 1041,65.6; 1041.5,65.6; 1042,65.6; 1042.5,65.6; 1043,65.4;
              1043.5,65.4; 1044,65.4; 1044.5,65.4; 1045,65.4; 1045.5,65.4; 1046,65.3;
              1046.5,65.3; 1047,65.3; 1047.5,65.3; 1048,65.3; 1048.5,65.3; 1049,65.3;
              1049.5,65.1; 1050,65.1; 1050.5,65.1; 1051,65.1; 1051.5,65.1; 1052,65.1;
              1052.5,65.1; 1053,65.1; 1053.5,65.1; 1054,65.1; 1054.5,65; 1055,65; 1055.5,
              65; 1056,65; 1056.5,65; 1057,64.8; 1057.5,64.8; 1058,64.8; 1058.5,64.8;
              1059,64.8; 1059.5,64.8; 1060,64.8; 1060.5,64.8; 1061,64.8; 1061.5,64.8;
              1062,64.8; 1062.5,64.7; 1063,64.7; 1063.5,64.7; 1064,64.7; 1064.5,64.7;
              1065,64.7; 1065.5,64.7; 1066,64.5; 1066.5,64.5; 1067,64.5; 1067.5,64.5;
              1068,64.5; 1068.5,64.5; 1069,64.5; 1069.5,64.5; 1070,64.5; 1070.5,64.5;
              1071,64.5; 1071.5,64.4; 1072,64.4; 1072.5,64.4; 1073,64.4; 1073.5,64.4;
              1074,64.3; 1074.5,64.2; 1075,64.2; 1075.5,64.2; 1076,64.2; 1076.5,64.2;
              1077,64; 1077.5,64.1; 1078,64; 1078.5,64; 1079,64; 1079.5,64; 1080,64; 1080.5,
              63.9; 1081,63.9; 1081.5,63.9; 1082,63.9; 1082.5,63.9; 1083,63.9; 1083.5,
              63.9; 1084,63.9; 1084.5,63.9; 1085,63.9; 1085.5,63.9; 1086,63.7; 1086.5,
              63.7; 1087,63.7; 1087.5,63.7; 1088,63.7; 1088.5,63.6; 1089,63.6; 1089.5,
              63.6; 1090,63.6; 1090.5,63.6; 1091,63.6; 1091.5,63.6; 1092,63.4; 1092.5,
              63.4; 1093,63.4; 1093.5,63.4; 1094,63.4; 1094.5,63.3; 1095,63.3; 1095.5,
              63.3; 1096,63.3; 1096.5,63.3; 1097,63.3; 1097.5,63.3; 1098,63.3; 1098.5,
              63.3; 1099,63.3; 1099.5,63.3; 1100,63.3; 1100.5,63.1; 1101,63.1; 1101.5,
              63.1; 1102,63.1; 1102.5,63.1; 1103,62.9; 1103.5,63; 1104,63; 1104.5,63;
              1105,63; 1105.5,63; 1106,63; 1106.5,63; 1107,63; 1107.5,62.8; 1108,62.8;
              1108.5,62.8; 1109,62.8; 1109.5,62.8; 1110,62.8; 1110.5,62.8; 1111,62.8;
              1111.5,62.6; 1112,62.6; 1112.5,62.6; 1113,62.6; 1113.5,62.6; 1114,62.6;
              1114.5,62.5; 1115,62.5; 1115.5,62.5; 1116,62.5; 1116.5,62.5; 1117,62.5;
              1117.5,62.5; 1118,62.5; 1118.5,62.3; 1119,62.3; 1119.5,62.3; 1120,62.3;
              1120.5,62.3; 1121,62.3; 1121.5,62.3; 1122,62.3; 1122.5,62.3; 1123,62.2;
              1123.5,62.2; 1124,62.2; 1124.5,62.2; 1125,62.2; 1125.5,62; 1126,62; 1126.5,
              62; 1127,62; 1127.5,62; 1128,62; 1128.5,62; 1129,62; 1129.5,62; 1130,62;
              1130.5,61.9; 1131,61.9; 1131.5,61.9; 1132,61.9; 1132.5,61.9; 1133,61.9;
              1133.5,61.9; 1134,61.9; 1134.5,61.9; 1135,61.9; 1135.5,61.7; 1136,61.7;
              1136.5,61.7; 1137,61.7; 1137.5,61.7; 1138,61.7; 1138.5,61.7; 1139,61.7;
              1139.5,61.5; 1140,61.5; 1140.5,61.5; 1141,61.5; 1141.5,61.5; 1142,61.5;
              1142.5,61.5; 1143,61.5; 1143.5,61.4; 1144,61.5; 1144.5,61.4; 1145,61.4;
              1145.5,61.4; 1146,61.4; 1146.5,61.4; 1147,61.2; 1147.5,61.2; 1148,61.2;
              1148.5,61.2; 1149,61.2; 1149.5,61.2; 1150,61.2; 1150.5,61.2; 1151,61.2;
              1151.5,61.2; 1152,61.2; 1152.5,61.2; 1153,61.2; 1153.5,61.2; 1154,61.2;
              1154.5,61.2; 1155,61.2; 1155.5,61.2; 1156,61.1; 1156.5,61.1; 1157,61.1;
              1157.5,61.1; 1158,60.9; 1158.5,60.9; 1159,60.9; 1159.5,60.9; 1160,60.9;
              1160.5,60.9; 1161,60.9; 1161.5,60.8; 1162,60.8; 1162.5,60.8; 1163,60.8;
              1163.5,60.6; 1164,60.6; 1164.5,60.6; 1165,60.6; 1165.5,60.6; 1166,60.6;
              1166.5,60.6; 1167,60.6; 1167.5,60.6; 1168,60.5; 1168.5,60.5; 1169,60.5;
              1169.5,60.5; 1170,60.5; 1170.5,60.5; 1171,60.5; 1171.5,60.5; 1172,60.5;
              1172.5,60.5; 1173,60.5; 1173.5,60.5; 1174,60.3; 1174.5,60.3; 1175,60.3;
              1175.5,60.3; 1176,60.3; 1176.5,60.2; 1177,60.2; 1177.5,60.2; 1178,60.2;
              1178.5,60.2; 1179,60.2; 1179.5,60.2; 1180,60.2; 1180.5,60.2; 1181,60.2;
              1181.5,60.2; 1182,60.2; 1182.5,60.2; 1183,60.2; 1183.5,60.2; 1184,60.2;
              1184.5,60; 1185,60; 1185.5,60; 1186,59.8; 1186.5,59.8; 1187,59.8; 1187.5,
              59.8; 1188,59.8; 1188.5,59.8; 1189,59.8; 1189.5,59.8; 1190,59.8; 1190.5,
              59.8; 1191,59.7; 1191.5,59.7; 1192,59.7; 1192.5,59.7; 1193,59.7; 1193.5,
              59.7; 1194,59.7; 1194.5,59.5; 1195,59.5; 1195.5,59.5; 1196,59.5; 1196.5,
              59.5; 1197,59.5; 1197.5,59.5; 1198,59.5; 1198.5,59.4; 1199,59.4; 1199.5,
              59.4; 1200,59.4; 1200.5,59.4; 1201,59.4; 1201.5,59.4; 1202,59.4; 1202.5,
              59.4; 1203,59.4; 1203.5,59.4; 1204,59.4; 1204.5,59.2; 1205,59.2; 1205.5,
              59.2; 1206,59.2; 1206.5,59.2; 1207,59.2; 1207.5,59.2; 1208,59.1; 1208.5,
              59.1; 1209,59.1; 1209.5,59.1; 1210,59.1; 1210.5,59.1; 1211,59.1; 1211.5,
              59.1; 1212,58.9; 1212.5,58.9; 1213,58.9; 1213.5,58.9; 1214,58.9; 1214.5,
              58.9; 1215,58.9; 1215.5,58.9; 1216,58.9; 1216.5,58.9; 1217,58.8; 1217.5,
              58.8; 1218,58.8; 1218.5,58.8; 1219,58.8; 1219.5,58.8; 1220,58.8; 1220.5,
              58.6; 1221,58.6; 1221.5,58.6; 1222,58.6; 1222.5,58.6; 1223,58.6; 1223.5,
              58.6; 1224,58.6; 1224.5,58.5; 1225,58.5; 1225.5,58.5; 1226,58.5; 1226.5,
              58.5; 1227,58.5; 1227.5,58.5; 1228,58.5; 1228.5,58.5; 1229,58.5; 1229.5,
              58.5; 1230,58.5; 1230.5,58.5; 1231,58.5; 1231.5,58.5; 1232,58.5; 1232.5,
              58.3; 1233,58.3; 1233.5,58.3; 1234,58.3; 1234.5,58.3; 1235,58.3; 1235.5,
              58.3; 1236,58.3; 1236.5,58.3; 1237,58.1; 1237.5,58.2; 1238,58.2; 1238.5,
              58.1; 1239,58.1; 1239.5,58.2; 1240,58; 1240.5,58; 1241,58; 1241.5,58; 1242,
              58; 1242.5,58; 1243,58; 1243.5,58; 1244,58; 1244.5,57.8; 1245,57.8; 1245.5,
              57.8; 1246,57.8; 1246.5,57.8; 1247,57.8; 1247.5,57.8; 1248,57.8; 1248.5,
              57.7; 1249,57.7; 1249.5,57.7; 1250,57.7; 1250.5,57.7; 1251,57.7; 1251.5,
              57.7; 1252,57.7; 1252.5,57.5; 1253,57.5; 1253.5,57.5; 1254,57.5; 1254.5,
              57.5; 1255,57.5; 1255.5,57.5; 1256,57.5; 1256.5,57.5; 1257,57.5; 1257.5,
              57.4; 1258,57.4; 1258.5,57.4; 1259,57.4; 1259.5,57.4; 1260,57.4; 1260.5,
              57.4; 1261,57.4; 1261.5,57.4; 1262,57.4; 1262.5,57.4; 1263,57.4; 1263.5,
              57.4; 1264,57.2; 1264.5,57.2; 1265,57.2; 1265.5,57.2; 1266,57.2; 1266.5,
              57.2; 1267,57.2; 1267.5,57.2; 1268,57.2; 1268.5,57.2; 1269,57.1; 1269.5,
              57.1; 1270,57.1; 1270.5,57.1; 1271,57.1; 1271.5,57.1; 1272,57.2; 1272.5,
              57.2; 1273,57.1; 1273.5,57.1; 1274,57.1; 1274.5,57.1; 1275,56.9; 1275.5,
              56.9; 1276,56.9; 1276.5,56.9; 1277,56.9; 1277.5,56.9; 1278,56.7; 1278.5,
              56.9; 1279,56.9; 1279.5,56.7; 1280,56.7; 1280.5,56.7; 1281,56.7; 1281.5,
              56.7; 1282,56.7; 1282.5,56.7; 1283,56.7; 1283.5,56.7; 1284,56.6; 1284.5,
              56.6; 1285,56.6; 1285.5,56.6; 1286,56.6; 1286.5,56.4; 1287,56.4; 1287.5,
              56.4; 1288,56.4; 1288.5,56.4; 1289,56.4; 1289.5,56.4; 1290,56.3; 1290.5,
              56.3; 1291,56.3; 1291.5,56.3; 1292,56.3; 1292.5,56.3; 1293,56.3; 1293.5,
              56.3; 1294,56.3; 1294.5,56.3; 1295,56.1; 1295.5,56.1; 1296,56.1; 1296.5,
              56.1; 1297,56.1; 1297.5,56.1; 1298,56.1; 1298.5,56.1; 1299,56.1; 1299.5,
              56.1; 1300,56; 1300.5,56; 1301,56; 1301.5,56; 1302,56; 1302.5,56; 1303,56;
              1303.5,56; 1304,56; 1304.5,56; 1305,56; 1305.5,56; 1306,56; 1306.5,56; 1307,
              56; 1307.5,55.8; 1308,55.8; 1308.5,55.8; 1309,55.8; 1309.5,55.8; 1310,55.8;
              1310.5,55.8; 1311,55.8; 1311.5,55.8; 1312,55.7; 1312.5,55.7; 1313,55.7;
              1313.5,55.6; 1314,55.6; 1314.5,55.7; 1315,55.5; 1315.5,55.5; 1316,55.5;
              1316.5,55.5; 1317,55.5; 1317.5,55.5; 1318,55.5; 1318.5,55.5; 1319,55.5;
              1319.5,55.5; 1320,55.4; 1320.5,55.3; 1321,55.3; 1321.5,55.3; 1322,55.3;
              1322.5,55.3; 1323,55.3; 1323.5,55.3; 1324,55.3; 1324.5,55.3; 1325,55.3;
              1325.5,55.3; 1326,55.3; 1326.5,55.3; 1327,55.3; 1327.5,55.2; 1328,55.2;
              1328.5,55.2; 1329,55.2; 1329.5,55.2; 1330,55.2; 1330.5,55.2; 1331,55; 1331.5,
              55; 1332,55; 1332.5,55; 1333,55; 1333.5,55; 1334,55; 1334.5,55; 1335,55;
              1335.5,55; 1336,55; 1336.5,55; 1337,55; 1337.5,55; 1338,55; 1338.5,54.9;
              1339,54.9; 1339.5,54.9; 1340,54.9; 1340.5,54.9; 1341,54.9; 1341.5,54.9;
              1342,54.7; 1342.5,54.7; 1343,54.7; 1343.5,54.7; 1344,54.7; 1344.5,54.7;
              1345,54.7; 1345.5,54.7; 1346,54.7; 1346.5,54.7; 1347,54.6; 1347.5,54.6;
              1348,54.6; 1348.5,54.6; 1349,54.6; 1349.5,54.6; 1350,54.6; 1350.5,54.6;
              1351,54.6; 1351.5,54.6; 1352,54.6; 1352.5,54.6; 1353,54.6; 1353.5,54.4;
              1354,54.4; 1354.5,54.4; 1355,54.4; 1355.5,54.4; 1356,54.3; 1356.5,54.2;
              1357,54.3; 1357.5,54.3; 1358,54.3; 1358.5,54.3; 1359,54.3; 1359.5,54.3;
              1360,54.1; 1360.5,54.1; 1361,54.1; 1361.5,54.1; 1362,54.3; 1362.5,54.1;
              1363,54.1; 1363.5,54.1; 1364,54.1; 1364.5,54.1; 1365,54.1; 1365.5,54.1;
              1366,54.1; 1366.5,54.1; 1367,54.1; 1367.5,53.9; 1368,53.9; 1368.5,53.9;
              1369,53.9; 1369.5,53.9; 1370,53.9; 1370.5,53.9; 1371,53.8; 1371.5,53.8;
              1372,53.8; 1372.5,53.8; 1373,53.8; 1373.5,53.8; 1374,53.8; 1374.5,53.8;
              1375,53.8; 1375.5,53.8; 1376,53.8; 1376.5,53.8; 1377,53.8; 1377.5,53.6;
              1378,53.6; 1378.5,53.6; 1379,53.6; 1379.5,53.6; 1380,53.6; 1380.5,53.6;
              1381,53.6; 1381.5,53.6; 1382,53.6; 1382.5,53.6; 1383,53.6; 1383.5,53.5;
              1384,53.5; 1384.5,53.5; 1385,53.5; 1385.5,53.5; 1386,53.5; 1386.5,53.5;
              1387,53.5; 1387.5,53.3; 1388,53.3; 1388.5,53.3; 1389,53.3; 1389.5,53.3;
              1390,53.3; 1390.5,53.3; 1391,53.3; 1391.5,53.3; 1392,53.2; 1392.5,53.2;
              1393,53.1; 1393.5,53.1; 1394,53.1; 1394.5,53.1; 1395,53.1; 1395.5,53.1;
              1396,53.2; 1396.5,53; 1397,53.1; 1397.5,53.1; 1398,53.2; 1398.5,53; 1399,
              53; 1399.5,53; 1400,53; 1400.5,53; 1401,53; 1401.5,53; 1402,53; 1402.5,53;
              1403,53; 1403.5,53; 1404,52.8; 1404.5,52.8; 1405,52.8; 1405.5,52.8; 1406,
              52.8; 1406.5,52.8; 1407,52.8; 1407.5,52.7; 1408,52.7; 1408.5,52.7; 1409,
              52.7; 1409.5,52.7; 1410,52.7; 1410.5,52.7; 1411,52.7; 1411.5,52.7; 1412,
              52.7; 1412.5,52.7; 1413,52.7; 1413.5,52.7; 1414,52.7; 1414.5,52.7; 1415,
              52.7; 1415.5,52.7; 1416,52.7; 1416.5,52.7; 1417,52.7; 1417.5,52.5; 1418,
              52.5; 1418.5,52.5; 1419,52.5; 1419.5,52.5; 1420,52.5; 1420.5,52.5; 1421,
              52.5; 1421.5,52.5; 1422,52.5; 1422.5,52.5; 1423,52.5; 1423.5,52.5; 1424,
              52.5; 1424.5,52.5; 1425,52.5; 1425.5,52.5; 1426,52.5; 1426.5,52.5; 1427,
              52.5; 1427.5,52.5; 1428,52.5; 1428.5,52.4; 1429,52.4; 1429.5,52.4; 1430,
              52.4; 1430.5,52.4; 1431,52.4; 1431.5,52.4; 1432,52.4; 1432.5,52.4; 1433,
              52.4; 1433.5,52.4; 1434,52.4; 1434.5,52.4; 1435,52.2; 1435.5,52.2; 1436,
              52.4; 1436.5,52.4; 1437,52.4; 1437.5,52.4; 1438,52.4; 1438.5,52.4; 1439,
              52.2; 1439.5,52.4; 1440,52.2; 1440.5,52.2; 1441,52.2; 1441.5,52.2; 1442,
              52.2; 1442.5,52.2; 1443,52.2; 1443.5,52.1; 1444,52.1; 1444.5,52.1; 1445,
              52.1; 1445.5,52.1; 1446,52.1; 1446.5,52.1; 1447,51.9; 1447.5,51.9; 1448,
              51.9; 1448.5,51.9; 1449,51.9; 1449.5,51.9; 1450,51.9; 1450.5,51.9; 1451,
              51.9; 1451.5,51.9; 1452,51.9; 1452.5,51.8; 1453,51.8; 1453.5,51.8; 1454,
              51.6; 1454.5,51.6; 1455,51.6; 1455.5,51.6; 1456,51.6; 1456.5,51.6; 1457,
              51.6; 1457.5,51.6; 1458,51.6; 1458.5,51.6; 1459,51.6; 1459.5,51.6; 1460,
              51.6; 1460.5,51.6; 1461,51.6; 1461.5,51.4; 1462,51.5; 1462.5,51.4; 1463,
              51.4; 1463.5,51.4; 1464,51.3; 1464.5,51.3; 1465,51.3; 1465.5,51.3; 1466,
              51.3; 1466.5,51.3; 1467,51.3; 1467.5,51.3; 1468,51.3; 1468.5,51.1; 1469,
              51.1; 1469.5,51.1; 1470,51.1; 1470.5,51.1; 1471,51.1; 1471.5,51.1; 1472,
              51.1; 1472.5,51.1; 1473,51.1; 1473.5,51.1; 1474,51.1; 1474.5,51.1; 1475,
              51.1; 1475.5,51; 1476,51; 1476.5,51; 1477,51; 1477.5,51; 1478,51; 1478.5,
              51; 1479,51; 1479.5,51; 1480,51; 1480.5,51; 1481,51; 1481.5,51; 1482,51;
              1482.5,51; 1483,51; 1483.5,51; 1484,51; 1484.5,51; 1485,51; 1485.5,51; 1486,
              51; 1486.5,50.8; 1487,50.8; 1487.5,50.8; 1488,50.8; 1488.5,50.8; 1489,50.7;
              1489.5,50.7; 1490,50.7; 1490.5,50.7; 1491,50.7; 1491.5,50.7; 1492,50.7;
              1492.5,50.7; 1493,50.7; 1493.5,50.7; 1494,50.7; 1494.5,50.8; 1495,50.8;
              1495.5,50.8; 1496,50.8; 1496.5,50.8; 1497,50.7; 1497.5,50.7; 1498,50.7;
              1498.5,50.5; 1499,50.5; 1499.5,50.5; 1500,50.4; 1500.5,50.4; 1501,50.4;
              1501.5,50.4; 1502,50.4; 1502.5,50.4; 1503,50.4; 1503.5,50.4; 1504,50.4;
              1504.5,50.4; 1505,50.4; 1505.5,50.4; 1506,50.4; 1506.5,50.2; 1507,50.2;
              1507.5,50.2; 1508,50.2; 1508.5,50.2; 1509,50.2; 1509.5,50.2; 1510,50.2;
              1510.5,50.2; 1511,50.2; 1511.5,50.2; 1512,50.2; 1512.5,50.2; 1513,50; 1513.5,
              50; 1514,50; 1514.5,50.1; 1515,50; 1515.5,50; 1516,49.9; 1516.5,49.9; 1517,
              49.9; 1517.5,49.9; 1518,49.9; 1518.5,49.9; 1519,49.9; 1519.5,49.9; 1520,
              49.9; 1520.5,49.9; 1521,49.9; 1521.5,49.9; 1522,49.9; 1522.5,49.9; 1523,
              49.9; 1523.5,49.7; 1524,49.7; 1524.5,49.7; 1525,49.7; 1525.5,49.7; 1526,
              49.7; 1526.5,49.7; 1527,49.7; 1527.5,49.8; 1528,49.7; 1528.5,49.7; 1529,
              49.6; 1529.5,49.6; 1530,49.6; 1530.5,49.6; 1531,49.6; 1531.5,49.4; 1532,
              49.4; 1532.5,49.5; 1533,49.5; 1533.5,49.4; 1534,49.4; 1534.5,49.4; 1535,
              49.4; 1535.5,49.4; 1536,49.4; 1536.5,49.4; 1537,49.4; 1537.5,49.4; 1538,
              49.4; 1538.5,49.3; 1539,49.3; 1539.5,49.3; 1540,49.3; 1540.5,49.3; 1541,
              49.3; 1541.5,49.3; 1542,49.3; 1542.5,49.3; 1543,49.1; 1543.5,49.1; 1544,
              49.1; 1544.5,49.2; 1545,49.1; 1545.5,49.1; 1546,49.2; 1546.5,49.1; 1547,
              49.1; 1547.5,49.1; 1548,49.1; 1548.5,49.1; 1549,49.1; 1549.5,49.1; 1550,
              49.1; 1550.5,49.1; 1551,49.2; 1551.5,49.2; 1552,49.1; 1552.5,49.1; 1553,
              49.1; 1553.5,49; 1554,49; 1554.5,49; 1555,49; 1555.5,49; 1556,49; 1556.5,
              49; 1557,49; 1557.5,49; 1558,48.8; 1558.5,48.8; 1559,48.8; 1559.5,48.8;
              1560,48.8; 1560.5,48.8; 1561,48.8; 1561.5,48.8; 1562,48.8; 1562.5,48.8;
              1563,48.7; 1563.5,48.7; 1564,48.7; 1564.5,48.7; 1565,48.7; 1565.5,48.8;
              1566,48.7; 1566.5,48.8; 1567,48.8; 1567.5,48.7; 1568,48.7; 1568.5,48.7;
              1569,48.7; 1569.5,48.7; 1570,48.7; 1570.5,48.7; 1571,48.5; 1571.5,48.5;
              1572,48.5; 1572.5,48.5; 1573,48.5; 1573.5,48.5; 1574,48.5; 1574.5,48.5;
              1575,48.6; 1575.5,48.5; 1576,48.5; 1576.5,48.5; 1577,48.5; 1577.5,48.5;
              1578,48.5; 1578.5,48.5; 1579,48.5; 1579.5,48.4; 1580,48.4; 1580.5,48.4;
              1581,48.4; 1581.5,48.4; 1582,48.4; 1582.5,48.2; 1583,48.4; 1583.5,48.4;
              1584,48.4; 1584.5,48.4; 1585,48.2; 1585.5,48.2; 1586,48.4; 1586.5,48.4;
              1587,48.4; 1587.5,48.4; 1588,48.4; 1588.5,48.2; 1589,48.2; 1589.5,48.2;
              1590,48.2; 1590.5,48.2; 1591,48.2; 1591.5,48.2; 1592,48.2; 1592.5,48.2;
              1593,48.1; 1593.5,48.1; 1594,48.1; 1594.5,48.1; 1595,48.1; 1595.5,48.1;
              1596,48.1; 1596.5,48.1; 1597,47.9; 1597.5,47.9; 1598,47.9; 1598.5,47.9;
              1599,47.9; 1599.5,47.9; 1600,47.9; 1600.5,47.9; 1601,47.9; 1601.5,47.9;
              1602,47.9; 1602.5,47.9; 1603,47.9; 1603.5,47.9; 1604,47.9; 1604.5,47.9;
              1605,47.9; 1605.5,47.9; 1606,47.9; 1606.5,47.8; 1607,47.8; 1607.5,47.8;
              1608,47.8; 1608.5,47.8; 1609,47.8; 1609.5,47.8; 1610,47.9; 1610.5,47.9;
              1611,47.9; 1611.5,47.8; 1612,47.8; 1612.5,47.8; 1613,47.8; 1613.5,47.8;
              1614,47.6; 1614.5,47.6; 1615,47.6; 1615.5,47.6; 1616,47.6; 1616.5,47.6;
              1617,47.6; 1617.5,47.5; 1618,47.5; 1618.5,47.5; 1619,47.5; 1619.5,47.5;
              1620,47.5; 1620.5,47.4; 1621,47.4; 1621.5,47.5; 1622,47.5; 1622.5,47.4;
              1623,47.5; 1623.5,47.5; 1624,47.5; 1624.5,47.3; 1625,47.3; 1625.5,47.3;
              1626,47.3; 1626.5,47.3; 1627,47.3; 1627.5,47.3; 1628,47.3; 1628.5,47.3;
              1629,47.3; 1629.5,47.3; 1630,47.1; 1630.5,47.1; 1631,47.1; 1631.5,47.2;
              1632,47.1; 1632.5,47.1; 1633,47.1; 1633.5,47.1; 1634,47.1; 1634.5,47.1;
              1635,47.1; 1635.5,47.1; 1636,47; 1636.5,47; 1637,47; 1637.5,47; 1638,47;
              1638.5,47; 1639,47; 1639.5,47; 1640,47; 1640.5,47; 1641,47; 1641.5,47; 1642,
              47; 1642.5,47; 1643,47; 1643.5,47; 1644,47; 1644.5,46.8; 1645,46.8; 1645.5,
              46.8; 1646,46.8; 1646.5,46.8; 1647,46.8; 1647.5,46.8; 1648,46.8; 1648.5,
              46.8; 1649,46.8; 1649.5,46.7; 1650,46.7; 1650.5,46.7; 1651,46.7; 1651.5,
              46.7; 1652,46.7; 1652.5,46.7; 1653,46.7; 1653.5,46.7; 1654,46.7; 1654.5,
              46.7; 1655,46.7; 1655.5,46.7; 1656,46.7; 1656.5,46.7; 1657,46.7; 1657.5,
              46.7; 1658,46.7; 1658.5,46.7; 1659,46.7; 1659.5,46.7; 1660,46.7; 1660.5,
              46.7; 1661,46.5; 1661.5,46.5; 1662,46.5; 1662.5,46.5; 1663,46.5; 1663.5,
              46.5; 1664,46.5; 1664.5,46.5; 1665,46.5; 1665.5,46.4; 1666,46.4; 1666.5,
              46.4; 1667,46.4; 1667.5,46.4; 1668,46.4; 1668.5,46.4; 1669,46.4; 1669.5,
              46.2; 1670,46.2; 1670.5,46.2; 1671,46.2; 1671.5,46.2; 1672,46.2; 1672.5,
              46.2; 1673,46.2; 1673.5,46.2; 1674,46.2; 1674.5,46.2; 1675,46.2; 1675.5,
              46.4; 1676,46.4; 1676.5,46.2; 1677,46.2; 1677.5,46.2; 1678,46.2; 1678.5,
              46.2; 1679,46.2; 1679.5,46.2; 1680,46.2; 1680.5,46.2; 1681,46.2; 1681.5,
              46.2; 1682,46.2; 1682.5,46.1; 1683,46.1; 1683.5,46.1; 1684,46.1; 1684.5,
              46.1; 1685,46.1; 1685.5,45.9; 1686,45.9; 1686.5,45.9; 1687,45.9; 1687.5,
              45.9; 1688,45.9; 1688.5,45.9; 1689,46.1; 1689.5,45.9; 1690,45.9; 1690.5,
              45.9; 1691,45.9; 1691.5,45.9; 1692,45.9; 1692.5,45.9; 1693,45.8; 1693.5,
              45.8; 1694,45.8; 1694.5,45.8; 1695,45.8; 1695.5,45.8; 1696,45.8; 1696.5,
              45.8; 1697,45.8; 1697.5,45.8; 1698,45.8; 1698.5,45.8; 1699,45.8; 1699.5,
              45.8; 1700,45.8; 1700.5,45.8; 1701,45.8; 1701.5,45.8; 1702,45.8; 1702.5,
              45.8; 1703,45.6; 1703.5,45.6; 1704,45.6; 1704.5,45.6; 1705,45.6; 1705.5,
              45.6; 1706,45.6; 1706.5,45.6; 1707,45.6; 1707.5,45.6; 1708,45.6; 1708.5,
              45.6; 1709,45.4; 1709.5,45.4; 1710,45.4; 1710.5,45.4; 1711,45.4; 1711.5,
              45.4; 1712,45.4; 1712.5,45.4; 1713,45.4; 1713.5,45.4; 1714,45.4; 1714.5,
              45.4; 1715,45.4; 1715.5,45.4; 1716,45.4; 1716.5,45.4; 1717,45.4; 1717.5,
              45.4; 1718,45.3; 1718.5,45.3; 1719,45.3; 1719.5,45.3; 1720,45.3; 1720.5,
              45.3; 1721,45.3; 1721.5,45.3; 1722,45.3; 1722.5,45.3; 1723,45.3; 1723.5,
              45.3; 1724,45.3; 1724.5,45.3; 1725,45.1; 1725.5,45.1; 1726,45.1; 1726.5,
              45.1; 1727,45.1; 1727.5,45.1; 1728,45.1; 1728.5,45.1; 1729,45.1; 1729.5,
              45.1; 1730,45.1; 1730.5,45.1; 1731,45.1; 1731.5,45.1; 1732,45.1; 1732.5,
              45.1; 1733,45.1; 1733.5,45.1; 1734,45.1; 1734.5,45.1; 1735,45.1; 1735.5,
              45.1; 1736,45.1; 1736.5,45.1; 1737,45.1; 1737.5,45; 1738,45; 1738.5,45;
              1739,45; 1739.5,45; 1740,45; 1740.5,45; 1741,45; 1741.5,45; 1742,45; 1742.5,
              45; 1743,45; 1743.5,45; 1744,45; 1744.5,45; 1745,45; 1745.5,45; 1746,45;
              1746.5,45; 1747,45; 1747.5,45; 1748,45; 1748.5,45; 1749,45; 1749.5,45; 1750,
              45; 1750.5,44.8; 1751,44.8; 1751.5,44.8; 1752,44.8; 1752.5,44.8; 1753,44.8;
              1753.5,44.8; 1754,44.8; 1754.5,44.8; 1755,44.8; 1755.5,44.8; 1756,44.8;
              1756.5,44.8; 1757,44.7; 1757.5,44.7; 1758,44.7; 1758.5,44.7; 1759,44.7;
              1759.5,44.7; 1760,44.7; 1760.5,44.7; 1761,44.7; 1761.5,44.7; 1762,44.7;
              1762.5,44.7; 1763,44.7; 1763.5,44.7; 1764,44.5; 1764.5,44.5; 1765,44.5;
              1765.5,44.5; 1766,44.5; 1766.5,44.4; 1767,44.4; 1767.5,44.4; 1768,44.4;
              1768.5,44.4; 1769,44.4; 1769.5,44.4; 1770,44.4; 1770.5,44.4; 1771,44.4;
              1771.5,44.4; 1772,44.4; 1772.5,44.4; 1773,44.2; 1773.5,44.2; 1774,44.2;
              1774.5,44.2; 1775,44.2; 1775.5,44.2; 1776,44.2; 1776.5,44.2; 1777,44.2;
              1777.5,44.2; 1778,44.2; 1778.5,44.2; 1779,44.2; 1779.5,44.2; 1780,44.2;
              1780.5,44.2; 1781,44.2; 1781.5,44.1; 1782,44.2; 1782.5,44.2; 1783,44.1;
              1783.5,44.1; 1784,44.1; 1784.5,44.1; 1785,44.1; 1785.5,44.1; 1786,44.1;
              1786.5,44.1; 1787,44; 1787.5,44; 1788,44.1; 1788.5,44.1; 1789,44.1; 1789.5,
              44.1; 1790,44.1; 1790.5,44.1; 1791,44.1; 1791.5,44.1; 1792,44.1; 1792.5,
              44.1; 1793,44.1; 1793.5,44.1; 1794,44.1; 1794.5,44.1; 1795,43.9; 1795.5,
              43.9; 1796,43.9; 1796.5,43.9; 1797,43.9; 1797.5,43.9; 1798,43.9; 1798.5,
              43.9; 1799,43.9; 1799.5,43.9; 1800,43.9; 1800.5,43.9; 1801,43.9; 1801.5,
              43.9; 1802,43.9; 1802.5,43.7; 1803,43.8; 1803.5,43.7; 1804,43.8; 1804.5,
              43.8; 1805,43.8; 1805.5,43.7; 1806,43.8; 1806.5,43.8; 1807,43.7; 1807.5,
              43.8; 1808,43.8; 1808.5,43.8; 1809,43.8; 1809.5,43.6; 1810,43.6; 1810.5,
              43.6; 1811,43.6; 1811.5,43.6; 1812,43.6; 1812.5,43.6; 1813,43.6; 1813.5,
              43.6; 1814,43.6; 1814.5,43.4; 1815,43.6; 1815.5,43.6; 1816,43.6; 1816.5,
              43.4; 1817,43.4; 1817.5,43.4; 1818,43.4; 1818.5,43.4; 1819,43.4; 1819.5,
              43.4; 1820,43.4; 1820.5,43.4; 1821,43.4; 1821.5,43.4; 1822,43.4; 1822.5,
              43.4; 1823,43.4; 1823.5,43.4; 1824,43.4; 1824.5,43.3; 1825,43.3; 1825.5,
              43.3; 1826,43.3; 1826.5,43.3; 1827,43.1; 1827.5,43.1; 1828,43.1; 1828.5,
              43.1; 1829,43.1; 1829.5,43.1; 1830,43.1; 1830.5,43.1; 1831,43.1; 1831.5,
              43.1; 1832,43.1; 1832.5,43.1; 1833,43.1; 1833.5,43.1; 1834,43.1; 1834.5,
              43.1; 1835,43.1; 1835.5,43.1; 1836,43.1; 1836.5,43; 1837,43.1; 1837.5,43.1;
              1838,43; 1838.5,43; 1839,43; 1839.5,43; 1840,43; 1840.5,43; 1841,43; 1841.5,
              43; 1842,43; 1842.5,43; 1843,43; 1843.5,43; 1844,43; 1844.5,43; 1845,43;
              1845.5,43; 1846,43; 1846.5,43; 1847,43; 1847.5,43; 1848,43; 1848.5,43; 1849,
              43; 1849.5,43; 1850,43; 1850.5,43; 1851,42.8; 1851.5,42.8; 1852,42.8; 1852.5,
              42.8; 1853,42.8; 1853.5,42.8; 1854,42.8; 1854.5,42.8; 1855,42.8; 1855.5,
              42.7; 1856,42.7; 1856.5,42.7; 1857,42.7; 1857.5,42.7; 1858,42.7; 1858.5,
              42.7; 1859,42.7; 1859.5,42.7; 1860,42.7; 1860.5,42.7; 1861,42.7; 1861.5,
              42.7; 1862,42.7; 1862.5,42.7; 1863,42.7; 1863.5,42.7; 1864,42.7; 1864.5,
              42.7; 1865,42.5; 1865.5,42.5; 1866,42.5; 1866.5,42.5; 1867,42.5; 1867.5,
              42.5; 1868,42.5; 1868.5,42.5; 1869,42.5; 1869.5,42.5; 1870,42.5; 1870.5,
              42.5; 1871,42.4; 1871.5,42.4; 1872,42.4; 1872.5,42.4; 1873,42.4; 1873.5,
              42.4; 1874,42.4; 1874.5,42.4; 1875,42.4; 1875.5,42.4; 1876,42.4; 1876.5,
              42.4; 1877,42.4; 1877.5,42.4; 1878,42.4; 1878.5,42.4; 1879,42.4; 1879.5,
              42.2; 1880,42.2; 1880.5,42.2; 1881,42.2; 1881.5,42.2; 1882,42.2; 1882.5,
              42.2; 1883,42.2; 1883.5,42.2; 1884,42.2; 1884.5,42.2; 1885,42.2; 1885.5,
              42.2; 1886,42.2; 1886.5,42.2; 1887,42.2; 1887.5,42.2; 1888,42.2; 1888.5,
              42.1; 1889,42.2; 1889.5,42.1; 1890,42.2; 1890.5,42.1; 1891,42.1; 1891.5,
              42.1; 1892,42.1; 1892.5,42.1; 1893,42.1; 1893.5,42.1; 1894,42.1; 1894.5,
              42.1; 1895,42.1; 1895.5,42.1; 1896,42.1; 1896.5,41.9; 1897,42.1; 1897.5,
              42.1; 1898,41.9; 1898.5,41.9; 1899,41.9; 1899.5,41.9; 1900,41.9; 1900.5,
              41.9; 1901,41.9; 1901.5,41.9; 1902,41.9; 1902.5,41.9; 1903,41.9; 1903.5,
              41.9; 1904,41.9; 1904.5,41.9; 1905,41.9; 1905.5,41.9; 1906,41.9; 1906.5,
              41.8; 1907,41.7; 1907.5,41.8; 1908,41.8; 1908.5,41.9; 1909,41.9; 1909.5,
              41.8; 1910,41.9; 1910.5,41.9; 1911,41.8; 1911.5,41.7; 1912,41.8; 1912.5,
              41.8; 1913,41.8; 1913.5,41.7; 1914,41.8; 1914.5,41.8; 1915,41.7; 1915.5,
              41.7; 1916,41.8; 1916.5,41.7; 1917,41.7; 1917.5,41.8; 1918,41.7; 1918.5,
              41.7; 1919,41.6; 1919.5,41.6; 1920,41.6; 1920.5,41.6; 1921,41.6; 1921.5,
              41.6; 1922,41.6; 1922.5,41.6; 1923,41.6; 1923.5,41.6; 1924,41.6; 1924.5,
              41.6; 1925,41.6; 1925.5,41.6; 1926,41.5; 1926.5,41.4; 1927,41.4; 1927.5,
              41.4; 1928,41.5; 1928.5,41.5; 1929,41.5; 1929.5,41.5; 1930,41.5; 1930.5,
              41.4; 1931,41.4; 1931.5,41.4; 1932,41.4; 1932.5,41.4; 1933,41.5; 1933.5,
              41.4; 1934,41.4; 1934.5,41.4; 1935,41.4; 1935.5,41.4; 1936,41.3; 1936.5,
              41.3; 1937,41.3; 1937.5,41.3; 1938,41.3; 1938.5,41.3; 1939,41.3; 1939.5,
              41.3; 1940,41.3; 1940.5,41.3; 1941,41.1; 1941.5,41.3; 1942,41.1; 1942.5,
              41.1; 1943,41.1; 1943.5,41.1; 1944,41.1; 1944.5,41.1; 1945,41.1; 1945.5,
              41.1; 1946,41.1; 1946.5,41.1; 1947,41.3; 1947.5,41.1; 1948,41.1; 1948.5,
              41.1; 1949,41.1; 1949.5,41.1; 1950,41.1; 1950.5,41.1; 1951,41.1; 1951.5,
              41.1; 1952,41.1; 1952.5,41.1; 1953,41.1; 1953.5,41.1; 1954,41.1; 1954.5,
              41; 1955,41; 1955.5,41; 1956,41; 1956.5,41; 1957,41; 1957.5,41; 1958,41;
              1958.5,41; 1959,41; 1959.5,41; 1960,41; 1960.5,40.8; 1961,40.8; 1961.5,40.8;
              1962,40.8; 1962.5,40.8; 1963,40.8; 1963.5,40.8; 1964,40.8; 1964.5,40.8;
              1965,40.8; 1965.5,40.8; 1966,40.8; 1966.5,40.8; 1967,40.8; 1967.5,40.8;
              1968,40.8; 1968.5,40.8; 1969,40.7; 1969.5,40.7; 1970,40.7; 1970.5,40.7;
              1971,40.7; 1971.5,40.7; 1972,40.7; 1972.5,40.7; 1973,40.7; 1973.5,40.7;
              1974,40.7; 1974.5,40.7; 1975,40.7; 1975.5,40.7; 1976,40.7; 1976.5,40.7;
              1977,40.7; 1977.5,40.7; 1978,40.7; 1978.5,40.7; 1979,40.7; 1979.5,40.7;
              1980,40.7; 1980.5,40.5; 1981,40.5; 1981.5,40.5; 1982,40.5; 1982.5,40.5;
              1983,40.5; 1983.5,40.5; 1984,40.5; 1984.5,40.5; 1985,40.5; 1985.5,40.4;
              1986,40.4; 1986.5,40.4; 1987,40.5; 1987.5,40.5; 1988,40.4; 1988.5,40.4;
              1989,40.4; 1989.5,40.4; 1990,40.4; 1990.5,40.4; 1991,40.4; 1991.5,40.4;
              1992,40.4; 1992.5,40.4; 1993,40.4; 1993.5,40.4; 1994,40.4; 1994.5,40.4;
              1995,40.4; 1995.5,40.4; 1996,40.4; 1996.5,40.4; 1997,40.4; 1997.5,40.4;
              1998,40.4; 1998.5,40.4; 1999,40.4; 1999.5,40.4; 2000,40.4; 2000.5,40.4;
              2001,40.4; 2001.5,40.4; 2002,40.4; 2002.5,40.2; 2003,40.2; 2003.5,40.2;
              2004,40.2; 2004.5,40.2; 2005,40.2; 2005.5,40.2; 2006,40.2; 2006.5,40.2;
              2007,40.2; 2007.5,40.2; 2008,40.1; 2008.5,40.1; 2009,40.1; 2009.5,40; 2010,
              40.1; 2010.5,40.1; 2011,40.1; 2011.5,40.1; 2012,40.1; 2012.5,40.1; 2013,
              40; 2013.5,40; 2014,40.1; 2014.5,40.1; 2015,40.1; 2015.5,40; 2016,40; 2016.5,
              40; 2017,39.9; 2017.5,39.9; 2018,39.9; 2018.5,40; 2019,39.9; 2019.5,39.9;
              2020,39.9; 2020.5,39.9; 2021,39.9; 2021.5,39.9; 2022,39.9; 2022.5,39.9;
              2023,39.9; 2023.5,39.9; 2024,39.9; 2024.5,39.9; 2025,39.9; 2025.5,39.9;
              2026,39.9; 2026.5,39.9; 2027,39.9; 2027.5,39.9; 2028,39.9; 2028.5,39.7;
              2029,39.7; 2029.5,39.7; 2030,39.7; 2030.5,39.7; 2031,39.7; 2031.5,39.8;
              2032,39.7; 2032.5,39.7; 2033,39.7; 2033.5,39.7; 2034,39.7; 2034.5,39.7;
              2035,39.7; 2035.5,39.6; 2036,39.7; 2036.5,39.6; 2037,39.6; 2037.5,39.6;
              2038,39.6; 2038.5,39.6; 2039,39.6; 2039.5,39.6; 2040,39.6; 2040.5,39.6;
              2041,39.6; 2041.5,39.6; 2042,39.6; 2042.5,39.6; 2043,39.6; 2043.5,39.6;
              2044.2,39.6; 2044.5,39.6; 2045,39.6; 2045.5,39.6; 2046,39.6; 2046.5,39.6;
              2047,39.6; 2047.5,39.6; 2048,39.6; 2048.5,39.6; 2049,39.6; 2049.5,39.6;
              2050,39.6; 2050.5,39.4; 2051,39.4; 2051.5,39.6; 2052,39.4; 2052.5,39.4;
              2053,39.4; 2053.5,39.4; 2054,39.4; 2054.5,39.4; 2055,39.4; 2055.5,39.4;
              2056,39.4; 2056.5,39.3; 2057,39.3; 2057.5,39.3; 2058,39.3; 2058.5,39.3;
              2059,39.3; 2059.5,39.3; 2060,39.3; 2060.5,39.3; 2061,39.3; 2061.5,39.3;
              2062,39.3; 2062.5,39.3; 2063,39.3; 2063.5,39.3; 2064,39.3; 2064.5,39.3;
              2065,39.3; 2065.5,39.3; 2066,39.3; 2066.5,39.3; 2067,39.3; 2067.5,39.3;
              2068,39.1; 2068.5,39.3; 2069,39.1; 2069.5,39.3; 2070,39.3; 2070.5,39.3;
              2071,39.1; 2071.5,39.1; 2072,39.1; 2072.5,39.1; 2073,39.1; 2073.5,39.1;
              2074,39.1; 2074.5,39.1; 2075,39.1; 2075.5,39.1; 2076,39.1; 2076.5,39.1;
              2077,39.1; 2077.5,39.1; 2078,39.1; 2078.5,39.1; 2079,39.1; 2079.5,39; 2080,
              39; 2080.5,39; 2081,39; 2081.5,39; 2082,39; 2082.5,39; 2083,39; 2083.5,39;
              2084,39; 2084.5,39; 2085,39; 2085.5,39; 2086,39; 2086.5,39; 2087,39; 2087.5,
              39; 2088,39; 2088.5,39; 2089,39; 2089.5,39; 2090,38.8; 2090.5,38.8; 2091,
              38.8; 2091.5,38.8; 2092,38.8; 2092.5,38.8; 2093,38.8; 2093.5,38.8; 2094,
              38.8; 2094.5,38.8; 2095,38.8; 2095.5,38.8; 2096,38.8; 2096.5,38.8; 2097,
              38.8; 2097.5,38.8; 2098,38.8; 2098.5,38.8; 2099,38.8; 2099.5,38.8; 2100,
              38.8; 2100.5,38.8; 2101,38.8; 2101.5,38.8; 2102,38.7; 2102.5,38.7; 2103,
              38.7; 2103.5,38.7; 2104,38.7; 2104.5,38.7; 2105,38.7; 2105.5,38.7; 2106,
              38.7; 2106.5,38.7; 2107,38.7; 2107.5,38.7; 2108,38.7; 2108.5,38.7; 2109,
              38.7; 2109.5,38.7; 2110,38.7; 2110.5,38.7; 2111,38.5; 2111.5,38.5; 2112,
              38.5; 2112.5,38.5; 2113,38.5; 2113.5,38.5; 2114,38.5; 2114.5,38.5; 2115,
              38.5; 2115.5,38.5; 2116,38.5; 2116.5,38.5; 2117,38.5; 2117.5,38.5; 2118,
              38.5; 2118.5,38.5; 2119,38.5; 2119.5,38.5; 2120,38.5; 2120.5,38.5; 2121,
              38.4; 2121.5,38.5; 2122,38.5; 2122.5,38.5; 2123,38.5; 2123.5,38.5; 2124,
              38.5; 2124.5,38.5; 2125,38.5; 2125.5,38.5; 2126,38.5; 2126.5,38.5; 2127,
              38.5; 2127.5,38.5; 2128,38.5; 2128.5,38.5; 2129,38.4; 2129.5,38.3; 2130,
              38.4; 2130.5,38.4; 2131,38.3; 2131.5,38.4; 2132,38.3; 2132.5,38.4; 2133,
              38.4; 2133.5,38.3; 2134,38.3; 2134.5,38.4; 2135,38.2; 2135.5,38.2; 2136,
              38.2; 2136.5,38.2; 2137,38.2; 2137.5,38.2; 2138,38.2; 2138.5,38.2; 2139,
              38.2; 2139.5,38.2; 2140,38.2; 2140.5,38.2; 2141,38.2; 2141.5,38.2; 2142,
              38.2; 2142.5,38.2; 2143,38.2; 2143.5,38.2; 2144,38.2; 2144.5,38.2; 2145,
              38.2; 2145.5,38.2; 2146,38; 2146.5,38; 2147,38; 2147.5,38; 2148,38; 2148.5,
              38; 2149,38; 2149.5,38; 2150,38; 2150.5,38; 2151,38; 2151.5,38; 2152,38;
              2152.5,38; 2153,38; 2153.5,38; 2154,38; 2154.5,38; 2155,38; 2155.5,38; 2156,
              37.9; 2156.5,38; 2157,37.9; 2157.5,37.9; 2158,37.9; 2158.5,37.9; 2159,37.9;
              2159.5,37.9; 2160,37.9; 2160.5,37.9; 2161,37.9; 2161.5,37.9; 2162,37.9;
              2162.5,37.9; 2163,37.9; 2163.5,37.9; 2164,37.9; 2164.5,37.9; 2165,37.9;
              2165.5,37.9; 2166,37.9; 2166.5,37.9; 2167,37.9; 2167.5,37.9; 2168,37.9;
              2168.5,37.9; 2169,37.9; 2169.5,37.7; 2170,37.7; 2170.5,37.7; 2171,37.7;
              2171.5,37.7; 2172,37.7; 2172.5,37.7; 2173,37.7; 2173.5,37.7; 2174,37.7;
              2174.5,37.7; 2175,37.7; 2175.5,37.7; 2176,37.7; 2176.5,37.7; 2177,37.7;
              2177.5,37.7; 2178,37.7; 2178.5,37.7; 2179,37.7; 2179.5,37.7; 2180,37.7;
              2180.5,37.7; 2181,37.7; 2181.5,37.7; 2182,37.7; 2182.5,37.7; 2183,37.7;
              2183.5,37.6; 2184,37.6; 2184.5,37.6; 2185,37.6; 2185.5,37.6; 2186,37.6;
              2186.5,37.6; 2187,37.6; 2187.5,37.6; 2188,37.6; 2188.5,37.6; 2189,37.6;
              2189.5,37.6; 2190,37.6; 2190.5,37.4; 2191,37.4; 2191.5,37.4; 2192,37.4;
              2192.5,37.4; 2193,37.4; 2193.5,37.4; 2194,37.4; 2194.5,37.4; 2195,37.4;
              2195.5,37.4; 2196,37.4; 2196.5,37.4; 2197,37.6; 2197.5,37.4; 2198,37.4;
              2198.5,37.6; 2199,37.4; 2199.5,37.4; 2200,37.4; 2200.5,37.4; 2201,37.6;
              2201.5,37.6; 2202,37.6; 2202.5,37.4; 2203,37.4; 2203.5,37.4; 2204,37.4;
              2204.5,37.4; 2205,37.4; 2205.5,37.4; 2206,37.4; 2206.5,37.4; 2207,37.3;
              2207.5,37.3; 2208,37.3; 2208.5,37.3; 2209,37.3; 2209.5,37.3; 2210,37.3;
              2210.5,37.3; 2211,37.3; 2211.5,37.3; 2212,37.3; 2212.5,37.3; 2213,37.1;
              2213.5,37.1; 2214,37.1; 2214.5,37.1; 2215,37.1; 2215.5,37.1; 2216,37.1;
              2216.5,37.1; 2217,37.1; 2217.5,37.1; 2218,37.1; 2218.5,37.1; 2219,37.1;
              2219.5,37.1; 2220,37.1; 2220.5,37.1; 2221,37.3; 2221.5,37.3; 2222,37.3;
              2222.5,37.3; 2223,37.1; 2223.5,37.1; 2224,37.1; 2224.5,37.1; 2225,37.1;
              2225.5,37.1; 2226,37.1; 2226.5,37.1; 2227,37.1; 2227.5,37.1; 2228,37.1;
              2228.5,37.1; 2229,37.1; 2229.5,36.9; 2230,37; 2230.5,37; 2231,36.9; 2231.5,
              37.1; 2232,37.1; 2232.5,37.1; 2233,37.1; 2233.5,37.1; 2234,37.1; 2234.5,
              37.1; 2235,37.1; 2235.5,37.1; 2236,37.1; 2236.5,37.1; 2237,37; 2237.5,37;
              2238,37; 2238.5,37; 2239,37; 2239.5,36.9; 2240,37; 2240.5,36.9; 2241,36.9;
              2241.5,36.9; 2242,36.9; 2242.5,36.9; 2243,36.8; 2243.5,36.8; 2244,36.8;
              2244.5,36.8; 2245,36.8; 2245.5,37; 2246,37; 2246.5,37; 2247,37; 2247.5,36.9;
              2248,37; 2248.5,37; 2249,37; 2249.5,36.8; 2250,36.9; 2250.5,36.8; 2251,36.8;
              2251.5,36.8; 2252,36.8; 2252.5,36.8; 2253,36.8; 2253.5,36.8; 2254,36.8;
              2254.5,36.8; 2255,36.8; 2255.5,36.8; 2256,36.8; 2256.5,36.8; 2257,36.8;
              2257.5,36.8; 2258,36.8; 2258.5,36.8; 2259,36.8; 2259.5,36.8; 2260,36.8;
              2260.5,36.8; 2261,36.8; 2261.5,36.8; 2262,36.8; 2262.5,36.8; 2263,36.8;
              2263.5,36.8; 2264,36.8; 2264.5,36.7; 2265,36.6; 2265.5,36.7; 2266,36.6;
              2266.5,36.6; 2267,36.6; 2267.5,36.7; 2268,36.6; 2268.5,36.6; 2269,36.6;
              2269.5,36.7; 2270,36.6; 2270.5,36.5; 2271,36.5; 2271.5,36.5; 2272,36.5;
              2272.5,36.5; 2273,36.5; 2273.5,36.5; 2274,36.5; 2274.5,36.5; 2275,36.5;
              2275.5,36.5; 2276,36.5; 2276.5,36.5; 2277,36.5; 2277.5,36.5; 2278,36.5;
              2278.5,36.5; 2279,36.5; 2279.5,36.5; 2280,36.5; 2280.5,36.5; 2281,36.5;
              2281.5,36.5; 2282,36.5; 2282.5,36.5; 2283,36.3; 2283.5,36.3; 2284,36.3;
              2284.5,36.3; 2285,36.3; 2285.5,36.3; 2286,36.3; 2286.5,36.3; 2287,36.3;
              2287.5,36.3; 2288,36.3; 2288.5,36.3; 2289,36.3; 2289.5,36.3; 2290,36.3;
              2290.5,36.3; 2291,36.2; 2291.5,36.2; 2292,36.2; 2292.5,36.2; 2293,36.2;
              2293.5,36.2; 2294,36.2; 2294.5,36.2; 2295,36.2; 2295.5,36.2; 2296,36.2;
              2296.5,36.2; 2297,36.2; 2297.5,36.2; 2298,36.2; 2298.5,36.2; 2299,36.2;
              2299.5,36.2; 2300,36.2; 2300.5,36.2; 2301,36.2; 2301.5,36.2; 2302,36.2;
              2302.5,36.2; 2303,36.2; 2303.5,36.2; 2304,36; 2304.5,36; 2305,36; 2305.5,
              36; 2306,36; 2306.5,36.2; 2307,36.2; 2307.5,36.2; 2308,36; 2308.5,36; 2309,
              36; 2309.5,36; 2310,36; 2310.5,36; 2311,36; 2311.5,36; 2312,36; 2312.5,36;
              2313,35.9; 2313.5,35.9; 2314,35.9; 2314.5,35.9; 2315,36; 2315.5,36; 2316,
              35.9; 2316.5,35.9; 2317,35.9; 2317.5,35.9; 2318,35.9; 2318.5,35.9; 2319,
              35.9; 2319.5,35.9; 2320,35.9; 2320.5,35.9; 2321,35.9; 2321.5,35.9; 2322,
              35.9; 2322.5,35.9; 2323,35.9; 2323.5,35.9; 2324,35.9; 2324.5,35.9; 2325,
              35.9; 2325.5,35.9; 2326,35.9; 2326.5,35.9; 2327,35.9; 2327.5,35.9; 2328,
              35.9; 2328.5,35.9; 2329,35.9; 2329.5,35.9; 2330,35.9; 2330.5,35.9; 2331,
              35.7; 2331.5,35.7; 2332,35.7; 2332.5,35.7; 2333,35.7; 2333.5,35.7; 2334,
              35.7; 2334.5,35.7; 2335,35.7; 2335.5,35.7; 2336,35.7; 2336.5,35.7; 2337,
              35.7; 2337.5,35.7; 2338,35.7; 2338.5,35.7; 2339,35.7; 2339.5,35.6; 2340,
              35.6; 2340.5,35.6; 2341,35.6; 2341.5,35.6; 2342,35.6; 2342.5,35.6; 2343,
              35.6; 2343.5,35.6; 2344,35.6; 2344.5,35.6; 2345,35.6; 2345.5,35.6; 2346,
              35.6; 2346.5,35.6; 2347,35.6; 2347.5,35.6; 2348,35.6; 2348.5,35.6; 2349,
              35.6; 2349.5,35.6; 2350,35.4; 2350.5,35.4; 2351,35.4; 2351.5,35.4; 2352,
              35.4; 2352.5,35.4; 2353,35.6; 2353.5,35.4; 2354,35.4; 2354.5,35.4; 2355,
              35.4; 2355.5,35.4; 2356,35.4; 2356.5,35.4; 2357,35.4; 2357.5,35.4; 2358,
              35.4; 2358.5,35.4; 2359,35.4; 2359.5,35.4; 2360,35.4; 2360.5,35.4; 2361,
              35.4; 2361.5,35.4; 2362,35.4; 2362.5,35.4; 2363,35.4; 2363.5,35.4; 2364,
              35.4; 2364.5,35.4; 2365,35.4; 2365.5,35.4; 2366,35.4; 2366.5,35.4; 2367,
              35.4; 2367.5,35.4; 2368,35.4; 2368.5,35.4; 2369,35.4; 2369.5,35.4; 2370,
              35.4; 2370.5,35.4; 2371,35.4; 2371.5,35.4; 2372,35.4; 2372.5,35.4; 2373,
              35.4; 2373.5,35.4; 2374,35.4; 2374.5,35.4; 2375,35.4; 2375.5,35.4; 2376,
              35.2; 2376.5,35.3; 2377,35.4; 2377.5,35.4; 2378,35.4; 2378.5,35.4; 2379,
              35.4; 2379.5,35.4; 2380,35.2; 2380.5,35.2; 2381,35.2; 2381.5,35.2; 2382,
              35.2; 2382.5,35.1; 2383,35.1; 2383.5,35.1; 2384,35.1; 2384.5,35.1; 2385,
              35.1; 2385.5,35.1; 2386,35.1; 2386.5,35.1; 2387,35.1; 2387.5,35.1; 2388,
              35.1; 2388.5,35.1; 2389,35.1; 2389.5,35.1; 2390,35.1; 2390.5,35.1; 2391,
              35.1; 2391.5,35.1; 2392,35.1; 2392.5,35.1; 2393,35.1; 2393.5,35.1; 2394,
              35.1; 2394.5,35.1; 2395,35.1; 2395.5,35.1; 2396,35.1; 2396.5,35.1; 2397,
              35.1; 2397.5,35.1; 2398,35.1; 2398.5,35.1; 2399,35.1; 2399.5,35.1; 2400,
              35.1; 2400.5,35.1; 2401,35.1; 2401.5,35.1; 2402,35.1; 2402.5,35.1; 2403,
              35.1; 2403.5,35.1; 2404,35.1; 2404.5,35.1; 2405,35.1; 2405.5,35.1; 2406,
              34.9; 2406.5,34.9; 2407,34.9; 2407.5,34.9; 2408,34.9]) annotation (
            Placement(transformation(
              extent={{-10,-10},{10,10}},
              rotation=270,
              origin={-80,80})));
        Modelica.Blocks.Tables.CombiTable1D MeasurementDataTCold_TEC(table=[0,25.1; 0.5,
              25.1; 1,25; 1.5,25; 2,25; 2.7,25; 3,25.1; 3.5,25; 4,25; 4.5,25; 5,25; 5.5,
              25.1; 6.3,24.9; 6.5,24.9; 7,24.9; 7.5,24.9; 8,24.9; 8.5,24.9; 9,24.9; 9.5,
              24.9; 10,24.9; 10.5,24.9; 11,24.9; 11.5,24.9; 12,24.9; 12.5,24.9; 13,24.9;
              13.5,24.7; 14,24.7; 14.5,24.7; 15,24.7; 15.5,24.7; 16,24.7; 16.5,24.7; 17,
              24.7; 17.5,24.7; 18,24.7; 18.5,24.7; 19,24.7; 19.5,24.7; 20,24.7; 20.5,24.6;
              21,24.6; 21.5,24.6; 22,24.6; 22.5,24.6; 23,24.6; 23.5,24.6; 24,24.6; 24.5,
              24.6; 25,24.6; 25.5,24.6; 26,24.6; 26.5,24.6; 27,24.6; 27.5,24.6; 28,24.6;
              28.5,24.6; 29,24.6; 29.5,24.6; 30,24.6; 30.5,24.6; 31,24.6; 31.5,24.6; 32,
              24.7; 32.5,24.7; 33,24.7; 33.5,24.7; 34,24.7; 34.5,24.7; 35,24.7; 35.5,24.7;
              36,24.9; 36.5,24.9; 37,24.9; 37.5,24.9; 38,24.9; 38.5,24.9; 39,24.9; 39.5,
              25; 40,25; 40.5,25.1; 41,25.1; 41.5,25.2; 42,25.2; 42.5,25.2; 43,25.2; 43.5,
              25.2; 44,25.2; 44.5,25.4; 45,25.3; 45.5,25.4; 46,25.5; 46.5,25.5; 47,25.5;
              47.5,25.7; 48,25.7; 48.5,25.7; 49,25.7; 49.5,25.8; 50,25.8; 50.5,26; 51,
              26; 51.5,26; 52,26.1; 52.5,26.1; 53,26.1; 53.5,26.3; 54,26.3; 54.5,26.4;
              55,26.4; 55.5,26.4; 56,26.6; 56.5,26.6; 57,26.6; 57.5,26.7; 58,26.7; 58.5,
              26.7; 59,26.9; 59.5,26.9; 60,27.1; 60.5,27.1; 61,27.2; 61.5,27.2; 62,27.2;
              62.5,27.4; 63,27.4; 63.5,27.5; 64,27.5; 64.5,27.7; 65,27.7; 65.5,27.8; 66,
              27.8; 66.5,28; 67,28; 67.5,28.1; 68,28.1; 68.5,28.3; 69,28.3; 69.5,28.4;
              70,28.4; 70.5,28.4; 71,28.6; 71.5,28.8; 72,28.8; 72.5,28.8; 73,28.9; 73.5,
              29.1; 74,29.1; 74.5,29.2; 75,29.2; 75.5,29.2; 76,29.4; 76.5,29.5; 77,29.5;
              77.5,29.7; 78,29.7; 78.5,29.8; 79,29.8; 79.5,30; 80,30; 80.5,30.1; 81,30.1;
              81.5,30.3; 82,30.4; 82.5,30.4; 83,30.4; 83.5,30.6; 84,30.7; 84.5,30.7; 85,
              30.9; 85.5,30.9; 86,31.1; 86.5,31; 87,31.2; 87.5,31.2; 88,31.4; 88.5,31.4;
              89,31.5; 89.5,31.7; 90,31.7; 90.5,31.8; 91,31.8; 91.5,32; 92,32; 92.5,32.1;
              93,32.1; 93.5,32.3; 94,32.4; 94.5,32.4; 95,32.6; 95.5,32.6; 96,32.7; 96.5,
              32.7; 97,32.9; 97.5,32.9; 98,33; 98.5,33.2; 99,33.2; 99.5,33.3; 100,33.3;
              100.5,33.5; 101,33.5; 101.5,33.7; 102,33.8; 102.5,33.8; 103,34; 103.5,34;
              104,34.1; 104.5,34.1; 105,34.3; 105.5,34.3; 106,34.4; 106.5,34.6; 107,34.6;
              107.5,34.7; 108,34.7; 108.5,34.9; 109,34.9; 109.5,35; 110,35; 110.5,35.2;
              111,35.2; 111.5,35.3; 112,35.3; 112.5,35.5; 113,35.5; 113.5,35.6; 114,35.7;
              114.5,35.8; 115,35.8; 115.5,36; 116,36.1; 116.5,36.1; 117,36.3; 117.5,36.3;
              118,36.3; 118.5,36.4; 119,36.6; 119.5,36.6; 120,36.6; 120.5,36.7; 121,36.7;
              121.5,36.9; 122,37; 122.5,37; 123,37; 123.5,37.2; 124,37.3; 124.5,37.4;
              125,37.5; 125.5,37.5; 126,37.5; 126.5,37.7; 127,37.8; 127.5,37.8; 128,38;
              128.5,38; 129,38.1; 129.5,38.1; 130,38.3; 130.5,38.3; 131,38.4; 131.5,38.4;
              132,38.4; 132.5,38.6; 133,38.6; 133.5,38.7; 134,38.7; 134.5,38.9; 135,38.9;
              135.5,39; 136,39.2; 136.5,39.2; 137,39.2; 137.5,39.3; 138,39.3; 138.5,39.5;
              139,39.5; 139.5,39.6; 140,39.6; 140.5,39.8; 141,39.8; 141.5,39.9; 142,39.9;
              142.5,40.1; 143,40.1; 143.5,40.1; 144,40.3; 144.5,40.3; 145,40.4; 145.5,
              40.4; 146,40.6; 146.5,40.6; 147,40.7; 147.5,40.7; 148,40.7; 148.5,40.9;
              149,40.9; 149.5,41; 150,41; 150.5,41.2; 151,41.2; 151.5,41.2; 152,41.3;
              152.5,41.3; 153,41.5; 153.5,41.5; 154,41.5; 154.5,41.6; 155,41.6; 155.5,
              41.8; 156,41.8; 156.5,41.8; 157,41.9; 157.5,41.9; 158,41.9; 158.5,42.1;
              159,42.1; 159.5,42.1; 160,42.3; 160.5,42.3; 161,42.2; 161.5,42.4; 162,42.4;
              162.5,42.4; 163,42.6; 163.5,42.6; 164,42.6; 164.5,42.7; 165,42.7; 165.5,
              42.7; 166,42.7; 166.5,42.7; 167,42.9; 167.5,42.9; 168,42.9; 168.5,42.9;
              169,43; 169.5,43; 170,43; 170.5,43; 171,43.2; 171.5,43.2; 172,43.2; 172.5,
              43.2; 173,43.2; 173.5,43.3; 174,43.3; 174.5,43.3; 175,43.3; 175.5,43.3;
              176,43.5; 176.5,43.5; 177,43.5; 177.5,43.5; 178,43.5; 178.5,43.5; 179,43.7;
              179.5,43.6; 180,43.6; 180.5,43.6; 181,43.6; 181.5,43.6; 182,43.6; 182.5,
              43.6; 183,43.6; 183.5,43.6; 184,43.8; 184.5,43.8; 185,43.8; 185.5,43.8;
              186,43.8; 186.5,43.8; 187,43.8; 187.5,43.8; 188,43.8; 188.5,44; 189,44;
              189.5,44; 190,43.9; 190.5,44; 191,44; 191.5,44; 192,44; 192.5,44; 193,44;
              193.5,44; 194,44; 194.5,44; 195,44; 195.5,44; 196,44; 196.5,44.1; 197,44.1;
              197.5,44.1; 198,44.1; 198.5,44.1; 199,44.1; 199.5,44.1; 200,44.1; 200.5,
              44.1; 201,44.1; 201.5,44.1; 202,44.1; 202.5,44.1; 203,44.1; 203.5,44.1;
              204,44.1; 204.5,44.1; 205,44.1; 205.5,44.1; 206,44.1; 206.5,44.1; 207,44.1;
              207.5,44.1; 208,44.1; 208.5,44.1; 209,44.1; 209.5,44.1; 210,44.1; 210.5,
              44.1; 211,44.1; 211.5,44.1; 212,44.1; 212.5,44.1; 213,44.1; 213.5,44.1;
              214,44.1; 214.5,44.1; 215,44.1; 215.5,44.1; 216,44.1; 216.5,44.1; 217,44.1;
              217.5,44.1; 218,44.1; 218.5,44.1; 219,44.1; 219.5,44.1; 220,44.1; 220.5,
              44.1; 221,44.1; 221.5,44.1; 222,44.1; 222.5,44.1; 223,44.1; 223.5,44.1;
              224,44.1; 224.5,44.1; 225,44.1; 225.5,44.1; 226,44.1; 226.5,44.1; 227,44.1;
              227.5,44.1; 228,44.1; 228.5,44.1; 229,44.1; 229.5,44.1; 230,44.1; 230.5,
              44.1; 231,44.1; 231.5,44.1; 232,44.1; 232.5,44.1; 233,44.1; 233.5,44.1;
              234,44.1; 234.5,44.1; 235,44.1; 235.5,44.1; 236,44; 236.5,44; 237,44; 237.5,
              44; 238,44; 238.5,44; 239,44; 239.5,44; 240,43.8; 240.5,43.8; 241,43.8;
              241.5,43.8; 242,43.8; 242.5,43.8; 243,43.8; 243.5,43.8; 244,43.8; 244.5,
              43.8; 245,43.8; 245.5,43.6; 246,43.6; 246.5,43.6; 247,43.6; 247.5,43.6;
              248,43.6; 248.5,43.6; 249,43.6; 249.5,43.6; 250,43.7; 250.5,43.6; 251,43.7;
              251.5,43.6; 252,43.6; 252.5,43.5; 253,43.5; 253.5,43.5; 254,43.5; 254.5,
              43.5; 255,43.5; 255.5,43.5; 256,43.5; 256.5,43.3; 257,43.5; 257.5,43.3;
              258,43.3; 258.5,43.3; 259,43.3; 259.5,43.3; 260,43.3; 260.5,43.3; 261,43.3;
              261.5,43.3; 262,43.3; 262.5,43.2; 263,43.2; 263.5,43.2; 264,43.2; 264.5,
              43.2; 265,43.2; 265.5,43.2; 266,43.2; 266.5,43.2; 267,43.2; 267.5,43.2;
              268,43.2; 268.5,43.2; 269,43; 269.5,43; 270,43; 270.5,43; 271,43; 271.5,
              43; 272,43; 272.5,43; 273,43; 273.5,43; 274,43; 274.5,42.9; 275,42.9; 275.5,
              42.9; 276,42.9; 276.5,42.9; 277,42.9; 277.5,42.9; 278,42.9; 278.5,42.9;
              279,42.9; 279.5,42.7; 280,42.7; 280.5,42.7; 281,42.7; 281.5,42.7; 282,42.7;
              282.5,42.7; 283,42.7; 283.5,42.7; 284,42.7; 284.5,42.7; 285,42.7; 285.5,
              42.7; 286,42.7; 286.5,42.7; 287,42.6; 287.5,42.6; 288,42.6; 288.5,42.6;
              289,42.6; 289.5,42.6; 290,42.6; 290.5,42.6; 291,42.6; 291.5,42.6; 292,42.6;
              292.5,42.6; 293,42.4; 293.5,42.4; 294,42.4; 294.5,42.4; 295,42.4; 295.5,
              42.4; 296,42.4; 296.5,42.4; 297,42.4; 297.5,42.2; 298,42.3; 298.5,42.3;
              299,42.3; 299.5,42.3; 300,42.2; 300.5,42.3; 301,42.3; 301.5,42.3; 302,42.3;
              302.5,42.3; 303,42.3; 303.5,42.3; 304,42.3; 304.5,42.1; 305,42.1; 305.5,
              42.1; 306,42.1; 306.5,42.1; 307,42.1; 307.5,42.1; 308,42.1; 308.5,42.1;
              309,42.1; 309.5,42.1; 310,42.1; 310.5,41.9; 311,41.9; 311.5,41.9; 312,41.9;
              312.5,41.9; 313,41.9; 313.5,41.9; 314,41.9; 314.5,41.8; 315,41.8; 315.5,
              41.8; 316,41.8; 316.5,41.8; 317,41.8; 317.5,41.8; 318,41.8; 318.5,41.8;
              319,41.8; 319.5,41.8; 320,41.8; 320.5,41.8; 321,41.8; 321.5,41.8; 322,41.8;
              322.5,41.8; 323,41.8; 323.5,41.6; 324,41.6; 324.5,41.6; 325,41.6; 325.5,
              41.6; 326,41.6; 326.5,41.6; 327,41.6; 327.5,41.6; 328,41.6; 328.5,41.6;
              329,41.6; 329.5,41.5; 330,41.5; 330.5,41.5; 331,41.5; 332.5,41.5; 332.6,
              41.5; 335.5,41.5; 335.7,41.5; 336,41.5; 336.5,41.3; 337,41.3; 337.5,41.3;
              338,41.3; 338.5,41.3; 339,41.3; 339.5,41.3; 340,41.3; 340.5,41.3; 341,41.3;
              341.5,41.3; 342,41.3; 342.5,41.3; 343,41.2; 343.5,41.3; 344,41.3; 344.5,
              41.2; 345,41.2; 345.5,41.2; 346,41.2; 346.5,41.2; 347,41.2; 347.5,41.2;
              348,41.2; 348.5,41; 349,41.2; 349.5,41.2; 350,41; 350.5,41; 351,41; 351.5,
              41; 352,41; 352.5,41; 353,41; 353.5,41; 354,41; 354.5,41; 355,41; 355.5,
              41; 356,41; 356.5,40.9; 357,40.9; 357.5,40.9; 358,40.9; 358.5,40.9; 359,
              40.9; 359.5,40.9; 360,40.9; 360.5,40.9; 361,40.9; 361.5,40.9; 362,40.7;
              362.5,40.7; 363,40.7; 363.5,40.7; 364,40.7; 364.5,40.7; 365,40.7; 365.5,
              40.7; 366,40.7; 366.5,40.7; 367,40.6; 367.5,40.6; 368,40.6; 368.5,40.6;
              369,40.6; 369.5,40.6; 370,40.6; 370.5,40.6; 371,40.6; 371.5,40.6; 372,40.6;
              372.5,40.6; 373,40.6; 373.5,40.6; 374,40.4; 374.5,40.4; 375,40.4; 375.5,
              40.4; 376,40.4; 376.5,40.4; 377,40.4; 377.5,40.4; 378,40.4; 378.5,40.4;
              379,40.4; 379.5,40.3; 380,40.3; 380.5,40.3; 381,40.3; 381.5,40.3; 382,40.3;
              382.5,40.3; 383,40.3; 383.5,40.1; 384,40.3; 384.5,40.3; 385,40.1; 385.5,
              40.1; 386,40.1; 386.5,40.1; 387,40.1; 387.5,40.1; 388,40.1; 388.5,40.1;
              389,40.1; 389.5,40.1; 390,40.1; 390.5,40.1; 391,40.1; 391.5,39.9; 392,39.9;
              392.5,39.9; 393,39.9; 393.5,39.9; 394,39.9; 394.5,39.9; 395,39.9; 395.5,
              39.9; 396,39.9; 396.5,39.9; 397,39.8; 397.5,39.8; 398,39.8; 398.5,39.8;
              399,39.8; 399.5,39.8; 400,39.8; 400.5,39.8; 401,39.8; 401.5,39.8; 402,39.6;
              402.5,39.8; 403,39.8; 403.5,39.8; 404,39.6; 404.5,39.6; 405,39.6; 405.5,
              39.6; 406,39.6; 406.5,39.6; 407,39.6; 407.5,39.6; 408,39.6; 408.5,39.6;
              409,39.6; 409.5,39.6; 410,39.6; 410.5,39.6; 411,39.6; 411.5,39.6; 412,39.5;
              412.5,39.5; 413,39.5; 413.5,39.5; 414,39.5; 414.5,39.5; 415,39.5; 415.5,
              39.5; 416,39.5; 416.5,39.5; 417,39.5; 417.5,39.5; 418,39.3; 418.5,39.3;
              419,39.3; 419.5,39.3; 420,39.3; 420.5,39.4; 421,39.3; 421.5,39.3; 422,39.3;
              422.5,39.4; 423,39.3; 423.5,39.3; 424,39.3; 424.5,39.4; 425,39.4; 425.5,
              39.2; 426,39.2; 426.5,39.2; 427,39.2; 427.5,39.2; 428,39.2; 428.5,39.2;
              429,39.2; 429.5,39.2; 430,39.2; 430.5,39.2; 431,39.2; 431.5,39.2; 432,39.2;
              432.5,39.2; 433,39.2; 433.5,39.2; 434,39.2; 434.5,39; 435,39; 435.5,39;
              436,39; 436.5,39; 437,39; 437.5,39; 438,39; 438.5,39; 439,39; 439.5,39;
              440,39; 440.5,39; 441,38.9; 441.5,38.9; 442,38.9; 442.5,38.9; 443,38.9;
              443.5,38.9; 444,38.9; 444.5,38.9; 445,38.9; 445.5,38.9; 446,38.9; 446.5,
              38.9; 447,38.9; 447.5,38.9; 448,38.9; 448.5,38.9; 449,38.9; 449.5,38.9;
              450,38.9; 450.5,38.9; 451,38.9; 451.5,38.7; 452,38.7; 452.5,38.7; 453,38.7;
              453.5,38.7; 454,38.7; 454.5,38.7; 455,38.7; 455.5,38.7; 456,38.7; 456.5,
              38.7; 457,38.7; 457.5,38.7; 458,38.7; 458.5,38.7; 459,38.6; 459.5,38.6;
              460,38.6; 460.5,38.6; 461,38.6; 461.5,38.6; 462,38.6; 462.5,38.6; 463,38.6;
              463.5,38.6; 464,38.6; 464.5,38.4; 465,38.4; 465.5,38.4; 466,38.4; 466.5,
              38.4; 467,38.4; 467.5,38.4; 468,38.4; 468.5,38.4; 469,38.4; 469.5,38.4;
              470,38.4; 470.5,38.4; 471,38.4; 471.5,38.4; 472,38.4; 472.5,38.3; 473,38.3;
              473.5,38.3; 474,38.3; 474.5,38.3; 475,38.3; 475.5,38.3; 476,38.3; 476.5,
              38.3; 477,38.3; 477.5,38.3; 478,38.3; 478.5,38.3; 479,38.3; 479.5,38.1;
              480,38.1; 480.5,38.1; 481,38.1; 481.5,38.1; 482,38.1; 482.5,38.1; 483,38.1;
              483.5,38.1; 484,38.1; 484.5,38.1; 485,38.1; 485.5,38.1; 486,38.1; 486.5,
              38.1; 487,38.1; 487.5,38.1; 488,38.1; 488.5,38; 489,38; 489.5,38; 490,38;
              490.5,38; 491,38; 491.5,38; 492,38; 492.5,38; 493,38; 493.5,38; 494,38;
              494.5,38; 495,38; 495.5,38; 496,38; 496.5,37.8; 497,37.8; 497.5,37.8; 498,
              37.8; 498.5,37.8; 499,37.8; 499.5,37.8; 500,37.8; 500.5,37.8; 501,37.8;
              501.5,37.8; 502,37.8; 502.5,37.8; 503,37.8; 503.5,37.8; 504,37.7; 504.5,
              37.7; 505,37.7; 505.5,37.7; 506,37.7; 506.5,37.7; 507,37.7; 507.5,37.7;
              508,37.7; 508.5,37.7; 509,37.7; 509.5,37.7; 510,37.7; 510.5,37.5; 511,37.5;
              511.5,37.5; 512,37.5; 512.5,37.5; 513,37.5; 513.5,37.5; 514,37.5; 514.5,
              37.5; 515,37.5; 515.5,37.5; 516,37.5; 516.5,37.5; 517,37.5; 517.5,37.5;
              518,37.5; 518.5,37.5; 519,37.5; 519.5,37.3; 520,37.5; 520.5,37.5; 521,37.3;
              521.5,37.4; 522,37.3; 522.5,37.3; 523,37.3; 523.5,37.3; 524,37.3; 524.5,
              37.4; 525,37.3; 525.5,37.3; 526,37.4; 526.5,37.3; 527,37.3; 527.5,37.3;
              528,37.2; 528.5,37.2; 529,37.2; 529.5,37.2; 530,37.2; 530.5,37.2; 531,37.2;
              531.5,37.2; 532,37.2; 532.5,37.2; 533,37.2; 533.5,37.2; 534,37.2; 534.5,
              37.2; 535,37.2; 535.5,37.2; 536,37.2; 536.5,37; 537,37; 537.5,37; 538,37;
              538.5,37; 539,37; 539.5,37; 540,37; 540.5,37; 541,37; 541.5,37; 542,37;
              542.5,37; 543,37.1; 543.5,37; 544,37; 544.5,37; 545,37; 545.5,37; 546,36.9;
              546.5,36.9; 547,36.9; 547.5,36.9; 548,36.9; 548.5,36.9; 549,36.9; 549.5,
              36.9; 550,36.9; 550.5,36.9; 551,36.9; 551.5,36.9; 552,36.9; 552.5,36.9;
              553,36.7; 553.5,36.7; 554,36.7; 554.5,36.7; 555,36.7; 555.5,36.7; 556,36.7;
              556.5,36.7; 557,36.7; 557.5,36.7; 558,36.7; 558.5,36.7; 559,36.7; 559.5,
              36.7; 560,36.7; 560.5,36.7; 561,36.6; 561.5,36.6; 562,36.6; 562.5,36.6;
              563,36.6; 563.5,36.6; 564,36.6; 564.5,36.6; 565,36.6; 565.5,36.6; 566,36.6;
              566.5,36.6; 567,36.6; 567.5,36.6; 568,36.6; 568.5,36.6; 569,36.6; 569.5,
              36.6; 570,36.6; 570.5,36.6; 571,36.6; 571.5,36.6; 572,36.4; 572.5,36.4;
              573,36.4; 573.5,36.4; 574,36.4; 574.5,36.4; 575,36.4; 575.5,36.4; 576,36.4;
              576.5,36.4; 577,36.4; 577.5,36.4; 578,36.4; 578.5,36.4; 579,36.4; 579.5,
              36.4; 580,36.4; 580.5,36.4; 581,36.3; 581.5,36.3; 582,36.3; 582.5,36.3;
              583,36.3; 583.5,36.3; 584,36.3; 584.5,36.3; 585,36.3; 585.5,36.3; 586,36.3;
              586.5,36.3; 587,36.3; 587.5,36.3; 588,36.3; 588.5,36.3; 589,36.3; 589.5,
              36.3; 590,36.3; 590.5,36.3; 591,36.3; 591.5,36.3; 592,36.1; 592.5,36.1;
              593,36.1; 593.5,36.1; 594,36.1; 594.5,36.1; 595,36.1; 595.5,36.1; 596,36.1;
              596.5,36.1; 597,36.1; 597.5,36.1; 598,36.1; 598.5,36.1; 599,36.1; 599.5,
              36.1; 600,36.1; 600.5,36.1; 601,36.1; 601.5,36.1; 602,36.1; 602.5,36; 603,
              36; 603.5,36; 604,36; 604.5,36; 605,36; 605.5,36; 606,36; 606.5,36; 607,
              36; 607.5,36; 608,36; 608.5,36; 609,36; 609.5,36; 610,36; 610.5,35.8; 611,
              35.8; 611.5,35.8; 612,35.8; 612.5,35.8; 613,35.8; 613.5,35.8; 614,35.8;
              614.5,35.8; 615,35.8; 615.5,35.8; 616,35.8; 616.5,35.8; 617,35.8; 617.5,
              35.8; 618,35.8; 618.5,35.8; 619,35.8; 619.5,35.8; 620,35.8; 620.5,35.8;
              621,35.8; 621.5,35.6; 622,35.7; 622.5,35.7; 623,35.7; 623.5,35.7; 624,35.7;
              624.5,35.7; 625,35.6; 625.5,35.6; 626,35.6; 626.5,35.7; 627,35.7; 627.5,
              35.7; 628,35.7; 628.5,35.7; 629,35.7; 629.5,35.7; 630,35.7; 630.5,35.6;
              631,35.5; 631.5,35.5; 632,35.5; 632.5,35.5; 633,35.5; 633.5,35.5; 634,35.5;
              634.5,35.5; 635,35.5; 635.5,35.5; 636,35.5; 636.5,35.5; 637,35.5; 637.5,
              35.5; 638,35.5; 638.5,35.5; 639,35.5; 639.5,35.5; 640,35.5; 640.5,35.3;
              641,35.3; 641.5,35.3; 642,35.3; 642.5,35.3; 643,35.3; 643.5,35.3; 644,35.3;
              644.5,35.3; 645,35.3; 645.5,35.3; 646,35.3; 646.5,35.3; 647,35.3; 647.5,
              35.3; 648,35.3; 648.5,35.3; 649,35.3; 649.5,35.4; 650,35.3; 650.5,35.3;
              651,35.3; 651.5,35.3; 652,35.3; 652.5,35.3; 653,35.3; 653.5,35.3; 654,35.2;
              654.5,35.2; 655,35.2; 655.5,35.2; 656,35.2; 656.5,35.2; 657,35.2; 657.5,
              35.2; 658,35.2; 658.5,35.2; 659,35.2; 659.5,35.2; 660,35.2; 660.5,35.2;
              661,35.2; 661.5,35.2; 662,35.2; 662.5,35.2; 663,35; 663.5,35; 664,35; 664.5,
              35; 665,35; 665.5,35; 666,35; 666.5,35; 667,35; 667.5,35; 668,35; 668.5,
              35; 669,35; 669.5,35; 670,35; 670.5,35; 671,35; 671.5,35; 672,35; 672.5,
              35; 673,35; 673.5,35; 674,35; 674.5,35; 675,34.9; 675.5,34.9; 676,34.9;
              676.5,34.9; 677,34.9; 677.5,34.9; 678,34.9; 678.5,34.9; 679,34.9; 679.5,
              34.9; 680,34.9; 680.5,34.9; 681,34.9; 681.5,34.9; 682,34.9; 682.5,34.9;
              683,34.9; 683.5,34.9; 684,34.9; 684.5,34.9; 685,34.7; 685.5,34.7; 686,34.7;
              686.5,34.7; 687,34.7; 687.5,34.7; 688,34.7; 688.5,34.7; 689,34.7; 689.5,
              34.7; 690,34.7; 690.5,34.7; 691,34.7; 691.5,34.7; 692,34.7; 692.5,34.7;
              693,34.7; 693.5,34.7; 694,34.6; 694.5,34.6; 695,34.6; 695.5,34.6; 696,34.6;
              696.5,34.6; 697,34.6; 697.5,34.6; 698,34.6; 698.5,34.6; 699,34.6; 699.5,
              34.6; 700,34.6; 700.5,34.6; 701,34.6; 701.5,34.6; 702,34.6; 702.5,34.6;
              703,34.6; 703.5,34.6; 704,34.6; 704.5,34.6; 705,34.6; 705.5,34.6; 706,34.6;
              706.5,34.6; 707,34.6; 707.5,34.4; 708,34.4; 708.5,34.4; 709,34.4; 709.5,
              34.4; 710,34.4; 710.5,34.4; 711,34.4; 711.5,34.4; 712,34.4; 712.5,34.4;
              713,34.4; 713.5,34.4; 714,34.4; 714.5,34.4; 715,34.4; 715.5,34.4; 716,34.4;
              716.5,34.4; 717,34.4; 717.5,34.3; 718,34.3; 718.5,34.3; 719,34.3; 719.5,
              34.3; 720,34.3; 720.5,34.3; 721,34.3; 721.5,34.3; 722,34.3; 722.5,34.3;
              723,34.3; 723.5,34.3; 724,34.3; 724.5,34.3; 725,34.3; 725.5,34.3; 726,34.3;
              726.5,34.3; 727,34.3; 727.5,34.3; 728,34.1; 728.5,34.1; 729,34.1; 729.5,
              34.1; 730,34.1; 730.5,34.1; 731,34.1; 731.5,34.1; 732,34.1; 732.5,34.1;
              733,34.1; 733.5,34.1; 734,34.1; 734.5,34.1; 735,34.1; 735.5,34.1; 736,34.1;
              736.5,34.1; 737,34.1; 737.5,34.1; 738,34.1; 738.5,34.1; 739,34.1; 739.5,
              34.1; 740,34.1; 740.5,34.1; 741,34.1; 741.5,34.1; 742,34.1; 742.5,34.1;
              743,34.1; 743.5,34.1; 744,34.1; 744.5,34.1; 745,34; 745.5,34; 746,34; 746.5,
              34; 747,34; 747.5,34; 748,34; 748.5,34; 749,34; 749.5,34; 750,34; 750.5,
              34; 751,34; 751.5,34; 752,34; 752.5,34; 753,34; 753.5,34; 754,34; 754.5,
              34; 755,34; 755.5,34; 756,34; 756.5,34; 757,34; 757.5,34; 758,34; 758.5,
              34; 759,33.8; 759.5,33.8; 760,33.8; 760.5,33.8; 761,33.8; 761.5,33.8; 762,
              33.8; 762.5,33.8; 763,33.8; 763.5,33.8; 764,33.8; 764.5,33.8; 765,33.8;
              765.5,33.8; 766,33.8; 766.5,33.8; 767,33.8; 767.5,33.8; 768,33.8; 768.5,
              33.8; 769,33.8; 769.5,33.8; 770,33.8; 770.5,33.8; 771,33.8; 771.5,33.7;
              772,33.7; 772.5,33.7; 773,33.7; 773.5,33.7; 774,33.7; 774.5,33.7; 775,33.7;
              775.5,33.7; 776,33.7; 776.5,33.7; 777,33.7; 777.5,33.7; 778,33.7; 778.5,
              33.7; 779,33.7; 779.5,33.7; 780,33.7; 780.5,33.7; 781,33.7; 781.5,33.7;
              782,33.5; 782.5,33.5; 783,33.5; 783.5,33.5; 784,33.5; 784.5,33.5; 785,33.5;
              785.5,33.5; 786,33.5; 786.5,33.5; 787,33.5; 787.5,33.5; 788,33.5; 788.5,
              33.5; 789,33.5; 789.5,33.5; 790,33.5; 790.5,33.5; 791,33.5; 791.5,33.5;
              792,33.5; 792.5,33.3; 793,33.4; 793.5,33.3; 794,33.4; 794.5,33.4; 795,33.3;
              795.5,33.4; 796,33.3; 796.5,33.3; 797,33.4; 797.5,33.4; 798,33.3; 798.5,
              33.4; 799,33.4; 799.5,33.4; 800,33.4; 800.5,33.4; 801,33.4; 801.5,33.3;
              802,33.3; 802.5,33.3; 803,33.3; 803.5,33.3; 804,33.4; 804.5,33.4; 805,33.3;
              805.5,33.3; 806,33.3; 806.5,33.3; 807,33.4; 807.5,33.3; 808,33.3; 808.5,
              33.3; 809,33.3; 809.5,33.2; 810,33.2; 810.5,33.2; 811,33.2; 811.5,33.2;
              812,33.2; 812.5,33.2; 813,33.2; 813.5,33.2; 814,33.2; 814.5,33.2; 815,33.2;
              815.5,33.2; 816,33.2; 816.5,33.2; 817,33.2; 817.5,33.2; 818,33.2; 818.5,
              33.2; 819,33.2; 819.5,33.2; 820,33.2; 820.5,33.2; 821,33.2; 821.5,33.2;
              822,33; 822.5,33; 823,33; 823.5,33; 824,33; 824.5,33; 825,33; 825.5,33.1;
              826,33; 826.5,33; 827,33.1; 827.5,33; 828,33; 828.5,33; 829,33; 829.5,33;
              830,33; 830.5,33; 831,33; 831.5,33; 832,33.1; 832.5,33; 833,33; 833.5,32.9;
              834,32.9; 834.5,32.9; 835,32.9; 835.5,32.9; 836,32.9; 836.5,32.9; 837,32.9;
              837.5,32.9; 838,32.9; 838.5,32.9; 839,32.9; 839.5,32.9; 840,32.9; 840.5,
              32.9; 841,32.9; 841.5,32.9; 842,32.9; 842.5,32.9; 843,32.9; 843.5,32.9;
              844,32.9; 844.5,32.9; 845,32.9; 845.5,32.9; 846,32.9; 846.5,32.9; 847,32.9;
              847.5,32.9; 848,32.9; 848.5,32.9; 849,32.9; 849.5,32.9; 850,32.9; 850.5,
              32.9; 851,32.9; 851.5,32.9; 852,32.9; 852.5,32.9; 853,32.7; 853.5,32.7;
              854,32.7; 854.5,32.7; 855,32.7; 855.5,32.7; 856,32.7; 856.5,32.7; 857,32.7;
              857.5,32.7; 858,32.7; 858.5,32.7; 859,32.7; 859.5,32.7; 860,32.7; 860.5,
              32.7; 861,32.7; 861.5,32.7; 862,32.7; 862.5,32.7; 863,32.7; 863.5,32.6;
              864,32.6; 864.5,32.6; 865,32.6; 865.5,32.6; 866,32.6; 866.5,32.6; 867,32.6;
              867.5,32.6; 868,32.6; 868.5,32.6; 869,32.6; 869.5,32.6; 870,32.6; 870.5,
              32.6; 871,32.6; 871.5,32.6; 872,32.6; 872.5,32.6; 873,32.6; 873.5,32.6;
              874,32.4; 874.5,32.6; 875,32.6; 875.5,32.4; 876,32.4; 876.5,32.4; 877,32.4;
              877.5,32.4; 878,32.4; 878.5,32.4; 879,32.4; 879.5,32.4; 880,32.4; 880.5,
              32.4; 881,32.4; 881.5,32.4; 882,32.4; 882.5,32.4; 883,32.4; 883.5,32.4;
              884,32.4; 884.5,32.4; 885,32.4; 885.5,32.4; 886,32.4; 886.5,32.4; 887,32.4;
              887.5,32.4; 888,32.4; 888.5,32.4; 889,32.4; 889.5,32.4; 890,32.4; 890.5,
              32.4; 891,32.4; 891.5,32.4; 892,32.4; 892.5,32.4; 893,32.4; 893.5,32.3;
              894,32.3; 894.5,32.3; 895,32.3; 895.5,32.3; 896,32.3; 896.5,32.3; 897,32.3;
              897.5,32.3; 898,32.3; 898.5,32.3; 899,32.3; 899.5,32.3; 900,32.3; 900.5,
              32.3; 901,32.3; 901.5,32.3; 902,32.3; 902.5,32.3; 903,32.3; 903.5,32.3;
              904,32.3; 904.5,32.3; 905,32.3; 905.5,32.1; 906,32.1; 906.5,32.1; 907,32.1;
              907.5,32.1; 908,32.1; 908.5,32.1; 909,32.1; 909.5,32.1; 910,32.1; 910.5,
              32.1; 911,32.1; 911.5,32.1; 912,32.1; 912.5,32.1; 913,32.1; 913.5,32.1;
              914,32.1; 914.5,32.1; 915,32.1; 915.5,32.1; 916,32.1; 916.5,32.1; 917,32.1;
              917.5,32.1; 918,32.1; 918.5,32.1; 919,32.1; 919.5,32.1; 920,32.1; 920.5,
              32.1; 921,32.1; 921.5,32.1; 922,32.1; 922.5,32.1; 923,32; 923.5,32; 924,
              32; 924.5,32; 925,32; 925.5,32; 926,32; 926.5,32; 927,32; 927.5,32; 928,
              32; 928.5,32; 929,32; 929.5,32; 930,32; 930.5,32; 931,32; 931.5,32; 932,
              32; 932.5,32; 933,32; 933.5,32; 934,32; 934.5,32; 935,32; 935.5,32; 936,
              32; 936.5,31.8; 937,31.8; 937.5,31.8; 938,31.8; 938.5,31.8; 939,31.8; 939.5,
              31.8; 940,31.8; 940.5,31.8; 941,31.8; 941.5,31.8; 942,31.8; 942.5,31.8;
              943,31.8; 943.5,31.8; 944,31.8; 944.5,31.8; 945,31.8; 945.5,31.8; 946,31.8;
              946.5,31.8; 947,31.8; 947.5,31.8; 948,31.8; 948.5,31.8; 949,31.8; 949.5,
              31.8; 950,31.7; 950.5,31.7; 951,31.7; 951.5,31.7; 952,31.7; 952.5,31.7;
              953,31.7; 953.5,31.7; 954,31.7; 954.5,31.7; 955,31.7; 955.5,31.7; 956,31.7;
              956.5,31.7; 957,31.7; 957.5,31.7; 958,31.7; 958.5,31.7; 959,31.7; 959.5,
              31.7; 960,31.7; 960.5,31.7; 961,31.7; 961.5,31.7; 962,31.7; 962.5,31.7;
              963,31.7; 963.5,31.7; 964,31.7; 964.5,31.7; 965,31.7; 965.5,31.7; 966,31.7;
              966.5,31.7; 967,31.7; 967.5,31.7; 968,31.7; 968.5,31.7; 969,31.7; 969.5,
              31.5; 970,31.5; 970.5,31.5; 971,31.5; 971.5,31.5; 972,31.5; 972.5,31.5;
              973,31.5; 973.5,31.5; 974,31.5; 974.5,31.5; 975,31.5; 975.5,31.5; 976,31.5;
              976.5,31.5; 977,31.5; 977.5,31.5; 978,31.5; 978.5,31.5; 979,31.5; 979.5,
              31.5; 980,31.5; 980.5,31.5; 981,31.5; 981.5,31.5; 982,31.5; 982.5,31.5;
              983,31.4; 983.5,31.4; 984,31.4; 984.5,31.4; 985,31.4; 985.5,31.4; 986,31.4;
              986.5,31.4; 987,31.4; 987.5,31.4; 988,31.4; 988.5,31.4; 989,31.4; 989.5,
              31.4; 990,31.4; 990.5,31.4; 991,31.4; 991.5,31.4; 992,31.4; 992.5,31.4;
              993,31.4; 993.5,31.4; 994,31.4; 994.5,31.3; 995,31.4; 995.5,31.4; 996,31.4;
              996.5,31.4; 997,31.4; 997.5,31.2; 998,31.2; 998.5,31.2; 999,31.2; 999.5,
              31.2; 1000,31.2; 1000.5,31.2; 1001,31.2; 1001.5,31.2; 1002,31.2; 1002.5,
              31.2; 1003,31.2; 1003.5,31.2; 1004,31.2; 1004.5,31.2; 1005,31.2; 1005.5,
              31.2; 1006,31.2; 1006.5,31.2; 1007,31.2; 1007.5,31.2; 1008,31.2; 1008.5,
              31.2; 1009,31.2; 1009.5,31.2; 1010,31.2; 1010.5,31.2; 1011,31.2; 1011.5,
              31.2; 1012,31.2; 1012.5,31.2; 1013,31.2; 1013.5,31.2; 1014,31.2; 1014.5,
              31.2; 1015,31.2; 1015.5,31.2; 1016,31.2; 1016.5,31.2; 1017,31.2; 1017.5,
              31.2; 1018,31.2; 1018.5,31; 1019,31; 1019.5,31; 1020,31.1; 1020.5,31; 1021,
              31; 1021.5,31; 1022,31.1; 1022.5,31; 1023,31; 1023.5,31.1; 1024,31; 1024.5,
              31; 1025,31; 1025.5,31; 1026,31; 1026.5,31; 1027,31; 1027.5,31; 1028,31;
              1028.5,31; 1029,31; 1029.5,31; 1030,31; 1030.5,31; 1031,31; 1031.5,31; 1032,
              31; 1032.5,31; 1033,31; 1033.5,31; 1034,31; 1034.5,31; 1035,31; 1035.5,30.9;
              1036,30.9; 1036.5,30.9; 1037,30.9; 1037.5,30.9; 1038,30.9; 1038.5,30.9;
              1039,30.9; 1039.5,30.9; 1040,30.9; 1040.5,30.9; 1041,30.9; 1041.5,30.9;
              1042,30.9; 1042.5,30.9; 1043,30.9; 1043.5,30.9; 1044,30.9; 1044.5,30.9;
              1045,30.9; 1045.5,30.9; 1046,30.9; 1046.5,30.9; 1047,30.9; 1047.5,30.9;
              1048,30.9; 1048.5,30.9; 1049,30.9; 1049.5,30.9; 1050,30.9; 1050.5,30.9;
              1051,30.9; 1051.5,30.9; 1052,30.9; 1052.5,30.9; 1053,30.9; 1053.5,30.9;
              1054,30.9; 1054.5,30.9; 1055,30.9; 1055.5,30.9; 1056,30.7; 1056.5,30.7;
              1057,30.7; 1057.5,30.7; 1058,30.7; 1058.5,30.7; 1059,30.7; 1059.5,30.7;
              1060,30.7; 1060.5,30.7; 1061,30.7; 1061.5,30.7; 1062,30.7; 1062.5,30.7;
              1063,30.7; 1063.5,30.7; 1064,30.7; 1064.5,30.7; 1065,30.7; 1065.5,30.7;
              1066,30.7; 1066.5,30.7; 1067,30.7; 1067.5,30.7; 1068,30.7; 1068.5,30.7;
              1069,30.7; 1069.5,30.7; 1070,30.7; 1070.5,30.7; 1071,30.7; 1071.5,30.7;
              1072,30.7; 1072.5,30.7; 1073,30.7; 1073.5,30.7; 1074,30.7; 1074.5,30.7;
              1075,30.6; 1075.5,30.6; 1076,30.6; 1076.5,30.6; 1077,30.6; 1077.5,30.6;
              1078,30.6; 1078.5,30.6; 1079,30.6; 1079.5,30.6; 1080,30.6; 1080.5,30.6;
              1081,30.6; 1081.5,30.6; 1082,30.6; 1082.5,30.6; 1083,30.6; 1083.5,30.6;
              1084,30.6; 1084.5,30.6; 1085,30.6; 1085.5,30.6; 1086,30.6; 1086.5,30.6;
              1087,30.6; 1087.5,30.6; 1088,30.6; 1088.5,30.6; 1089,30.6; 1089.5,30.6;
              1090,30.6; 1090.5,30.6; 1091,30.6; 1091.5,30.6; 1092,30.6; 1092.5,30.6;
              1093,30.4; 1093.5,30.4; 1094,30.4; 1094.5,30.4; 1095,30.4; 1095.5,30.4;
              1096,30.4; 1096.5,30.4; 1097,30.4; 1097.5,30.4; 1098,30.4; 1098.5,30.4;
              1099,30.4; 1099.5,30.4; 1100,30.4; 1100.5,30.4; 1101,30.4; 1101.5,30.4;
              1102,30.4; 1102.5,30.4; 1103,30.4; 1103.5,30.4; 1104,30.4; 1104.5,30.4;
              1105,30.4; 1105.5,30.4; 1106,30.4; 1106.5,30.4; 1107,30.4; 1107.5,30.4;
              1108,30.4; 1108.5,30.4; 1109,30.4; 1109.5,30.4; 1110,30.4; 1110.5,30.4;
              1111,30.4; 1111.5,30.4; 1112,30.4; 1112.5,30.4; 1113,30.4; 1113.5,30.4;
              1114,30.3; 1114.5,30.3; 1115,30.3; 1115.5,30.3; 1116,30.3; 1116.5,30.3;
              1117,30.3; 1117.5,30.3; 1118,30.3; 1118.5,30.3; 1119,30.3; 1119.5,30.3;
              1120,30.3; 1120.5,30.3; 1121,30.3; 1121.5,30.3; 1122,30.3; 1122.5,30.3;
              1123,30.3; 1123.5,30.3; 1124,30.3; 1124.5,30.3; 1125,30.3; 1125.5,30.3;
              1126,30.3; 1126.5,30.3; 1127,30.3; 1127.5,30.3; 1128,30.3; 1128.5,30.3;
              1129,30.3; 1129.5,30.3; 1130,30.3; 1130.5,30.3; 1131,30.1; 1131.5,30.3;
              1132,30.1; 1132.5,30.1; 1133,30.1; 1133.5,30.1; 1134,30.1; 1134.5,30.1;
              1135,30.1; 1135.5,30.1; 1136,30.1; 1136.5,30.1; 1137,30.1; 1137.5,30.1;
              1138,30.1; 1138.5,30.1; 1139,30.1; 1139.5,30.1; 1140,30.1; 1140.5,30.1;
              1141,30.1; 1141.5,30.1; 1142,30.1; 1142.5,30.1; 1143,30.1; 1143.5,30.1;
              1144,30.1; 1144.5,30.1; 1145,30.1; 1145.5,30.1; 1146,30.1; 1146.5,30.1;
              1147,30.1; 1147.5,30.1; 1148,30.1; 1148.5,30; 1149,30; 1149.5,30.1; 1150,
              30; 1150.5,30; 1151,30; 1151.5,30; 1152,30; 1152.5,30; 1153,30; 1153.5,30;
              1154,30; 1154.5,30; 1155,30; 1155.5,30; 1156,30; 1156.5,30; 1157,30; 1157.5,
              30; 1158,30; 1158.5,30; 1159,30; 1159.5,30; 1160,30; 1160.5,30; 1161,30;
              1161.5,30; 1162,30; 1162.5,30; 1163,30; 1163.5,30; 1164,30; 1164.5,30; 1165,
              30; 1165.5,30; 1166,30; 1166.5,30; 1167,30; 1167.5,30; 1168,30; 1168.5,30;
              1169,30; 1169.5,30; 1170,30; 1170.5,30; 1171,30; 1171.5,30; 1172,30; 1172.5,
              30; 1173,30; 1173.5,30; 1174,29.8; 1174.5,29.8; 1175,29.8; 1175.5,29.8;
              1176,29.8; 1176.5,29.8; 1177,29.8; 1177.5,29.8; 1178,29.8; 1178.5,29.8;
              1179,29.8; 1179.5,29.8; 1180,29.8; 1180.5,29.8; 1181,29.8; 1181.5,29.8;
              1182,29.8; 1182.5,29.8; 1183,29.8; 1183.5,29.8; 1184,29.8; 1184.5,29.8;
              1185,29.8; 1185.5,29.8; 1186,29.8; 1186.5,29.8; 1187,29.8; 1187.5,29.8;
              1188,29.8; 1188.5,29.8; 1189,29.8; 1189.5,29.8; 1190,29.8; 1190.5,29.8;
              1191,29.8; 1191.5,29.7; 1192,29.7; 1192.5,29.7; 1193,29.7; 1193.5,29.7;
              1194,29.7; 1194.5,29.7; 1195,29.7; 1195.5,29.7; 1196,29.7; 1196.5,29.7;
              1197,29.7; 1197.5,29.7; 1198,29.7; 1198.5,29.7; 1199,29.7; 1199.5,29.7;
              1200,29.7; 1200.5,29.7; 1201,29.7; 1201.5,29.7; 1202,29.7; 1202.5,29.7;
              1203,29.7; 1203.5,29.7; 1204,29.7; 1204.5,29.7; 1205,29.7; 1205.5,29.7;
              1206,29.7; 1206.5,29.7; 1207,29.7; 1207.5,29.7; 1208,29.7; 1208.5,29.7;
              1209,29.7; 1209.5,29.7; 1210,29.7; 1210.5,29.7; 1211,29.7; 1211.5,29.7;
              1212,29.7; 1212.5,29.7; 1213,29.7; 1213.5,29.7; 1214,29.7; 1214.5,29.7;
              1215,29.7; 1215.5,29.7; 1216,29.7; 1216.5,29.7; 1217,29.7; 1217.5,29.5;
              1218,29.5; 1218.5,29.5; 1219,29.5; 1219.5,29.5; 1220,29.5; 1220.5,29.5;
              1221,29.5; 1221.5,29.5; 1222,29.5; 1222.5,29.5; 1223,29.5; 1223.5,29.5;
              1224,29.5; 1224.5,29.5; 1225,29.5; 1225.5,29.5; 1226,29.5; 1226.5,29.5;
              1227,29.5; 1227.5,29.5; 1228,29.5; 1228.5,29.5; 1229,29.5; 1229.5,29.5;
              1230,29.5; 1230.5,29.5; 1231,29.5; 1231.5,29.5; 1232,29.5; 1232.5,29.5;
              1233,29.5; 1233.5,29.5; 1234,29.5; 1234.5,29.5; 1235,29.5; 1235.5,29.5;
              1236,29.5; 1236.5,29.5; 1237,29.5; 1237.5,29.5; 1238,29.5; 1238.5,29.5;
              1239,29.5; 1239.5,29.4; 1240,29.5; 1240.5,29.4; 1241,29.4; 1241.5,29.4;
              1242,29.4; 1242.5,29.4; 1243,29.4; 1243.5,29.4; 1244,29.4; 1244.5,29.4;
              1245,29.4; 1245.5,29.4; 1246,29.4; 1246.5,29.4; 1247,29.4; 1247.5,29.4;
              1248,29.4; 1248.5,29.4; 1249,29.4; 1249.5,29.4; 1250,29.4; 1250.5,29.4;
              1251,29.4; 1251.5,29.4; 1252,29.4; 1252.5,29.4; 1253,29.4; 1253.5,29.4;
              1254,29.4; 1254.5,29.4; 1255,29.4; 1255.5,29.4; 1256,29.4; 1256.5,29.4;
              1257,29.4; 1257.5,29.4; 1258,29.4; 1258.5,29.2; 1259,29.4; 1259.5,29.2;
              1260,29.3; 1260.5,29.2; 1261,29.2; 1261.5,29.2; 1262,29.2; 1262.5,29.2;
              1263,29.2; 1263.5,29.2; 1264,29.2; 1264.5,29.2; 1265,29.2; 1265.5,29.2;
              1266,29.2; 1266.5,29.2; 1267,29.2; 1267.5,29.2; 1268,29.2; 1268.5,29.2;
              1269,29.2; 1269.5,29.2; 1270,29.2; 1270.5,29.2; 1271,29.2; 1271.5,29.2;
              1272,29.2; 1272.5,29.2; 1273,29.2; 1273.5,29.2; 1274,29.2; 1274.5,29.2;
              1275,29.2; 1275.5,29.2; 1276,29.2; 1276.5,29.2; 1277,29.2; 1277.5,29.2;
              1278,29.2; 1278.5,29.2; 1279,29.2; 1279.5,29.2; 1280,29.2; 1280.5,29.2;
              1281,29.2; 1281.5,29.2; 1282,29.2; 1282.5,29.2; 1283,29.2; 1283.5,29.2;
              1284,29.2; 1284.5,29.2; 1285,29.2; 1285.5,29.2; 1286,29.2; 1286.5,29.2;
              1287,29.2; 1287.5,29.2; 1288,29.2; 1288.5,29.2; 1289,29.2; 1289.5,29.2;
              1290,29.2; 1290.5,29.1; 1291,29.1; 1291.5,29.1; 1292,29.1; 1292.5,29.1;
              1293,29.1; 1293.5,29.1; 1294,29.1; 1294.5,29.1; 1295,29.1; 1295.5,29.1;
              1296,29.1; 1296.5,29.1; 1297,29.1; 1297.5,29.1; 1298,29.1; 1298.5,29.1;
              1299,29.1; 1299.5,29.1; 1300,29.1; 1300.5,29.1; 1301,29.1; 1301.5,29.1;
              1302,29.1; 1302.5,29.1; 1303,29.1; 1303.5,29.1; 1304,29.1; 1304.5,29.1;
              1305,29.1; 1305.5,29.1; 1306,29.1; 1306.5,29.1; 1307,29.1; 1307.5,29.1;
              1308,29.1; 1308.5,29.1; 1309,29.1; 1309.5,29.1; 1310,29.1; 1310.5,28.9;
              1311,28.9; 1311.5,28.9; 1312,28.9; 1312.5,28.9; 1313,28.9; 1313.5,28.9;
              1314,28.9; 1314.5,28.9; 1315,28.9; 1315.5,28.9; 1316,28.9; 1316.5,28.9;
              1317,28.9; 1317.5,28.9; 1318,28.9; 1318.5,28.9; 1319,28.9; 1319.5,28.9;
              1320,28.9; 1320.5,28.9; 1321,28.9; 1321.5,28.9; 1322,28.9; 1322.5,28.9;
              1323,28.9; 1323.5,28.9; 1324,28.9; 1324.5,28.9; 1325,28.9; 1325.5,28.9;
              1326,28.9; 1326.5,28.9; 1327,28.9; 1327.5,28.9; 1328,28.9; 1328.5,28.9;
              1329,28.9; 1329.5,28.9; 1330,28.8; 1330.5,28.9; 1331,28.8; 1331.5,28.8;
              1332,28.8; 1332.5,28.8; 1333,28.8; 1333.5,28.8; 1334,28.7; 1334.5,28.8;
              1335,28.8; 1335.5,28.8; 1336,28.8; 1336.5,28.8; 1337,28.8; 1337.5,28.8;
              1338,28.8; 1338.5,28.8; 1339,28.8; 1339.5,28.8; 1340,28.8; 1340.5,28.8;
              1341,28.8; 1341.5,28.8; 1342,28.8; 1342.5,28.8; 1343,28.8; 1343.5,28.8;
              1344,28.8; 1344.5,28.8; 1345,28.8; 1345.5,28.8; 1346,28.8; 1346.5,28.8;
              1347,28.8; 1347.5,28.8; 1348,28.8; 1348.5,28.8; 1349,28.8; 1349.5,28.7;
              1350,28.8; 1350.5,28.8; 1351,28.8; 1351.5,28.8; 1352,28.8; 1352.5,28.8;
              1353,28.8; 1353.5,28.8; 1354,28.8; 1354.5,28.8; 1355,28.8; 1355.5,28.8;
              1356,28.8; 1356.5,28.8; 1357,28.8; 1357.5,28.8; 1358,28.8; 1358.5,28.8;
              1359,28.6; 1359.5,28.6; 1360,28.6; 1360.5,28.6; 1361,28.6; 1361.5,28.6;
              1362,28.6; 1362.5,28.6; 1363,28.6; 1363.5,28.6; 1364,28.6; 1364.5,28.6;
              1365,28.6; 1365.5,28.6; 1366,28.6; 1366.5,28.6; 1367,28.6; 1367.5,28.6;
              1368,28.6; 1368.5,28.6; 1369,28.6; 1369.5,28.6; 1370,28.6; 1370.5,28.6;
              1371,28.6; 1371.5,28.6; 1372,28.6; 1372.5,28.6; 1373,28.6; 1373.5,28.6;
              1374,28.6; 1374.5,28.6; 1375,28.6; 1375.5,28.6; 1376,28.6; 1376.5,28.6;
              1377,28.6; 1377.5,28.6; 1378,28.6; 1378.5,28.6; 1379,28.6; 1379.5,28.6;
              1380,28.6; 1380.5,28.6; 1381,28.6; 1381.5,28.4; 1382,28.4; 1382.5,28.4;
              1383,28.4; 1383.5,28.4; 1384,28.5; 1384.5,28.4; 1385,28.4; 1385.5,28.4;
              1386,28.4; 1386.5,28.4; 1387,28.4; 1387.5,28.4; 1388,28.5; 1388.5,28.4;
              1389,28.4; 1389.5,28.4; 1390,28.4; 1390.5,28.4; 1391,28.4; 1391.5,28.4;
              1392,28.4; 1392.5,28.4; 1393,28.4; 1393.5,28.4; 1394,28.4; 1394.5,28.4;
              1395,28.4; 1395.5,28.5; 1396,28.4; 1396.5,28.4; 1397,28.4; 1397.5,28.4;
              1398,28.4; 1398.5,28.4; 1399,28.4; 1399.5,28.5; 1400,28.4; 1400.5,28.4;
              1401,28.4; 1401.5,28.4; 1402,28.4; 1402.5,28.5; 1403,28.4; 1403.5,28.4;
              1404,28.4; 1404.5,28.4; 1405,28.4; 1405.5,28.5; 1406,28.4; 1406.5,28.4;
              1407,28.4; 1407.5,28.4; 1408,28.4; 1408.5,28.4; 1409,28.4; 1409.5,28.4;
              1410,28.4; 1410.5,28.5; 1411,28.4; 1411.5,28.4; 1412,28.4; 1412.5,28.4;
              1413,28.4; 1413.5,28.4; 1414,28.4; 1414.5,28.4; 1415,28.4; 1415.5,28.3;
              1416,28.4; 1416.5,28.3; 1417,28.3; 1417.5,28.3; 1418,28.3; 1418.5,28.3;
              1419,28.3; 1419.5,28.3; 1420,28.3; 1420.5,28.3; 1421,28.3; 1421.5,28.3;
              1422,28.3; 1422.5,28.3; 1423,28.3; 1423.5,28.3; 1424,28.3; 1424.5,28.3;
              1425,28.3; 1425.5,28.3; 1426,28.3; 1426.5,28.3; 1427,28.3; 1427.5,28.3;
              1428,28.3; 1428.5,28.3; 1429,28.3; 1429.5,28.3; 1430,28.3; 1430.5,28.3;
              1431,28.3; 1431.5,28.3; 1432,28.3; 1432.5,28.3; 1433,28.3; 1433.5,28.3;
              1434,28.3; 1434.5,28.3; 1435,28.3; 1435.5,28.3; 1436,28.3; 1436.5,28.3;
              1437,28.3; 1437.5,28.3; 1438,28.3; 1438.5,28.3; 1439,28.3; 1439.5,28.3;
              1440,28.3; 1440.5,28.3; 1441,28.3; 1441.5,28.3; 1442,28.3; 1442.5,28.3;
              1443,28.3; 1443.5,28.3; 1444,28.3; 1444.5,28.3; 1445,28.3; 1445.5,28.3;
              1446,28.3; 1446.5,28.3; 1447,28.3; 1447.5,28.3; 1448,28.3; 1448.5,28.3;
              1449,28.3; 1449.5,28.3; 1450,28.3; 1450.5,28.3; 1451,28.3; 1451.5,28.1;
              1452,28.1; 1452.5,28.1; 1453,28.1; 1453.5,28.1; 1454,28.1; 1454.5,28.1;
              1455,28.1; 1455.5,28.1; 1456,28.1; 1456.5,28.1; 1457,28.1; 1457.5,28.1;
              1458,28.1; 1458.5,28.1; 1459,28.1; 1459.5,28.1; 1460,28.1; 1460.5,28.1;
              1461,28.1; 1461.5,28.1; 1462,28.1; 1462.5,28.1; 1463,28.1; 1463.5,28.1;
              1464,28.1; 1464.5,28.2; 1465,28.1; 1465.5,28.1; 1466,28.1; 1466.5,28.1;
              1467,28.1; 1467.5,28.1; 1468,28.1; 1468.5,28.1; 1469,28.1; 1469.5,28.1;
              1470,28.1; 1470.5,28.1; 1471,28.1; 1471.5,28.1; 1472,28.1; 1472.5,28.1;
              1473,28.1; 1473.5,28.1; 1474,28.1; 1474.5,28.1; 1475,28.1; 1475.5,28.1;
              1476,28.1; 1476.5,28.1; 1477,28.1; 1477.5,28.1; 1478,28.1; 1478.5,28; 1479,
              28; 1479.5,28; 1480,28; 1480.5,28; 1481,28; 1481.5,28; 1482,28; 1482.5,28;
              1483,28; 1483.5,28; 1484,28; 1484.5,28; 1485,28; 1485.5,28; 1486,28; 1486.5,
              28; 1487,28; 1487.5,28; 1488,28; 1488.5,28; 1489,28; 1489.5,28; 1490,28;
              1490.5,28; 1491,28; 1491.5,28; 1492,28; 1492.5,28; 1493,28; 1493.5,28; 1494,
              28; 1494.5,28; 1495,28; 1495.5,28; 1496,28; 1496.5,28; 1497,28; 1497.5,28;
              1498,28; 1498.5,28; 1499,28; 1499.5,28; 1500,28; 1500.5,28; 1501,28; 1501.5,
              28; 1502,28; 1502.5,28; 1503,28; 1503.5,28; 1504,28; 1504.5,28; 1505,28;
              1505.5,27.8; 1506,27.8; 1506.5,27.8; 1507,27.8; 1507.5,27.8; 1508,27.8;
              1508.5,27.8; 1509,27.8; 1509.5,27.8; 1510,27.8; 1510.5,27.8; 1511,27.8;
              1511.5,27.8; 1512,27.8; 1512.5,27.8; 1513,27.8; 1513.5,27.8; 1514,27.8;
              1514.5,27.8; 1515,27.8; 1515.5,27.8; 1516,27.8; 1516.5,27.8; 1517,27.8;
              1517.5,27.8; 1518,27.8; 1518.5,27.8; 1519,27.8; 1519.5,27.8; 1520,27.8;
              1520.5,27.8; 1521,27.8; 1521.5,27.8; 1522,27.8; 1522.5,27.8; 1523,27.8;
              1523.5,27.8; 1524,27.8; 1524.5,27.8; 1525,27.8; 1525.5,27.8; 1526,27.8;
              1526.5,27.8; 1527,27.8; 1527.5,27.8; 1528,27.8; 1528.5,27.8; 1529,27.7;
              1529.5,27.7; 1530,27.8; 1530.5,27.7; 1531,27.7; 1531.5,27.7; 1532,27.7;
              1532.5,27.7; 1533,27.7; 1533.5,27.7; 1534,27.7; 1534.5,27.7; 1535,27.7;
              1535.5,27.7; 1536,27.7; 1536.5,27.7; 1537,27.7; 1537.5,27.7; 1538,27.7;
              1538.5,27.7; 1539,27.7; 1539.5,27.7; 1540,27.7; 1540.5,27.7; 1541,27.7;
              1541.5,27.7; 1542,27.7; 1542.5,27.7; 1543,27.7; 1543.5,27.7; 1544,27.7;
              1544.5,27.7; 1545,27.7; 1545.5,27.7; 1546,27.7; 1546.5,27.7; 1547,27.7;
              1547.5,27.7; 1548,27.7; 1548.5,27.7; 1549,27.7; 1549.5,27.7; 1550,27.7;
              1550.5,27.7; 1551,27.7; 1551.5,27.7; 1552,27.7; 1552.5,27.7; 1553,27.7;
              1553.5,27.7; 1554,27.7; 1554.5,27.7; 1555,27.7; 1555.5,27.7; 1556,27.7;
              1556.5,27.7; 1557,27.7; 1557.5,27.7; 1558,27.7; 1558.5,27.7; 1559,27.7;
              1559.5,27.7; 1560,27.7; 1560.5,27.5; 1561,27.5; 1561.5,27.5; 1562,27.5;
              1562.5,27.5; 1563,27.5; 1563.5,27.5; 1564,27.5; 1564.5,27.5; 1565,27.5;
              1565.5,27.5; 1566,27.5; 1566.5,27.5; 1567,27.5; 1567.5,27.5; 1568,27.5;
              1568.5,27.5; 1569,27.5; 1569.5,27.5; 1570,27.5; 1570.5,27.5; 1571,27.5;
              1571.5,27.5; 1572,27.5; 1572.5,27.5; 1573,27.5; 1573.5,27.5; 1574,27.5;
              1574.5,27.5; 1575,27.5; 1575.5,27.5; 1576,27.5; 1576.5,27.5; 1577,27.5;
              1577.5,27.5; 1578,27.5; 1578.5,27.5; 1579,27.5; 1579.5,27.5; 1580,27.5;
              1580.5,27.5; 1581,27.5; 1581.5,27.5; 1582,27.5; 1582.5,27.5; 1583,27.5;
              1583.5,27.5; 1584,27.5; 1584.5,27.5; 1585,27.5; 1585.5,27.5; 1586,27.5;
              1586.5,27.5; 1587,27.5; 1587.5,27.5; 1588,27.5; 1588.5,27.5; 1589,27.5;
              1589.5,27.5; 1590,27.5; 1590.5,27.5; 1591,27.5; 1591.5,27.5; 1592,27.5;
              1592.5,27.4; 1593,27.4; 1593.5,27.4; 1594,27.4; 1594.5,27.4; 1595,27.4;
              1595.5,27.4; 1596,27.4; 1596.5,27.4; 1597,27.4; 1597.5,27.4; 1598,27.4;
              1598.5,27.4; 1599,27.4; 1599.5,27.4; 1600,27.4; 1600.5,27.4; 1601,27.4;
              1601.5,27.4; 1602,27.4; 1602.5,27.4; 1603,27.4; 1603.5,27.4; 1604,27.4;
              1604.5,27.4; 1605,27.4; 1605.5,27.4; 1606,27.4; 1606.5,27.4; 1607,27.4;
              1607.5,27.4; 1608,27.4; 1608.5,27.4; 1609,27.4; 1609.5,27.4; 1610,27.4;
              1610.5,27.4; 1611,27.4; 1611.5,27.4; 1612,27.4; 1612.5,27.4; 1613,27.4;
              1613.5,27.4; 1614,27.4; 1614.5,27.4; 1615,27.4; 1615.5,27.4; 1616,27.4;
              1616.5,27.4; 1617,27.4; 1617.5,27.4; 1618,27.4; 1618.5,27.4; 1619,27.4;
              1619.5,27.4; 1620,27.4; 1620.5,27.4; 1621,27.2; 1621.5,27.2; 1622,27.2;
              1622.5,27.2; 1623,27.2; 1623.5,27.2; 1624,27.2; 1624.5,27.2; 1625,27.2;
              1625.5,27.2; 1626,27.2; 1626.5,27.2; 1627,27.2; 1627.5,27.2; 1628,27.2;
              1628.5,27.2; 1629,27.2; 1629.5,27.2; 1630,27.2; 1630.5,27.2; 1631,27.2;
              1631.5,27.2; 1632,27.2; 1632.5,27.2; 1633,27.2; 1633.5,27.2; 1634,27.2;
              1634.5,27.2; 1635,27.2; 1635.5,27.2; 1636,27.2; 1636.5,27.2; 1637,27.2;
              1637.5,27.2; 1638,27.2; 1638.5,27.2; 1639,27.2; 1639.5,27.2; 1640,27.2;
              1640.5,27.2; 1641,27.2; 1641.5,27.2; 1642,27.2; 1642.5,27.2; 1643,27.2;
              1643.5,27.2; 1644,27.2; 1644.5,27.2; 1645,27.2; 1645.5,27.2; 1646,27.2;
              1646.5,27.2; 1647,27.2; 1647.5,27.2; 1648,27.2; 1648.5,27.2; 1649,27.2;
              1649.5,27.2; 1650,27.2; 1650.5,27.2; 1651,27.2; 1651.5,27.2; 1652,27.2;
              1652.5,27.2; 1653,27.2; 1653.5,27.2; 1654,27.2; 1654.5,27.2; 1655,27.2;
              1655.5,27.2; 1656,27.2; 1656.5,27.2; 1657,27.2; 1657.5,27.2; 1658,27.1;
              1658.5,27.1; 1659,27; 1659.5,27.1; 1660,27.1; 1660.5,27; 1661,27.1; 1661.5,
              27.1; 1662,27; 1662.5,27.1; 1663,27.1; 1663.5,27.1; 1664,27.1; 1664.5,27.1;
              1665,27.1; 1665.5,27.1; 1666,27; 1666.5,27.1; 1667,27; 1667.5,27.1; 1668,
              27.1; 1668.5,27; 1669,27.1; 1669.5,27; 1670,27; 1670.5,27; 1671,27; 1671.5,
              27; 1672,27.1; 1672.5,27.1; 1673,27; 1673.5,27.1; 1674,27; 1674.5,27.1;
              1675,27.1; 1675.5,27; 1676,27; 1676.5,27.1; 1677,27; 1677.5,27; 1678,27.1;
              1678.5,27; 1679,27.1; 1679.5,27.1; 1680,27.1; 1680.5,27.1; 1681,27; 1681.5,
              27.1; 1682,27.1; 1682.5,27; 1683,27; 1683.5,27.1; 1684,27; 1684.5,27.1;
              1685,27.1; 1685.5,27; 1686,27.1; 1686.5,27; 1687,27.1; 1687.5,27; 1688,27.1;
              1688.5,26.9; 1689,27.1; 1689.5,26.9; 1690,26.9; 1690.5,26.9; 1691,26.9;
              1691.5,26.9; 1692,26.9; 1692.5,26.9; 1693,26.9; 1693.5,26.9; 1694,26.9;
              1694.5,26.9; 1695,26.9; 1695.5,26.9; 1696,26.9; 1696.5,26.9; 1697,26.9;
              1697.5,26.9; 1698,26.9; 1698.5,26.9; 1699,26.9; 1699.5,26.9; 1700,26.9;
              1700.5,26.9; 1701,26.9; 1701.5,26.9; 1702,26.9; 1702.5,26.9; 1703,26.9;
              1703.5,26.9; 1704,26.9; 1704.5,26.9; 1705,26.9; 1705.5,26.9; 1706,26.9;
              1706.5,26.9; 1707,26.9; 1707.5,26.9; 1708,26.9; 1708.5,26.9; 1709,26.9;
              1709.5,26.9; 1710,26.9; 1710.5,26.9; 1711,26.9; 1711.5,26.9; 1712,26.9;
              1712.5,26.9; 1713,26.9; 1713.5,26.9; 1714,26.9; 1714.5,26.9; 1715,26.9;
              1715.5,26.9; 1716,26.9; 1716.5,26.9; 1717,26.9; 1717.5,26.9; 1718,26.9;
              1718.5,26.9; 1719,26.9; 1719.5,26.9; 1720,26.7; 1720.5,26.7; 1721,26.7;
              1721.5,26.7; 1722,26.7; 1722.5,26.7; 1723,26.7; 1723.5,26.7; 1724,26.7;
              1724.5,26.7; 1725,26.7; 1725.5,26.7; 1726,26.7; 1726.5,26.7; 1727,26.7;
              1727.5,26.7; 1728,26.7; 1728.5,26.7; 1729,26.7; 1729.5,26.7; 1730,26.7;
              1730.5,26.7; 1731,26.7; 1731.5,26.7; 1732,26.7; 1732.5,26.7; 1733,26.7;
              1733.5,26.7; 1734,26.7; 1734.5,26.7; 1735,26.7; 1735.5,26.7; 1736,26.7;
              1736.5,26.7; 1737,26.7; 1737.5,26.7; 1738,26.7; 1738.5,26.7; 1739,26.7;
              1739.5,26.7; 1740,26.7; 1740.5,26.7; 1741,26.7; 1741.5,26.7; 1742,26.7;
              1742.5,26.7; 1743,26.7; 1743.5,26.7; 1744,26.7; 1744.5,26.7; 1745,26.7;
              1745.5,26.7; 1746,26.7; 1746.5,26.7; 1747,26.7; 1747.5,26.7; 1748,26.7;
              1748.5,26.7; 1749,26.7; 1749.5,26.7; 1750,26.7; 1750.5,26.7; 1751,26.7;
              1751.5,26.7; 1752,26.7; 1752.5,26.7; 1753,26.7; 1753.5,26.7; 1754,26.7;
              1754.5,26.7; 1755,26.7; 1755.5,26.7; 1756,26.7; 1756.5,26.7; 1757,26.7;
              1757.5,26.7; 1758,26.7; 1758.5,26.7; 1759,26.7; 1759.5,26.7; 1760,26.7;
              1760.5,26.7; 1761,26.7; 1761.5,26.7; 1762,26.7; 1762.5,26.7; 1763,26.7;
              1763.5,26.7; 1764,26.7; 1764.5,26.7; 1765,26.7; 1765.5,26.7; 1766,26.7;
              1766.5,26.7; 1767,26.7; 1767.5,26.7; 1768,26.7; 1768.5,26.8; 1769,26.7;
              1769.5,26.7; 1770,26.7; 1770.5,26.7; 1771,26.7; 1771.5,26.7; 1772,26.7;
              1772.5,26.7; 1773,26.7; 1773.5,26.6; 1774,26.6; 1774.5,26.6; 1775,26.6;
              1775.5,26.6; 1776,26.6; 1776.5,26.6; 1777,26.6; 1777.5,26.6; 1778,26.6;
              1778.5,26.6; 1779,26.6; 1779.5,26.6; 1780,26.6; 1780.5,26.6; 1781,26.6;
              1781.5,26.6; 1782,26.6; 1782.5,26.6; 1783,26.6; 1783.5,26.6; 1784,26.6;
              1784.5,26.6; 1785,26.6; 1785.5,26.6; 1786,26.6; 1786.5,26.6; 1787,26.6;
              1787.5,26.6; 1788,26.6; 1788.5,26.6; 1789,26.6; 1789.5,26.6; 1790,26.6;
              1790.5,26.6; 1791,26.6; 1791.5,26.6; 1792,26.6; 1792.5,26.6; 1793,26.6;
              1793.5,26.6; 1794,26.6; 1794.5,26.6; 1795,26.6; 1795.5,26.6; 1796,26.6;
              1796.5,26.6; 1797,26.6; 1797.5,26.6; 1798,26.6; 1798.5,26.6; 1799,26.6;
              1799.5,26.6; 1800,26.6; 1800.5,26.6; 1801,26.6; 1801.5,26.6; 1802,26.6;
              1802.5,26.6; 1803,26.6; 1803.5,26.6; 1804,26.6; 1804.5,26.6; 1805,26.6;
              1805.5,26.6; 1806,26.6; 1806.5,26.6; 1807,26.6; 1807.5,26.6; 1808,26.6;
              1808.5,26.6; 1809,26.4; 1809.5,26.4; 1810,26.4; 1810.5,26.4; 1811,26.4;
              1811.5,26.4; 1812,26.4; 1812.5,26.4; 1813,26.4; 1813.5,26.4; 1814,26.4;
              1814.5,26.4; 1815,26.4; 1815.5,26.4; 1816,26.4; 1816.5,26.4; 1817,26.4;
              1817.5,26.4; 1818,26.4; 1818.5,26.4; 1819,26.4; 1819.5,26.4; 1820,26.4;
              1820.5,26.4; 1821,26.4; 1821.5,26.4; 1822,26.4; 1822.5,26.4; 1823,26.4;
              1823.5,26.4; 1824,26.4; 1824.5,26.4; 1825,26.4; 1825.5,26.4; 1826,26.4;
              1826.5,26.4; 1827,26.4; 1827.5,26.4; 1828,26.4; 1828.5,26.4; 1829,26.4;
              1829.5,26.4; 1830,26.4; 1830.5,26.4; 1831,26.4; 1831.5,26.4; 1832,26.4;
              1832.5,26.4; 1833,26.4; 1833.5,26.4; 1834,26.4; 1834.5,26.4; 1835,26.4;
              1835.5,26.4; 1836,26.4; 1836.5,26.4; 1837,26.4; 1837.5,26.4; 1838,26.4;
              1838.5,26.4; 1839,26.4; 1839.5,26.4; 1840,26.4; 1840.5,26.4; 1841,26.4;
              1841.5,26.4; 1842,26.4; 1842.5,26.4; 1843,26.4; 1843.5,26.4; 1844,26.4;
              1844.5,26.4; 1845,26.4; 1845.5,26.4; 1846,26.4; 1846.5,26.4; 1847,26.4;
              1847.5,26.4; 1848,26.4; 1848.5,26.4; 1849,26.4; 1849.5,26.4; 1850,26.4;
              1850.5,26.4; 1851,26.4; 1851.5,26.4; 1852,26.4; 1852.5,26.4; 1853,26.4;
              1853.5,26.4; 1854,26.4; 1854.5,26.4; 1855,26.4; 1855.5,26.4; 1856,26.4;
              1856.5,26.4; 1857,26.4; 1857.5,26.3; 1858,26.3; 1858.5,26.3; 1859,26.3;
              1859.5,26.3; 1860,26.3; 1860.5,26.3; 1861,26.3; 1861.5,26.3; 1862,26.3;
              1862.5,26.3; 1863,26.3; 1863.5,26.3; 1864,26.3; 1864.5,26.3; 1865,26.3;
              1865.5,26.3; 1866,26.3; 1866.5,26.3; 1867,26.3; 1867.5,26.3; 1868,26.3;
              1868.5,26.3; 1869,26.3; 1869.5,26.3; 1870,26.3; 1870.5,26.3; 1871,26.3;
              1871.5,26.3; 1872,26.3; 1872.5,26.3; 1873,26.3; 1873.5,26.3; 1874,26.3;
              1874.5,26.3; 1875,26.3; 1875.5,26.3; 1876,26.3; 1876.5,26.3; 1877,26.3;
              1877.5,26.3; 1878,26.3; 1878.5,26.3; 1879,26.3; 1879.5,26.3; 1880,26.3;
              1880.5,26.3; 1881,26.3; 1881.5,26.3; 1882,26.3; 1882.5,26.3; 1883,26.3;
              1883.5,26.3; 1884,26.3; 1884.5,26.3; 1885,26.3; 1885.5,26.3; 1886,26.3;
              1886.5,26.3; 1887,26.3; 1887.5,26.3; 1888,26.3; 1888.5,26.3; 1889,26.3;
              1889.5,26.1; 1890,26.3; 1890.5,26.1; 1891,26.1; 1891.5,26.1; 1892,26.1;
              1892.5,26.1; 1893,26.1; 1893.5,26.1; 1894,26.1; 1894.5,26.1; 1895,26.1;
              1895.5,26.1; 1896,26.1; 1896.5,26.1; 1897,26.1; 1897.5,26.1; 1898,26.1;
              1898.5,26.1; 1899,26.1; 1899.5,26.1; 1900,26.1; 1900.5,26.1; 1901,26.1;
              1901.5,26.1; 1902,26.1; 1902.5,26.1; 1903,26.1; 1903.5,26.1; 1904,26.1;
              1904.5,26.1; 1905,26.1; 1905.5,26.1; 1906,26.1; 1906.5,26.1; 1907,26.1;
              1907.5,26.1; 1908,26.1; 1908.5,26.1; 1909,26.1; 1909.5,26.1; 1910,26.1;
              1910.5,26.1; 1911,26.1; 1911.5,26.1; 1912,26.1; 1912.5,26.1; 1913,26.1;
              1913.5,26.1; 1914,26.1; 1914.5,26.1; 1915,26.1; 1915.5,26.1; 1916,26.1;
              1916.5,26.1; 1917,26.1; 1917.5,26.1; 1918,26.1; 1918.5,26.1; 1919,26.1;
              1919.5,26.1; 1920,26.1; 1920.5,26.1; 1921,26.1; 1921.5,26.1; 1922,26.1;
              1922.5,26.1; 1923,26.1; 1923.5,26.1; 1924,26.1; 1924.5,26.1; 1925,26.1;
              1925.5,26.1; 1926,26.1; 1926.5,26.1; 1927,26.1; 1927.5,26.1; 1928,26.1;
              1928.5,26.1; 1929,26.1; 1929.5,26.1; 1930,26.1; 1930.5,26.1; 1931,26.1;
              1931.5,26.1; 1932,26.1; 1932.5,26.1; 1933,26.1; 1933.5,26.1; 1934,26.1;
              1934.5,26.1; 1935,26.1; 1935.5,26.1; 1936,26.1; 1936.5,26.1; 1937,26.1;
              1937.5,26.1; 1938,26.1; 1938.5,26.1; 1939,26.1; 1939.5,26.1; 1940,26.1;
              1940.5,26.1; 1941,26.1; 1941.5,26.1; 1942,26.1; 1942.5,26.1; 1943,26.1;
              1943.5,26.1; 1944,26.1; 1944.5,26; 1945,26; 1945.5,26; 1946,26; 1946.5,26;
              1947,26.1; 1947.5,26; 1948,26; 1948.5,26; 1949,26; 1949.5,26; 1950,26; 1950.5,
              26; 1951,26; 1951.5,26; 1952,26; 1952.5,26; 1953,26; 1953.5,26; 1954,26;
              1954.5,26; 1955,26; 1955.5,26; 1956,26; 1956.5,26; 1957,26; 1957.5,26; 1958,
              26; 1958.5,26; 1959,26; 1959.5,26; 1960,26; 1960.5,26; 1961,26; 1961.5,26;
              1962,26; 1962.5,26; 1963,26; 1963.5,26; 1964,26; 1964.5,26; 1965,26; 1965.5,
              26; 1966,26; 1966.5,26; 1967,26; 1967.5,26; 1968,26; 1968.5,26; 1969,26;
              1969.5,26; 1970,26; 1970.5,26; 1971,26; 1971.5,26; 1972,26; 1972.5,26; 1973,
              26; 1973.5,26; 1974,26; 1974.5,26; 1975,26; 1975.5,26; 1976,26; 1976.5,26;
              1977,26; 1977.5,26; 1978,26; 1978.5,26; 1979,26; 1979.5,26; 1980,26; 1980.5,
              26; 1981,26; 1981.5,26; 1982,26; 1982.5,26; 1983,26; 1983.5,26; 1984,26;
              1984.5,25.8; 1985,25.8; 1985.5,25.8; 1986,25.8; 1986.5,25.8; 1987,25.8;
              1987.5,25.8; 1988,25.8; 1988.5,25.8; 1989,25.8; 1989.5,25.8; 1990,25.8;
              1990.5,25.8; 1991,25.8; 1991.5,25.8; 1992,25.8; 1992.5,25.8; 1993,25.8;
              1993.5,25.8; 1994,25.8; 1994.5,25.8; 1995,25.8; 1995.5,25.8; 1996,25.8;
              1996.5,25.8; 1997,25.8; 1997.5,25.8; 1998,25.8; 1998.5,25.8; 1999,25.8;
              1999.5,25.8; 2000,25.8; 2000.5,25.8; 2001,25.8; 2001.5,25.8; 2002,25.8;
              2002.5,25.8; 2003,25.8; 2003.5,25.8; 2004,25.8; 2004.5,25.8; 2005,25.8;
              2005.5,25.8; 2006,25.8; 2006.5,25.8; 2007,25.8; 2007.5,25.8; 2008,25.8;
              2008.5,25.8; 2009,25.8; 2009.5,25.8; 2010,25.8; 2010.5,25.8; 2011,25.8;
              2011.5,25.8; 2012,25.8; 2012.5,25.8; 2013,25.8; 2013.5,25.8; 2014,25.8;
              2014.5,25.8; 2015,25.8; 2015.5,25.8; 2016,25.8; 2016.5,25.8; 2017,25.8;
              2017.5,25.8; 2018,25.8; 2018.5,25.8; 2019,25.8; 2019.5,25.8; 2020,25.8;
              2020.5,25.8; 2021,25.8; 2021.5,25.8; 2022,25.8; 2022.5,25.8; 2023,25.8;
              2023.5,25.8; 2024,25.8; 2024.5,25.8; 2025,25.8; 2025.5,25.7; 2026,25.7;
              2026.5,25.8; 2027,25.7; 2027.5,25.7; 2028,25.7; 2028.5,25.7; 2029,25.7;
              2029.5,25.7; 2030,25.7; 2030.5,25.7; 2031,25.7; 2031.5,25.7; 2032,25.7;
              2032.5,25.7; 2033,25.7; 2033.5,25.7; 2034,25.7; 2034.5,25.7; 2035,25.7;
              2035.5,25.7; 2036,25.7; 2036.5,25.7; 2037,25.7; 2037.5,25.7; 2038,25.7;
              2038.5,25.7; 2039,25.7; 2039.5,25.7; 2040,25.7; 2040.5,25.7; 2041,25.7;
              2041.5,25.7; 2042,25.7; 2042.5,25.7; 2043,25.7; 2043.5,25.7; 2044.2,25.7;
              2044.5,25.7; 2045,25.7; 2045.5,25.7; 2046,25.7; 2046.5,25.7; 2047,25.7;
              2047.5,25.7; 2048,25.7; 2048.5,25.7; 2049,25.7; 2049.5,25.7; 2050,25.7;
              2050.5,25.7; 2051,25.7; 2051.5,25.7; 2052,25.7; 2052.5,25.7; 2053,25.7;
              2053.5,25.7; 2054,25.7; 2054.5,25.7; 2055,25.7; 2055.5,25.7; 2056,25.7;
              2056.5,25.7; 2057,25.7; 2057.5,25.7; 2058,25.7; 2058.5,25.7; 2059,25.7;
              2059.5,25.7; 2060,25.7; 2060.5,25.7; 2061,25.7; 2061.5,25.7; 2062,25.7;
              2062.5,25.7; 2063,25.7; 2063.5,25.7; 2064,25.7; 2064.5,25.7; 2065,25.7;
              2065.5,25.7; 2066,25.7; 2066.5,25.7; 2067,25.7; 2067.5,25.7; 2068,25.7;
              2068.5,25.7; 2069,25.7; 2069.5,25.7; 2070,25.7; 2070.5,25.7; 2071,25.7;
              2071.5,25.7; 2072,25.7; 2072.5,25.7; 2073,25.7; 2073.5,25.7; 2074,25.7;
              2074.5,25.7; 2075,25.7; 2075.5,25.7; 2076,25.7; 2076.5,25.7; 2077,25.7;
              2077.5,25.7; 2078,25.7; 2078.5,25.7; 2079,25.7; 2079.5,25.7; 2080,25.5;
              2080.5,25.7; 2081,25.7; 2081.5,25.7; 2082,25.7; 2082.5,25.5; 2083,25.7;
              2083.5,25.5; 2084,25.5; 2084.5,25.5; 2085,25.5; 2085.5,25.5; 2086,25.5;
              2086.5,25.5; 2087,25.5; 2087.5,25.5; 2088,25.5; 2088.5,25.5; 2089,25.5;
              2089.5,25.5; 2090,25.5; 2090.5,25.5; 2091,25.5; 2091.5,25.5; 2092,25.5;
              2092.5,25.5; 2093,25.5; 2093.5,25.5; 2094,25.5; 2094.5,25.5; 2095,25.5;
              2095.5,25.5; 2096,25.5; 2096.5,25.5; 2097,25.5; 2097.5,25.5; 2098,25.5;
              2098.5,25.5; 2099,25.5; 2099.5,25.5; 2100,25.5; 2100.5,25.5; 2101,25.5;
              2101.5,25.5; 2102,25.5; 2102.5,25.5; 2103,25.5; 2103.5,25.5; 2104,25.5;
              2104.5,25.5; 2105,25.5; 2105.5,25.5; 2106,25.5; 2106.5,25.5; 2107,25.5;
              2107.5,25.5; 2108,25.5; 2108.5,25.5; 2109,25.5; 2109.5,25.5; 2110,25.5;
              2110.5,25.5; 2111,25.5; 2111.5,25.5; 2112,25.5; 2112.5,25.5; 2113,25.5;
              2113.5,25.5; 2114,25.5; 2114.5,25.5; 2115,25.5; 2115.5,25.5; 2116,25.5;
              2116.5,25.5; 2117,25.5; 2117.5,25.5; 2118,25.5; 2118.5,25.5; 2119,25.5;
              2119.5,25.5; 2120,25.5; 2120.5,25.5; 2121,25.5; 2121.5,25.5; 2122,25.5;
              2122.5,25.5; 2123,25.5; 2123.5,25.5; 2124,25.5; 2124.5,25.5; 2125,25.5;
              2125.5,25.5; 2126,25.5; 2126.5,25.5; 2127,25.5; 2127.5,25.5; 2128,25.5;
              2128.5,25.5; 2129,25.5; 2129.5,25.5; 2130,25.5; 2130.5,25.3; 2131,25.4;
              2131.5,25.4; 2132,25.5; 2132.5,25.5; 2133,25.4; 2133.5,25.4; 2134,25.3;
              2134.5,25.4; 2135,25.4; 2135.5,25.4; 2136,25.4; 2136.5,25.4; 2137,25.4;
              2137.5,25.4; 2138,25.4; 2138.5,25.4; 2139,25.4; 2139.5,25.4; 2140,25.4;
              2140.5,25.4; 2141,25.4; 2141.5,25.4; 2142,25.4; 2142.5,25.4; 2143,25.4;
              2143.5,25.4; 2144,25.4; 2144.5,25.3; 2145,25.4; 2145.5,25.4; 2146,25.4;
              2146.5,25.4; 2147,25.4; 2147.5,25.4; 2148,25.4; 2148.5,25.4; 2149,25.4;
              2149.5,25.4; 2150,25.3; 2150.5,25.4; 2151,25.4; 2151.5,25.4; 2152,25.4;
              2152.5,25.4; 2153,25.4; 2153.5,25.3; 2154,25.3; 2154.5,25.4; 2155,25.4;
              2155.5,25.4; 2156,25.3; 2156.5,25.4; 2157,25.4; 2157.5,25.4; 2158,25.3;
              2158.5,25.4; 2159,25.4; 2159.5,25.4; 2160,25.4; 2160.5,25.4; 2161,25.4;
              2161.5,25.4; 2162,25.4; 2162.5,25.4; 2163,25.4; 2163.5,25.4; 2164,25.4;
              2164.5,25.4; 2165,25.4; 2165.5,25.4; 2166,25.4; 2166.5,25.4; 2167,25.3;
              2167.5,25.4; 2168,25.4; 2168.5,25.4; 2169,25.4; 2169.5,25.4; 2170,25.4;
              2170.5,25.4; 2171,25.4; 2171.5,25.4; 2172,25.4; 2172.5,25.4; 2173,25.3;
              2173.5,25.4; 2174,25.4; 2174.5,25.4; 2175,25.4; 2175.5,25.4; 2176,25.4;
              2176.5,25.4; 2177,25.3; 2177.5,25.4; 2178,25.4; 2178.5,25.4; 2179,25.4;
              2179.5,25.4; 2180,25.4; 2180.5,25.2; 2181,25.4; 2181.5,25.2; 2182,25.2;
              2182.5,25.2; 2183,25.2; 2183.5,25.2; 2184,25.2; 2184.5,25.2; 2185,25.2;
              2185.5,25.2; 2186,25.2; 2186.5,25.2; 2187,25.2; 2187.5,25.2; 2188,25.2;
              2188.5,25.2; 2189,25.2; 2189.5,25.2; 2190,25.2; 2190.5,25.2; 2191,25.2;
              2191.5,25.2; 2192,25.2; 2192.5,25.2; 2193,25.2; 2193.5,25.2; 2194,25.2;
              2194.5,25.2; 2195,25.2; 2195.5,25.2; 2196,25.2; 2196.5,25.2; 2197,25.2;
              2197.5,25.2; 2198,25.2; 2198.5,25.2; 2199,25.2; 2199.5,25.2; 2200,25.2;
              2200.5,25.2; 2201,25.2; 2201.5,25.2; 2202,25.2; 2202.5,25.2; 2203,25.2;
              2203.5,25.2; 2204,25.2; 2204.5,25.2; 2205,25.2; 2205.5,25.2; 2206,25.2;
              2206.5,25.2; 2207,25.2; 2207.5,25.2; 2208,25.2; 2208.5,25.2; 2209,25.2;
              2209.5,25.2; 2210,25.2; 2210.5,25.2; 2211,25.2; 2211.5,25.2; 2212,25.2;
              2212.5,25.2; 2213,25.2; 2213.5,25.2; 2214,25.2; 2214.5,25.2; 2215,25.2;
              2215.5,25.2; 2216,25.2; 2216.5,25.2; 2217,25.2; 2217.5,25.2; 2218,25.2;
              2218.5,25.2; 2219,25.2; 2219.5,25.2; 2220,25.2; 2220.5,25.2; 2221,25.2;
              2221.5,25.2; 2222,25.2; 2222.5,25.2; 2223,25.2; 2223.5,25.2; 2224,25.2;
              2224.5,25.2; 2225,25.2; 2225.5,25.2; 2226,25.2; 2226.5,25.2; 2227,25.2;
              2227.5,25.2; 2228,25.2; 2228.5,25.2; 2229,25.2; 2229.5,25.2; 2230,25.2;
              2230.5,25.2; 2231,25.2; 2231.5,25.2; 2232,25.2; 2232.5,25.2; 2233,25.2;
              2233.5,25.2; 2234,25.2; 2234.5,25.2; 2235,25.2; 2235.5,25.2; 2236,25.2;
              2236.5,25.2; 2237,25.2; 2237.5,25.2; 2238,25.2; 2238.5,25.2; 2239,25.2;
              2239.5,25.2; 2240,25.2; 2240.5,25.2; 2241,25.2; 2241.5,25.2; 2242,25.2;
              2242.5,25.2; 2243,25.2; 2243.5,25.2; 2244,25.2; 2244.5,25.2; 2245,25.2;
              2245.5,25.2; 2246,25.2; 2246.5,25.2; 2247,25.2; 2247.5,25.2; 2248,25.2;
              2248.5,25.2; 2249,25.2; 2249.5,25.2; 2250,25.2; 2250.5,25.2; 2251,25.2;
              2251.5,25.2; 2252,25.2; 2252.5,25.2; 2253,25.2; 2253.5,25.2; 2254,25.2;
              2254.5,25.2; 2255,25.2; 2255.5,25.2; 2256,25.2; 2256.5,25.2; 2257,25.2;
              2257.5,25.1; 2258,25.2; 2258.5,25.2; 2259,25.2; 2259.5,25.2; 2260,25.2;
              2260.5,25.2; 2261,25; 2261.5,25; 2262,25; 2262.5,25; 2263,25; 2263.5,25.1;
              2264,25; 2264.5,25; 2265,25; 2265.5,25.1; 2266,25.1; 2266.5,25; 2267,25.1;
              2267.5,25; 2268,25.1; 2268.5,25.2; 2269,25.1; 2269.5,25; 2270,25; 2270.5,
              25.1; 2271,25; 2271.5,25.1; 2272,25.1; 2272.5,25; 2273,25.1; 2273.5,25.1;
              2274,25; 2274.5,25; 2275,25.1; 2275.5,25.1; 2276,25.1; 2276.5,25; 2277,25;
              2277.5,25; 2278,25; 2278.5,25; 2279,25; 2279.5,25.1; 2280,25; 2280.5,25;
              2281,25.1; 2281.5,25.1; 2282,25; 2282.5,25; 2283,25.1; 2283.5,25; 2284,25.1;
              2284.5,25.1; 2285,25; 2285.5,25.1; 2286,25; 2286.5,25; 2287,25.1; 2287.5,
              25.1; 2288,25.1; 2288.5,25; 2289,25; 2289.5,25.1; 2290,25.1; 2290.5,25;
              2291,25; 2291.5,25; 2292,25; 2292.5,25.1; 2293,25.1; 2293.5,25; 2294,25;
              2294.5,25; 2295,25.1; 2295.5,25; 2296,25; 2296.5,25; 2297,25; 2297.5,25.1;
              2298,25.1; 2298.5,25; 2299,25.1; 2299.5,25; 2300,25; 2300.5,25; 2301,25;
              2301.5,25; 2302,25; 2302.5,25; 2303,25; 2303.5,25; 2304,25; 2304.5,25; 2305,
              25; 2305.5,25; 2306,25; 2306.5,25.1; 2307,24.9; 2307.5,25; 2308,24.9; 2308.5,
              24.9; 2309,25; 2309.5,25; 2310,25; 2310.5,25; 2311,24.9; 2311.5,25; 2312,
              24.9; 2312.5,24.9; 2313,24.9; 2313.5,24.9; 2314,24.9; 2314.5,24.9; 2315,
              24.9; 2315.5,24.9; 2316,24.9; 2316.5,24.9; 2317,24.9; 2317.5,24.9; 2318,
              24.9; 2318.5,24.9; 2319,24.9; 2319.5,24.9; 2320,24.9; 2320.5,24.9; 2321,
              24.9; 2321.5,24.9; 2322,24.9; 2322.5,24.9; 2323,24.9; 2323.5,24.9; 2324,
              24.9; 2324.5,24.9; 2325,24.9; 2325.5,24.9; 2326,24.9; 2326.5,24.9; 2327,
              24.9; 2327.5,24.9; 2328,24.9; 2328.5,24.9; 2329,24.9; 2329.5,24.9; 2330,
              24.9; 2330.5,24.9; 2331,24.9; 2331.5,24.9; 2332,24.9; 2332.5,24.9; 2333,
              24.9; 2333.5,24.9; 2334,24.9; 2334.5,24.9; 2335,24.9; 2335.5,24.9; 2336,
              24.9; 2336.5,24.9; 2337,24.9; 2337.5,24.9; 2338,24.9; 2338.5,24.9; 2339,
              24.9; 2339.5,24.9; 2340,24.9; 2340.5,24.9; 2341,24.9; 2341.5,24.9; 2342,
              24.9; 2342.5,24.9; 2343,24.9; 2343.5,24.9; 2344,24.9; 2344.5,24.9; 2345,
              24.9; 2345.5,24.9; 2346,24.9; 2346.5,24.9; 2347,24.9; 2347.5,24.9; 2348,
              24.9; 2348.5,24.9; 2349,24.9; 2349.5,24.9; 2350,24.9; 2350.5,24.9; 2351,
              24.9; 2351.5,24.9; 2352,24.9; 2352.5,24.9; 2353,24.9; 2353.5,24.9; 2354,
              24.9; 2354.5,24.9; 2355,24.9; 2355.5,24.9; 2356,24.9; 2356.5,24.9; 2357,
              24.9; 2357.5,24.9; 2358,24.9; 2358.5,24.9; 2359,24.9; 2359.5,24.9; 2360,
              24.9; 2360.5,24.9; 2361,24.9; 2361.5,24.9; 2362,24.9; 2362.5,24.9; 2363,
              24.9; 2363.5,24.9; 2364,24.9; 2364.5,24.9; 2365,24.9; 2365.5,24.9; 2366,
              24.9; 2366.5,24.9; 2367,24.9; 2367.5,24.9; 2368,24.9; 2368.5,24.9; 2369,
              24.9; 2369.5,24.9; 2370,24.9; 2370.5,24.9; 2371,24.9; 2371.5,24.9; 2372,
              24.9; 2372.5,24.9; 2373,24.9; 2373.5,24.9; 2374,24.9; 2374.5,24.9; 2375,
              24.9; 2375.5,24.9; 2376,24.9; 2376.5,24.9; 2377,24.9; 2377.5,24.9; 2378,
              24.9; 2378.5,24.9; 2379,24.9; 2379.5,24.9; 2380,24.9; 2380.5,24.9; 2381,
              24.9; 2381.5,24.9; 2382,24.8; 2382.5,24.7; 2383,24.7; 2383.5,24.7; 2384,
              24.7; 2384.5,24.7; 2385,24.7; 2385.5,24.7; 2386,24.7; 2386.5,24.7; 2387,
              24.7; 2387.5,24.7; 2388,24.7; 2388.5,24.7; 2389,24.7; 2389.5,24.7; 2390,
              24.7; 2390.5,24.7; 2391,24.7; 2391.5,24.7; 2392,24.7; 2392.5,24.7; 2393,
              24.7; 2393.5,24.7; 2394,24.7; 2394.5,24.7; 2395,24.7; 2395.5,24.7; 2396,
              24.7; 2396.5,24.7; 2397,24.7; 2397.5,24.7; 2398,24.7; 2398.5,24.7; 2399,
              24.7; 2399.5,24.7; 2400,24.7; 2400.5,24.7; 2401,24.7; 2401.5,24.7; 2402,
              24.7; 2402.5,24.7; 2403,24.7; 2403.5,24.7; 2404,24.7; 2404.5,24.8; 2405,
              24.7; 2405.5,24.7; 2406,24.7; 2406.5,24.7; 2407,24.7; 2407.5,24.7; 2408,
              24.7]) annotation (Placement(transformation(
              extent={{-10,-10},{10,10}},
              rotation=90,
              origin={-80,-80})));
        Modelica.Blocks.Tables.CombiTable1D MeasurementDataTHot_TEG(table=[0,22.2; 0.5,
              22.2; 1,22.2; 1.5,22.2; 2,22.2; 2.5,22.2; 3,22.2; 3.5,22.2; 4,22.2; 4.5,
              22.2; 5,22.2; 5.5,22.2; 6,22.2; 6.5,22.2; 7,22.2; 7.5,22.2; 8,22.2; 8.5,
              22.2; 9,22.2; 9.5,22.2; 10,22.2; 10.5,22.2; 11,22.3; 11.5,22.3; 12,22.3;
              12.5,22.3; 13,22.3; 13.5,22.3; 14,22.3; 14.5,22.3; 15,22.5; 15.5,22.5; 16,
              22.5; 16.5,22.6; 17,22.6; 17.5,22.6; 18,22.8; 18.5,22.9; 19,22.9; 19.5,23.1;
              20,23.2; 20.5,23.4; 21,23.4; 21.5,23.6; 22,23.7; 22.5,23.9; 23,24; 23.5,
              24.2; 24,24.3; 24.5,24.5; 25,24.6; 25.5,24.8; 26,25.1; 26.5,25.2; 27,25.4;
              27.5,25.7; 28,25.9; 28.5,26.2; 29,26.3; 29.5,26.6; 30,26.8; 30.5,27.1; 31,
              27.3; 31.6,27.5; 32,27.8; 32.5,28; 33,28.3; 33.5,28.6; 34,28.9; 34.5,29.1;
              35,29.4; 35.5,29.7; 36,30; 36.5,30.3; 37,30.6; 37.5,30.9; 38,31.2; 38.5,
              31.5; 39,31.9; 39.5,32.2; 40,32.5; 40.5,32.8; 41,33.1; 41.5,33.4; 42,33.9;
              42.5,34.2; 43,34.5; 43.5,34.8; 44,35.2; 44.5,35.6; 45,35.9; 45.5,36.3; 46,
              36.6; 46.5,37; 47,37.4; 47.5,37.7; 48,38.2; 48.5,38.5; 49,38.8; 49.5,39.3;
              50,39.6; 50.5,40; 51,40.4; 51.5,40.8; 52,41.3; 52.5,41.6; 53,42.1; 53.5,
              42.4; 54,42.8; 54.5,43.3; 55,43.6; 55.5,44.1; 56,44.4; 56.5,44.8; 57,45.1;
              57.5,45.6; 58,46.1; 58.5,46.4; 59,46.8; 59.5,47.3; 60,47.6; 60.5,48.1; 61,
              48.4; 61.5,48.8; 62,49.3; 62.5,49.6; 63,50; 63.5,50.5; 64,51; 64.5,51.3;
              65,51.6; 65.5,52.1; 66,52.5; 66.5,53; 67,53.6; 67.5,53.9; 68,54.4; 68.5,
              54.7; 69,55.2; 69.5,55.7; 70,56; 70.5,56.4; 71,56.9; 71.5,57.4; 72,57.7;
              72.5,58.1; 73,58.5; 73.5,58.9; 74,59.4; 74.5,59.8; 75,60.3; 75.5,60.8; 76,
              61.2; 76.5,61.7; 77,62; 77.5,62.5; 78,62.8; 78.5,63.1; 79,63.6; 79.5,64;
              80,64.5; 80.5,65; 81,65.4; 81.5,65.9; 82,66.5; 82.5,67; 83,67.4; 83.5,67.7;
              84,68.2; 84.5,68.5; 85,69; 85.5,69.5; 86,69.8; 86.5,70.2; 87,70.7; 87.5,
              71.2; 88,71.6; 88.5,71.9; 89,72.4; 89.5,72.9; 90,73.3; 90.5,73.8; 91,74.3;
              91.5,74.7; 92,75.2; 92.5,75.7; 93,76.1; 93.5,76.6; 94,77; 94.5,77.5; 95,
              77.8; 95.5,78.3; 96,78.7; 96.5,79.1; 97,79.5; 97.5,80; 98,80.5; 98.5,80.8;
              99,81.2; 99.5,81.5; 100,82; 100.5,82.5; 101,83; 101.5,83.3; 102,83.7; 102.5,
              84.2; 103,84.6; 103.5,85; 104,85.4; 104.5,85.9; 105,86.3; 105.5,86.7; 106,
              87.1; 106.5,87.6; 107,88.2; 107.5,88.7; 108,89; 108.5,89.3; 109,89.7; 109.5,
              90.1; 110,90.5; 110.5,91; 111,91.5; 111.5,91.9; 112,92.4; 112.5,92.9; 113,
              93.2; 113.5,93.8; 114,94.2; 114.5,94.6; 115,95; 115.5,95.2; 116,95.6; 116.5,
              96.1; 117,96.4; 117.5,96.9; 118,97.2; 118.5,97.5; 119,98; 119.5,98.4; 120,
              98.9; 120.5,99.2; 121,99.7; 121.5,100.1; 122,100.6; 122.5,101.1; 123,101.5;
              123.5,101.8; 124,102.5; 124.5,102.8; 125,103.2; 125.5,103.7; 126,104; 126.5,
              104.5; 127,104.8; 127.5,105.1; 128,105.6; 128.5,105.9; 129,106.3; 129.5,
              106.6; 130,107.1; 130.5,107.4; 131,107.8; 131.5,108; 132,108.5; 132.5,109;
              133,109.4; 133.5,109.8; 134,110.2; 134.5,110.5; 135,111.2; 135.5,111.6;
              136,111.9; 136.5,112.4; 137,112.7; 137.5,113.3; 138,113.6; 138.5,114.1;
              139,114.4; 139.5,114.9; 140,115.3; 140.5,115.6; 141,116.1; 141.5,116.6;
              142,117; 142.5,117.3; 143,117.8; 143.5,118.1; 144,118.6; 144.5,118.9; 145,
              119.3; 145.5,119.8; 146,120.1; 146.5,120.4; 147,121.1; 147.5,121.4; 148,
              121.7; 148.5,122.1; 149,122.4; 149.5,122.9; 150,123.2; 150.5,123.7; 151,
              124; 151.5,124.3; 152,124.8; 152.5,125.1; 153,125.5; 153.5,125.9; 154,126.3;
              154.5,126.6; 155,127; 155.5,127.4; 156,127.7; 156.5,128; 157,128.5; 157.5,
              128.9; 158,129.3; 158.5,129.7; 159,130; 159.5,130.5; 160,130.8; 160.5,131.1;
              161,131.4; 161.5,131.7; 162,132.2; 162.5,132.5; 163,132.9; 163.5,133.3;
              164,133.8; 164.5,134.1; 165,134.4; 165.5,134.7; 166,135.2; 166.5,135.6;
              167,135.9; 167.5,136.4; 168,136.7; 168.5,137.2; 169,137.5; 169.5,137.8;
              170,138.1; 170.5,138.6; 171,138.9; 171.5,139.3; 172,139.6; 172.5,140.1;
              173,140.6; 173.5,140.9; 174,141.2; 174.5,141.7; 175,142; 175.5,142.4; 176,
              142.7; 176.5,143.2; 177,143.5; 177.5,144; 178,144.3; 178.5,144.8; 179,145.2;
              179.5,145.5; 180,145.7; 180.5,146; 181,146.5; 181.5,146.6; 182,146.9; 182.5,
              146.9; 183,147.2; 183.5,147.7; 184,148; 184.5,148.3; 185,148.7; 185.5,148.8;
              186,149.1; 186.5,149.4; 187,149.7; 187.5,149.9; 188,150.2; 188.5,150.5;
              189,150.6; 189.5,151; 190,151.3; 190.5,151.6; 191,151.9; 191.5,152.3; 192,
              152.6; 192.5,153; 193,153.1; 193.5,153.4; 194,153.9; 194.5,154; 195,154.3;
              195.5,154.6; 196,155; 196.5,155.3; 197,155.6; 197.5,155.9; 198,156.2; 198.5,
              156.5; 199,156.8; 199.5,157.1; 200,157.3; 200.5,157.6; 201,157.9; 201.5,
              158; 202,158.3; 202.5,158.7; 203,159; 203.5,159.3; 204,159.6; 204.5,159.7;
              205,160.2; 205.5,160.5; 206,160.7; 206.5,161; 207,161.3; 207.5,161.6; 208,
              161.7; 208.5,162.2; 209,162.5; 209.5,162.9; 210,163.1; 210.5,163.3; 211,
              163.6; 211.5,163.8; 212,164.1; 212.5,164.4; 213,164.7; 213.5,165; 214,165.2;
              214.5,165.6; 215,166; 215.5,166.3; 216,166.6; 216.5,166.7; 217,166.9; 217.5,
              167.2; 218,167.5; 218.5,167.8; 219,168; 219.5,168.3; 220,168.6; 220.5,168.8;
              221,169.1; 221.5,169.2; 222,169.5; 222.5,169.7; 223,170; 223.5,170.1; 224,
              170.3; 224.5,170.6; 225,170.9; 225.5,171.1; 226,171.4; 226.5,171.7; 227,
              171.8; 227.5,172.2; 228,172.3; 228.5,172.6; 229,172.8; 229.5,173.1; 230,
              173.2; 230.5,173.4; 231,173.7; 231.5,174; 232,174.3; 232.5,174.6; 233,175.1;
              233.5,175.4; 234,175.9; 234.5,176.2; 235,176.5; 235.5,176.6; 236,176.8;
              236.5,177; 237,177; 237.5,176.8; 238,176.8; 238.5,177; 239,177.1; 239.5,
              177.3; 240,177.4; 240.5,177.6; 241,177.7; 241.5,177.9; 242,177.9; 242.5,
              178; 243,178.2; 243.5,178.5; 244,178.6; 244.5,178.8; 245,179; 245.5,179.3;
              246,179.4; 246.5,179.7; 247,180; 247.5,180.2; 248,180.5; 248.5,180.7; 249,
              180.8; 249.5,181.1; 250,181.3; 250.5,181.4; 251,181.7; 251.5,181.9; 252,
              182; 252.5,182.3; 253,182.5; 253.5,182.7; 254,183; 254.5,183.3; 255,183.6;
              255.5,183.9; 256,184.2; 256.5,184.4; 257,184.7; 257.5,184.8; 258,185.1;
              258.5,185.4; 259,185.6; 259.5,185.9; 260,186; 260.5,186.4; 261,186.5; 261.5,
              186.8; 262,187.1; 262.5,187.3; 263,187.6; 263.5,187.9; 264,188.1; 264.5,
              188.4; 265,188.4; 265.5,188.5; 266,188.8; 266.5,189; 267,189.3; 267.5,189.4;
              268,189.6; 268.5,189.9; 269,190.2; 269.5,190.4; 270,190.7; 270.5,191; 271,
              191.1; 271.5,191.4; 272,191.6; 272.5,191.9; 273,192.2; 273.5,192.4; 274,
              192.7; 274.5,193; 275,193.3; 275.5,193.6; 276,193.9; 276.5,194.2; 277,194.4;
              277.5,194.7; 278,194.8; 278.5,195; 279,195.4; 279.5,195.6; 280,195.9; 280.5,
              196.2; 281,196.4; 281.5,196.7; 282,197; 282.5,197.3; 283,197.6; 283.5,197.9;
              284,198.2; 284.5,198.5; 285,198.7; 285.5,199; 286,199.3; 286.5,199.5; 287,
              199.6; 287.5,199.9; 288,200.1; 288.5,200.4; 289,200.7; 289.5,200.8; 290,
              201.2; 290.5,201.5; 291,201.8; 291.5,202.1; 292,202.3; 292.5,202.6; 293,
              202.9; 293.5,203.2; 294,203.5; 294.5,203.6; 295,203.9; 295.5,204.1; 296,
              204.4; 296.5,204.7; 297,205; 297.5,205.3; 298,205.6; 298.5,205.9; 299,206.2;
              299.5,206.4; 300,206.7; 300.5,207; 301,207.2; 301.5,207.5; 302,207.8; 302.5,
              208; 303,208.1; 303.5,208.4; 304,208.6; 304.5,208.9; 305,209; 305.5,209.3;
              306,209.7; 306.5,209.8; 307,210.1; 307.5,210.3; 308,210.6; 308.5,210.9;
              309,211.2; 309.5,211.3; 310,211.6; 310.5,212; 311,212.3; 311.5,212.6; 312,
              212.9; 312.5,213.1; 313,213.4; 313.5,213.5; 314,213.8; 314.5,214.1; 315,
              214.3; 315.5,214.6; 316,214.8; 316.5,215.1; 317,215.4; 317.5,215.7; 318,
              216; 318.5,216.3; 319,216.5; 319.5,216.6; 320,216.9; 320.5,217.1; 321,217.4;
              321.5,217.5; 322,217.8; 322.5,218.1; 323,218.5; 323.5,218.8; 324,218.9;
              324.5,219.2; 325,219.5; 325.5,219.7; 326,219.9; 326.5,220; 327,220.3; 327.5,
              220.9; 328,221.4; 328.5,222; 329,222.3; 329.5,222.5; 330,222.5; 330.5,222.5;
              331,222.8; 331.5,222.9; 332,223.3; 332.5,223.4; 333,223.7; 333.5,223.9;
              334,224.2; 334.5,224.3; 335,224.5; 335.5,224.8; 336,224.9; 336.5,225.2;
              337,225.6; 337.5,225.7; 338,226; 338.5,226.3; 339,226.7; 339.5,227; 340,
              227.1; 340.5,227.4; 341,227.7; 341.5,228; 342,228.2; 342.5,228.5; 343,228.7;
              343.5,229; 344,229.3; 344.5,229.7; 345,230; 345.5,230.4; 346,230.8; 346.5,
              231.1; 347,231.3; 347.5,231.6; 348,231.8; 348.5,231.8; 349,232.2; 349.5,
              232.4; 350,232.5; 350.5,232.5; 351,232.5; 351.5,232.7; 352,232.7; 352.5,
              232.8; 353,233; 353.5,233; 354,233; 354.5,233.1; 355,233.3; 355.5,233.5;
              356,233.8; 356.5,233.9; 357,234.2; 357.5,234.6; 358,234.9; 358.5,235; 359,
              235.3; 359.5,235.6; 360,235.8; 360.5,235.9; 361,236.1; 361.5,236.2; 362,
              236.6; 362.5,236.7; 363,237; 363.5,237.3; 364,237.5; 364.5,237.7; 365,237.6;
              365.5,237.8; 366,237.8; 366.5,237.9; 367,238; 367.5,238.1; 368,238.1; 368.5,
              238.3; 369,238.3; 369.5,238.4; 370,238.6; 370.5,238.6; 371,238.7; 371.5,
              238.7; 372,238.7; 372.5,238.6; 373,238.7; 373.5,238.7; 374,238.7; 374.5,
              238.7; 375,238.9; 375.5,238.9; 376,238.9; 376.5,239; 377,239; 377.5,239.2;
              378,239.2; 378.5,239.2; 379,239.2; 379.5,239.2; 380,239.2; 380.5,239.2;
              381,239.2; 381.5,239.4; 382,239.4; 382.5,239.4; 383,239.4; 383.5,239.4;
              384,239.4; 384.5,239.4; 385,239.2; 385.5,239.2; 386,239.2; 386.5,239.2;
              387,239.2; 387.5,239; 388,239; 388.5,239; 389,239; 389.5,239; 390,239; 390.5,
              239; 391,238.9; 391.5,238.9; 392,238.9; 392.5,238.7; 393,238.6; 393.5,238.6;
              394,238.4; 394.5,238.2; 395,238.3; 395.5,238.1; 396,238.1; 396.5,238.1;
              397,238; 397.5,238; 398,237.8; 398.5,237.8; 399,237.7; 399.5,237.5; 400,
              237.3; 400.5,237.2; 401,237; 401.5,236.9; 402,236.9; 402.5,236.9; 403,236.9;
              403.5,236.7; 404,236.7; 404.5,236.5; 405,236.4; 405.5,236.2; 406,236.2;
              406.5,236.1; 407,235.9; 407.5,235.9; 408,235.8; 408.5,235.6; 409,235.5;
              409.5,235.3; 410,235.2; 410.5,235; 411,235; 411.5,234.9; 412,234.7; 412.5,
              234.7; 413,234.6; 413.5,234.4; 414,234.3; 414.5,234.1; 415,234.1; 415.5,
              233.9; 416,233.8; 416.5,233.6; 417,233.6; 417.5,233.5; 418,233.3; 418.5,
              233.2; 419,233; 419.5,233; 420,232.9; 420.5,232.7; 421,232.5; 421.5,232.2;
              422,232.2; 422.5,232.1; 423,231.9; 423.5,231.8; 424,231.6; 424.5,231.5;
              425,231.3; 425.5,231.1; 426,231; 426.5,231; 427,230.8; 427.5,230.7; 428,
              230.5; 428.5,230.4; 429,230.2; 429.5,230.2; 430,230.1; 430.5,230.1; 431,
              230; 431.5,229.9; 432,229.8; 432.5,229.6; 433,229.4; 433.5,229.4; 434,229.3;
              434.5,229.1; 435,229; 435.5,228.8; 436,228.7; 436.5,228.7; 437,228.5; 437.5,
              228.4; 438,228.2; 438.5,228; 439,227.9; 439.5,227.8; 440,227.7; 440.5,227.6;
              441,227.4; 441.5,227.3; 442,227.3; 442.5,227.3; 443,227.1; 443.5,227; 444,
              226.8; 444.5,226.7; 445,226.3; 445.5,226.2; 446,226; 446.5,225.9; 447,225.7;
              447.5,225.4; 448,225.4; 448.5,225.2; 449,225.1; 449.5,225.1; 450,225.1;
              450.5,225.1; 451,225.1; 451.5,225.1; 452,224.9; 452.5,224.6; 453,224.5;
              453.5,224.2; 454,223.9; 454.5,223.6; 455,223.4; 455.5,223.1; 456,223; 456.5,
              222.8; 457,222.6; 457.5,222.6; 458,222.5; 458.5,222.3; 459,222.3; 459.5,
              222.2; 460,222; 460.5,221.9; 461,221.7; 461.5,221.6; 462,221.4; 462.5,221.3;
              463,221.1; 463.5,220.8; 464,220.8; 464.5,220.6; 465,220.3; 465.5,220.3;
              466,220.2; 466.5,219.9; 467,219.7; 467.5,219.6; 468,219.4; 468.5,219.2;
              469,219.1; 469.5,218.8; 470,218.8; 470.5,218.6; 471,218.5; 471.5,218.3;
              472,218.1; 472.5,218; 473,218; 473.5,217.8; 474,217.7; 474.5,217.5; 475,
              217.5; 475.5,217.4; 476,217.2; 476.5,217.1; 477,216.9; 477.5,216.8; 478,
              216.6; 478.5,216.5; 479,216.3; 479.5,216.1; 480,216; 480.5,215.8; 481,215.8;
              481.5,215.7; 482,215.5; 482.5,215.4; 483,215.4; 483.5,215.1; 484,214.9;
              484.5,214.9; 485,214.8; 485.5,214.6; 486,214.4; 486.5,214.3; 487,214.1;
              487.5,214.1; 488,214; 488.5,213.8; 489,213.7; 489.5,213.7; 490,213.4; 490.5,
              213.2; 491,212.9; 491.5,212.8; 492,212.8; 492.5,212.8; 493,212.7; 493.5,
              212.6; 494,212.6; 494.5,212.4; 495,212.4; 495.5,212.1; 496,212; 496.5,211.8;
              497,211.7; 497.5,211.5; 498,211.3; 498.5,211.2; 499,211; 499.5,210.9; 500,
              210.7; 500.5,210.7; 501,210.6; 501.5,210.4; 502,210.4; 502.5,210.3; 503,
              210.1; 503.5,210; 504,210; 504.5,209.8; 505,209.7; 505.5,209.5; 506,209.4;
              506.5,209.3; 507,209.2; 507.5,209.2; 508,209; 508.5,208.9; 509,208.7; 509.5,
              208.4; 510,208.1; 510.5,207.9; 511,207.6; 511.5,207.5; 512,207.3; 512.5,
              207.2; 513,207.2; 513.5,207; 514,206.7; 514.5,206.6; 515,206.4; 515.5,206.3;
              516,206.1; 516.5,205.9; 517,205.8; 517.5,205.6; 518,205.5; 518.5,205.5;
              519,205.5; 519.5,205.5; 520,205.3; 520.5,205.2; 521,205; 521.5,205; 522,
              204.9; 522.5,204.7; 523,204.4; 523.5,204.3; 524,204.3; 524.5,204.1; 525,
              204; 525.5,203.8; 526,203.7; 526.5,203.5; 527,203.4; 527.5,203.2; 528,202.9;
              528.5,202.7; 529,202.7; 529.5,202.6; 530,202.4; 530.5,202.3; 531,202.3;
              531.5,202.3; 532,202.3; 532.5,202.3; 533,202.3; 533.5,202.1; 534,201.8;
              534.5,201.6; 535,201.5; 535.5,201.3; 536,201.2; 536.5,201; 537,201; 537.5,
              200.8; 538,200.9; 538.5,200.7; 539,200.7; 539.5,200.5; 540,200.4; 540.5,
              200.4; 541,200.1; 541.5,200.1; 542,199.8; 542.5,199.6; 543,199.5; 543.5,
              199.3; 544,199.2; 544.5,199; 545,198.9; 545.5,198.7; 546,198.4; 546.5,198.2;
              547,197.9; 547.5,197.8; 548,197.6; 548.5,197.6; 549,197.5; 549.5,197.3;
              550,197.2; 550.5,197.1; 551,197; 551.5,196.8; 552,196.7; 552.5,196.7; 553,
              196.5; 553.5,196.4; 554,196.2; 554.5,196; 555,195.7; 555.5,195.7; 556,195.6;
              556.5,195.4; 557,195.4; 557.5,195.4; 558,195.4; 558.5,195.4; 559,195.4;
              559.5,195.3; 560,195.3; 560.5,195.1; 561,195; 561.5,194.8; 562,194.7; 562.5,
              194.4; 563,194.2; 563.5,194.2; 564,194.1; 564.5,193.9; 565,193.7; 565.5,
              193.6; 566,193.4; 566.5,193.3; 567,193.1; 567.5,193; 568,192.8; 568.5,192.7;
              569,192.7; 569.5,192.5; 570,192.4; 570.5,192.2; 571,192.1; 571.5,191.9;
              572,191.9; 572.5,191.7; 573,191.6; 573.5,191.6; 574,191.4; 574.5,191.3;
              575,191.1; 575.5,191; 576,190.7; 576.5,190.5; 577,190.5; 577.5,190.4; 578,
              190.2; 578.5,190.2; 579,190.1; 579.5,189.9; 580,189.8; 580.5,189.8; 581,
              189.6; 581.5,189.4; 582,189.3; 582.5,189.1; 583,189.1; 583.5,189.1; 584,
              189.1; 584.5,189.1; 585,189; 585.5,189; 586,188.8; 586.5,188.7; 587,188.5;
              587.5,188.5; 588,188.4; 588.5,188.4; 589,188.1; 589.5,188.1; 590,188.1;
              590.5,187.9; 591,187.9; 591.5,187.8; 592,187.7; 592.5,187.6; 593,187.4;
              593.5,187.3; 594,187.3; 594.5,187.1; 595,187.1; 595.5,187; 596,186.8; 596.5,
              186.8; 597,186.7; 597.5,186.7; 598,186.5; 598.5,186.4; 599,186.2; 599.5,
              186.1; 600,185.9; 600.5,185.7; 601,185.6; 601.5,185.4; 602,185.3; 602.5,
              185.3; 603,185.1; 603.5,185; 604,184.8; 604.5,184.8; 605,184.7; 605.5,184.5;
              606,184.4; 606.5,184.2; 607,184.2; 607.5,184; 608,183.9; 608.5,183.7; 609,
              183.6; 609.5,183.6; 610,183.4; 610.5,183.4; 611,183.3; 611.5,183.1; 612,
              183.1; 612.5,183; 613,182.8; 613.5,182.7; 614,182.7; 614.5,182.5; 615,182.5;
              615.5,182.5; 616,182.3; 616.5,182.4; 617,182.2; 617.5,182.2; 618,182; 618.5,
              181.9; 619,181.7; 619.5,181.6; 620,181.4; 620.5,181.4; 621,181.3; 621.5,
              181.1; 622,181; 622.5,181; 623,180.8; 623.5,180.7; 624,180.5; 624.5,180.5;
              625,180.4; 625.5,180.2; 626,180.2; 626.5,180.1; 627,179.9; 627.5,179.9;
              628,179.7; 628.5,179.6; 629,179.4; 629.5,179.4; 630,179.3; 630.5,179.1;
              631,178.9; 631.5,178.8; 632,178.7; 632.5,178.7; 633,178.5; 633.5,178.5;
              634,178.2; 634.5,178.2; 635,178.1; 635.5,178; 636,178; 636.5,178; 637,177.9;
              637.5,177.7; 638,177.6; 638.5,177.4; 639,177.3; 639.5,177.3; 640,177.1;
              640.5,177; 641,176.8; 641.5,176.8; 642,176.6; 642.5,176.5; 643,176.5; 643.5,
              176.3; 644,176.3; 644.5,176.2; 645,176.2; 645.5,176; 646,175.9; 646.5,175.9;
              647,175.7; 647.5,175.7; 648,175.7; 648.5,175.7; 649,175.6; 649.5,175.6;
              650,175.4; 650.5,175.2; 651,175.1; 651.5,174.9; 652,174.8; 652.5,174.6;
              653,174.5; 653.5,174.5; 654,174.3; 654.5,174.2; 655,174.2; 655.5,174; 656,
              174; 656.5,174; 657,174; 657.5,173.9; 658,173.8; 658.5,173.7; 659,173.5;
              659.5,173.5; 660,173.4; 660.5,173.2; 661,173.2; 661.5,173.1; 662,172.9;
              662.5,172.6; 663,172.5; 663.5,172.5; 664,172.3; 664.5,172.3; 665,172.3;
              665.5,172; 666,172; 666.5,172; 667,172; 667.5,171.8; 668,171.8; 668.5,171.7;
              669,171.5; 669.5,171.5; 670,171.4; 670.5,171.2; 671,171.1; 671.5,171.1;
              672,170.9; 672.5,170.8; 673,170.8; 673.5,170.6; 674,170.5; 674.5,170.3;
              675,170.3; 675.5,170.3; 676,170.1; 676.5,170; 677,169.8; 677.5,169.7; 678,
              169.7; 678.5,169.5; 679,169.5; 679.5,169.4; 680,169.4; 680.5,169.2; 681,
              169.2; 681.5,169.1; 682,168.9; 682.5,168.8; 683,168.8; 683.5,168.8; 684,
              168.6; 684.5,168.5; 685,168.5; 685.5,168.3; 686,168.3; 686.5,168.1; 687,
              168; 687.5,167.8; 688,167.8; 688.5,167.7; 689,167.7; 689.5,167.5; 690,167.3;
              690.5,167.2; 691,167.2; 691.5,167; 692,166.9; 692.5,166.7; 693,166.7; 693.5,
              166.7; 694,166.6; 694.5,166.4; 695,166.4; 695.5,166.3; 696,166.1; 696.5,
              166.1; 697,166; 697.5,166; 698,165.8; 698.5,165.6; 699,165.7; 699.5,165.5;
              700,165.5; 700.5,165.2; 701,165.2; 701.5,165; 702,165; 702.5,165; 703,165;
              703.5,164.9; 704,164.9; 704.5,164.7; 705,164.6; 705.5,164.6; 706,164.4;
              706.5,164.2; 707,164.1; 707.5,163.9; 708,163.9; 708.5,163.7; 709,163.8;
              709.5,163.6; 710,163.6; 710.5,163.5; 711,163.3; 711.5,163.3; 712,163.3;
              712.5,163.1; 713,163; 713.5,162.8; 714,162.8; 714.5,162.7; 715,162.7; 715.5,
              162.5; 716,162.5; 716.5,162.4; 717,162.4; 717.5,162.4; 718,162.2; 718.5,
              162; 719,161.9; 719.5,161.9; 720,161.8; 720.5,161.8; 721,161.6; 721.5,161.4;
              722,161.4; 722.5,161.3; 723,161.1; 723.5,161.1; 724,161; 724.5,160.8; 725,
              160.7; 725.5,160.7; 726,160.5; 726.5,160.4; 727,160.4; 727.5,160.2; 728,
              160.1; 728.5,160.1; 729,160.1; 729.5,159.9; 730,159.9; 730.5,159.9; 731,
              159.7; 731.5,159.7; 732,159.6; 732.5,159.6; 733,159.4; 733.5,159.4; 734,
              159.3; 734.5,159.3; 735,159.3; 735.5,159.1; 736,159.1; 736.5,159; 737,159;
              737.5,159; 738,158.8; 738.5,158.8; 739,158.7; 739.5,158.7; 740,158.5; 740.5,
              158.5; 741,158.3; 741.5,158.2; 742,158.1; 742.5,157.9; 743,157.7; 743.5,
              157.7; 744,157.6; 744.5,157.6; 745,157.4; 745.5,157.4; 746,157.3; 746.5,
              157.1; 747,156.8; 747.5,156.8; 748,156.8; 748.5,156.9; 749,156.9; 749.5,
              156.9; 750,156.9; 750.5,156.9; 751,156.8; 751.5,156.6; 752,156.5; 752.5,
              156.5; 753,156.3; 753.5,156.2; 754,156; 754.5,155.9; 755,155.7; 755.5,155.6;
              756,155.4; 756.5,155.3; 757,155.1; 757.5,155; 758,154.9; 758.5,154.8; 759,
              154.8; 759.5,154.9; 760,154.9; 760.5,154.8; 761,154.8; 761.5,154.6; 762,
              154.6; 762.5,154.5; 763,154.3; 763.5,154.2; 764,154.2; 764.5,154; 765,153.9;
              765.5,153.9; 766,153.7; 766.5,153.7; 767,153.6; 767.5,153.6; 768,153.4;
              768.5,153.4; 769,153.3; 769.5,153.3; 770,153.1; 770.5,153.1; 771,153; 771.5,
              152.8; 772,152.8; 772.5,152.6; 773,152.5; 773.5,152.5; 774,152.3; 774.5,
              152.2; 775,152.2; 775.5,152; 776,152; 776.5,151.9; 777,151.7; 777.5,151.7;
              778,151.6; 778.5,151.6; 779,151.4; 779.5,151.4; 780,151.4; 780.5,151.3;
              781,151.3; 781.5,151.1; 782,151.1; 782.5,151; 783,151; 783.5,150.8; 784,
              150.8; 784.5,150.7; 785,150.7; 785.5,150.5; 786,150.5; 786.5,150.5; 787,
              150.3; 787.5,150.2; 788,150.2; 788.5,150; 789,150; 789.5,150; 790,150; 790.5,
              150; 791,149.9; 791.5,149.9; 792,149.7; 792.5,149.7; 793,149.6; 793.5,149.6;
              794,149.4; 794.5,149.3; 795,149.3; 795.5,149.3; 796,149.1; 796.5,149.1;
              797,149; 797.5,149; 798,148.8; 798.5,148.8; 799,148.7; 799.5,148.7; 800,
              148.5; 800.5,148.3; 801,148.3; 801.5,148.2; 802,148.2; 802.5,148; 803,148;
              803.5,147.9; 804,147.9; 804.5,147.7; 805,147.7; 805.5,147.6; 806,147.6;
              806.5,147.4; 807,147.4; 807.5,147.4; 808,147.2; 808.5,147.3; 809,147.1;
              809.5,146.9; 810,146.9; 810.5,146.8; 811,146.8; 811.5,146.8; 812,146.6;
              812.5,146.5; 813,146.5; 813.5,146.3; 814,146.2; 814.5,146.2; 815,146.2;
              815.5,146; 816,146; 816.5,145.8; 817,145.8; 817.5,145.8; 818,145.7; 818.5,
              145.7; 819,145.5; 819.5,145.4; 820,145.2; 820.5,145.2; 821,145.1; 821.5,
              144.9; 822,144.9; 822.5,144.8; 823,144.8; 823.5,144.8; 824,144.8; 824.5,
              144.6; 825,144.6; 825.5,144.4; 826,144.4; 826.5,144.3; 827,144.1; 827.5,
              144.1; 828,144.1; 828.5,144; 829,143.8; 829.5,143.8; 830,143.7; 830.5,143.7;
              831,143.5; 831.5,143.5; 832,143.5; 832.5,143.5; 833,143.4; 833.5,143.4;
              834,143.2; 834.5,143.2; 835,143.1; 835.5,142.9; 836,142.9; 836.5,142.9;
              837,142.7; 837.5,142.6; 838,142.6; 838.5,142.4; 839,142.4; 839.5,142.4;
              840,142.3; 840.5,142.3; 841,142.3; 841.5,142.3; 842,142.3; 842.5,142.3;
              843,142.3; 843.5,142.4; 844,142.4; 844.5,142.6; 845,142.6; 845.5,142.6;
              846,142.4; 846.5,142.4; 847,142.3; 847.5,142.1; 848,142; 848.5,141.8; 849,
              141.6; 849.5,141.5; 850,141.5; 850.5,141.3; 851,141.3; 851.5,141.2; 852,
              141; 852.5,141; 853,140.9; 853.5,140.7; 854,140.6; 854.5,140.6; 855,140.4;
              855.5,140.4; 856,140.3; 856.5,140.3; 857,140.1; 857.5,140.1; 858,140; 858.5,
              139.8; 859,139.7; 859.5,139.5; 860,139.5; 860.5,139.3; 861,139.2; 861.5,
              139.2; 862,139.2; 862.5,139; 863,138.9; 863.5,138.9; 864,138.9; 864.5,138.9;
              865,139; 865.5,139; 866,139.2; 866.5,139.3; 867,139.3; 867.5,139.5; 868,
              139.5; 868.5,139.3; 869,139.3; 869.5,139.2; 870,139.2; 870.5,139; 871,138.7;
              871.5,138.6; 872,138.4; 872.5,138.3; 873,138.1; 873.5,138.1; 874,137.9;
              874.5,137.8; 875,137.6; 875.5,137.6; 876,137.5; 876.5,137.3; 877,137.2;
              877.5,137; 878,136.9; 878.5,136.9; 879,136.9; 879.5,136.9; 880,136.9; 880.5,
              136.7; 881,136.7; 881.5,136.7; 882,136.6; 882.5,136.6; 883,136.6; 883.5,
              136.4; 884,136.4; 884.5,136.3; 885,136.1; 885.5,136.1; 886,136.1; 886.5,
              135.9; 887,135.9; 887.5,135.9; 888,135.8; 888.5,135.8; 889,135.8; 889.5,
              135.6; 890,135.6; 890.5,135.5; 891,135.3; 891.5,135.2; 892,135.2; 892.5,
              135; 893,135; 893.5,134.9; 894,134.8; 894.5,134.9; 895,134.9; 895.5,134.7;
              896,134.7; 896.5,134.7; 897,134.7; 897.5,134.5; 898,134.5; 898.5,134.4;
              899,134.4; 899.5,134.2; 900,134.2; 900.5,134.1; 901,134.1; 901.5,133.9;
              902,133.9; 902.5,133.7; 903,133.6; 903.5,133.6; 904,133.4; 904.5,133.4;
              905,133.3; 905.5,133.1; 906,133; 906.5,133; 907,133; 907.5,132.8; 908,132.8;
              908.5,132.8; 909,132.7; 909.5,132.7; 910,132.7; 910.5,132.7; 911,132.7;
              911.5,132.5; 912,132.5; 912.5,132.4; 913,132.4; 913.5,132.2; 914,132; 914.5,
              132; 915,131.9; 915.5,131.9; 916,131.9; 916.5,131.9; 917,131.9; 917.5,131.7;
              918,131.7; 918.5,131.6; 919,131.6; 919.5,131.6; 920,131.4; 920.5,131.3;
              921,131.3; 921.5,131.1; 922,131.1; 922.5,131; 923,131; 923.5,131; 924,130.8;
              924.5,130.8; 925,130.8; 925.5,130.6; 926,130.6; 926.5,130.5; 927,130.5;
              927.5,130.5; 928,130.3; 928.5,130.3; 929,130.3; 929.5,130.2; 930,130.2;
              930.5,130.2; 931,130; 931.5,130; 932,130; 932.5,130; 933,129.9; 933.5,129.7;
              934,129.7; 934.5,129.6; 935,129.6; 935.5,129.6; 936,129.4; 936.5,129.4;
              937,129.4; 937.5,129.4; 938,129.4; 938.5,129.3; 939,129.3; 939.5,129.1;
              940,129; 940.5,128.6; 941,128.5; 941.5,128.3; 942,128.3; 942.5,128.3; 943,
              128.3; 943.5,128.2; 944,128; 944.5,128; 945,127.9; 945.5,127.9; 946,127.9;
              946.5,127.9; 947,127.9; 947.5,127.9; 948,127.9; 948.5,127.9; 949,127.7;
              949.5,127.7; 950,127.6; 950.5,127.6; 951,127.4; 951.5,127.4; 952,127.4;
              952.5,127.3; 953,127.3; 953.5,127.3; 954,127.4; 954.5,127.4; 955,127.6;
              955.5,127.4; 956,127.4; 956.5,127.4; 957,127.4; 957.5,127.4; 958,127.4;
              958.5,127.1; 959,126.9; 959.5,126.8; 960,126.6; 960.5,126.5; 961,126.3;
              961.5,126.3; 962,126.2; 962.5,126; 963,126; 963.5,126; 964,126; 964.5,126;
              965,126; 965.5,125.9; 966,125.9; 966.5,125.9; 967,125.9; 967.5,125.7; 968,
              125.7; 968.5,125.7; 969,125.7; 969.5,125.7; 970,125.6; 970.5,125.5; 971,
              125.4; 971.5,125.4; 972,125.2; 972.5,125.2; 973,125.2; 973.5,125.2; 974,
              125.2; 974.5,125.2; 975,125.2; 975.5,125.2; 976,125.2; 976.5,125.2; 977,
              125.1; 977.5,124.9; 978,124.8; 978.5,124.6; 979,124.5; 979.5,124.3; 980,
              124.3; 980.5,124.3; 981,124.5; 981.5,124.5; 982,124.5; 982.5,124.5; 983,
              124.5; 983.5,124.5; 984,124.5; 984.5,124.3; 985,124.3; 985.5,124.1; 986,
              124; 986.5,123.8; 987,123.7; 987.5,123.5; 988,123.4; 988.5,123.4; 989,123.2;
              989.5,123.2; 990,123.2; 990.5,123.1; 991,123.1; 991.5,122.9; 992,122.7;
              992.5,122.8; 993,122.7; 993.5,122.8; 994,122.6; 994.5,122.6; 995,122.6;
              995.5,122.4; 996,122.5; 996.5,122.4; 997,122.4; 997.5,122.3; 998,122.3;
              998.5,122; 999,121.8; 999.5,121.8; 1000,121.7; 1000.5,121.7; 1001,121.5;
              1001.5,121.5; 1002,121.5; 1002.5,121.5; 1003,121.5; 1003.5,121.4; 1004,121.4;
              1004.5,121.4; 1005,121.4; 1005.5,121.4; 1006,121.4; 1006.5,121.4; 1007,121.4;
              1007.5,121.5; 1008,121.5; 1008.5,121.5; 1009,121.7; 1009.5,121.7; 1010,121.7;
              1010.5,121.5; 1011,121.5; 1011.5,121.4; 1012,121.4; 1012.5,121.1; 1013,120.9;
              1013.5,120.7; 1014,120.7; 1014.5,120.7; 1015,120.7; 1015.5,120.9; 1016,120.9;
              1016.5,120.9; 1017,120.7; 1017.5,120.6; 1018,120.6; 1018.5,120.4; 1019,120.3;
              1019.5,120.1; 1020,120; 1020.5,119.8; 1021,119.8; 1021.5,119.8; 1022,119.8;
              1022.5,119.8; 1023,119.7; 1023.5,119.5; 1024,119.5; 1024.5,119.5; 1025,119.3;
              1025.5,119.4; 1026,119.4; 1026.5,119.2; 1027,119.2; 1027.5,119; 1028,119;
              1028.5,118.9; 1029,118.9; 1029.5,118.9; 1030,118.9; 1030.5,118.9; 1031,119.1;
              1031.5,119; 1032,119.1; 1032.5,119.1; 1033,119.1; 1033.5,119.1; 1034,118.9;
              1034.5,118.9; 1035,118.9; 1035.5,118.9; 1036,118.8; 1036.5,118.6; 1037,118.6;
              1037.5,118.4; 1038,118.4; 1038.5,118.4; 1039,118.4; 1039.5,118.4; 1040,118.4;
              1040.5,118.3; 1041,118.3; 1041.5,118.1; 1042,118; 1042.5,117.8; 1043,117.5;
              1043.5,117.3; 1044,117.3; 1044.5,117.3; 1045,117.3; 1045.5,117.3; 1046,117.3;
              1046.5,117.3; 1047,117.3; 1047.5,117.3; 1048,117.4; 1048.5,117.3; 1049,117.2;
              1049.5,117; 1050,116.9; 1050.5,116.9; 1051,116.7; 1051.5,116.7; 1052,116.6;
              1052.5,116.4; 1053,116.4; 1053.5,116.3; 1054,116.3; 1054.5,116.1; 1055,116;
              1055.5,116; 1056,115.8; 1056.5,115.8; 1057,115.8; 1057.5,115.6; 1058,115.6;
              1058.5,115.6; 1059,115.6; 1059.5,115.5; 1060,115.5; 1060.5,115.3; 1061,115.3;
              1061.5,115.3; 1062,115.2; 1062.5,115.2; 1063,115; 1063.5,115; 1064,114.9;
              1064.5,114.9; 1065,114.9; 1065.5,114.7; 1066,114.7; 1066.5,114.7; 1067,114.6;
              1067.5,114.6; 1068,114.5; 1068.5,114.4; 1069,114.3; 1069.5,114.1; 1070,114.1;
              1070.5,114.1; 1071,114.1; 1071.5,114.1; 1072,114.1; 1072.5,114.1; 1073,113.9;
              1073.5,113.9; 1074,113.8; 1074.5,113.8; 1075,113.8; 1075.5,113.6; 1076,113.6;
              1076.5,113.6; 1077,113.6; 1077.5,113.5; 1078,113.5; 1078.5,113.5; 1079,113.3;
              1079.5,113.3; 1080,113.2; 1080.5,113.2; 1081,113; 1081.5,113; 1082,112.9;
              1082.5,112.9; 1083,112.9; 1083.5,112.9; 1084,112.9; 1084.5,112.7; 1085,112.7;
              1085.5,112.5; 1086,112.5; 1086.5,112.5; 1087,112.4; 1087.5,112.4; 1088,112.2;
              1088.5,112.2; 1089,112.2; 1089.5,112.2; 1090,112.1; 1090.5,112.1; 1091,111.9;
              1091.5,111.9; 1092,111.9; 1092.5,111.8; 1093,111.8; 1093.5,111.8; 1094,111.6;
              1094.5,111.6; 1095,111.5; 1095.5,111.5; 1096,111.5; 1096.5,111.3; 1097,111.3;
              1097.5,111.3; 1098,111.3; 1098.5,111.3; 1099,111.3; 1099.5,111.2; 1100,111.2;
              1100.5,111.2; 1101,111; 1101.5,111; 1102,111; 1102.5,110.9; 1103,110.8;
              1103.5,110.9; 1104,110.9; 1104.5,110.9; 1105,110.7; 1105.5,110.7; 1106,110.7;
              1106.5,110.5; 1107,110.5; 1107.5,110.5; 1108,110.5; 1108.5,110.5; 1109,110.4;
              1109.5,110.4; 1110,110.2; 1110.5,110.2; 1111,110.2; 1111.5,110.1; 1112,110.1;
              1112.5,110.1; 1113,110.1; 1113.5,110.1; 1114,110.1; 1114.5,110.1; 1115,109.9;
              1115.5,109.9; 1116,109.7; 1116.5,109.8; 1117,109.6; 1117.5,109.4; 1118,109.4;
              1118.5,109.5; 1119,109.3; 1119.5,109.3; 1120,109.3; 1120.5,109.1; 1121,109.1;
              1121.5,109.1; 1122,109.1; 1122.5,109; 1123,109; 1123.5,109; 1124,109; 1124.5,
              108.8; 1125,108.8; 1125.5,108.8; 1126,108.7; 1126.5,108.7; 1127,108.7; 1127.5,
              108.5; 1128,108.5; 1128.5,108.5; 1129,108.5; 1129.5,108.4; 1130,108.4; 1130.5,
              108.4; 1131,108.2; 1131.5,108.2; 1132,108.2; 1132.5,108.2; 1133,108; 1133.5,
              108; 1134,107.9; 1134.5,107.9; 1135,107.9; 1135.5,107.9; 1136,107.7; 1136.5,
              107.7; 1137,107.6; 1137.5,107.6; 1138,107.4; 1138.5,107.4; 1139,107.3; 1139.5,
              107.3; 1140,107.1; 1140.5,107.1; 1141,107.1; 1141.5,107.1; 1142,107.1; 1142.5,
              107.1; 1143,107.1; 1143.5,107.1; 1144,107; 1144.5,107; 1145,106.8; 1145.5,
              106.8; 1146,106.8; 1146.5,106.7; 1147,106.7; 1147.5,106.6; 1148,106.5; 1148.5,
              106.5; 1149,106.5; 1149.5,106.5; 1150,106.5; 1150.5,106.3; 1151,106.3; 1151.5,
              106.3; 1152,106.3; 1152.5,106.2; 1153,106.2; 1153.5,106.2; 1154,106; 1154.5,
              106; 1155,106; 1155.5,106; 1156,105.9; 1156.5,105.9; 1157,105.9; 1157.5,
              105.7; 1158,105.7; 1158.5,105.7; 1159,105.7; 1159.5,105.5; 1160,105.6; 1160.5,
              105.6; 1161,105.4; 1161.5,105.4; 1162,105.3; 1162.5,105.2; 1163,105.2; 1163.5,
              105.2; 1164,105.1; 1164.5,105.1; 1165,105.1; 1165.5,105.1; 1166,105.1; 1166.5,
              105.1; 1167,104.9; 1167.5,104.9; 1168,104.9; 1168.5,104.9; 1169,104.8; 1169.5,
              104.8; 1170,104.8; 1170.5,104.6; 1171,104.6; 1171.5,104.6; 1172,104.5; 1172.5,
              104.5; 1173,104.5; 1173.5,104.3; 1174,104.3; 1174.5,104.2; 1175,104.2; 1175.5,
              104; 1176,104; 1176.5,103.8; 1177,103.9; 1177.5,103.8; 1178,103.9; 1178.5,
              103.9; 1179,103.8; 1179.5,103.7; 1180,103.7; 1180.5,103.5; 1182.1,103.5;
              1182.2,103.4; 1182.5,103.4; 1184.7,103.2; 1184.8,103.2; 1185.1,103.2; 1185.5,
              103.1; 1186,103.1; 1186.5,103.1; 1187,103.1; 1187.5,103.1; 1188,102.9; 1188.5,
              102.9; 1189,102.8; 1189.5,102.8; 1190.1,102.8; 1190.5,102.8; 1191,102.8;
              1191.5,102.6; 1192,102.6; 1192.5,102.6; 1193,102.5; 1193.5,102.5; 1194,102.3;
              1194.5,102.3; 1195,102.3; 1195.5,102.3; 1196,102.3; 1196.5,102.3; 1197,102.2;
              1197.5,102.2; 1198,102.2; 1198.5,102.2; 1199,102; 1199.5,102; 1200,102;
              1200.5,102; 1201,101.8; 1201.5,101.8; 1202,101.9; 1202.5,101.7; 1203,101.7;
              1203.5,101.7; 1204,101.5; 1204.5,101.5; 1205,101.5; 1205.5,101.4; 1206,101.4;
              1206.5,101.4; 1207,101.2; 1207.5,101.2; 1208,101.2; 1208.5,101.1; 1209,101;
              1209.5,101.1; 1210,101.1; 1210.5,101.1; 1211,101.1; 1211.5,101.1; 1212,100.9;
              1212.5,100.9; 1213,100.7; 1213.5,100.8; 1214,100.6; 1214.5,100.6; 1215,100.6;
              1215.5,100.4; 1216,100.6; 1216.5,100.4; 1217,100.4; 1217.5,100.4; 1218,100.4;
              1218.5,100.4; 1219,100.3; 1219.5,100.3; 1220,100.3; 1220.5,100.1; 1221,100.1;
              1221.5,100.1; 1222,100; 1222.5,100; 1223,100; 1223.5,100; 1224,99.8; 1224.5,
              99.8; 1225,99.7; 1225.5,99.7; 1226,99.7; 1226.5,99.7; 1227,99.5; 1227.5,
              99.5; 1228,99.5; 1228.5,99.3; 1229,99.3; 1229.5,99.3; 1230,99.3; 1230.5,
              99.2; 1231,99.2; 1231.5,99.2; 1232,99.2; 1232.5,99.2; 1233,99.1; 1233.5,
              99; 1234,99.1; 1234.5,99.1; 1235,98.9; 1235.5,98.9; 1236,98.7; 1236.5,98.7;
              1237,98.7; 1237.5,98.7; 1238,98.6; 1238.5,98.6; 1239,98.6; 1239.5,98.6;
              1240,98.4; 1240.5,98.4; 1241,98.3; 1241.5,98.3; 1242,98.3; 1242.5,98.1;
              1243,98.1; 1243.5,98.1; 1244,98.1; 1244.5,98; 1245,98; 1245.5,98; 1246,98;
              1246.5,98; 1247,98; 1247.5,98; 1248,98; 1248.5,97.8; 1249,97.8; 1249.5,97.7;
              1250,97.6; 1250.5,97.5; 1251,97.5; 1251.5,97.5; 1252,97.5; 1252.5,97.3;
              1253,97.3; 1253.5,97.3; 1254,97.2; 1254.5,97.2; 1255,97.2; 1255.5,97.2;
              1256,97.2; 1256.5,97; 1257,97; 1257.5,97; 1258,97; 1258.5,97; 1259,96.9;
              1259.5,96.9; 1260,96.9; 1260.5,96.9; 1261,96.9; 1261.5,96.9; 1262,96.7;
              1262.5,96.7; 1263,96.7; 1263.5,96.7; 1264,96.6; 1264.5,96.6; 1265,96.4;
              1265.5,96.4; 1266,96.2; 1266.5,96.2; 1267,96.2; 1267.5,96.1; 1268,96.1;
              1268.5,96.1; 1269,96.1; 1269.5,95.9; 1270,95.9; 1270.5,95.9; 1271,95.8;
              1271.5,95.8; 1272,95.8; 1272.5,95.8; 1273,95.8; 1273.5,95.8; 1274,95.8;
              1274.5,95.6; 1275,95.6; 1275.5,95.6; 1276,95.6; 1276.5,95.6; 1277,95.6;
              1277.5,95.5; 1278,95.5; 1278.5,95.5; 1279,95.3; 1279.5,95.3; 1280,95.3;
              1280.5,95.2; 1281,95.2; 1281.5,95.2; 1282,95.2; 1282.5,95; 1283,95; 1283.5,
              95; 1284,95; 1284.5,94.9; 1285,94.9; 1285.5,94.9; 1286,94.9; 1286.5,94.7;
              1287,94.7; 1287.5,94.7; 1288,94.7; 1288.5,94.7; 1289,94.7; 1289.5,94.6;
              1290,94.6; 1290.5,94.6; 1291,94.4; 1291.5,94.4; 1292,94.4; 1292.5,94.2;
              1293,94.3; 1293.5,94.2; 1294,94.3; 1294.5,94.1; 1295,94.2; 1295.5,94.1;
              1296,94.1; 1296.5,94.1; 1297,94; 1297.5,94; 1298,93.9; 1298.5,93.9; 1299,
              93.8; 1299.5,93.8; 1300,93.8; 1300.5,93.8; 1301,93.8; 1301.5,93.8; 1302,
              93.6; 1302.5,93.6; 1303,93.6; 1303.5,93.5; 1304,93.5; 1304.5,93.5; 1305,
              93.3; 1305.5,93.3; 1306,93.3; 1306.5,93.2; 1307,93.2; 1307.5,93.2; 1308,
              93.2; 1308.5,93.2; 1309,93; 1309.5,93; 1310,93; 1310.5,92.9; 1311,92.9;
              1311.5,92.9; 1312,92.7; 1312.5,92.7; 1313,92.7; 1313.5,92.7; 1314,92.7;
              1314.5,92.5; 1315,92.5; 1315.5,92.5; 1316,92.4; 1316.5,92.4; 1317,92.4;
              1317.5,92.4; 1318,92.4; 1318.5,92.4; 1319,92.4; 1319.5,92.4; 1320,92.2;
              1320.5,92.2; 1321,92.2; 1321.5,92.2; 1322,92.1; 1322.5,92.1; 1323,92.1;
              1323.5,91.9; 1324,91.9; 1324.5,91.9; 1325,91.9; 1325.5,91.8; 1326,91.8;
              1326.5,91.8; 1327,91.6; 1327.5,91.6; 1328,91.6; 1328.5,91.5; 1329,91.5;
              1329.5,91.6; 1330,91.6; 1330.5,91.5; 1331,91.5; 1331.5,91.5; 1332,91.5;
              1332.5,91.5; 1333,91.3; 1333.5,91.3; 1334,91.3; 1334.5,91.2; 1335,91.2;
              1335.5,91.2; 1336,91.2; 1336.5,91.2; 1337,91; 1337.5,91; 1338,91; 1338.5,
              91; 1339,90.8; 1339.5,90.9; 1340,90.9; 1340.5,90.9; 1341,90.9; 1341.5,90.7;
              1342,90.7; 1342.5,90.5; 1343,90.5; 1343.5,90.5; 1344,90.5; 1344.5,90.5;
              1345,90.5; 1345.5,90.4; 1346,90.4; 1346.5,90.4; 1347,90.4; 1347.5,90.4;
              1348,90.4; 1348.5,90.2; 1349,90.2; 1349.5,90.1; 1350,90.1; 1350.5,90.1;
              1351,89.9; 1351.5,89.9; 1352,89.9; 1352.5,89.9; 1353,89.9; 1353.5,89.9;
              1354,89.9; 1354.5,89.9; 1355,89.7; 1355.5,89.7; 1356,89.7; 1356.5,89.7;
              1357,89.8; 1357.5,89.6; 1358,89.6; 1358.5,89.6; 1359,89.4; 1359.5,89.4;
              1360,89.4; 1360.5,89.3; 1361,89.3; 1361.5,89.3; 1362,89.3; 1362.5,89.1;
              1363,89.1; 1363.5,89; 1364,89; 1364.5,89; 1365,89; 1365.5,89; 1366,89; 1366.5,
              89; 1367,89; 1367.5,88.8; 1368,88.8; 1368.5,88.8; 1369,88.8; 1369.5,88.7;
              1370,88.7; 1370.5,88.7; 1371,88.7; 1371.5,88.7; 1372,88.5; 1372.5,88.5;
              1373,88.5; 1373.5,88.5; 1374,88.5; 1374.5,88.5; 1375,88.4; 1375.5,88.4;
              1376,88.4; 1376.5,88.2; 1377,88.2; 1377.5,88.2; 1378,88.2; 1378.5,88.2;
              1379,88.2; 1379.5,88; 1380,88; 1380.5,88; 1381,87.9; 1381.5,87.9; 1382,87.9;
              1382.5,87.8; 1383,87.7; 1383.5,87.7; 1384,87.7; 1384.5,87.7; 1385,87.7;
              1385.5,87.6; 1386,87.6; 1386.5,87.6; 1387,87.6; 1387.5,87.6; 1388,87.6;
              1388.5,87.4; 1389,87.4; 1389.5,87.4; 1390,87.3; 1390.5,87.3; 1391,87.3;
              1391.5,87.3; 1392,87.1; 1392.5,87.1; 1393,87.1; 1393.5,87.1; 1394,87.1;
              1394.5,87; 1395,87; 1395.5,87; 1396,87; 1396.5,87; 1397,86.8; 1397.5,86.8;
              1398,86.8; 1398.5,86.8; 1399,86.8; 1399.5,86.8; 1400,86.7; 1400.5,86.7;
              1401,86.7; 1401.5,86.7; 1402,86.7; 1402.5,86.7; 1403,86.7; 1403.5,86.7;
              1404,86.5; 1404.5,86.5; 1405,86.5; 1405.5,86.3; 1406,86.3; 1406.5,86.3;
              1407,86.3; 1407.5,86.2; 1408,86.2; 1408.5,86.2; 1409,86.2; 1409.5,86.2;
              1410,86.2; 1410.5,86; 1411,86; 1411.5,86; 1412,86; 1412.5,86; 1413,85.9;
              1413.5,85.9; 1414,85.9; 1414.5,85.9; 1415,85.9; 1415.5,85.7; 1416,85.7;
              1416.5,85.7; 1417,85.7; 1417.5,85.6; 1418,85.6; 1418.5,85.6; 1419,85.4;
              1419.5,85.4; 1420,85.4; 1420.5,85.4; 1421,85.3; 1421.5,85.3; 1422,85.3;
              1422.5,85.3; 1423,85.3; 1423.5,85.1; 1424,85.1; 1424.5,85; 1425,85; 1425.5,
              85; 1426,85; 1426.5,84.8; 1427,84.8; 1427.5,84.8; 1428,84.8; 1428.5,84.8;
              1429,84.8; 1429.5,84.8; 1430,84.8; 1430.5,84.8; 1431,84.8; 1431.5,84.8;
              1432,84.6; 1432.5,84.6; 1433,84.6; 1433.5,84.5; 1434,84.5; 1434.5,84.5;
              1435,84.3; 1435.5,84.3; 1436,84.3; 1436.5,84.3; 1437,84.2; 1437.5,84.2;
              1438,84.2; 1438.5,84.2; 1439,84; 1439.5,84; 1440,84; 1440.5,84; 1441,84;
              1441.5,84; 1442,84; 1442.5,83.9; 1443,83.9; 1443.5,83.9; 1444,83.7; 1444.5,
              83.7; 1445,83.7; 1445.5,83.7; 1446,83.7; 1446.5,83.6; 1447,83.6; 1447.5,
              83.6; 1448,83.6; 1448.5,83.6; 1449,83.6; 1449.5,83.4; 1450,83.4; 1450.5,
              83.4; 1451,83.4; 1451.5,83.4; 1452,83.4; 1452.5,83.3; 1453,83.3; 1453.5,
              83.3; 1454,83.3; 1454.5,83.1; 1455,83.1; 1455.5,83.1; 1456,83.1; 1456.5,
              83.1; 1457,83.1; 1457.5,83.1; 1458,82.9; 1458.5,83; 1459,83; 1459.5,83;
              1460,82.8; 1460.5,82.8; 1461,82.8; 1461.5,82.6; 1462,82.6; 1462.5,82.6;
              1463,82.6; 1463.5,82.6; 1464,82.6; 1464.5,82.6; 1465,82.5; 1465.5,82.5;
              1466,82.5; 1466.5,82.5; 1467,82.5; 1467.5,82.3; 1468,82.3; 1468.5,82.3;
              1469,82.2; 1469.5,82.2; 1470,82.2; 1470.5,82.2; 1471,82.2; 1471.5,82.2;
              1472,82.2; 1472.5,82.2; 1473,82.2; 1473.5,82; 1474,82; 1474.5,82; 1475,82;
              1475.5,82; 1476,81.8; 1476.5,81.9; 1477,81.8; 1477.5,81.9; 1478,81.7; 1478.5,
              81.7; 1479,81.7; 1479.5,81.7; 1480,81.7; 1480.5,81.5; 1481,81.5; 1481.5,
              81.5; 1482,81.5; 1482.5,81.5; 1483,81.5; 1483.5,81.4; 1484,81.4; 1484.5,
              81.2; 1485,81.2; 1485.5,81.2; 1486,81.2; 1486.5,81.1; 1487,81.1; 1487.5,
              81.1; 1488,81.1; 1488.5,81.1; 1489,81.1; 1489.5,81.1; 1490,81.1; 1490.5,
              81.1; 1491,81.1; 1491.5,81.1; 1492,81.1; 1492.5,81.1; 1493,80.9; 1493.5,
              80.9; 1494,80.9; 1494.5,80.9; 1495,80.8; 1495.5,80.8; 1496,80.8; 1496.5,
              80.8; 1497,80.6; 1497.5,80.6; 1498,80.6; 1498.5,80.5; 1499,80.4; 1499.5,
              80.5; 1500,80.6; 1500.5,80.5; 1501,80.4; 1501.5,80.5; 1502,80.3; 1502.5,
              80.3; 1503,80.1; 1503.5,80.1; 1504,80.1; 1504.5,80.1; 1505,80; 1505.5,80;
              1506,80; 1506.5,80; 1507,80; 1507.5,80; 1508,79.8; 1508.5,79.8; 1509,79.8;
              1509.5,79.8; 1510,79.7; 1510.5,79.7; 1511,79.7; 1511.5,79.7; 1512,79.7;
              1512.5,79.5; 1513,79.5; 1513.5,79.5; 1514,79.5; 1514.5,79.5; 1515,79.5;
              1515.5,79.5; 1516,79.5; 1516.5,79.4; 1517,79.4; 1517.5,79.4; 1518,79.4;
              1518.5,79.2; 1519,79.2; 1519.5,79.2; 1520,79.2; 1520.5,79.2; 1521,79.2;
              1521.5,79.1; 1522,79.1; 1522.5,79.1; 1523,79.1; 1523.5,79.1; 1524,79.2;
              1524.5,79.1; 1525,79.1; 1525.5,79.1; 1526,78.9; 1526.5,78.9; 1527,78.9;
              1527.5,78.9; 1528,78.9; 1528.5,78.9; 1529,78.9; 1529.5,78.7; 1530,78.7;
              1530.5,78.7; 1531,78.7; 1531.5,78.7; 1532,78.7; 1532.5,78.6; 1533,78.6;
              1533.5,78.6; 1534,78.4; 1534.5,78.4; 1535,78.4; 1535.5,78.4; 1536,78.4;
              1536.5,78.3; 1537,78.3; 1537.5,78.3; 1538,78.3; 1538.5,78.3; 1539,78.1;
              1539.5,78.1; 1540,78.1; 1540.5,78.1; 1541,78.1; 1541.5,78; 1542,78; 1542.5,
              78; 1543,78; 1543.5,77.8; 1544,77.8; 1544.5,77.8; 1545,77.8; 1545.5,77.8;
              1546,77.8; 1546.5,77.8; 1547,77.7; 1547.5,77.7; 1548,77.7; 1548.5,77.7;
              1549,77.7; 1549.5,77.7; 1550,77.7; 1550.5,77.7; 1551,77.7; 1551.5,77.5;
              1552,77.5; 1552.5,77.5; 1553,77.5; 1553.5,77.4; 1554,77.4; 1554.5,77.4;
              1555,77.4; 1555.5,77.4; 1556,77.4; 1556.5,77.2; 1557,77.2; 1557.5,77.2;
              1558,77.2; 1558.5,77; 1559,77; 1559.5,77; 1560,77; 1560.5,76.9; 1561,76.9;
              1561.5,76.9; 1562,76.9; 1562.5,76.9; 1563,76.9; 1563.5,76.9; 1564,76.7;
              1564.5,76.7; 1565,76.7; 1565.5,76.6; 1566,76.6; 1566.5,76.6; 1567,76.6;
              1567.5,76.6; 1568,76.6; 1568.5,76.4; 1569,76.4; 1569.5,76.4; 1570,76.4;
              1570.5,76.4; 1571,76.3; 1571.5,76.3; 1572,76.3; 1572.5,76.3; 1573,76.1;
              1573.5,76.1; 1574,76.1; 1574.5,76.1; 1575,76.1; 1575.5,76.1; 1576,76.1;
              1576.5,76.1; 1577,76.1; 1577.5,76.1; 1578,76.1; 1578.5,76; 1579,76; 1579.5,
              75.8; 1580,75.8; 1580.5,75.8; 1581,75.8; 1581.5,75.8; 1582,75.8; 1582.5,
              75.7; 1583,75.7; 1583.5,75.7; 1584,75.7; 1584.5,75.7; 1585,75.7; 1585.5,
              75.7; 1586,75.5; 1586.5,75.5; 1587,75.5; 1587.5,75.5; 1588,75.5; 1588.5,
              75.5; 1589,75.3; 1589.5,75.3; 1590,75.3; 1590.5,75.2; 1591,75.2; 1591.5,
              75.2; 1592,75.2; 1592.5,75.2; 1593,75.2; 1593.5,75; 1594,75; 1594.5,75;
              1595,75; 1595.5,75; 1596,75; 1596.5,75; 1597,75; 1597.5,74.9; 1598,74.9;
              1598.5,74.9; 1599,74.9; 1599.5,74.9; 1600,74.9; 1600.5,74.9; 1601,74.7;
              1601.5,74.7; 1602,74.7; 1602.5,74.7; 1603,74.6; 1603.5,74.6; 1604,74.6;
              1604.5,74.6; 1605,74.6; 1605.5,74.4; 1606,74.4; 1606.5,74.4; 1607,74.4;
              1607.5,74.4; 1608,74.4; 1608.5,74.4; 1609,74.4; 1609.5,74.4; 1610,74.4;
              1610.5,74.3; 1611,74.3; 1611.5,74.3; 1612,74.3; 1612.5,74.1; 1613,74.1;
              1613.5,74.1; 1614,74.1; 1614.5,74; 1615,74; 1615.5,73.9; 1616,73.9; 1616.5,
              74; 1617,74; 1617.5,73.8; 1618,73.8; 1618.5,73.8; 1619,73.8; 1619.5,73.8;
              1620,73.8; 1620.5,73.8; 1621,73.8; 1621.5,73.6; 1622,73.7; 1622.5,73.6;
              1623,73.6; 1623.5,73.6; 1624,73.6; 1624.5,73.5; 1625,73.5; 1625.5,73.5;
              1626,73.3; 1626.5,73.3; 1627,73.3; 1627.5,73.3; 1628,73.3; 1628.5,73.3;
              1629,73.3; 1629.5,73.3; 1630,73.3; 1630.5,73.2; 1631,73.2; 1631.5,73.2;
              1632,73.2; 1632.5,73; 1633,73; 1633.5,73; 1634,73; 1634.5,73; 1635,73; 1635.5,
              73; 1636,72.9; 1636.5,72.9; 1637,72.9; 1637.5,72.9; 1638,72.9; 1638.5,72.9;
              1639,72.9; 1639.5,72.9; 1640,72.7; 1640.5,72.7; 1641,72.7; 1641.5,72.7;
              1642,72.7; 1642.5,72.6; 1643,72.6; 1643.5,72.6; 1644,72.6; 1644.5,72.6;
              1645,72.4; 1645.5,72.4; 1646,72.4; 1646.5,72.4; 1647,72.4; 1647.5,72.4;
              1648,72.4; 1648.5,72.3; 1649,72.2; 1649.5,72.3; 1650,72.2; 1650.5,72.3;
              1651,72.3; 1651.5,72.3; 1652,72.1; 1652.5,72.1; 1653,72.1; 1653.5,72.1;
              1654,71.9; 1654.5,71.9; 1655,71.9; 1655.5,72; 1656,71.9; 1656.5,71.9; 1657,
              71.9; 1657.5,72; 1658,71.9; 1658.5,72; 1659,72; 1659.5,71.8; 1660,71.8;
              1660.5,71.8; 1661,71.8; 1661.5,71.8; 1662,71.8; 1662.5,71.6; 1663,71.6;
              1663.5,71.6; 1664,71.6; 1664.5,71.5; 1665,71.5; 1665.5,71.5; 1666,71.5;
              1666.5,71.5; 1667,71.5; 1667.5,71.5; 1668,71.3; 1668.5,71.3; 1669,71.3;
              1669.5,71.3; 1670,71.3; 1670.5,71.3; 1671,71.3; 1671.5,71.3; 1672,71.3;
              1672.5,71.3; 1673,71.2; 1673.5,71.2; 1674,71.2; 1674.5,71.2; 1675,71; 1675.5,
              71; 1676,71; 1676.5,71; 1677,70.9; 1677.5,70.9; 1678,70.9; 1678.5,70.9;
              1679,70.9; 1679.5,70.9; 1680,70.7; 1680.5,70.7; 1681,70.7; 1681.5,70.7;
              1682,70.7; 1682.5,70.7; 1683,70.7; 1683.5,70.7; 1684,70.7; 1684.5,70.6;
              1685,70.6; 1685.5,70.6; 1686,70.6; 1686.5,70.5; 1687,70.6; 1687.5,70.6;
              1688,70.4; 1688.5,70.4; 1689,70.4; 1689.5,70.4; 1690,70.4; 1690.5,70.4;
              1691,70.4; 1691.5,70.4; 1692,70.4; 1692.5,70.2; 1693,70.2; 1693.5,70.2;
              1694,70.1; 1694.5,70.1; 1695,70.1; 1695.5,70.1; 1696,70.1; 1696.5,70.1;
              1697,70.1; 1697.5,69.9; 1698,69.9; 1698.5,69.9; 1699,69.9; 1699.5,69.9;
              1700,69.9; 1700.5,69.9; 1701,69.9; 1701.5,69.9; 1702,69.8; 1702.5,69.8;
              1703,69.8; 1703.5,69.8; 1704,69.8; 1704.5,69.8; 1705,69.6; 1705.5,69.6;
              1706,69.6; 1706.5,69.6; 1707,69.6; 1707.5,69.4; 1708,69.5; 1708.5,69.5;
              1709,69.5; 1709.5,69.5; 1710,69.5; 1710.5,69.5; 1711,69.5; 1711.5,69.4;
              1712,69.5; 1712.5,69.3; 1713,69.3; 1713.5,69.3; 1714,69.1; 1714.5,69.1;
              1715,69.1; 1715.5,69.1; 1716,69.1; 1716.5,69.1; 1717,69; 1717.5,69; 1718,
              69; 1718.5,69; 1719,69; 1719.5,69; 1720,69; 1720.5,69; 1721,68.8; 1721.5,
              68.8; 1722,68.8; 1722.5,68.8; 1723,68.8; 1723.5,68.8; 1724,68.8; 1724.5,
              68.8; 1725,68.7; 1725.5,68.7; 1726,68.7; 1726.5,68.7; 1727,68.7; 1727.5,
              68.7; 1728,68.7; 1728.5,68.5; 1729,68.5; 1729.5,68.5; 1730,68.5; 1730.5,
              68.5; 1731,68.5; 1731.5,68.5; 1732,68.5; 1732.5,68.4; 1733,68.4; 1733.5,
              68.4; 1734,68.4; 1734.5,68.4; 1735,68.4; 1735.5,68.2; 1736,68.2; 1736.5,
              68.2; 1737,68.2; 1737.5,68.2; 1738,68.2; 1738.5,68.2; 1739,68.1; 1739.5,
              68.1; 1740,68.1; 1740.5,68.1; 1741,68.1; 1741.5,67.9; 1742,67.9; 1742.5,
              67.9; 1743,67.9; 1743.5,67.9; 1744,67.9; 1744.5,67.9; 1745,67.9; 1745.5,
              67.7; 1746,67.8; 1746.5,67.7; 1747,67.7; 1747.5,67.8; 1748,67.7; 1748.5,
              67.7; 1749,67.6; 1749.5,67.6; 1750,67.6; 1750.5,67.6; 1751,67.6; 1751.5,
              67.4; 1752,67.4; 1752.5,67.4; 1753,67.4; 1753.5,67.4; 1754,67.3; 1754.5,
              67.3; 1755,67.4; 1755.5,67.3; 1756,67.3; 1756.5,67.3; 1757,67.3; 1757.5,
              67.3; 1758,67.3; 1758.5,67.3; 1759,67.3; 1759.5,67.3; 1760,67.3; 1760.5,
              67.1; 1761,67.1; 1761.5,67.1; 1762,67.1; 1762.5,67; 1763,67; 1763.5,67;
              1764,67; 1764.5,67; 1765,67; 1765.5,67; 1766,67; 1766.5,66.8; 1767,66.8;
              1767.5,66.8; 1768,66.8; 1768.5,66.8; 1769,66.8; 1769.5,66.8; 1770,66.7;
              1770.5,66.7; 1771,66.7; 1771.5,66.7; 1772,66.7; 1772.5,66.7; 1773,66.7;
              1773.5,66.5; 1774,66.5; 1774.5,66.5; 1775,66.5; 1775.5,66.5; 1776,66.5;
              1776.5,66.4; 1777,66.4; 1777.5,66.4; 1778,66.4; 1778.5,66.4; 1779,66.2;
              1779.5,66.2; 1780,66.2; 1780.5,66.2; 1781,66.2; 1781.5,66.2; 1782,66.2;
              1782.5,66.1; 1783,66.1; 1783.5,66.1; 1784,66.1; 1784.5,66.1; 1785,66.1;
              1785.5,66.1; 1786,66.1; 1786.5,66.1; 1787,66.1; 1787.5,65.9; 1788,65.9;
              1788.5,65.9; 1789,65.9; 1789.5,65.9; 1790,65.9; 1790.5,65.7; 1791,65.8;
              1791.5,65.7; 1792,65.8; 1792.5,65.7; 1793,65.7; 1793.5,65.6; 1794,65.6;
              1794.5,65.6; 1795,65.6; 1795.5,65.6; 1796,65.6; 1796.5,65.6; 1797,65.6;
              1797.5,65.6; 1798,65.6; 1798.5,65.6; 1799,65.6; 1799.5,65.6; 1800,65.6;
              1800.5,65.4; 1801,65.4; 1801.5,65.4; 1802,65.4; 1802.5,65.4; 1803,65.4;
              1803.5,65.3; 1804,65.3; 1804.5,65.3; 1805,65.3; 1805.5,65.3; 1806,65.3;
              1806.5,65.3; 1807,65.1; 1807.5,65.1; 1808,65.1; 1808.5,65.1; 1809,65.1;
              1809.5,65; 1810,65; 1810.5,65; 1811,65; 1811.5,65; 1812,64.8; 1812.5,64.8;
              1813,64.8; 1813.5,64.8; 1814,64.8; 1814.5,64.8; 1815,64.8; 1815.5,64.8;
              1816,64.8; 1816.5,64.8; 1817,64.7; 1817.5,64.7; 1818,64.7; 1818.5,64.7;
              1819,64.7; 1819.5,64.7; 1820,64.7; 1820.5,64.5; 1821,64.5; 1821.5,64.5;
              1822,64.5; 1822.5,64.5; 1823,64.5; 1823.5,64.3; 1824,64.3; 1824.5,64.4;
              1825,64.4; 1825.5,64.4; 1826,64.4; 1826.5,64.4; 1827,64.4; 1827.5,64.4;
              1828,64.4; 1828.5,64.4; 1829,64.2; 1829.5,64.2; 1830,64.2; 1830.5,64.2;
              1831,64.2; 1831.5,64; 1832,64; 1832.5,64; 1833,64; 1833.5,64.2; 1834,64;
              1834.5,64; 1835,64; 1835.5,64; 1836,64; 1836.5,63.9; 1837,63.9; 1837.5,63.9;
              1838,63.9; 1838.5,63.9; 1839,63.9; 1839.5,63.9; 1840,63.9; 1840.5,63.9;
              1841,63.9; 1841.5,63.7; 1842,63.7; 1842.5,63.7; 1843,63.7; 1843.5,63.7;
              1844,63.7; 1844.5,63.6; 1845,63.6; 1845.5,63.6; 1846,63.6; 1846.5,63.6;
              1847,63.6; 1847.5,63.4; 1848,63.4; 1848.5,63.4; 1849,63.4; 1849.5,63.4;
              1850,63.4; 1850.5,63.4; 1851,63.4; 1851.5,63.4; 1852,63.3; 1852.5,63.3;
              1853,63.3; 1853.5,63.3; 1854,63.3; 1854.5,63.3; 1855,63.3; 1855.5,63.3;
              1856,63.3; 1856.5,63.1; 1857,63.1; 1857.5,63.1; 1858,63.1; 1858.5,63.1;
              1859,63.1; 1859.5,63.1; 1860,63.1; 1860.5,63.1; 1861,63.1; 1861.5,63; 1862,
              63; 1862.5,63; 1863,63; 1863.5,63; 1864,63; 1864.5,63; 1865,63; 1865.5,63;
              1866,62.8; 1866.5,62.8; 1867,62.8; 1867.5,62.8; 1868,62.6; 1868.5,62.6;
              1869,62.6; 1869.5,62.6; 1870,62.6; 1870.5,62.6; 1871,62.5; 1871.5,62.5;
              1872,62.5; 1872.5,62.5; 1873,62.5; 1873.5,62.5; 1874,62.5; 1874.5,62.5;
              1875,62.3; 1875.5,62.3; 1876,62.3; 1876.5,62.3; 1877,62.3; 1877.5,62.3;
              1878,62.3; 1878.5,62.2; 1879,62.2; 1879.5,62.2; 1880,62.2; 1880.5,62.2;
              1881,62.2; 1881.5,62.2; 1882,62; 1882.5,62; 1883,62; 1883.5,62; 1884,62;
              1884.5,62; 1885,62; 1885.5,62; 1886,62; 1886.5,62; 1887,62; 1887.5,61.9;
              1888,61.9; 1888.5,61.9; 1889,61.9; 1889.5,61.9; 1890,61.9; 1890.5,61.9;
              1891,61.9; 1891.5,61.7; 1892,61.7; 1892.5,61.7; 1893,61.7; 1893.5,61.7;
              1894,61.7; 1894.5,61.5; 1895,61.5; 1895.5,61.5; 1896,61.5; 1896.5,61.5;
              1897,61.5; 1897.5,61.5; 1898,61.5; 1898.5,61.4; 1899,61.4; 1899.5,61.4;
              1900,61.4; 1900.5,61.4; 1901,61.4; 1901.5,61.4; 1902,61.4; 1902.5,61.4;
              1903,61.4; 1903.5,61.2; 1904,61.2; 1904.5,61.2; 1905,61.2; 1905.5,61.2;
              1906,61.2; 1906.5,61.1; 1907,61.1; 1907.5,61.1; 1908,61.1; 1908.5,61.1;
              1909,61.1; 1909.5,61.1; 1910,61.1; 1910.5,61.1; 1911,61.1; 1911.5,61.1;
              1912,61.1; 1912.5,60.9; 1913,60.9; 1913.5,60.9; 1914,60.9; 1914.5,60.9;
              1915,60.8; 1915.5,60.8; 1916,60.8; 1916.5,60.8; 1917,60.8; 1917.5,60.8;
              1918,60.8; 1918.5,60.8; 1919,60.6; 1919.5,60.6; 1920,60.6; 1920.5,60.6;
              1921,60.6; 1921.5,60.6; 1922,60.6; 1922.5,60.6; 1923,60.6; 1923.5,60.6;
              1924,60.6; 1924.5,60.5; 1925,60.5; 1925.5,60.5; 1926,60.5; 1926.5,60.5;
              1927,60.5; 1927.5,60.5; 1928,60.5; 1928.5,60.3; 1929,60.3; 1929.5,60.3;
              1930,60.3; 1930.5,60.2; 1931,60.2; 1931.5,60.2; 1932,60.2; 1932.5,60.2;
              1933,60.2; 1933.5,60.2; 1934,60.2; 1934.5,60.2; 1935,60.2; 1935.5,60.2;
              1936,60.2; 1936.5,60.2; 1937,60.2; 1937.5,60.2; 1938,60.2; 1938.5,60.2;
              1939,60; 1939.5,60; 1940,60; 1940.5,60; 1941,60; 1941.5,60; 1942,60; 1942.5,
              59.8; 1943,59.8; 1943.5,59.8; 1944,59.8; 1944.5,59.8; 1945,59.7; 1945.5,
              59.7; 1946,59.7; 1946.5,59.7; 1947,59.7; 1947.5,59.7; 1948,59.7; 1948.5,
              59.7; 1949,59.7; 1949.5,59.7; 1950,59.5; 1950.5,59.5; 1951,59.5; 1951.5,
              59.5; 1952,59.5; 1952.5,59.5; 1953,59.4; 1953.5,59.4; 1954,59.4; 1954.5,
              59.4; 1955,59.4; 1955.5,59.4; 1956,59.4; 1956.5,59.4; 1957,59.4; 1957.5,
              59.4; 1958,59.4; 1958.5,59.4; 1959,59.2; 1959.5,59.2; 1960,59.2; 1960.5,
              59.2; 1961,59.2; 1961.5,59.2; 1962,59.2; 1962.5,59.2; 1963,59.2; 1963.5,
              59.1; 1964,59.1; 1964.5,59.1; 1965,59.1; 1965.5,59.1; 1966,59.1; 1966.5,
              59.1; 1967,59.1; 1967.5,59.1; 1968,58.9; 1968.5,58.9; 1969,58.9; 1969.5,
              58.9; 1970,58.9; 1970.5,58.9; 1971,58.9; 1971.5,58.9; 1972,58.9; 1972.5,
              58.8; 1973,58.8; 1973.5,58.8; 1974,58.8; 1974.5,58.8; 1975,58.8; 1975.5,
              58.8; 1976,58.8; 1976.5,58.6; 1977,58.6; 1977.5,58.6; 1978,58.6; 1978.5,
              58.6; 1979,58.6; 1979.5,58.6; 1980,58.6; 1980.5,58.6; 1981,58.5; 1981.5,
              58.5; 1982,58.5; 1982.5,58.5; 1983,58.5; 1983.5,58.5; 1984,58.5; 1984.5,
              58.5; 1985,58.3; 1985.5,58.3; 1986,58.3; 1986.5,58.3; 1987,58.3; 1987.5,
              58.3; 1988,58.3; 1988.5,58.3; 1989,58.3; 1989.5,58.3; 1990,58.3; 1990.5,
              58.2; 1991,58.1; 1991.5,58.1; 1992,58.2; 1992.5,58.2; 1993,58.2; 1993.5,
              58.2; 1994,58; 1994.5,58; 1995,58; 1995.5,58; 1996,58; 1996.5,58; 1997,58;
              1997.5,58; 1998,57.8; 1998.5,57.8; 1999,57.8; 1999.5,57.8; 2000,57.8; 2000.5,
              57.8; 2001,57.8; 2001.5,57.8; 2002,57.8; 2002.5,57.8; 2003,57.7; 2003.5,
              57.7; 2004,57.7; 2004.5,57.7; 2005,57.7; 2005.5,57.7; 2006,57.7; 2006.5,
              57.7; 2007,57.5; 2007.5,57.5; 2008,57.5; 2008.5,57.5; 2009,57.5; 2009.5,
              57.5; 2010,57.5; 2010.5,57.5; 2011,57.5; 2011.5,57.5; 2012,57.5; 2012.5,
              57.5; 2013,57.5; 2013.5,57.4; 2014,57.4; 2014.5,57.4; 2015,57.4; 2015.5,
              57.4; 2016,57.4; 2016.5,57.4; 2017,57.4; 2017.5,57.2; 2018,57.2; 2018.5,
              57.2; 2019,57.2; 2019.5,57.2; 2020,57.2; 2020.5,57.2; 2021,57.2; 2021.5,
              57.2; 2022,57.2; 2022.5,57.1; 2023,57.1; 2023.5,57.1; 2024,57.1; 2024.5,
              57.1; 2025,57.1; 2025.5,57.1; 2026,56.9; 2026.5,56.9; 2027,56.9; 2027.5,
              56.9; 2028,56.9; 2028.5,56.9; 2029,56.9; 2029.5,56.9; 2030,56.7; 2030.5,
              56.7; 2031,56.7; 2031.5,56.7; 2032,56.7; 2032.5,56.7; 2033,56.7; 2033.5,
              56.7; 2034,56.7; 2034.5,56.7; 2035,56.7; 2035.5,56.7; 2036,56.7; 2036.5,
              56.7; 2037,56.6; 2037.5,56.6; 2038,56.6; 2038.5,56.6; 2039,56.6; 2039.5,
              56.6; 2040,56.4; 2040.5,56.4; 2041,56.4; 2041.5,56.4; 2042,56.4; 2042.5,
              56.4; 2043,56.4; 2043.5,56.4; 2044,56.3; 2044.5,56.3; 2045,56.3; 2045.5,
              56.3; 2046,56.3; 2046.5,56.3; 2047,56.3; 2047.5,56.3; 2048,56.3; 2048.5,
              56.3; 2049,56.3; 2049.5,56.3; 2050,56.1; 2050.5,56.1; 2051,56.1; 2051.5,
              56.1; 2052,56.1; 2052.5,56.1; 2053,56.1; 2053.5,56.1; 2054,56.1; 2054.5,
              56.1; 2055,56; 2055.5,56; 2056,56; 2056.5,56; 2057,56; 2057.5,56; 2058,56;
              2058.5,56; 2059,56; 2059.5,56; 2060,56; 2060.5,56; 2061,55.8; 2061.5,55.8;
              2062,55.8; 2062.5,55.8; 2063,55.8; 2063.5,55.8; 2064,55.8; 2064.5,55.8;
              2065,55.8; 2065.5,55.8; 2066,55.8; 2066.5,55.8; 2067,55.7; 2067.5,55.7;
              2068,55.7; 2068.5,55.7; 2069,55.7; 2069.5,55.5; 2070,55.5; 2070.5,55.5;
              2071,55.5; 2071.5,55.5; 2072,55.5; 2072.5,55.5; 2073,55.5; 2073.5,55.5;
              2074,55.5; 2074.5,55.3; 2075,55.3; 2075.5,55.3; 2076,55.4; 2076.5,55.3;
              2077,55.3; 2077.5,55.3; 2078,55.3; 2078.5,55.3; 2079,55.3; 2079.5,55.3;
              2080,55.2; 2080.5,55.2; 2081,55.2; 2081.5,55.2; 2082,55.2; 2082.5,55.2;
              2083,55.2; 2083.5,55.2; 2084,55.2; 2084.5,55.2; 2085,55.2; 2085.5,55.2;
              2086,55; 2086.5,55; 2087,55; 2087.5,55; 2088,55; 2088.5,55; 2089,55; 2089.5,
              55; 2090,55; 2090.5,55; 2091,55; 2091.5,55; 2092,55; 2092.5,55; 2093,55;
              2093.5,54.9; 2094,54.9; 2094.5,54.9; 2095,54.9; 2095.5,54.9; 2096,54.9;
              2096.5,54.9; 2097,54.7; 2097.5,54.7; 2098,54.7; 2098.5,54.7; 2099,54.7;
              2099.5,54.7; 2100,54.7; 2100.5,54.7; 2101,54.7; 2101.5,54.6; 2102,54.6;
              2102.5,54.6; 2103,54.6; 2103.5,54.6; 2104,54.6; 2104.5,54.6; 2105,54.6;
              2105.5,54.6; 2106,54.6; 2106.5,54.6; 2107,54.4; 2107.5,54.4; 2108,54.4;
              2108.5,54.4; 2109,54.4; 2109.5,54.4; 2110,54.4; 2110.5,54.3; 2111,54.3;
              2111.5,54.3; 2112,54.3; 2112.5,54.3; 2113,54.3; 2113.5,54.1; 2114,54.1;
              2114.5,54.1; 2115,54.1; 2115.5,54.1; 2116,54.1; 2116.5,54.1; 2117,54.1;
              2117.5,54.1; 2118,54.1; 2118.5,54.1; 2119,54.1; 2119.5,54.1; 2120,54.1;
              2120.5,53.9; 2121,53.9; 2121.5,53.9; 2122,53.9; 2122.5,53.9; 2123,53.9;
              2123.5,53.9; 2124,53.9; 2124.5,53.9; 2125,53.9; 2125.5,53.8; 2126,53.8;
              2126.5,53.8; 2127,53.8; 2127.5,53.8; 2128,53.8; 2128.5,53.8; 2129,53.8;
              2129.5,53.6; 2130,53.6; 2130.5,53.6; 2131,53.6; 2131.5,53.6; 2132,53.6;
              2132.5,53.6; 2133,53.6; 2133.5,53.6; 2134,53.6; 2134.5,53.6; 2135,53.6;
              2135.5,53.6; 2136,53.6; 2136.5,53.6; 2137,53.5; 2137.5,53.5; 2138,53.5;
              2138.5,53.5; 2139,53.5; 2139.5,53.5; 2140,53.5; 2140.5,53.5; 2141,53.3;
              2141.5,53.3; 2142,53.3; 2142.5,53.3; 2143,53.3; 2143.5,53.3; 2144,53.3;
              2144.5,53.3; 2145,53.3; 2145.5,53.3; 2146,53.3; 2146.5,53.3; 2147,53.1;
              2147.5,53.1; 2148,53.1; 2148.5,53.1; 2149,53.2; 2149.5,53.2; 2150,53.2;
              2150.5,53.2; 2151,53.1; 2151.5,53; 2152,53; 2152.5,53; 2153,53; 2153.5,53;
              2154,53; 2154.5,53; 2155,53; 2155.5,53; 2156,52.8; 2156.5,52.8; 2157,52.8;
              2157.5,52.8; 2158,52.8; 2158.5,52.8; 2159,52.8; 2159.5,52.8; 2160,52.8;
              2160.5,52.8; 2161,52.8; 2161.5,52.8; 2162,52.8; 2162.5,52.8; 2163,52.8;
              2163.5,52.8; 2164,52.8; 2164.5,52.7; 2165,52.7; 2165.5,52.7; 2166,52.7;
              2166.5,52.7; 2167,52.7; 2167.5,52.7; 2168,52.7; 2168.5,52.7; 2169,52.5;
              2169.5,52.5; 2170,52.5; 2170.5,52.5; 2171,52.5; 2171.5,52.5; 2172,52.5;
              2172.5,52.5; 2173,52.5; 2173.5,52.5; 2174,52.5; 2174.5,52.5; 2175,52.5;
              2175.5,52.4; 2176,52.4; 2176.5,52.4; 2177,52.4; 2177.5,52.4; 2178,52.4;
              2178.5,52.4; 2179,52.4; 2179.5,52.4; 2180,52.4; 2180.5,52.4; 2181,52.4;
              2181.5,52.4; 2182,52.4; 2182.5,52.4; 2183,52.2; 2183.5,52.2; 2184,52.2;
              2184.5,52.2; 2185,52.2; 2185.5,52.1; 2186,52.1; 2186.5,52.1; 2187,52.1;
              2187.5,52.1; 2188,52.1; 2188.5,52.1; 2189,52.1; 2189.5,52.1; 2190,52.1;
              2190.5,51.9; 2191,51.9; 2191.5,51.9; 2192,51.9; 2192.5,51.9; 2193,51.9;
              2193.5,51.9; 2194,51.9; 2194.5,51.9; 2195,51.9; 2195.5,51.9; 2196,51.9;
              2196.5,51.9; 2197,51.8; 2197.5,51.8; 2198,51.8; 2198.5,51.8; 2199,51.8;
              2199.5,51.8; 2200,51.6; 2200.5,51.6; 2201,51.6; 2201.5,51.6; 2202,51.6;
              2202.5,51.6; 2203,51.6; 2203.5,51.6; 2204,51.6; 2204.5,51.6; 2205,51.6;
              2205.5,51.6; 2206,51.6; 2206.5,51.6; 2207,51.6; 2207.5,51.6; 2208,51.6;
              2208.5,51.6; 2209,51.4; 2209.5,51.4; 2210,51.4; 2210.5,51.4; 2211,51.4;
              2211.5,51.3; 2212,51.3; 2212.5,51.3; 2213,51.3; 2213.5,51.3; 2214,51.3;
              2214.5,51.3; 2215,51.3; 2215.5,51.3; 2216,51.3; 2216.5,51.3; 2217,51.1;
              2217.5,51.1; 2218,51.1; 2218.5,51.1; 2219,51.1; 2219.5,51.1; 2220,51.1;
              2220.5,51.1; 2221,51.1; 2221.5,51.1; 2222,51.1; 2222.5,51.1; 2223,51.1;
              2223.5,51.1; 2224,51.1; 2224.5,51.1; 2225,51; 2225.5,51; 2226,51; 2226.5,
              51; 2227,51; 2227.5,51; 2228,51; 2228.5,51; 2229,50.8; 2229.5,50.8; 2230,
              50.8; 2230.5,50.8; 2231,50.8; 2231.5,50.8; 2232,50.8; 2232.5,50.8; 2233,
              50.8; 2233.5,50.8; 2234,50.8; 2234.5,50.8; 2235,50.7; 2235.5,50.7; 2236,
              50.7; 2236.5,50.7; 2237,50.7; 2237.5,50.7; 2238,50.7; 2238.5,50.7; 2239,
              50.7; 2239.5,50.7; 2240,50.7; 2240.5,50.5; 2241,50.5; 2241.5,50.5; 2242,
              50.5; 2242.5,50.5; 2243,50.5; 2243.5,50.5; 2244,50.5; 2244.5,50.5; 2245,
              50.5; 2245.5,50.5; 2246,50.4; 2246.5,50.4; 2247,50.4; 2247.5,50.4; 2248,
              50.4; 2248.5,50.4; 2249,50.4; 2249.5,50.4; 2250,50.4; 2250.5,50.4; 2251,
              50.4; 2251.5,50.2; 2252,50.2; 2252.5,50.2; 2253,50.2; 2253.5,50.2; 2254,
              50.2; 2254.5,50.2; 2255,50.2; 2255.5,50.2; 2256,50.2; 2256.5,50.2; 2257,
              50.2; 2257.5,50.2; 2258,50.2; 2258.5,50.2; 2259,50; 2259.5,50; 2260,50.1;
              2260.5,50.1; 2261,50.1; 2261.5,50; 2262,50; 2262.5,50; 2263,50; 2263.5,50;
              2264,50; 2264.5,50; 2265,50; 2265.5,50; 2266,50; 2266.5,49.9; 2267,49.9;
              2267.5,49.9; 2268,49.9; 2268.5,49.9; 2269,49.9; 2269.5,49.9; 2270,49.9;
              2270.5,49.7; 2271,49.7; 2271.5,49.7; 2272,49.7; 2272.5,49.7; 2273,49.7;
              2273.5,49.7; 2274,49.7; 2274.5,49.7; 2275,49.7; 2275.5,49.7; 2276,49.6;
              2276.5,49.6; 2277,49.6; 2277.5,49.6; 2278,49.6; 2278.5,49.6; 2279,49.6;
              2279.5,49.6; 2280,49.6; 2280.5,49.6; 2281,49.6; 2281.5,49.6; 2282,49.6;
              2282.5,49.6; 2283,49.6; 2283.5,49.6; 2284,49.4; 2284.5,49.4; 2285,49.4;
              2285.5,49.4; 2286,49.4; 2286.5,49.5; 2287,49.5; 2287.5,49.4; 2288,49.4;
              2288.5,49.4; 2289,49.4; 2289.5,49.5; 2290,49.3; 2290.5,49.3; 2291,49.3;
              2291.5,49.3; 2292,49.3; 2292.5,49.3; 2293,49.1; 2293.5,49.1; 2294,49.1;
              2294.5,49.1; 2295,49.1; 2295.5,49.1; 2296,49.1; 2296.5,49.1; 2297,49.1;
              2297.5,49.1; 2298,49.1; 2298.5,49.1; 2299,49.2; 2299.5,49.1; 2300,49.1;
              2300.5,49.2; 2301,49.1; 2301.5,49.2; 2302,49.1; 2302.5,49; 2303,49; 2303.5,
              49; 2304,49; 2304.5,49; 2305,49; 2305.5,49; 2306,49; 2306.5,49; 2307,49;
              2307.5,49; 2308,49; 2308.5,48.8; 2309,48.8; 2309.5,48.8; 2310,48.8; 2310.5,
              48.8; 2311,48.8; 2311.5,48.8; 2312,48.8; 2312.5,48.8; 2313,48.8; 2313.5,
              48.7; 2314,48.7; 2314.5,48.7; 2315,48.7; 2315.5,48.7; 2316,48.7; 2316.5,
              48.7; 2317,48.7; 2317.5,48.7; 2318,48.7; 2318.5,48.7; 2319,48.7; 2319.5,
              48.7; 2320,48.7; 2320.5,48.7; 2321,48.5; 2321.5,48.5; 2322,48.5; 2322.5,
              48.5; 2323,48.5; 2323.5,48.5; 2324,48.5; 2324.5,48.5; 2325,48.5; 2325.5,
              48.5; 2326,48.4; 2326.5,48.4; 2327,48.4; 2327.5,48.4; 2328,48.4; 2328.5,
              48.4; 2329,48.4; 2329.5,48.4; 2330,48.4; 2330.5,48.4; 2331,48.4; 2331.5,
              48.4; 2332,48.4; 2332.5,48.4; 2333,48.2; 2333.5,48.2; 2334,48.2; 2334.5,
              48.2; 2335,48.2; 2335.5,48.2; 2336,48.2; 2336.5,48.2; 2337,48.2; 2337.5,
              48.2; 2338,48.2; 2338.5,48.2; 2339,48.2; 2339.5,48.1; 2340,48.1; 2340.5,
              48.1; 2341,48.1; 2341.5,48.1; 2342,48.1; 2342.5,48.1; 2343,48.1; 2343.5,
              48.1; 2344,48.1; 2344.5,47.9; 2345,47.9; 2345.5,47.9; 2346,47.9; 2346.5,
              47.9; 2347,47.9; 2347.5,47.9; 2348,47.9; 2348.5,47.9; 2349,47.9; 2349.5,
              47.9; 2350,47.9; 2350.5,47.9; 2351,47.9; 2351.5,47.8; 2352,47.8; 2352.5,
              47.8; 2353,47.8; 2353.5,47.8; 2354,47.8; 2354.5,47.8; 2355,47.8; 2355.5,
              47.8; 2356,47.8; 2356.5,47.6; 2357,47.6; 2357.5,47.6; 2358,47.6; 2358.5,
              47.6; 2359,47.6; 2359.5,47.6; 2360,47.6; 2360.5,47.6; 2361,47.6; 2361.5,
              47.6; 2362,47.6; 2362.5,47.6; 2363,47.6; 2363.5,47.6; 2364,47.6; 2364.5,
              47.4; 2365,47.5; 2365.5,47.4; 2366,47.4; 2366.5,47.5; 2367,47.4; 2367.5,
              47.5; 2368,47.5; 2368.5,47.5; 2369,47.4; 2369.5,47.4; 2370,47.4; 2370.5,
              47.5; 2371,47.3; 2371.5,47.3; 2372,47.3; 2372.5,47.3; 2373,47.3; 2373.5,
              47.3; 2374,47.3; 2374.5,47.3; 2375,47.3; 2375.5,47.3; 2376,47.3; 2376.5,
              47.3; 2377,47.3; 2377.5,47.1; 2378,47.1; 2378.5,47.1; 2379,47.1; 2379.5,
              47.1; 2380,47.1; 2380.5,47.1; 2381,47.1; 2381.5,47.1; 2382,47.1; 2382.5,
              47.1; 2383,47; 2383.5,47; 2384,47; 2384.5,47; 2385,47; 2385.5,47; 2386,47;
              2386.5,47; 2387,47; 2387.5,47; 2388,47; 2388.5,47; 2389,47; 2389.5,47; 2390,
              47; 2390.5,47; 2391,46.8; 2391.5,46.8; 2392,46.8; 2392.5,46.8; 2393,46.8;
              2393.5,46.8; 2394,46.8; 2394.5,46.8; 2395,46.8; 2395.5,46.8; 2396,46.7;
              2396.5,46.7; 2397,46.7; 2397.5,46.7; 2398,46.7; 2398.5,46.7; 2399,46.7;
              2399.5,46.7; 2400,46.7; 2400.5,46.7; 2401,46.7; 2401.5,46.7; 2402,46.7;
              2402.5,46.7; 2403,46.7; 2403.5,46.7; 2404,46.7; 2404.5,46.5; 2405,46.5;
              2405.5,46.5; 2406,46.5; 2406.5,46.5; 2407,46.5; 2407.5,46.5; 2408,46.5;
              2408.5,46.5; 2409,46.5; 2409.5,46.5; 2410,46.5; 2410.5,46.4; 2411,46.4;
              2411.5,46.4; 2412,46.4; 2412.5,46.4; 2413,46.4; 2413.5,46.4; 2414,46.4;
              2414.5,46.4; 2415,46.4; 2415.5,46.4; 2416,46.4; 2416.5,46.4; 2417,46.4;
              2417.5,46.4; 2418,46.2; 2418.5,46.2; 2419,46.2; 2419.5,46.2; 2420,46.2;
              2420.5,46.2; 2421,46.2; 2421.5,46.2; 2422,46.2; 2422.5,46.2; 2423,46.2;
              2423.5,46.2; 2424,46.2; 2424.5,46.2; 2425,46.2; 2425.5,46.2; 2426,46.1;
              2426.5,46.1; 2427,46.1; 2427.5,46.1; 2428,46.1; 2428.5,46.1; 2429,46.1;
              2429.5,46.1; 2430,46.1; 2430.5,46.1; 2431,46.1; 2431.5,46.1; 2432,46.1;
              2432.5,46.1; 2433,46.1; 2433.5,45.9; 2434,45.9; 2434.5,45.9; 2435,45.9;
              2435.5,45.9; 2436,45.9; 2436.5,45.9; 2437,45.9; 2437.5,45.9; 2438,45.9;
              2438.5,45.9; 2439,45.9; 2439.5,45.9; 2440,45.9; 2440.5,45.8; 2441,45.8;
              2441.5,45.8; 2442,45.8; 2442.5,45.8; 2443,45.8; 2443.5,45.8; 2444,45.8;
              2444.5,45.8; 2445,45.8; 2445.5,45.8; 2446,45.8; 2446.5,45.8; 2447,45.8;
              2447.5,45.6; 2448,45.6; 2448.5,45.6; 2449,45.6; 2449.5,45.6; 2450,45.6;
              2450.5,45.6; 2451,45.6; 2451.5,45.6; 2452,45.6; 2452.5,45.6; 2453,45.4;
              2453.5,45.4; 2454,45.4; 2454.5,45.4; 2455,45.4; 2455.5,45.4; 2456,45.4;
              2456.5,45.4; 2457,45.4; 2457.5,45.4; 2458,45.4; 2458.5,45.4; 2459,45.4;
              2459.5,45.4; 2460,45.4; 2460.5,45.4; 2461,45.4; 2461.5,45.4; 2462,45.4;
              2462.5,45.4; 2463,45.3; 2463.5,45.3; 2464,45.3; 2464.5,45.3; 2465,45.3;
              2465.5,45.3; 2466,45.3; 2466.5,45.3; 2467,45.3; 2467.5,45.1; 2468,45.1;
              2468.5,45.1; 2469,45.1; 2469.5,45.1; 2470,45.1; 2470.5,45.1; 2471,45.1;
              2471.5,45.1; 2472,45.1; 2472.5,45.1; 2473,45.1; 2473.5,45.1; 2474,45.1;
              2474.5,45; 2475,45; 2475.5,45; 2476,45; 2476.5,45; 2477,45; 2477.5,45; 2478,
              45; 2478.5,45; 2479,45; 2479.5,45; 2480,44.8; 2480.5,44.8; 2481,45; 2481.5,
              44.8; 2482,44.8; 2482.5,44.8; 2483,44.8; 2483.5,44.8; 2484,44.8; 2484.5,
              44.8; 2485,44.8; 2485.5,44.8; 2486,44.8; 2486.5,44.8; 2487,44.8; 2487.5,
              44.8; 2488,44.8; 2488.5,44.8; 2489,44.7; 2489.5,44.7; 2490,44.7; 2490.5,
              44.7; 2491,44.7; 2491.5,44.7; 2492,44.7; 2492.5,44.7; 2493,44.7; 2493.5,
              44.7; 2494,44.7; 2494.5,44.7; 2495,44.7; 2495.5,44.7; 2496,44.7; 2496.5,
              44.7; 2497,44.7; 2497.5,44.7; 2498,44.5; 2498.5,44.5; 2499,44.5; 2499.5,
              44.5; 2500,44.5; 2500.5,44.5; 2501,44.5; 2501.5,44.5; 2502,44.5; 2502.5,
              44.5; 2503,44.5; 2503.5,44.5; 2504,44.4; 2504.5,44.4; 2505,44.4; 2505.5,
              44.4; 2506,44.4; 2506.5,44.4; 2507,44.4; 2507.5,44.4; 2508,44.4; 2508.5,
              44.4; 2509,44.4; 2509.5,44.4; 2510,44.4; 2510.5,44.2; 2511,44.2; 2511.5,
              44.2; 2512,44.2; 2512.5,44.2; 2513,44.2; 2513.5,44.2; 2514,44.2; 2514.5,
              44.2; 2515,44.2; 2515.5,44.2; 2516,44.2; 2516.5,44.2; 2517,44.2; 2517.5,
              44.2; 2518,44.2; 2518.5,44.2; 2519,44.2; 2519.5,44.2; 2520,44.1; 2520.5,
              44.1; 2521,44.1; 2521.5,44.1; 2522,44.1; 2522.5,44.1; 2523,44.1; 2523.5,
              44.1; 2524,44.1; 2524.5,44.1; 2525,44.1; 2525.5,43.9; 2526,43.9; 2526.5,
              43.9; 2527,43.9; 2527.5,43.9; 2528,43.9; 2528.5,43.9; 2529,43.9; 2529.5,
              43.9; 2530,43.9; 2530.5,43.9; 2531,43.9; 2531.5,43.9; 2532,43.9; 2532.5,
              43.9; 2533,43.9; 2533.5,43.9; 2534,43.9; 2534.5,43.9; 2535,43.9; 2535.5,
              43.9; 2536,43.8; 2536.5,43.7; 2537,43.8; 2537.5,43.7; 2538,43.7; 2538.5,
              43.7; 2539,43.8; 2539.5,43.7; 2540,43.7; 2540.5,43.8; 2541,43.7; 2541.5,
              43.8; 2542,43.7; 2542.5,43.7; 2543,43.8; 2543.5,43.7; 2544,43.8; 2544.5,
              43.7; 2545,43.6; 2545.5,43.6; 2546,43.6; 2546.5,43.6; 2547,43.6; 2547.5,
              43.6; 2548,43.6; 2548.5,43.6; 2549,43.6; 2549.5,43.6; 2550,43.6; 2550.5,
              43.6; 2551,43.6; 2551.5,43.4; 2552,43.4; 2552.5,43.4; 2553,43.4; 2553.5,
              43.4; 2554,43.4; 2554.5,43.4; 2555,43.4; 2555.5,43.4; 2556,43.4; 2556.5,
              43.4; 2557,43.4; 2557.5,43.4; 2558,43.4; 2558.5,43.4; 2559,43.3; 2559.5,
              43.3; 2560,43.3; 2560.5,43.3; 2561,43.3; 2561.5,43.3; 2562,43.3; 2562.5,
              43.3; 2563,43.3; 2563.5,43.3; 2564,43.3; 2564.5,43.3; 2565,43.3; 2565.5,
              43.3; 2566,43.3; 2566.5,43.3; 2567,43.3; 2567.5,43.1; 2568,43.1; 2568.5,
              43.1; 2569,43.1; 2569.5,43.1; 2570,43.1; 2570.5,43.1; 2571,43.1; 2571.5,
              43.1; 2572,43.1; 2572.5,43.1; 2573,43.1; 2573.5,43.1; 2574,43.1; 2574.5,
              43.1; 2575,43.1; 2575.5,43.1; 2576,43; 2576.5,43; 2577,43; 2577.5,43; 2578,
              43; 2578.5,43; 2579,43; 2579.5,43; 2580,43; 2580.5,43; 2581,43; 2581.5,43;
              2582,43; 2582.5,43; 2583,43; 2583.5,42.8; 2584,42.8; 2584.5,42.8; 2585,42.8;
              2585.5,42.8; 2586,42.8; 2586.5,42.8; 2587,42.8; 2587.5,42.8; 2588,42.8;
              2588.5,42.8; 2589,42.8; 2589.5,42.8; 2590,42.8; 2590.5,42.8; 2591,42.8;
              2591.5,42.8; 2592,42.8; 2592.5,42.8; 2593,42.7; 2593.5,42.7; 2594,42.7;
              2594.5,42.7; 2595,42.7; 2595.5,42.7; 2596,42.7; 2596.5,42.7; 2597,42.7;
              2597.5,42.7; 2598,42.7; 2598.5,42.7; 2599,42.7; 2599.5,42.7; 2600,42.7;
              2600.5,42.7; 2601,42.5; 2601.5,42.5; 2602,42.5; 2602.5,42.5; 2603,42.5;
              2603.5,42.5; 2604,42.5; 2604.5,42.5; 2605,42.5; 2605.5,42.5; 2606,42.5;
              2606.5,42.5; 2607,42.5; 2607.5,42.4; 2608,42.4; 2608.5,42.4; 2609,42.4;
              2609.5,42.4; 2610,42.4; 2610.5,42.4; 2611,42.4; 2611.5,42.4; 2612,42.4;
              2612.5,42.4; 2613,42.4; 2613.5,42.4; 2614,42.4; 2614.5,42.2; 2615,42.2;
              2615.5,42.4; 2616,42.2; 2616.5,42.2; 2617,42.2; 2617.5,42.2; 2618,42.2;
              2618.5,42.2; 2619,42.2; 2619.5,42.2; 2620,42.2; 2620.5,42.2; 2621,42.2;
              2621.5,42.2; 2622,42.2; 2622.5,42.2; 2623,42.2; 2623.5,42.2; 2624,42.2;
              2624.5,42.2; 2625,42.1; 2625.5,42.1; 2626,42.1; 2626.5,42.1; 2627,42.1;
              2627.5,42.1; 2628,42.1; 2628.5,42.1; 2629,42.1; 2629.5,42.1; 2630,42.1;
              2630.5,42.1; 2631,42.1; 2631.5,42.1; 2632,42.1; 2632.5,42.1; 2633,42.1;
              2633.5,42.1; 2634,41.9; 2634.5,41.9; 2635,41.9; 2635.5,41.9; 2636,41.9;
              2636.5,41.9; 2637,41.9; 2637.5,41.9; 2638,41.9; 2638.5,41.9; 2639,41.9;
              2639.5,41.9; 2640,41.9; 2640.5,41.9; 2641,41.9; 2641.5,41.9; 2642,41.7;
              2642.5,41.7; 2643,41.7; 2643.5,41.8; 2644,41.8; 2644.5,41.7; 2645,41.7;
              2645.5,41.7; 2646,41.7; 2646.5,41.8; 2647,41.7; 2647.5,41.7; 2648,41.8;
              2648.5,41.8; 2649,41.8; 2649.5,41.8; 2650,41.8; 2650.5,41.6; 2651,41.8;
              2651.5,41.6; 2652,41.6; 2652.5,41.6; 2653,41.6; 2653.5,41.6; 2654,41.6;
              2654.5,41.6; 2655,41.6; 2655.5,41.6; 2656,41.6; 2656.5,41.6; 2657,41.6;
              2657.5,41.6; 2658,41.6; 2658.5,41.6; 2659,41.6; 2659.5,41.4; 2660,41.4;
              2660.5,41.4; 2661,41.4; 2661.5,41.4; 2662,41.4; 2662.5,41.4; 2663,41.5;
              2663.5,41.4; 2664,41.5; 2664.5,41.4; 2665,41.4; 2665.5,41.4; 2666,41.5;
              2666.5,41.5; 2667,41.5; 2667.5,41.4; 2668,41.4; 2668.5,41.5; 2669,41.5;
              2669.5,41.5; 2670,41.5; 2670.5,41.4; 2671,41.3; 2671.5,41.3; 2672,41.3;
              2672.5,41.3; 2673,41.3; 2673.5,41.3; 2674,41.3; 2674.5,41.3; 2675,41.3;
              2675.5,41.3; 2676,41.3; 2676.5,41.1; 2677,41.1; 2677.5,41.1; 2678,41.1;
              2678.5,41.1; 2679,41.1; 2679.5,41.1; 2680,41.1; 2680.5,41.1; 2681,41.1;
              2681.5,41.1; 2682,41.1; 2682.5,41.1; 2683,41.1; 2683.5,41.1; 2684,41.1;
              2684.5,41.1; 2685,41.1; 2685.5,41.1; 2686,41.1; 2686.5,41.1; 2687,41.1;
              2687.5,41.1; 2688,41; 2688.5,41; 2689,41; 2689.5,41; 2690,41; 2690.5,41;
              2691,41; 2691.5,41; 2692,41; 2692.5,41; 2693,41; 2693.5,41; 2694,41; 2694.5,
              41; 2695,41; 2695.5,41; 2696,41; 2696.5,41; 2697,41; 2697.5,40.8; 2698,40.8;
              2698.5,40.8; 2699,40.8; 2699.5,40.8; 2700,40.8; 2700.5,40.8; 2701,40.8;
              2701.5,40.8; 2702,40.8; 2702.5,40.8; 2703,40.8; 2703.5,40.8; 2704,40.8;
              2704.5,40.8; 2705,40.8; 2705.5,40.8; 2706,40.8; 2706.5,40.8; 2707,40.8;
              2707.5,40.7; 2708,40.7; 2708.5,40.7; 2709,40.7; 2709.5,40.7; 2710,40.7;
              2710.5,40.7; 2711,40.7; 2711.5,40.7; 2712,40.7; 2712.5,40.7; 2713,40.7;
              2713.5,40.7; 2714,40.7; 2714.5,40.7; 2715,40.5; 2715.5,40.5; 2716,40.5;
              2716.5,40.5; 2717,40.5; 2717.5,40.5; 2718,40.5; 2718.5,40.5; 2719,40.5;
              2719.5,40.5; 2720,40.5; 2720.5,40.5; 2721,40.5; 2721.5,40.5; 2722,40.5;
              2722.5,40.4; 2723,40.4; 2723.5,40.4; 2724,40.4; 2724.5,40.4; 2725,40.4;
              2725.5,40.4; 2726,40.4; 2726.5,40.4; 2727,40.4; 2727.5,40.4; 2728,40.4;
              2728.5,40.4; 2729,40.4; 2729.5,40.4; 2730,40.4; 2730.5,40.4; 2731,40.4;
              2731.5,40.4; 2732,40.4; 2732.5,40.4; 2733,40.4; 2733.5,40.4; 2734,40.4;
              2734.5,40.4; 2735,40.4; 2735.5,40.4; 2736,40.4; 2736.5,40.4; 2737,40.2;
              2737.5,40.2; 2738,40.2; 2738.5,40.2; 2739,40.2; 2739.5,40.2; 2740,40.2;
              2740.5,40.2; 2741,40.2; 2741.5,40.2; 2742,40.2; 2742.5,40.2; 2743,40.2;
              2743.5,40; 2744,40.1; 2744.5,40.1; 2745,40.1; 2745.5,40.1; 2746,40; 2746.5,
              40.1; 2747,40; 2747.5,40.1; 2748,40.1; 2748.5,40.1; 2749,40.1; 2749.5,40;
              2750,40.1; 2750.5,40.1; 2751,40; 2751.5,40.1; 2752,40.1; 2752.5,40; 2753,
              40; 2753.5,39.9; 2754,39.9; 2754.5,39.9; 2755,39.9; 2755.5,39.9; 2756,39.9;
              2756.5,39.9; 2757,39.9; 2757.5,39.9; 2758,39.9; 2758.5,39.9; 2759,39.9;
              2759.5,39.9; 2760,39.9; 2760.5,39.9; 2761,39.9; 2761.5,39.9; 2762,39.9;
              2762.5,39.7; 2763,39.7; 2763.5,39.7; 2764,39.7; 2764.5,39.7; 2765,39.7;
              2765.5,39.8; 2766,39.7; 2766.5,39.8; 2767,39.7; 2767.5,39.7; 2768,39.7;
              2768.5,39.7; 2769,39.7; 2769.5,39.7; 2770,39.7; 2770.5,39.7; 2771,39.7;
              2771.5,39.7; 2772,39.7; 2772.5,39.7; 2773,39.7; 2773.5,39.8; 2774,39.7;
              2774.5,39.7; 2775,39.7; 2775.5,39.6; 2776,39.6; 2776.5,39.6; 2777,39.7;
              2777.5,39.6; 2778,39.6; 2778.5,39.6; 2779,39.6; 2779.5,39.6; 2780,39.6;
              2780.5,39.6; 2781,39.6; 2781.5,39.6; 2782,39.6; 2782.5,39.6; 2783,39.6;
              2783.5,39.6; 2784,39.4; 2784.5,39.4; 2785,39.4; 2785.5,39.4; 2786,39.4;
              2786.5,39.4; 2787,39.4; 2787.5,39.4; 2788,39.4; 2788.5,39.4; 2789,39.4;
              2789.5,39.4; 2790,39.4; 2790.5,39.4; 2791,39.4; 2791.5,39.4; 2792,39.3;
              2792.5,39.3; 2793,39.3; 2793.5,39.3; 2794,39.3; 2794.5,39.3; 2795,39.3;
              2795.5,39.3; 2796,39.3; 2796.5,39.3; 2797,39.3; 2797.5,39.3; 2798,39.3;
              2798.5,39.3; 2799,39.3; 2799.5,39.3; 2800,39.3; 2800.5,39.3; 2801,39.3;
              2801.5,39.3; 2802,39.3; 2802.5,39.3; 2803,39.3; 2803.5,39.3; 2804,39.3;
              2804.5,39.3; 2805,39.3; 2805.5,39.1; 2806,39.1; 2806.5,39.1; 2807,39.1;
              2807.5,39.1; 2808,39.1; 2808.5,39.1; 2809,39.1; 2809.5,39.1; 2810,39.1;
              2810.5,39.1; 2811,39.1; 2811.5,39.1; 2812,39.1; 2812.5,39.1; 2813,39; 2813.5,
              39; 2814,39; 2814.5,39; 2815,39; 2815.5,39; 2816,39; 2816.5,39; 2817,39;
              2817.5,39; 2818,39; 2818.5,39; 2819,39; 2819.5,39; 2820,39; 2820.5,39; 2821,
              39; 2821.5,39; 2822,39; 2822.5,38.8; 2823,38.8; 2823.5,38.8; 2824,38.8;
              2824.5,38.8; 2825,38.8; 2825.5,38.8; 2826,38.8; 2826.5,38.8; 2827,38.8;
              2827.5,38.8; 2828,38.8; 2828.5,38.8; 2829,38.8; 2829.5,38.8; 2830,38.8;
              2830.5,38.8; 2831,38.8; 2831.5,38.8; 2832,38.8; 2832.5,38.8; 2833,38.8;
              2833.5,38.8; 2834,38.8; 2834.5,38.7; 2835,38.7; 2835.5,38.7; 2836,38.7;
              2836.5,38.7; 2837,38.7; 2837.5,38.7; 2838,38.7; 2838.5,38.7; 2839,38.7;
              2839.5,38.7; 2840,38.7; 2840.5,38.7; 2841,38.7; 2841.5,38.7; 2842,38.7;
              2842.5,38.7; 2843,38.7; 2843.5,38.7; 2844,38.5; 2844.5,38.5; 2845,38.5;
              2845.5,38.5; 2846,38.5; 2846.5,38.5; 2847,38.5; 2847.5,38.5; 2848,38.5;
              2848.5,38.5; 2849,38.5; 2849.5,38.5; 2850,38.5; 2850.5,38.5; 2851,38.5;
              2851.5,38.5; 2852,38.5; 2852.5,38.5; 2853,38.5; 2853.5,38.5; 2854,38.5;
              2854.5,38.5; 2855,38.4; 2855.5,38.4; 2856,38.3; 2856.5,38.3; 2857,38.4;
              2857.5,38.4; 2858,38.3; 2858.5,38.4; 2859,38.4; 2859.5,38.4; 2860,38.3;
              2860.5,38.4; 2861,38.4; 2861.5,38.3; 2862,38.4; 2862.5,38.4; 2863,38.4;
              2863.5,38.3; 2864,38.4; 2864.5,38.2; 2865,38.2; 2865.5,38.2; 2866,38.2;
              2866.5,38.2; 2867,38.2; 2867.5,38.2; 2868,38.2; 2868.5,38.2; 2869,38.2;
              2869.5,38.2; 2870,38.2; 2870.5,38.2; 2871,38.2; 2871.5,38.2; 2872,38.2;
              2872.5,38.2; 2873,38.2; 2873.5,38.2; 2874,38.2; 2874.5,38.2; 2875,38; 2875.5,
              38; 2876,38; 2876.5,38; 2877,38; 2877.5,38; 2878,38; 2878.5,38; 2879,38;
              2879.5,38; 2880,38; 2880.5,38; 2881,38; 2881.5,38; 2882,38; 2882.5,38; 2883,
              38; 2883.5,38; 2884,38; 2884.5,38; 2885,38; 2885.5,38; 2886,38; 2886.5,38;
              2887,38; 2887.5,37.9; 2888,37.9; 2888.5,37.9; 2889,37.9; 2889.5,37.9; 2890,
              37.9; 2890.5,37.9; 2891,37.9; 2891.5,37.9; 2892,37.9; 2892.5,37.9; 2893,
              37.9; 2893.5,37.9; 2894,37.9; 2894.5,37.9; 2895,37.9; 2895.5,37.9; 2896,
              37.9; 2896.5,37.9; 2897,37.9; 2897.5,37.9; 2898,37.7; 2898.5,37.7; 2899,
              37.7; 2899.5,37.7; 2900,37.7; 2900.5,37.7; 2901,37.7; 2901.5,37.7; 2902,
              37.7; 2902.5,37.7; 2903,37.7; 2903.5,37.7; 2904,37.7; 2904.5,37.7; 2905,
              37.7; 2905.5,37.7; 2906,37.7; 2906.5,37.7; 2907,37.7; 2907.5,37.7; 2908,
              37.7; 2908.5,37.7; 2909,37.7; 2909.5,37.7; 2910,37.7; 2910.5,37.6; 2911,
              37.7; 2911.5,37.6; 2912,37.6; 2912.5,37.6; 2913,37.6; 2913.5,37.6; 2914,
              37.6; 2914.5,37.6; 2915,37.6; 2915.5,37.6; 2916,37.6; 2916.5,37.6; 2917,
              37.6; 2917.5,37.6; 2918,37.6; 2918.5,37.4; 2919,37.4; 2919.5,37.4; 2920,
              37.4; 2920.5,37.4; 2921,37.4; 2921.5,37.4; 2922,37.4; 2922.5,37.4; 2923,
              37.4; 2923.5,37.4; 2924,37.4; 2924.5,37.4; 2925,37.4; 2925.5,37.4; 2926,
              37.4; 2926.5,37.4; 2927,37.4; 2927.5,37.4; 2928,37.3; 2928.5,37.3; 2929,
              37.4; 2929.5,37.4; 2930,37.4; 2930.5,37.4; 2931,37.3; 2931.5,37.3; 2932,
              37.3; 2932.5,37.3; 2933,37.3; 2933.5,37.3; 2934,37.3; 2934.5,37.3; 2935,
              37.3; 2935.5,37.3; 2936,37.3; 2936.5,37.3; 2937,37.3; 2937.5,37.3; 2938,
              37.3; 2938.5,37.3; 2939,37.3; 2939.5,37.3; 2940,37.3; 2940.5,37.3; 2941,
              37.3; 2941.5,37.3; 2942,37.3; 2942.5,37.3; 2943,37.3; 2943.5,37.1; 2944,
              37.1; 2944.5,37.1; 2945,37.1; 2945.5,37.1; 2946,37.1; 2946.5,37.1; 2947,
              37.1; 2947.5,37.1; 2948,37.1; 2948.5,37.1; 2949,37.1; 2949.5,37.1; 2950,
              37.1; 2950.5,37.1; 2951,37.1; 2951.5,37.1; 2952,37.1; 2952.5,37.1; 2953,
              37; 2953.5,37.1; 2954,36.9; 2954.5,37; 2955,37; 2955.5,37; 2956,37; 2956.5,
              36.9; 2957,37; 2957.5,36.9; 2958,37; 2958.5,37; 2959,37; 2959.5,37; 2960,
              37; 2960.5,37; 2961,37; 2961.5,37; 2962,36.9; 2962.5,36.9; 2963,37; 2963.5,
              36.9; 2964,37; 2964.5,36.9; 2965,37; 2965.5,37; 2966,37; 2966.5,37; 2967,
              37; 2967.5,37; 2968,37; 2968.5,37; 2969,37; 2969.5,36.9; 2970,37; 2970.5,
              37; 2971,37; 2971.5,37; 2972,37; 2972.5,37; 2973,37; 2973.5,37; 2974,37;
              2974.5,36.9; 2975,36.9; 2975.5,36.8; 2976,36.8; 2976.5,36.8; 2977,36.8;
              2977.5,36.8; 2978,36.8; 2978.5,36.8; 2979,36.8; 2979.5,36.8; 2980,36.6;
              2980.5,36.6; 2981,36.6; 2981.5,36.7; 2982,36.6; 2982.5,36.6; 2983,36.7;
              2983.5,36.6; 2984,36.6; 2984.5,36.6; 2985,36.6; 2985.5,36.6; 2986,36.6;
              2986.5,36.6; 2987,36.5; 2987.5,36.5; 2988,36.5; 2988.5,36.5; 2989,36.5;
              2989.5,36.5; 2990,36.5; 2990.5,36.5; 2991,36.5; 2991.5,36.5; 2992,36.5;
              2992.5,36.5; 2993,36.5; 2993.5,36.5; 2994,36.5; 2994.5,36.5; 2995,36.5;
              2995.5,36.5; 2996,36.5; 2996.5,36.5; 2997,36.5; 2997.5,36.5; 2998,36.5;
              2998.5,36.5; 2999,36.5; 2999.5,36.5; 3000,36.5; 3000.5,36.5; 3001,36.5;
              3001.5,36.5; 3002,36.5; 3002.5,36.5; 3003,36.5; 3003.5,36.5; 3004,36.5;
              3004.5,36.3; 3005,36.3; 3005.5,36.5; 3006,36.3; 3006.5,36.3; 3007,36.3;
              3007.5,36.3; 3008,36.3; 3008.5,36.3; 3009,36.3; 3009.5,36.3; 3010,36.3;
              3010.5,36.3; 3011,36.3; 3011.5,36.3; 3012,36.3; 3012.5,36.3; 3013,36.3;
              3013.5,36.3; 3014,36.3; 3014.5,36.3; 3015,36.2; 3015.5,36.2; 3016,36.2;
              3016.5,36.2; 3017,36.2; 3017.5,36.2; 3018,36.2; 3018.5,36.2; 3019,36.2;
              3019.5,36.2; 3020,36.2; 3020.5,36.2; 3021,36.2; 3021.5,36.2; 3022,36.2;
              3022.5,36.2; 3023,36.2; 3023.5,36.2; 3024,36.2; 3024.5,36.2; 3025,36.2;
              3025.5,36.2; 3026,36.2; 3026.5,36.2; 3027,36.2; 3027.5,36.2; 3028,36.2;
              3028.5,36.2; 3029,36; 3029.5,36; 3030,36; 3030.5,36; 3031,36; 3031.5,36;
              3032,36; 3032.5,36; 3033,36; 3033.5,36; 3034,36; 3034.5,36; 3035,36; 3035.5,
              36; 3036,36; 3036.5,36; 3037,36; 3037.5,36; 3038,36; 3038.5,36; 3039,36;
              3039.5,36; 3040,35.9; 3040.5,35.9; 3041,35.9; 3041.5,35.9; 3042,35.9; 3042.5,
              35.9; 3043,35.9; 3043.5,35.9; 3044,35.9; 3044.5,35.9; 3045,35.9; 3045.5,
              35.9; 3046,35.9; 3046.5,35.9; 3047,35.9; 3047.5,35.9; 3048,35.9; 3048.5,
              35.9; 3049,35.9; 3049.5,35.9; 3050,35.9; 3050.5,35.9; 3051,35.9; 3051.5,
              35.9; 3052,35.9; 3052.5,35.9; 3053,35.9; 3053.5,35.9; 3054,35.9; 3054.5,
              35.9; 3055,35.9; 3055.5,35.9; 3056,35.7; 3056.5,35.7; 3057,35.7; 3057.5,
              35.7; 3058,35.7; 3058.5,35.7; 3059,35.7; 3059.5,35.7; 3060,35.7; 3060.5,
              35.6; 3061,35.7; 3061.5,35.7; 3062,35.7; 3062.5,35.7; 3063,35.7; 3063.5,
              35.7; 3064,35.7; 3064.5,35.7; 3065,35.7; 3065.5,35.7; 3066,35.7; 3066.5,
              35.7; 3067,35.7; 3067.5,35.7; 3068,35.7; 3068.5,35.6; 3069,35.6; 3069.5,
              35.6; 3070,35.5; 3070.5,35.6; 3071,35.6; 3071.5,35.6; 3072,35.6; 3072.5,
              35.6; 3073,35.6; 3073.5,35.5; 3074,35.6; 3074.5,35.6; 3075,35.6; 3075.5,
              35.5; 3076,35.5; 3076.5,35.6; 3077,35.6; 3077.5,35.6; 3078,35.6; 3078.5,
              35.4; 3079,35.4; 3079.5,35.4; 3080,35.4; 3080.5,35.4; 3081,35.4; 3081.5,
              35.4; 3082,35.4; 3082.5,35.4; 3083,35.4; 3083.5,35.4; 3084,35.4; 3084.5,
              35.4; 3085,35.4; 3085.5,35.4; 3086,35.4; 3086.5,35.4; 3087,35.4; 3087.5,
              35.4; 3088,35.4; 3088.5,35.4; 3089,35.4; 3089.5,35.4; 3090,35.4; 3090.5,
              35.4; 3091,35.4; 3091.5,35.2; 3092,35.2; 3092.5,35.2; 3093,35.2; 3093.5,
              35.2; 3094,35.2; 3094.5,35.2; 3095,35.2; 3095.5,35.2; 3096,35.3; 3096.5,
              35.2; 3097,35.2; 3097.5,35.2; 3098,35.2; 3098.5,35.2; 3099,35.2; 3099.5,
              35.2; 3100,35.2; 3100.5,35.2; 3101,35.2; 3101.5,35.3; 3102,35.2; 3102.5,
              35.2; 3103,35.3; 3103.5,35.2; 3104,35.1; 3104.5,35.1; 3105,35.1; 3105.5,
              35.1; 3106,35.1; 3106.5,35.1; 3107,35.1; 3107.5,35.1; 3108,35.1; 3108.5,
              35.1; 3109,35.1; 3109.5,35.1; 3110,35.1; 3110.5,35.1; 3111,35.1; 3111.5,
              35.1; 3112,35.1; 3112.5,35.1; 3113,35.1; 3113.5,35.1; 3114,35.1; 3114.5,
              35.1; 3115,35.1; 3115.5,35.1; 3116,35.1; 3116.5,35.1; 3117,35.1; 3117.5,
              35.1; 3118,35.1; 3118.5,35.1; 3119,35.1; 3119.5,35.1; 3120,35.1; 3120.5,
              35.1; 3121,35.1; 3121.5,34.9; 3122,35.1; 3122.5,34.9; 3123,34.9; 3123.5,
              34.9; 3124,34.9; 3124.5,34.9; 3125,34.9; 3125.5,34.9; 3126,34.9; 3126.5,
              34.9; 3127,34.9; 3127.5,34.9; 3128,34.9; 3128.5,34.9; 3129,34.9; 3129.5,
              34.9; 3130,34.9; 3130.5,34.9; 3131,34.9; 3131.5,34.9; 3132,34.9; 3132.5,
              34.9; 3133,34.9; 3133.5,34.9; 3134,34.9; 3134.5,34.9; 3135,34.9; 3135.5,
              34.9; 3136,34.9; 3136.5,34.9; 3137,34.9; 3137.5,34.9; 3138,34.8; 3138.5,
              34.8; 3139,34.8; 3139.5,34.8; 3140,34.8; 3140.5,34.8; 3141,34.8; 3141.5,
              34.8; 3142,34.8; 3142.5,34.8; 3143,34.8; 3143.5,34.8; 3144,34.8; 3144.5,
              34.6; 3145,34.6; 3145.5,34.6; 3146,34.6; 3146.5,34.6; 3147,34.6; 3147.5,
              34.6; 3148,34.6; 3148.5,34.6; 3149,34.6; 3149.5,34.6; 3150,34.6; 3150.5,
              34.6; 3151,34.6; 3151.5,34.6; 3152,34.6; 3152.5,34.6; 3153,34.6; 3153.5,
              34.6; 3154,34.6; 3154.5,34.6; 3155,34.6; 3155.5,34.6; 3156,34.6; 3156.5,
              34.6; 3157,34.6; 3157.5,34.6; 3158,34.6; 3158.5,34.6; 3159,34.6; 3159.5,
              34.6; 3160,34.6; 3160.5,34.6; 3161,34.6; 3161.5,34.6; 3162,34.5; 3162.5,
              34.5; 3163,34.5; 3163.5,34.5; 3164,34.5; 3164.5,34.5; 3165,34.5; 3165.5,
              34.5; 3166,34.5; 3166.5,34.5; 3167,34.5; 3167.5,34.5; 3168,34.5; 3168.5,
              34.5; 3169,34.5; 3169.5,34.5; 3170,34.5; 3170.5,34.5; 3171,34.5; 3171.5,
              34.5; 3172,34.5; 3172.5,34.5; 3173,34.5; 3173.5,34.5; 3174,34.5; 3174.5,
              34.3; 3175,34.3; 3175.5,34.3; 3176,34.5; 3176.5,34.3; 3177,34.3; 3177.5,
              34.3; 3178,34.3; 3178.5,34.3; 3179,34.3; 3179.5,34.3; 3180,34.3; 3180.5,
              34.3; 3181,34.3; 3181.5,34.3; 3182,34.3; 3182.5,34.3; 3183,34.3; 3183.5,
              34.3; 3184,34.3; 3184.5,34.3; 3185,34.3; 3185.5,34.3; 3186,34.3; 3186.5,
              34.3; 3187,34.3; 3187.5,34.3; 3188,34.3; 3188.5,34.3; 3189,34.3; 3189.5,
              34.3; 3190,34.3; 3190.5,34.2; 3191,34.2; 3191.5,34.2; 3192,34.2; 3192.5,
              34.2; 3193,34.2; 3193.5,34.2; 3194,34.2; 3194.5,34.2; 3195,34.2; 3195.5,
              34.2; 3196,34.2; 3196.5,34.2; 3197,34.2; 3197.5,34.2; 3198,34.2; 3198.5,
              34.2; 3199,34.2; 3199.5,34.2; 3200,34.2; 3200.5,34.2; 3201,34.2; 3201.5,
              34.2; 3202,34.2; 3202.5,34.2; 3203,34.2; 3203.5,34.2; 3204,34.2; 3204.5,
              34.2; 3205,34.2; 3205.5,34.2; 3206,34.2; 3206.5,34; 3207,34; 3207.5,34;
              3208,34; 3208.5,34; 3209,34; 3209.5,34; 3210,34; 3210.5,34; 3211,34; 3211.5,
              34; 3212,34; 3212.5,34; 3213,34; 3213.5,34; 3214,34; 3214.5,34; 3215,34;
              3215.5,34; 3216,34; 3216.5,34; 3217,34; 3217.5,34; 3218,34; 3218.5,34; 3219,
              34; 3219.5,33.9; 3220,33.9; 3220.5,33.9; 3221,33.9; 3221.5,33.9; 3222,33.9;
              3222.5,33.9; 3223,33.9; 3223.5,33.9; 3224,33.9; 3224.5,33.9; 3225,33.9;
              3225.5,33.9; 3226,33.9; 3226.5,33.9; 3227,33.9; 3227.5,33.9; 3228,33.9;
              3228.5,33.9; 3229,33.9; 3229.5,33.9; 3230,33.9; 3230.5,33.9; 3231,33.9;
              3231.5,33.9; 3232,33.9; 3232.5,33.9; 3233,33.9; 3233.5,33.9; 3234,33.9;
              3234.5,33.9; 3235,33.9; 3235.5,33.9; 3236,33.7; 3236.5,33.7; 3237,33.7;
              3237.5,33.7; 3238,33.7; 3238.5,33.7; 3239,33.7; 3239.5,33.7; 3240,33.7;
              3240.5,33.7; 3241,33.7; 3241.5,33.7; 3242,33.7; 3242.5,33.7; 3243,33.7;
              3243.5,33.7; 3244,33.7; 3244.5,33.7; 3245,33.7; 3245.5,33.7; 3246,33.7;
              3246.5,33.7; 3247,33.7; 3247.5,33.7; 3248,33.7; 3248.5,33.6; 3249,33.6;
              3249.5,33.6; 3250,33.6; 3250.5,33.6; 3251,33.6; 3251.5,33.6; 3252,33.6;
              3252.5,33.6; 3253,33.6; 3253.5,33.6; 3254,33.6; 3254.5,33.6; 3255,33.6;
              3255.5,33.6; 3256,33.6; 3256.5,33.6; 3257,33.6; 3257.5,33.6; 3258,33.6;
              3258.5,33.6; 3259,33.6; 3259.5,33.6; 3260,33.6; 3260.5,33.6; 3261,33.6;
              3261.5,33.6; 3262,33.6; 3262.5,33.6; 3263,33.6; 3263.5,33.6; 3264,33.6;
              3264.5,33.6; 3265,33.6; 3265.5,33.6; 3266,33.6; 3266.5,33.6; 3267,33.6;
              3267.5,33.6; 3268,33.6; 3268.5,33.6; 3269,33.6; 3269.5,33.4; 3270,33.4;
              3270.5,33.4; 3271,33.4; 3271.5,33.4; 3272,33.4; 3272.5,33.4])
          annotation (Placement(transformation(
              extent={{-10,-10},{10,10}},
              rotation=270,
              origin={80,80})));
        Modelica.Blocks.Tables.CombiTable1D MeasurementDataTCold_TEG(table=[0,22; 0.5,
              22; 1,22; 1.5,22; 2,22; 2.5,21.8; 3,21.8; 3.5,21.8; 4,22; 4.5,22; 5,22;
              5.5,22; 6,22; 6.5,22; 7,22; 7.5,22; 8,21.8; 8.5,22; 9,22; 9.5,22; 10,22;
              10.5,22; 11,21.8; 11.5,22; 12,22; 12.5,21.8; 13,22; 13.5,21.8; 14,22; 14.5,
              22; 15,22; 15.5,21.8; 16,22; 16.5,22; 17,22; 17.5,21.8; 18,22; 18.5,21.8;
              19,22; 19.5,22; 20,22; 20.5,22; 21,22; 21.5,22; 22,22; 22.5,22; 23,22; 23.5,
              22; 24,22; 24.5,22; 25,22.1; 25.5,22.1; 26,22.1; 26.5,22.1; 27,22.1; 27.5,
              22.1; 28,22.1; 28.5,22.1; 29,22.1; 29.5,22.1; 30,22.3; 30.5,22.3; 31,22.3;
              31.6,22.3; 32,22.3; 32.5,22.4; 33,22.4; 33.5,22.4; 34,22.4; 34.5,22.4; 35,
              22.4; 35.5,22.6; 36,22.6; 36.5,22.6; 37,22.6; 37.5,22.7; 38,22.7; 38.5,22.7;
              39,22.9; 39.5,22.9; 40,22.9; 40.5,22.9; 41,22.9; 41.5,22.9; 42,23.1; 42.5,
              23; 43,23.2; 43.5,23.2; 44,23.2; 44.5,23.4; 45,23.4; 45.5,23.4; 46,23.4;
              46.5,23.5; 47,23.5; 47.5,23.7; 48,23.7; 48.5,23.7; 49,23.8; 49.5,23.8; 50,
              24; 50.5,24; 51,24; 51.5,24; 52,24.1; 52.5,24.1; 53,24.3; 53.5,24.3; 54,
              24.4; 54.5,24.4; 55,24.4; 55.5,24.6; 56,24.6; 56.5,24.6; 57,24.7; 57.5,24.9;
              58,24.9; 58.5,24.9; 59,25; 59.5,25.1; 60,25.2; 60.5,25.2; 61,25.4; 61.5,
              25.4; 62,25.4; 62.5,25.5; 63,25.7; 63.5,25.7; 64,25.7; 64.5,25.8; 65,25.8;
              65.5,26; 66,26; 66.5,26.1; 67,26.1; 67.5,26.1; 68,26.3; 68.5,26.4; 69,26.4;
              69.5,26.6; 70,26.6; 70.5,26.7; 71,26.7; 71.5,26.7; 72,26.9; 72.5,26.9; 73,
              27.1; 73.5,27.2; 74,27.2; 74.5,27.2; 75,27.4; 75.5,27.5; 76,27.5; 76.5,27.7;
              77,27.7; 77.5,27.8; 78,27.8; 78.5,28; 79,28; 79.5,28.1; 80,28.1; 80.5,28.3;
              81,28.3; 81.5,28.3; 82,28.4; 82.5,28.6; 83,28.6; 83.5,28.6; 84,28.8; 84.5,
              28.8; 85,28.9; 85.5,28.9; 86,29.1; 86.5,29.1; 87,29.2; 87.5,29.2; 88,29.4;
              88.5,29.5; 89,29.5; 89.5,29.7; 90,29.7; 90.5,29.8; 91,29.8; 91.5,30; 92,
              30; 92.5,30.1; 93,30.3; 93.5,30.3; 94,30.4; 94.5,30.4; 95,30.6; 95.5,30.6;
              96,30.7; 96.5,30.7; 97,30.9; 97.5,30.9; 98,31; 98.5,31.1; 99,31.2; 99.5,
              31.2; 100,31.4; 100.5,31.4; 101,31.5; 101.5,31.5; 102,31.7; 102.5,31.7;
              103,31.8; 103.5,31.8; 104,32; 104.5,32; 105,32.1; 105.5,32.1; 106,32.3;
              106.5,32.4; 107,32.4; 107.5,32.4; 108,32.6; 108.5,32.6; 109,32.7; 109.5,
              32.9; 110,32.9; 110.5,32.9; 111,33; 111.5,33.1; 112,33.2; 112.5,33.4; 113,
              33.4; 113.5,33.5; 114,33.5; 114.5,33.7; 115,33.8; 115.5,33.8; 116,33.8;
              116.5,34; 117,34; 117.5,34.1; 118,34.1; 118.5,34.3; 119,34.3; 119.5,34.4;
              120,34.6; 120.5,34.6; 121,34.6; 121.5,34.7; 122,34.9; 122.5,34.9; 123,34.9;
              123.5,35; 124,35.2; 124.5,35.2; 125,35.3; 125.5,35.3; 126,35.3; 126.5,35.5;
              127,35.7; 127.5,35.6; 128,35.8; 128.5,35.8; 129,36; 129.5,36; 130,36.1;
              130.5,36.1; 131,36.3; 131.5,36.3; 132,36.3; 132.5,36.4; 133,36.6; 133.5,
              36.6; 134,36.6; 134.5,36.7; 135,36.9; 135.5,36.9; 136,37; 136.5,37; 137,
              37.2; 137.5,37.2; 138,37.4; 138.5,37.3; 139,37.5; 139.5,37.7; 140,37.7;
              140.5,37.8; 141,37.8; 141.5,38; 142,38; 142.5,38.1; 143,38.1; 143.5,38.3;
              144,38.3; 144.5,38.4; 145,38.4; 145.5,38.6; 146,38.6; 146.5,38.7; 147,38.7;
              147.5,38.9; 148,38.9; 148.5,39; 149,39; 149.5,39.2; 150,39.2; 150.5,39.3;
              151,39.3; 151.5,39.5; 152,39.5; 152.5,39.6; 153,39.6; 153.5,39.8; 154,39.8;
              154.5,40; 155,39.9; 155.5,40.1; 156,40.1; 156.5,40.3; 157,40.3; 157.5,40.4;
              158,40.4; 158.5,40.6; 159,40.6; 159.5,40.7; 160,40.7; 160.5,40.9; 161,41;
              161.5,41; 162,41; 162.5,41.2; 163,41.2; 163.5,41.3; 164,41.3; 164.5,41.3;
              165,41.5; 165.5,41.6; 166,41.6; 166.5,41.8; 167,41.8; 167.5,41.8; 168,41.9;
              168.5,42.1; 169,42.1; 169.5,42.3; 170,42.3; 170.5,42.4; 171,42.4; 171.5,
              42.4; 172,42.6; 172.5,42.7; 173,42.7; 173.5,42.9; 174,42.9; 174.5,43; 175,
              43; 175.5,43.2; 176,43.2; 176.5,43.3; 177,43.3; 177.5,43.5; 178,43.5; 178.5,
              43.6; 179,43.6; 179.5,43.8; 180,43.8; 180.5,44; 181,44; 181.5,44.1; 182,
              44.1; 182.5,44.1; 183,44.3; 183.5,44.4; 184,44.4; 184.5,44.4; 185,44.6;
              185.5,44.6; 186,44.6; 186.5,44.7; 187,44.7; 187.5,44.9; 188,45; 188.5,45;
              189,45; 189.5,45.2; 190,45.2; 190.5,45.3; 191,45.3; 191.5,45.3; 192,45.5;
              192.5,45.5; 193,45.6; 193.5,45.6; 194,45.8; 194.5,45.8; 195,45.8; 195.5,
              45.9; 196,45.9; 196.5,46.1; 197,46.1; 197.5,46.2; 198,46.3; 198.5,46.2;
              199,46.4; 199.5,46.4; 200,46.6; 200.5,46.6; 201,46.7; 201.5,46.7; 202,46.7;
              202.5,46.7; 203,46.9; 203.5,46.9; 204,47; 204.5,47; 205,47; 205.5,47.2;
              206,47.2; 206.5,47.2; 207,47.3; 207.5,47.5; 208,47.5; 208.5,47.5; 209,47.6;
              209.5,47.6; 210,47.8; 210.5,47.8; 211,47.8; 211.5,47.9; 212,47.9; 212.5,
              48.1; 213,48.1; 213.5,48.1; 214,48.2; 214.5,48.2; 215,48.4; 215.5,48.4;
              216,48.6; 216.5,48.6; 217,48.6; 217.5,48.7; 218,48.7; 218.5,48.9; 219,48.8;
              219.5,48.8; 220,49; 220.5,49; 221,49.2; 221.5,49.2; 222,49.3; 222.5,49.3;
              223,49.3; 223.5,49.4; 224,49.4; 224.5,49.4; 225,49.5; 225.5,49.6; 226,49.6;
              226.5,49.7; 227,49.7; 227.5,49.7; 228,49.9; 228.5,50; 229,50; 229.5,50.1;
              230,50; 230.5,50.1; 231,50.2; 231.5,50.4; 232,50.4; 232.5,50.4; 233,50.4;
              233.5,50.5; 234,50.7; 234.5,50.7; 235,50.8; 235.5,50.8; 236,51; 236.5,51;
              237,51; 237.5,51; 238,51; 238.5,51.1; 239,51.1; 239.5,51.3; 240,51.3; 240.5,
              51.3; 241,51.3; 241.5,51.3; 242,51.3; 242.5,51.4; 243,51.4; 243.5,51.6;
              244,51.6; 244.5,51.6; 245,51.7; 245.5,51.7; 246,51.8; 246.5,51.9; 247,51.9;
              247.5,51.9; 248,51.9; 248.5,52.1; 249,52.1; 249.5,52.1; 250,52.2; 250.5,
              52.2; 251,52.2; 251.5,52.4; 252,52.4; 252.5,52.4; 253,52.4; 253.5,52.5;
              254,52.5; 254.5,52.5; 255,52.7; 255.5,52.7; 256,52.8; 256.5,52.8; 257,52.8;
              257.5,53; 258,53; 258.5,53; 259,53.1; 259.5,53.1; 260,53.1; 260.5,53.3;
              261,53.3; 261.5,53.3; 262,53.4; 262.5,53.4; 263,53.6; 263.5,53.6; 264,53.6;
              264.5,53.7; 265,53.7; 265.5,53.7; 266,53.7; 266.5,53.7; 267,53.9; 267.5,
              53.9; 268,53.9; 268.5,54; 269,54.1; 269.5,54.2; 270,54.2; 270.5,54.2; 271,
              54.2; 271.5,54.4; 272,54.4; 272.5,54.4; 273,54.5; 273.5,54.5; 274,54.7;
              274.5,54.7; 275,54.7; 275.5,54.8; 276,54.8; 276.5,54.8; 277,55; 277.5,55;
              278,55; 278.5,55.1; 279,55.1; 279.5,55.1; 280,55.3; 280.5,55.3; 281,55.3;
              281.5,55.4; 282,55.4; 282.5,55.6; 283,55.6; 283.5,55.6; 284,55.7; 284.5,
              55.7; 285,55.9; 285.5,55.9; 286,55.9; 286.5,56.1; 287,56.1; 287.5,56.1;
              288,56.2; 288.5,56.2; 289,56.2; 289.5,56.4; 290,56.4; 290.5,56.5; 291,56.5;
              291.5,56.7; 292,56.7; 292.5,56.7; 293,56.7; 293.5,56.8; 294,56.8; 294.5,
              57; 295,57; 295.5,57.1; 296,57.1; 296.5,57.1; 297,57.3; 297.5,57.3; 298,
              57.4; 298.5,57.4; 299,57.6; 299.5,57.6; 300,57.7; 300.5,57.7; 301,57.7;
              301.5,57.9; 302,57.9; 302.5,57.9; 303,58; 303.5,58; 304,58; 304.5,58.1;
              305,58.2; 305.5,58.4; 306,58.4; 306.5,58.4; 307,58.5; 307.5,58.5; 308,58.5;
              308.5,58.7; 309,58.7; 309.5,58.7; 310,58.8; 310.5,58.8; 311,59; 311.5,59;
              312,59.1; 312.5,59.1; 313,59.1; 313.5,59.3; 314,59.3; 314.5,59.4; 315,59.4;
              315.5,59.4; 316,59.6; 316.5,59.6; 317,59.7; 317.5,59.7; 318,59.7; 318.5,
              59.9; 319,59.9; 319.5,60; 320,60; 320.5,60.2; 321,60.2; 321.5,60.2; 322,
              60.2; 322.5,60.3; 323,60.3; 323.5,60.5; 324,60.5; 324.5,60.6; 325,60.6;
              325.5,60.6; 326,60.6; 326.5,60.8; 327,61; 327.5,61.1; 328,61.1; 328.5,61.3;
              329,61.3; 329.5,61.4; 330,61.4; 330.5,61.4; 331,61.6; 331.5,61.6; 332,61.8;
              332.5,61.7; 333,61.7; 333.5,61.7; 334,61.9; 334.5,61.9; 335,62; 335.5,62.2;
              336,62.2; 336.5,62.2; 337,62.3; 337.5,62.3; 338,62.3; 338.5,62.5; 339,62.5;
              339.5,62.6; 340,62.6; 340.5,62.7; 341,62.8; 341.5,62.8; 342,63; 342.5,63;
              343,63.1; 343.5,63.1; 344,63.1; 344.5,63.3; 345,63.3; 345.5,63.4; 346,63.6;
              346.5,63.7; 347,63.7; 347.5,63.9; 348,64.1; 348.5,64.2; 349,64.5; 349.5,
              64.7; 350,64.7; 350.5,64.8; 351,64.8; 351.5,64.8; 352,64.8; 352.5,65; 353,
              65; 353.5,65; 354,65.1; 354.5,65.1; 355,65.1; 355.5,65.3; 356,65.3; 356.5,
              65.3; 357,65.4; 357.5,65.4; 358,65.4; 358.5,65.6; 359,65.7; 359.5,65.7;
              360,65.7; 360.5,65.9; 361,65.9; 361.5,66; 362,66; 362.5,66.2; 363,66.4;
              363.5,66.4; 364,66.4; 364.5,66.5; 365,66.5; 365.5,66.5; 366,66.7; 366.5,
              66.7; 367,66.7; 367.5,66.7; 368,66.8; 368.5,66.8; 369,66.8; 369.5,66.8;
              370,67; 370.5,67; 371,67; 371.5,67.1; 372,67; 372.5,67.1; 373,67.1; 373.5,
              67.1; 374,67.3; 374.5,67.3; 375,67.3; 375.5,67.4; 376,67.4; 376.5,67.4;
              377,67.4; 377.5,67.4; 378,67.6; 378.5,67.6; 379,67.6; 379.5,67.6; 380,67.6;
              380.5,67.6; 381,67.6; 381.5,67.8; 382,67.7; 382.5,67.7; 383,67.7; 383.5,
              67.7; 384,67.8; 384.5,67.9; 385,67.9; 385.5,67.9; 386,67.9; 386.5,67.9;
              387,67.9; 387.5,67.9; 388,67.9; 388.5,67.9; 389,67.9; 389.5,67.9; 390,68.1;
              390.5,68.1; 391,68.1; 391.5,68.1; 392,68.1; 392.5,68.1; 393,68.1; 393.5,
              68.1; 394,68.1; 394.5,68.1; 395,67.9; 395.5,67.9; 396,68.1; 396.5,68.1;
              397,68.1; 397.5,68.1; 398,68.1; 398.5,67.9; 399,67.9; 399.5,67.9; 400,67.9;
              400.5,67.9; 401,67.9; 401.5,67.9; 402,67.9; 402.5,67.9; 403,67.9; 403.5,
              67.9; 404,67.9; 404.5,67.9; 405,67.9; 405.5,67.9; 406,67.9; 406.5,67.8;
              407,67.8; 407.5,67.7; 408,67.8; 408.5,67.8; 409,67.7; 409.5,67.8; 410,67.6;
              410.5,67.6; 411,67.6; 411.5,67.6; 412,67.6; 412.5,67.6; 413,67.6; 413.5,
              67.6; 414,67.4; 414.5,67.4; 415,67.4; 415.5,67.4; 416,67.4; 416.5,67.4;
              417,67.4; 417.5,67.4; 418,67.3; 418.5,67.3; 419,67.3; 419.5,67.3; 420,67.3;
              420.5,67.3; 421,67.1; 421.5,67.1; 422,67.1; 422.5,67; 423,67.1; 423.5,67;
              424,67; 424.5,67; 425,67; 425.5,67; 426,67; 426.5,67; 427,66.8; 427.5,66.8;
              428,66.8; 428.5,66.8; 429,66.8; 429.5,66.7; 430,66.7; 430.5,66.7; 431,66.7;
              431.5,66.7; 432,66.7; 432.5,66.7; 433,66.5; 433.5,66.5; 434,66.5; 434.5,
              66.5; 435,66.5; 435.5,66.5; 436,66.4; 436.5,66.4; 437,66.4; 437.5,66.4;
              438,66.3; 438.5,66.4; 439,66.3; 439.5,66.4; 440,66.2; 440.5,66.2; 441,66.2;
              441.5,66.2; 442,66; 442.5,66; 443,66; 443.5,66; 444,65.9; 444.5,65.9; 445,
              65.9; 445.5,65.7; 446,65.7; 446.5,65.7; 447,65.7; 447.5,65.6; 448,65.6;
              448.5,65.6; 449,65.6; 449.5,65.6; 450,65.6; 450.5,65.6; 451,65.4; 451.5,
              65.4; 452,65.4; 452.5,65.4; 453,65.3; 453.5,65.3; 454,65.3; 454.5,65.3;
              455,65.1; 455.5,65.1; 456,65.1; 456.5,65.1; 457,65; 457.5,65; 458,65; 458.5,
              65; 459,64.8; 459.5,64.8; 460,64.8; 460.5,64.8; 461,64.8; 461.5,64.7; 462,
              64.7; 462.5,64.7; 463,64.5; 463.5,64.5; 464,64.5; 464.5,64.5; 465,64.4;
              465.5,64.4; 466,64.4; 466.5,64.4; 467,64.2; 467.5,64.2; 468,64.2; 468.5,
              64.2; 469,64; 469.5,64; 470,64.1; 470.5,64.1; 471,63.9; 471.5,63.9; 472,
              63.9; 472.5,63.9; 473,63.7; 473.5,63.7; 474,63.7; 474.5,63.7; 475,63.7;
              475.5,63.6; 476,63.6; 476.5,63.6; 477,63.6; 477.5,63.4; 478,63.4; 478.5,
              63.4; 479,63.3; 479.5,63.3; 480,63.3; 480.5,63.3; 481,63.3; 481.5,63.3;
              482,63.1; 482.5,63.1; 483,63.1; 483.5,63.1; 484,63; 484.5,63; 485,63; 485.5,
              63; 486,62.8; 486.5,62.8; 487,62.8; 487.5,62.8; 488,62.6; 488.5,62.7; 489,
              62.7; 489.5,62.7; 490,62.5; 490.5,62.5; 491,62.5; 491.5,62.5; 492,62.3;
              492.5,62.3; 493,62.3; 493.5,62.3; 494,62.3; 494.5,62.3; 495,62.2; 495.5,
              62.2; 496,62.2; 496.5,62.2; 497,62.2; 497.5,62.2; 498,62; 498.5,62; 499,
              62; 499.5,62; 500,62; 500.5,61.9; 501,61.9; 501.5,61.9; 502,61.9; 502.5,
              61.7; 503,61.7; 503.5,61.7; 504,61.7; 504.5,61.7; 505,61.7; 505.5,61.7;
              506,61.7; 506.5,61.6; 507,61.6; 507.5,61.6; 508,61.6; 508.5,61.6; 509,61.4;
              509.5,61.4; 510,61.3; 510.5,61.3; 511,61.1; 511.5,61.1; 512,61.1; 512.5,
              61.1; 513,61.1; 513.5,61.1; 514,61; 514.5,61; 515,61; 515.5,60.8; 516,60.8;
              516.5,60.8; 517,60.7; 517.5,60.6; 518,60.7; 518.5,60.6; 519,60.7; 519.5,
              60.6; 520,60.6; 520.5,60.7; 521,60.5; 521.5,60.5; 522,60.5; 522.5,60.3;
              523,60.4; 523.5,60.3; 524,60.3; 524.5,60.3; 525,60.2; 525.5,60.2; 526,60.2;
              526.5,60; 527,60; 527.5,60; 528,60; 528.5,59.9; 529,59.9; 529.5,59.9; 530,
              59.9; 530.5,59.7; 531,59.7; 531.5,59.9; 532,59.7; 532.5,59.9; 533,59.7;
              533.5,59.7; 534,59.7; 534.5,59.6; 535,59.6; 535.5,59.6; 536,59.6; 536.5,
              59.4; 537,59.4; 537.5,59.4; 538,59.4; 538.5,59.4; 539,59.4; 539.5,59.4;
              540,59.4; 540.5,59.3; 541,59.3; 541.5,59.3; 542,59.3; 542.5,59.1; 543,59.1;
              543.5,59.1; 544,59.1; 544.5,59.1; 545,59; 545.5,59; 546,59; 546.5,58.8;
              547,58.8; 547.5,58.8; 548,58.7; 548.5,58.7; 549,58.7; 549.5,58.7; 550,58.7;
              550.5,58.7; 551,58.7; 551.5,58.5; 552,58.5; 552.5,58.5; 553,58.4; 553.5,
              58.4; 554,58.4; 554.5,58.4; 555,58.2; 555.5,58.2; 556,58.2; 556.5,58.2;
              557,58.2; 557.5,58.2; 558,58.2; 558.5,58.2; 559,58; 559.5,58; 560,58.1;
              560.5,58.1; 561,58; 561.5,58; 562,57.9; 562.5,57.9; 563,57.9; 563.5,57.7;
              564,57.7; 564.5,57.7; 565,57.7; 565.5,57.7; 566,57.6; 566.5,57.6; 567,57.6;
              567.5,57.6; 568,57.4; 568.5,57.4; 569,57.4; 569.5,57.3; 570,57.4; 570.5,
              57.3; 571,57.3; 571.5,57.3; 572,57.3; 572.5,57.3; 573,57.1; 573.5,57.1;
              574,57.1; 574.5,57.1; 575,57; 575.5,57; 576,57; 576.5,57; 577,56.8; 577.5,
              56.8; 578,56.8; 578.5,56.8; 579,56.8; 579.5,56.7; 580,56.7; 580.5,56.7;
              581,56.7; 581.5,56.7; 582,56.7; 582.5,56.7; 583,56.5; 583.5,56.5; 584,56.5;
              584.5,56.5; 585,56.5; 585.5,56.5; 586,56.5; 586.5,56.5; 587,56.4; 587.5,
              56.4; 588,56.4; 588.5,56.4; 589,56.4; 589.5,56.4; 590,56.2; 590.5,56.2;
              591,56.2; 591.5,56.2; 592,56.2; 592.5,56.2; 593,56.2; 593.5,56.2; 594,56.2;
              594.5,56.1; 595,56.1; 595.5,56.1; 596,56.1; 596.5,56.1; 597,56.1; 597.5,
              55.9; 598,55.9; 598.5,55.9; 599,55.9; 599.5,55.7; 600,55.7; 600.5,55.7;
              601,55.6; 601.5,55.7; 602,55.6; 602.5,55.6; 603,55.6; 603.5,55.6; 604,55.6;
              604.5,55.6; 605,55.4; 605.5,55.4; 606,55.4; 606.5,55.4; 607,55.3; 607.5,
              55.3; 608,55.3; 608.5,55.3; 609,55.3; 609.5,55.3; 610,55.3; 610.5,55.1;
              611,55.1; 611.5,55.1; 612,55.1; 612.5,55.1; 613,55.1; 613.5,55; 614,55;
              614.5,55; 615,55; 615.5,55; 616,55; 616.5,55; 617,54.8; 617.5,54.8; 618,
              54.8; 618.5,54.8; 619,54.8; 619.5,54.7; 620,54.7; 620.5,54.7; 621,54.7;
              621.5,54.7; 622,54.7; 622.5,54.7; 623,54.5; 623.5,54.5; 624,54.5; 624.5,
              54.5; 625,54.5; 625.5,54.4; 626,54.4; 626.5,54.4; 627,54.4; 627.5,54.4;
              628,54.2; 628.5,54.2; 629,54.2; 629.5,54.2; 630,54.2; 630.5,54.2; 631,54.1;
              631.5,54.1; 632,54.1; 632.5,54.1; 633,54.1; 633.5,54.1; 634,53.9; 634.5,
              53.9; 635,53.9; 635.5,53.9; 636,53.7; 636.5,53.7; 637,53.7; 637.5,53.7;
              638,53.7; 638.5,53.7; 639,53.7; 639.5,53.7; 640,53.6; 640.5,53.6; 641,53.6;
              641.5,53.6; 642,53.6; 642.5,53.4; 643,53.4; 643.5,53.4; 644,53.4; 644.5,
              53.4; 645,53.4; 645.5,53.4; 646,53.4; 646.5,53.3; 647,53.3; 647.5,53.3;
              648,53.3; 648.5,53.3; 649,53.3; 649.5,53.3; 650,53.3; 650.5,53.3; 651,53.3;
              651.5,53.1; 652,53.1; 652.5,53.1; 653,53.1; 653.5,53; 654,53; 654.5,53;
              655,53; 655.5,53; 656,53; 656.5,53; 657,52.8; 657.5,52.8; 658,52.8; 658.5,
              52.8; 659,52.8; 659.5,52.8; 660,52.8; 660.5,52.8; 661,52.8; 661.5,52.7;
              662,52.7; 662.5,52.7; 663,52.7; 663.5,52.7; 664,52.7; 664.5,52.5; 665,52.5;
              665.5,52.5; 666,52.5; 666.5,52.5; 667,52.5; 667.5,52.5; 668,52.5; 668.5,
              52.5; 669,52.4; 669.5,52.4; 670,52.4; 670.5,52.4; 671,52.4; 671.5,52.4;
              672,52.4; 672.5,52.2; 673,52.2; 673.5,52.2; 674,52.2; 674.5,52.2; 675,52.2;
              675.5,52.2; 676,52; 676.5,52; 677,52.1; 677.5,52.1; 678,52.1; 678.5,51.9;
              679,51.9; 679.5,51.9; 680,51.9; 680.5,51.9; 681,51.9; 681.5,51.9; 682,51.9;
              682.5,51.9; 683,51.7; 683.5,51.7; 684,51.7; 684.5,51.7; 685,51.7; 685.5,
              51.6; 686,51.6; 686.5,51.6; 687,51.6; 687.5,51.6; 688,51.6; 688.5,51.6;
              689,51.4; 689.5,51.4; 690,51.4; 690.5,51.4; 691,51.4; 691.5,51.3; 692,51.3;
              692.5,51.3; 693,51.3; 693.5,51.3; 694,51.3; 694.5,51.3; 695,51.3; 695.5,
              51.3; 696,51.1; 696.5,51.1; 697,51.1; 697.5,51.1; 698,51.1; 698.5,51.1;
              699,51; 699.5,51; 700,51; 700.5,51; 701,51; 701.5,51; 702,51; 702.5,51;
              703,51; 703.5,50.8; 704,50.8; 704.5,50.8; 705,50.8; 705.5,50.8; 706,50.7;
              706.5,50.8; 707,50.7; 707.5,50.7; 708,50.7; 708.5,50.7; 709,50.7; 709.5,
              50.7; 710,50.5; 710.5,50.5; 711,50.5; 711.5,50.5; 712,50.5; 712.5,50.5;
              713,50.4; 713.5,50.4; 714,50.4; 714.5,50.3; 715,50.4; 715.5,50.4; 716,50.4;
              716.5,50.4; 717,50.4; 717.5,50.4; 718,50.2; 718.5,50.2; 719,50.2; 719.5,
              50.2; 720,50.2; 720.5,50.2; 721,50; 721.5,50; 722,50; 722.5,50.1; 723,50;
              723.5,50.1; 724,50.1; 724.5,49.9; 725,49.9; 725.5,49.9; 726,49.9; 726.5,
              49.9; 727,49.9; 727.5,49.7; 728,49.7; 728.5,49.7; 729,49.7; 729.5,49.7;
              730,49.7; 730.5,49.7; 731,49.7; 731.5,49.7; 732,49.7; 732.5,49.6; 733,49.6;
              733.5,49.6; 734,49.6; 734.5,49.6; 735,49.6; 735.5,49.6; 736,49.6; 736.5,
              49.6; 737,49.4; 737.5,49.4; 738,49.4; 738.5,49.4; 739,49.4; 739.5,49.4;
              740,49.4; 740.5,49.4; 741,49.4; 741.5,49.4; 742,49.3; 742.5,49.3; 743,49.3;
              743.5,49.3; 744,49.3; 744.5,49.3; 745,49.3; 745.5,49.2; 746,49.2; 746.5,
              49.2; 747,49.2; 747.5,49.2; 748,49.2; 748.5,49.1; 749,49.2; 749.5,49.2;
              750,49.2; 750.5,49.2; 751,49.2; 751.5,49; 752,49; 752.5,49; 753,49; 753.5,
              49; 754,49; 754.5,48.9; 755,48.9; 755.5,48.9; 756,48.9; 756.5,48.7; 757,
              48.7; 757.5,48.7; 758,48.7; 758.5,48.7; 759,48.7; 759.5,48.7; 760,48.7;
              760.5,48.6; 761,48.6; 761.5,48.6; 762,48.6; 762.5,48.6; 763,48.6; 763.5,
              48.6; 764,48.6; 764.5,48.6; 765,48.5; 765.5,48.4; 766,48.4; 766.5,48.4;
              767,48.4; 767.5,48.4; 768,48.4; 768.5,48.4; 769,48.2; 769.5,48.2; 770,48.3;
              770.5,48.2; 771,48.3; 771.5,48.2; 772,48.3; 772.5,48.1; 773,48.1; 773.5,
              48.1; 774,48.1; 774.5,48.1; 775,48.1; 775.5,48.1; 776,48.1; 776.5,48.1;
              777,47.9; 777.5,47.9; 778,47.9; 778.5,47.9; 779,47.9; 779.5,47.9; 780,47.9;
              780.5,47.8; 781,47.8; 781.5,47.8; 782,47.8; 782.5,47.8; 783,47.8; 783.5,
              47.8; 784,47.8; 784.5,47.8; 785,47.8; 785.5,47.6; 786,47.6; 786.5,47.6;
              787,47.6; 787.5,47.6; 788,47.6; 788.5,47.6; 789,47.6; 789.5,47.5; 790,47.5;
              790.5,47.5; 791,47.5; 791.5,47.5; 792,47.5; 792.5,47.5; 793,47.5; 793.5,
              47.3; 794,47.3; 794.5,47.3; 795,47.3; 795.5,47.3; 796,47.3; 796.5,47.3;
              797,47.2; 797.5,47.2; 798,47.2; 798.5,47.2; 799,47.2; 799.5,47.2; 800,47.2;
              800.5,47.2; 801,47.2; 801.5,47.2; 802,47.2; 802.5,47; 803,47; 803.5,47;
              804,47; 804.5,47; 805,47; 805.5,46.9; 806,46.9; 806.5,46.9; 807,46.9; 807.5,
              46.9; 808,46.9; 808.5,46.9; 809,46.9; 809.5,46.9; 810,46.7; 810.5,46.7;
              811,46.7; 811.5,46.7; 812,46.7; 812.5,46.7; 813,46.7; 813.5,46.7; 814,46.7;
              814.5,46.7; 815,46.7; 815.5,46.6; 816,46.6; 816.5,46.6; 817,46.6; 817.5,
              46.6; 818,46.6; 818.5,46.6; 819,46.6; 819.5,46.4; 820,46.4; 820.5,46.4;
              821,46.4; 821.5,46.3; 822,46.2; 822.5,46.4; 823,46.2; 823.5,46.3; 824,46.2;
              824.5,46.3; 825,46.3; 825.5,46.3; 826,46.2; 826.5,46.2; 827,46.1; 827.5,
              46.1; 828,46.1; 828.5,46.1; 829,46.1; 829.5,46.1; 830,46.1; 830.5,46.1;
              831,46.1; 831.5,46.1; 832,45.9; 832.5,45.9; 833,45.9; 833.5,45.9; 834,45.9;
              834.5,45.9; 835,45.8; 835.5,45.8; 836,45.9; 836.5,45.8; 837,45.8; 837.5,
              45.8; 838,45.8; 838.5,45.8; 839,45.8; 839.5,45.8; 840,45.8; 840.5,45.8;
              841,45.8; 841.5,45.8; 842,45.8; 842.5,45.8; 843,45.8; 843.5,45.8; 844,45.8;
              844.5,45.8; 845,45.8; 845.5,45.8; 846,45.8; 846.5,45.8; 847,45.8; 847.5,
              45.8; 848,45.6; 848.5,45.7; 849,45.6; 849.5,45.6; 850,45.6; 850.5,45.7;
              851,45.6; 851.5,45.6; 852,45.6; 852.5,45.5; 853,45.5; 853.5,45.5; 854,45.5;
              854.5,45.5; 855,45.3; 855.5,45.3; 856,45.3; 856.5,45.3; 857,45.3; 857.5,
              45.3; 858,45.3; 858.5,45.3; 859,45.2; 859.5,45.2; 860,45.2; 860.5,45.2;
              861,45.2; 861.5,45.2; 862,45.2; 862.5,45; 863,45; 863.5,45; 864,45; 864.5,
              45; 865,45; 865.5,45; 866,45.2; 866.5,45.2; 867,45.2; 867.5,45.2; 868,45;
              868.5,45.2; 869,45.2; 869.5,45.2; 870,45.2; 870.5,45.2; 871,45; 871.5,45;
              872,45; 872.5,45; 873,45; 873.5,45; 874,45; 874.5,44.9; 875,44.9; 875.5,
              44.9; 876,44.9; 876.5,44.9; 877,44.9; 877.5,44.7; 878,44.7; 878.5,44.7;
              879,44.7; 879.5,44.7; 880,44.5; 880.5,44.7; 881,44.7; 881.5,44.6; 882,44.6;
              882.5,44.6; 883,44.6; 883.5,44.6; 884,44.6; 884.5,44.6; 885,44.4; 885.5,
              44.4; 886,44.4; 886.5,44.4; 887,44.4; 887.5,44.4; 888,44.4; 888.5,44.4;
              889,44.4; 889.5,44.4; 890,44.4; 890.5,44.3; 891,44.3; 891.5,44.3; 892,44.3;
              892.5,44.3; 893,44.1; 893.5,44.3; 894,44.1; 894.5,44.1; 895,44.1; 895.5,
              44.1; 896,44.1; 896.5,44.1; 897,44.1; 897.5,44.1; 898,44.1; 898.5,44.1;
              899,44.1; 899.5,44.1; 900,44.1; 900.5,44.1; 901,44.1; 901.5,44; 902,44;
              902.5,44; 903,44; 903.5,44; 904,43.8; 904.5,43.8; 905,43.8; 905.5,43.8;
              906,43.8; 906.5,43.6; 907,43.8; 907.5,43.8; 908,43.8; 908.5,43.7; 909,43.6;
              909.5,43.6; 910,43.6; 910.5,43.6; 911,43.6; 911.5,43.6; 912,43.6; 912.5,
              43.6; 913,43.6; 913.5,43.6; 914,43.6; 914.5,43.5; 915,43.6; 915.5,43.5;
              916,43.5; 916.5,43.5; 917,43.5; 917.5,43.5; 918,43.5; 918.5,43.5; 919,43.5;
              919.5,43.5; 920,43.5; 920.5,43.5; 921,43.3; 921.5,43.3; 922,43.3; 922.5,
              43.3; 923,43.3; 923.5,43.3; 924,43.2; 924.5,43.3; 925,43.3; 925.5,43.2;
              926,43.2; 926.5,43.2; 927,43.2; 927.5,43.2; 928,43.2; 928.5,43.2; 929,43.2;
              929.5,43.2; 930,43.2; 930.5,43.2; 931,43.2; 931.5,43.2; 932,43.2; 932.5,
              43.2; 933,43.2; 933.5,43; 934,43; 934.5,43; 935,43; 935.5,43; 936,43; 936.5,
              43; 937,43; 937.5,43; 938,43; 938.5,43; 939,43; 939.5,43; 940,42.9; 940.5,
              42.9; 941,42.9; 941.5,42.9; 942,42.9; 942.5,42.7; 943,42.7; 943.5,42.7;
              944,42.7; 944.5,42.7; 945,42.7; 945.5,42.7; 946,42.7; 946.5,42.7; 947,42.7;
              947.5,42.7; 948,42.7; 948.5,42.7; 949,42.6; 949.5,42.7; 950,42.7; 950.5,
              42.6; 951,42.6; 951.5,42.6; 952,42.6; 952.5,42.6; 953,42.6; 953.5,42.5;
              954,42.6; 954.5,42.6; 955,42.6; 955.5,42.6; 956,42.6; 956.5,42.6; 957,42.6;
              957.5,42.6; 958,42.6; 958.5,42.6; 959,42.6; 959.5,42.6; 960,42.6; 960.5,
              42.4; 961,42.4; 961.5,42.4; 962,42.4; 962.5,42.4; 963,42.4; 963.5,42.4;
              964,42.4; 964.5,42.4; 965,42.4; 965.5,42.4; 966,42.4; 966.5,42.4; 967,42.4;
              967.5,42.4; 968,42.3; 968.5,42.3; 969,42.2; 969.5,42.3; 970,42.3; 970.5,
              42.3; 971,42.3; 971.5,42.3; 972,42.3; 972.5,42.3; 973,42.3; 973.5,42.2;
              974,42.3; 974.5,42.3; 975,42.2; 975.5,42.3; 976,42.3; 976.5,42.3; 977,42.3;
              977.5,42.3; 978,42.1; 978.5,42.1; 979,42.1; 979.5,42.1; 980,42.1; 980.5,
              42.1; 981,42.1; 981.5,42.1; 982,42.1; 982.5,42.1; 983,42.1; 983.5,42.1;
              984,42.1; 984.5,42.1; 985,42.1; 985.5,42.1; 986,41.9; 986.5,41.9; 987,41.9;
              987.5,41.9; 988,41.9; 988.5,41.8; 989,41.8; 989.5,41.8; 990,41.8; 990.5,
              41.8; 991,41.8; 991.5,41.8; 992,41.8; 992.5,41.8; 993,41.8; 993.5,41.8;
              994,41.8; 994.5,41.8; 995,41.6; 995.5,41.6; 996,41.6; 996.5,41.6; 997,41.6;
              997.5,41.6; 998,41.6; 998.5,41.6; 999,41.5; 999.5,41.5; 1000,41.5; 1000.5,
              41.5; 1001,41.5; 1001.5,41.3; 1002,41.4; 1002.5,41.3; 1003,41.5; 1003.5,
              41.5; 1004,41.5; 1004.5,41.3; 1005,41.3; 1005.5,41.3; 1006,41.3; 1006.5,
              41.3; 1007,41.3; 1007.5,41.3; 1008,41.3; 1008.5,41.3; 1009,41.5; 1009.5,
              41.3; 1010,41.3; 1010.5,41.3; 1011,41.3; 1011.5,41.3; 1012,41.3; 1012.5,
              41.3; 1013,41.3; 1013.5,41.3; 1014,41.3; 1014.5,41.3; 1015,41.3; 1015.5,
              41.3; 1016,41.3; 1016.5,41.3; 1017,41.3; 1017.5,41.3; 1018,41.3; 1018.5,
              41.3; 1019,41.3; 1019.5,41.2; 1020,41.2; 1020.5,41.2; 1021,41.2; 1021.5,
              41.2; 1022,41.2; 1022.5,41.2; 1023,41.2; 1023.5,41.2; 1024,41.2; 1024.5,
              41.2; 1025,41.2; 1025.5,41.2; 1026,41; 1026.5,41; 1027,41; 1027.5,41; 1028,
              41; 1028.5,41; 1029,41; 1029.5,41; 1030,41; 1030.5,41; 1031,41; 1031.5,41;
              1032,41; 1032.5,41; 1033,41; 1033.5,41; 1034,41; 1034.5,41; 1035,41; 1035.5,
              40.9; 1036,40.9; 1036.5,40.9; 1037,40.9; 1037.5,40.9; 1038,40.9; 1038.5,
              40.9; 1039,40.9; 1039.5,40.9; 1040,40.9; 1040.5,40.9; 1041,40.9; 1041.5,
              40.9; 1042,40.9; 1042.5,40.9; 1043,40.7; 1043.5,40.7; 1044,40.7; 1044.5,
              40.7; 1045,40.7; 1045.5,40.6; 1046,40.7; 1046.5,40.7; 1047,40.7; 1047.5,
              40.7; 1048,40.7; 1048.5,40.7; 1049,40.6; 1049.5,40.6; 1050,40.6; 1050.5,
              40.6; 1051,40.6; 1051.5,40.6; 1052,40.6; 1052.5,40.6; 1053,40.6; 1053.5,
              40.4; 1054,40.4; 1054.5,40.4; 1055,40.4; 1055.5,40.4; 1056,40.4; 1056.5,
              40.4; 1057,40.3; 1057.5,40.3; 1058,40.3; 1058.5,40.3; 1059,40.3; 1059.5,
              40.3; 1060,40.3; 1060.5,40.3; 1061,40.3; 1061.5,40.3; 1062,40.3; 1062.5,
              40.1; 1063,40.1; 1063.5,40.1; 1064,40.1; 1064.5,40.1; 1065,40.1; 1065.5,
              40.1; 1066,40.1; 1066.5,40.1; 1067,40.1; 1067.5,40.1; 1068,40.1; 1068.5,
              40.1; 1069,40; 1069.5,39.9; 1070,40; 1070.5,39.9; 1071,39.9; 1071.5,40;
              1072,39.9; 1072.5,39.9; 1073,39.9; 1073.5,39.9; 1074,39.9; 1074.5,39.8;
              1075,39.8; 1075.5,39.8; 1076,39.8; 1076.5,39.8; 1077,39.8; 1077.5,39.8;
              1078,39.8; 1078.5,39.8; 1079,39.6; 1079.5,39.6; 1080,39.6; 1080.5,39.6;
              1081,39.6; 1081.5,39.6; 1082,39.6; 1082.5,39.6; 1083,39.6; 1083.5,39.6;
              1084,39.6; 1084.5,39.6; 1085,39.6; 1085.5,39.6; 1086,39.5; 1086.5,39.6;
              1087,39.5; 1087.5,39.5; 1088,39.5; 1088.5,39.5; 1089,39.5; 1089.5,39.5;
              1090,39.5; 1090.5,39.5; 1091,39.5; 1091.5,39.5; 1092,39.5; 1092.5,39.5;
              1093,39.5; 1093.5,39.3; 1094,39.4; 1094.5,39.3; 1095,39.3; 1095.5,39.4;
              1096,39.3; 1096.5,39.4; 1097,39.3; 1097.5,39.3; 1098,39.3; 1098.5,39.3;
              1099,39.4; 1099.5,39.3; 1100,39.4; 1100.5,39.3; 1101,39.2; 1101.5,39.2;
              1102,39.2; 1102.5,39.2; 1103,39.2; 1103.5,39.2; 1104,39.2; 1104.5,39.2;
              1105,39.2; 1105.5,39.2; 1106,39.2; 1106.5,39.2; 1107,39.2; 1107.5,39.2;
              1108,39.2; 1108.5,39.2; 1109,39.2; 1109.5,39.2; 1110,39.2; 1110.5,39.2;
              1111,39.2; 1111.5,39; 1112,39; 1112.5,39; 1113,39; 1113.5,39; 1114,39; 1114.5,
              39; 1115,39; 1115.5,39; 1116,39; 1116.5,39; 1117,39; 1117.5,39; 1118,39;
              1118.5,39; 1119,38.9; 1119.5,38.9; 1120,38.9; 1120.5,38.9; 1121,38.9; 1121.5,
              38.9; 1122,38.9; 1122.5,38.9; 1123,38.9; 1123.5,38.9; 1124,38.9; 1124.5,
              38.9; 1125,38.9; 1125.5,38.9; 1126,38.9; 1126.5,38.9; 1127,38.9; 1127.5,
              38.9; 1128,38.9; 1128.5,38.7; 1129,38.7; 1129.5,38.7; 1130,38.7; 1130.5,
              38.7; 1131,38.7; 1131.5,38.7; 1132,38.7; 1132.5,38.7; 1133,38.7; 1133.5,
              38.7; 1134,38.7; 1134.5,38.7; 1135,38.7; 1135.5,38.7; 1136,38.7; 1136.5,
              38.6; 1137,38.6; 1137.5,38.6; 1138,38.6; 1138.5,38.6; 1139,38.6; 1139.5,
              38.6; 1140,38.6; 1140.5,38.6; 1141,38.6; 1141.5,38.6; 1142,38.6; 1142.5,
              38.6; 1143,38.6; 1143.5,38.4; 1144,38.4; 1144.5,38.4; 1145,38.4; 1145.5,
              38.4; 1146,38.4; 1146.5,38.4; 1147,38.4; 1147.5,38.4; 1148,38.4; 1148.5,
              38.4; 1149,38.4; 1149.5,38.4; 1150,38.4; 1150.5,38.4; 1151,38.4; 1151.5,
              38.3; 1152,38.3; 1152.5,38.4; 1153,38.4; 1153.5,38.4; 1154,38.3; 1154.5,
              38.3; 1155,38.3; 1155.5,38.3; 1156,38.3; 1156.5,38.3; 1157,38.3; 1157.5,
              38.3; 1158,38.3; 1158.5,38.3; 1159,38.3; 1159.5,38.3; 1160,38.3; 1160.5,
              38.3; 1161,38.1; 1161.5,38.1; 1162,38.1; 1162.5,38.1; 1163,38.1; 1163.5,
              38.1; 1164,38.1; 1164.5,38.1; 1165,38.1; 1165.5,38.1; 1166,38.1; 1166.5,
              38.1; 1167,38.1; 1167.5,38.1; 1168,38.1; 1168.5,38.1; 1169,38.1; 1169.5,
              38.1; 1170,38.1; 1170.5,38; 1171,38; 1171.5,38; 1172,38; 1172.5,38; 1173,
              38; 1173.5,38; 1174,38; 1174.5,38; 1175,38; 1175.5,38; 1176,38; 1176.5,38;
              1177,38; 1177.5,38; 1178,38; 1178.5,38; 1179,38; 1179.5,37.8; 1180,37.8;
              1180.5,37.8; 1182.1,37.8; 1182.2,37.8; 1182.5,37.8; 1184.7,37.8; 1184.8,
              37.8; 1185.1,37.8; 1185.5,37.8; 1186,37.8; 1186.5,37.7; 1187,37.7; 1187.5,
              37.7; 1188,37.7; 1188.5,37.7; 1189,37.7; 1189.5,37.7; 1190.1,37.7; 1190.5,
              37.7; 1191,37.7; 1191.5,37.7; 1192,37.5; 1192.5,37.7; 1193,37.7; 1193.5,
              37.5; 1194,37.5; 1194.5,37.5; 1195,37.5; 1195.5,37.5; 1196,37.5; 1196.5,
              37.5; 1197,37.5; 1197.5,37.5; 1198,37.5; 1198.5,37.5; 1199,37.5; 1199.5,
              37.5; 1200,37.5; 1200.5,37.5; 1201,37.5; 1201.5,37.5; 1202,37.5; 1202.5,
              37.5; 1203,37.5; 1203.5,37.5; 1204,37.5; 1204.5,37.5; 1205,37.3; 1205.5,
              37.3; 1206,37.4; 1206.5,37.4; 1207,37.3; 1207.5,37.4; 1208,37.3; 1208.5,
              37.3; 1209,37.4; 1209.5,37.3; 1210,37.4; 1210.5,37.4; 1211,37.3; 1211.5,
              37.3; 1212,37.3; 1212.5,37.3; 1213,37.3; 1213.5,37.2; 1214,37.2; 1214.5,
              37.2; 1215,37.2; 1215.5,37.2; 1216,37.2; 1216.5,37.2; 1217,37.2; 1217.5,
              37.2; 1218,37.2; 1218.5,37.2; 1219,37.2; 1219.5,37.2; 1220,37.2; 1220.5,
              37.2; 1221,37.2; 1221.5,37.2; 1222,37; 1222.5,37; 1223,37; 1223.5,37; 1224,
              37; 1224.5,37; 1225,37; 1225.5,37; 1226,37; 1226.5,37; 1227,37; 1227.5,37;
              1228,37; 1228.5,37; 1229,37; 1229.5,37; 1230,37; 1230.5,37; 1231,37; 1231.5,
              36.9; 1232,36.9; 1232.5,36.9; 1233,36.9; 1233.5,36.9; 1234,36.9; 1234.5,
              36.9; 1235,36.9; 1235.5,36.9; 1236,36.9; 1236.5,36.9; 1237,36.9; 1237.5,
              36.9; 1238,36.9; 1238.5,36.7; 1239,36.9; 1239.5,36.7; 1240,36.7; 1240.5,
              36.7; 1241,36.7; 1241.5,36.7; 1242,36.7; 1242.5,36.7; 1243,36.7; 1243.5,
              36.7; 1244,36.6; 1244.5,36.7; 1245,36.7; 1245.5,36.7; 1246,36.7; 1246.5,
              36.7; 1247,36.7; 1247.5,36.7; 1248,36.7; 1248.5,36.6; 1249,36.6; 1249.5,
              36.6; 1250,36.6; 1250.5,36.6; 1251,36.6; 1251.5,36.6; 1252,36.6; 1252.5,
              36.6; 1253,36.6; 1253.5,36.6; 1254,36.6; 1254.5,36.6; 1255,36.6; 1255.5,
              36.6; 1256,36.6; 1256.5,36.6; 1257,36.6; 1257.5,36.6; 1258,36.6; 1258.5,
              36.6; 1259,36.6; 1259.5,36.6; 1260,36.4; 1260.5,36.4; 1261,36.4; 1261.5,
              36.4; 1262,36.4; 1262.5,36.4; 1263,36.4; 1263.5,36.4; 1264,36.4; 1264.5,
              36.4; 1265,36.4; 1265.5,36.4; 1266,36.4; 1266.5,36.4; 1267,36.4; 1267.5,
              36.3; 1268,36.4; 1268.5,36.3; 1269,36.3; 1269.5,36.3; 1270,36.3; 1270.5,
              36.3; 1271,36.3; 1271.5,36.3; 1272,36.3; 1272.5,36.3; 1273,36.3; 1273.5,
              36.3; 1274,36.3; 1274.5,36.3; 1275,36.3; 1275.5,36.3; 1276,36.3; 1276.5,
              36.3; 1277,36.3; 1277.5,36.3; 1278,36.3; 1278.5,36.3; 1279,36.3; 1279.5,
              36.1; 1280,36.3; 1280.5,36.3; 1281,36.1; 1281.5,36.1; 1282,36.1; 1282.5,
              36.1; 1283,36.1; 1283.5,36.1; 1284,36.1; 1284.5,36.1; 1285,36.1; 1285.5,
              36.1; 1286,36.1; 1286.5,36.1; 1287,36.1; 1287.5,36.1; 1288,36.1; 1288.5,
              36.1; 1289,36.1; 1289.5,36.1; 1290,36.1; 1290.5,36; 1291,36; 1291.5,36;
              1292,36; 1292.5,36; 1293,36; 1293.5,36; 1294,36; 1294.5,36; 1295,36; 1295.5,
              36; 1296,36; 1296.5,36; 1297,36; 1297.5,36; 1298,36; 1298.5,36; 1299,35.8;
              1299.5,35.8; 1300,35.8; 1300.5,35.8; 1301,35.8; 1301.5,35.8; 1302,35.8;
              1302.5,35.8; 1303,35.8; 1303.5,35.8; 1304,35.8; 1304.5,35.8; 1305,35.8;
              1305.5,35.8; 1306,35.8; 1306.5,35.8; 1307,35.8; 1307.5,35.8; 1308,35.8;
              1308.5,35.8; 1309,35.8; 1309.5,35.8; 1310,35.7; 1310.5,35.7; 1311,35.7;
              1311.5,35.6; 1312,35.7; 1312.5,35.7; 1313,35.7; 1313.5,35.7; 1314,35.7;
              1314.5,35.7; 1315,35.7; 1315.5,35.7; 1316,35.6; 1316.5,35.7; 1317,35.7;
              1317.5,35.7; 1318,35.6; 1318.5,35.7; 1319,35.7; 1319.5,35.7; 1320,35.5;
              1320.5,35.5; 1321,35.5; 1321.5,35.5; 1322,35.5; 1322.5,35.5; 1323,35.5;
              1323.5,35.5; 1324,35.5; 1324.5,35.5; 1325,35.5; 1325.5,35.5; 1326,35.5;
              1326.5,35.5; 1327,35.5; 1327.5,35.5; 1328,35.3; 1328.5,35.3; 1329,35.3;
              1329.5,35.3; 1330,35.3; 1330.5,35.3; 1331,35.3; 1331.5,35.3; 1332,35.3;
              1332.5,35.3; 1333,35.3; 1333.5,35.3; 1334,35.3; 1334.5,35.3; 1335,35.3;
              1335.5,35.3; 1336,35.3; 1336.5,35.3; 1337,35.3; 1337.5,35.3; 1338,35.3;
              1338.5,35.3; 1339,35.3; 1339.5,35.3; 1340,35.3; 1340.5,35.3; 1341,35.3;
              1341.5,35.3; 1342,35.3; 1342.5,35.2; 1343,35.2; 1343.5,35.2; 1344,35.2;
              1344.5,35.2; 1345,35.2; 1345.5,35.2; 1346,35.2; 1346.5,35.2; 1347,35.2;
              1347.5,35.2; 1348,35.2; 1348.5,35.2; 1349,35.2; 1349.5,35.2; 1350,35.2;
              1350.5,35.2; 1351,35; 1351.5,35; 1352,35; 1352.5,35; 1353,35; 1353.5,35;
              1354,35; 1354.5,35; 1355,35; 1355.5,35; 1356,35; 1356.5,35; 1357,35; 1357.5,
              35; 1358,35; 1358.5,35; 1359,35; 1359.5,35; 1360,35; 1360.5,35; 1361,35;
              1361.5,35; 1362,35; 1362.5,35; 1363,35; 1363.5,35; 1364,35; 1364.5,35; 1365,
              35; 1365.5,35; 1366,34.9; 1366.5,34.9; 1367,34.9; 1367.5,34.9; 1368,34.9;
              1368.5,34.9; 1369,34.9; 1369.5,34.9; 1370,34.9; 1370.5,34.9; 1371,34.9;
              1371.5,34.9; 1372,34.9; 1372.5,34.9; 1373,34.9; 1373.5,34.9; 1374,34.9;
              1374.5,34.9; 1375,34.9; 1375.5,34.7; 1376,34.7; 1376.5,34.7; 1377,34.7;
              1377.5,34.7; 1378,34.7; 1378.5,34.7; 1379,34.7; 1379.5,34.7; 1380,34.7;
              1380.5,34.7; 1381,34.7; 1381.5,34.7; 1382,34.7; 1382.5,34.7; 1383,34.7;
              1383.5,34.7; 1384,34.7; 1384.5,34.7; 1385,34.7; 1385.5,34.7; 1386,34.6;
              1386.5,34.7; 1387,34.6; 1387.5,34.6; 1388,34.6; 1388.5,34.6; 1389,34.6;
              1389.5,34.6; 1390,34.6; 1390.5,34.6; 1391,34.6; 1391.5,34.6; 1392,34.6;
              1392.5,34.6; 1393,34.6; 1393.5,34.6; 1394,34.6; 1394.5,34.6; 1395,34.6;
              1395.5,34.6; 1396,34.6; 1396.5,34.6; 1397,34.6; 1397.5,34.6; 1398,34.6;
              1398.5,34.6; 1399,34.6; 1399.5,34.6; 1400,34.6; 1400.5,34.6; 1401,34.4;
              1401.5,34.4; 1402,34.4; 1402.5,34.4; 1403,34.4; 1403.5,34.4; 1404,34.4;
              1404.5,34.4; 1405,34.4; 1405.5,34.4; 1406,34.4; 1406.5,34.4; 1407,34.4;
              1407.5,34.4; 1408,34.4; 1408.5,34.4; 1409,34.4; 1409.5,34.4; 1410,34.4;
              1410.5,34.4; 1411,34.4; 1411.5,34.4; 1412,34.4; 1412.5,34.4; 1413,34.4;
              1413.5,34.4; 1414,34.4; 1414.5,34.3; 1415,34.3; 1415.5,34.3; 1416,34.3;
              1416.5,34.3; 1417,34.3; 1417.5,34.3; 1418,34.3; 1418.5,34.3; 1419,34.3;
              1419.5,34.3; 1420,34.3; 1420.5,34.3; 1421,34.3; 1421.5,34.3; 1422,34.3;
              1422.5,34.3; 1423,34.3; 1423.5,34.3; 1424,34.1; 1424.5,34.1; 1425,34.1;
              1425.5,34.1; 1426,34.1; 1426.5,34.1; 1427,34.1; 1427.5,34.1; 1428,34.1;
              1428.5,34.1; 1429,34.1; 1429.5,34.1; 1430,34.1; 1430.5,34.1; 1431,34.1;
              1431.5,34.1; 1432,34.1; 1432.5,34.1; 1433,34.1; 1433.5,34.1; 1434,34.1;
              1434.5,34.1; 1435,34.1; 1435.5,34.1; 1436,34.1; 1436.5,34; 1437,34.1; 1437.5,
              34; 1438,34; 1438.5,34; 1439,34; 1439.5,34; 1440,34; 1440.5,34; 1441,34;
              1441.5,34; 1442,34; 1442.5,34; 1443,34; 1443.5,34; 1444,34; 1444.5,34; 1445,
              34; 1445.5,34; 1446,34; 1446.5,33.8; 1447,34; 1447.5,33.8; 1448,33.8; 1448.5,
              33.8; 1449,33.8; 1449.5,33.8; 1450,33.8; 1450.5,33.8; 1451,33.8; 1451.5,
              33.8; 1452,33.8; 1452.5,33.8; 1453,33.8; 1453.5,33.8; 1454,33.8; 1454.5,
              33.8; 1455,33.8; 1455.5,33.8; 1456,33.8; 1456.5,33.8; 1457,33.8; 1457.5,
              33.8; 1458,33.8; 1458.5,33.8; 1459,33.8; 1459.5,33.8; 1460,33.8; 1460.5,
              33.8; 1461,33.8; 1461.5,33.8; 1462,33.8; 1462.5,33.8; 1463,33.7; 1463.5,
              33.7; 1464,33.7; 1464.5,33.7; 1465,33.7; 1465.5,33.7; 1466,33.7; 1466.5,
              33.7; 1467,33.7; 1467.5,33.7; 1468,33.7; 1468.5,33.7; 1469,33.7; 1469.5,
              33.7; 1470,33.7; 1470.5,33.7; 1471,33.7; 1471.5,33.7; 1472,33.7; 1472.5,
              33.7; 1473,33.7; 1473.5,33.7; 1474,33.7; 1474.5,33.7; 1475,33.7; 1475.5,
              33.7; 1476,33.7; 1476.5,33.5; 1477,33.5; 1477.5,33.5; 1478,33.5; 1478.5,
              33.5; 1479,33.5; 1479.5,33.5; 1480,33.5; 1480.5,33.5; 1481,33.5; 1481.5,
              33.5; 1482,33.5; 1482.5,33.5; 1483,33.5; 1483.5,33.5; 1484,33.5; 1484.5,
              33.5; 1485,33.5; 1485.5,33.5; 1486,33.5; 1486.5,33.5; 1487,33.5; 1487.5,
              33.3; 1488,33.3; 1488.5,33.3; 1489,33.3; 1489.5,33.4; 1490,33.4; 1490.5,
              33.3; 1491,33.3; 1491.5,33.3; 1492,33.4; 1492.5,33.4; 1493,33.3; 1493.5,
              33.3; 1494,33.3; 1494.5,33.3; 1495,33.3; 1495.5,33.3; 1496,33.3; 1496.5,
              33.3; 1497,33.3; 1497.5,33.3; 1498,33.3; 1498.5,33.4; 1499,33.4; 1499.5,
              33.4; 1500,33.3; 1500.5,33.4; 1501,33.3; 1501.5,33.4; 1502,33.4; 1502.5,
              33.3; 1503,33.4; 1503.5,33.3; 1504,33.3; 1504.5,33.4; 1505,33.2; 1505.5,
              33.2; 1506,33.2; 1506.5,33.2; 1507,33.2; 1507.5,33.2; 1508,33.2; 1508.5,
              33.2; 1509,33.2; 1509.5,33.2; 1510,33.2; 1510.5,33.2; 1511,33.2; 1511.5,
              33.2; 1512,33.2; 1512.5,33.2; 1513,33.2; 1513.5,33.2; 1514,33.2; 1514.5,
              33.2; 1515,33.2; 1515.5,33.2; 1516,33.2; 1516.5,33; 1517,33; 1517.5,33;
              1518,33; 1518.5,33; 1519,33; 1519.5,33; 1520,33; 1520.5,33; 1521,33; 1521.5,
              33; 1522,33; 1522.5,33; 1523,33; 1523.5,33; 1524,33; 1524.5,33; 1525,33;
              1525.5,33; 1526,33; 1526.5,33; 1527,33; 1527.5,32.9; 1528,33; 1528.5,32.9;
              1529,32.9; 1529.5,32.9; 1530,32.9; 1530.5,32.9; 1531,32.9; 1531.5,32.9;
              1532,32.9; 1532.5,32.9; 1533,32.9; 1533.5,32.9; 1534,32.9; 1534.5,32.9;
              1535,32.9; 1535.5,32.9; 1536,32.9; 1536.5,32.9; 1537,32.9; 1537.5,32.9;
              1538,32.9; 1538.5,32.9; 1539,32.9; 1539.5,32.9; 1540,32.9; 1540.5,32.9;
              1541,32.9; 1541.5,32.9; 1542,32.9; 1542.5,32.9; 1543,32.9; 1543.5,32.9;
              1544,32.9; 1544.5,32.9; 1545,32.7; 1545.5,32.7; 1546,32.7; 1546.5,32.7;
              1547,32.7; 1547.5,32.7; 1548,32.7; 1548.5,32.7; 1549,32.7; 1549.5,32.7;
              1550,32.7; 1550.5,32.7; 1551,32.7; 1551.5,32.7; 1552,32.7; 1552.5,32.7;
              1553,32.7; 1553.5,32.7; 1554,32.7; 1554.5,32.7; 1555,32.7; 1555.5,32.7;
              1556,32.7; 1556.5,32.7; 1557,32.7; 1557.5,32.7; 1558,32.6; 1558.5,32.6;
              1559,32.6; 1559.5,32.6; 1560,32.6; 1560.5,32.6; 1561,32.6; 1561.5,32.6;
              1562,32.6; 1562.5,32.6; 1563,32.6; 1563.5,32.6; 1564,32.6; 1564.5,32.6;
              1565,32.6; 1565.5,32.6; 1566,32.6; 1566.5,32.6; 1567,32.6; 1567.5,32.4;
              1568,32.4; 1568.5,32.6; 1569,32.4; 1569.5,32.4; 1570,32.4; 1570.5,32.4;
              1571,32.4; 1571.5,32.4; 1572,32.4; 1572.5,32.4; 1573,32.4; 1573.5,32.4;
              1574,32.4; 1574.5,32.4; 1575,32.4; 1575.5,32.4; 1576,32.4; 1576.5,32.4;
              1577,32.4; 1577.5,32.4; 1578,32.4; 1578.5,32.4; 1579,32.4; 1579.5,32.4;
              1580,32.4; 1580.5,32.4; 1581,32.4; 1581.5,32.4; 1582,32.4; 1582.5,32.4;
              1583,32.4; 1583.5,32.4; 1584,32.4; 1584.5,32.4; 1585,32.4; 1585.5,32.4;
              1586,32.4; 1586.5,32.3; 1587,32.4; 1587.5,32.3; 1588,32.3; 1588.5,32.3;
              1589,32.3; 1589.5,32.3; 1590,32.3; 1590.5,32.3; 1591,32.3; 1591.5,32.3;
              1592,32.3; 1592.5,32.3; 1593,32.3; 1593.5,32.3; 1594,32.3; 1594.5,32.3;
              1595,32.3; 1595.5,32.3; 1596,32.3; 1596.5,32.3; 1597,32.3; 1597.5,32.3;
              1598,32.3; 1598.5,32.3; 1599,32.1; 1599.5,32.3; 1600,32.1; 1600.5,32.3;
              1601,32.3; 1601.5,32.1; 1602,32.1; 1602.5,32.1; 1603,32.1; 1603.5,32.1;
              1604,32.1; 1604.5,32.1; 1605,32.1; 1605.5,32.1; 1606,32.1; 1606.5,32.1;
              1607,32.1; 1607.5,32.1; 1608,32.1; 1608.5,32.1; 1609,32.1; 1609.5,32.1;
              1610,32.1; 1610.5,32.1; 1611,32.1; 1611.5,32.1; 1612,32.1; 1612.5,32.1;
              1613,32.1; 1613.5,32.1; 1614,32.1; 1614.5,32.1; 1615,32.1; 1615.5,32.1;
              1616,32.1; 1616.5,32; 1617,32.1; 1617.5,32; 1618,32.1; 1618.5,32; 1619,32;
              1619.5,32; 1620,32; 1620.5,32; 1621,32; 1621.5,32; 1622,32; 1622.5,32; 1623,
              32; 1623.5,32; 1624,32; 1624.5,32; 1625,32; 1625.5,32; 1626,32; 1626.5,32;
              1627,32; 1627.5,32; 1628,32; 1628.5,31.8; 1629,32; 1629.5,32; 1630,32; 1630.5,
              31.8; 1631,32; 1631.5,32; 1632,31.8; 1632.5,31.8; 1633,31.8; 1633.5,31.8;
              1634,31.8; 1634.5,31.8; 1635,31.8; 1635.5,31.8; 1636,31.8; 1636.5,31.8;
              1637,31.8; 1637.5,31.8; 1638,31.8; 1638.5,31.8; 1639,31.8; 1639.5,31.8;
              1640,31.8; 1640.5,31.8; 1641,31.8; 1641.5,31.8; 1642,31.8; 1642.5,31.8;
              1643,31.7; 1643.5,31.8; 1644,31.8; 1644.5,31.7; 1645,31.7; 1645.5,31.8;
              1646,31.8; 1646.5,31.7; 1647,31.8; 1647.5,31.7; 1648,31.7; 1648.5,31.7;
              1649,31.7; 1649.5,31.7; 1650,31.7; 1650.5,31.7; 1651,31.7; 1651.5,31.7;
              1652,31.7; 1652.5,31.7; 1653,31.7; 1653.5,31.7; 1654,31.7; 1654.5,31.7;
              1655,31.7; 1655.5,31.7; 1656,31.7; 1656.5,31.7; 1657,31.7; 1657.5,31.7;
              1658,31.7; 1658.5,31.7; 1659,31.7; 1659.5,31.7; 1660,31.7; 1660.5,31.7;
              1661,31.7; 1661.5,31.7; 1662,31.7; 1662.5,31.7; 1663,31.7; 1663.5,31.7;
              1664,31.7; 1664.5,31.7; 1665,31.7; 1665.5,31.5; 1666,31.5; 1666.5,31.5;
              1667,31.5; 1667.5,31.5; 1668,31.5; 1668.5,31.5; 1669,31.5; 1669.5,31.5;
              1670,31.5; 1670.5,31.5; 1671,31.5; 1671.5,31.5; 1672,31.5; 1672.5,31.5;
              1673,31.5; 1673.5,31.5; 1674,31.5; 1674.5,31.5; 1675,31.5; 1675.5,31.5;
              1676,31.5; 1676.5,31.5; 1677,31.5; 1677.5,31.5; 1678,31.5; 1678.5,31.5;
              1679,31.5; 1679.5,31.4; 1680,31.4; 1680.5,31.4; 1681,31.3; 1681.5,31.4;
              1682,31.4; 1682.5,31.4; 1683,31.4; 1683.5,31.4; 1684,31.4; 1684.5,31.4;
              1685,31.4; 1685.5,31.4; 1686,31.4; 1686.5,31.4; 1687,31.4; 1687.5,31.4;
              1688,31.4; 1688.5,31.4; 1689,31.4; 1689.5,31.4; 1690,31.4; 1690.5,31.4;
              1691,31.4; 1691.5,31.4; 1692,31.3; 1692.5,31.4; 1693,31.4; 1693.5,31.4;
              1694,31.4; 1694.5,31.4; 1695,31.2; 1695.5,31.2; 1696,31.2; 1696.5,31.2;
              1697,31.2; 1697.5,31.2; 1698,31.2; 1698.5,31.2; 1699,31.2; 1699.5,31.2;
              1700,31.2; 1700.5,31.2; 1701,31.2; 1701.5,31.2; 1702,31.2; 1702.5,31.2;
              1703,31.2; 1703.5,31.2; 1704,31.2; 1704.5,31.2; 1705,31.2; 1705.5,31.2;
              1706,31.2; 1706.5,31.2; 1707,31.2; 1707.5,31.2; 1708,31.2; 1708.5,31.2;
              1709,31.2; 1709.5,31.2; 1710,31.2; 1710.5,31.2; 1711,31.2; 1711.5,31.2;
              1712,31.2; 1712.5,31.2; 1713,31.2; 1713.5,31; 1714,31; 1714.5,31.2; 1715,
              31; 1715.5,31.1; 1716,31; 1716.5,31; 1717,31; 1717.5,31.1; 1718,31; 1718.5,
              31; 1719,31; 1719.5,31; 1720,31; 1720.5,31; 1721,31; 1721.5,31; 1722,31;
              1722.5,31; 1723,31; 1723.5,31; 1724,31; 1724.5,31; 1725,31; 1725.5,31; 1726,
              31; 1726.5,31; 1727,30.9; 1727.5,30.9; 1728,30.9; 1728.5,31; 1729,31; 1729.5,
              31; 1730,30.9; 1730.5,31; 1731,30.9; 1731.5,31; 1732,31; 1732.5,30.9; 1733,
              30.9; 1733.5,30.9; 1734,30.9; 1734.5,30.9; 1735,30.9; 1735.5,30.9; 1736,
              30.9; 1736.5,30.9; 1737,30.9; 1737.5,30.9; 1738,30.9; 1738.5,30.9; 1739,
              30.9; 1739.5,30.9; 1740,30.9; 1740.5,30.9; 1741,30.9; 1741.5,30.9; 1742,
              30.9; 1742.5,30.9; 1743,30.9; 1743.5,30.9; 1744,30.9; 1744.5,30.9; 1745,
              30.9; 1745.5,30.9; 1746,30.9; 1746.5,30.9; 1747,30.9; 1747.5,30.9; 1748,
              30.9; 1748.5,30.9; 1749,30.9; 1749.5,30.9; 1750,30.9; 1750.5,30.9; 1751,
              30.7; 1751.5,30.7; 1752,30.7; 1752.5,30.7; 1753,30.7; 1753.5,30.7; 1754,
              30.7; 1754.5,30.7; 1755,30.7; 1755.5,30.7; 1756,30.7; 1756.5,30.7; 1757,
              30.7; 1757.5,30.7; 1758,30.7; 1758.5,30.7; 1759,30.7; 1759.5,30.7; 1760,
              30.7; 1760.5,30.7; 1761,30.7; 1761.5,30.7; 1762,30.7; 1762.5,30.7; 1763,
              30.7; 1763.5,30.7; 1764,30.7; 1764.5,30.6; 1765,30.7; 1765.5,30.7; 1766,
              30.7; 1766.5,30.7; 1767,30.7; 1767.5,30.7; 1768,30.7; 1768.5,30.7; 1769,
              30.6; 1769.5,30.6; 1770,30.6; 1770.5,30.6; 1771,30.6; 1771.5,30.6; 1772,
              30.6; 1772.5,30.6; 1773,30.6; 1773.5,30.6; 1774,30.6; 1774.5,30.6; 1775,
              30.6; 1775.5,30.6; 1776,30.6; 1776.5,30.6; 1777,30.6; 1777.5,30.6; 1778,
              30.6; 1778.5,30.6; 1779,30.6; 1779.5,30.6; 1780,30.6; 1780.5,30.4; 1781,
              30.6; 1781.5,30.6; 1782,30.6; 1782.5,30.6; 1783,30.6; 1783.5,30.4; 1784,
              30.4; 1784.5,30.4; 1785,30.4; 1785.5,30.4; 1786,30.4; 1786.5,30.4; 1787,
              30.4; 1787.5,30.4; 1788,30.4; 1788.5,30.4; 1789,30.4; 1789.5,30.4; 1790,
              30.4; 1790.5,30.4; 1791,30.4; 1791.5,30.4; 1792,30.4; 1792.5,30.4; 1793,
              30.4; 1793.5,30.4; 1794,30.4; 1794.5,30.4; 1795,30.4; 1795.5,30.4; 1796,
              30.4; 1796.5,30.4; 1797,30.4; 1797.5,30.4; 1798,30.4; 1798.5,30.4; 1799,
              30.4; 1799.5,30.4; 1800,30.4; 1800.5,30.4; 1801,30.4; 1801.5,30.4; 1802,
              30.4; 1802.5,30.4; 1803,30.4; 1803.5,30.4; 1804,30.4; 1804.5,30.4; 1805,
              30.4; 1805.5,30.4; 1806,30.4; 1806.5,30.4; 1807,30.4; 1807.5,30.4; 1808,
              30.4; 1808.5,30.3; 1809,30.3; 1809.5,30.3; 1810,30.3; 1810.5,30.3; 1811,
              30.3; 1811.5,30.3; 1812,30.3; 1812.5,30.3; 1813,30.3; 1813.5,30.3; 1814,
              30.3; 1814.5,30.3; 1815,30.3; 1815.5,30.3; 1816,30.3; 1816.5,30.3; 1817,
              30.3; 1817.5,30.3; 1818,30.3; 1818.5,30.3; 1819,30.3; 1819.5,30.3; 1820,
              30.3; 1820.5,30.3; 1821,30.3; 1821.5,30.3; 1822,30.3; 1822.5,30.1; 1823,
              30.1; 1823.5,30.1; 1824,30.1; 1824.5,30.1; 1825,30.1; 1825.5,30.1; 1826,
              30.1; 1826.5,30.1; 1827,30.1; 1827.5,30.1; 1828,30.1; 1828.5,30.1; 1829,
              30.1; 1829.5,30.1; 1830,30.1; 1830.5,30.1; 1831,30.1; 1831.5,30.1; 1832,
              30.1; 1832.5,30.1; 1833,30.1; 1833.5,30.1; 1834,30.1; 1834.5,30.1; 1835,
              30.1; 1835.5,30.1; 1836,30.1; 1836.5,30.1; 1837,30.1; 1837.5,30.1; 1838,
              30.1; 1838.5,30.1; 1839,30.1; 1839.5,30.1; 1840,30.1; 1840.5,30.1; 1841,
              30; 1841.5,30; 1842,30; 1842.5,30; 1843,30; 1843.5,30; 1844,30; 1844.5,30;
              1845,30; 1845.5,30; 1846,30; 1846.5,30; 1847,30; 1847.5,30; 1848,30; 1848.5,
              30; 1849,30; 1849.5,30; 1850,30; 1850.5,30; 1851,30; 1851.5,30; 1852,30;
              1852.5,30; 1853,30; 1853.5,30; 1854,30; 1854.5,30; 1855,30; 1855.5,30; 1856,
              30; 1856.5,30; 1857,30; 1857.5,30; 1858,30; 1858.5,30; 1859,30; 1859.5,30;
              1860,30; 1860.5,30; 1861,30; 1861.5,30; 1862,30; 1862.5,30; 1863,30; 1863.5,
              30; 1864,30; 1864.5,30; 1865,30; 1865.5,30; 1866,30; 1866.5,29.8; 1867,29.8;
              1867.5,29.8; 1868,29.8; 1868.5,29.8; 1869,29.8; 1869.5,29.8; 1870,29.8;
              1870.5,29.8; 1871,29.8; 1871.5,29.8; 1872,29.8; 1872.5,29.8; 1873,29.8;
              1873.5,29.8; 1874,29.8; 1874.5,29.8; 1875,29.8; 1875.5,29.8; 1876,29.8;
              1876.5,29.8; 1877,29.8; 1877.5,29.8; 1878,29.8; 1878.5,29.8; 1879,29.7;
              1879.5,29.8; 1880,29.8; 1880.5,29.8; 1881,29.8; 1881.5,29.8; 1882,29.8;
              1882.5,29.7; 1883,29.8; 1883.5,29.7; 1884,29.7; 1884.5,29.7; 1885,29.7;
              1885.5,29.7; 1886,29.7; 1886.5,29.7; 1887,29.7; 1887.5,29.7; 1888,29.7;
              1888.5,29.7; 1889,29.7; 1889.5,29.7; 1890,29.7; 1890.5,29.7; 1891,29.7;
              1891.5,29.7; 1892,29.7; 1892.5,29.7; 1893,29.7; 1893.5,29.7; 1894,29.7;
              1894.5,29.7; 1895,29.7; 1895.5,29.7; 1896,29.7; 1896.5,29.7; 1897,29.7;
              1897.5,29.7; 1898,29.7; 1898.5,29.7; 1899,29.7; 1899.5,29.7; 1900,29.7;
              1900.5,29.7; 1901,29.7; 1901.5,29.7; 1902,29.7; 1902.5,29.7; 1903,29.7;
              1903.5,29.7; 1904,29.7; 1904.5,29.7; 1905,29.7; 1905.5,29.7; 1906,29.7;
              1906.5,29.7; 1907,29.7; 1907.5,29.7; 1908,29.7; 1908.5,29.5; 1909,29.5;
              1909.5,29.5; 1910,29.5; 1910.5,29.5; 1911,29.5; 1911.5,29.5; 1912,29.5;
              1912.5,29.5; 1913,29.5; 1913.5,29.5; 1914,29.5; 1914.5,29.5; 1915,29.5;
              1915.5,29.5; 1916,29.5; 1916.5,29.5; 1917,29.5; 1917.5,29.5; 1918,29.5;
              1918.5,29.5; 1919,29.5; 1919.5,29.5; 1920,29.5; 1920.5,29.5; 1921,29.5;
              1921.5,29.5; 1922,29.5; 1922.5,29.5; 1923,29.5; 1923.5,29.5; 1924,29.4;
              1924.5,29.5; 1925,29.5; 1925.5,29.5; 1926,29.5; 1926.5,29.4; 1927,29.5;
              1927.5,29.4; 1928,29.4; 1928.5,29.4; 1929,29.4; 1929.5,29.4; 1930,29.4;
              1930.5,29.4; 1931,29.4; 1931.5,29.4; 1932,29.4; 1932.5,29.4; 1933,29.4;
              1933.5,29.4; 1934,29.4; 1934.5,29.4; 1935,29.4; 1935.5,29.4; 1936,29.4;
              1936.5,29.4; 1937,29.4; 1937.5,29.4; 1938,29.4; 1938.5,29.4; 1939,29.4;
              1939.5,29.4; 1940,29.4; 1940.5,29.4; 1941,29.4; 1941.5,29.4; 1942,29.4;
              1942.5,29.4; 1943,29.4; 1943.5,29.4; 1944,29.4; 1944.5,29.4; 1945,29.4;
              1945.5,29.4; 1946,29.4; 1946.5,29.4; 1947,29.2; 1947.5,29.2; 1948,29.2;
              1948.5,29.2; 1949,29.2; 1949.5,29.2; 1950,29.2; 1950.5,29.2; 1951,29.2;
              1951.5,29.2; 1952,29.2; 1952.5,29.2; 1953,29.2; 1953.5,29.2; 1954,29.2;
              1954.5,29.2; 1955,29.2; 1955.5,29.2; 1956,29.2; 1956.5,29.2; 1957,29.2;
              1957.5,29.2; 1958,29.2; 1958.5,29.2; 1959,29.2; 1959.5,29.2; 1960,29.2;
              1960.5,29.2; 1961,29.2; 1961.5,29.2; 1962,29.2; 1962.5,29.2; 1963,29.2;
              1963.5,29.2; 1964,29.2; 1964.5,29.2; 1965,29.2; 1965.5,29.2; 1966,29.2;
              1966.5,29.2; 1967,29.2; 1967.5,29.2; 1968,29.2; 1968.5,29.2; 1969,29.2;
              1969.5,29.2; 1970,29.2; 1970.5,29.2; 1971,29.1; 1971.5,29.2; 1972,29.1;
              1972.5,29.1; 1973,29.1; 1973.5,29.1; 1974,29.1; 1974.5,29.1; 1975,29.1;
              1975.5,29.1; 1976,29.1; 1976.5,29.1; 1977,29.1; 1977.5,29.1; 1978,29.1;
              1978.5,29.1; 1979,29.1; 1979.5,29.1; 1980,29.1; 1980.5,29.1; 1981,29.1;
              1981.5,29.1; 1982,29.1; 1982.5,29.1; 1983,29.1; 1983.5,29.1; 1984,29.1;
              1984.5,29.1; 1985,29.1; 1985.5,29.1; 1986,29.1; 1986.5,29.1; 1987,29.1;
              1987.5,29.1; 1988,29.1; 1988.5,29.1; 1989,29.1; 1989.5,29.1; 1990,29.1;
              1990.5,29.1; 1991,29.1; 1991.5,29.1; 1992,29.1; 1992.5,29.1; 1993,29.1;
              1993.5,29.1; 1994,28.9; 1994.5,28.9; 1995,28.9; 1995.5,28.9; 1996,28.9;
              1996.5,28.9; 1997,28.9; 1997.5,28.9; 1998,28.9; 1998.5,28.9; 1999,28.9;
              1999.5,28.9; 2000,28.9; 2000.5,28.9; 2001,28.9; 2001.5,28.9; 2002,28.9;
              2002.5,28.9; 2003,28.9; 2003.5,28.9; 2004,28.9; 2004.5,28.9; 2005,28.9;
              2005.5,28.9; 2006,28.9; 2006.5,28.9; 2007,28.9; 2007.5,28.9; 2008,28.9;
              2008.5,28.9; 2009,28.9; 2009.5,28.9; 2010,28.9; 2010.5,28.9; 2011,28.9;
              2011.5,28.9; 2012,28.9; 2012.5,28.9; 2013,28.9; 2013.5,28.9; 2014,28.9;
              2014.5,28.8; 2015,28.8; 2015.5,28.8; 2016,28.8; 2016.5,28.8; 2017,28.8;
              2017.5,28.8; 2018,28.8; 2018.5,28.8; 2019,28.8; 2019.5,28.8; 2020,28.7;
              2020.5,28.8; 2021,28.8; 2021.5,28.8; 2022,28.8; 2022.5,28.8; 2023,28.8;
              2023.5,28.8; 2024,28.7; 2024.5,28.8; 2025,28.8; 2025.5,28.7; 2026,28.7;
              2026.5,28.8; 2027,28.8; 2027.5,28.8; 2028,28.8; 2028.5,28.8; 2029,28.8;
              2029.5,28.8; 2030,28.8; 2030.5,28.8; 2031,28.8; 2031.5,28.8; 2032,28.8;
              2032.5,28.8; 2033,28.8; 2033.5,28.8; 2034,28.8; 2034.5,28.8; 2035,28.8;
              2035.5,28.8; 2036,28.8; 2036.5,28.8; 2037,28.8; 2037.5,28.8; 2038,28.8;
              2038.5,28.8; 2039,28.8; 2039.5,28.8; 2040,28.8; 2040.5,28.8; 2041,28.8;
              2041.5,28.8; 2042,28.8; 2042.5,28.8; 2043,28.8; 2043.5,28.8; 2044,28.6;
              2044.5,28.6; 2045,28.6; 2045.5,28.6; 2046,28.6; 2046.5,28.6; 2047,28.6;
              2047.5,28.6; 2048,28.6; 2048.5,28.6; 2049,28.6; 2049.5,28.6; 2050,28.6;
              2050.5,28.6; 2051,28.6; 2051.5,28.6; 2052,28.6; 2052.5,28.6; 2053,28.6;
              2053.5,28.6; 2054,28.6; 2054.5,28.6; 2055,28.6; 2055.5,28.6; 2056,28.6;
              2056.5,28.6; 2057,28.6; 2057.5,28.6; 2058,28.6; 2058.5,28.6; 2059,28.6;
              2059.5,28.6; 2060,28.6; 2060.5,28.6; 2061,28.6; 2061.5,28.6; 2062,28.6;
              2062.5,28.6; 2063,28.6; 2063.5,28.6; 2064,28.6; 2064.5,28.6; 2065,28.6;
              2065.5,28.6; 2066,28.6; 2066.5,28.6; 2067,28.4; 2067.5,28.4; 2068,28.4;
              2068.5,28.4; 2069,28.4; 2069.5,28.4; 2070,28.4; 2070.5,28.4; 2071,28.4;
              2071.5,28.4; 2072,28.4; 2072.5,28.4; 2073,28.4; 2073.5,28.4; 2074,28.4;
              2074.5,28.4; 2075,28.4; 2075.5,28.4; 2076,28.4; 2076.5,28.4; 2077,28.4;
              2077.5,28.4; 2078,28.4; 2078.5,28.4; 2079,28.4; 2079.5,28.4; 2080,28.4;
              2080.5,28.4; 2081,28.4; 2081.5,28.4; 2082,28.4; 2082.5,28.4; 2083,28.4;
              2083.5,28.4; 2084,28.4; 2084.5,28.4; 2085,28.4; 2085.5,28.4; 2086,28.4;
              2086.5,28.4; 2087,28.4; 2087.5,28.4; 2088,28.4; 2088.5,28.4; 2089,28.4;
              2089.5,28.4; 2090,28.4; 2090.5,28.4; 2091,28.4; 2091.5,28.4; 2092,28.4;
              2092.5,28.4; 2093,28.4; 2093.5,28.4; 2094,28.4; 2094.5,28.4; 2095,28.4;
              2095.5,28.4; 2096,28.5; 2096.5,28.4; 2097,28.3; 2097.5,28.3; 2098,28.3;
              2098.5,28.3; 2099,28.3; 2099.5,28.3; 2100,28.3; 2100.5,28.3; 2101,28.3;
              2101.5,28.3; 2102,28.3; 2102.5,28.3; 2103,28.3; 2103.5,28.3; 2104,28.3;
              2104.5,28.3; 2105,28.3; 2105.5,28.3; 2106,28.3; 2106.5,28.3; 2107,28.3;
              2107.5,28.3; 2108,28.3; 2108.5,28.3; 2109,28.3; 2109.5,28.3; 2110,28.3;
              2110.5,28.3; 2111,28.3; 2111.5,28.3; 2112,28.3; 2112.5,28.3; 2113,28.3;
              2113.5,28.3; 2114,28.3; 2114.5,28.3; 2115,28.3; 2115.5,28.1; 2116,28.1;
              2116.5,28.1; 2117,28.1; 2117.5,28.1; 2118,28.1; 2118.5,28.1; 2119,28.1;
              2119.5,28.1; 2120,28.1; 2120.5,28.1; 2121,28.1; 2121.5,28.1; 2122,28.1;
              2122.5,28.1; 2123,28.1; 2123.5,28.1; 2124,28.1; 2124.5,28.1; 2125,28.1;
              2125.5,28.1; 2126,28.1; 2126.5,28.1; 2127,28.1; 2127.5,28.1; 2128,28.1;
              2128.5,28.1; 2129,28.1; 2129.5,28.1; 2130,28.1; 2130.5,28.1; 2131,28.1;
              2131.5,28.1; 2132,28.1; 2132.5,28.1; 2133,28.1; 2133.5,28.1; 2134,28.1;
              2134.5,28.1; 2135,28.1; 2135.5,28.1; 2136,28.1; 2136.5,28.1; 2137,28.1;
              2137.5,28.1; 2138,28.1; 2138.5,28.1; 2139,28.1; 2139.5,28.1; 2140,28.1;
              2140.5,28.1; 2141,28.1; 2141.5,28.1; 2142,28.1; 2142.5,28.1; 2143,28.1;
              2143.5,28.1; 2144,28.1; 2144.5,28.1; 2145,28.1; 2145.5,28.1; 2146,28.1;
              2146.5,28.1; 2147,28.1; 2147.5,28.1; 2148,28.1; 2148.5,28.1; 2149,28; 2149.5,
              28.1; 2150,28.1; 2150.5,28; 2151,28.1; 2151.5,28; 2152,28; 2152.5,28; 2153,
              28; 2153.5,28; 2154,28; 2154.5,28; 2155,28; 2155.5,28; 2156,28; 2156.5,28;
              2157,28; 2157.5,28; 2158,28; 2158.5,28; 2159,28; 2159.5,28; 2160,28; 2160.5,
              28; 2161,28; 2161.5,28; 2162,28; 2162.5,28; 2163,28; 2163.5,28; 2164,28;
              2164.5,28; 2165,28; 2165.5,28; 2166,28; 2166.5,28; 2167,28; 2167.5,28; 2168,
              28; 2168.5,28; 2169,28; 2169.5,28; 2170,28; 2170.5,28; 2171,28; 2171.5,28;
              2172,28; 2172.5,28; 2173,28; 2173.5,28; 2174,28; 2174.5,28; 2175,28; 2175.5,
              28; 2176,28; 2176.5,28; 2177,28; 2177.5,28; 2178,28; 2178.5,27.8; 2179,27.8;
              2179.5,27.8; 2180,27.8; 2180.5,27.8; 2181,27.8; 2181.5,27.8; 2182,27.8;
              2182.5,27.8; 2183,27.8; 2183.5,27.8; 2184,27.8; 2184.5,27.8; 2185,27.8;
              2185.5,27.8; 2186,27.8; 2186.5,27.8; 2187,27.8; 2187.5,27.8; 2188,27.8;
              2188.5,27.8; 2189,27.8; 2189.5,27.8; 2190,27.8; 2190.5,27.8; 2191,27.8;
              2191.5,27.8; 2192,27.8; 2192.5,27.8; 2193,27.8; 2193.5,27.8; 2194,27.8;
              2194.5,27.8; 2195,27.8; 2195.5,27.8; 2196,27.8; 2196.5,27.8; 2197,27.8;
              2197.5,27.8; 2198,27.8; 2198.5,27.8; 2199,27.8; 2199.5,27.8; 2200,27.7;
              2200.5,27.7; 2201,27.7; 2201.5,27.7; 2202,27.7; 2202.5,27.7; 2203,27.7;
              2203.5,27.7; 2204,27.7; 2204.5,27.7; 2205,27.7; 2205.5,27.7; 2206,27.7;
              2206.5,27.7; 2207,27.7; 2207.5,27.7; 2208,27.7; 2208.5,27.7; 2209,27.7;
              2209.5,27.7; 2210,27.7; 2210.5,27.7; 2211,27.7; 2211.5,27.7; 2212,27.7;
              2212.5,27.7; 2213,27.7; 2213.5,27.7; 2214,27.7; 2214.5,27.7; 2215,27.7;
              2215.5,27.7; 2216,27.7; 2216.5,27.7; 2217,27.7; 2217.5,27.7; 2218,27.7;
              2218.5,27.7; 2219,27.7; 2219.5,27.7; 2220,27.7; 2220.5,27.7; 2221,27.7;
              2221.5,27.7; 2222,27.7; 2222.5,27.7; 2223,27.7; 2223.5,27.7; 2224,27.7;
              2224.5,27.7; 2225,27.7; 2225.5,27.7; 2226,27.7; 2226.5,27.7; 2227,27.7;
              2227.5,27.7; 2228,27.7; 2228.5,27.7; 2229,27.7; 2229.5,27.7; 2230,27.7;
              2230.5,27.7; 2231,27.7; 2231.5,27.5; 2232,27.5; 2232.5,27.5; 2233,27.5;
              2233.5,27.5; 2234,27.5; 2234.5,27.5; 2235,27.5; 2235.5,27.5; 2236,27.5;
              2236.5,27.5; 2237,27.5; 2237.5,27.5; 2238,27.5; 2238.5,27.5; 2239,27.5;
              2239.5,27.5; 2240,27.5; 2240.5,27.5; 2241,27.5; 2241.5,27.5; 2242,27.5;
              2242.5,27.5; 2243,27.5; 2243.5,27.5; 2244,27.5; 2244.5,27.5; 2245,27.5;
              2245.5,27.5; 2246,27.5; 2246.5,27.5; 2247,27.5; 2247.5,27.5; 2248,27.5;
              2248.5,27.5; 2249,27.5; 2249.5,27.5; 2250,27.5; 2250.5,27.5; 2251,27.5;
              2251.5,27.5; 2252,27.5; 2252.5,27.5; 2253,27.5; 2253.5,27.5; 2254,27.5;
              2254.5,27.5; 2255,27.5; 2255.5,27.5; 2256,27.4; 2256.5,27.4; 2257,27.4;
              2257.5,27.4; 2258,27.4; 2258.5,27.4; 2259,27.4; 2259.5,27.4; 2260,27.4;
              2260.5,27.4; 2261,27.4; 2261.5,27.4; 2262,27.4; 2262.5,27.4; 2263,27.4;
              2263.5,27.4; 2264,27.4; 2264.5,27.4; 2265,27.4; 2265.5,27.4; 2266,27.4;
              2266.5,27.4; 2267,27.4; 2267.5,27.4; 2268,27.4; 2268.5,27.4; 2269,27.4;
              2269.5,27.4; 2270,27.4; 2270.5,27.4; 2271,27.4; 2271.5,27.4; 2272,27.4;
              2272.5,27.4; 2273,27.4; 2273.5,27.4; 2274,27.4; 2274.5,27.4; 2275,27.4;
              2275.5,27.4; 2276,27.4; 2276.5,27.4; 2277,27.4; 2277.5,27.4; 2278,27.4;
              2278.5,27.4; 2279,27.4; 2279.5,27.4; 2280,27.4; 2280.5,27.4; 2281,27.4;
              2281.5,27.4; 2282,27.4; 2282.5,27.4; 2283,27.4; 2283.5,27.4; 2284,27.4;
              2284.5,27.4; 2285,27.4; 2285.5,27.4; 2286,27.2; 2286.5,27.2; 2287,27.4;
              2287.5,27.2; 2288,27.2; 2288.5,27.2; 2289,27.2; 2289.5,27.2; 2290,27.2;
              2290.5,27.2; 2291,27.2; 2291.5,27.2; 2292,27.2; 2292.5,27.2; 2293,27.2;
              2293.5,27.2; 2294,27.2; 2294.5,27.2; 2295,27.2; 2295.5,27.2; 2296,27.2;
              2296.5,27.2; 2297,27.2; 2297.5,27.2; 2298,27.2; 2298.5,27.2; 2299,27.2;
              2299.5,27.2; 2300,27.2; 2300.5,27.2; 2301,27.2; 2301.5,27.2; 2302,27.2;
              2302.5,27.2; 2303,27.2; 2303.5,27.2; 2304,27.2; 2304.5,27.2; 2305,27.2;
              2305.5,27.2; 2306,27.2; 2306.5,27.2; 2307,27.2; 2307.5,27.2; 2308,27.2;
              2308.5,27.2; 2309,27.2; 2309.5,27.2; 2310,27.2; 2310.5,27.2; 2311,27.2;
              2311.5,27.2; 2312,27.2; 2312.5,27.2; 2313,27.2; 2313.5,27.2; 2314,27.2;
              2314.5,27.2; 2315,27.2; 2315.5,27.2; 2316,27.2; 2316.5,27.2; 2317,27.2;
              2317.5,27.2; 2318,27.2; 2318.5,27.2; 2319,27.2; 2319.5,27.2; 2320,27.2;
              2320.5,27.2; 2321,27.2; 2321.5,27.2; 2322,27.2; 2322.5,27.2; 2323,27.1;
              2323.5,27.1; 2324,27.1; 2324.5,27; 2325,27; 2325.5,27.1; 2326,27; 2326.5,
              27.1; 2327,27; 2327.5,27; 2328,27.1; 2328.5,27.1; 2329,27.1; 2329.5,27.1;
              2330,27.1; 2330.5,27.1; 2331,27; 2331.5,27.1; 2332,27; 2332.5,27.1; 2333,
              27.1; 2333.5,27; 2334,27; 2334.5,27; 2335,27.1; 2335.5,27; 2336,27.1; 2336.5,
              27.1; 2337,27.1; 2337.5,27.1; 2338,27; 2338.5,27.1; 2339,27.1; 2339.5,27.1;
              2340,27; 2340.5,27.1; 2341,27.1; 2341.5,27.1; 2342,27.1; 2342.5,27; 2343,
              27.1; 2343.5,27.1; 2344,27.1; 2344.5,27.1; 2345,27.1; 2345.5,27.1; 2346,
              27.1; 2346.5,27.1; 2347,27; 2347.5,27.1; 2348,27.1; 2348.5,27; 2349,27.1;
              2349.5,27.1; 2350,27.1; 2350.5,27.1; 2351,26.9; 2351.5,26.9; 2352,26.9;
              2352.5,26.9; 2353,26.9; 2353.5,26.9; 2354,26.9; 2354.5,26.9; 2355,26.9;
              2355.5,26.9; 2356,26.9; 2356.5,26.9; 2357,26.9; 2357.5,26.9; 2358,26.9;
              2358.5,26.9; 2359,26.9; 2359.5,26.9; 2360,26.9; 2360.5,26.9; 2361,26.9;
              2361.5,26.9; 2362,26.9; 2362.5,26.9; 2363,26.9; 2363.5,26.9; 2364,26.9;
              2364.5,26.9; 2365,26.9; 2365.5,26.9; 2366,26.9; 2366.5,26.9; 2367,26.9;
              2367.5,26.9; 2368,26.9; 2368.5,26.9; 2369,26.9; 2369.5,26.9; 2370,26.9;
              2370.5,26.9; 2371,26.9; 2371.5,26.9; 2372,26.9; 2372.5,26.9; 2373,26.9;
              2373.5,26.9; 2374,26.9; 2374.5,26.9; 2375,26.9; 2375.5,26.9; 2376,26.9;
              2376.5,26.9; 2377,26.9; 2377.5,26.9; 2378,26.9; 2378.5,26.9; 2379,26.7;
              2379.5,26.7; 2380,26.7; 2380.5,26.7; 2381,26.7; 2381.5,26.7; 2382,26.7;
              2382.5,26.7; 2383,26.7; 2383.5,26.7; 2384,26.7; 2384.5,26.7; 2385,26.7;
              2385.5,26.7; 2386,26.7; 2386.5,26.7; 2387,26.7; 2387.5,26.7; 2388,26.7;
              2388.5,26.7; 2389,26.7; 2389.5,26.7; 2390,26.7; 2390.5,26.7; 2391,26.7;
              2391.5,26.7; 2392,26.7; 2392.5,26.7; 2393,26.7; 2393.5,26.7; 2394,26.7;
              2394.5,26.7; 2395,26.7; 2395.5,26.7; 2396,26.7; 2396.5,26.7; 2397,26.7;
              2397.5,26.7; 2398,26.7; 2398.5,26.7; 2399,26.7; 2399.5,26.7; 2400,26.7;
              2400.5,26.7; 2401,26.7; 2401.5,26.7; 2402,26.7; 2402.5,26.7; 2403,26.7;
              2403.5,26.7; 2404,26.7; 2404.5,26.7; 2405,26.7; 2405.5,26.7; 2406,26.7;
              2406.5,26.7; 2407,26.7; 2407.5,26.7; 2408,26.7; 2408.5,26.7; 2409,26.7;
              2409.5,26.7; 2410,26.7; 2410.5,26.7; 2411,26.7; 2411.5,26.7; 2412,26.7;
              2412.5,26.7; 2413,26.7; 2413.5,26.7; 2414,26.7; 2414.5,26.7; 2415,26.7;
              2415.5,26.7; 2416,26.7; 2416.5,26.7; 2417,26.7; 2417.5,26.7; 2418,26.7;
              2418.5,26.6; 2419,26.7; 2419.5,26.7; 2420,26.6; 2420.5,26.6; 2421,26.6;
              2421.5,26.7; 2422,26.6; 2422.5,26.6; 2423,26.6; 2423.5,26.6; 2424,26.6;
              2424.5,26.6; 2425,26.6; 2425.5,26.6; 2426,26.6; 2426.5,26.6; 2427,26.6;
              2427.5,26.6; 2428,26.6; 2428.5,26.6; 2429,26.6; 2429.5,26.6; 2430,26.6;
              2430.5,26.6; 2431,26.6; 2431.5,26.6; 2432,26.6; 2432.5,26.6; 2433,26.6;
              2433.5,26.6; 2434,26.6; 2434.5,26.6; 2435,26.6; 2435.5,26.6; 2436,26.6;
              2436.5,26.6; 2437,26.6; 2437.5,26.6; 2438,26.6; 2438.5,26.6; 2439,26.6;
              2439.5,26.6; 2440,26.6; 2440.5,26.6; 2441,26.6; 2441.5,26.6; 2442,26.6;
              2442.5,26.6; 2443,26.6; 2443.5,26.6; 2444,26.6; 2444.5,26.6; 2445,26.6;
              2445.5,26.6; 2446,26.6; 2446.5,26.6; 2447,26.6; 2447.5,26.4; 2448,26.6;
              2448.5,26.6; 2449,26.6; 2449.5,26.6; 2450,26.6; 2450.5,26.6; 2451,26.6;
              2451.5,26.6; 2452,26.4; 2452.5,26.6; 2453,26.4; 2453.5,26.4; 2454,26.4;
              2454.5,26.4; 2455,26.4; 2455.5,26.4; 2456,26.4; 2456.5,26.4; 2457,26.4;
              2457.5,26.4; 2458,26.4; 2458.5,26.4; 2459,26.4; 2459.5,26.4; 2460,26.4;
              2460.5,26.4; 2461,26.4; 2461.5,26.4; 2462,26.4; 2462.5,26.4; 2463,26.4;
              2463.5,26.4; 2464,26.4; 2464.5,26.4; 2465,26.4; 2465.5,26.4; 2466,26.4;
              2466.5,26.4; 2467,26.4; 2467.5,26.4; 2468,26.4; 2468.5,26.4; 2469,26.4;
              2469.5,26.4; 2470,26.4; 2470.5,26.4; 2471,26.4; 2471.5,26.4; 2472,26.4;
              2472.5,26.4; 2473,26.4; 2473.5,26.4; 2474,26.4; 2474.5,26.4; 2475,26.4;
              2475.5,26.4; 2476,26.4; 2476.5,26.4; 2477,26.4; 2477.5,26.4; 2478,26.4;
              2478.5,26.4; 2479,26.4; 2479.5,26.4; 2480,26.4; 2480.5,26.4; 2481,26.4;
              2481.5,26.4; 2482,26.4; 2482.5,26.4; 2483,26.4; 2483.5,26.4; 2484,26.4;
              2484.5,26.4; 2485,26.4; 2485.5,26.4; 2486,26.4; 2486.5,26.4; 2487,26.4;
              2487.5,26.4; 2488,26.4; 2488.5,26.4; 2489,26.4; 2489.5,26.4; 2490,26.4;
              2490.5,26.4; 2491,26.4; 2491.5,26.4; 2492,26.4; 2492.5,26.4; 2493,26.4;
              2493.5,26.4; 2494,26.4; 2494.5,26.4; 2495,26.4; 2495.5,26.4; 2496,26.4;
              2496.5,26.4; 2497,26.4; 2497.5,26.4; 2498,26.4; 2498.5,26.4; 2499,26.4;
              2499.5,26.4; 2500,26.3; 2500.5,26.3; 2501,26.4; 2501.5,26.3; 2502,26.3;
              2502.5,26.3; 2503,26.3; 2503.5,26.3; 2504,26.3; 2504.5,26.3; 2505,26.3;
              2505.5,26.3; 2506,26.3; 2506.5,26.3; 2507,26.3; 2507.5,26.3; 2508,26.3;
              2508.5,26.3; 2509,26.3; 2509.5,26.3; 2510,26.3; 2510.5,26.3; 2511,26.3;
              2511.5,26.3; 2512,26.3; 2512.5,26.3; 2513,26.3; 2513.5,26.3; 2514,26.3;
              2514.5,26.3; 2515,26.3; 2515.5,26.3; 2516,26.3; 2516.5,26.3; 2517,26.3;
              2517.5,26.3; 2518,26.3; 2518.5,26.3; 2519,26.3; 2519.5,26.3; 2520,26.3;
              2520.5,26.3; 2521,26.3; 2521.5,26.3; 2522,26.3; 2522.5,26.3; 2523,26.3;
              2523.5,26.3; 2524,26.3; 2524.5,26.3; 2525,26.3; 2525.5,26.3; 2526,26.3;
              2526.5,26.1; 2527,26.3; 2527.5,26.3; 2528,26.3; 2528.5,26.3; 2529,26.3;
              2529.5,26.3; 2530,26.3; 2530.5,26.3; 2531,26.3; 2531.5,26.3; 2532,26.3;
              2532.5,26.3; 2533,26.3; 2533.5,26.1; 2534,26.3; 2534.5,26.1; 2535,26.1;
              2535.5,26.1; 2536,26.1; 2536.5,26.1; 2537,26.1; 2537.5,26.1; 2538,26.1;
              2538.5,26.1; 2539,26.1; 2539.5,26.1; 2540,26.1; 2540.5,26.1; 2541,26.1;
              2541.5,26.1; 2542,26.1; 2542.5,26.1; 2543,26.1; 2543.5,26.1; 2544,26.1;
              2544.5,26.1; 2545,26.1; 2545.5,26.1; 2546,26.1; 2546.5,26.1; 2547,26.1;
              2547.5,26.1; 2548,26.1; 2548.5,26.1; 2549,26.1; 2549.5,26.1; 2550,26.1;
              2550.5,26.1; 2551,26.1; 2551.5,26.1; 2552,26.1; 2552.5,26.1; 2553,26.1;
              2553.5,26.1; 2554,26.1; 2554.5,26.1; 2555,26.1; 2555.5,26.1; 2556,26.1;
              2556.5,26.1; 2557,26.1; 2557.5,26.1; 2558,26.1; 2558.5,26.1; 2559,26.1;
              2559.5,26.1; 2560,26.1; 2560.5,26.1; 2561,26.1; 2561.5,26.1; 2562,26.1;
              2562.5,26.1; 2563,26.1; 2563.5,26.1; 2564,26.1; 2564.5,26.1; 2565,26.1;
              2565.5,26.1; 2566,26.1; 2566.5,26.1; 2567,26.1; 2567.5,26.1; 2568,26.1;
              2568.5,26.1; 2569,26.1; 2569.5,26.1; 2570,26.1; 2570.5,26.1; 2571,26.1;
              2571.5,26.1; 2572,26.1; 2572.5,26.1; 2573,26.1; 2573.5,26.1; 2574,26.1;
              2574.5,26.1; 2575,26.1; 2575.5,26.1; 2576,26.1; 2576.5,26.1; 2577,26.1;
              2577.5,26.1; 2578,26.1; 2578.5,26.1; 2579,26.1; 2579.5,26.1; 2580,26.1;
              2580.5,26; 2581,26; 2581.5,26; 2582,26; 2582.5,26; 2583,26; 2583.5,26; 2584,
              26; 2584.5,26; 2585,26; 2585.5,26; 2586,26; 2586.5,26; 2587,26; 2587.5,26;
              2588,26; 2588.5,26; 2589,26; 2589.5,26; 2590,26; 2590.5,26; 2591,26; 2591.5,
              26; 2592,26; 2592.5,26; 2593,26; 2593.5,26; 2594,26; 2594.5,26; 2595,26;
              2595.5,26; 2596,26; 2596.5,26; 2597,26; 2597.5,26; 2598,26; 2598.5,26; 2599,
              26; 2599.5,26; 2600,26; 2600.5,26; 2601,26; 2601.5,26; 2602,26; 2602.5,26;
              2603,26; 2603.5,26; 2604,26; 2604.5,26; 2605,26; 2605.5,26; 2606,26; 2606.5,
              26; 2607,26; 2607.5,26; 2608,26; 2608.5,26; 2609,26; 2609.5,26; 2610,26;
              2610.5,26; 2611,26; 2611.5,26; 2612,26; 2612.5,26; 2613,26; 2613.5,26; 2614,
              26; 2614.5,26; 2615,26; 2615.5,26; 2616,26; 2616.5,26; 2617,26; 2617.5,26;
              2618,26; 2618.5,26; 2619,26; 2619.5,26; 2620,26; 2620.5,25.8; 2621,25.8;
              2621.5,26; 2622,25.9; 2622.5,25.8; 2623,25.8; 2623.5,25.8; 2624,25.8; 2624.5,
              25.8; 2625,25.8; 2625.5,25.8; 2626,25.8; 2626.5,25.8; 2627,25.8; 2627.5,
              25.8; 2628,25.8; 2628.5,25.8; 2629,25.8; 2629.5,25.8; 2630,25.8; 2630.5,
              25.8; 2631,25.8; 2631.5,25.8; 2632,25.8; 2632.5,25.8; 2633,25.8; 2633.5,
              25.8; 2634,25.8; 2634.5,25.8; 2635,25.8; 2635.5,25.8; 2636,25.8; 2636.5,
              25.8; 2637,25.8; 2637.5,25.8; 2638,25.8; 2638.5,25.8; 2639,25.8; 2639.5,
              25.8; 2640,25.8; 2640.5,25.8; 2641,25.8; 2641.5,25.8; 2642,25.8; 2642.5,
              25.8; 2643,25.8; 2643.5,25.8; 2644,25.8; 2644.5,25.8; 2645,25.8; 2645.5,
              25.8; 2646,25.8; 2646.5,25.8; 2647,25.8; 2647.5,25.8; 2648,25.8; 2648.5,
              25.8; 2649,25.8; 2649.5,25.8; 2650,25.8; 2650.5,25.8; 2651,25.7; 2651.5,
              25.8; 2652,25.8; 2652.5,25.8; 2653,25.8; 2653.5,25.8; 2654,25.8; 2654.5,
              25.7; 2655,25.8; 2655.5,25.8; 2656,25.8; 2656.5,25.8; 2657,25.8; 2657.5,
              25.8; 2658,25.8; 2658.5,25.8; 2659,25.8; 2659.5,25.8; 2660,25.8; 2660.5,
              25.7; 2661,25.8; 2661.5,25.7; 2662,25.7; 2662.5,25.7; 2663,25.7; 2663.5,
              25.7; 2664,25.7; 2664.5,25.7; 2665,25.7; 2665.5,25.7; 2666,25.7; 2666.5,
              25.7; 2667,25.7; 2667.5,25.7; 2668,25.7; 2668.5,25.7; 2669,25.7; 2669.5,
              25.7; 2670,25.7; 2670.5,25.7; 2671,25.7; 2671.5,25.7; 2672,25.7; 2672.5,
              25.7; 2673,25.7; 2673.5,25.7; 2674,25.7; 2674.5,25.7; 2675,25.7; 2675.5,
              25.7; 2676,25.7; 2676.5,25.7; 2677,25.7; 2677.5,25.7; 2678,25.7; 2678.5,
              25.7; 2679,25.7; 2679.5,25.7; 2680,25.7; 2680.5,25.7; 2681,25.7; 2681.5,
              25.7; 2682,25.7; 2682.5,25.7; 2683,25.7; 2683.5,25.7; 2684,25.7; 2684.5,
              25.7; 2685,25.7; 2685.5,25.7; 2686,25.7; 2686.5,25.7; 2687,25.7; 2687.5,
              25.7; 2688,25.7; 2688.5,25.7; 2689,25.7; 2689.5,25.7; 2690,25.7; 2690.5,
              25.7; 2691,25.7; 2691.5,25.7; 2692,25.7; 2692.5,25.7; 2693,25.7; 2693.5,
              25.7; 2694,25.7; 2694.5,25.7; 2695,25.7; 2695.5,25.7; 2696,25.7; 2696.5,
              25.7; 2697,25.7; 2697.5,25.7; 2698,25.7; 2698.5,25.7; 2699,25.7; 2699.5,
              25.7; 2700,25.7; 2700.5,25.7; 2701,25.7; 2701.5,25.7; 2702,25.7; 2702.5,
              25.7; 2703,25.7; 2703.5,25.7; 2704,25.7; 2704.5,25.7; 2705,25.7; 2705.5,
              25.5; 2706,25.7; 2706.5,25.7; 2707,25.7; 2707.5,25.7; 2708,25.7; 2708.5,
              25.7; 2709,25.7; 2709.5,25.7; 2710,25.7; 2710.5,25.7; 2711,25.7; 2711.5,
              25.7; 2712,25.7; 2712.5,25.5; 2713,25.7; 2713.5,25.5; 2714,25.7; 2714.5,
              25.5; 2715,25.5; 2715.5,25.7; 2716,25.5; 2716.5,25.5; 2717,25.5; 2717.5,
              25.5; 2718,25.5; 2718.5,25.5; 2719,25.5; 2719.5,25.5; 2720,25.5; 2720.5,
              25.5; 2721,25.5; 2721.5,25.5; 2722,25.5; 2722.5,25.5; 2723,25.5; 2723.5,
              25.5; 2724,25.5; 2724.5,25.5; 2725,25.5; 2725.5,25.5; 2726,25.5; 2726.5,
              25.5; 2727,25.5; 2727.5,25.5; 2728,25.5; 2728.5,25.5; 2729,25.5; 2729.5,
              25.5; 2730,25.5; 2730.5,25.5; 2731,25.5; 2731.5,25.5; 2732,25.5; 2732.5,
              25.5; 2733,25.5; 2733.5,25.5; 2734,25.5; 2734.5,25.5; 2735,25.5; 2735.5,
              25.5; 2736,25.5; 2736.5,25.5; 2737,25.5; 2737.5,25.5; 2738,25.5; 2738.5,
              25.5; 2739,25.5; 2739.5,25.5; 2740,25.5; 2740.5,25.5; 2741,25.5; 2741.5,
              25.5; 2742,25.5; 2742.5,25.5; 2743,25.5; 2743.5,25.5; 2744,25.5; 2744.5,
              25.5; 2745,25.5; 2745.5,25.5; 2746,25.5; 2746.5,25.5; 2747,25.5; 2747.5,
              25.5; 2748,25.5; 2748.5,25.5; 2749,25.5; 2749.5,25.5; 2750,25.5; 2750.5,
              25.5; 2751,25.5; 2751.5,25.5; 2752,25.5; 2752.5,25.5; 2753,25.5; 2753.5,
              25.5; 2754,25.5; 2754.5,25.5; 2755,25.5; 2755.5,25.5; 2756,25.5; 2756.5,
              25.5; 2757,25.5; 2757.5,25.5; 2758,25.5; 2758.5,25.5; 2759,25.3; 2759.5,
              25.4; 2760,25.4; 2760.5,25.4; 2761,25.4; 2761.5,25.3; 2762,25.4; 2762.5,
              25.4; 2763,25.4; 2763.5,25.4; 2764,25.4; 2764.5,25.4; 2765,25.4; 2765.5,
              25.4; 2766,25.4; 2766.5,25.4; 2767,25.4; 2767.5,25.3; 2768,25.3; 2768.5,
              25.3; 2769,25.4; 2769.5,25.4; 2770,25.4; 2770.5,25.4; 2771,25.4; 2771.5,
              25.4; 2772,25.3; 2772.5,25.3; 2773,25.4; 2773.5,25.4; 2774,25.4; 2774.5,
              25.4; 2775,25.4; 2775.5,25.4; 2776,25.3; 2776.5,25.4; 2777,25.4; 2777.5,
              25.4; 2778,25.4; 2778.5,25.4; 2779,25.4; 2779.5,25.4; 2780,25.4; 2780.5,
              25.4; 2781,25.4; 2781.5,25.4; 2782,25.4; 2782.5,25.4; 2783,25.4; 2783.5,
              25.4; 2784,25.4; 2784.5,25.4; 2785,25.4; 2785.5,25.4; 2786,25.3; 2786.5,
              25.4; 2787,25.3; 2787.5,25.4; 2788,25.3; 2788.5,25.4; 2789,25.4; 2789.5,
              25.4; 2790,25.3; 2790.5,25.4; 2791,25.4; 2791.5,25.4; 2792,25.4; 2792.5,
              25.4; 2793,25.4; 2793.5,25.4; 2794,25.4; 2794.5,25.4; 2795,25.4; 2795.5,
              25.4; 2796,25.4; 2796.5,25.4; 2797,25.4; 2797.5,25.4; 2798,25.4; 2798.5,
              25.4; 2799,25.4; 2799.5,25.4; 2800,25.4; 2800.5,25.4; 2801,25.4; 2801.5,
              25.4; 2802,25.4; 2802.5,25.4; 2803,25.4; 2803.5,25.4; 2804,25.4; 2804.5,
              25.4; 2805,25.4; 2805.5,25.4; 2806,25.4; 2806.5,25.4; 2807,25.2; 2807.5,
              25.4; 2808,25.4; 2808.5,25.4; 2809,25.2; 2809.5,25.4; 2810,25.2; 2810.5,
              25.2; 2811,25.2; 2811.5,25.2; 2812,25.2; 2812.5,25.2; 2813,25.2; 2813.5,
              25.2; 2814,25.2; 2814.5,25.2; 2815,25.2; 2815.5,25.2; 2816,25.2; 2816.5,
              25.2; 2817,25.2; 2817.5,25.2; 2818,25.2; 2818.5,25.2; 2819,25.2; 2819.5,
              25.2; 2820,25.2; 2820.5,25.2; 2821,25.2; 2821.5,25.2; 2822,25.2; 2822.5,
              25.2; 2823,25.2; 2823.5,25.2; 2824,25.2; 2824.5,25.2; 2825,25.2; 2825.5,
              25.2; 2826,25.2; 2826.5,25.2; 2827,25.2; 2827.5,25.2; 2828,25.2; 2828.5,
              25.2; 2829,25.2; 2829.5,25.2; 2830,25.2; 2830.5,25.2; 2831,25.2; 2831.5,
              25.2; 2832,25.2; 2832.5,25.2; 2833,25.2; 2833.5,25.2; 2834,25.2; 2834.5,
              25.2; 2835,25.2; 2835.5,25.2; 2836,25.2; 2836.5,25.2; 2837,25.2; 2837.5,
              25.2; 2838,25.2; 2838.5,25.2; 2839,25.2; 2839.5,25.2; 2840,25.2; 2840.5,
              25.2; 2841,25.2; 2841.5,25.2; 2842,25.2; 2842.5,25.2; 2843,25.2; 2843.5,
              25.2; 2844,25.2; 2844.5,25.2; 2845,25.2; 2845.5,25.2; 2846,25.2; 2846.5,
              25.2; 2847,25.2; 2847.5,25.2; 2848,25.2; 2848.5,25.2; 2849,25.2; 2849.5,
              25.2; 2850,25.2; 2850.5,25.2; 2851,25.2; 2851.5,25.2; 2852,25.2; 2852.5,
              25.2; 2853,25.2; 2853.5,25.2; 2854,25.2; 2854.5,25.2; 2855,25.2; 2855.5,
              25.2; 2856,25.2; 2856.5,25.2; 2857,25.2; 2857.5,25.2; 2858,25.2; 2858.5,
              25.2; 2859,25.2; 2859.5,25.2; 2860,25.2; 2860.5,25.2; 2861,25.2; 2861.5,
              25; 2862,25.2; 2862.5,25.2; 2863,25; 2863.5,25.2; 2864,25.2; 2864.5,25.2;
              2865,25.2; 2865.5,25.2; 2866,25.1; 2866.5,25; 2867,25; 2867.5,25; 2868,25;
              2868.5,25; 2869,25.1; 2869.5,25; 2870,25; 2870.5,25; 2871,25; 2871.5,25;
              2872,25; 2872.5,25.1; 2873,25; 2873.5,25; 2874,25; 2874.5,25; 2875,25.1;
              2875.5,25.1; 2876,25; 2876.5,25; 2877,25; 2877.5,25; 2878,25.1; 2878.5,25;
              2879,25.1; 2879.5,25; 2880,25; 2880.5,25; 2881,25; 2881.5,25.1; 2882,25;
              2882.5,25; 2883,25; 2883.5,25; 2884,25; 2884.5,25; 2885,25; 2885.5,25; 2886,
              25; 2886.5,25.1; 2887,25; 2887.5,25; 2888,25; 2888.5,25; 2889,25; 2889.5,
              25.1; 2890,25; 2890.5,25; 2891,25; 2891.5,25; 2892,25; 2892.5,25; 2893,25;
              2893.5,25; 2894,25.1; 2894.5,25; 2895,25; 2895.5,25; 2896,25; 2896.5,25;
              2897,25; 2897.5,25; 2898,25.1; 2898.5,25; 2899,25; 2899.5,25.1; 2900,25;
              2900.5,25; 2901,25; 2901.5,25.1; 2902,25.1; 2902.5,25; 2903,25; 2903.5,25;
              2904,25; 2904.5,25; 2905,25; 2905.5,25.1; 2906,25.1; 2906.5,25; 2907,25;
              2907.5,25; 2908,25; 2908.5,25.1; 2909,25; 2909.5,25; 2910,25; 2910.5,25.1;
              2911,25; 2911.5,25; 2912,25; 2912.5,25.1; 2913,25; 2913.5,25; 2914,25; 2914.5,
              25.1; 2915,25.1; 2915.5,25.1; 2916,25; 2916.5,25; 2917,25; 2917.5,25; 2918,
              25.1; 2918.5,25; 2919,24.9; 2919.5,25; 2920,25; 2920.5,25; 2921,24.9; 2921.5,
              24.9; 2922,24.9; 2922.5,24.9; 2923,24.9; 2923.5,24.9; 2924,24.9; 2924.5,
              24.9; 2925,24.9; 2925.5,24.9; 2926,24.9; 2926.5,24.9; 2927,24.9; 2927.5,
              24.9; 2928,24.9; 2928.5,24.9; 2929,24.9; 2929.5,24.9; 2930,24.9; 2930.5,
              24.9; 2931,24.9; 2931.5,24.9; 2932,24.9; 2932.5,24.9; 2933,24.9; 2933.5,
              24.9; 2934,24.9; 2934.5,24.9; 2935,24.9; 2935.5,24.9; 2936,24.9; 2936.5,
              24.9; 2937,24.9; 2937.5,24.9; 2938,24.9; 2938.5,24.9; 2939,24.9; 2939.5,
              24.9; 2940,24.9; 2940.5,24.9; 2941,24.9; 2941.5,24.9; 2942,24.9; 2942.5,
              24.9; 2943,24.9; 2943.5,24.9; 2944,24.9; 2944.5,24.9; 2945,24.9; 2945.5,
              24.9; 2946,24.9; 2946.5,24.9; 2947,24.9; 2947.5,24.9; 2948,24.9; 2948.5,
              24.9; 2949,24.9; 2949.5,24.9; 2950,24.9; 2950.5,24.9; 2951,24.9; 2951.5,
              24.9; 2952,24.9; 2952.5,24.9; 2953,24.9; 2953.5,24.9; 2954,24.9; 2954.5,
              24.9; 2955,24.9; 2955.5,24.9; 2956,24.9; 2956.5,24.9; 2957,24.9; 2957.5,
              24.9; 2958,24.9; 2958.5,24.9; 2959,24.9; 2959.5,24.9; 2960,24.9; 2960.5,
              24.9; 2961,24.9; 2961.5,24.9; 2962,24.9; 2962.5,24.9; 2963,24.9; 2963.5,
              24.9; 2964,24.9; 2964.5,24.9; 2965,24.9; 2965.5,24.9; 2966,24.9; 2966.5,
              24.9; 2967,24.9; 2967.5,24.9; 2968,24.9; 2968.5,24.9; 2969,24.9; 2969.5,
              24.9; 2970,24.9; 2970.5,24.9; 2971,24.9; 2971.5,24.9; 2972,24.9; 2972.5,
              24.9; 2973,24.9; 2973.5,24.9; 2974,24.9; 2974.5,24.9; 2975,24.9; 2975.5,
              24.9; 2976,24.9; 2976.5,24.9; 2977,24.9; 2977.5,24.9; 2978,24.9; 2978.5,
              24.9; 2979,24.9; 2979.5,24.9; 2980,24.9; 2980.5,24.9; 2981,24.9; 2981.5,
              24.9; 2982,24.9; 2982.5,24.9; 2983,24.9; 2983.5,24.9; 2984,24.9; 2984.5,
              24.9; 2985,24.9; 2985.5,24.9; 2986,24.9; 2986.5,24.9; 2987,24.9; 2987.5,
              24.9; 2988,24.9; 2988.5,24.9; 2989,24.9; 2989.5,24.9; 2990,24.9; 2990.5,
              24.9; 2991,24.9; 2991.5,24.9; 2992,24.9; 2992.5,24.9; 2993,24.9; 2993.5,
              24.9; 2994,24.9; 2994.5,24.9; 2995,24.9; 2995.5,24.9; 2996,24.7; 2996.5,
              24.7; 2997,24.7; 2997.5,24.7; 2998,24.9; 2998.5,24.7; 2999,24.7; 2999.5,
              24.7; 3000,24.7; 3000.5,24.7; 3001,24.7; 3001.5,24.9; 3002,24.7; 3002.5,
              24.7; 3003,24.7; 3003.5,24.7; 3004,24.7; 3004.5,24.7; 3005,24.7; 3005.5,
              24.7; 3006,24.7; 3006.5,24.7; 3007,24.8; 3007.5,24.7; 3008,24.7; 3008.5,
              24.7; 3009,24.7; 3009.5,24.7; 3010,24.7; 3010.5,24.7; 3011,24.7; 3011.5,
              24.7; 3012,24.7; 3012.5,24.7; 3013,24.7; 3013.5,24.7; 3014,24.7; 3014.5,
              24.7; 3015,24.7; 3015.5,24.7; 3016,24.7; 3016.5,24.7; 3017,24.7; 3017.5,
              24.7; 3018,24.7; 3018.5,24.7; 3019,24.7; 3019.5,24.7; 3020,24.7; 3020.5,
              24.7; 3021,24.7; 3021.5,24.7; 3022,24.7; 3022.5,24.7; 3023,24.7; 3023.5,
              24.7; 3024,24.7; 3024.5,24.7; 3025,24.8; 3025.5,24.7; 3026,24.7; 3026.5,
              24.7; 3027,24.7; 3027.5,24.7; 3028,24.7; 3028.5,24.7; 3029,24.7; 3029.5,
              24.7; 3030,24.7; 3030.5,24.7; 3031,24.7; 3031.5,24.7; 3032,24.7; 3032.5,
              24.7; 3033,24.7; 3033.5,24.7; 3034,24.7; 3034.5,24.7; 3035,24.7; 3035.5,
              24.7; 3036,24.7; 3036.5,24.7; 3037,24.7; 3037.5,24.7; 3038,24.7; 3038.5,
              24.7; 3039,24.7; 3039.5,24.7; 3040,24.7; 3040.5,24.7; 3041,24.7; 3041.5,
              24.7; 3042,24.7; 3042.5,24.7; 3043,24.6; 3043.5,24.7; 3044,24.6; 3044.5,
              24.6; 3045,24.6; 3045.5,24.7; 3046,24.7; 3046.5,24.6; 3047,24.6; 3047.5,
              24.7; 3048,24.7; 3048.5,24.6; 3049,24.6; 3049.5,24.6; 3050,24.6; 3050.5,
              24.6; 3051,24.6; 3051.5,24.6; 3052,24.6; 3052.5,24.6; 3053,24.6; 3053.5,
              24.6; 3054,24.6; 3054.5,24.6; 3055,24.6; 3055.5,24.6; 3056,24.6; 3056.5,
              24.6; 3057,24.6; 3057.5,24.6; 3058,24.6; 3058.5,24.6; 3059,24.6; 3059.5,
              24.6; 3060,24.6; 3060.5,24.6; 3061,24.6; 3061.5,24.6; 3062,24.6; 3062.5,
              24.6; 3063,24.6; 3063.5,24.6; 3064,24.6; 3064.5,24.6; 3065,24.6; 3065.5,
              24.6; 3066,24.6; 3066.5,24.6; 3067,24.6; 3067.5,24.6; 3068,24.6; 3068.5,
              24.6; 3069,24.6; 3069.5,24.6; 3070,24.6; 3070.5,24.6; 3071,24.6; 3071.5,
              24.6; 3072,24.6; 3072.5,24.6; 3073,24.6; 3073.5,24.6; 3074,24.6; 3074.5,
              24.6; 3075,24.6; 3075.5,24.6; 3076,24.6; 3076.5,24.6; 3077,24.6; 3077.5,
              24.6; 3078,24.6; 3078.5,24.6; 3079,24.6; 3079.5,24.6; 3080,24.6; 3080.5,
              24.6; 3081,24.6; 3081.5,24.6; 3082,24.6; 3082.5,24.6; 3083,24.6; 3083.5,
              24.6; 3084,24.6; 3084.5,24.6; 3085,24.6; 3085.5,24.6; 3086,24.6; 3086.5,
              24.6; 3087,24.6; 3087.5,24.6; 3088,24.6; 3088.5,24.6; 3089,24.6; 3089.5,
              24.6; 3090,24.6; 3090.5,24.6; 3091,24.6; 3091.5,24.6; 3092,24.6; 3092.5,
              24.6; 3093,24.6; 3093.5,24.6; 3094,24.6; 3094.5,24.6; 3095,24.6; 3095.5,
              24.6; 3096,24.6; 3096.5,24.6; 3097,24.6; 3097.5,24.6; 3098,24.6; 3098.5,
              24.4; 3099,24.4; 3099.5,24.4; 3100,24.4; 3100.5,24.4; 3101,24.6; 3101.5,
              24.4; 3102,24.4; 3102.5,24.4; 3103,24.4; 3103.5,24.4; 3104,24.4; 3104.5,
              24.4; 3105,24.4; 3105.5,24.4; 3106,24.4; 3106.5,24.4; 3107,24.4; 3107.5,
              24.4; 3108,24.4; 3108.5,24.4; 3109,24.4; 3109.5,24.4; 3110,24.4; 3110.5,
              24.4; 3111,24.4; 3111.5,24.4; 3112,24.4; 3112.5,24.4; 3113,24.4; 3113.5,
              24.4; 3114,24.4; 3114.5,24.4; 3115,24.4; 3115.5,24.4; 3116,24.4; 3116.5,
              24.4; 3117,24.4; 3117.5,24.4; 3118,24.4; 3118.5,24.4; 3119,24.4; 3119.5,
              24.4; 3120,24.4; 3120.5,24.4; 3121,24.4; 3121.5,24.4; 3122,24.4; 3122.5,
              24.4; 3123,24.4; 3123.5,24.4; 3124,24.4; 3124.5,24.4; 3125,24.4; 3125.5,
              24.4; 3126,24.4; 3126.5,24.4; 3127,24.4; 3127.5,24.4; 3128,24.4; 3128.5,
              24.4; 3129,24.4; 3129.5,24.4; 3130,24.4; 3130.5,24.4; 3131,24.4; 3131.5,
              24.4; 3132,24.4; 3132.5,24.4; 3133,24.4; 3133.5,24.4; 3134,24.4; 3134.5,
              24.4; 3135,24.4; 3135.5,24.4; 3136,24.4; 3136.5,24.4; 3137,24.4; 3137.5,
              24.4; 3138,24.4; 3138.5,24.4; 3139,24.4; 3139.5,24.4; 3140,24.4; 3140.5,
              24.4; 3141,24.4; 3141.5,24.4; 3142,24.4; 3142.5,24.4; 3143,24.4; 3143.5,
              24.4; 3144,24.4; 3144.5,24.4; 3145,24.4; 3145.5,24.4; 3146,24.4; 3146.5,
              24.4; 3147,24.4; 3147.5,24.4; 3148,24.4; 3148.5,24.4; 3149,24.4; 3149.5,
              24.4; 3150,24.4; 3150.5,24.4; 3151,24.4; 3151.5,24.4; 3152,24.4; 3152.5,
              24.4; 3153,24.4; 3153.5,24.4; 3154,24.4; 3154.5,24.4; 3155,24.4; 3155.5,
              24.4; 3156,24.4; 3156.5,24.4; 3157,24.4; 3157.5,24.4; 3158,24.4; 3158.5,
              24.4; 3159,24.4; 3159.5,24.4; 3160,24.4; 3160.5,24.4; 3161,24.4; 3161.5,
              24.4; 3162,24.4; 3162.5,24.4; 3163,24.4; 3163.5,24.4; 3164,24.4; 3164.5,
              24.4; 3165,24.4; 3165.5,24.4; 3166,24.4; 3166.5,24.4; 3167,24.4; 3167.5,
              24.4; 3168,24.4; 3168.5,24.4; 3169,24.4; 3169.5,24.4; 3170,24.4; 3170.5,
              24.4; 3171,24.4; 3171.5,24.4; 3172,24.4; 3172.5,24.4; 3173,24.4; 3173.5,
              24.4; 3174,24.4; 3174.5,24.4; 3175,24.4; 3175.5,24.4; 3176,24.4; 3176.5,
              24.4; 3177,24.4; 3177.5,24.4; 3178,24.4; 3178.5,24.4; 3179,24.4; 3179.5,
              24.4; 3180,24.4; 3180.5,24.4; 3181,24.4; 3181.5,24.4; 3182,24.4; 3182.5,
              24.4; 3183,24.4; 3183.5,24.4; 3184,24.4; 3184.5,24.4; 3185,24.4; 3185.5,
              24.4; 3186,24.4; 3186.5,24.4; 3187,24.4; 3187.5,24.4; 3188,24.3; 3188.5,
              24.3; 3189,24.4; 3189.5,24.4; 3190,24.3; 3190.5,24.4; 3191,24.3; 3191.5,
              24.3; 3192,24.3; 3192.5,24.3; 3193,24.4; 3193.5,24.3; 3194,24.3; 3194.5,
              24.3; 3195,24.3; 3195.5,24.3; 3196,24.3; 3196.5,24.3; 3197,24.3; 3197.5,
              24.3; 3198,24.3; 3198.5,24.3; 3199,24.3; 3199.5,24.3; 3200,24.3; 3200.5,
              24.3; 3201,24.3; 3201.5,24.3; 3202,24.3; 3202.5,24.3; 3203,24.3; 3203.5,
              24.3; 3204,24.3; 3204.5,24.3; 3205,24.3; 3205.5,24.3; 3206,24.3; 3206.5,
              24.3; 3207,24.3; 3207.5,24.3; 3208,24.3; 3208.5,24.3; 3209,24.3; 3209.5,
              24.3; 3210,24.3; 3210.5,24.3; 3211,24.3; 3211.5,24.3; 3212,24.3; 3212.5,
              24.3; 3213,24.3; 3213.5,24.3; 3214,24.3; 3214.5,24.3; 3215,24.3; 3215.5,
              24.3; 3216,24.3; 3216.5,24.3; 3217,24.3; 3217.5,24.3; 3218,24.3; 3218.5,
              24.3; 3219,24.3; 3219.5,24.3; 3220,24.3; 3220.5,24.3; 3221,24.3; 3221.5,
              24.3; 3222,24.3; 3222.5,24.3; 3223,24.3; 3223.5,24.3; 3224,24.3; 3224.5,
              24.3; 3225,24.3; 3225.5,24.3; 3226,24.3; 3226.5,24.3; 3227,24.3; 3227.5,
              24.3; 3228,24.3; 3228.5,24.3; 3229,24.3; 3229.5,24.3; 3230,24.3; 3230.5,
              24.3; 3231,24.3; 3231.5,24.3; 3232,24.3; 3232.5,24.3; 3233,24.3; 3233.5,
              24.3; 3234,24.3; 3234.5,24.3; 3235,24.3; 3235.5,24.3; 3236,24.3; 3236.5,
              24.3; 3237,24.3; 3237.5,24.3; 3238,24.3; 3238.5,24.3; 3239,24.3; 3239.5,
              24.3; 3240,24.3; 3240.5,24.3; 3241,24.3; 3241.5,24.3; 3242,24.3; 3242.5,
              24.3; 3243,24.3; 3243.5,24.3; 3244,24.3; 3244.5,24.3; 3245,24.3; 3245.5,
              24.3; 3246,24.3; 3246.5,24.3; 3247,24.3; 3247.5,24.3; 3248,24.1; 3248.5,
              24.3; 3249,24.3; 3249.5,24.3; 3250,24.3; 3250.5,24.3; 3251,24.3; 3251.5,
              24.3; 3252,24.3; 3252.5,24.3; 3253,24.3; 3253.5,24.1; 3254,24.3; 3254.5,
              24.1; 3255,24.3; 3255.5,24.3; 3256,24.3; 3256.5,24.3; 3257,24.1; 3257.5,
              24.1; 3258,24.1; 3258.5,24.1; 3259,24.1; 3259.5,24.1; 3260,24.1; 3260.5,
              24.1; 3261,24.1; 3261.5,24.1; 3262,24.1; 3262.5,24.1; 3263,24.1; 3263.5,
              24.1; 3264,24.1; 3264.5,24.1; 3265,24.1; 3265.5,24.1; 3266,24.1; 3266.5,
              24.1; 3267,24.1; 3267.5,24.1; 3268,24.1; 3268.5,24.1; 3269,24.1; 3269.5,
              24.1; 3270,24.1; 3270.5,24.1; 3271,24.1; 3271.5,24.1; 3272,24.1; 3272.5,
              24.1]) annotation (Placement(transformation(
              extent={{-10,-10},{10,10}},
              rotation=90,
              origin={80,-80})));
        Modelica.Blocks.Sources.Clock clock annotation (Placement(transformation(
              extent={{-10,-10},{10,10}},
              rotation=90,
              origin={0,-90})));
        Components.HeatTransfer.CopperPlate copperPlate
          annotation (Placement(transformation(extent={{-60,10},{-40,30}})));
        Components.HeatTransfer.CopperPlate copperPlate1
          annotation (Placement(transformation(extent={{40,10},{60,30}})));
        Components.HeatTransfer.CopperPlate copperPlate2 annotation (Placement(
              transformation(
              extent={{-10,-10},{10,10}},
              rotation=180,
              origin={-50,-20})));
        Components.HeatTransfer.HTP hTP
          annotation (Placement(transformation(extent={{-60,-2},{-40,18}})));
        Components.HeatTransfer.HTP hTP1              annotation (Placement(
              transformation(
              extent={{-10,-10},{10,10}},
              rotation=180,
              origin={-50,-8})));

        Modelica.Blocks.Sources.Constant KToDegC(k=273.15) annotation (
            Placement(transformation(
              extent={{-10,-10},{10,10}},
              rotation=270,
              origin={0,90})));
        Modelica.Blocks.Math.Add add annotation (Placement(transformation(
              extent={{-10,-10},{10,10}},
              rotation=270,
              origin={-50,70})));
        Modelica.Blocks.Math.Add add1 annotation (Placement(transformation(
              extent={{-10,-10},{10,10}},
              rotation=90,
              origin={-50,-70})));
        Components.HeatTransfer.AirGap airGap(d_Air=0.00003)
          annotation (Placement(transformation(extent={{-60,4},{-40,24}})));
        Components.HeatTransfer.AirGap airGap1(d_Air=0.00003) annotation (
            Placement(transformation(
              extent={{-10,-10},{10,10}},
              rotation=180,
              origin={-50,-14})));
        Modelica.Blocks.Math.Add add2 annotation (Placement(transformation(
              extent={{-10,-10},{10,10}},
              rotation=90,
              origin={50,-70})));
        Components.HeatTransfer.HTP hTP2              annotation (Placement(
              transformation(
              extent={{-10,-10},{10,10}},
              rotation=180,
              origin={50,-8})));
        Components.HeatTransfer.AirGap airGap2(d_Air=0.00003) annotation (
            Placement(transformation(
              extent={{-10,-10},{10,10}},
              rotation=180,
              origin={50,-14})));
        Components.HeatTransfer.CopperPlate copperPlate3 annotation (Placement(
              transformation(
              extent={{-10,-10},{10,10}},
              rotation=180,
              origin={50,-20})));
        Components.HeatTransfer.HTP hTP3
          annotation (Placement(transformation(extent={{40,-2},{60,18}})));
        Components.HeatTransfer.AirGap airGap3(d_Air=0.00003)
          annotation (Placement(transformation(extent={{40,4},{60,24}})));
        Modelica.Blocks.Math.Add add3
                                     annotation (Placement(transformation(
              extent={{-10,-10},{10,10}},
              rotation=270,
              origin={50,70})));
        Modelica.Blocks.Math.Add deltaT_TEC(k2=-1)
          annotation (Placement(transformation(extent={{-88,14},{-68,34}})));
        Modelica.Blocks.Math.Add deltaT_TEG(k1=-1) annotation (Placement(
              transformation(
              extent={{-10,-10},{10,10}},
              rotation=180,
              origin={78,26})));
      //*****************************************************************************/

      //equations********************************************************************/
      equation
        connect(prescribedTemperature.port, copperPlate.port_a1)
          annotation (Line(points={{-50,28},{-50,23}}, color={191,0,0}));
        connect(prescribedTemperature1.port, copperPlate1.port_a1)
          annotation (Line(points={{50,26},{50,23}},         color={191,0,0}));
        connect(copperPlate2.port_a1, prescribedTemperature2.port)
          annotation (Line(points={{-50,-23},{-50,-28}}, color={191,0,0}));
        connect(tEC1_12706_1.port_b1, hTP.port_b1)
          annotation (Line(points={{-50,5},{-50,5}},         color={191,0,0}));
        connect(tEC1_12706_1.port_a1, hTP1.port_b1)
          annotation (Line(points={{-50,-5},{-50,-5}}, color={191,0,0}));
        connect(copperPlate.port_b1, airGap.port_a1)
          annotation (Line(points={{-50,17},{-50,17}}, color={191,0,0}));
        connect(hTP.port_a1, airGap.port_b1)
          annotation (Line(points={{-50,11},{-50,11}}, color={191,0,0}));
        connect(copperPlate2.port_b1, airGap1.port_a1)
          annotation (Line(points={{-50,-17},{-50,-17}}, color={191,0,0}));
        connect(hTP1.port_a1, airGap1.port_b1)
          annotation (Line(points={{-50,-11},{-50,-11}}, color={191,0,0}));
        connect(add1.y, prescribedTemperature2.T)
          annotation (Line(points={{-50,-59},{-50,-50}}, color={0,0,127}));
        connect(prescribedTemperature.T, add.y)
          annotation (Line(points={{-50,50},{-50,59}}, color={0,0,127}));
        connect(MeasurementDataTCold_TEC.y[1], add1.u1) annotation (Line(points=
               {{-80,-69},{-80,-62},{-66,-62},{-66,-88},{-56,-88},{-56,-82}},
              color={0,0,127}));
        connect(MeasurementDataTHot_TEC.y[1], add.u2) annotation (Line(points={
                {-80,69},{-80,62},{-66,62},{-66,88},{-56,88},{-56,82}}, color={
                0,0,127}));
        connect(clock.y, MeasurementDataTCold_TEC.u[1]) annotation (Line(points=
               {{0,-79},{0,-79},{0,-74},{0,-72},{-20,-72},{-20,-100},{-80,-100},
                {-80,-92}}, color={0,0,127}));
        connect(KToDegC.y, add1.u2) annotation (Line(points={{-2.22045e-015,79},
                {0,79},{0,10},{-10,10},{-10,-66},{-30,-66},{-30,-88},{-44,-88},
                {-44,-82}}, color={0,0,127}));
        connect(clock.y, MeasurementDataTHot_TEC.u[1]) annotation (Line(points=
                {{0,-79},{0,-79},{0,-10},{-14,-10},{-14,66},{-30,66},{-30,100},
                {-80,100},{-80,92}}, color={0,0,127}));
        connect(KToDegC.y, add.u1) annotation (Line(points={{0,79},{0,74},{-20,
                74},{-20,88},{-44,88},{-44,82}}, color={0,0,127}));
        connect(add2.y, prescribedTemperature3.T) annotation (Line(points={{50,
                -59},{50,-50},{50,-50}}, color={0,0,127}));
        connect(clock.y, MeasurementDataTCold_TEG.u[1]) annotation (Line(points=
               {{0,-79},{0,-72},{20,-72},{20,-100},{80,-100},{80,-92}}, color={
                0,0,127}));
        connect(MeasurementDataTCold_TEG.y[1], add2.u2) annotation (Line(points=
               {{80,-69},{80,-62},{64,-62},{64,-88},{56,-88},{56,-82}}, color={
                0,0,127}));
        connect(add2.u1, add1.u2) annotation (Line(points={{44,-82},{44,-88},{
                30,-88},{30,-66},{-30,-66},{-30,-88},{-44,-88},{-44,-82}},
              color={0,0,127}));
        connect(gM250_127_14_10_1.port_a1, hTP2.port_b1)
          annotation (Line(points={{50,-5},{50,-5}}, color={191,0,0}));
        connect(hTP2.port_a1, airGap2.port_b1)
          annotation (Line(points={{50,-11},{50,-11}}, color={191,0,0}));
        connect(airGap2.port_a1, copperPlate3.port_b1)
          annotation (Line(points={{50,-17},{50,-17}}, color={191,0,0}));
        connect(prescribedTemperature3.port, copperPlate3.port_a1) annotation (
            Line(points={{50,-28},{50,-23},{50,-23}}, color={191,0,0}));
        connect(gM250_127_14_10_1.port_b1, hTP3.port_b1)
          annotation (Line(points={{50,5},{50,5}}, color={191,0,0}));
        connect(hTP3.port_a1, airGap3.port_b1)
          annotation (Line(points={{50,11},{50,11}}, color={191,0,0}));
        connect(airGap3.port_a1, copperPlate1.port_b1)
          annotation (Line(points={{50,17},{50,17}}, color={191,0,0}));
        connect(prescribedTemperature1.T, add3.y)
          annotation (Line(points={{50,48},{50,48},{50,59}}, color={0,0,127}));
        connect(add3.u1, MeasurementDataTHot_TEG.y[1]) annotation (Line(points=
                {{56,82},{56,88},{68,88},{68,62},{80,62},{80,69}}, color={0,0,
                127}));
        connect(KToDegC.y, add3.u2) annotation (Line(points={{0,79},{0,79},{0,
                74},{20,74},{20,88},{44,88},{44,82}}, color={0,0,127}));
        connect(clock.y, MeasurementDataTHot_TEG.u[1]) annotation (Line(points=
                {{0,-79},{0,-79},{0,-10},{0,8},{34,8},{34,100},{80,100},{80,92}},
              color={0,0,127}));
        connect(MeasurementDataTHot_TEC.y[1], deltaT_TEC.u1) annotation (Line(
              points={{-80,69},{-80,69},{-80,56},{-98,56},{-98,30},{-90,30}},
              color={0,0,127}));
        connect(MeasurementDataTCold_TEC.y[1], deltaT_TEC.u2) annotation (Line(
              points={{-80,-69},{-80,-62},{-98,-62},{-98,18},{-90,18}}, color={
                0,0,127}));
        connect(MeasurementDataTHot_TEG.y[1], deltaT_TEG.u2) annotation (Line(
              points={{80,69},{80,69},{80,58},{80,56},{98,56},{98,32},{90,32}},
              color={0,0,127}));
        connect(MeasurementDataTCold_TEG.y[1], deltaT_TEG.u1) annotation (Line(
              points={{80,-69},{80,-62},{98,-62},{98,20},{90,20}}, color={0,0,
                127}));
        connect(tEC1_12706_1.pin_n1, voltageSensor_TEC.p1) annotation (Line(
              points={{-59,0},{-90,0},{-90,-30}}, color={0,0,255}));
        connect(voltageSensor_TEC.n1, tEC1_12706_1.pin_p1) annotation (Line(
              points={{-70,-30},{-70,-26},{-30,-26},{-30,0},{-41,0}}, color={0,
                0,255}));
        connect(voltageSensor_TEG.p1, gM250_127_14_10_1.pin_n1) annotation (
            Line(points={{10,-30},{10,-30},{10,0},{41,0}}, color={0,0,255}));
        connect(voltageSensor_TEG.n1, gM250_127_14_10_1.pin_p1) annotation (
            Line(points={{30,-30},{30,-26},{72,-26},{72,0},{59,0}}, color={0,0,
                255}));
      //*****************************************************************************/

        annotation (
          Icon(coordinateSystem(preserveAspectRatio=false)),
          Diagram(coordinateSystem(preserveAspectRatio=false)),
          experiment(StopTime=3273),
          __Dymola_experimentSetupOutput, Documentation(info="<html>
   <p>
**************************************************************************** <br>
  <b> Copyright (C) 2015-2017 Chair of Automation and Energy Systems, Saarland University </b> <br>
------------------------------------------------------------------------------------------------------------------ <br>
  This file is part of EHSTEG. <p>                    
  
  For more information see <a href=\"//EHSTEG.UsersGuide\">User's Guide</a> <p>
  
**************************************************************************** <p>
</html>
"));
      end TEGvsTEC_Power;

      annotation (Documentation(info="<html>
   <p>
**************************************************************************** <br>
  <b> Copyright (C) 2015-2017 Chair of Automation and Energy Systems, Saarland University </b> <br>
------------------------------------------------------------------------------------------------------------------ <br>
  This file is part of EHSTEG. <p>                    
  
  For more information see <a href=\"//EHSTEG.UsersGuide\">User's Guide</a> <p>
  
**************************************************************************** <p>
</html>
"));
    end TEGvsTEC;

    package Thermostat "model of an EHS for supplying an electrical thermostat"

      //Copyright (C) 2015-2017 Chair of Automation and Energy Systems, Saarland University (for more information see 'Documentation')

      model ElectricalThermostat
        "TEG connected with a simple model of a heating system, based on Modelica.Fluid.Examples.HeatingSystem"

      //Copyright(C) 2015-2017 Chair of Automation and Energy Systems, Saarland University (for more information see 'Documentation')

      //extends**********************************************************************/
        extends Modelica.Icons.Example;
      //*****************************************************************************/

      //parameter definition*********************************************************/
         replaceable package Medium =
            Modelica.Media.Water.StandardWater
           constrainedby Modelica.Media.Interfaces.PartialMedium;
      //*****************************************************************************/

      //used components**************************************************************/
        Modelica.Fluid.Vessels.OpenTank tank(
          redeclare package Medium = Medium,
          crossArea=0.01,
          height=2,
          level_start=1,
          nPorts=2,
          massDynamics=Modelica.Fluid.Types.Dynamics.FixedInitial,
          use_HeatTransfer=true,
          portsData={Modelica.Fluid.Vessels.BaseClasses.VesselPortsData(diameter=
              0.01),Modelica.Fluid.Vessels.BaseClasses.VesselPortsData(diameter=
              0.01)},
          redeclare model HeatTransfer =
              Modelica.Fluid.Vessels.BaseClasses.HeatTransfer.IdealHeatTransfer
              (                                                                  k=10),
          ports(each p(start=1e5)),
          s(each start=1))
                    annotation (Placement(transformation(extent={{-46,36},{-30,
                  52}},
                rotation=0)));
        Modelica.Fluid.Machines.ControlledPump pump(
          redeclare package Medium = Medium,
          N_nominal=1500,
          use_T_start=true,
          T_start=Modelica.SIunits.Conversions.from_degC(40),
          m_flow_start=0.01,
          m_flow_nominal=0.01,
          control_m_flow=false,
          allowFlowReversal=false,
          p_a_start=110000,
          p_b_start=130000,
          p_a_nominal=110000,
          p_b_nominal=130000)
          annotation (Placement(transformation(extent={{-24,26},{-8,42}},  rotation=
                 0)));
        Modelica.Thermal.HeatTransfer.Sources.FixedTemperature T_ambient(T=system.T_ambient)
          annotation (Placement(transformation(extent={{-70,19},{-56,33}}, rotation=
                 0)));
        Modelica.Thermal.HeatTransfer.Components.ThermalConductor wall(G=1.6e3/20)
          annotation (Placement(transformation(
              origin={-9,3},
              extent={{5,-5},{-5,5}},
              rotation=270)));
        inner Modelica.Fluid.System system(
            m_flow_small=1e-4,
          T_ambient(displayUnit="degC") = 293.15,
          energyDynamics=Modelica.Fluid.Types.Dynamics.SteadyStateInitial,
          momentumDynamics=Modelica.Fluid.Types.Dynamics.SteadyState,
          allowFlowReversal=true)
                              annotation (Placement(transformation(extent={{-68,42},
                  {-54,56}},  rotation=0)));
        Modelica.Fluid.Pipes.DynamicPipe heater(
          redeclare package Medium = Medium,
          use_T_start=true,
          T_start=Modelica.SIunits.Conversions.from_degC(80),
          length=2,
          redeclare model HeatTransfer =
              Modelica.Fluid.Pipes.BaseClasses.HeatTransfer.IdealFlowHeatTransfer,
          diameter=0.01,
          nNodes=1,
          modelStructure=Modelica.Fluid.Types.ModelStructure.a_vb,
          redeclare model FlowModel =
              Modelica.Fluid.Pipes.BaseClasses.FlowModels.DetailedPipeFlow,
          use_HeatTransfer=true)
          annotation (Placement(transformation(extent={{16,26},{32,42}}, rotation=0)));

        Modelica.Fluid.Pipes.DynamicPipe radiator(
          use_T_start=true,
          redeclare package Medium = Medium,
          length=10,
          T_start=Modelica.SIunits.Conversions.from_degC(40),
          redeclare model HeatTransfer =
              Modelica.Fluid.Pipes.BaseClasses.HeatTransfer.IdealFlowHeatTransfer,
          diameter=0.01,
          nNodes=1,
          redeclare model FlowModel =
              Modelica.Fluid.Pipes.BaseClasses.FlowModels.DetailedPipeFlow,
          modelStructure=Modelica.Fluid.Types.ModelStructure.av_b,
          use_HeatTransfer=true)
          annotation (Placement(transformation(extent={{0,-22},{-16,-6}}, rotation=
                  0)));

      protected
        Modelica.Blocks.Interfaces.RealOutput T_forward
          annotation (Placement(transformation(extent={{66,40},{78,52}},   rotation=
                 0)));
        Modelica.Blocks.Interfaces.RealOutput T_return
          annotation (Placement(transformation(extent={{4,-4},{-4,4}},
                rotation=0,
              origin={-58,-6})));
      public
        Modelica.Fluid.Sensors.Temperature sensor_T_forward(redeclare package
            Medium =
              Medium)
          annotation (Placement(transformation(extent={{44,40},{58,52}},   rotation=
                 0)));
        Modelica.Fluid.Sensors.Temperature sensor_T_return(redeclare package
            Medium =
              Medium)
          annotation (Placement(transformation(extent={{-38,-12},{-54,2}},
                rotation=0)));
      protected
        Modelica.Blocks.Interfaces.RealOutput tankLevel
                                       annotation (Placement(transformation(extent={{-28,46},
                  {-20,54}},          rotation=0)));
      public
        Modelica.Fluid.Pipes.DynamicPipe pipe(
          redeclare package Medium = Medium,
          use_T_start=true,
          T_start=Modelica.SIunits.Conversions.from_degC(80),
          diameter=0.01,
          redeclare model FlowModel =
              Modelica.Fluid.Pipes.BaseClasses.FlowModels.DetailedPipeFlow,
          length=10,
          redeclare model HeatTransfer =
              Modelica.Fluid.Pipes.BaseClasses.HeatTransfer.IdealFlowHeatTransfer,
          nNodes=2,
          use_HeatTransfer=false)
          annotation (Placement(transformation(extent={{-8,-8},{8,8}},   rotation=-90,
              origin={72,10})));

        Modelica.Fluid.Pipes.DynamicPipe flange(
          use_T_start=true,
          redeclare package Medium = Medium,
          T_start=Modelica.SIunits.Conversions.from_degC(40),
          redeclare model FlowModel =
              Modelica.Fluid.Pipes.BaseClasses.FlowModels.DetailedPipeFlow,
          modelStructure=Modelica.Fluid.Types.ModelStructure.av_b,
          use_HeatTransfer=true,
          length=0.5,
          diameter=0.01,
          nNodes=2,
          redeclare model HeatTransfer =
              Modelica.Fluid.Pipes.BaseClasses.HeatTransfer.IdealFlowHeatTransfer)
          annotation (Placement(transformation(extent={{34,-22},{18,-6}}, rotation=
                  0)));

        ThermoelectricGenerator_V5_7.TEG_Module tEG_Module(
          N=199,
          Length=0.04,
          Breadth=0.04,
          T_CP1=0.001,
          T_CP2=0.001,
          A=0.0014*0.0014,
          L=0.001,
          redeclare ThermoelectricGenerator_V5_7.Packaging.seq_1D_with_storing
            packaging_left(S=2, redeclare
              ThermoelectricGenerator_V5_7.Packaging_Material_Data.Ceramic_Al2O3
              Material),
          redeclare ThermoelectricGenerator_V5_7.Packaging.seq_1D_with_storing
            packaging_right(S=2),
          redeclare
            ThermoelectricGenerator_V5_7.Inner_TEG.CTEL_1D_dyn_seq_intalpha_contact_res
            inner_TEG(
            Thickness_conn=0.0004,
            redeclare
              ThermoelectricGenerator_V5_7.Packaging_Material_Data.Aluminium
              Material_connector,
            redeclare
              ThermoelectricGenerator_V5_7.Thermoelectric_Material_Data.Bi2_Te3_p_Thermonamic
              Material_A,
            redeclare
              ThermoelectricGenerator_V5_7.Thermoelectric_Material_Data.Bi2_Te3_n_Thermonamic
              Material_B,
            redeclare
              ThermoelectricGenerator_V5_7.Inner_TEG.Components_for_leg_connection.contact_and_wire_res
              leg_conn_elec,
            S=4,
            redeclare
              ThermoelectricGenerator_V5_7.Inner_TEG.Components_for_leg_connection.res_and_storage
              leg_conn_thermal_left(redeclare
                ThermoelectricGenerator_V5_7.Packaging_Material_Data.Aluminium
                Material),
            redeclare
              ThermoelectricGenerator_V5_7.Inner_TEG.Components_for_leg_connection.res_and_storage
              leg_conn_thermal_right(redeclare
                ThermoelectricGenerator_V5_7.Packaging_Material_Data.Aluminium
                Material)),
          T_0=293.15) annotation (Placement(transformation(
              extent={{-20.5,-19.5},{20.5,19.5}},
              rotation=180,
              origin={42.5,-65.5})));
        Modelica.Thermal.HeatTransfer.Sources.PrescribedHeatFlow burner(alpha=-0.5,
            T_ref=343.15)
          annotation (Placement(transformation(extent={{-7,-7},{7,7}},
              rotation=270,
              origin={25,47})));
        Modelica.Blocks.Interaction.Show.RealValue realValue annotation (
            Placement(transformation(
              extent={{-7,-7},{7,7}},
              rotation=180,
              origin={-55,-65})));
        Modelica.Fluid.Valves.ValveIncompressible valve(
          redeclare package Medium = Medium,
          CvData=Modelica.Fluid.Types.CvTypes.OpPoint,
          m_flow_nominal=0.01,
          show_T=true,
          allowFlowReversal=false,
          dp_nominal=10000)
          annotation (Placement(transformation(extent={{64,-22},{48,-6}},rotation=0)));
        Modelica.Thermal.HeatTransfer.Components.ThermalConductor wall1(G=6)
          annotation (Placement(transformation(
              origin={27,5},
              extent={{5,-5},{-5,5}},
              rotation=270)));
        Modelica.Blocks.Sources.RealExpression Burner_power(y=1600)
          annotation (Placement(transformation(extent={{2,42},{18,56}})));
        Modelica.Blocks.Sources.TimeTable timeTable(offset=0, table=[0,0.05;
              3500,0.05; 3600,0.05; 7100,0.05; 7200,0.05; 10700,0.05; 10800,
              0.05; 14300,0.05; 14400,0.05; 17900,0.05; 18000,0.05; 21500,0.05;
              21600,1; 25100,1; 25200,1; 28799,1; 28950,0.05; 32300,0.05; 32400,
              0.05; 35900,0.05; 36000,0.05; 39500,0.05; 39600,0.05; 43100,0.05;
              43200,0.05; 46700,0.05; 46800,0.05; 50300,0.05; 50400,0.05; 53900,
              0.05; 54000,0.05; 57500,0.05; 57600,0.05; 61100,0.05; 61200,1;
              64700,1; 64800,1; 68300,1; 68400,1; 71900,1; 72000,1; 75500,1;
              75600,1; 79199,1; 79400,0.05; 82700,0.05; 82800,0.05])
          annotation (Placement(transformation(extent={{40,2},{50,12}})));
        Modelica.Thermal.HeatTransfer.Components.HeatCapacitor heatCapacitor(C=150)
          annotation (Placement(transformation(extent={{12,-4},{18,2}})));
        Modelica.Blocks.Continuous.Integrator integrator annotation (Placement(
              transformation(extent={{-98,-58},{-88,-48}})));
        ThermoelectricGenerator_V5_7.System_Components.simple_heatsink_with_heat_cap
          simple_heatsink_with_heat_cap(heatCapacitor(T(start=293.15)))
          annotation (Placement(transformation(
              extent={{-10,-12},{10,12}},
              rotation=180,
              origin={12,-64})));
        ThermoelectricGenerator_V5_7.System_Components.MPPT_compact
          mPPT_compact(
          Temp_ref(displayUnit="K") = 300,
          R_ref=2.05,
          alpha=1.3/300) annotation (Placement(transformation(
              extent={{-10,-10},{10,10}},
              rotation=270,
              origin={-20,-64})));
        Modelica.Thermal.HeatTransfer.Sensors.TemperatureSensor TEG_HOT
          annotation (Placement(transformation(extent={{76,-114},{84,-106}})));
        Modelica.Thermal.HeatTransfer.Sensors.TemperatureSensor TEG_COLD
          annotation (Placement(transformation(extent={{12,-116},{20,-108}})));
      //*****************************************************************************/

      //equations********************************************************************/
      equation
        tankLevel = tank.level;
        mPPT_compact.Temp=(TEG_HOT.T-TEG_COLD.T)/2+TEG_COLD.T;

        connect(sensor_T_return.port, radiator.port_b)
                                                  annotation (Line(points={{-46,-12},{
                -46,-14},{-16,-14}},color={0,127,255}));
        connect(tank.ports[2], pump.port_a) annotation (Line(
            points={{-36.4,36},{-36.4,34},{-24,34}},
            color={0,127,255},
            smooth=Smooth.None));
        connect(sensor_T_forward.port, heater.port_b)
                                                    annotation (Line(
            points={{51,40},{51,34},{32,34}},
            color={0,127,255},
            smooth=Smooth.None));
        connect(heater.port_b, pipe.port_a) annotation (Line(
            points={{32,34},{72,34},{72,18}},
            color={0,127,255},
            smooth=Smooth.None), Advanced(
                                InvisibleConnections =        true));
        connect(radiator.port_b, tank.ports[1]) annotation (Line(
            points={{-16,-14},{-39.6,-14},{-39.6,36}},
            color={0,127,255},
            smooth=Smooth.None));
        connect(flange.port_b, radiator.port_a) annotation (Line(
            points={{18,-14},{0,-14}},
            color={0,127,255},
            smooth=Smooth.None));
        connect(burner.port, heater.heatPorts[1]) annotation (Line(
            points={{25,40},{24.08,40},{24.08,37.52}},
            color={191,0,0},
            smooth=Smooth.None));
        connect(pump.port_b, heater.port_a) annotation (Line(
            points={{-8,34},{16,34}},
            color={0,127,255},
            smooth=Smooth.None));
        connect(sensor_T_forward.T, T_forward) annotation (Line(
            points={{55.9,46},{72,46}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(radiator.heatPorts[1], wall.port_a) annotation (Line(
            points={{-8.08,-10.48},{-8.08,-2.8},{-9,-2.8},{-9,-2}},
            color={127,0,0},
            smooth=Smooth.None));
        connect(T_return, sensor_T_return.T) annotation (Line(
            points={{-58,-6},{-58,-5},{-51.6,-5}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(flange.port_a, valve.port_b) annotation (Line(
            points={{34,-14},{48,-14}},
            color={0,127,255},
            smooth=Smooth.None));
        connect(T_ambient.port, wall1.port_b) annotation (Line(
            points={{-56,26},{-52,26},{-52,26},{-46,26},{-46,16},{27,16},{27,10}},
            color={191,0,0},
            smooth=Smooth.None));
        connect(Burner_power.y, burner.Q_flow) annotation (Line(
            points={{18.8,49},{20,49},{20,54},{25,54}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(timeTable.y, valve.opening) annotation (Line(
            points={{50.5,7},{56,7},{56,-7.6}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(flange.heatPorts[1], wall1.port_a) annotation (Line(
            points={{27.16,-10.48},{27.16,8.88178e-016},{27,8.88178e-016}},
            color={127,0,0},
            smooth=Smooth.None));
        connect(valve.port_a, pipe.port_b) annotation (Line(
            points={{64,-14},{72,-14},{72,2}},
            color={0,127,255},
            smooth=Smooth.None));
        connect(simple_heatsink_with_heat_cap.port_a, tEG_Module.port_b)
          annotation (Line(
            points={{22.2,-64},{24,-64},{24,-64.3529},{26.3278,-64.3529}},
            color={191,0,0},
            smooth=Smooth.None));
        connect(simple_heatsink_with_heat_cap.port_b, T_ambient.port) annotation (
            Line(
            points={{1.8,-64},{4,-64},{4,16},{-46,16},{-46,26},{-56,26}},
            color={191,0,0},
            smooth=Smooth.None));
        connect(realValue.numberPort, integrator.u) annotation (Line(
            points={{-46.95,-65},{-40,-65},{-40,-78},{-104,-78},{-104,-53},{-99,
                -53}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(mPPT_compact.n, tEG_Module.pin_n) annotation (Line(
            points={{-20,-74},{-20,-90},{70,-90},{70,-76.0529},{60.7222,
                -76.0529}},
            color={0,0,255},
            smooth=Smooth.None));
        connect(tEG_Module.pin_p, mPPT_compact.p) annotation (Line(
            points={{60.7222,-52.8824},{70,-52.8824},{70,-44},{-20,-44},{-20,
                -54}},
            color={0,0,255},
            smooth=Smooth.None));
        connect(TEG_HOT.port, tEG_Module.port_a)           annotation (Line(
            points={{76,-110},{76,-64.3529},{60.7222,-64.3529}},
            color={191,0,0},
            smooth=Smooth.None));
        connect(tEG_Module.port_b, TEG_COLD.port)           annotation (Line(
            points={{26.3278,-64.3529},{26.3278,-112},{12,-112}},
            color={191,0,0},
            smooth=Smooth.None));
        connect(flange.heatPorts[2], tEG_Module.port_a) annotation (Line(
            points={{24.68,-10.48},{24.68,-4},{76,-4},{76,-64.3529},{60.7222,
                -64.3529}},
            color={127,0,0},
            smooth=Smooth.None));
        connect(flange.heatPorts[1], heatCapacitor.port) annotation (Line(
            points={{27.16,-10.48},{19.96,-10.48},{19.96,-4},{15,-4}},
            color={127,0,0},
            smooth=Smooth.None));
        connect(realValue.numberPort, mPPT_compact.y) annotation (Line(
            points={{-46.95,-65},{-40,-65},{-40,-64.8},{-31,-64.8}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(wall.port_b, wall1.port_b) annotation (Line(
            points={{-9,8},{-10,8},{-10,16},{27,16},{27,10}},
            color={191,0,0},
            smooth=Smooth.None));
      //*****************************************************************************/

      annotation (Documentation(info="<html>
   <p>
**************************************************************************** <br>
  <b> Copyright (C) 2015-2017 Chair of Automation and Energy Systems, Saarland University </b> <br>
------------------------------------------------------------------------------------------------------------------ <br>
  This file is part of EHSTEG. <p>                    
  
  For more information see <a href=\"//EHSTEG.UsersGuide\">User's Guide</a> <p>
  
**************************************************************************** <p>
</html>
"),       Advanced( InvisibleConnections =        true),Diagram(coordinateSystem(preserveAspectRatio=false, extent={{-120,
                  -120},{100,60}}),
                            graphics={Text(
                extent={{-56,-60},{-32,-56}},
                lineColor={0,0,0},
                fillColor={215,215,215},
                fillPattern=FillPattern.Solid,
                textString="Power  [W]")}),
                             Icon(coordinateSystem(preserveAspectRatio=false, extent={{-120,
                  -120},{100,60}}),  graphics),
                                    experiment(
            StopTime=86400,
            __Dymola_NumberOfIntervals=5000,
            __Dymola_Algorithm="Dassl"),
          __Dymola_Commands(file(ensureSimulated=true)=
              "modelica://Modelica/Resources/Scripts/Dymola/Fluid/HeatingSystem/plotResults.mos"
              "plotResults"),
          __Dymola_experimentSetupOutput);
      end ElectricalThermostat;

      model ThermostatOfficeRoom
        "EHS at the radiator in a office (simple model of a heating system, based on Modelica.Fluid.Examples.HeatingSystem)"

      //Copyright(C) 2015-2017 Chair of Automation and Energy Systems, Saarland University (for more information see 'Documentation')

      //extends**********************************************************************/
        extends Modelica.Icons.Example;
      //*****************************************************************************/

      //parameter definition*********************************************************/
         replaceable package Medium =
            Modelica.Media.Water.StandardWater
           constrainedby Modelica.Media.Interfaces.PartialMedium;
      //*****************************************************************************/

      //variable definition**********************************************************/
        Real R_in "inner load of TEG series"; // Ohm
      //*****************************************************************************/

      //used components**************************************************************/
        Modelica.Fluid.Vessels.OpenTank tank(
          redeclare package Medium = Medium,
          crossArea=0.01,
          height=2,
          level_start=1,
          nPorts=2,
          massDynamics=Modelica.Fluid.Types.Dynamics.FixedInitial,
          use_HeatTransfer=true,
          portsData={Modelica.Fluid.Vessels.BaseClasses.VesselPortsData(diameter=
              0.01),Modelica.Fluid.Vessels.BaseClasses.VesselPortsData(diameter=
              0.01)},
          redeclare model HeatTransfer =
              Modelica.Fluid.Vessels.BaseClasses.HeatTransfer.IdealHeatTransfer
              (                                                                  k=10),
          ports(each p(start=1e5)),
          s(each start=1))
                    annotation (Placement(transformation(extent={{-46,36},{-30,
                  52}},
                rotation=0)));
        Modelica.Fluid.Machines.ControlledPump pump(
          redeclare package Medium = Medium,
          N_nominal=1500,
          use_T_start=true,
          T_start=Modelica.SIunits.Conversions.from_degC(40),
          m_flow_start=0.01,
          m_flow_nominal=0.01,
          control_m_flow=false,
          allowFlowReversal=false,
          p_a_start=110000,
          p_b_start=130000,
          p_a_nominal=110000,
          p_b_nominal=130000)
          annotation (Placement(transformation(extent={{-24,26},{-8,42}},  rotation=
                 0)));
        Modelica.Thermal.HeatTransfer.Sources.PrescribedTemperature
                                                               T_ambient
          annotation (Placement(transformation(extent={{-70,19},{-56,33}}, rotation=
                 0)));
        Modelica.Thermal.HeatTransfer.Components.ThermalConductor wall(G=1.6e3/20)
          annotation (Placement(transformation(
              origin={-7,5},
              extent={{5,-5},{-5,5}},
              rotation=270)));
        inner Modelica.Fluid.System system(
            m_flow_small=1e-4,
          energyDynamics=Modelica.Fluid.Types.Dynamics.SteadyStateInitial,
          momentumDynamics=Modelica.Fluid.Types.Dynamics.SteadyState,
          allowFlowReversal=true,
          T_ambient(displayUnit="degC") = 293.15)
                              annotation (Placement(transformation(extent={{-70,42},{-56,
                  56}},       rotation=0)));
        Modelica.Fluid.Pipes.DynamicPipe heater(
          redeclare package Medium = Medium,
          use_T_start=true,
          T_start=Modelica.SIunits.Conversions.from_degC(80),
          length=2,
          redeclare model HeatTransfer =
              Modelica.Fluid.Pipes.BaseClasses.HeatTransfer.IdealFlowHeatTransfer,
          diameter=0.01,
          nNodes=1,
          modelStructure=Modelica.Fluid.Types.ModelStructure.a_vb,
          redeclare model FlowModel =
              Modelica.Fluid.Pipes.BaseClasses.FlowModels.DetailedPipeFlow,
          use_HeatTransfer=true)
          annotation (Placement(transformation(extent={{16,26},{32,42}}, rotation=0)));

        Modelica.Fluid.Pipes.DynamicPipe radiator(
          use_T_start=true,
          redeclare package Medium = Medium,
          length=10,
          T_start=Modelica.SIunits.Conversions.from_degC(40),
          redeclare model HeatTransfer =
              Modelica.Fluid.Pipes.BaseClasses.HeatTransfer.IdealFlowHeatTransfer,
          diameter=0.01,
          redeclare model FlowModel =
              Modelica.Fluid.Pipes.BaseClasses.FlowModels.DetailedPipeFlow,
          modelStructure=Modelica.Fluid.Types.ModelStructure.av_b,
          use_HeatTransfer=true,
          nNodes=3)
          annotation (Placement(transformation(extent={{0,-22},{-16,-6}}, rotation=
                  0)));

      protected
        Modelica.Blocks.Interfaces.RealOutput T_forward
          annotation (Placement(transformation(extent={{66,40},{78,52}},   rotation=
                 0)));
        Modelica.Blocks.Interfaces.RealOutput T_return
          annotation (Placement(transformation(extent={{4,-4},{-4,4}},
                rotation=0,
              origin={-58,-6})));
      public
        Modelica.Fluid.Sensors.Temperature sensor_T_forward(redeclare package
            Medium =
              Medium)
          annotation (Placement(transformation(extent={{44,40},{58,52}},   rotation=
                 0)));
        Modelica.Fluid.Sensors.Temperature sensor_T_return(redeclare package
            Medium =
              Medium)
          annotation (Placement(transformation(extent={{-38,-12},{-54,2}},
                rotation=0)));
      protected
        Modelica.Blocks.Interfaces.RealOutput tankLevel
                                       annotation (Placement(transformation(extent={{-28,46},
                  {-20,54}},          rotation=0)));
      public
        Modelica.Fluid.Pipes.DynamicPipe pipe(
          redeclare package Medium = Medium,
          use_T_start=true,
          T_start=Modelica.SIunits.Conversions.from_degC(80),
          diameter=0.01,
          redeclare model FlowModel =
              Modelica.Fluid.Pipes.BaseClasses.FlowModels.DetailedPipeFlow,
          length=10,
          redeclare model HeatTransfer =
              Modelica.Fluid.Pipes.BaseClasses.HeatTransfer.IdealFlowHeatTransfer,
          nNodes=2,
          use_HeatTransfer=false)
          annotation (Placement(transformation(extent={{-8,-8},{8,8}},   rotation=-90,
              origin={72,10})));

        Modelica.Fluid.Pipes.DynamicPipe flange(
          use_T_start=true,
          redeclare package Medium = Medium,
          T_start=Modelica.SIunits.Conversions.from_degC(40),
          redeclare model FlowModel =
              Modelica.Fluid.Pipes.BaseClasses.FlowModels.DetailedPipeFlow,
          modelStructure=Modelica.Fluid.Types.ModelStructure.av_b,
          use_HeatTransfer=true,
          length=0.5,
          diameter=0.01,
          redeclare model HeatTransfer =
              Modelica.Fluid.Pipes.BaseClasses.HeatTransfer.IdealFlowHeatTransfer,
          nNodes=1)
          annotation (Placement(transformation(extent={{34,-22},{18,-6}}, rotation=
                  0)));

        Components.ThermoelectricDevice.HebeiIT.TEC1_12706 tEG_Module
          annotation (Placement(transformation(
              extent={{-10,10},{10,-10}},
              rotation=270,
              origin={36,-54})));
        Modelica.Thermal.HeatTransfer.Sources.PrescribedHeatFlow burner(alpha=-0.5, T_ref=
              335.15) "70"
          annotation (Placement(transformation(extent={{-7,-7},{7,7}},
              rotation=270,
              origin={25,47})));
        Modelica.Blocks.Interaction.Show.RealValue realValue annotation (
            Placement(transformation(
              extent={{-8,-8},{8,8}},
              rotation=180,
              origin={-56,-66})));
        Modelica.Fluid.Valves.ValveIncompressible valve(
          redeclare package Medium = Medium,
          CvData=Modelica.Fluid.Types.CvTypes.OpPoint,
          m_flow_nominal=0.01,
          show_T=true,
          allowFlowReversal=false,
          dp_nominal=10000)
          annotation (Placement(transformation(extent={{64,-22},{48,-6}},rotation=0)));
        Modelica.Thermal.HeatTransfer.Components.ThermalConductor wall1(G=6)
          annotation (Placement(transformation(
              origin={27,5},
              extent={{5,-5},{-5,5}},
              rotation=270)));
        Modelica.Blocks.Sources.RealExpression Burner_power(y=1600)
          annotation (Placement(transformation(extent={{2,42},{18,56}})));
        Modelica.Blocks.Sources.TimeTable timeTable(offset=0, table=[0,0.05;
              3600,0.05; 7200,0.05; 10800,0.05; 14400,0.05; 18000,0.05; 21600,
              0.05; 25200,0.05; 27000,0.05; 27100,1; 28800,1; 32400,1; 36000,1;
              39600,1; 43200,1; 46800,1; 50400,1; 54000,1; 57600,1; 61200,1;
              63000,1; 63100,0.05; 64800,0.05; 68400,0.05; 72000,0.05; 75600,
              0.05; 79200,0.05; 82800,0.05; 86400,0.05; 90000,0.05; 93600,0.05;
              97200,0.05; 100800,0.05; 104400,0.05; 108000,0.05; 111600,0.05;
              113400,0.05; 113500,1; 115200,1; 118800,1; 122400,1; 126000,1;
              129600,1; 133200,1; 136800,1; 140400,1; 144000,1; 147600,1;
              149400,1; 149500,0.05; 151200,0.05; 154800,0.05; 158400,0.05;
              162000,0.05; 165600,0.05; 169200,0.05; 172800,0.05; 176400,0.05;
              180000,0.05; 183600,0.05; 187200,0.05; 190800,0.05; 194400,0.05;
              198000,0.05; 199800,0.05; 199900,1; 201600,1; 205200,1; 208800,1;
              212400,1; 216000,1; 219600,1; 223200,1; 226800,1; 230400,1;
              234000,1; 235800,1; 235900,0.05; 237600,0.05; 241200,0.05; 244800,
              0.05; 248400,0.05; 252000,0.05; 255600,0.05; 259200,0.05; 262800,
              0.05; 266400,0.05; 270000,0.05; 273600,0.05; 277200,0.05; 280800,
              0.05; 284400,0.05; 286200,0.05; 286300,1; 288000,1; 291600,1;
              295200,1; 298800,1; 302400,1; 306000,1; 309600,1; 313200,1;
              316800,1; 320400,1; 322200,1; 322300,0.05; 324000,0.05; 327600,
              0.05; 331200,0.05; 334800,0.05; 338400,0.05; 342000,0.05; 345600,
              0.05; 349200,0.05; 352800,0.05; 356400,0.05; 360000,0.05; 363600,
              0.05; 367200,0.05; 370800,0.05; 372600,0.05; 372700,1; 374400,1;
              378000,1; 381600,1; 385200,1; 388800,1; 392400,1; 396000,1;
              399600,1; 403200,1; 406800,1; 408600,1; 408700,0.05; 410400,0.05;
              414000,0.05; 417600,0.05; 421200,0.05; 424800,0.05; 428400,0.05;
              432000,0.05; 435600,0.05; 439200,0.05; 442800,0.05; 446400,0.05;
              450000,0.05; 453600,0.05; 457200,0.05; 460800,0.05; 464400,0.05;
              468000,0.05; 471600,0.05; 475200,0.05; 478800,0.05; 482400,0.05;
              486000,0.05; 489600,0.05; 493200,0.05; 496800,0.05; 500400,0.05;
              504000,0.05; 507600,0.05; 511200,0.05; 514800,0.05; 518400,0.05;
              522000,0.05; 525600,0.05; 529200,0.05; 532800,0.05; 536400,0.05;
              540000,0.05; 543600,0.05; 547200,0.05; 550800,0.05; 554400,0.05;
              558000,0.05; 561600,0.05; 565200,0.05; 568800,0.05; 572400,0.05;
              576000,0.05; 579600,0.05; 583200,0.05; 586800,0.05; 590400,0.05;
              594000,0.05; 597600,0.05; 601200,0.05; 604800,0.05; 608400,0.05;
              612000,0.05; 615600,0.05; 619200,0.05; 622800,0.05; 626400,0.05;
              630000,0.05; 633600,0.05; 637200,0.05; 640800,0.05])
          annotation (Placement(transformation(extent={{40,2},{50,12}})));
        Modelica.Thermal.HeatTransfer.Components.HeatCapacitor heatCapacitor(C=150)
          annotation (Placement(transformation(extent={{12,0},{18,6}})));
        Modelica.Blocks.Continuous.Integrator integrator annotation (Placement(
              transformation(extent={{-46,-50},{-56,-40}})));
        Modelica.Thermal.HeatTransfer.Sensors.TemperatureSensor TEG_HOT
          annotation (Placement(transformation(extent={{78,-114},{86,-106}})));
        Modelica.Thermal.HeatTransfer.Sensors.TemperatureSensor TEG_COLD
          annotation (Placement(transformation(extent={{22,-114},{30,-106}})));
        Components.ThermoelectricDevice.HebeiIT.TEC1_12706 tEG_Module1
          annotation (Placement(transformation(
              extent={{-10,10},{10,-10}},
              rotation=270,
              origin={36,-80})));
        Components.HeatTransfer.AluminumHalfShell.AluminumHalfShell
          aluminumHalfShell1 annotation (Placement(transformation(
              extent={{-10,-10},{10,10}},
              rotation=90,
              origin={68,-80})));
        Components.HeatTransfer.HTP hTP(A_HTP=0.049*0.012)
                                        annotation (Placement(transformation(
              extent={{-10,-10},{10,10}},
              rotation=270,
              origin={92,-80})));
        Components.HeatTransfer.HTP hTP1 annotation (Placement(transformation(
              extent={{-10,-10},{10,10}},
              rotation=270,
              origin={58,-80})));
        Components.HeatTransfer.AluminumHalfShell.AluminumHalfShell
          aluminumHalfShell2 annotation (Placement(transformation(
              extent={{-10,-10},{10,10}},
              rotation=90,
              origin={68,-54})));
        Components.HeatTransfer.HTP hTP2(A_HTP=0.049*0.012)
                                         annotation (Placement(transformation(
              extent={{-10,-10},{10,10}},
              rotation=270,
              origin={92,-54})));
        Components.HeatTransfer.HTP hTP3 annotation (Placement(transformation(
              extent={{-10,-10},{10,10}},
              rotation=270,
              origin={58,-54})));
        Components.CoolingElement.Passive.CoolingElement coolingElement annotation (
            Placement(transformation(
              extent={{-10,-10},{10,10}},
              rotation=90,
              origin={0,-54})));
        Components.HeatTransfer.HTP hTP4 annotation (Placement(transformation(
              extent={{-10,-10},{10,10}},
              rotation=270,
              origin={12,-54})));
        Components.HeatTransfer.HTP hTP5 annotation (Placement(transformation(
              extent={{-10,-10},{10,10}},
              rotation=270,
              origin={14,-80})));
        Components.CoolingElement.Passive.CoolingElement coolingElement1 annotation (
            Placement(transformation(
              extent={{-10,-10},{10,10}},
              rotation=90,
              origin={0,-80})));
        Modelica.Blocks.Sources.TimeTable timeTable1(table=[0,20.25; 60,20.25;
              120.0000002,20.25; 179.9999998,20.25; 240,20.25; 300.0000002,
              20.312; 359.9999998,20.312; 420,20.25; 480.0000002,20.312;
              539.9999998,20.312; 600,20.312; 660.0000002,20.312; 719.9999998,
              20.312; 780,20.312; 840,20.25; 899.9999998,20.25; 960,20.25; 1020,
              20.25; 1080,20.25; 1140,20.25; 1200,20.312; 1260,20.25; 1320,
              20.312; 1380,20.312; 1440,20.25; 1500,20.312; 1560,20.312; 1620,
              20.25; 1680,20.312; 1740,20.25; 1800,20.312; 1860,20.312; 1920,
              20.312; 1980,20.312; 2040,20.312; 2100,20.312; 2160,20.312; 2220,
              20.312; 2280,20.312; 2340,20.312; 2400,20.312; 2460,20.312; 2520,
              20.312; 2580,20.312; 2640,20.312; 2700,20.312; 2760,20.312; 2820,
              20.312; 2880,20.312; 2940,20.312; 3000,20.312; 3060,20.312; 3120,
              20.312; 3180,20.312; 3240,20.312; 3300,20.312; 3360,20.25; 3420,
              20.312; 3480,20.312; 3540,20.312; 3600,20.312; 3660,20.312; 3720,
              20.312; 3780,20.312; 3840,20.25; 3900,20.312; 3960,20.312; 4020,
              20.312; 4080,20.312; 4140,20.312; 4200,20.25; 4260,20.312; 4320,
              20.312; 4380,20.312; 4440,20.312; 4500,20.312; 4560,20.312; 4620,
              20.312; 4680,20.312; 4740,20.312; 4800,20.312; 4860,20.312; 4920,
              20.312; 4980,20.312; 5040,20.312; 5100,20.312; 5160,20.312; 5220,
              20.312; 5280,20.312; 5340,20.312; 5400,20.312; 5460,20.312; 5520,
              20.312; 5580,20.312; 5640,20.312; 5700,20.312; 5760,20.312; 5820,
              20.312; 5880,20.312; 5940,20.25; 6000,20.25; 6060,20.312; 6120,
              20.25; 6180,20.25; 6240,20.312; 6300,20.312; 6360,20.312; 6420,
              20.25; 6480,20.25; 6540,20.312; 6600,20.312; 6660,20.312; 6720,
              20.312; 6780,20.25; 6840,20.25; 6900,20.25; 6960,20.25; 7020,
              20.25; 7080,20.312; 7140,20.312; 7200,20.312; 7260,20.25; 7320,
              20.312; 7380,20.25; 7440,20.25; 7500,20.25; 7560,20.25; 7620,
              20.312; 7680,20.312; 7740,20.312; 7800,20.312; 7860,20.25; 7920,
              20.25; 7980,20.25; 8040,20.25; 8100,20.25; 8160,20.187; 8220,
              20.25; 8280,20.25; 8340,20.25; 8400,20.25; 8460,20.25; 8520,20.25;
              8580,20.187; 8640,20.187; 8700,20.25; 8760,20.187; 8820,20.187;
              8880,20.25; 8940,20.187; 9000,20.187; 9060,20.187; 9120,20.187;
              9180,20.187; 9240,20.187; 9300,20.187; 9360,20.25; 9420,20.25;
              9480,20.25; 9540,20.25; 9600,20.25; 9660,20.375; 9720,20.437;
              9780,20.375; 9840,20.375; 9900,20.25; 9960,20.25; 10020,20.25;
              10080,20.312; 10140,20.437; 10201,20.375; 10261,20.312; 10321,
              20.312; 10381,20.312; 10441,20.25; 10501,20.312; 10561,20.25;
              10621,20.187; 10681,20.187; 10741,20.187; 10801,20.187; 10861,
              20.25; 10921,20.312; 10981,20.375; 11041,20.437; 11101,20.5;
              11161,20.5; 11221,20.5; 11281,20.437; 11341,20.375; 11401,20.437;
              11461,20.375; 11521,20.375; 11581,20.312; 11641,20.312; 11701,
              20.312; 11761,20.375; 11821,20.375; 11881,20.375; 11941,20.375;
              12001,20.5; 12061,20.437; 12121,20.375; 12181,20.375; 12241,
              20.375; 12301,20.437; 12361,20.437; 12421,20.437; 12481,20.437;
              12541,20.437; 12601,20.437; 12661,20.437; 12721,20.437; 12781,
              20.437; 12841,20.437; 12901,20.5; 12961,20.5; 13021,20.5; 13081,
              20.5; 13141,20.5; 13201,20.437; 13261,20.5; 13321,20.562; 13381,
              20.625; 13441,20.625; 13501,20.625; 13561,20.625; 13621,20.625;
              13681,20.562; 13741,20.562; 13801,20.562; 13861,20.562; 13921,
              20.625; 13981,20.5; 14041,20.562; 14101,20.562; 14161,20.5; 14221,
              20.5; 14281,20.562; 14341,20.562; 14401,20.562; 14461,20.562;
              14521,20.5; 14581,20.5; 14641,20.562; 14701,20.562; 14761,20.5;
              14821,20.5; 14881,20.5; 14941,20.5; 15001,20.5; 15061,20.437;
              15121,20.437; 15181,20.5; 15241,20.437; 15301,20.375; 15361,
              20.375; 15421,20.375; 15481,20.375; 15541,20.375; 15601,20.375;
              15661,20.375; 15721,20.375; 15781,20.437; 15841,20.437; 15901,
              20.375; 15961,20.375; 16021,20.375; 16081,20.375; 16141,20.312;
              16201,20.312; 16261,20.375; 16321,20.312; 16381,20.312; 16441,
              20.312; 16501,20.312; 16561,20.312; 16621,20.312; 16681,20.312;
              16741,20.25; 16801,20.312; 16861,20.312; 16921,20.312; 16981,
              20.312; 17041,20.312; 17101,20.312; 17161,20.25; 17221,20.25;
              17281,20.25; 17341,20.25; 17401,20.187; 17461,20.25; 17521,20.25;
              17581,20.187; 17641,20.25; 17701,20.25; 17761,20.25; 17821,20.25;
              17881,20.312; 17941,20.312; 18001,20.312; 18061,20.375; 18121,
              20.375; 18181,20.375; 18241,20.437; 18301,20.437; 18361,20.437;
              18421,20.437; 18481,20.5; 18541,20.5; 18601,20.5; 18661,20.5;
              18721,20.5; 18781,20.5; 18841,20.5; 18901,20.5; 18961,20.5; 19021,
              20.562; 19081,20.562; 19141,20.562; 19201,20.562; 19261,20.562;
              19321,20.562; 19381,20.5; 19441,20.562; 19501,20.562; 19561,
              20.562; 19621,20.562; 19681,20.625; 19741,20.562; 19801,20.562;
              19861,20.562; 19921,20.562; 19981,20.562; 20041,20.562; 20101,
              20.562; 20161,20.562; 20221,20.562; 20281,20.562; 20341,20.625;
              20401,20.562; 20461,20.562; 20521,20.562; 20581,20.625; 20641,
              20.625; 20701,20.625; 20761,20.625; 20821,20.625; 20881,20.625;
              20941,20.562; 21001,20.625; 21061,20.562; 21121,20.562; 21181,
              20.5; 21241,20.5; 21301,20.5; 21361,20.5; 21421,20.5; 21481,20.5;
              21541,20.5; 21601,20.437; 21661,20.437; 21721,20.437; 21781,
              20.375; 21841,20.375; 21901,20.375; 21961,20.375; 22021,20.375;
              22081,20.375; 22141,20.375; 22201,20.375; 22261,20.375; 22321,
              20.312; 22381,20.312; 22441,20.312; 22501,20.312; 22561,20.25;
              22621,20.312; 22681,20.25; 22741,20.25; 22801,20.25; 22861,20.25;
              22921,20.25; 22981,20.25; 23041,20.187; 23101,20.25; 23161,20.187;
              23221,20.187; 23281,20.187; 23341,20.125; 23401,20.125; 23461,
              20.125; 23521,20; 23581,20; 23641,20.062; 23701,20.062; 23761,20;
              23821,19.937; 23881,20; 23941,20; 24001,20; 24061,20; 24121,
              19.937; 24181,19.937; 24241,19.937; 24301,19.937; 24361,19.937;
              24421,19.937; 24481,19.937; 24541,19.937; 24601,19.937; 24661,
              19.937; 24721,20; 24781,20.062; 24841,20.125; 24901,20.125; 24961,
              20.125; 25021,20.125; 25081,20.187; 25141,20.187; 25201,20.25;
              25261,20.25; 25321,20.25; 25381,20.312; 25441,20.312; 25501,
              20.312; 25561,20.312; 25621,20.312; 25681,20.312; 25741,20.312;
              25801,20.312; 25861,20.312; 25921,20.312; 25981,20.312; 26041,
              20.375; 26101,20.375; 26161,20.375; 26221,20.375; 26281,20.437;
              26341,20.437; 26401,20.375; 26461,20.437; 26521,20.437; 26581,
              20.437; 26641,20.437; 26701,20.437; 26761,20.5; 26821,20.5; 26881,
              20.5; 26941,20.5; 27001,20.5; 27061,20.437; 27121,20.437; 27181,
              20.5; 27241,20.625; 27301,20.812; 27361,20.937; 27421,21.062;
              27481,21.187; 27541,21.375; 27601,21.5; 27661,21.625; 27721,21.75;
              27781,21.75; 27841,21.812; 27901,21.937; 27961,22; 28021,22;
              28081,22.062; 28141,22.125; 28201,22.25; 28261,22.25; 28321,22.25;
              28381,22.375; 28441,22.437; 28501,22.437; 28561,22.5; 28621,22.5;
              28681,22.5; 28741,22.562; 28801,22.562; 28861,22.625; 28921,
              22.625; 28981,22.687; 29041,22.75; 29101,22.75; 29161,22.75;
              29221,22.812; 29281,22.812; 29341,22.812; 29401,22.875; 29461,
              22.875; 29521,22.875; 29581,22.875; 29641,22.875; 29701,22.937;
              29761,22.937; 29821,22.937; 29881,22.937; 29941,22.937; 30001,23;
              30061,23; 30121,23; 30181,23.062; 30241,23.125; 30301,23.062;
              30361,23.125; 30421,23.125; 30481,23.125; 30541,23.187; 30601,
              23.187; 30661,23.187; 30721,23.187; 30781,23.187; 30841,23.187;
              30901,23.187; 30961,23.187; 31021,23.25; 31081,23.187; 31141,
              23.25; 31201,23.25; 31261,23.25; 31321,23.25; 31381,23.25; 31441,
              23.25; 31501,23.25; 31561,23.312; 31621,23.375; 31681,23.312;
              31741,23.375; 31801,23.375; 31861,23.437; 31921,23.437; 31981,
              23.437; 32041,23.375; 32101,23.437; 32161,23.437; 32221,23.5;
              32281,23.5; 32341,23.5; 32401,23.5; 32461,23.5; 32521,23.562;
              32581,23.562; 32641,23.562; 32701,23.562; 32761,23.562; 32821,
              23.562; 32881,23.562; 32941,23.562; 33001,23.562; 33061,23.562;
              33121,23.5; 33181,23.5; 33241,23.562; 33301,23.5; 33361,23.562;
              33421,23.562; 33481,23.562; 33541,23.562; 33601,23.562; 33661,
              23.562; 33721,23.625; 33781,23.625; 33841,23.562; 33901,23.625;
              33961,23.625; 34021,23.687; 34081,23.687; 34141,23.625; 34201,
              23.687; 34261,23.75; 34321,23.687; 34381,23.687; 34441,23.75;
              34501,23.75; 34561,23.75; 34621,23.75; 34681,23.75; 34741,23.75;
              34801,23.75; 34861,23.75; 34921,23.75; 34981,23.75; 35041,23.75;
              35101,23.687; 35161,23.75; 35221,23.75; 35281,23.75; 35341,23.687;
              35401,23.687; 35461,23.75; 35521,23.687; 35581,23.687; 35641,
              23.687; 35701,23.75; 35761,23.687; 35821,23.687; 35881,23.687;
              35941,23.687; 36001,23.687; 36061,23.687; 36121,23.75; 36181,
              23.75; 36241,23.75; 36301,23.75; 36361,23.75; 36421,23.75; 36481,
              23.812; 36541,23.812; 36601,23.812; 36661,23.812; 36721,23.812;
              36781,23.812; 36841,23.812; 36901,23.812; 36961,23.812; 37021,
              23.812; 37081,23.812; 37141,23.812; 37201,23.812; 37261,23.812;
              37321,23.812; 37381,23.75; 37441,23.75; 37501,23.812; 37561,
              23.812; 37621,23.812; 37681,23.812; 37741,23.75; 37801,23.75;
              37861,23.75; 37921,23.75; 37981,23.75; 38041,23.75; 38101,23.75;
              38161,23.75; 38221,23.75; 38281,23.75; 38341,23.75; 38401,23.75;
              38461,23.75; 38521,23.75; 38581,23.75; 38641,23.812; 38701,23.812;
              38761,23.812; 38821,23.812; 38881,23.812; 38941,23.812; 39001,
              23.812; 39061,23.812; 39121,23.812; 39181,23.812; 39241,23.812;
              39301,23.812; 39361,23.812; 39421,23.812; 39481,23.812; 39541,
              23.812; 39601,23.812; 39661,23.812; 39721,23.812; 39781,23.812;
              39841,23.812; 39901,23.812; 39961,23.75; 40021,23.75; 40081,
              23.812; 40141,23.75; 40201,23.812; 40261,23.812; 40321,23.875;
              40381,23.875; 40441,23.875; 40501,23.875; 40561,23.875; 40621,
              23.875; 40681,23.937; 40741,23.937; 40801,23.937; 40861,23.937;
              40921,23.937; 40981,23.937; 41041,23.937; 41101,24; 41161,24;
              41221,24.062; 41281,24; 41341,24; 41401,24; 41461,24; 41521,24;
              41581,24.062; 41641,24.062; 41701,24; 41761,24; 41821,24; 41881,
              24; 41941,24; 42001,24; 42061,24; 42121,24; 42181,24; 42241,
              24.062; 42301,24.062; 42361,23.937; 42421,24; 42481,24; 42541,24;
              42601,24; 42661,24; 42721,24; 42781,23.937; 42841,23.937; 42901,
              23.937; 42961,23.937; 43021,23.875; 43081,23.875; 43141,23.937;
              43201,23.875; 43261,23.812; 43321,23.812; 43381,23.812; 43441,
              23.812; 43501,23.812; 43561,23.812; 43621,23.812; 43681,23.812;
              43741,23.875; 43801,23.875; 43861,23.937; 43921,23.875; 43981,
              23.875; 44041,23.875; 44101,23.875; 44161,23.875; 44221,23.875;
              44281,23.812; 44341,23.812; 44401,23.812; 44461,23.875; 44521,
              23.875; 44581,23.937; 44641,24; 44701,23.937; 44761,23.937; 44821,
              23.812; 44881,23.875; 44941,23.937; 45001,23.875; 45061,23.937;
              45121,23.937; 45181,23.937; 45241,23.937; 45301,23.937; 45361,
              23.937; 45421,23.937; 45481,23.937; 45541,23.937; 45601,23.937;
              45661,23.937; 45721,23.937; 45781,23.937; 45841,23.937; 45901,
              23.937; 45961,23.937; 46021,23.937; 46081,23.937; 46141,23.937;
              46201,23.937; 46261,24; 46321,23.937; 46381,23.937; 46441,23.937;
              46501,23.937; 46561,23.875; 46621,23.937; 46681,23.875; 46741,
              23.875; 46801,23.875; 46861,23.812; 46921,23.875; 46981,23.812;
              47041,23.812; 47101,23.812; 47161,23.812; 47221,23.812; 47281,
              23.812; 47341,23.75; 47401,23.75; 47461,23.75; 47521,23.75; 47581,
              23.75; 47641,23.75; 47701,23.75; 47761,23.687; 47821,23.687;
              47881,23.625; 47941,23.687; 48001,23.625; 48061,23.625; 48121,
              23.562; 48181,23.562; 48241,23.5; 48301,23.5; 48361,23.5; 48421,
              23.5; 48481,23.5; 48541,23.5; 48601,23.5; 48661,23.437; 48721,
              23.437; 48781,23.437; 48841,23.312; 48901,23.437; 48961,23.437;
              49021,23.437; 49081,23.5; 49141,23.437; 49201,23.5; 49261,23.437;
              49321,23.5; 49381,23.437; 49441,23.437; 49501,23.437; 49561,
              23.437; 49621,23.437; 49681,23.437; 49741,23.437; 49801,23.437;
              49861,23.437; 49921,23.437; 49981,23.375; 50041,23.375; 50101,
              23.437; 50161,23.437; 50221,23.375; 50281,23.437; 50341,23.437;
              50401,23.437; 50461,23.437; 50521,23.437; 50581,23.437; 50641,
              23.437; 50701,23.437; 50761,23.437; 50821,23.312; 50881,23.312;
              50941,23.375; 51001,23.312; 51061,23.312; 51121,23.375; 51181,
              23.375; 51241,23.375; 51301,23.375; 51361,23.375; 51421,23.437;
              51481,23.437; 51541,23.375; 51601,23.375; 51661,23.437; 51721,
              23.437; 51781,23.437; 51841,23.312; 51901,23.312; 51961,23.25;
              52021,23.25; 52081,23.25; 52141,23.25; 52201,23.25; 52261,23.25;
              52321,23.25; 52381,23.25; 52441,23.25; 52501,23.187; 52561,23.187;
              52621,23.187; 52681,23.187; 52741,23.187; 52801,23.187; 52861,
              23.25; 52921,23.25; 52981,23.25; 53041,23.25; 53101,23.25; 53161,
              23.25; 53221,23.25; 53281,23.25; 53341,23.312; 53401,23.312;
              53461,23.312; 53521,23.312; 53581,23.375; 53641,23.375; 53701,
              23.437; 53761,23.437; 53821,23.437; 53881,23.437; 53941,23.437;
              54001,23.375; 54061,23.375; 54121,23.375; 54181,23.375; 54241,
              23.375; 54301,23.375; 54361,23.375; 54421,23.375; 54481,23.375;
              54541,23.375; 54601,23.437; 54661,23.375; 54721,23.375; 54781,
              23.375; 54841,23.375; 54901,23.375; 54961,23.375; 55021,23.375;
              55081,23.375; 55141,23.437; 55201,23.5; 55261,23.5; 55321,23.5;
              55381,23.562; 55441,23.5; 55501,23.5; 55561,23.437; 55621,23.437;
              55681,23.375; 55741,23.437; 55861,23.437; 55921,23.562; 55981,
              23.562; 56041,23.562; 56101,23.625; 56161,23.625; 56221,23.625;
              56281,23.625; 56341,23.687; 56401,23.687; 56461,23.75; 56521,
              23.687; 56581,23.687; 56641,23.687; 56701,23.75; 56761,23.75;
              56821,23.687; 56881,23.687; 56941,23.75; 57001,23.625; 57061,
              23.687; 57121,23.75; 57181,23.687; 57241,23.687; 57301,23.687;
              57361,23.687; 57421,23.687; 57481,23.687; 57541,23.687; 57601,
              23.687; 57661,23.625; 57721,23.687; 57781,23.687; 57841,23.75;
              57901,23.75; 57961,23.812; 58021,23.812; 58081,23.875; 58141,
              23.875; 58201,23.875; 58261,23.812; 58321,23.875; 58381,23.875;
              58441,23.875; 58501,23.875; 58561,23.875; 58621,23.875; 58681,
              23.875; 58741,23.937; 58801,23.875; 58861,23.812; 58921,23.875;
              58981,23.812; 59041,23.875; 59101,23.812; 59161,23.812; 59221,
              23.812; 59281,23.812; 59341,23.812; 59401,23.812; 59461,23.812;
              59522,23.812; 59582,23.812; 59642,23.812; 59702,23.812; 59762,
              23.812; 59822,23.812; 59882,23.812; 59942,23.75; 60002,23.75;
              60062,23.75; 60122,23.75; 60182,23.812; 60242,23.812; 60302,
              23.812; 60362,23.812; 60422,23.75; 60482,23.75; 60542,23.75;
              60602,23.75; 60662,23.75; 60722,23.75; 60782,23.75; 60842,23.75;
              60902,23.75; 60962,23.75; 61022,23.687; 61082,23.687; 61142,
              23.687; 61202,23.687; 61262,23.687; 61322,23.687; 61382,23.687;
              61442,23.687; 61502,23.687; 61562,23.625; 61622,23.687; 61682,
              23.625; 61742,23.625; 61802,23.625; 61862,23.625; 61922,23.625;
              61982,23.562; 62042,23.562; 62102,23.562; 62162,23.562; 62222,
              23.5; 62282,23.5; 62342,23.5; 62402,23.5; 62462,23.5; 62522,23.5;
              62582,23.437; 62642,23.437; 62702,23.437; 62762,23.437; 62822,
              23.437; 62882,23.437; 62942,23.437; 63002,23.375; 63062,23.375;
              63122,23.375; 63182,23.375; 63242,23.312; 63302,23.312; 63362,
              23.312; 63422,23.25; 63482,23.25; 63542,23.187; 63602,23.187;
              63662,23.187; 63722,23.187; 63782,23.125; 63842,23.125; 63902,
              23.062; 63962,23.062; 64022,23.062; 64082,23.062; 64142,23.062;
              64202,23; 64262,23; 64322,22.937; 64382,22.937; 64442,22.875;
              64502,22.875; 64562,22.875; 64622,22.875; 64682,22.875; 64742,
              22.812; 64802,22.812; 64862,22.75; 64922,22.75; 64982,22.687;
              65042,22.687; 65102,22.687; 65162,22.687; 65222,22.687; 65282,
              22.625; 65342,22.625; 65402,22.625; 65462,22.562; 65522,22.562;
              65582,22.562; 65642,22.562; 65702,22.5; 65762,22.5; 65822,22.5;
              65882,22.437; 65942,22.437; 66002,22.437; 66062,22.437; 66122,
              22.437; 66182,22.375; 66242,22.375; 66302,22.375; 66362,22.312;
              66422,22.312; 66482,22.312; 66542,22.312; 66602,22.25; 66662,
              22.25; 66722,22.25; 66782,22.25; 66842,22.25; 66902,22.187; 66962,
              22.187; 67022,22.187; 67082,22.187; 67142,22.125; 67202,22.125;
              67262,22.125; 67322,22.125; 67382,22.062; 67442,22.062; 67502,
              22.125; 67562,22.062; 67622,22.062; 67682,22; 67742,22; 67802,22;
              67862,22; 67922,21.937; 67982,21.937; 68042,21.937; 68102,21.937;
              68162,21.937; 68222,21.937; 68282,21.875; 68342,21.875; 68402,
              21.875; 68462,21.875; 68522,21.875; 68582,21.875; 68642,21.812;
              68702,21.812; 68762,21.812; 68822,21.812; 68882,21.812; 68942,
              21.75; 69002,21.75; 69062,21.75; 69122,21.75; 69182,21.75; 69242,
              21.687; 69302,21.687; 69362,21.687; 69422,21.687; 69482,21.687;
              69542,21.625; 69602,21.625; 69662,21.625; 69722,21.562; 69782,
              21.625; 69842,21.562; 69902,21.562; 69962,21.562; 70022,21.562;
              70082,21.562; 70142,21.5; 70202,21.5; 70262,21.5; 70322,21.5;
              70382,21.437; 70442,21.437; 70502,21.437; 70562,21.437; 70622,
              21.437; 70682,21.437; 70742,21.375; 70802,21.375; 70862,21.375;
              70922,21.375; 70982,21.375; 71042,21.375; 71102,21.312; 71162,
              21.312; 71222,21.312; 71282,21.312; 71342,21.25; 71402,21.25;
              71462,21.25; 71522,21.25; 71582,21.25; 71642,21.25; 71702,21.25;
              71762,21.187; 71822,21.187; 71882,21.187; 71942,21.187; 72002,
              21.187; 72062,21.125; 72122,21.125; 72182,21.125; 72242,21.125;
              72302,21.125; 72362,21.125; 72422,21.125; 72482,21.062; 72542,
              21.062; 72602,21.062; 72662,21.062; 72722,21.062; 72782,21.062;
              72842,21.062; 72902,21.062; 72962,21.062; 73022,21.062; 73082,
              21.125; 73142,21.125; 73202,21.125; 73262,21.125; 73322,21.062;
              73382,21.125; 73442,21.062; 73502,21.062; 73562,21.062; 73622,
              21.062; 73682,21.062; 73742,21.062; 73802,21; 73862,21; 73922,21;
              73982,21; 74042,21; 74102,21; 74162,21; 74222,21; 74282,20.937;
              74342,20.937; 74402,20.937; 74462,20.937; 74522,20.937; 74582,
              20.937; 74642,20.937; 74702,20.937; 74762,20.875; 74822,20.875;
              74882,20.875; 74942,20.875; 75002,20.875; 75062,20.875; 75122,
              20.875; 75182,20.812; 75242,20.812; 75302,20.875; 75362,20.812;
              75422,20.812; 75482,20.812; 75542,20.75; 75602,20.75; 75662,20.75;
              75722,20.75; 75782,20.75; 75842,20.687; 75902,20.812; 75962,
              20.812; 76022,20.75; 76082,20.687; 76142,20.75; 76202,20.687;
              76262,20.687; 76322,20.687; 76382,20.687; 76442,20.687; 76502,
              20.625; 76562,20.625; 76622,20.625; 76682,20.625; 76742,20.687;
              76802,20.687; 76862,20.687; 76922,20.625; 76982,20.625; 77042,
              20.625; 77102,20.625; 77162,20.625; 77222,20.625; 77282,20.562;
              77342,20.625; 77402,20.625; 77462,20.562; 77522,20.562; 77582,
              20.562; 77642,20.5; 77702,20.5; 77762,20.562; 77822,20.562; 77882,
              20.562; 77942,20.562; 78002,20.5; 78062,20.5; 78122,20.5; 78182,
              20.5; 78242,20.5; 78302,20.5; 78362,20.5; 78422,20.5; 78482,20.5;
              78542,20.5; 78602,20.5; 78662,20.437; 78722,20.5; 78782,20.437;
              78842,20.437; 78902,20.437; 78962,20.437; 79022,20.437; 79082,
              20.375; 79142,20.375; 79202,20.312; 79262,20.312; 79322,20.312;
              79382,20.312; 79442,20.25; 79502,20.312; 79562,20.25; 79622,20.25;
              79682,20.187; 79742,20.125; 79802,20.125; 79862,20.062; 79922,20;
              79982,20; 80042,20; 80102,20; 80162,19.937; 80222,19.937; 80282,
              19.937; 80342,19.937; 80402,19.937; 80462,19.875; 80522,19.875;
              80582,19.812; 80642,19.812; 80702,19.812; 80762,19.75; 80822,
              19.75; 80882,19.75; 80942,19.75; 81002,19.687; 81062,19.75; 81122,
              19.687; 81182,19.687; 81242,19.687; 81302,19.687; 81362,19.625;
              81422,19.625; 81482,19.625; 81542,19.562; 81602,19.625; 81662,
              19.562; 81722,19.625; 81782,19.562; 81842,19.562; 81902,19.562;
              81962,19.562; 82022,19.562; 82082,19.562; 82142,19.562; 82202,
              19.5; 82262,19.5; 82322,19.5; 82382,19.562; 82442,19.5; 82502,
              19.5; 82562,19.562; 82622,19.562; 82682,19.5; 82742,19.5; 82802,
              19.562; 82862,19.5; 82922,19.5; 82982,19.5; 83042,19.5; 83102,
              19.5; 83162,19.5; 83222,19.5; 83282,19.5; 83342,19.5; 83402,19.5;
              83462,19.5; 83522,19.5; 83582,19.5; 83642,19.437; 83702,19.5;
              83762,19.5; 83822,19.5; 83882,19.437; 83942,19.5; 84002,19.437;
              84062,19.437; 84122,19.437; 84182,19.437; 84242,19.5; 84302,
              19.437; 84362,19.5; 84422,19.437; 84482,19.437; 84542,19.437;
              84602,19.437; 84662,19.5; 84722,19.437; 84782,19.437; 84842,
              19.437; 84902,19.437; 84962,19.437; 85022,19.437; 85082,19.437;
              85142,19.437; 85202,19.437; 85262,19.5; 85322,19.5; 85382,19.5;
              85442,19.437; 85502,19.437; 85562,19.437; 85622,19.437; 85682,
              19.437; 85742,19.437; 85802,19.437; 85862,19.437; 85922,19.437;
              85982,19.437; 86042,19.437; 86102,19.437; 86162,19.437; 86222,
              19.437; 86282,19.437; 86342,19.437; 86402,19.437; 86462,19.437;
              86522,19.437; 86582,19.437; 86642,19.437; 86702,19.437; 86762,
              19.437; 86822,19.437; 86882,19.375; 86942,19.437; 87002,19.375;
              87062,19.375; 87122,19.375; 87182,19.437; 87242,19.437; 87302,
              19.437; 87362,19.375; 87422,19.375; 87482,19.437; 87542,19.437;
              87602,19.437; 87662,19.375; 87722,19.437; 87782,19.375; 87842,
              19.437; 87902,19.437; 87962,19.375; 88022,19.437; 88082,19.437;
              88142,19.437; 88202,19.375; 88262,19.375; 88322,19.375; 88382,
              19.375; 88442,19.375; 88502,19.375; 88562,19.375; 88622,19.437;
              88682,19.375; 88742,19.375; 88802,19.375; 88862,19.375; 88922,
              19.437; 88982,19.375; 89042,19.375; 89102,19.437; 89162,19.375;
              89222,19.437; 89282,19.437; 89342,19.375; 89402,19.375; 89462,
              19.375; 89522,19.375; 89582,19.375; 89642,19.375; 89702,19.375;
              89762,19.375; 89822,19.375; 89882,19.375; 89942,19.375; 90002,
              19.375; 90062,19.375; 90122,19.375; 90182,19.375; 90242,19.437;
              90302,19.375; 90362,19.375; 90422,19.375; 90482,19.375; 90542,
              19.375; 90602,19.375; 90662,19.375; 90722,19.375; 90782,19.375;
              90842,19.375; 90902,19.375; 90962,19.375; 91022,19.375; 91082,
              19.375; 91142,19.375; 91202,19.375; 91262,19.312; 91322,19.312;
              91382,19.312; 91442,19.312; 91502,19.375; 91562,19.375; 91622,
              19.375; 91682,19.312; 91742,19.312; 91802,19.375; 91862,19.312;
              91922,19.375; 91982,19.312; 92042,19.312; 92102,19.312; 92162,
              19.312; 92222,19.312; 92282,19.312; 92342,19.312; 92402,19.375;
              92462,19.312; 92522,19.312; 92582,19.312; 92642,19.312; 92702,
              19.312; 92762,19.375; 92822,19.312; 92882,19.312; 92942,19.312;
              93002,19.312; 93062,19.312; 93122,19.312; 93182,19.375; 93242,
              19.5; 93302,19.562; 93362,19.625; 93422,19.687; 93482,19.75;
              93542,19.812; 93602,19.875; 93662,19.875; 93722,19.875; 93782,
              19.937; 93842,20; 93902,20; 93962,20.062; 94022,20.125; 94082,
              20.125; 94142,20.125; 94202,20.125; 94262,20.187; 94322,20.187;
              94382,20.25; 94442,20.25; 94502,20.25; 94562,20.25; 94622,20.25;
              94682,20.312; 94742,20.312; 94802,20.25; 94862,20.25; 94922,20.25;
              94982,20.187; 95042,20.25; 95102,20.25; 95162,20.25; 95222,20.312;
              95282,20.25; 95342,20.312; 95402,20.25; 95462,20.312; 95522,
              20.312; 95582,20.312; 95642,20.312; 95702,20.312; 95762,20.375;
              95822,20.375; 95882,20.375; 95942,20.312; 96002,20.312; 96062,
              20.312; 96122,20.312; 96182,20.312; 96242,20.312; 96302,20.312;
              96362,20.312; 96422,20.312; 96482,20.312; 96542,20.312; 96602,
              20.312; 96662,20.312; 96722,20.312; 96782,20.312; 96842,20.312;
              96902,20.312; 96962,20.312; 97022,20.312; 97082,20.375; 97142,
              20.437; 97202,20.437; 97262,20.437; 97322,20.437; 97382,20.437;
              97442,20.437; 97502,20.375; 97562,20.5; 97622,20.5; 97682,20.437;
              97742,20.437; 97802,20.5; 97862,20.437; 97922,20.437; 97982,
              20.375; 98042,20.375; 98102,20.375; 98162,20.375; 98222,20.375;
              98282,20.375; 98342,20.375; 98402,20.375; 98462,20.375; 98522,
              20.312; 98582,20.312; 98642,20.375; 98702,20.375; 98762,20.375;
              98822,20.375; 98882,20.312; 98942,20.25; 99002,20.312; 99062,
              20.312; 99122,20.312; 99182,20.312; 99242,20.25; 99302,20.25;
              99362,20.25; 99422,20.25; 99482,20.187; 99542,20.187; 99602,
              20.187; 99662,20.25; 99722,20.25; 99782,20.25; 99842,20.187;
              99902,20.25; 99962,20.187; 100022,20.187; 100082,20.187; 100142,
              20.125; 100202,20.125; 100262,20.062; 100322,20.062; 100382,
              20.062; 100442,20; 100502,20; 100562,20; 100622,19.937; 100682,
              19.937; 100742,20; 100802,19.937; 100862,19.937; 100922,19.875;
              100982,19.875; 101042,19.812; 101102,19.812; 101162,19.812;
              101222,19.812; 101282,19.812; 101342,19.812; 101402,19.75; 101462,
              19.812; 101522,19.812; 101582,19.812; 101642,19.937; 101702,
              20.125; 101762,20.187; 101822,20.312; 101882,20.312; 101942,
              20.375; 102002,20.437; 102062,20.437; 102122,20.437; 102182,
              20.437; 102242,20.437; 102302,20.5; 102362,20.5; 102422,20.5;
              102482,20.5; 102542,20.5; 102602,20.5; 102662,20.5; 102722,20.5;
              102782,20.562; 102842,20.562; 102902,20.562; 102962,20.5; 103022,
              20.5; 103082,20.437; 103142,20.562; 103202,20.625; 103262,20.562;
              103322,20.5; 103382,20.437; 103442,20.437; 103502,20.437; 103562,
              20.437; 103622,20.437; 103682,20.437; 103742,20.437; 103802,
              20.437; 103862,20.437; 103922,20.437; 103982,20.437; 104042,
              20.437; 104102,20.437; 104162,20.437; 104222,20.437; 104282,
              20.437; 104342,20.437; 104402,20.437; 104462,20.5; 104522,20.437;
              104582,20.5; 104642,20.5; 104702,20.5; 104762,20.5; 104822,20.437;
              104882,20.5; 104942,20.5; 105002,20.5; 105062,20.5; 105122,20.5;
              105182,20.5; 105242,20.5; 105302,20.5; 105362,20.5; 105422,20.5;
              105482,20.5; 105542,20.5; 105602,20.562; 105662,20.5; 105722,20.5;
              105782,20.5; 105842,20.562; 105902,20.5; 105962,20.5; 106022,20.5;
              106082,20.5; 106142,20.562; 106202,20.625; 106262,20.625; 106322,
              20.625; 106382,20.625; 106442,20.625; 106502,20.625; 106562,
              20.625; 106622,20.625; 106682,20.625; 106742,20.625; 106802,
              20.625; 106862,20.562; 106922,20.562; 106982,20.562; 107042,
              20.562; 107102,20.562; 107162,20.562; 107222,20.562; 107282,20.5;
              107342,20.562; 107402,20.5; 107462,20.5; 107522,20.5; 107582,20.5;
              107642,20.5; 107702,20.5; 107762,20.5; 107822,20.5; 107882,20.5;
              107942,20.5; 108002,20.5; 108062,20.5; 108122,20.437; 108182,
              20.437; 108242,20.437; 108302,20.437; 108362,20.375; 108422,
              20.437; 108482,20.375; 108542,20.375; 108602,20.375; 108662,
              20.375; 108722,20.375; 108782,20.375; 108842,20.375; 108902,
              20.375; 108962,20.375; 109022,20.375; 109082,20.375; 109142,
              20.312; 109202,20.375; 109262,20.312; 109322,20.312; 109382,
              20.312; 109442,20.312; 109502,20.25; 109562,20.25; 109622,20.25;
              109682,20.25; 109742,20.25; 109802,20.25; 109862,20.25; 109922,
              20.187; 109982,20.187; 110042,20.187; 110102,20.187; 110162,
              20.125; 110223,20.187; 110283,20.125; 110343,20.125; 110403,
              20.125; 110463,20.125; 110523,20.062; 110583,20.062; 110643,
              20.062; 110703,20.062; 110763,20.062; 110823,20.062; 110883,
              20.062; 110943,20.062; 111003,20; 111063,20; 111123,20; 111183,20;
              111243,20; 111303,19.937; 111363,19.937; 111423,19.937; 111483,
              19.937; 111543,19.937; 111603,20; 111663,20; 111723,20.125;
              111783,20.187; 111843,20.312; 111903,20.375; 111963,20.437;
              112023,20.5; 112083,20.5; 112143,20.5; 112203,20.562; 112263,
              20.562; 112323,20.562; 112383,20.625; 112443,20.625; 112503,
              20.625; 112563,20.625; 112623,20.687; 112683,20.687; 112743,
              20.687; 112803,20.687; 112863,20.687; 112923,20.687; 112983,
              20.687; 113043,20.687; 113103,20.625; 113163,20.687; 113223,
              20.687; 113283,20.687; 113343,20.687; 113403,20.687; 113463,
              20.687; 113523,20.687; 113583,20.687; 113643,20.812; 113703,
              20.875; 113763,21; 113823,21.187; 113883,21.312; 113943,21.5;
              114003,21.562; 114063,21.687; 114123,21.812; 114183,21.937;
              114243,22; 114303,22.062; 114363,22.187; 114423,22.187; 114483,
              22.312; 114543,22.312; 114603,22.375; 114663,22.437; 114723,22.5;
              114783,22.562; 114843,22.625; 114903,22.625; 114963,22.625;
              115023,22.687; 115083,22.75; 115143,22.75; 115203,22.75; 115263,
              22.812; 115323,22.812; 115383,22.875; 115443,22.875; 115503,
              22.937; 115563,22.937; 115623,22.937; 115683,22.937; 115743,23;
              115803,23; 115863,23; 115923,23; 115983,23; 116043,23.062; 116103,
              23.062; 116163,23.062; 116223,23.062; 116283,23.125; 116343,
              23.125; 116403,23.187; 116463,23.25; 116523,23.187; 116583,23.25;
              116643,23.25; 116703,23.25; 116763,23.25; 116823,23.312; 116883,
              23.25; 116943,23.375; 117003,23.375; 117063,23.375; 117123,23.437;
              117183,23.5; 117243,23.5; 117303,23.5; 117363,23.5; 117423,23.5;
              117483,23.562; 117543,23.562; 117603,23.562; 117663,23.625;
              117723,23.625; 117783,23.625; 117843,23.625; 117903,23.625;
              117963,23.625; 118023,23.687; 118083,23.625; 118143,23.625;
              118203,23.625; 118263,23.687; 118323,23.625; 118383,23.625;
              118443,23.687; 118503,23.687; 118563,23.687; 118623,23.687;
              118683,23.687; 118743,23.687; 118803,23.75; 118863,23.75; 118923,
              23.687; 118983,23.687; 119043,23.75; 119103,23.75; 119163,23.75;
              119223,23.75; 119283,23.687; 119343,23.687; 119403,23.687; 119463,
              23.75; 119523,23.687; 119583,23.687; 119643,23.75; 119703,23.75;
              119763,23.687; 119823,23.75; 119883,23.75; 119943,23.75; 120003,
              23.75; 120063,23.75; 120123,23.812; 120183,23.75; 120243,23.75;
              120303,23.75; 120363,23.812; 120423,23.812; 120483,23.812; 120543,
              23.812; 120603,23.812; 120663,23.75; 120723,23.812; 120783,23.812;
              120843,23.812; 120903,23.875; 120963,23.812; 121023,23.875;
              121083,23.875; 121143,23.875; 121203,23.875; 121263,23.812;
              121323,23.875; 121383,23.875; 121443,23.875; 121503,23.875;
              121563,23.875; 121623,23.875; 121683,23.875; 121743,23.875;
              121803,23.875; 121863,23.875; 121923,23.875; 121983,23.937;
              122043,23.875; 122103,23.875; 122163,23.937; 122223,23.937;
              122283,24; 122343,23.937; 122403,23.937; 122463,23.937; 122523,24;
              122583,24; 122643,24; 122703,24; 122763,24; 122823,24; 122883,
              23.937; 122943,23.937; 123003,23.937; 123063,24; 123123,24;
              123183,24; 123243,24; 123303,24; 123363,24; 123423,24; 123483,
              23.937; 123543,23.937; 123603,23.937; 123663,23.875; 123723,
              23.937; 123783,23.937; 123843,23.937; 123903,23.937; 123963,
              23.812; 124023,23.75; 124083,23.75; 124143,23.75; 124203,23.812;
              124263,23.812; 124323,23.812; 124383,23.812; 124443,23.75; 124503,
              23.625; 124563,23.625; 124623,23.625; 124683,23.687; 124743,23.75;
              124803,23.75; 124863,23.687; 124923,23.625; 124983,23.562; 125043,
              23.625; 125103,23.625; 125163,23.687; 125223,23.562; 125283,
              23.562; 125343,23.562; 125403,23.562; 125463,23.562; 125523,
              23.625; 125583,23.687; 125643,23.625; 125703,23.625; 125763,
              23.562; 125823,23.562; 125883,23.562; 125943,23.562; 126003,23.5;
              126063,23.5; 126123,23.437; 126183,23.437; 126243,23.437; 126303,
              23.5; 126363,23.5; 126423,23.562; 126483,23.562; 126543,23.562;
              126603,23.562; 126663,23.562; 126723,23.562; 126783,23.562;
              126843,23.562; 126903,23.562; 126963,23.5; 127023,23.562; 127083,
              23.625; 127143,23.625; 127203,23.625; 127263,23.687; 127323,
              23.687; 127383,23.687; 127443,23.687; 127503,23.687; 127563,
              23.687; 127623,23.625; 127683,23.625; 127743,23.625; 127803,
              23.625; 127863,23.625; 127923,23.625; 127983,23.687; 128043,23.75;
              128103,23.687; 128163,23.687; 128223,23.75; 128283,23.687; 128343,
              23.687; 128403,23.75; 128463,23.75; 128523,23.75; 128583,23.75;
              128643,23.687; 128703,23.687; 128763,23.625; 128823,23.625;
              128883,23.687; 128943,23.75; 129003,23.812; 129063,23.75; 129123,
              23.75; 129183,23.687; 129243,23.75; 129303,23.875; 129363,23.875;
              129423,23.875; 129483,23.937; 129543,23.937; 129603,24; 129663,
              23.937; 129723,23.875; 129783,23.937; 129843,23.937; 129903,
              23.875; 129963,23.875; 130023,23.875; 130083,23.812; 130143,
              23.687; 130203,23.687; 130263,23.812; 130323,23.875; 130383,
              23.937; 130443,24; 130503,24; 130563,24; 130623,24.062; 130683,
              24.062; 130743,24.062; 130803,24.062; 130863,24.062; 130923,
              24.062; 130983,24.062; 131043,24.062; 131103,24.062; 131163,
              24.062; 131223,24.062; 131283,24.062; 131343,24.062; 131403,
              24.062; 131463,24.062; 131523,24.125; 131583,24.062; 131643,
              24.062; 131703,24.062; 131763,24.125; 131823,24.125; 131883,
              24.062; 131943,24.125; 132003,24.125; 132063,24.125; 132123,
              24.125; 132183,24.125; 132243,24.125; 132303,24.125; 132363,
              24.125; 132423,24.125; 132483,24.125; 132543,24.125; 132603,
              24.125; 132663,24.125; 132723,24.125; 132783,24.187; 132843,
              24.125; 132903,24.125; 132963,24.125; 133023,24.187; 133083,
              24.125; 133143,24.187; 133203,24.187; 133263,24.187; 133323,
              24.187; 133383,24.187; 133443,24.187; 133503,24.187; 133563,
              24.187; 133623,24.187; 133683,24.187; 133743,24.125; 133803,
              24.187; 133863,24.187; 133923,24.187; 133983,24.187; 134043,
              24.125; 134103,24.125; 134163,24.187; 134223,24.125; 134283,
              24.125; 134343,24.187; 134403,24.125; 134463,24.125; 134523,
              24.125; 134583,24.062; 134643,24.062; 134703,24.062; 134763,24;
              134823,24; 134883,24; 134943,24; 135003,23.937; 135063,23.937;
              135123,23.937; 135183,23.937; 135243,23.875; 135303,23.875;
              135363,23.875; 135423,23.812; 135483,23.812; 135543,23.812;
              135603,23.75; 135663,23.75; 135723,23.75; 135783,23.687; 135843,
              23.687; 135903,23.687; 135963,23.687; 136023,23.687; 136083,
              23.687; 136143,23.625; 136203,23.625; 136263,23.687; 136323,
              23.625; 136383,23.625; 136443,23.625; 136503,23.625; 136563,
              23.625; 136623,23.625; 136683,23.625; 136743,23.625; 136803,
              23.625; 136863,23.625; 136923,23.625; 136983,23.625; 137043,
              23.562; 137103,23.625; 137163,23.625; 137223,23.625; 137283,
              23.562; 137343,23.562; 137403,23.625; 137463,23.625; 137523,
              23.625; 137583,23.562; 137643,23.562; 137703,23.562; 137763,
              23.562; 137823,23.5; 137883,23.5; 137943,23.562; 138003,23.5;
              138063,23.562; 138123,23.5; 138183,23.5; 138243,23.5; 138303,
              23.562; 138363,23.562; 138423,23.562; 138483,23.562; 138543,
              23.562; 138603,23.562; 138663,23.5; 138723,23.5; 138783,23.437;
              138843,23.437; 138903,23.437; 138963,23.437; 139023,23.437;
              139083,23.375; 139143,23.375; 139203,23.375; 139263,23.375;
              139323,23.375; 139383,23.375; 139443,23.375; 139503,23.375;
              139563,23.375; 139623,23.375; 139683,23.375; 139743,23.375;
              139803,23.375; 139863,23.375; 139923,23.375; 139983,23.437;
              140043,23.375; 140103,23.375; 140163,23.375; 140223,23.375;
              140283,23.375; 140343,23.375; 140403,23.375; 140463,23.375;
              140523,23.375; 140583,23.437; 140643,23.437; 140703,23.437;
              140763,23.437; 140823,23.5; 140883,23.437; 140943,23.5; 141003,
              23.5; 141063,23.5; 141123,23.5; 141183,23.5; 141243,23.5; 141303,
              23.5; 141363,23.5; 141423,23.5; 141483,23.5; 141543,23.5; 141603,
              23.5; 141663,23.5; 141723,23.5; 141783,23.5; 141843,23.5; 141903,
              23.562; 141963,23.5; 142023,23.562; 142083,23.562; 142143,23.562;
              142262,23.562; 142322,23.562; 142382,23.562; 142442,23.562;
              142502,23.625; 142562,23.562; 142622,23.625; 142682,23.625;
              142742,23.625; 142802,23.625; 142862,23.625; 142922,23.625;
              142982,23.562; 143042,23.625; 143102,23.625; 143162,23.625;
              143222,23.625; 143282,23.625; 143342,23.562; 143402,23.625;
              143462,23.625; 143522,23.625; 143582,23.625; 143642,23.625;
              143702,23.625; 143762,23.625; 143822,23.562; 143882,23.625;
              143942,23.625; 144002,23.625; 144062,23.625; 144122,23.625;
              144182,23.562; 144242,23.5; 144302,23.562; 144362,23.562; 144422,
              23.562; 144482,23.562; 144542,23.625; 144602,23.625; 144662,
              23.625; 144722,23.625; 144782,23.625; 144842,23.625; 144902,
              23.687; 144962,23.625; 145022,23.687; 145082,23.625; 145142,
              23.687; 145202,23.625; 145262,23.687; 145322,23.687; 145382,
              23.625; 145442,23.625; 145502,23.687; 145562,23.687; 145622,
              23.625; 145682,23.687; 145742,23.687; 145802,23.687; 145862,
              23.687; 145922,23.687; 145982,23.625; 146042,23.625; 146102,
              23.625; 146162,23.625; 146222,23.562; 146282,23.625; 146342,
              23.625; 146402,23.625; 146462,23.625; 146522,23.687; 146582,
              23.687; 146642,23.687; 146702,23.625; 146762,23.687; 146822,
              23.625; 146882,23.687; 146942,23.687; 147002,23.687; 147062,
              23.625; 147122,23.625; 147182,23.625; 147242,23.5; 147302,23.625;
              147362,23.562; 147422,23.625; 147482,23.625; 147542,23.687;
              147602,23.687; 147662,23.687; 147722,23.625; 147782,23.687;
              147842,23.625; 147902,23.625; 147962,23.625; 148022,23.625;
              148082,23.625; 148142,23.625; 148202,23.625; 148262,23.625;
              148322,23.625; 148382,23.625; 148442,23.625; 148502,23.625;
              148562,23.625; 148622,23.687; 148682,23.687; 148742,23.687;
              148802,23.687; 148862,23.687; 148922,23.687; 148982,23.687;
              149042,23.687; 149102,23.687; 149162,23.625; 149222,23.687;
              149282,23.687; 149342,23.687; 149402,23.687; 149462,23.687;
              149522,23.687; 149582,23.687; 149642,23.687; 149702,23.625;
              149762,23.625; 149822,23.687; 149882,23.562; 149942,23.562;
              150002,23.625; 150062,23.562; 150122,23.562; 150182,23.562;
              150242,23.562; 150302,23.562; 150362,23.5; 150422,23.5; 150482,
              23.5; 150542,23.5; 150602,23.437; 150662,23.437; 150722,23.437;
              150782,23.375; 150842,23.375; 150902,23.375; 150962,23.375;
              151022,23.312; 151082,23.312; 151142,23.25; 151202,23.25; 151262,
              23.25; 151322,23.25; 151382,23.187; 151442,23.187; 151502,23.187;
              151562,23.187; 151622,23.125; 151682,23.062; 151742,23.125;
              151802,23.125; 151862,23.062; 151922,23.062; 151982,23; 152042,23;
              152102,23; 152162,23; 152222,23; 152282,22.937; 152342,22.937;
              152402,22.937; 152462,22.875; 152522,22.875; 152582,22.875;
              152642,22.875; 152702,22.875; 152762,22.812; 152822,22.812;
              152882,22.812; 152942,22.75; 153002,22.75; 153062,22.75; 153122,
              22.687; 153182,22.687; 153242,22.687; 153302,22.625; 153362,
              22.687; 153422,22.625; 153482,22.625; 153542,22.562; 153602,
              22.562; 153662,22.562; 153722,22.562; 153782,22.562; 153842,
              22.562; 153902,22.5; 153962,22.5; 154022,22.5; 154082,22.5;
              154142,22.437; 154202,22.437; 154262,22.437; 154322,22.437;
              154382,22.375; 154442,22.375; 154502,22.375; 154562,22.375;
              154622,22.312; 154682,22.312; 154742,22.312; 154802,22.312;
              154862,22.312; 154922,22.25; 154982,22.25; 155042,22.25; 155102,
              22.25; 155162,22.25; 155222,22.25; 155282,22.187; 155342,22.187;
              155402,22.187; 155462,22.187; 155522,22.125; 155582,22.125;
              155642,22.125; 155702,22.125; 155762,22.062; 155822,22.125;
              155882,22.062; 155942,22.062; 156002,22.062; 156062,22.062;
              156122,22.062; 156182,22; 156242,22; 156302,22; 156362,22; 156422,
              22; 156482,21.937; 156542,21.937; 156602,21.937; 156662,21.937;
              156722,21.937; 156782,21.875; 156842,21.875; 156902,21.875;
              156962,21.875; 157022,21.875; 157082,21.875; 157142,21.812;
              157202,21.812; 157262,21.812; 157322,21.812; 157382,21.812;
              157442,21.812; 157502,21.75; 157562,21.75; 157622,21.75; 157682,
              21.75; 157742,21.75; 157802,21.75; 157862,21.687; 157922,21.687;
              157982,21.687; 158042,21.687; 158102,21.687; 158162,21.687;
              158222,21.625; 158282,21.625; 158342,21.625; 158402,21.625;
              158463,21.625; 158523,21.625; 158583,21.562; 158643,21.562;
              158703,21.562; 158763,21.5; 158823,21.5; 158883,21.5; 158943,21.5;
              159003,21.5; 159063,21.5; 159123,21.5; 159183,21.5; 159243,21.5;
              159303,21.437; 159363,21.437; 159423,21.437; 159483,21.437;
              159543,21.437; 159603,21.437; 159663,21.375; 159723,21.375;
              159783,21.375; 159843,21.375; 159903,21.375; 159963,21.375;
              160023,21.312; 160083,21.312; 160143,21.312; 160203,21.312;
              160263,21.312; 160323,21.312; 160383,21.312; 160443,21.312;
              160503,21.312; 160563,21.25; 160623,21.312; 160683,21.312; 160743,
              21.312; 160803,21.25; 160863,21.25; 160923,21.25; 160983,21.25;
              161043,21.25; 161103,21.187; 161163,21.187; 161223,21.25; 161283,
              21.25; 161343,21.25; 161403,21.25; 161463,21.25; 161523,21.25;
              161583,21.187; 161643,21.187; 161703,21.187; 161763,21.187;
              161823,21.187; 161883,21.187; 161943,21.187; 162003,21.187;
              162063,21.187; 162123,21.187; 162183,21.187; 162243,21.187;
              162303,21.125; 162363,21.062; 162423,21.125; 162483,21.125;
              162543,21.125; 162603,21.125; 162663,21.062; 162723,21.062;
              162783,21.062; 162843,21; 162903,21.062; 162963,21; 163023,21.062;
              163083,21.062; 163143,21.062; 163203,21.125; 163263,21.062;
              163323,21; 163383,21; 163443,21; 163503,21; 163563,21; 163623,21;
              163683,20.937; 163743,20.937; 163803,20.937; 163863,20.937;
              163923,20.937; 163983,20.875; 164043,20.875; 164103,20.937;
              164163,20.875; 164223,20.937; 164283,20.875; 164343,20.875;
              164403,20.937; 164463,20.937; 164523,20.937; 164583,20.937;
              164643,20.875; 164703,20.937; 164763,20.875; 164823,20.812;
              164883,20.812; 164943,20.812; 165003,20.812; 165063,20.875;
              165123,20.875; 165183,20.875; 165243,20.875; 165303,20.812;
              165363,20.812; 165423,20.812; 165483,20.812; 165543,20.812;
              165603,20.75; 165663,20.75; 165723,20.75; 165783,20.812; 165843,
              20.75; 165903,20.75; 165963,20.75; 166023,20.687; 166083,20.687;
              166143,20.687; 166203,20.687; 166263,20.625; 166323,20.625;
              166383,20.687; 166443,20.687; 166503,20.625; 166563,20.562;
              166623,20.562; 166683,20.625; 166743,20.562; 166803,20.562;
              166863,20.5; 166923,20.562; 166983,20.562; 167043,20.5; 167103,
              20.5; 167163,20.5; 167223,20.437; 167283,20.5; 167343,20.5;
              167403,20.375; 167463,20.437; 167523,20.375; 167583,20.375;
              167643,20.312; 167703,20.375; 167763,20.375; 167823,20.312;
              167883,20.312; 167943,20.187; 168003,20.187; 168063,20.125;
              168123,20.125; 168183,20.062; 168243,20.062; 168303,20.125;
              168363,20.125; 168423,20.125; 168483,20.062; 168543,20.062;
              168603,20; 168663,20; 168723,20.062; 168783,19.937; 168843,19.937;
              168903,20; 168963,20; 169023,20; 169083,20; 169143,19.875; 169203,
              19.875; 169263,19.875; 169323,19.812; 169383,19.812; 169443,
              19.687; 169503,19.75; 169563,19.812; 169623,19.812; 169683,19.812;
              169743,19.75; 169803,19.687; 169863,19.625; 169923,19.687; 169983,
              19.625; 170043,19.687; 170103,19.625; 170163,19.687; 170223,
              19.687; 170283,19.687; 170343,19.687; 170403,19.687; 170463,
              19.625; 170523,19.625; 170583,19.625; 170643,19.687; 170703,
              19.687; 170763,19.687; 170823,19.687; 170883,19.687; 170943,
              19.625; 171003,19.687; 171063,19.687; 171123,19.687; 171183,
              19.625; 171243,19.625; 171303,19.625; 171363,19.625; 171423,
              19.687; 171483,19.625; 171543,19.625; 171603,19.625; 171663,
              19.625; 171723,19.625; 171783,19.625; 171843,19.625; 171903,
              19.687; 171963,19.625; 172023,19.625; 172083,19.625; 172143,
              19.625; 172203,19.625; 172263,19.625; 172323,19.562; 172383,
              19.562; 172443,19.625; 172503,19.625; 172563,19.562; 172623,
              19.562; 172683,19.562; 172743,19.625; 172803,19.562; 172863,
              19.562; 172923,19.625; 172983,19.625; 173043,19.625; 173103,
              19.625; 173163,19.562; 173223,19.625; 173283,19.562; 173343,
              19.562; 173403,19.562; 173463,19.625; 173523,19.562; 173583,
              19.562; 173643,19.625; 173703,19.562; 173763,19.562; 173823,
              19.562; 173883,19.625; 173943,19.562; 174003,19.562; 174063,
              19.562; 174123,19.625; 174183,19.625; 174243,19.625; 174303,
              19.625; 174363,19.625; 174423,19.625; 174483,19.625; 174543,
              19.562; 174603,19.625; 174663,19.625; 174723,19.562; 174783,
              19.562; 174843,19.562; 174903,19.562; 174963,19.562; 175023,
              19.562; 175083,19.562; 175143,19.562; 175203,19.562; 175263,
              19.562; 175323,19.625; 175383,19.562; 175443,19.562; 175503,
              19.562; 175563,19.562; 175623,19.562; 175683,19.562; 175743,19.5;
              175803,19.562; 175863,19.562; 175923,19.5; 175983,19.562; 176043,
              19.562; 176103,19.562; 176163,19.562; 176223,19.562; 176283,
              19.562; 176343,19.562; 176403,19.562; 176463,19.562; 176523,
              19.562; 176583,19.562; 176643,19.5; 176703,19.562; 176763,19.562;
              176823,19.562; 176883,19.562; 176943,19.562; 177003,19.562;
              177063,19.562; 177123,19.562; 177183,19.562; 177243,19.562;
              177303,19.562; 177363,19.562; 177423,19.562; 177483,19.562;
              177543,19.562; 177603,19.562; 177663,19.562; 177723,19.562;
              177783,19.562; 177843,19.562; 177903,19.562; 177963,19.5; 178023,
              19.562; 178083,19.5; 178143,19.562; 178203,19.5; 178263,19.562;
              178323,19.562; 178383,19.562; 178443,19.562; 178503,19.562;
              178563,19.5; 178623,19.5; 178683,19.562; 178743,19.5; 178803,
              19.562; 178863,19.562; 178923,19.562; 178983,19.5; 179043,19.562;
              179103,19.5; 179163,19.5; 179223,19.562; 179283,19.5; 179343,
              19.562; 179403,19.5; 179463,19.5; 179523,19.562; 179583,19.562;
              179643,19.562; 179703,19.562; 179763,19.562; 179823,19.5; 179883,
              19.5; 179943,19.5; 180003,19.5; 180063,19.562; 180123,19.5;
              180183,19.5; 180243,19.5; 180303,19.562; 180363,19.562; 180423,
              19.562; 180483,19.562; 180543,19.562; 180603,19.5; 180663,19.5;
              180723,19.5; 180783,19.5; 180843,19.5; 180903,19.5; 180963,19.5;
              181023,19.5; 181083,19.5; 181143,19.5; 181203,19.5; 181263,19.5;
              181323,19.5; 181383,19.5; 181443,19.5; 181503,19.5; 181563,19.5;
              181623,19.5; 181683,19.5; 181743,19.5; 181803,19.5; 181863,19.5;
              181923,19.5; 181983,19.5; 182043,19.5; 182103,19.437; 182163,19.5;
              182223,19.437; 182283,19.5; 182343,19.5; 182403,19.5; 182463,19.5;
              182523,19.437; 182583,19.437; 182643,19.5; 182703,19.437; 182763,
              19.437; 182823,19.5; 182883,19.5; 182943,19.562; 183003,19.687;
              183063,19.75; 183123,19.75; 183183,19.875; 183243,19.875; 183303,
              19.937; 183363,20; 183423,20; 183483,20.062; 183543,20.062;
              183603,20.125; 183663,20.125; 183723,20.125; 183783,20.187;
              183843,20.187; 183903,20.187; 183963,20.187; 184023,20.187;
              184083,20.25; 184143,20.25; 184203,20.25; 184263,20.312; 184323,
              20.375; 184383,20.375; 184443,20.312; 184503,20.375; 184563,
              20.375; 184623,20.437; 184683,20.437; 184743,20.437; 184803,20.5;
              184863,20.437; 184923,20.437; 184983,20.5; 185043,20.562; 185103,
              20.562; 185163,20.562; 185223,20.562; 185283,20.562; 185343,
              20.562; 185403,20.562; 185463,20.625; 185523,20.625; 185583,
              20.625; 185643,20.562; 185703,20.562; 185763,20.625; 185823,
              20.687; 185883,20.687; 185943,20.625; 186003,20.625; 186063,
              20.687; 186123,20.687; 186183,20.687; 186243,20.687; 186303,20.75;
              186363,20.687; 186423,20.687; 186483,20.75; 186543,20.75; 186603,
              20.75; 186663,20.75; 186723,20.75; 186783,20.75; 186843,20.75;
              186903,20.75; 186963,20.687; 187023,20.75; 187083,20.687; 187143,
              20.687; 187203,20.75; 187263,20.75; 187323,20.75; 187383,20.75;
              187443,20.75; 187503,20.75; 187563,20.687; 187623,20.687; 187683,
              20.687; 187743,20.687; 187803,20.687; 187863,20.687; 187923,
              20.687; 187983,20.687; 188043,20.625; 188103,20.625; 188163,
              20.625; 188223,20.625; 188283,20.562; 188343,20.562; 188403,
              20.562; 188463,20.562; 188523,20.562; 188583,20.562; 188643,
              20.562; 188703,20.562; 188763,20.5; 188823,20.5; 188883,20.5;
              188943,20.5; 189003,20.5; 189063,20.5; 189123,20.5; 189183,20.437;
              189243,20.437; 189303,20.375; 189363,20.375; 189423,20.312;
              189483,20.312; 189543,20.312; 189603,20.312; 189663,20.312;
              189723,20.312; 189783,20.25; 189843,20.25; 189903,20.312; 189963,
              20.25; 190023,20.187; 190083,20.187; 190143,20.187; 190203,20.187;
              190263,20.125; 190323,20.125; 190383,20.187; 190443,20.125;
              190503,20.125; 190563,20.125; 190623,20.062; 190683,20.125;
              190743,20.125; 190803,20.125; 190863,20.125; 190923,20.125;
              190983,20.187; 191043,20.187; 191103,20.312; 191163,20.312;
              191223,20.375; 191283,20.437; 191343,20.437; 191403,20.437;
              191463,20.5; 191523,20.562; 191583,20.562; 191643,20.562; 191703,
              20.562; 191763,20.625; 191823,20.625; 191883,20.625; 191943,
              20.687; 192003,20.687; 192063,20.625; 192123,20.625; 192183,
              20.625; 192243,20.687; 192303,20.687; 192363,20.687; 192423,
              20.687; 192483,20.75; 192543,20.75; 192603,20.75; 192663,20.812;
              192723,20.812; 192783,20.812; 192843,20.875; 192903,20.875;
              192963,20.812; 193023,20.812; 193083,20.812; 193143,20.875;
              193203,20.875; 193263,20.875; 193323,20.937; 193383,20.875;
              193443,20.937; 193503,20.875; 193563,20.875; 193623,20.875;
              193683,20.875; 193743,20.875; 193803,20.875; 193863,20.875;
              193923,20.875; 193983,20.937; 194043,20.937; 194103,20.875;
              194163,20.875; 194223,20.875; 194283,20.875; 194343,20.875;
              194403,20.875; 194463,20.875; 194523,20.812; 194583,20.812;
              194643,20.812; 194703,20.812; 194763,20.812; 194823,20.812;
              194883,20.812; 194943,20.875; 195003,20.875; 195063,20.812;
              195123,20.812; 195183,20.812; 195243,20.75; 195303,20.812; 195363,
              20.75; 195423,20.75; 195483,20.75; 195543,20.75; 195603,20.75;
              195663,20.75; 195723,20.812; 195783,20.812; 195843,20.75; 195903,
              20.75; 195963,20.75; 196023,20.75; 196083,20.687; 196143,20.687;
              196203,20.75; 196263,20.687; 196323,20.687; 196383,20.687; 196443,
              20.625; 196503,20.625; 196563,20.625; 196623,20.625; 196683,
              20.562; 196743,20.625; 196803,20.562; 196863,20.625; 196923,
              20.562; 196983,20.625; 197043,20.562; 197103,20.625; 197163,
              20.562; 197223,20.562; 197283,20.562; 197343,20.562; 197403,
              20.562; 197463,20.562; 197523,20.5; 197583,20.5; 197643,20.5;
              197703,20.562; 197763,20.562; 197823,20.562; 197883,20.5; 197943,
              20.5; 198003,20.5; 198063,20.5; 198123,20.437; 198183,20.437;
              198243,20.437; 198303,20.437; 198363,20.5; 198423,20.437; 198483,
              20.437; 198543,20.437; 198603,20.437; 198663,20.437; 198723,
              20.437; 198783,20.437; 198843,20.5; 198903,20.5; 198963,20.5;
              199023,20.5; 199083,20.5; 199143,20.562; 199203,20.5; 199263,
              20.562; 199323,20.562; 199383,20.562; 199443,20.562; 199503,
              20.625; 199563,20.625; 199623,20.625; 199683,20.625; 199743,
              20.625; 199803,20.687; 199863,20.687; 199923,20.687; 199983,
              20.625; 200043,20.687; 200103,20.812; 200163,21; 200223,21.125;
              200283,21.25; 200343,21.375; 200403,21.5; 200463,21.562; 200523,
              21.687; 200583,21.75; 200643,21.875; 200703,21.937; 200763,22;
              200823,22.062; 200883,22.125; 200943,22.187; 201003,22.25; 201063,
              22.312; 201123,22.375; 201183,22.375; 201243,22.437; 201303,22.5;
              201363,22.562; 201423,22.562; 201483,22.625; 201543,22.625;
              201603,22.687; 201663,22.687; 201723,22.687; 201783,22.75; 201843,
              22.812; 201903,22.875; 201963,22.875; 202023,22.937; 202083,
              22.937; 202143,23; 202203,23.062; 202263,23.062; 202323,23.062;
              202383,23.062; 202443,23.125; 202503,23.125; 202563,23.187;
              202623,23.187; 202683,23.25; 202743,23.25; 202803,23.187; 202863,
              23.187; 202923,23.25; 202983,23.25; 203043,23.25; 203103,23.25;
              203163,23.312; 203223,23.312; 203283,23.312; 203343,23.375;
              203403,23.312; 203463,23.312; 203523,23.312; 203583,23.312;
              203643,23.375; 203703,23.375; 203763,23.375; 203823,23.375;
              203883,23.375; 203943,23.375; 204003,23.437; 204063,23.375;
              204123,23.375; 204183,23.375; 204243,23.437; 204303,23.437;
              204363,23.437; 204423,23.437; 204483,23.5; 204543,23.5; 204603,
              23.5; 204663,23.437; 204723,23.437; 204783,23.5; 204843,23.5;
              204903,23.5; 204963,23.5; 205023,23.5; 205083,23.5; 205143,23.562;
              205203,23.562; 205263,23.562; 205323,23.562; 205383,23.562;
              205443,23.562; 205503,23.562; 205563,23.625; 205623,23.687;
              205683,23.687; 205743,23.687; 205803,23.687; 205863,23.687;
              205923,23.75; 205983,23.75; 206043,23.812; 206103,23.812; 206163,
              23.75; 206223,23.812; 206283,23.75; 206343,23.812; 206403,23.812;
              206463,23.812; 206523,23.875; 206583,23.875; 206643,23.875;
              206703,23.812; 206763,23.812; 206823,23.875; 206883,23.875;
              206943,23.875; 207003,23.812; 207063,23.812; 207123,23.875;
              207183,23.875; 207243,23.875; 207303,23.875; 207363,23.812;
              207423,23.812; 207483,23.75; 207543,23.812; 207603,23.812; 207663,
              23.812; 207723,23.812; 207783,23.812; 207843,23.75; 207903,23.75;
              207963,23.75; 208023,23.75; 208083,23.812; 208143,23.812; 208203,
              23.812; 208263,23.812; 208323,23.75; 208383,23.75; 208443,23.75;
              208503,23.75; 208563,23.812; 208623,23.75; 208683,23.75; 208743,
              23.812; 208803,23.812; 208863,23.75; 208924,23.812; 208984,23.812;
              209044,23.812; 209104,23.812; 209164,23.75; 209224,23.75; 209284,
              23.812; 209344,23.812; 209404,23.812; 209464,23.875; 209524,
              23.812; 209584,23.812; 209644,23.875; 209704,23.875; 209764,
              23.875; 209824,23.875; 209884,23.875; 209944,23.875; 210004,
              23.875; 210064,23.875; 210124,23.937; 210184,23.875; 210244,
              23.875; 210304,23.875; 210364,23.937; 210424,23.937; 210484,
              23.875; 210544,23.875; 210604,23.937; 210664,23.937; 210724,
              23.937; 210784,23.875; 210844,23.812; 210904,23.75; 210964,23.75;
              211024,23.687; 211084,23.625; 211144,23.687; 211204,23.625;
              211264,23.75; 211324,23.812; 211384,23.812; 211444,23.812; 211504,
              23.875; 211564,23.875; 211624,23.875; 211684,23.875; 211744,
              23.875; 211804,23.875; 211864,23.875; 211924,23.875; 211984,
              23.875; 212044,23.875; 212104,23.875; 212164,23.875; 212224,
              23.875; 212284,23.875; 212344,23.875; 212404,23.875; 212464,
              23.937; 212524,23.937; 212584,23.937; 212644,23.937; 212704,
              23.937; 212764,23.937; 212824,23.937; 212884,23.937; 212944,
              23.937; 213004,23.937; 213064,23.937; 213124,24; 213184,24;
              213244,23.937; 213304,24; 213364,23.937; 213424,23.875; 213484,
              23.937; 213544,23.937; 213604,23.937; 213664,23.875; 213724,
              23.875; 213784,23.812; 213844,23.875; 213904,23.875; 213964,
              23.937; 214024,23.937; 214084,23.937; 214144,23.937; 214204,
              23.937; 214264,23.937; 214324,23.937; 214384,23.875; 214444,
              23.875; 214504,23.875; 214564,23.812; 214624,23.875; 214684,
              23.875; 214744,23.875; 214804,23.812; 214864,23.812; 214924,
              23.687; 214984,23.812; 215044,23.875; 215104,23.937; 215164,
              23.937; 215224,23.937; 215284,23.937; 215344,23.937; 215404,24;
              215464,24; 215524,24; 215584,24; 215644,24.062; 215704,24.062;
              215764,24.062; 215824,24.062; 215884,24.062; 215944,24; 216004,24;
              216064,24; 216124,24.062; 216184,24; 216244,24; 216304,24; 216364,
              24; 216424,23.937; 216484,24.062; 216544,24.125; 216604,24.125;
              216664,24.187; 216724,24.125; 216784,24.125; 216844,24.125;
              216904,24.125; 216964,24.125; 217024,24.062; 217084,24; 217144,
              24.062; 217204,24; 217264,24; 217324,23.937; 217384,23.937;
              217444,23.937; 217504,23.937; 217564,23.875; 217624,23.812;
              217684,23.812; 217744,23.812; 217804,23.812; 217864,23.75; 217924,
              23.75; 217984,23.75; 218044,23.75; 218104,23.75; 218164,23.75;
              218224,23.75; 218284,23.875; 218344,23.937; 218404,24; 218464,24;
              218524,24.062; 218584,24.062; 218644,24.125; 218704,24.125;
              218764,24.125; 218824,24.125; 218884,24.187; 218944,24.125;
              219004,24.125; 219064,24.187; 219124,24.187; 219184,24.125;
              219244,24.125; 219304,24.125; 219364,24.125; 219424,24.187;
              219484,24.187; 219544,24.187; 219604,24.187; 219664,24.187;
              219724,24.125; 219784,24.187; 219844,24.187; 219904,24.25; 219964,
              24.187; 220024,24.25; 220084,24.25; 220144,24.312; 220204,24.25;
              220264,24.312; 220324,24.312; 220384,24.312; 220444,24.312;
              220504,24.312; 220564,24.312; 220624,24.375; 220684,24.312;
              220744,24.312; 220804,24.312; 220864,24.312; 220924,24.312;
              220984,24.312; 221044,24.25; 221104,24.187; 221164,24.062; 221224,
              23.937; 221284,23.812; 221344,23.625; 221404,23.562; 221464,
              23.562; 221524,23.5; 221584,23.5; 221644,23.5; 221704,23.5;
              221764,23.5; 221824,23.437; 221884,23.437; 221944,23.5; 222004,
              23.437; 222064,23.437; 222124,23.5; 222184,23.562; 222244,23.625;
              222304,23.687; 222364,23.75; 222424,23.687; 222484,23.75; 222544,
              23.75; 222604,23.75; 222664,23.75; 222724,23.812; 222784,23.812;
              222844,23.75; 222904,23.812; 222964,23.812; 223024,23.812; 223084,
              23.812; 223144,23.812; 223204,23.875; 223264,23.875; 223324,
              23.812; 223384,23.75; 223444,23.812; 223504,23.875; 223564,23.875;
              223624,23.875; 223684,23.875; 223744,23.937; 223804,23.937;
              223864,23.937; 223924,24; 223984,24; 224044,24; 224104,24; 224164,
              23.937; 224224,23.937; 224284,23.937; 224344,23.937; 224404,
              23.937; 224464,23.875; 224524,23.875; 224584,23.875; 224644,
              23.875; 224704,23.875; 224764,23.875; 224824,23.875; 224884,
              23.875; 224944,23.875; 225004,23.812; 225064,23.812; 225124,
              23.812; 225184,23.812; 225244,23.812; 225304,23.812; 225364,
              23.812; 225424,23.75; 225484,23.812; 225544,23.75; 225604,23.812;
              225664,23.75; 225724,23.812; 225784,23.75; 225844,23.812; 225904,
              23.687; 225964,23.75; 226024,23.687; 226084,23.75; 226144,23.75;
              226204,23.687; 226264,23.687; 226324,23.687; 226384,23.687;
              226444,23.687; 226504,23.687; 226564,23.75; 226624,23.687; 226684,
              23.75; 226744,23.687; 226804,23.687; 226864,23.625; 226924,23.687;
              226984,23.625; 227044,23.625; 227104,23.687; 227164,23.687;
              227224,23.687; 227284,23.687; 227344,23.687; 227404,23.687;
              227464,23.687; 227524,23.687; 227584,23.687; 227644,23.687;
              227704,23.687; 227764,23.687; 227824,23.687; 227884,23.687;
              227944,23.687; 228004,23.687; 228064,23.687; 228124,23.687;
              228184,23.687; 228244,23.687; 228304,23.687; 228364,23.625;
              228424,23.625; 228484,23.687; 228544,23.625; 228664,23.5; 228725,
              23.687; 228785,23.687; 228845,23.687; 228905,23.687; 228965,
              23.625; 229025,23.625; 229085,23.625; 229145,23.625; 229205,
              23.687; 229265,23.625; 229325,23.5; 229385,23.625; 229445,23.625;
              229505,23.625; 229565,23.625; 229625,23.625; 229685,23.687;
              229745,23.687; 229805,23.687; 229865,23.687; 229925,23.687;
              229985,23.687; 230045,23.687; 230105,23.625; 230165,23.625;
              230225,23.625; 230285,23.625; 230345,23.625; 230405,23.625;
              230465,23.625; 230525,23.625; 230585,23.625; 230645,23.562;
              230705,23.625; 230765,23.562; 230825,23.625; 230885,23.625;
              230945,23.625; 231005,23.625; 231065,23.625; 231125,23.687;
              231185,23.625; 231245,23.625; 231305,23.625; 231365,23.625;
              231425,23.625; 231485,23.625; 231545,23.625; 231605,23.625;
              231665,23.625; 231725,23.625; 231785,23.625; 231845,23.625;
              231905,23.625; 231965,23.625; 232025,23.625; 232085,23.562;
              232145,23.562; 232205,23.5; 232265,23.437; 232325,23.437; 232385,
              23.437; 232445,23.437; 232505,23.5; 232565,23.5; 232625,23.437;
              232685,23.5; 232745,23.5; 232805,23.5; 232865,23.5; 232925,23.5;
              232985,23.5; 233045,23.437; 233105,23.5; 233165,23.437; 233225,
              23.437; 233285,23.375; 233345,23.375; 233405,23.375; 233465,
              23.375; 233525,23.312; 233585,23.375; 233645,23.437; 233705,
              23.437; 233765,23.437; 233825,23.5; 233885,23.437; 233945,23.437;
              234005,23.437; 234065,23.437; 234125,23.437; 234185,23.437;
              234245,23.437; 234305,23.437; 234365,23.437; 234425,23.437;
              234485,23.437; 234545,23.437; 234605,23.437; 234665,23.437;
              234725,23.437; 234785,23.437; 234845,23.375; 234905,23.5; 234965,
              23.5; 235025,23.437; 235085,23.5; 235145,23.5; 235205,23.562;
              235265,23.562; 235325,23.562; 235385,23.562; 235445,23.625;
              235505,23.562; 235565,23.625; 235625,23.625; 235685,23.562;
              235745,23.562; 235805,23.562; 235865,23.562; 235925,23.562;
              235985,23.562; 236045,23.5; 236105,23.5; 236165,23.437; 236225,
              23.437; 236285,23.437; 236345,23.375; 236405,23.375; 236465,
              23.375; 236525,23.375; 236585,23.25; 236645,23.312; 236705,23.25;
              236765,23.312; 236825,23.312; 236885,23.312; 236945,23.375;
              237005,23.375; 237065,23.312; 237125,23.312; 237185,23.312;
              237245,23.312; 237305,23.312; 237365,23.312; 237425,23.312;
              237485,23.25; 237545,23.25; 237605,23.25; 237665,23.25; 237725,
              23.187; 237785,23.187; 237845,23.187; 237905,23.187; 237965,
              23.187; 238025,23.125; 238085,23.125; 238145,23.125; 238205,
              23.125; 238265,23.062; 238325,23.062; 238385,23.062; 238445,
              23.062; 238505,23.062; 238565,23; 238625,23; 238685,23; 238745,
              22.937; 238805,22.937; 238865,22.937; 238925,22.937; 238985,
              22.875; 239045,22.937; 239105,22.875; 239165,22.875; 239225,
              22.875; 239285,22.812; 239345,22.812; 239405,22.812; 239465,
              22.812; 239525,22.75; 239585,22.75; 239645,22.75; 239705,22.75;
              239765,22.75; 239825,22.687; 239885,22.687; 239945,22.687; 240005,
              22.687; 240065,22.687; 240125,22.625; 240185,22.625; 240245,
              22.625; 240305,22.625; 240365,22.562; 240425,22.562; 240485,
              22.562; 240545,22.562; 240605,22.5; 240665,22.5; 240725,22.5;
              240785,22.5; 240845,22.437; 240905,22.437; 240965,22.437; 241025,
              22.437; 241085,22.437; 241145,22.375; 241205,22.375; 241265,
              22.375; 241325,22.375; 241385,22.375; 241445,22.375; 241505,
              22.375; 241565,22.312; 241625,22.312; 241685,22.312; 241745,
              22.312; 241805,22.25; 241865,22.25; 241925,22.25; 241985,22.25;
              242045,22.25; 242105,22.187; 242165,22.187; 242225,22.187; 242285,
              22.187; 242345,22.187; 242405,22.187; 242465,22.125; 242525,
              22.125; 242585,22.125; 242645,22.062; 242705,22.125; 242765,
              22.062; 242825,22.062; 242885,22.062; 242945,22.062; 243005,22;
              243065,22; 243125,22; 243185,22; 243245,22; 243305,22; 243365,
              21.937; 243425,21.937; 243485,21.937; 243545,21.937; 243605,
              21.937; 243665,21.875; 243725,21.875; 243785,21.875; 243845,
              21.875; 243905,21.875; 243965,21.875; 244025,21.812; 244085,
              21.812; 244145,21.812; 244205,21.812; 244265,21.812; 244325,21.75;
              244385,21.75; 244445,21.75; 244505,21.75; 244565,21.687; 244625,
              21.687; 244685,21.75; 244745,21.687; 244805,21.687; 244865,21.687;
              244925,21.687; 244985,21.687; 245045,21.687; 245105,21.625;
              245165,21.687; 245225,21.625; 245285,21.625; 245345,21.625;
              245405,21.625; 245465,21.625; 245525,21.625; 245585,21.562;
              245645,21.562; 245705,21.562; 245765,21.625; 245825,21.562;
              245885,21.562; 245945,21.562; 246005,21.562; 246065,21.562;
              246125,21.562; 246185,21.562; 246245,21.562; 246305,21.562;
              246365,21.562; 246425,21.562; 246485,21.562; 246545,21.5; 246605,
              21.5; 246665,21.5; 246725,21.437; 246785,21.5; 246845,21.5;
              246905,21.5; 246965,21.437; 247025,21.437; 247085,21.437; 247145,
              21.437; 247205,21.437; 247265,21.437; 247325,21.375; 247385,
              21.375; 247445,21.375; 247505,21.375; 247565,21.375; 247625,
              21.375; 247685,21.375; 247745,21.375; 247805,21.375; 247865,
              21.375; 247925,21.312; 247985,21.375; 248045,21.312; 248105,
              21.312; 248165,21.312; 248225,21.312; 248285,21.312; 248345,21.25;
              248405,21.25; 248465,21.25; 248525,21.25; 248585,21.25; 248645,
              21.25; 248705,21.25; 248765,21.187; 248825,21.25; 248885,21.25;
              248945,21.25; 249005,21.187; 249065,21.187; 249125,21.187; 249185,
              21.125; 249245,21.187; 249305,21.125; 249365,21.187; 249425,
              21.125; 249485,21.125; 249545,21.125; 249605,21.125; 249665,
              21.062; 249725,21.062; 249785,21.125; 249845,21.062; 249905,
              21.062; 249965,21.062; 250025,21.062; 250085,21.062; 250145,
              21.062; 250205,21; 250265,21; 250325,21; 250385,20.937; 250445,
              20.937; 250505,21; 250565,21; 250625,20.937; 250685,20.937;
              250745,21; 250805,20.937; 250865,20.937; 250925,20.937; 250985,
              20.937; 251045,20.937; 251105,20.937; 251165,20.875; 251225,
              20.937; 251285,20.875; 251345,20.875; 251405,20.812; 251465,
              20.812; 251525,20.875; 251585,20.812; 251645,20.812; 251705,
              20.812; 251765,20.75; 251825,20.687; 251885,20.75; 251945,20.687;
              252005,20.687; 252065,20.75; 252125,20.687; 252185,20.625; 252245,
              20.625; 252305,20.625; 252365,20.625; 252425,20.625; 252485,
              20.562; 252545,20.5; 252605,20.437; 252665,20.437; 252725,20.375;
              252785,20.375; 252845,20.375; 252905,20.312; 252965,20.312;
              253025,20.25; 253085,20.25; 253145,20.187; 253205,20.187; 253265,
              20.187; 253325,20.125; 253385,20.125; 253445,20.062; 253505,20;
              253565,20.062; 253625,20; 253685,20; 253745,19.937; 253805,19.937;
              253865,19.875; 253925,19.875; 253985,19.937; 254045,19.875;
              254105,19.875; 254165,19.875; 254225,19.875; 254285,19.812;
              254345,19.812; 254405,19.812; 254465,19.75; 254525,19.812; 254585,
              19.75; 254645,19.75; 254705,19.812; 254765,19.75; 254825,19.687;
              254885,19.75; 254945,19.687; 255005,19.687; 255065,19.625; 255125,
              19.625; 255185,19.687; 255245,19.687; 255305,19.625; 255365,
              19.625; 255425,19.625; 255485,19.625; 255545,19.625; 255605,
              19.625; 255665,19.562; 255725,19.625; 255785,19.625; 255845,
              19.562; 255905,19.625; 255965,19.625; 256025,19.562; 256085,
              19.562; 256145,19.625; 256205,19.625; 256265,19.562; 256325,
              19.625; 256385,19.625; 256445,19.625; 256505,19.625; 256565,
              19.625; 256625,19.687; 256685,19.625; 256745,19.625; 256805,
              19.625; 256865,19.687; 256925,19.625; 256985,19.625; 257045,
              19.687; 257105,19.625; 257165,19.687; 257225,19.687; 257285,
              19.625; 257345,19.625; 257406,19.687; 257466,19.625; 257526,
              19.625; 257586,19.687; 257646,19.625; 257706,19.687; 257766,
              19.687; 257826,19.687; 257886,19.687; 257946,19.687; 258006,
              19.687; 258066,19.625; 258126,19.687; 258186,19.687; 258246,
              19.687; 258306,19.687; 258366,19.687; 258426,19.687; 258486,
              19.687; 258546,19.625; 258606,19.687; 258666,19.687; 258726,
              19.687; 258786,19.687; 258846,19.625; 258906,19.687; 258966,
              19.625; 259026,19.687; 259086,19.687; 259146,19.687; 259206,
              19.687; 259266,19.687; 259326,19.687; 259386,19.687; 259446,
              19.687; 259506,19.687; 259566,19.687; 259626,19.687; 259686,
              19.687; 259746,19.687; 259806,19.687; 259866,19.75; 259926,19.687;
              259986,19.75; 260046,19.687; 260106,19.687; 260166,19.75; 260226,
              19.687; 260286,19.687; 260346,19.687; 260406,19.687; 260466,
              19.687; 260526,19.687; 260586,19.687; 260646,19.687; 260706,19.75;
              260766,19.75; 260826,19.687; 260886,19.687; 260946,19.687; 261006,
              19.687; 261066,19.687; 261126,19.687; 261186,19.687; 261246,
              19.687; 261306,19.687; 261366,19.687; 261426,19.687; 261486,19.75;
              261546,19.687; 261606,19.687; 261666,19.687; 261726,19.75; 261786,
              19.75; 261846,19.687; 261906,19.687; 261966,19.687; 262026,19.75;
              262086,19.687; 262146,19.687; 262206,19.687; 262266,19.687;
              262326,19.687; 262386,19.687; 262446,19.687; 262506,19.687;
              262566,19.687; 262626,19.687; 262686,19.687; 262746,19.687;
              262806,19.687; 262866,19.687; 262926,19.687; 262986,19.687;
              263046,19.687; 263106,19.687; 263166,19.687; 263226,19.687;
              263286,19.687; 263346,19.687; 263406,19.687; 263466,19.687;
              263526,19.687; 263586,19.687; 263646,19.687; 263706,19.687;
              263766,19.687; 263826,19.687; 263886,19.687; 263946,19.687;
              264006,19.687; 264066,19.687; 264126,19.687; 264186,19.687;
              264246,19.687; 264306,19.687; 264366,19.687; 264426,19.687;
              264486,19.625; 264546,19.687; 264606,19.687; 264666,19.687;
              264726,19.625; 264786,19.625; 264846,19.687; 264906,19.687;
              264966,19.687; 265026,19.625; 265086,19.687; 265146,19.687;
              265206,19.687; 265266,19.625; 265326,19.687; 265386,19.687;
              265446,19.625; 265506,19.625; 265566,19.687; 265626,19.625;
              265686,19.625; 265746,19.625; 265806,19.625; 265866,19.625;
              265926,19.625; 265986,19.625; 266046,19.625; 266106,19.625;
              266166,19.625; 266226,19.625; 266286,19.625; 266346,19.625;
              266406,19.625; 266466,19.625; 266526,19.625; 266586,19.625;
              266646,19.625; 266706,19.625; 266766,19.625; 266826,19.625;
              266886,19.625; 266946,19.625; 267006,19.625; 267066,19.625;
              267126,19.625; 267186,19.625; 267246,19.625; 267306,19.625;
              267366,19.562; 267426,19.625; 267486,19.562; 267546,19.625;
              267606,19.562; 267666,19.625; 267726,19.562; 267786,19.562;
              267846,19.562; 267906,19.625; 267966,19.562; 268026,19.562;
              268086,19.562; 268146,19.562; 268206,19.562; 268266,19.562;
              268326,19.625; 268386,19.562; 268446,19.625; 268506,19.562;
              268566,19.562; 268626,19.562; 268686,19.562; 268746,19.562;
              268806,19.562; 268866,19.562; 268926,19.562; 268986,19.562;
              269046,19.562; 269106,19.562; 269166,19.562; 269226,19.562;
              269286,19.562; 269346,19.562; 269406,19.562; 269466,19.562;
              269526,19.562; 269586,19.625; 269646,19.687; 269706,19.812;
              269766,19.875; 269826,19.875; 269886,19.937; 269946,20; 270006,20;
              270066,20.062; 270126,20.062; 270186,20.125; 270246,20.125;
              270306,20.125; 270366,20.187; 270426,20.187; 270486,20.25; 270546,
              20.25; 270606,20.25; 270666,20.312; 270726,20.312; 270786,20.312;
              270846,20.375; 270906,20.375; 270966,20.437; 271026,20.437;
              271086,20.437; 271146,20.437; 271206,20.437; 271266,20.5; 271326,
              20.5; 271386,20.5; 271446,20.562; 271506,20.562; 271566,20.625;
              271626,20.625; 271686,20.562; 271746,20.625; 271806,20.687;
              271866,20.687; 271926,20.687; 271986,20.687; 272046,20.687;
              272106,20.687; 272166,20.687; 272226,20.687; 272286,20.75; 272346,
              20.687; 272406,20.75; 272466,20.75; 272526,20.75; 272586,20.75;
              272646,20.75; 272706,20.75; 272766,20.75; 272826,20.75; 272886,
              20.812; 272946,20.75; 273006,20.812; 273066,20.75; 273126,20.75;
              273186,20.812; 273246,20.812; 273306,20.75; 273366,20.75; 273426,
              20.75; 273486,20.75; 273546,20.812; 273606,20.75; 273666,20.75;
              273726,20.687; 273786,20.75; 273846,20.75; 273906,20.687; 273966,
              20.687; 274026,20.687; 274086,20.687; 274146,20.687; 274206,
              20.625; 274266,20.687; 274326,20.625; 274386,20.625; 274446,
              20.625; 274506,20.562; 274566,20.562; 274626,20.562; 274686,20.5;
              274746,20.562; 274806,20.562; 274866,20.5; 274926,20.5; 274986,
              20.5; 275046,20.5; 275106,20.5; 275166,20.437; 275226,20.375;
              275286,20.375; 275346,20.375; 275406,20.437; 275466,20.375;
              275526,20.375; 275586,20.375; 275646,20.375; 275706,20.375;
              275766,20.375; 275826,20.375; 275886,20.312; 275946,20.25; 276006,
              20.25; 276066,20.25; 276126,20.25; 276186,20.25; 276246,20.25;
              276306,20.187; 276366,20.187; 276426,20.187; 276486,20.125;
              276546,20.125; 276606,20.125; 276666,20.125; 276726,20.062;
              276786,20.125; 276846,20.125; 276906,20; 276966,20.062; 277026,
              20.062; 277086,20.062; 277146,20.062; 277206,20.062; 277266,20;
              277326,19.937; 277386,20; 277446,20.062; 277506,20.125; 277566,
              20.125; 277626,20.187; 277686,20.25; 277746,20.312; 277806,20.312;
              277866,20.375; 277926,20.437; 277986,20.5; 278046,20.562; 278106,
              20.562; 278166,20.562; 278226,20.625; 278286,20.625; 278346,
              20.687; 278406,20.687; 278466,20.687; 278526,20.687; 278586,
              20.687; 278646,20.75; 278706,20.75; 278766,20.812; 278826,20.812;
              278886,20.812; 278946,20.812; 279006,20.875; 279066,20.812;
              279126,20.875; 279186,20.875; 279246,20.875; 279306,20.937;
              279366,20.937; 279426,21; 279486,21; 279546,21; 279606,21; 279666,
              20.937; 279726,20.937; 279786,20.937; 279846,20.937; 279906,
              20.937; 279966,21; 280026,21; 280086,21; 280146,21; 280206,20.937;
              280266,21; 280326,21; 280386,21; 280446,20.937; 280506,21; 280566,
              20.937; 280626,20.937; 280686,20.937; 280746,20.937; 280806,
              20.937; 280866,20.875; 280926,20.937; 280986,20.875; 281046,
              20.875; 281106,20.875; 281166,20.875; 281226,20.75; 281286,20.75;
              281346,20.625; 281406,20.562; 281466,20.5; 281526,20.5; 281586,
              20.5; 281646,20.5; 281706,20.5; 281766,20.562; 281826,20.562;
              281886,20.5; 281946,20.562; 282006,20.562; 282066,20.5; 282126,
              20.5; 282186,20.5; 282246,20.5; 282306,20.5; 282366,20.5; 282426,
              20.5; 282486,20.5; 282546,20.437; 282606,20.5; 282666,20.437;
              282726,20.5; 282786,20.437; 282846,20.5; 282906,20.437; 282966,
              20.437; 283026,20.437; 283086,20.437; 283146,20.375; 283206,
              20.375; 283266,20.375; 283326,20.375; 283386,20.375; 283446,
              20.375; 283506,20.375; 283566,20.375; 283626,20.375; 283686,
              20.375; 283746,20.375; 283806,20.375; 283866,20.375; 283926,
              20.375; 283986,20.375; 284046,20.312; 284106,20.375; 284166,
              20.375; 284226,20.312; 284286,20.312; 284346,20.25; 284406,20.25;
              284466,20.25; 284526,20.25; 284586,20.187; 284646,20.25; 284706,
              20.187; 284766,20.187; 284826,20.187; 284886,20.187; 284946,
              20.125; 285006,20.187; 285066,20.187; 285126,20.125; 285186,
              20.125; 285246,20.125; 285306,20.125; 285366,20.125; 285426,
              20.125; 285486,20.125; 285546,20.125; 285606,20.125; 285666,
              20.062; 285726,20; 285786,20.062; 285846,20.062; 285906,20.062;
              285966,20; 286026,20.062; 286086,20; 286146,20; 286206,20.062;
              286266,20.187; 286326,20.312; 286386,20.375; 286446,20.5; 286506,
              20.625; 286566,20.75; 286626,21; 286686,21.187; 286746,21.312;
              286806,21.375; 286866,21.5; 286926,21.625; 286986,21.75; 287046,
              21.812; 287106,21.937; 287166,22; 287226,22.125; 287286,22.187;
              287346,22.25; 287406,22.312; 287466,22.312; 287526,22.375; 287586,
              22.437; 287646,22.5; 287706,22.562; 287766,22.625; 287826,22.625;
              287886,22.687; 287946,22.687; 288006,22.687; 288066,22.75; 288126,
              22.812; 288186,22.812; 288246,22.812; 288306,22.875; 288366,
              22.937; 288426,22.937; 288486,23; 288546,23; 288606,23; 288666,23;
              288726,23; 288786,23.062; 288846,23.062; 288906,23.062; 288966,
              23.062; 289026,23.062; 289086,23.062; 289146,23.062; 289206,
              23.125; 289266,23.125; 289326,23.187; 289386,23.187; 289446,
              23.187; 289506,23.187; 289566,23.25; 289626,23.25; 289686,23.187;
              289746,23.187; 289806,23.187; 289866,23.25; 289926,23.25; 289986,
              23.25; 290046,23.25; 290106,23.25; 290166,23.312; 290226,23.312;
              290286,23.312; 290346,23.312; 290406,23.375; 290466,23.375;
              290526,23.375; 290586,23.375; 290646,23.437; 290706,23.437;
              290766,23.437; 290826,23.437; 290886,23.437; 290946,23.437;
              291006,23.437; 291066,23.5; 291126,23.5; 291186,23.5; 291246,23.5;
              291306,23.562; 291366,23.562; 291426,23.562; 291486,23.562;
              291546,23.562; 291606,23.562; 291666,23.625; 291726,23.625;
              291786,23.562; 291846,23.562; 291906,23.625; 291966,23.625;
              292026,23.562; 292086,23.625; 292146,23.562; 292206,23.562;
              292266,23.625; 292326,23.625; 292386,23.625; 292446,23.625;
              292506,23.625; 292566,23.625; 292626,23.687; 292686,23.687;
              292746,23.687; 292806,23.687; 292866,23.687; 292926,23.687;
              292986,23.75; 293046,23.687; 293106,23.687; 293166,23.75; 293226,
              23.75; 293286,23.75; 293346,23.75; 293406,23.75; 293466,23.75;
              293526,23.75; 293586,23.75; 293646,23.812; 293706,23.812; 293766,
              23.812; 293826,23.812; 293886,23.812; 293946,23.812; 294006,
              23.812; 294066,23.812; 294126,23.812; 294186,23.875; 294246,
              23.875; 294306,23.875; 294366,23.875; 294426,23.875; 294486,
              23.875; 294546,23.875; 294606,23.875; 294666,23.875; 294726,
              23.812; 294786,23.875; 294846,23.875; 294906,23.875; 294966,
              23.875; 295026,23.875; 295086,23.937; 295146,23.937; 295206,
              23.937; 295266,23.937; 295326,23.937; 295386,23.937; 295446,
              23.937; 295506,23.937; 295566,23.937; 295626,23.937; 295686,24;
              295746,23.937; 295806,23.937; 295866,23.937; 295926,24; 295986,
              23.937; 296046,23.937; 296106,23.937; 296166,23.937; 296226,
              23.937; 296286,23.937; 296346,23.937; 296406,23.937; 296466,
              23.937; 296526,24; 296586,23.937; 296646,23.937; 296706,23.937;
              296766,23.937; 296826,23.937; 296886,23.937; 296946,23.937;
              297006,23.937; 297066,23.937; 297126,23.937; 297186,23.937;
              297246,23.875; 297306,23.812; 297366,23.812; 297426,23.75; 297486,
              23.687; 297546,23.687; 297606,23.75; 297666,23.812; 297726,23.75;
              297786,23.812; 297846,23.875; 297906,23.875; 297966,23.875;
              298026,23.75; 298086,23.75; 298146,23.875; 298206,23.875; 298266,
              23.937; 298326,23.937; 298386,23.937; 298446,23.937; 298506,
              23.937; 298566,23.937; 298626,23.937; 298686,24; 298746,24;
              298806,24; 298866,24; 298926,24; 298986,24; 299046,24.062; 299106,
              24.062; 299166,24.062; 299226,24.062; 299286,24.125; 299346,
              24.125; 299406,24.125; 299466,24.125; 299526,24.187; 299586,
              24.125; 299646,24.125; 299706,24.187; 299766,24.125; 299826,
              24.125; 299886,24.125; 299946,24.125; 300006,24.125; 300066,
              24.125; 300126,24.125; 300186,24.125; 300246,24.187; 300306,
              24.125; 300366,24.187; 300426,24.125; 300486,24.187; 300546,
              24.125; 300606,24.187; 300666,24.187; 300726,24.187; 300786,
              24.187; 300846,24.187; 300906,24.187; 300966,24.187; 301026,
              24.187; 301086,24.187; 301146,24.187; 301206,24.187; 301266,
              24.187; 301326,24.187; 301386,24.187; 301446,24.187; 301506,
              24.187; 301566,24.187; 301626,24.187; 301686,24.187; 301746,
              24.187; 301806,24.187; 301866,24.187; 301926,24.187; 301986,
              24.125; 302046,24.187; 302106,24.125; 302166,24.125; 302226,
              24.187; 302286,24.187; 302346,24.187; 302406,24.125; 302466,
              24.125; 302526,24.125; 302586,24.125; 302646,24.062; 302706,24;
              302766,24; 302826,24.062; 302886,24.062; 302946,24.062; 303006,24;
              303066,24; 303126,23.937; 303186,23.937; 303246,23.937; 303306,
              23.937; 303366,23.937; 303426,23.937; 303486,23.875; 303546,
              23.875; 303606,23.875; 303666,23.875; 303726,23.812; 303786,
              23.812; 303846,23.812; 303906,23.812; 303966,23.812; 304026,
              23.812; 304086,23.812; 304146,23.75; 304206,23.812; 304266,23.75;
              304326,23.687; 304386,23.687; 304446,23.75; 304506,23.75; 304566,
              23.687; 304626,23.562; 304686,23.625; 304746,23.687; 304806,
              23.687; 304866,23.687; 304926,23.687; 304986,23.687; 305046,
              23.687; 305106,23.687; 305166,23.687; 305226,23.687; 305286,
              23.687; 305346,23.687; 305406,23.687; 305466,23.687; 305526,
              23.687; 305586,23.687; 305646,23.75; 305706,23.687; 305766,23.687;
              305826,23.75; 305886,23.75; 305946,23.75; 306006,23.75; 306066,
              23.687; 306126,23.687; 306186,23.75; 306246,23.75; 306306,23.75;
              306366,23.687; 306426,23.75; 306486,23.687; 306546,23.75; 306606,
              23.75; 306666,23.75; 306726,23.75; 306786,23.75; 306846,23.75;
              306906,23.75; 306966,23.75; 307026,23.75; 307086,23.687; 307146,
              23.75; 307206,23.75; 307266,23.75; 307327,23.687; 307387,23.687;
              307447,23.75; 307507,23.687; 307567,23.75; 307627,23.75; 307687,
              23.75; 307747,23.75; 307807,23.75; 307867,23.75; 307927,23.75;
              307987,23.75; 308047,23.75; 308107,23.687; 308167,23.75; 308227,
              23.75; 308287,23.75; 308347,23.75; 308407,23.75; 308467,23.75;
              308527,23.812; 308587,23.75; 308647,23.75; 308707,23.812; 308767,
              23.812; 308827,23.812; 308887,23.812; 308947,23.812; 309007,
              23.812; 309067,23.875; 309127,23.812; 309187,23.812; 309247,
              23.875; 309307,23.875; 309367,23.875; 309427,23.875; 309487,
              23.812; 309547,23.812; 309607,23.75; 309667,23.812; 309727,23.812;
              309787,23.75; 309847,23.687; 309907,23.625; 309967,23.625; 310027,
              23.562; 310087,23.562; 310147,23.562; 310207,23.5; 310267,23.5;
              310327,23.5; 310387,23.437; 310447,23.5; 310507,23.5; 310567,23.5;
              310627,23.5; 310687,23.5; 310747,23.5; 310807,23.5; 310867,23.437;
              310927,23.437; 310987,23.5; 311047,23.5; 311107,23.5; 311167,
              23.437; 311227,23.5; 311287,23.5; 311347,23.562; 311407,23.562;
              311467,23.562; 311527,23.625; 311587,23.562; 311647,23.625;
              311707,23.562; 311767,23.625; 311827,23.562; 311887,23.562;
              311947,23.625; 312007,23.625; 312067,23.625; 312127,23.562;
              312187,23.562; 312247,23.625; 312307,23.562; 312367,23.562;
              312427,23.625; 312487,23.562; 312547,23.562; 312607,23.562;
              312667,23.562; 312727,23.562; 312787,23.562; 312847,23.437;
              312907,23.5; 312967,23.625; 313027,23.625; 313087,23.562; 313147,
              23.562; 313207,23.562; 313267,23.562; 313327,23.625; 313387,
              23.562; 313447,23.625; 313507,23.562; 313567,23.625; 313627,
              23.625; 313687,23.625; 313747,23.625; 313807,23.625; 313867,
              23.625; 313927,23.625; 313987,23.625; 314047,23.562; 314107,
              23.562; 314167,23.625; 314227,23.625; 314287,23.625; 314347,
              23.625; 314407,23.625; 314467,23.625; 314527,23.625; 314587,
              23.625; 314647,23.625; 314707,23.5; 314767,23.5; 314827,23.562;
              314887,23.562; 314947,23.562; 315064,23.625; 315125,23.687;
              315185,23.687; 315245,23.625; 315305,23.625; 315365,23.625;
              315425,23.625; 315485,23.625; 315545,23.562; 315605,23.562;
              315665,23.625; 315725,23.687; 315785,23.687; 315845,23.687;
              315905,23.625; 315965,23.625; 316025,23.625; 316085,23.562;
              316145,23.562; 316205,23.562; 316265,23.562; 316325,23.562;
              316385,23.562; 316445,23.562; 316505,23.562; 316565,23.562;
              316625,23.562; 316685,23.5; 316745,23.562; 316805,23.562; 316865,
              23.562; 316925,23.562; 316985,23.5; 317045,23.562; 317105,23.562;
              317165,23.562; 317225,23.562; 317285,23.562; 317345,23.562;
              317405,23.5; 317465,23.5; 317525,23.5; 317585,23.5; 317645,23.5;
              317705,23.5; 317765,23.5; 317825,23.437; 317885,23.437; 317945,
              23.5; 318005,23.437; 318065,23.5; 318125,23.5; 318185,23.437;
              318245,23.437; 318305,23.437; 318365,23.437; 318425,23.437;
              318485,23.437; 318545,23.5; 318605,23.437; 318665,23.437; 318725,
              23.437; 318785,23.5; 318845,23.5; 318905,23.437; 318965,23.437;
              319025,23.5; 319085,23.5; 319145,23.437; 319205,23.437; 319265,
              23.437; 319325,23.5; 319385,23.5; 319445,23.437; 319505,23.5;
              319565,23.437; 319625,23.437; 319685,23.437; 319745,23.437;
              319805,23.437; 319865,23.5; 319925,23.5; 319985,23.5; 320045,
              23.437; 320105,23.5; 320165,23.5; 320225,23.5; 320285,23.5;
              320345,23.5; 320405,23.5; 320465,23.5; 320525,23.5; 320585,23.5;
              320645,23.5; 320705,23.5; 320765,23.5; 320825,23.5; 320885,23.5;
              320945,23.5; 321005,23.5; 321065,23.562; 321125,23.5; 321185,
              23.562; 321245,23.562; 321305,23.562; 321365,23.562; 321425,
              23.562; 321485,23.625; 321545,23.625; 321605,23.625; 321665,
              23.625; 321725,23.625; 321785,23.625; 321845,23.625; 321905,
              23.625; 321965,23.625; 322025,23.625; 322085,23.687; 322145,
              23.625; 322205,23.625; 322265,23.625; 322325,23.625; 322385,
              23.625; 322445,23.625; 322505,23.562; 322565,23.562; 322625,
              23.562; 322685,23.562; 322745,23.5; 322805,23.5; 322865,23.5;
              322925,23.437; 322985,23.437; 323045,23.437; 323105,23.375;
              323165,23.375; 323225,23.375; 323285,23.375; 323345,23.312;
              323405,23.312; 323465,23.312; 323525,23.312; 323585,23.312;
              323645,23.25; 323705,23.25; 323765,23.187; 323825,23.187; 323885,
              23.187; 323945,23.187; 324005,23.187; 324065,23.125; 324125,
              23.125; 324185,23.125; 324245,23.062; 324305,23.062; 324365,
              23.062; 324425,23; 324485,23.062; 324545,23; 324605,23; 324665,23;
              324725,23; 324785,22.937; 324845,22.937; 324905,22.875; 324965,
              22.875; 325025,22.875; 325085,22.875; 325145,22.875; 325205,
              22.875; 325265,22.875; 325325,22.812; 325385,22.812; 325445,22.75;
              325505,22.75; 325565,22.75; 325625,22.75; 325685,22.75; 325745,
              22.687; 325805,22.75; 325865,22.687; 325925,22.687; 325985,22.687;
              326045,22.625; 326105,22.625; 326165,22.625; 326225,22.625;
              326285,22.625; 326345,22.625; 326405,22.625; 326465,22.562;
              326525,22.562; 326585,22.562; 326645,22.562; 326705,22.5; 326765,
              22.5; 326825,22.5; 326885,22.5; 326945,22.437; 327005,22.5;
              327065,22.437; 327125,22.437; 327185,22.437; 327245,22.437;
              327305,22.437; 327365,22.375; 327425,22.375; 327485,22.375;
              327545,22.375; 327605,22.375; 327665,22.312; 327725,22.312;
              327785,22.312; 327845,22.312; 327905,22.312; 327965,22.312;
              328025,22.25; 328085,22.25; 328145,22.25; 328205,22.25; 328265,
              22.25; 328325,22.187; 328385,22.187; 328445,22.187; 328505,22.187;
              328565,22.187; 328625,22.187; 328685,22.125; 328745,22.125;
              328805,22.125; 328865,22.125; 328925,22.062; 328985,22.062;
              329045,22.062; 329105,22.062; 329165,22.062; 329225,22.062;
              329285,22; 329345,22; 329405,22; 329465,22; 329525,22; 329585,
              21.937; 329645,22; 329705,21.937; 329765,21.937; 329825,21.937;
              329885,21.937; 329945,21.875; 330005,21.875; 330065,21.875;
              330125,21.875; 330185,21.875; 330245,21.812; 330305,21.812;
              330365,21.812; 330425,21.812; 330485,21.812; 330545,21.812;
              330605,21.75; 330665,21.75; 330725,21.75; 330785,21.75; 330845,
              21.75; 330905,21.75; 330965,21.687; 331025,21.687; 331085,21.687;
              331145,21.687; 331205,21.687; 331265,21.625; 331325,21.687;
              331385,21.625; 331445,21.625; 331505,21.625; 331565,21.625;
              331625,21.625; 331685,21.562; 331745,21.562; 331805,21.562;
              331865,21.562; 331925,21.562; 331985,21.5; 332045,21.562; 332105,
              21.5; 332165,21.5; 332225,21.437; 332285,21.5; 332345,21.437;
              332405,21.437; 332465,21.437; 332525,21.375; 332585,21.375;
              332645,21.375; 332705,21.437; 332765,21.375; 332825,21.375;
              332885,21.375; 332945,21.375; 333005,21.312; 333065,21.312;
              333125,21.375; 333185,21.375; 333245,21.375; 333305,21.375;
              333365,21.375; 333425,21.375; 333485,21.375; 333545,21.375;
              333605,21.375; 333665,21.375; 333725,21.375; 333785,21.375;
              333845,21.312; 333905,21.375; 333965,21.375; 334025,21.375;
              334085,21.375; 334145,21.312; 334205,21.312; 334265,21.312;
              334325,21.312; 334385,21.312; 334445,21.312; 334505,21.312;
              334565,21.312; 334625,21.312; 334685,21.312; 334745,21.25; 334805,
              21.312; 334865,21.312; 334925,21.25; 334985,21.25; 335045,21.25;
              335105,21.187; 335165,21.187; 335225,21.187; 335285,21.25; 335345,
              21.187; 335405,21.125; 335465,21.187; 335525,21.125; 335585,
              21.125; 335645,21.125; 335705,21.125; 335765,21.125; 335825,
              21.125; 335885,21.125; 335945,21.125; 336005,21.125; 336065,
              21.125; 336125,21.125; 336185,21.125; 336245,21.125; 336305,
              21.125; 336365,21.062; 336425,21.062; 336485,21.062; 336545,
              21.062; 336605,21.125; 336665,21.125; 336725,21.062; 336785,
              21.062; 336845,21; 336905,20.937; 336965,21; 337025,21; 337085,21;
              337145,21; 337205,20.937; 337265,21; 337325,20.937; 337385,20.937;
              337445,20.937; 337505,20.937; 337565,20.875; 337625,20.937;
              337685,20.937; 337745,20.937; 337805,20.937; 337865,20.875;
              337925,20.875; 337985,20.875; 338045,20.937; 338105,20.875;
              338165,20.812; 338225,20.875; 338285,20.812; 338345,20.812;
              338405,20.812; 338465,20.812; 338525,20.75; 338585,20.812; 338645,
              20.75; 338705,20.687; 338765,20.687; 338825,20.687; 338885,20.687;
              338945,20.687; 339005,20.75; 339065,20.687; 339125,20.687; 339185,
              20.687; 339245,20.687; 339305,20.687; 339365,20.625; 339425,
              20.625; 339485,20.562; 339545,20.5; 339605,20.437; 339665,20.5;
              339725,20.5; 339785,20.562; 339845,20.5; 339905,20.437; 339965,
              20.437; 340025,20.437; 340085,20.375; 340145,20.437; 340205,
              20.375; 340265,20.375; 340325,20.375; 340385,20.375; 340445,
              20.375; 340505,20.312; 340565,20.375; 340625,20.312; 340685,
              20.312; 340745,20.375; 340805,20.312; 340865,20.25; 340925,20.25;
              340985,20.187; 341045,20.187; 341105,20.187; 341165,20.187;
              341225,20.187; 341285,20.125; 341345,20.062; 341405,20.062;
              341465,20.125; 341525,20.125; 341585,20.062; 341645,20.125;
              341705,20.125; 341765,20.125; 341825,20.062; 341885,20.062;
              341945,20.062; 342005,20.062; 342065,20; 342125,20; 342185,20;
              342245,20; 342305,20; 342365,19.937; 342425,19.937; 342485,19.937;
              342545,19.937; 342605,19.937; 342665,19.937; 342725,19.937;
              342785,19.937; 342845,19.937; 342905,19.875; 342965,19.937;
              343025,19.937; 343085,19.937; 343145,19.937; 343205,19.937;
              343265,19.937; 343325,19.937; 343385,19.937; 343445,19.937;
              343505,19.937; 343565,19.937; 343625,19.937; 343685,19.937;
              343745,19.937; 343805,19.937; 343865,19.937; 343925,19.937;
              343985,19.875; 344045,19.937; 344105,19.937; 344165,19.937;
              344225,19.937; 344285,19.937; 344345,19.937; 344405,19.937;
              344465,19.937; 344525,19.937; 344585,19.937; 344645,19.937;
              344705,19.937; 344765,19.937; 344825,19.937; 344885,19.937;
              344945,19.875; 345005,19.937; 345065,19.875; 345125,19.937;
              345185,19.875; 345245,19.937; 345305,19.875; 345365,19.875;
              345425,19.937; 345485,19.875; 345545,19.937; 345605,19.937;
              345665,19.937; 345725,19.937; 345785,19.937; 345845,19.875;
              345905,19.875; 345965,19.937; 346025,19.875; 346085,19.875;
              346145,19.875; 346205,19.875; 346265,19.875; 346325,19.875;
              346385,19.875; 346445,19.875; 346505,19.875; 346565,19.875;
              346625,19.937; 346685,19.937; 346745,19.937; 346805,19.875;
              346865,19.875; 346925,19.875; 346985,19.875; 347045,19.875;
              347105,19.875; 347165,19.875; 347225,19.875; 347285,19.812;
              347345,19.875; 347405,19.875; 347465,19.875; 347525,19.875;
              347585,19.875; 347645,19.875; 347705,19.875; 347765,19.875;
              347825,19.875; 347885,19.875; 347945,19.875; 348005,19.875;
              348065,19.875; 348125,19.875; 348185,19.875; 348245,19.875;
              348305,19.875; 348365,19.875; 348425,19.875; 348485,19.875;
              348545,19.875; 348605,19.875; 348665,19.812; 348725,19.875;
              348785,19.812; 348845,19.812; 348905,19.812; 348965,19.875;
              349025,19.812; 349085,19.812; 349145,19.812; 349205,19.812;
              349265,19.812; 349325,19.812; 349385,19.812; 349445,19.812;
              349505,19.812; 349565,19.812; 349625,19.812; 349685,19.812;
              349745,19.812; 349805,19.812; 349865,19.812; 349925,19.812;
              349985,19.812; 350045,19.812; 350105,19.812; 350165,19.812;
              350225,19.812; 350285,19.812; 350345,19.812; 350405,19.812;
              350465,19.812; 350525,19.812; 350585,19.812; 350645,19.812;
              350705,19.812; 350765,19.812; 350825,19.75; 350885,19.75; 350945,
              19.812; 351005,19.812; 351065,19.812; 351125,19.75; 351185,19.75;
              351245,19.812; 351305,19.75; 351365,19.75; 351425,19.75; 351485,
              19.75; 351545,19.75; 351605,19.75; 351665,19.75; 351725,19.75;
              351785,19.75; 351845,19.75; 351905,19.75; 351965,19.75; 352025,
              19.75; 352085,19.75; 352145,19.75; 352205,19.75; 352265,19.75;
              352325,19.75; 352385,19.75; 352445,19.75; 352505,19.75; 352565,
              19.75; 352625,19.75; 352685,19.687; 352745,19.75; 352805,19.75;
              352865,19.75; 352925,19.75; 352985,19.75; 353045,19.75; 353105,
              19.75; 353165,19.75; 353225,19.75; 353285,19.687; 353345,19.75;
              353405,19.75; 353465,19.75; 353525,19.687; 353585,19.687; 353645,
              19.687; 353705,19.687; 353765,19.687; 353825,19.687; 353885,
              19.687; 353945,19.687; 354005,19.687; 354065,19.687; 354125,
              19.687; 354185,19.687; 354245,19.687; 354305,19.687; 354365,
              19.687; 354425,19.687; 354485,19.687; 354545,19.687; 354605,
              19.687; 354665,19.687; 354725,19.687; 354785,19.687; 354845,
              19.687; 354905,19.687; 354965,19.687; 355025,19.687; 355085,
              19.687; 355145,19.687; 355205,19.625; 355265,19.687; 355325,
              19.687; 355385,19.687; 355445,19.687; 355505,19.625; 355565,
              19.625; 355625,19.625; 355685,19.625; 355745,19.687; 355805,
              19.687; 355865,19.687; 355925,19.687; 355985,19.625; 356045,
              19.687; 356105,19.625; 356165,19.625; 356225,19.625; 356285,
              19.625; 356345,19.687; 356405,19.687; 356465,19.625; 356525,
              19.625; 356585,19.625; 356645,19.625; 356705,19.625; 356765,
              19.625; 356825,19.687; 356886,19.687; 356946,19.687; 357006,
              19.625; 357066,19.625; 357126,19.625; 357186,19.625; 357246,
              19.625; 357306,19.625; 357366,19.625; 357426,19.625; 357486,
              19.625; 357546,19.625; 357606,19.625; 357666,19.625; 357726,
              19.625; 357786,19.625; 357846,19.625; 357906,19.562; 357966,
              19.625; 358026,19.625; 358086,19.562; 358146,19.625; 358206,
              19.625; 358266,19.562; 358326,19.625; 358386,19.625; 358446,
              19.562; 358506,19.625; 358566,19.562; 358626,19.562; 358686,
              19.562; 358746,19.562; 358806,19.562; 358866,19.562; 358926,
              19.562; 358986,19.562; 359046,19.562; 359106,19.562; 359166,
              19.562; 359226,19.562; 359286,19.562; 359346,19.562; 359406,
              19.562; 359466,19.562; 359526,19.562; 359586,19.562; 359646,
              19.562; 359706,19.562; 359766,19.562; 359826,19.562; 359886,
              19.562; 359946,19.562; 360006,19.562; 360066,19.5; 360126,19.562;
              360186,19.562; 360246,19.5; 360306,19.562; 360366,19.562; 360426,
              19.562; 360486,19.5; 360546,19.562; 360606,19.562; 360666,19.5;
              360726,19.5; 360786,19.5; 360846,19.5; 360906,19.5; 360966,19.5;
              361026,19.562; 361086,19.562; 361146,19.625; 361206,19.687;
              361266,19.75; 361326,19.812; 361386,19.812; 361446,19.875; 361506,
              19.875; 361566,19.937; 361626,19.937; 361686,20; 361746,20.062;
              361806,20.062; 361866,20.125; 361926,20.125; 361986,20.125;
              362046,20.125; 362106,20.187; 362166,20.187; 362226,20.25; 362286,
              20.25; 362346,20.312; 362406,20.312; 362466,20.375; 362526,20.375;
              362586,20.375; 362646,20.375; 362706,20.375; 362766,20.375;
              362826,20.437; 362886,20.5; 362946,20.5; 363006,20.562; 363066,
              20.625; 363126,20.625; 363186,20.625; 363246,20.625; 363306,
              20.562; 363366,20.5; 363426,20.437; 363486,20.375; 363546,20.375;
              363606,20.375; 363666,20.375; 363726,20.437; 363786,20.437;
              363846,20.437; 363906,20.437; 363966,20.437; 364026,20.437;
              364086,20.437; 364146,20.437; 364206,20.437; 364266,20.437;
              364326,20.437; 364386,20.437; 364446,20.5; 364506,20.5; 364566,
              20.5; 364626,20.5; 364686,20.437; 364746,20.5; 364806,20.5;
              364866,20.5; 364926,20.5; 364986,20.5; 365046,20.5; 365106,20.5;
              365166,20.5; 365226,20.5; 365286,20.5; 365346,20.5; 365406,20.562;
              365466,20.562; 365526,20.687; 365586,20.687; 365646,20.687;
              365706,20.625; 365766,20.625; 365826,20.625; 365886,20.625;
              365946,20.625; 366006,20.625; 366066,20.625; 366126,20.625;
              366186,20.625; 366246,20.625; 366306,20.687; 366366,20.625;
              366426,20.625; 366486,20.625; 366546,20.562; 366606,20.562;
              366666,20.562; 366726,20.562; 366786,20.562; 366846,20.562;
              366906,20.562; 366966,20.562; 367026,20.5; 367086,20.562; 367146,
              20.562; 367206,20.5; 367266,20.562; 367326,20.5; 367386,20.562;
              367446,20.5; 367506,20.5; 367566,20.5; 367626,20.5; 367686,20.5;
              367746,20.437; 367806,20.375; 367866,20.375; 367926,20.375;
              367986,20.375; 368046,20.375; 368106,20.375; 368166,20.375;
              368226,20.375; 368286,20.375; 368346,20.375; 368406,20.312;
              368466,20.312; 368526,20.312; 368586,20.312; 368646,20.25; 368706,
              20.25; 368766,20.25; 368826,20.187; 368886,20.25; 368946,20.25;
              369006,20.25; 369066,20.187; 369126,20.187; 369186,20.187; 369246,
              20.187; 369306,20.187; 369366,20.125; 369426,20.187; 369486,
              20.125; 369546,20.125; 369606,20.062; 369666,20.125; 369726,
              20.125; 369786,20.062; 369846,20.125; 369906,20.062; 369966,
              20.062; 370026,20.062; 370086,20.062; 370146,20; 370206,20.062;
              370266,20; 370326,20; 370386,20; 370446,19.937; 370506,20; 370566,
              20; 370626,19.937; 370686,19.937; 370746,19.937; 370806,19.937;
              370866,19.937; 370926,19.937; 370986,19.937; 371046,19.937;
              371106,19.937; 371166,20; 371226,20.062; 371286,20.125; 371346,
              20.187; 371406,20.312; 371466,20.312; 371526,20.375; 371586,
              20.437; 371646,20.5; 371706,20.562; 371766,20.625; 371826,20.625;
              371886,20.687; 371946,20.75; 372006,20.75; 372066,20.75; 372126,
              20.812; 372186,20.812; 372246,20.812; 372306,20.875; 372366,
              20.812; 372426,20.875; 372486,20.875; 372546,20.875; 372606,
              20.875; 372666,20.812; 372726,20.812; 372786,20.812; 372846,
              20.937; 372906,21; 372966,21.125; 373026,21.312; 373086,21.5;
              373146,21.562; 373206,21.687; 373266,21.75; 373326,21.875; 373386,
              21.937; 373446,22.062; 373506,22.125; 373566,22.187; 373626,22.25;
              373686,22.312; 373746,22.312; 373806,22.375; 373866,22.437;
              373926,22.5; 373986,22.562; 374046,22.625; 374106,22.625; 374166,
              22.687; 374226,22.687; 374286,22.75; 374346,22.75; 374406,22.812;
              374466,22.875; 374526,22.875; 374586,22.875; 374646,22.937;
              374706,22.937; 374766,22.937; 374826,23; 374886,23; 374946,23;
              375006,23; 375066,23; 375126,23; 375186,23.062; 375246,23.062;
              375306,23.125; 375366,23.125; 375426,23.125; 375486,23.125;
              375546,23.187; 375606,23.25; 375666,23.187; 375726,23.187; 375786,
              23.25; 375846,23.312; 375906,23.312; 375966,23.312; 376026,23.312;
              376086,23.375; 376146,23.375; 376206,23.375; 376266,23.437;
              376326,23.437; 376386,23.437; 376446,23.437; 376506,23.437;
              376566,23.5; 376626,23.437; 376686,23.5; 376746,23.5; 376806,23.5;
              376866,23.5; 376926,23.5; 376986,23.5; 377046,23.5; 377106,23.5;
              377166,23.5; 377226,23.5; 377286,23.5; 377346,23.5; 377406,23.5;
              377466,23.5; 377526,23.562; 377586,23.562; 377646,23.562; 377706,
              23.625; 377766,23.562; 377826,23.562; 377886,23.625; 377946,
              23.562; 378006,23.625; 378066,23.625; 378126,23.625; 378186,
              23.625; 378246,23.625; 378306,23.687; 378366,23.625; 378426,
              23.687; 378486,23.687; 378546,23.687; 378606,23.687; 378666,23.75;
              378726,23.687; 378786,23.687; 378846,23.75; 378906,23.75; 378966,
              23.75; 379026,23.75; 379086,23.687; 379146,23.75; 379206,23.75;
              379266,23.75; 379326,23.75; 379386,23.75; 379446,23.75; 379506,
              23.812; 379566,23.75; 379626,23.75; 379686,23.75; 379746,23.75;
              379806,23.75; 379866,23.75; 379926,23.75; 379986,23.812; 380046,
              23.812; 380106,23.812; 380166,23.812; 380226,23.812; 380286,
              23.812; 380346,23.812; 380406,23.812; 380466,23.875; 380526,
              23.875; 380586,23.812; 380646,23.875; 380706,23.875; 380766,
              23.937; 380826,23.875; 380886,23.937; 380946,23.937; 381006,
              23.937; 381066,23.937; 381126,24; 381186,24; 381246,24; 381306,24;
              381366,24; 381426,24; 381486,24; 381546,24; 381606,24; 381666,24;
              381726,24; 381786,24; 381846,24; 381906,24; 381966,24; 382026,
              23.937; 382086,24; 382146,24; 382206,24.062; 382266,24; 382326,
              24.062; 382386,24; 382446,24.062; 382506,24; 382566,24.062;
              382626,24.062; 382686,24.062; 382746,24.062; 382806,24.062;
              382866,24; 382926,24.062; 382986,24; 383046,24; 383106,24.062;
              383166,24.062; 383226,24.062; 383286,24.062; 383346,24.062;
              383406,24.125; 383466,24.125; 383526,24.125; 383586,24.187;
              383646,24.125; 383706,24.125; 383766,24.125; 383826,24.125;
              383886,24.125; 383946,24.125; 384006,24.187; 384066,24.125;
              384126,24.125; 384186,24.125; 384246,24.125; 384306,24.125;
              384366,24.125; 384426,24.125; 384486,24.187; 384546,24.125;
              384606,24.125; 384666,24.187; 384726,24.125; 384786,24.187;
              384846,24.187; 384906,24.187; 384966,24.187; 385026,24.125;
              385086,24.187; 385146,24.187; 385206,24.187; 385266,24.187;
              385326,24.187; 385386,24.125; 385446,24.187; 385506,24.125;
              385566,24.187; 385626,24.187; 385686,24.125; 385746,24.187;
              385806,24.125; 385866,24.125; 385926,24.125; 385986,24.125;
              386046,24.187; 386106,24.187; 386166,24.187; 386226,24.187;
              386286,24.187; 386346,24.187; 386406,24.187; 386466,24.187;
              386526,24.125; 386586,24.187; 386646,24.187; 386706,24.187;
              386766,24.187; 386826,24.187; 386886,24.187; 386946,24.25; 387006,
              24.25; 387066,24.25; 387126,24.25; 387186,24.25; 387246,24.25;
              387306,24.25; 387366,24.25; 387426,24.25; 387486,24.25; 387546,
              24.25; 387606,24.25; 387666,24.187; 387726,24.25; 387786,24.187;
              387846,24.187; 387906,24.187; 387966,24.187; 388026,24.187;
              388086,24.125; 388146,24.125; 388206,24.187; 388266,24.187;
              388326,24.125; 388386,24.187; 388446,24.187; 388506,24.187;
              388566,24.125; 388626,24.187; 388686,24.125; 388746,24.125;
              388806,24.125; 388866,24.125; 388926,24.125; 388986,24.187;
              389046,24.187; 389106,24.187; 389166,24.125; 389226,24.125;
              389286,24.187; 389346,24.187; 389406,24.125; 389466,24.187;
              389526,24.125; 389586,24.125; 389646,24.125; 389706,24.125;
              389766,24.125; 389826,24.062; 389886,24.062; 389946,24.125;
              390006,24.125; 390066,24.062; 390126,24.062; 390186,24.062;
              390246,24.062; 390306,24.062; 390366,24; 390426,24; 390486,24;
              390546,24; 390606,23.937; 390666,23.937; 390726,23.937; 390786,
              23.937; 390846,24; 390906,24; 390966,24; 391026,23.937; 391086,
              23.937; 391146,23.937; 391206,23.937; 391266,23.937; 391326,
              23.937; 391386,23.875; 391446,23.937; 391506,23.937; 391566,
              23.937; 391626,23.937; 391686,23.875; 391746,23.875; 391806,
              23.875; 391866,23.875; 391926,23.875; 391986,23.875; 392046,
              23.875; 392106,23.812; 392166,23.812; 392226,23.812; 392286,
              23.875; 392346,23.875; 392406,23.875; 392466,23.812; 392526,
              23.875; 392586,23.812; 392646,23.812; 392706,23.812; 392766,23.75;
              392826,23.812; 392886,23.75; 392946,23.812; 393006,23.75; 393066,
              23.75; 393126,23.75; 393186,23.687; 393246,23.687; 393306,23.687;
              393366,23.687; 393426,23.625; 393486,23.625; 393546,23.625;
              393606,23.625; 393666,23.625; 393726,23.562; 393786,23.625;
              393846,23.625; 393906,23.625; 393966,23.625; 394026,23.625;
              394086,23.625; 394146,23.562; 394206,23.562; 394266,23.625;
              394326,23.625; 394386,23.625; 394446,23.562; 394506,23.562;
              394566,23.625; 394626,23.562; 394686,23.562; 394746,23.562;
              394806,23.562; 394866,23.562; 394926,23.562; 394986,23.5; 395046,
              23.5; 395106,23.562; 395166,23.5; 395226,23.5; 395286,23.5;
              395346,23.5; 395406,23.5; 395466,23.5; 395526,23.437; 395586,
              23.437; 395646,23.437; 395706,23.437; 395766,23.5; 395826,23.5;
              395886,23.5; 395946,23.437; 396006,23.5; 396066,23.437; 396126,
              23.5; 396186,23.437; 396246,23.437; 396306,23.437; 396366,23.437;
              396426,23.437; 396486,23.437; 396546,23.5; 396606,23.5; 396666,
              23.5; 396726,23.5; 396786,23.5; 396846,23.5; 396906,23.5; 396966,
              23.5; 397026,23.5; 397086,23.5; 397146,23.5; 397206,23.5; 397266,
              23.562; 397326,23.562; 397386,23.562; 397446,23.625; 397506,
              23.687; 397566,23.687; 397626,23.75; 397686,23.75; 397746,23.812;
              397806,23.812; 397866,23.812; 397926,23.812; 397986,23.812;
              398046,23.812; 398106,23.812; 398166,23.812; 398226,23.875;
              398286,23.875; 398346,23.812; 398406,23.812; 398466,23.812;
              398526,23.875; 398586,23.812; 398646,23.812; 398706,23.812;
              398766,23.812; 398826,23.75; 398886,23.812; 398946,23.812; 399006,
              23.812; 399066,23.812; 399126,23.812; 399186,23.812; 399246,
              23.812; 399306,23.812; 399366,23.75; 399426,23.812; 399486,23.812;
              399546,23.812; 399606,23.75; 399666,23.75; 399726,23.75; 399786,
              23.75; 399846,23.75; 399906,23.75; 399966,23.75; 400026,23.75;
              400086,23.75; 400146,23.75; 400206,23.75; 400266,23.75; 400326,
              23.687; 400386,23.75; 400446,23.687; 400506,23.75; 400566,23.687;
              400626,23.687; 400686,23.687; 400746,23.687; 400806,23.687;
              400866,23.687; 400926,23.687; 400986,23.687; 401046,23.687;
              401106,23.687; 401166,23.687; 401226,23.687; 401286,23.687;
              401346,23.687; 401464,23.687; 401524,23.687; 401584,23.687;
              401644,23.625; 401704,23.625; 401764,23.625; 401824,23.625;
              401884,23.625; 401944,23.625; 402004,23.625; 402064,23.625;
              402124,23.625; 402184,23.625; 402244,23.687; 402304,23.625;
              402364,23.625; 402424,23.625; 402484,23.625; 402544,23.625;
              402604,23.625; 402664,23.625; 402724,23.625; 402784,23.625;
              402844,23.625; 402904,23.625; 402964,23.625; 403024,23.625;
              403084,23.625; 403144,23.625; 403204,23.625; 403264,23.625;
              403324,23.625; 403384,23.625; 403444,23.625; 403504,23.625;
              403564,23.625; 403624,23.625; 403684,23.562; 403744,23.562;
              403804,23.562; 403864,23.562; 403924,23.562; 403984,23.625;
              404044,23.625; 404104,23.562; 404164,23.625; 404224,23.562;
              404284,23.562; 404344,23.625; 404404,23.562; 404464,23.562;
              404524,23.562; 404584,23.562; 404644,23.562; 404704,23.562;
              404764,23.562; 404824,23.5; 404884,23.562; 404944,23.5; 405004,
              23.5; 405064,23.562; 405124,23.562; 405184,23.5; 405244,23.5;
              405304,23.5; 405364,23.5; 405424,23.562; 405484,23.562; 405544,
              23.5; 405604,23.5; 405664,23.5; 405724,23.5; 405785,23.5; 405845,
              23.562; 405905,23.5; 405965,23.5; 406025,23.562; 406085,23.5;
              406145,23.562; 406205,23.562; 406265,23.562; 406325,23.625;
              406385,23.562; 406445,23.562; 406505,23.562; 406565,23.562;
              406625,23.562; 406685,23.562; 406745,23.625; 406805,23.625;
              406865,23.562; 406925,23.562; 406985,23.562; 407045,23.625;
              407105,23.625; 407165,23.625; 407225,23.687; 407285,23.687;
              407345,23.687; 407405,23.75; 407465,23.75; 407525,23.687; 407585,
              23.687; 407645,23.75; 407705,23.75; 407765,23.75; 407825,23.75;
              407885,23.812; 407945,23.812; 408005,23.75; 408065,23.75; 408125,
              23.75; 408185,23.812; 408245,23.75; 408305,23.812; 408365,23.75;
              408425,23.75; 408485,23.75; 408545,23.75; 408605,23.75; 408665,
              23.75; 408725,23.75; 408785,23.75; 408845,23.75; 408905,23.75;
              408965,23.687; 409025,23.687; 409085,23.687; 409145,23.687;
              409205,23.687; 409265,23.625; 409325,23.625; 409385,23.562;
              409445,23.562; 409505,23.562; 409565,23.562; 409625,23.5; 409685,
              23.5; 409745,23.5; 409805,23.437; 409865,23.437; 409925,23.437;
              409985,23.375; 410045,23.312; 410105,23.375; 410165,23.312;
              410225,23.312; 410285,23.25; 410345,23.25; 410405,23.25; 410465,
              23.25; 410525,23.187; 410585,23.187; 410645,23.125; 410705,23.187;
              410765,23.125; 410825,23.125; 410885,23.062; 410945,23.062;
              411005,23.062; 411065,23.062; 411125,23; 411185,23; 411245,23;
              411305,23; 411365,22.937; 411425,22.937; 411485,22.875; 411545,
              22.875; 411605,22.875; 411665,22.875; 411725,22.875; 411785,
              22.875; 411845,22.812; 411905,22.812; 411965,22.812; 412025,
              22.812; 412085,22.75; 412145,22.75; 412205,22.75; 412265,22.687;
              412325,22.687; 412385,22.687; 412445,22.625; 412505,22.625;
              412565,22.625; 412625,22.625; 412685,22.625; 412745,22.562;
              412805,22.562; 412865,22.562; 412925,22.562; 412985,22.5; 413045,
              22.5; 413105,22.5; 413165,22.5; 413225,22.5; 413285,22.437;
              413345,22.5; 413405,22.437; 413465,22.437; 413525,22.437; 413585,
              22.375; 413645,22.375; 413705,22.375; 413765,22.375; 413825,
              22.375; 413885,22.312; 413945,22.312; 414005,22.312; 414065,
              22.312; 414125,22.312; 414185,22.25; 414245,22.25; 414305,22.25;
              414365,22.25; 414425,22.187; 414485,22.187; 414545,22.187; 414605,
              22.187; 414665,22.187; 414725,22.125; 414785,22.125; 414845,
              22.125; 414905,22.125; 414965,22.125; 415025,22.062; 415085,
              22.062; 415145,22.062; 415205,22.062; 415265,22.062; 415325,22;
              415385,22; 415445,22; 415505,22; 415565,22; 415625,22; 415685,22;
              415745,22; 415805,21.937; 415865,21.937; 415925,21.937; 415985,
              21.875; 416045,21.875; 416105,21.875; 416165,21.875; 416225,
              21.875; 416285,21.875; 416345,21.812; 416405,21.812; 416465,
              21.812; 416525,21.812; 416585,21.812; 416645,21.75; 416705,21.75;
              416765,21.75; 416825,21.75; 416885,21.75; 416945,21.687; 417005,
              21.687; 417065,21.687; 417125,21.687; 417185,21.687; 417245,
              21.687; 417305,21.687; 417365,21.625; 417425,21.625; 417485,
              21.625; 417545,21.625; 417605,21.625; 417665,21.562; 417725,
              21.562; 417785,21.562; 417845,21.562; 417905,21.562; 417965,
              21.562; 418025,21.562; 418085,21.5; 418145,21.5; 418205,21.5;
              418265,21.5; 418325,21.437; 418385,21.437; 418445,21.437; 418505,
              21.437; 418565,21.437; 418625,21.437; 418685,21.375; 418745,
              21.437; 418805,21.437; 418865,21.375; 418925,21.375; 418985,
              21.312; 419045,21.312; 419105,21.312; 419165,21.312; 419225,
              21.312; 419285,21.312; 419345,21.312; 419405,21.312; 419465,
              21.312; 419525,21.25; 419585,21.25; 419645,21.25; 419705,21.25;
              419765,21.25; 419825,21.187; 419885,21.187; 419945,21.187; 420005,
              21.125; 420065,21.062; 420125,21.125; 420185,21.125; 420245,
              21.062; 420305,21.062; 420365,21; 420425,21.062; 420485,21;
              420545,21; 420605,21; 420665,20.937; 420725,20.937; 420785,20.937;
              420845,20.937; 420905,20.937; 420965,20.875; 421025,20.875;
              421085,20.875; 421145,20.812; 421205,20.875; 421265,20.875;
              421325,20.875; 421385,20.875; 421445,20.812; 421505,20.812;
              421565,20.812; 421625,20.875; 421685,20.875; 421745,20.937;
              421805,20.937; 421865,21; 421925,21; 421985,20.937; 422045,20.937;
              422105,20.937; 422165,21; 422225,21; 422285,20.937; 422345,20.937;
              422405,20.937; 422465,21; 422525,20.937; 422585,20.937; 422645,
              20.937; 422705,20.937; 422765,20.937; 422825,20.937; 422885,
              20.937; 422945,20.875; 423005,20.875; 423065,20.937; 423125,
              20.875; 423185,20.937; 423245,20.937; 423305,20.937; 423365,
              20.937; 423425,20.937; 423485,20.875; 423545,20.937; 423605,
              20.875; 423665,20.875; 423725,20.875; 423785,20.875; 423845,
              20.875; 423905,20.937; 423965,20.875; 424025,20.875; 424085,
              20.812; 424145,20.875; 424205,20.812; 424265,20.812; 424325,20.75;
              424385,20.75; 424445,20.75; 424505,20.812; 424565,20.812; 424625,
              20.75; 424685,20.75; 424745,20.75; 424805,20.687; 424865,20.687;
              424925,20.687; 424985,20.625; 425045,20.625; 425105,20.625;
              425165,20.625; 425225,20.625; 425285,20.562; 425345,20.562;
              425405,20.562; 425465,20.562; 425525,20.562; 425585,20.562;
              425645,20.5; 425705,20.5; 425765,20.437; 425825,20.437; 425885,
              20.375; 425945,20.375; 426005,20.375; 426065,20.375; 426125,
              20.375; 426185,20.375; 426245,20.375; 426305,20.312; 426365,
              20.312; 426425,20.312; 426485,20.312; 426545,20.25; 426605,20.25;
              426665,20.187; 426725,20.187; 426785,20.187; 426845,20.187;
              426905,20.187; 426965,20.125; 427025,20.125; 427085,20.062;
              427145,20.062; 427205,20.062; 427265,20; 427325,20; 427385,20;
              427445,20; 427505,20; 427565,20; 427625,19.937; 427685,20; 427745,
              20; 427805,19.937; 427865,19.875; 427925,19.875; 427985,19.937;
              428045,19.937; 428105,19.937; 428165,19.937; 428225,19.937;
              428285,19.937; 428345,19.937; 428405,19.875; 428465,19.875;
              428525,19.812; 428585,19.875; 428645,19.875; 428705,19.875;
              428765,19.875; 428825,19.812; 428885,19.875; 428945,19.875;
              429005,19.812; 429065,19.812; 429125,19.875; 429185,19.875;
              429245,19.812; 429305,19.812; 429365,19.812; 429425,19.812;
              429485,19.812; 429545,19.812; 429605,19.812; 429665,19.812;
              429725,19.812; 429785,19.75; 429845,19.75; 429905,19.812; 429965,
              19.812; 430025,19.75; 430085,19.812; 430145,19.75; 430205,19.75;
              430265,19.812; 430325,19.812; 430385,19.812; 430445,19.75; 430505,
              19.75; 430565,19.75; 430625,19.812; 430685,19.812; 430745,19.812;
              430805,19.75; 430865,19.75; 430925,19.75; 430985,19.75; 431045,
              19.75; 431105,19.75; 431165,19.75; 431225,19.75; 431285,19.75;
              431345,19.75; 431405,19.75; 431465,19.75; 431525,19.75; 431585,
              19.687; 431645,19.75; 431705,19.687; 431765,19.75; 431825,19.75;
              431885,19.687; 431945,19.687; 432005,19.687; 432065,19.687;
              432125,19.687; 432185,19.687; 432245,19.687; 432305,19.75; 432365,
              19.75; 432425,19.75; 432485,19.75; 432545,19.687; 432605,19.687;
              432665,19.75; 432725,19.687; 432785,19.687; 432845,19.687; 432905,
              19.687; 432965,19.687; 433025,19.687; 433085,19.687; 433145,19.75;
              433205,19.687; 433265,19.687; 433325,19.687; 433385,19.687;
              433445,19.687; 433505,19.687; 433565,19.687; 433625,19.687;
              433685,19.687; 433745,19.687; 433805,19.687; 433865,19.687;
              433925,19.687; 433985,19.687; 434045,19.687; 434105,19.687;
              434165,19.687; 434225,19.687; 434285,19.687; 434345,19.687;
              434405,19.687; 434465,19.625; 434525,19.625; 434585,19.687;
              434645,19.687; 434705,19.625; 434765,19.687; 434825,19.687;
              434885,19.625; 434945,19.625; 435005,19.625; 435065,19.625;
              435125,19.625; 435185,19.625; 435245,19.625; 435305,19.625;
              435365,19.687; 435425,19.687; 435485,19.687; 435545,19.625;
              435605,19.625; 435665,19.687; 435725,19.625; 435785,19.625;
              435845,19.625; 435905,19.562; 435965,19.625; 436025,19.625;
              436085,19.625; 436145,19.625; 436205,19.625; 436265,19.562;
              436325,19.562; 436385,19.625; 436445,19.625; 436505,19.562;
              436565,19.625; 436625,19.562; 436685,19.562; 436745,19.625;
              436805,19.562; 436865,19.562; 436925,19.562; 436985,19.562;
              437045,19.562; 437105,19.562; 437165,19.625; 437225,19.562;
              437285,19.562; 437345,19.562; 437405,19.562; 437465,19.562;
              437525,19.562; 437585,19.562; 437645,19.562; 437705,19.562;
              437765,19.562; 437825,19.5; 437885,19.562; 437945,19.562; 438005,
              19.562; 438065,19.562; 438125,19.562; 438185,19.562; 438245,
              19.562; 438305,19.562; 438365,19.562; 438425,19.562; 438485,
              19.562; 438545,19.562; 438605,19.5; 438665,19.562; 438725,19.562;
              438785,19.562; 438845,19.5; 438905,19.5; 438965,19.562; 439025,
              19.5; 439085,19.5; 439145,19.562; 439205,19.5; 439265,19.5;
              439325,19.5; 439385,19.5; 439445,19.5; 439505,19.5; 439565,19.5;
              439625,19.5; 439685,19.5; 439745,19.5; 439805,19.5; 439865,19.5;
              439925,19.5; 439985,19.5; 440045,19.5; 440105,19.5; 440165,19.5;
              440225,19.437; 440285,19.437; 440345,19.437; 440405,19.5; 440465,
              19.437; 440525,19.437; 440585,19.5; 440645,19.437; 440705,19.437;
              440765,19.437; 440825,19.437; 440885,19.437; 440945,19.437;
              441005,19.437; 441065,19.437; 441125,19.437; 441185,19.437;
              441245,19.437; 441305,19.437; 441365,19.437; 441425,19.437;
              441485,19.437; 441545,19.437; 441605,19.437; 441665,19.437;
              441725,19.437; 441785,19.437; 441845,19.437; 441905,19.5; 441965,
              19.562; 442025,19.625; 442085,19.75; 442145,19.75; 442205,19.812;
              442265,19.875; 442325,19.937; 442385,19.937; 442445,19.937;
              442505,20; 442565,20; 442625,20; 442685,20.062; 442745,20.125;
              442805,20.125; 442865,20.125; 442925,20.187; 442985,20.25; 443045,
              20.25; 443105,20.312; 443165,20.312; 443225,20.375; 443285,20.437;
              443345,20.437; 443405,20.437; 443465,20.5; 443525,20.5; 443585,
              20.562; 443645,20.562; 443705,20.625; 443765,20.687; 443825,
              20.687; 443885,20.75; 443945,20.812; 444005,20.75; 444065,20.75;
              444125,20.75; 444185,20.75; 444245,20.687; 444305,20.687; 444365,
              20.75; 444425,20.812; 444485,20.875; 444545,20.812; 444605,20.812;
              444665,20.812; 444725,20.812; 444785,20.812; 444845,20.875;
              444905,20.812; 444965,20.812; 445025,20.812; 445085,20.812;
              445145,20.812; 445205,20.812; 445265,20.812; 445325,20.812;
              445385,20.75; 445445,20.812; 445505,20.75; 445565,20.812; 445625,
              20.812; 445685,20.812; 445745,20.75; 445805,20.75; 445865,20.75;
              445925,20.687; 445985,20.687; 446045,20.687; 446105,20.687;
              446165,20.687; 446225,20.687; 446285,20.625; 446345,20.625;
              446405,20.625; 446465,20.687; 446525,20.687; 446585,20.625;
              446645,20.687; 446705,20.625; 446765,20.562; 446825,20.625;
              446885,20.562; 446945,20.562; 447005,20.5; 447065,20.562; 447125,
              20.5; 447185,20.5; 447245,20.5; 447305,20.437; 447365,20.437;
              447425,20.375; 447485,20.375; 447545,20.437; 447605,20.375;
              447665,20.312; 447725,20.312; 447785,20.312; 447845,20.25; 447905,
              20.25; 447965,20.25; 448025,20.25; 448085,20.25; 448145,20.187;
              448205,20.187; 448265,20.187; 448325,20.187; 448385,20.125;
              448445,20.125; 448505,20.125; 448565,20.062; 448625,20.062;
              448685,20.062; 448745,20.062; 448805,20.062; 448865,20; 448925,20;
              448985,19.937; 449045,19.937; 449105,20; 449165,20; 449225,19.937;
              449285,19.937; 449345,19.875; 449405,19.875; 449465,19.875;
              449525,19.812; 449585,19.812; 449645,19.812; 449705,19.812;
              449765,19.812; 449825,19.812; 449885,19.812; 449945,19.812;
              450005,19.75; 450065,19.687; 450125,19.75; 450185,19.687; 450245,
              19.812; 450305,20; 450365,20.062; 450425,20.125; 450485,20.187;
              450545,20.25; 450605,20.312; 450665,20.312; 450725,20.375; 450785,
              20.375; 450845,20.437; 450905,20.437; 450965,20.5; 451025,20.562;
              451085,20.5; 451145,20.562; 451205,20.562; 451265,20.625; 451325,
              20.687; 451385,20.625; 451445,20.625; 451505,20.625; 451565,
              20.687; 451625,20.687; 451685,20.687; 451745,20.687; 451805,
              20.687; 451865,20.687; 451925,20.75; 451985,20.75; 452045,20.75;
              452105,20.75; 452165,20.812; 452225,20.875; 452285,20.812; 452345,
              20.812; 452405,20.875; 452465,20.812; 452525,20.812; 452585,20.75;
              452645,20.687; 452705,20.625; 452765,20.687; 452825,20.812;
              452885,20.937; 452945,20.875; 453005,20.812; 453065,20.812;
              453125,20.875; 453185,20.875; 453245,20.937; 453305,21; 453365,
              20.937; 453425,20.937; 453485,21; 453545,20.937; 453605,20.937;
              453665,21; 453725,20.937; 453785,20.937; 453845,20.937; 453905,
              20.875; 453965,20.937; 454025,20.937; 454085,20.937; 454145,
              20.875; 454205,20.812; 454265,20.812; 454325,20.75; 454385,20.812;
              454445,20.812; 454505,20.812; 454565,20.812; 454625,20.75; 454685,
              20.812; 454745,20.75; 454805,20.687; 454865,20.75; 454925,20.75;
              454985,20.75; 455045,20.687; 455105,20.687; 455165,20.75; 455225,
              20.687; 455285,20.625; 455345,20.625; 455405,20.625; 455465,
              20.625; 455525,20.562; 455585,20.625; 455645,20.625; 455705,
              20.625; 455765,20.562; 455825,20.562; 455885,20.5; 455945,20.5;
              456005,20.437; 456065,20.437; 456125,20.437; 456185,20.5; 456245,
              20.437; 456305,20.437; 456366,20.375; 456426,20.375; 456486,
              20.375; 456546,20.375; 456606,20.312; 456666,20.312; 456726,20.25;
              456786,20.25; 456846,20.25; 456906,20.25; 456966,20.187; 457026,
              20.187; 457086,20.187; 457146,20.125; 457206,20.125; 457266,
              20.125; 457326,20.062; 457386,20.062; 457446,20; 457506,20.062;
              457566,20; 457626,20; 457686,19.937; 457746,19.937; 457806,19.937;
              457866,19.937; 457926,19.937; 457986,19.875; 458046,19.875;
              458106,19.812; 458166,19.812; 458226,19.812; 458286,19.812;
              458346,19.875; 458406,19.75; 458466,19.75; 458526,19.75; 458586,
              19.75; 458646,19.75; 458706,19.812; 458766,19.812; 458826,19.812;
              458886,19.875; 458946,19.937; 459006,20.062; 459066,20.125;
              459126,20.187; 459186,20.187; 459246,20.312; 459306,20.312;
              459366,20.375; 459426,20.375; 459486,20.437; 459546,20.437;
              459606,20.5; 459666,20.5; 459726,20.562; 459786,20.625; 459846,
              20.625; 459906,20.625; 459966,20.687; 460026,20.687; 460086,
              20.687; 460146,20.687; 460206,20.687; 460266,20.687; 460326,20.75;
              460386,20.75; 460446,20.812; 460506,20.812; 460566,20.812; 460626,
              20.812; 460686,20.812; 460746,20.875; 460806,20.875; 460866,
              20.937; 460926,20.875; 460986,20.875; 461046,20.812; 461106,
              20.812; 461166,20.875; 461226,20.875; 461286,20.812; 461346,
              20.812; 461406,20.812; 461466,20.875; 461526,20.937; 461586,21;
              461646,20.937; 461706,20.937; 461766,21; 461826,20.937; 461886,
              20.812; 461946,20.75; 462006,20.687; 462066,20.75; 462126,20.812;
              462186,20.875; 462246,20.937; 462306,20.937; 462366,20.937;
              462426,20.875; 462486,20.937; 462546,20.812; 462606,20.812;
              462666,20.812; 462726,20.812; 462786,20.812; 462846,20.812;
              462906,20.812; 462966,20.812; 463026,20.812; 463086,20.75; 463146,
              20.687; 463206,20.75; 463266,20.75; 463326,20.75; 463386,20.75;
              463446,20.75; 463506,20.687; 463566,20.687; 463626,20.687; 463686,
              20.687; 463746,20.687; 463806,20.625; 463866,20.625; 463926,
              20.562; 463986,20.625; 464046,20.562; 464106,20.625; 464166,
              20.562; 464226,20.5; 464286,20.5; 464346,20.5; 464406,20.5;
              464466,20.562; 464526,20.5; 464586,20.5; 464646,20.437; 464706,
              20.437; 464766,20.437; 464826,20.437; 464886,20.375; 464946,
              20.375; 465006,20.312; 465066,20.312; 465126,20.312; 465186,20.25;
              465246,20.25; 465306,20.25; 465366,20.25; 465426,20.25; 465486,
              20.25; 465546,20.25; 465606,20.187; 465666,20.187; 465726,20.187;
              465786,20.125; 465846,20.125; 465906,20.125; 465966,20.062;
              466026,20.062; 466086,20.062; 466146,20.062; 466206,20; 466266,20;
              466326,20; 466386,20; 466446,20; 466506,20; 466566,20; 466626,20;
              466686,19.937; 466746,19.937; 466806,19.937; 466866,19.937;
              466926,19.937; 466986,19.937; 467046,19.937; 467106,19.875;
              467166,19.875; 467226,19.812; 467286,19.812; 467346,19.875;
              467406,19.875; 467466,19.812; 467526,19.812; 467586,19.812;
              467646,19.75; 467706,19.75; 467766,19.75; 467826,19.75; 467886,
              19.75; 467946,19.75; 468006,19.687; 468066,19.687; 468126,19.687;
              468186,19.625; 468246,19.625; 468306,19.625; 468366,19.625;
              468426,19.687; 468486,19.937; 468546,20.25; 468606,20.375; 468666,
              20.5; 468726,20.5; 468786,20.562; 468846,20.562; 468906,20.562;
              468966,20.5; 469026,20.5; 469086,20.562; 469146,20.562; 469206,
              20.5; 469266,20.562; 469326,20.625; 469386,20.625; 469446,20.5;
              469506,20.5; 469566,20.562; 469626,20.562; 469686,20.5; 469746,
              20.437; 469806,20.375; 469866,20.437; 469926,20.437; 469986,
              20.437; 470046,20.375; 470106,20.375; 470166,20.312; 470226,
              20.375; 470286,20.375; 470346,20.25; 470406,20.312; 470466,20.312;
              470526,20.312; 470586,20.312; 470646,20.312; 470706,20.312;
              470766,20.312; 470826,20.312; 470886,20.312; 470946,20.25; 471006,
              20.25; 471066,20.25; 471126,20.312; 471186,20.25; 471246,20.25;
              471306,20.125; 471366,20.125; 471426,20.187; 471486,20.187;
              471546,20.187; 471606,20.187; 471666,20.125; 471726,20.125;
              471786,20.125; 471846,20.125; 471906,20.125; 471966,20.062;
              472026,20.062; 472086,20.062; 472146,20.062; 472206,20.062;
              472266,20.062; 472326,20; 472386,20; 472446,20; 472506,20; 472566,
              19.937; 472626,20; 472686,20; 472746,19.937; 472806,19.937;
              472866,20; 472926,19.937; 472986,19.937; 473046,19.937; 473106,
              19.937; 473166,19.937; 473226,19.937; 473286,19.937; 473346,
              19.937; 473406,19.875; 473466,19.875; 473526,19.875; 473586,
              19.875; 473646,19.875; 473706,19.875; 473766,19.875; 473826,
              19.875; 473886,19.875; 473946,19.812; 474006,19.812; 474066,
              19.812; 474126,19.75; 474186,19.812; 474246,19.812; 474306,19.812;
              474366,19.812; 474426,19.812; 474486,19.75; 474546,19.75; 474606,
              19.812; 474666,19.75; 474726,19.812; 474786,19.812; 474846,19.812;
              474906,19.75; 474966,19.75; 475026,19.687; 475086,19.75; 475146,
              19.75; 475206,19.75; 475266,19.75; 475326,19.687; 475386,19.687;
              475446,19.687; 475506,19.687; 475566,19.75; 475626,19.75; 475686,
              19.75; 475746,19.687; 475806,19.687; 475866,19.687; 475926,19.75;
              475986,19.687; 476046,19.687; 476106,19.687; 476166,19.687;
              476226,19.687; 476286,19.687; 476346,19.687; 476406,19.687;
              476466,19.75; 476526,19.687; 476586,19.75; 476646,19.687; 476706,
              19.75; 476766,19.687; 476826,19.75; 476886,19.687; 476946,19.687;
              477006,19.687; 477066,19.687; 477126,19.687; 477186,19.687;
              477246,19.687; 477306,19.687; 477366,19.687; 477426,19.75; 477486,
              19.687; 477546,19.687; 477606,19.687; 477666,19.687; 477726,
              19.687; 477786,19.687; 477846,19.687; 477906,19.687; 477966,
              19.687; 478026,19.687; 478086,19.687; 478146,19.687; 478206,
              19.687; 478266,19.687; 478326,19.687; 478386,19.75; 478446,19.687;
              478506,19.687; 478566,19.75; 478626,19.75; 478686,19.687; 478746,
              19.687; 478806,19.687; 478866,19.687; 478926,19.687; 478986,
              19.687; 479046,19.687; 479106,19.687; 479166,19.687; 479226,
              19.687; 479286,19.687; 479346,19.687; 479406,19.687; 479466,
              19.687; 479526,19.687; 479586,19.687; 479646,19.687; 479706,
              19.687; 479766,19.687; 479826,19.687; 479886,19.625; 479946,
              19.687; 480006,19.687; 480066,19.687; 480126,19.687; 480186,
              19.687; 480246,19.687; 480306,19.687; 480366,19.687; 480426,
              19.687; 480486,19.687; 480546,19.75; 480606,19.687; 480666,19.75;
              480726,19.687; 480786,19.687; 480846,19.687; 480906,19.687;
              480966,19.687; 481026,19.687; 481086,19.687; 481146,19.687;
              481206,19.75; 481266,19.687; 481326,19.687; 481386,19.687; 481446,
              19.687; 481506,19.687; 481566,19.687; 481626,19.687; 481686,
              19.687; 481746,19.687; 481806,19.687; 481866,19.687; 481926,
              19.687; 481986,19.687; 482046,19.687; 482106,19.687; 482166,
              19.687; 482226,19.75; 482286,19.687; 482346,19.687; 482406,19.687;
              482466,19.687; 482526,19.687; 482586,19.687; 482646,19.687;
              482706,19.687; 482766,19.687; 482826,19.75; 482886,19.75; 482946,
              19.687; 483006,19.687; 483066,19.687; 483126,19.75; 483186,19.75;
              483246,19.687; 483306,19.687; 483366,19.687; 483426,19.687;
              483486,19.687; 483546,19.687; 483606,19.687; 483666,19.687;
              483726,19.687; 483786,19.687; 483846,19.687; 483906,19.687;
              483966,19.687; 484026,19.625; 484086,19.625; 484146,19.687;
              484206,19.625; 484266,19.687; 484326,19.625; 484386,19.687;
              484446,19.625; 484506,19.687; 484566,19.625; 484626,19.687;
              484686,19.687; 484746,19.625; 484806,19.625; 484866,19.625;
              484926,19.687; 484986,19.687; 485046,19.687; 485106,19.687;
              485166,19.687; 485226,19.625; 485286,19.625; 485346,19.687;
              485406,19.625; 485466,19.625; 485526,19.625; 485586,19.625;
              485646,19.625; 485706,19.625; 485766,19.625; 485826,19.625;
              485886,19.625; 485946,19.625; 486006,19.625; 486066,19.625;
              486126,19.625; 486186,19.625; 486246,19.625; 486306,19.625;
              486366,19.625; 486426,19.687; 486486,19.687; 486546,19.75; 486606,
              19.812; 486666,19.875; 486726,19.875; 486786,19.875; 486846,
              19.937; 486906,19.937; 486966,20; 487026,20; 487086,20; 487146,
              20.062; 487206,20.062; 487266,20.062; 487326,20.062; 487386,
              20.125; 487446,20.062; 487506,20.125; 487566,20.125; 487626,
              20.125; 487686,20.125; 487746,20.125; 487806,20.125; 487866,
              20.125; 487926,20.125; 487986,20.062; 488046,20.125; 488106,
              20.125; 488166,20.125; 488226,20.125; 488286,20.125; 488346,
              20.125; 488406,20.125; 488466,20.125; 488526,20.187; 488586,
              20.187; 488646,20.125; 488706,20.125; 488766,20.125; 488826,
              20.125; 488886,20.125; 488946,20.125; 489006,20.062; 489066,
              20.062; 489126,20.062; 489186,20.062; 489246,20.062; 489306,
              20.062; 489366,20.062; 489426,20.062; 489486,20.062; 489546,
              20.062; 489606,20; 489666,20; 489726,20.062; 489786,20.125;
              489846,20.062; 489906,20.062; 489966,20.062; 490026,20.062;
              490086,20.062; 490146,20.062; 490206,20.062; 490266,20; 490326,20;
              490386,19.937; 490446,20; 490506,20; 490566,19.937; 490626,19.937;
              490686,19.937; 490746,19.937; 490806,19.937; 490866,19.937;
              490926,19.937; 490986,19.937; 491046,19.937; 491106,19.875;
              491166,19.875; 491226,19.937; 491286,19.875; 491346,19.875;
              491406,19.875; 491466,19.875; 491526,19.875; 491586,19.937;
              491646,19.937; 491706,19.937; 491766,20; 491826,20; 491886,20;
              491946,20.062; 492006,20.062; 492066,20.125; 492126,20.125;
              492186,20.125; 492246,20.125; 492306,20.187; 492366,20.25; 492426,
              20.187; 492486,20.187; 492546,20.187; 492606,20.187; 492666,
              20.187; 492726,20.187; 492786,20.187; 492846,20.187; 492906,
              20.187; 492966,20.187; 493026,20.187; 493086,20.187; 493146,
              20.187; 493206,20.187; 493266,20.25; 493326,20.187; 493386,20.187;
              493446,20.187; 493506,20.25; 493566,20.25; 493626,20.187; 493686,
              20.25; 493746,20.312; 493806,20.25; 493866,20.25; 493926,20.25;
              493986,20.25; 494046,20.25; 494106,20.25; 494166,20.25; 494226,
              20.312; 494286,20.25; 494346,20.25; 494406,20.25; 494466,20.25;
              494526,20.25; 494586,20.25; 494646,20.25; 494706,20.25; 494766,
              20.312; 494826,20.25; 494886,20.312; 494946,20.375; 495006,20.312;
              495066,20.375; 495126,20.375; 495186,20.375; 495246,20.375;
              495306,20.375; 495366,20.375; 495426,20.375; 495486,20.375;
              495546,20.375; 495606,20.312; 495666,20.375; 495726,20.375;
              495786,20.375; 495846,20.437; 495906,20.437; 495966,20.375;
              496026,20.375; 496086,20.312; 496146,20.437; 496206,20.437;
              496266,20.375; 496326,20.437; 496386,20.375; 496446,20.437;
              496506,20.437; 496566,20.437; 496626,20.437; 496686,20.437;
              496746,20.437; 496806,20.375; 496866,20.375; 496926,20.375;
              496986,20.437; 497046,20.375; 497106,20.375; 497166,20.437;
              497226,20.437; 497286,20.437; 497346,20.437; 497406,20.437;
              497466,20.437; 497526,20.437; 497586,20.5; 497646,20.5; 497706,
              20.437; 497766,20.437; 497826,20.375; 497886,20.437; 497946,
              20.437; 498006,20.437; 498066,20.437; 498126,20.437; 498186,20.5;
              498246,20.5; 498306,20.5; 498366,20.5; 498426,20.5; 498486,20.5;
              498546,20.5; 498606,20.5; 498666,20.5; 498726,20.5; 498786,20.5;
              498846,20.5; 498906,20.5; 498966,20.5; 499026,20.5; 499086,20.5;
              499146,20.5; 499206,20.437; 499266,20.5; 499326,20.5; 499386,
              20.437; 499446,20.437; 499506,20.5; 499566,20.5; 499626,20.437;
              499686,20.5; 499746,20.437; 499806,20.437; 499866,20.437; 499926,
              20.5; 499986,20.5; 500046,20.437; 500106,20.437; 500166,20.437;
              500226,20.5; 500286,20.437; 500346,20.5; 500406,20.5; 500466,20.5;
              500526,20.5; 500586,20.5; 500646,20.5; 500706,20.437; 500766,20.5;
              500826,20.437; 500886,20.5; 500946,20.5; 501006,20.5; 501066,20.5;
              501126,20.5; 501186,20.5; 501246,20.5; 501306,20.5; 501366,20.5;
              501426,20.5; 501486,20.5; 501546,20.5; 501606,20.562; 501666,20.5;
              501726,20.562; 501786,20.562; 501846,20.562; 501906,20.562;
              501966,20.5; 502026,20.5; 502086,20.5; 502146,20.5; 502206,20.5;
              502266,20.5; 502326,20.562; 502386,20.562; 502446,20.5; 502506,
              20.5; 502566,20.562; 502626,20.562; 502686,20.562; 502746,20.562;
              502806,20.562; 502866,20.562; 502926,20.562; 502986,20.562;
              503046,20.562; 503106,20.625; 503166,20.562; 503226,20.562;
              503286,20.5; 503346,20.562; 503406,20.562; 503466,20.562; 503526,
              20.5; 503586,20.562; 503646,20.625; 503706,20.625; 503766,20.562;
              503826,20.562; 503886,20.562; 503946,20.562; 504006,20.562;
              504066,20.625; 504126,20.625; 504186,20.562; 504246,20.562;
              504306,20.562; 504366,20.562; 504426,20.562; 504486,20.562;
              504546,20.562; 504606,20.562; 504666,20.562; 504726,20.562;
              504786,20.625; 504846,20.625; 504906,20.562; 504966,20.562;
              505026,20.562; 505086,20.5; 505146,20.562; 505206,20.562; 505266,
              20.562; 505326,20.562; 505386,20.562; 505446,20.625; 505506,
              20.625; 505566,20.625; 505626,20.625; 505686,20.625; 505746,
              20.625; 505806,20.625; 505866,20.562; 505926,20.562; 505986,
              20.562; 506046,20.625; 506106,20.625; 506166,20.625; 506226,
              20.562; 506286,20.625; 506346,20.562; 506406,20.625; 506466,
              20.562; 506526,20.5; 506586,20.562; 506646,20.562; 506706,20.5;
              506766,20.5; 506826,20.562; 506886,20.5; 506946,20.562; 507006,
              20.562; 507066,20.562; 507126,20.562; 507186,20.5; 507246,20.5;
              507306,20.5; 507366,20.562; 507426,20.625; 507486,20.625; 507546,
              20.562; 507606,20.562; 507666,20.5; 507726,20.562; 507786,20.562;
              507846,20.562; 507906,20.562; 507966,20.562; 508026,20.562;
              508087,20.562; 508147,20.625; 508207,20.562; 508267,20.625;
              508327,20.687; 508387,20.625; 508447,20.562; 508507,20.562;
              508567,20.562; 508627,20.625; 508687,20.625; 508747,20.625;
              508807,20.625; 508867,20.625; 508927,20.625; 508987,20.625;
              509047,20.625; 509107,20.625; 509167,20.625; 509227,20.687;
              509287,20.625; 509347,20.625; 509407,20.562; 509467,20.625;
              509527,20.625; 509587,20.625; 509647,20.687; 509707,20.625;
              509767,20.625; 509827,20.687; 509887,20.625; 509947,20.625;
              510007,20.687; 510067,20.625; 510127,20.625; 510187,20.625;
              510247,20.562; 510307,20.625; 510367,20.625; 510427,20.625;
              510487,20.562; 510547,20.562; 510607,20.562; 510667,20.562;
              510727,20.562; 510787,20.562; 510847,20.562; 510907,20.562;
              510967,20.562; 511027,20.562; 511087,20.562; 511147,20.562;
              511207,20.562; 511267,20.562; 511327,20.625; 511387,20.625;
              511447,20.562; 511507,20.562; 511567,20.562; 511627,20.562;
              511687,20.625; 511747,20.625; 511807,20.625; 511867,20.562;
              511927,20.562; 511987,20.562; 512047,20.625; 512107,20.625;
              512167,20.625; 512227,20.625; 512287,20.625; 512347,20.625;
              512407,20.562; 512467,20.625; 512527,20.625; 512587,20.625;
              512647,20.562; 512707,20.562; 512767,20.562; 512827,20.562;
              512887,20.562; 512947,20.625; 513007,20.625; 513067,20.625;
              513127,20.625; 513187,20.625; 513247,20.625; 513307,20.625;
              513367,20.562; 513427,20.625; 513487,20.625; 513547,20.625;
              513607,20.625; 513667,20.625; 513727,20.562; 513787,20.562;
              513847,20.625; 513907,20.562; 513967,20.562; 514027,20.562;
              514087,20.562; 514147,20.625; 514207,20.625; 514267,20.625;
              514327,20.625; 514387,20.625; 514447,20.625; 514507,20.625;
              514567,20.625; 514627,20.625; 514687,20.625; 514747,20.625;
              514807,20.625; 514867,20.625; 514927,20.562; 514987,20.625;
              515047,20.625; 515107,20.625; 515167,20.625; 515227,20.625;
              515287,20.625; 515347,20.625; 515407,20.625; 515467,20.625;
              515527,20.625; 515587,20.625; 515647,20.625; 515707,20.625;
              515767,20.625; 515827,20.625; 515887,20.625; 515947,20.562;
              516007,20.625; 516067,20.562; 516127,20.625; 516187,20.625;
              516247,20.625; 516307,20.562; 516367,20.625; 516427,20.625;
              516487,20.625; 516547,20.625; 516607,20.625; 516667,20.562;
              516727,20.625; 516787,20.625; 516847,20.625; 516907,20.625;
              516967,20.625; 517027,20.625; 517087,20.562; 517147,20.625;
              517207,20.625; 517267,20.562; 517327,20.562; 517387,20.625;
              517447,20.562; 517507,20.625; 517567,20.625; 517627,20.625;
              517687,20.625; 517747,20.625; 517807,20.687; 517867,20.687;
              517927,20.625; 517987,20.625; 518047,20.625; 518107,20.625;
              518167,20.625; 518227,20.625; 518287,20.625; 518347,20.562;
              518407,20.625; 518467,20.562; 518527,20.625; 518587,20.562;
              518647,20.625; 518707,20.562; 518767,20.562; 518827,20.562;
              518887,20.562; 518947,20.625; 519007,20.687; 519067,20.687;
              519127,20.687; 519187,20.687; 519247,20.687; 519307,20.687;
              519367,20.687; 519427,20.687; 519487,20.75; 519547,20.687; 519607,
              20.687; 519667,20.687; 519727,20.687; 519787,20.687; 519847,
              20.687; 519907,20.687; 519967,20.687; 520027,20.687; 520087,
              20.687; 520147,20.687; 520207,20.687; 520267,20.687; 520327,
              20.687; 520387,20.687; 520447,20.687; 520507,20.687; 520567,
              20.687; 520627,20.687; 520687,20.687; 520747,20.625; 520807,
              20.625; 520867,20.687; 520927,20.687; 520987,20.625; 521047,
              20.687; 521107,20.625; 521167,20.687; 521227,20.687; 521287,
              20.687; 521347,20.687; 521407,20.625; 521467,20.687; 521527,
              20.687; 521587,20.625; 521647,20.687; 521707,20.687; 521767,
              20.687; 521827,20.687; 521887,20.625; 521947,20.687; 522007,
              20.687; 522067,20.687; 522127,20.687; 522187,20.625; 522247,
              20.687; 522307,20.687; 522367,20.625; 522427,20.625; 522487,
              20.687; 522547,20.625; 522607,20.625; 522667,20.625; 522727,
              20.625; 522787,20.625; 522847,20.625; 522907,20.625; 522967,
              20.625; 523027,20.562; 523087,20.562; 523147,20.562; 523207,
              20.562; 523267,20.562; 523327,20.562; 523387,20.562; 523447,
              20.562; 523507,20.562; 523567,20.562; 523627,20.562; 523687,
              20.562; 523747,20.562; 523807,20.625; 523867,20.625; 523927,
              20.562; 523987,20.562; 524047,20.562; 524107,20.562; 524167,
              20.562; 524227,20.562; 524287,20.562; 524347,20.562; 524407,
              20.562; 524467,20.562; 524527,20.562; 524587,20.5; 524647,20.5;
              524707,20.5; 524767,20.562; 524827,20.562; 524887,20.562; 524947,
              20.562; 525007,20.5; 525067,20.562; 525127,20.562; 525187,20.562;
              525247,20.562; 525307,20.562; 525367,20.562; 525427,20.562;
              525487,20.562; 525547,20.562; 529207,20.562; 529267,20.562;
              529327,20.562; 529387,20.562; 529447,20.562; 529507,20.562;
              529567,20.562; 529627,20.625; 529687,20.625; 529747,20.562;
              529807,20.562; 529867,20.625; 529927,20.625; 529987,20.562;
              530047,20.562; 530107,20.562; 530167,20.562; 530227,20.562;
              530287,20.562; 530347,20.562; 530407,20.562; 530467,20.562;
              530527,20.562; 530587,20.562; 530647,20.625; 530707,20.562;
              530767,20.562; 530827,20.562; 530887,20.625; 530947,20.562;
              531007,20.625; 531067,20.625; 531127,20.625; 531187,20.625;
              531247,20.625; 531307,20.625; 531367,20.562; 531427,20.562;
              531487,20.625; 531547,20.562; 531607,20.562; 531667,20.562;
              531727,20.562; 531787,20.562; 531847,20.562; 531907,20.562;
              531967,20.625; 532027,20.625; 532087,20.625; 532147,20.625;
              532207,20.625; 532267,20.625; 532327,20.625; 532387,20.562;
              532447,20.625; 532507,20.625; 532567,20.687; 532627,20.687;
              532687,20.687; 532747,20.687; 532807,20.625; 532867,20.687;
              532927,20.75; 532987,20.687; 533047,20.687; 533107,20.687; 533167,
              20.75; 533227,20.687; 533287,20.687; 533347,20.687; 533407,20.687;
              533467,20.687; 533527,20.687; 533587,20.625; 533647,20.687;
              533707,20.625; 533767,20.687; 533827,20.75; 533887,20.687; 533947,
              20.625; 534007,20.625; 534067,20.687; 534127,20.687; 534187,
              20.687; 534247,20.687; 534307,20.75; 534367,20.687; 534427,20.687;
              534487,20.687; 534547,20.687; 534607,20.687; 534667,20.75; 534727,
              20.687; 534787,20.687; 534847,20.687; 534907,20.75; 534967,20.687;
              535027,20.687; 535087,20.75; 535147,20.687; 535207,20.687; 535267,
              20.625; 535327,20.625; 535387,20.687; 535447,20.75; 535507,20.75;
              535567,20.75; 535627,20.625; 535687,20.687; 535747,20.75; 535807,
              20.75; 535867,20.75; 535927,20.687; 535987,20.687; 536047,20.687;
              536107,20.687; 536167,20.687; 536227,20.687; 536287,20.687;
              536347,20.687; 536407,20.625; 536467,20.687; 536527,20.687;
              536587,20.625; 536647,20.687; 536707,20.625; 536767,20.625;
              536827,20.625; 536887,20.625; 536947,20.625; 537007,20.625;
              537067,20.625; 537127,20.625; 537187,20.562; 537247,20.562;
              537307,20.625; 537367,20.625; 537427,20.625; 537487,20.625;
              537547,20.625; 537607,20.562; 537667,20.562; 537727,20.562;
              537787,20.562; 537847,20.562; 537907,20.562; 537967,20.562;
              538027,20.562; 538087,20.562; 538147,20.562; 538207,20.625;
              538267,20.625; 538327,20.625; 538387,20.625; 538447,20.562;
              538507,20.562; 538567,20.562; 538627,20.625; 538687,20.625;
              538747,20.562; 538807,20.625; 538867,20.625; 538927,20.625;
              538987,20.625; 539047,20.562; 539107,20.562; 539167,20.562;
              539227,20.562; 539287,20.562; 539347,20.625; 539407,20.562;
              539467,20.562; 539527,20.5; 539587,20.562; 539647,20.5; 539707,
              20.562; 539767,20.562; 539827,20.562; 539887,20.562; 539947,
              20.625; 540007,20.625; 540067,20.625; 540127,20.625; 540187,
              20.625; 540247,20.625; 540307,20.562; 540367,20.562; 540427,20.5;
              540487,20.562; 540547,20.5; 540607,20.5; 540667,20.5; 540727,20.5;
              540787,20.437; 540847,20.437; 540907,20.437; 540967,20.437;
              541027,20.437; 541087,20.5; 541147,20.437; 541207,20.437; 541267,
              20.437; 541327,20.437; 541387,20.437; 541447,20.437; 541507,
              20.375; 541567,20.437; 541627,20.437; 541687,20.437; 541747,
              20.375; 541807,20.375; 541867,20.437; 541927,20.437; 541987,
              20.437; 542047,20.437; 542107,20.5; 542167,20.437; 542227,20.437;
              542287,20.437; 542347,20.437; 542407,20.5; 542467,20.437; 542527,
              20.437; 542587,20.437; 542647,20.5; 542707,20.5; 542767,20.437;
              542827,20.437; 542887,20.5; 542947,20.437; 543007,20.437; 543067,
              20.437; 543127,20.437; 543187,20.5; 543247,20.437; 543307,20.437;
              543367,20.5; 543427,20.437; 543487,20.437; 543547,20.5; 543607,
              20.5; 543667,20.5; 543727,20.437; 543787,20.5; 543847,20.5;
              543907,20.5; 543967,20.437; 544027,20.5; 544087,20.5; 544147,
              20.437; 544207,20.437; 544267,20.5; 544327,20.5; 544387,20.5;
              544447,20.5; 544507,20.5; 544567,20.5; 544627,20.437; 544687,
              20.437; 544747,20.5; 544807,20.5; 544867,20.5; 544927,20.5;
              544987,20.5; 545047,20.5; 545107,20.5; 545167,20.437; 545227,
              20.437; 545287,20.5; 545347,20.5; 545407,20.5; 545467,20.5;
              545527,20.437; 545587,20.437; 545647,20.437; 545707,20.5; 545767,
              20.5; 545827,20.562; 545887,20.562; 545947,20.562; 546007,20.5;
              546067,20.5; 546127,20.562; 546187,20.5; 546247,20.5; 546307,20.5;
              546367,20.5; 546427,20.5; 546487,20.5; 546547,20.562; 546607,20.5;
              546667,20.5; 546727,20.5; 546787,20.5; 546847,20.5; 546907,20.5;
              546967,20.437; 547027,20.437; 547087,20.5; 547147,20.5; 547207,
              20.5; 547267,20.437; 547327,20.5; 547387,20.5; 547447,20.5;
              547507,20.562; 547567,20.5; 547627,20.437; 547687,20.5; 547747,
              20.5; 547807,20.5; 547867,20.437; 547927,20.5; 547987,20.437;
              548047,20.437; 548107,20.5; 548167,20.5; 548227,20.5; 548287,
              20.562; 548347,20.562; 548407,20.562; 548467,20.5; 548527,20.5;
              548587,20.5; 548647,20.437; 548707,20.5; 548767,20.562; 548827,
              20.562; 548887,20.562; 548947,20.562; 549007,20.625; 549067,
              20.562; 549127,20.625; 549187,20.562; 549247,20.562; 549307,
              20.625; 549367,20.625; 549427,20.562; 549487,20.562; 549547,20.5;
              549607,20.5; 549667,20.625; 549727,20.562; 549787,20.625; 549847,
              20.562; 549907,20.562; 549967,20.5; 550027,20.562; 550087,20.562;
              550147,20.562; 550207,20.5; 550267,20.562; 550327,20.625; 550387,
              20.625; 550447,20.625; 550507,20.625; 550567,20.625; 550627,
              20.625; 550687,20.625; 550747,20.625; 550807,20.562; 550867,
              20.625; 550927,20.625; 550987,20.625; 551047,20.625; 551107,
              20.687; 551167,20.625; 551227,20.625; 551287,20.625; 551347,
              20.625; 551407,20.625; 551467,20.625; 551527,20.687; 551587,
              20.625; 551647,20.625; 551707,20.625; 551767,20.625; 551827,
              20.687; 551887,20.625; 551947,20.625; 552007,20.625; 552067,
              20.625; 552127,20.687; 552187,20.625; 552247,20.687; 552307,
              20.687; 552367,20.687; 552427,20.687; 552487,20.687; 552547,
              20.687; 552607,20.687; 552667,20.625; 552727,20.625; 552787,
              20.625; 552847,20.625; 552907,20.625; 552967,20.625; 553027,
              20.687; 553087,20.625; 553147,20.625; 553207,20.687; 553267,
              20.625; 553327,20.562; 553387,20.625; 553447,20.625; 553507,
              20.625; 553567,20.687; 553627,20.687; 553687,20.687; 553747,
              20.687; 553807,20.687; 553867,20.687; 553927,20.625; 553987,
              20.625; 554047,20.625; 554107,20.687; 554167,20.687; 554227,
              20.687; 554287,20.687; 554347,20.687; 554407,20.625; 554467,
              20.625; 554527,20.687; 554587,20.687; 554647,20.687; 554707,
              20.687; 554767,20.687; 554827,20.687; 554887,20.687; 554947,
              20.687; 555007,20.625; 555067,20.625; 555127,20.687; 555187,
              20.625; 555247,20.625; 555307,20.562; 555367,20.625; 555427,
              20.625; 555487,20.562; 555547,20.625; 555607,20.562; 555667,
              20.562; 555727,20.562; 555787,20.562; 555847,20.562; 555907,
              20.562; 555967,20.5; 556027,20.5; 556087,20.5; 556147,20.5;
              556207,20.562; 556267,20.5; 556327,20.562; 556387,20.562; 556447,
              20.562; 556507,20.5; 556567,20.562; 556627,20.562; 556687,20.5;
              556747,20.5; 556807,20.5; 556867,20.5; 556927,20.5; 556987,20.5;
              557047,20.437; 557107,20.437; 557167,20.437; 557227,20.437;
              557287,20.437; 557347,20.437; 557407,20.437; 557467,20.375;
              557527,20.375; 557587,20.437; 557647,20.375; 557707,20.375;
              557767,20.375; 557827,20.375; 557887,20.375; 557947,20.375;
              558007,20.375; 558067,20.375; 558127,20.312; 558187,20.312;
              558247,20.312; 558307,20.25; 558367,20.312; 558427,20.312; 558487,
              20.312; 558547,20.25; 558607,20.312; 558667,20.312; 558727,20.375;
              558787,20.375; 558847,20.437; 558907,20.437; 558967,20.5; 559027,
              20.5; 559087,20.5; 559147,20.5; 559207,20.5; 559267,20.562;
              559327,20.562; 559387,20.562; 559447,20.562; 559507,20.562;
              559567,20.562; 559627,20.562; 559687,20.562; 559747,20.562;
              559807,20.562; 559867,20.562; 559927,20.562; 559987,20.562;
              560047,20.625; 560107,20.625; 560167,20.562; 560227,20.562;
              560287,20.625; 560347,20.625; 560407,20.625; 560467,20.562;
              560527,20.562; 560587,20.625; 560647,20.562; 560707,20.562;
              560767,20.562; 560827,20.625; 560887,20.562; 560947,20.562;
              561007,20.625; 561067,20.625; 561127,20.625; 561187,20.625;
              561247,20.625; 561307,20.625; 561367,20.562; 561427,20.562;
              561487,20.625; 561547,20.562; 561607,20.562; 561667,20.562;
              561727,20.625; 561787,20.625; 561847,20.625; 561907,20.75; 561967,
              20.75; 562027,20.75; 562087,20.75; 562147,20.687; 562207,20.687;
              562267,20.625; 562327,20.687; 562387,20.687; 562447,20.687;
              562507,20.687; 562567,20.687; 562627,20.687; 562687,20.687;
              562747,20.687; 562807,20.687; 562867,20.687; 562928,20.687;
              562988,20.687; 563048,20.687; 563108,20.625; 563168,20.687;
              563228,20.687; 563288,20.625; 563348,20.625; 563408,20.625;
              563468,20.625; 563528,20.562; 563588,20.562; 563648,20.562;
              563708,20.562; 563768,20.562; 563828,20.562; 563888,20.562;
              563948,20.562; 564008,20.562; 564068,20.562; 564128,20.5; 564188,
              20.562; 564248,20.625; 564308,20.562; 564368,20.5; 564428,20.5;
              564488,20.5; 564548,20.437; 564608,20.5; 564668,20.5; 564728,
              20.437; 564788,20.437; 564848,20.437; 564908,20.437; 564968,
              20.437; 565028,20.437; 565088,20.5; 565148,20.437; 565208,20.437;
              565268,20.437; 565328,20.437; 565388,20.437; 565448,20.437;
              565508,20.437; 565568,20.437; 565628,20.437; 565688,20.375;
              565748,20.375; 565808,20.375; 565868,20.312; 565928,20.375;
              565988,20.375; 566048,20.375; 566108,20.375; 566168,20.375;
              566228,20.312; 566288,20.312; 566348,20.312; 566408,20.312;
              566468,20.312; 566528,20.25; 566588,20.25; 566648,20.25; 566708,
              20.25; 566768,20.312; 566828,20.25; 566888,20.25; 566948,20.25;
              567008,20.25; 567068,20.25; 567128,20.25; 567188,20.25; 567248,
              20.187; 567308,20.187; 567368,20.187; 567428,20.187; 567488,
              20.187; 567548,20.187; 567608,20.187; 567668,20.187; 567728,
              20.187; 567788,20.187; 567848,20.187; 567908,20.187; 567968,
              20.125; 568028,20.125; 568088,20.187; 568148,20.187; 568208,
              20.187; 568268,20.125; 568328,20.187; 568388,20.125; 568448,
              20.125; 568508,20.125; 568568,20.125; 568628,20.187; 568688,
              20.125; 568748,20.187; 568808,20.187; 568868,20.125; 568928,
              20.187; 568988,20.187; 569048,20.125; 569108,20.125; 569168,
              20.125; 569228,20.125; 569288,20.125; 569348,20.125; 569408,
              20.125; 569468,20.125; 569528,20.125; 569588,20.125; 569648,
              20.125; 569708,20.125; 569768,20.062; 569828,20.062; 569888,
              20.062; 569948,20.062; 570008,20.062; 570068,20.062; 570128,
              20.062; 570188,20.062; 570248,20; 570308,20.062; 570368,20.062;
              570428,20.062; 570488,20.062; 570548,20.062; 570608,20.062;
              570668,20.062; 570728,20; 570788,20.062; 570848,20.062; 570908,20;
              570968,20; 571028,20; 571088,20; 571148,20.062; 571208,20.062;
              571268,20; 571328,20.062; 571388,20.062; 571448,20.062; 571508,
              20.062; 571568,20.062; 571628,20; 571688,20; 571748,20; 571808,20;
              571868,20; 571928,20; 571988,20; 572048,20; 572108,20; 572168,
              20.062; 572228,20; 572288,20; 572348,20; 572408,20; 572468,20;
              572528,20; 572588,20; 572648,20; 572708,20; 572768,20; 572828,20;
              572888,20; 572948,20; 573008,20; 573068,20; 573128,20; 573188,20;
              573248,20; 573308,20; 573368,20; 573428,20.062; 573488,20.062;
              573548,20; 573608,20; 573668,20; 573728,20; 573788,20; 573848,20;
              573908,20; 573968,20; 574028,20; 574088,20; 574148,20; 574265,20;
              574326,20; 574386,20; 574446,20; 574506,20; 574566,20; 574626,20;
              574686,20; 574746,20; 574806,20; 574866,20.062; 574926,20; 574986,
              20.062; 575046,20; 575106,20.062; 575166,20; 575226,20; 575286,
              20.062; 575346,20.062; 575406,20; 575466,20; 575526,20; 575586,
              20.062; 575646,20; 575706,20; 575766,20; 575826,20; 575886,20;
              575946,20.062; 576006,20; 576066,20; 576126,20; 576186,20; 576246,
              20.062; 576306,20.062; 576366,20; 576426,20.062; 576486,20;
              576546,19.937; 576606,20; 576666,20; 576726,20; 576786,20; 576846,
              20; 576906,20; 576966,20; 577026,20; 577086,20; 577146,20; 577206,
              20; 577266,20; 577326,20; 577386,19.937; 577446,20; 577506,20;
              577566,20; 577626,20; 577686,20; 577746,20; 577806,20.062; 577866,
              20.062; 577926,20.125; 577986,20.125; 578046,20.125; 578106,
              20.125; 578166,20.125; 578226,20.187; 578286,20.187; 578346,
              20.187; 578406,20.187; 578466,20.187; 578526,20.187; 578586,
              20.187; 578646,20.187; 578706,20.25; 578766,20.187; 578826,20.25;
              578886,20.25; 578946,20.25; 579006,20.25; 579066,20.25; 579126,
              20.25; 579186,20.25; 579246,20.25; 579306,20.25; 579366,20.25;
              579426,20.25; 579486,20.312; 579546,20.312; 579606,20.312; 579666,
              20.312; 579726,20.312; 579786,20.312; 579846,20.312; 579906,
              20.312; 579966,20.312; 580026,20.312; 580086,20.312; 580146,
              20.312; 580206,20.312; 580266,20.312; 580326,20.312; 580386,
              20.312; 580446,20.312; 580506,20.312; 580566,20.312; 580626,
              20.312; 580686,20.312; 580746,20.312; 580806,20.375; 580866,
              20.375; 580926,20.312; 580986,20.312; 581046,20.312; 581106,
              20.312; 581166,20.312; 581226,20.375; 581286,20.375; 581346,
              20.375; 581406,20.375; 581466,20.375; 581526,20.375; 581586,
              20.375; 581646,20.375; 581706,20.375; 581766,20.375; 581826,
              20.375; 581886,20.375; 581946,20.375; 582006,20.375; 582066,
              20.375; 582126,20.375; 582186,20.375; 582246,20.437; 582306,
              20.437; 582366,20.375; 582426,20.437; 582486,20.437; 582546,
              20.437; 582606,20.437; 582666,20.437; 582726,20.437; 582786,
              20.437; 582846,20.375; 582906,20.375; 582966,20.437; 583026,
              20.375; 583086,20.437; 583146,20.437; 583206,20.437; 583266,
              20.437; 583326,20.437; 583386,20.437; 583446,20.437; 583506,
              20.437; 583566,20.437; 583626,20.437; 583686,20.437; 583746,
              20.437; 583806,20.437; 583866,20.437; 583926,20.437; 583986,20.5;
              584046,20.5; 584106,20.5; 584166,20.5; 584226,20.5; 584286,20.5;
              584346,20.5; 584406,20.5; 584466,20.5; 584526,20.5; 584586,20.5;
              584646,20.5; 584706,20.5; 584766,20.5; 584826,20.5; 584886,20.5;
              584946,20.5; 585006,20.5; 585066,20.5; 585126,20.562; 585186,
              20.562; 585246,20.5; 585306,20.562; 585366,20.562; 585426,20.562;
              585486,20.5; 585546,20.562; 585606,20.5; 585666,20.562; 585726,
              20.5; 585786,20.562; 585846,20.5; 585906,20.5; 585966,20.5;
              586026,20.562; 586086,20.562; 586146,20.562; 586206,20.562;
              586266,20.562; 586326,20.562; 586386,20.5; 586446,20.562; 586506,
              20.562; 586566,20.562; 586626,20.562; 586686,20.562; 586746,
              20.562; 586806,20.562; 586866,20.562; 586926,20.562; 586986,
              20.625; 587046,20.562; 587106,20.562; 587166,20.562; 587226,20.5;
              587286,20.562; 587346,20.562; 587406,20.562; 587466,20.562;
              587526,20.5; 587586,20.5; 587646,20.5; 587706,20.5; 587766,20.5;
              587826,20.562; 587886,20.562; 587946,20.562; 588006,20.562;
              588066,20.562; 588126,20.5; 588186,20.5; 588246,20.562; 588306,
              20.562; 588366,20.562; 588426,20.625; 588486,20.625; 588546,
              20.562; 588606,20.625; 588666,20.562; 588726,20.562; 588786,
              20.562; 588846,20.5; 588906,20.562; 588966,20.562; 589026,20.562;
              589086,20.562; 589146,20.625; 589206,20.625; 589266,20.625;
              589326,20.562; 589386,20.562; 589446,20.625; 589506,20.625;
              589566,20.625; 589626,20.625; 589686,20.687; 589746,20.625;
              589806,20.625; 589866,20.562; 589926,20.625; 589986,20.625;
              590046,20.562; 590106,20.562; 590166,20.562; 590226,20.625;
              590286,20.625; 590346,20.625; 590406,20.687; 590466,20.625;
              590526,20.625; 590586,20.687; 590646,20.625; 590706,20.687;
              590766,20.687; 590826,20.687; 590886,20.625; 590946,20.687;
              591006,20.687; 591066,20.687; 591126,20.687; 591186,20.625;
              591246,20.687; 591306,20.625; 591366,20.625; 591426,20.687;
              591486,20.625; 591546,20.625; 591606,20.687; 591666,20.687;
              591726,20.687; 591786,20.687; 591846,20.687; 591906,20.687;
              591966,20.687; 592026,20.625; 592086,20.625; 592146,20.687;
              592206,20.625; 592266,20.625; 592326,20.687; 592386,20.687;
              592446,20.687; 592506,20.687; 592566,20.687; 592626,20.75; 592686,
              20.687; 592746,20.687; 592806,20.687; 592866,20.687; 592926,20.75;
              592986,20.687; 593046,20.687; 593106,20.687; 593166,20.687;
              593226,20.687; 593286,20.687; 593346,20.687; 593406,20.687;
              593466,20.687; 593526,20.687; 593586,20.687; 593646,20.687;
              593706,20.687; 593766,20.75; 593826,20.75; 593886,20.75; 593946,
              20.75; 594006,20.75; 594066,20.75; 594126,20.687; 594186,20.687;
              594246,20.75; 594306,20.75; 594366,20.812; 594426,20.75; 594486,
              20.812; 594546,20.75; 594606,20.75; 594666,20.687; 594726,20.75;
              594786,20.687; 594846,20.687; 594906,20.75; 594966,20.75; 595026,
              20.75; 595086,20.75; 595146,20.812; 595206,20.75; 595266,20.75;
              595326,20.75; 595386,20.812; 595446,20.75; 595506,20.75; 595566,
              20.812; 595626,20.75; 595686,20.75; 595746,20.75; 595806,20.75;
              595866,20.75; 595926,20.75; 595986,20.75; 596046,20.75; 596106,
              20.687; 596166,20.75; 596226,20.75; 596286,20.75; 596346,20.75;
              596406,20.75; 596466,20.75; 596526,20.75; 596586,20.75; 596646,
              20.75; 596706,20.75; 596766,20.75; 596826,20.75; 596886,20.75;
              596946,20.812; 597006,20.75; 597066,20.812; 597126,20.812; 597186,
              20.812; 597246,20.812; 597306,20.75; 597366,20.812; 597426,20.812;
              597486,20.75; 597546,20.812; 597606,20.75; 597666,20.75; 597726,
              20.687; 597786,20.75; 597846,20.75; 597906,20.75; 597966,20.75;
              598026,20.75; 598086,20.687; 598146,20.75; 598206,20.75; 598266,
              20.75; 598326,20.75; 598386,20.75; 598446,20.812; 598506,20.812;
              598566,20.812; 598626,20.75; 598686,20.75; 598746,20.812; 598806,
              20.812; 598866,20.812; 598926,20.812; 598986,20.812; 599046,
              20.812; 599106,20.75; 599166,20.812; 599226,20.812; 599286,20.812;
              599346,20.812; 599406,20.812; 599466,20.812; 599526,20.812;
              599586,20.75; 599646,20.812; 599706,20.812; 599766,20.812; 599826,
              20.75; 599886,20.75; 599946,20.812; 600006,20.75; 600066,20.812;
              600126,20.812; 600186,20.812; 600246,20.812; 600306,20.875;
              600366,20.812; 600426,20.812; 600486,20.875; 600546,20.812;
              600606,20.75; 600666,20.812; 600726,20.812; 600786,20.812; 600846,
              20.812; 600906,20.812; 600966,20.812; 601026,20.812; 601086,20.75;
              601146,20.812; 601206,20.75; 601266,20.75; 601326,20.75; 601386,
              20.75; 601446,20.75; 601506,20.75; 601566,20.75; 601626,20.75;
              601686,20.75; 601746,20.75; 601806,20.75; 601866,20.75; 601926,
              20.812; 601986,20.75; 602046,20.812; 602106,20.75; 602166,20.75;
              602226,20.75; 602286,20.75; 602346,20.75; 602406,20.75; 602466,
              20.75; 602526,20.812; 602586,20.812; 602646,20.812; 602706,20.812;
              602766,20.75; 602826,20.75; 602886,20.75; 602946,20.812; 603006,
              20.75; 603066,20.75; 603126,20.75; 603186,20.812; 603246,20.812;
              603306,20.75; 603366,20.75; 603426,20.75; 603486,20.75; 603546,
              20.75; 603606,20.75; 603666,20.812; 603726,20.75; 603786,20.812;
              603846,20.75; 603906,20.75; 603966,20.75; 604026,20.75; 604086,
              20.75; 604146,20.75; 604206,20.75; 604266,20.75; 604326,20.75;
              604386,20.75; 604446,20.812; 604506,20.75; 604566,20.75; 604626,
              20.75; 604686,20.75; 604746,20.75])
          "Daten bei finalem Simulationslauf aus Excel Tabelle nehmen"
                   annotation (Placement(transformation(extent={{-112,32},{-100,
                  44}})));
        Modelica.Blocks.Math.Add add
          annotation (Placement(transformation(extent={{-88,20},{-76,32}})));
        Modelica.Blocks.Sources.Constant const(k=273.15)
          annotation (Placement(transformation(extent={{-112,4},{-100,16}})));
        Components.Electrics.MPPT      idealMPPT(eta=1)
                                                 annotation (Placement(transformation(
              extent={{-20,-20},{20,20}},
              rotation=270,
              origin={-16,-66})));
        Modelica.Blocks.Sources.TimeTable timeTable2(table=[0,22.875; 60,22.875; 120.0000002,
              22.875; 179.9999998,22.875; 240,22.875; 300.0000002,22.875; 359.9999998,
              22.875; 420,22.875; 480.0000002,22.937; 539.9999998,22.937; 600,22.937;
              660.0000002,22.937; 719.9999998,22.937; 780,22.937; 840,22.937; 899.9999998,
              22.937; 960,23; 1020,22.937; 1080,22.937; 1140,22.937; 1200,23; 1260,23;
              1320,23; 1380,23; 1440,23; 1500,23; 1560,23; 1620,23.062; 1680,23.062; 1740,
              23.062; 1800,23; 1860,23.062; 1920,23.062; 1980,23.062; 2040,23.062; 2100,
              23.062; 2160,23.062; 2220,23.062; 2280,23.062; 2340,23.125; 2400,23.125;
              2460,23.125; 2520,23.062; 2580,23.125; 2640,23.125; 2700,23.125; 2760,23.125;
              2820,23.125; 2880,23.125; 2940,23.125; 3000,23.125; 3060,23.125; 3120,23.125;
              3180,23.125; 3240,23.125; 3300,23.125; 3360,23.125; 3420,23.187; 3480,23.125;
              3540,23.187; 3600,23.187; 3660,23.187; 3720,23.187; 3780,23.187; 3840,23.125;
              3900,23.187; 3960,23.187; 4020,23.187; 4080,23.187; 4140,23.187; 4200,23.187;
              4260,23.187; 4320,23.187; 4380,23.187; 4440,23.187; 4500,23.187; 4560,23.187;
              4620,23.187; 4680,23.187; 4740,23.25; 4800,23.187; 4860,23.187; 4920,23.187;
              4980,23.25; 5040,23.187; 5100,23.187; 5160,23.187; 5220,23.187; 5280,23.25;
              5340,23.25; 5400,23.25; 5460,23.25; 5520,23.25; 5580,23.187; 5640,23.187;
              5700,23.187; 5760,23.187; 5820,23.187; 5880,23.187; 5940,23.125; 6000,23.187;
              6060,23.125; 6120,23.125; 6180,23.125; 6240,23.187; 6300,23.125; 6360,23.125;
              6420,23.125; 6480,23.125; 6540,23.125; 6600,23.062; 6660,23.062; 6720,23.062;
              6780,23.062; 6840,23.062; 6900,23.062; 6960,23; 7020,23; 7080,23; 7140,23;
              7200,22.937; 7260,22.937; 7320,23; 7380,22.937; 7440,22.937; 7500,22.937;
              7560,22.875; 7620,22.875; 7680,22.875; 7740,22.875; 7800,22.875; 7860,22.875;
              7920,22.875; 7980,22.875; 8040,22.812; 8100,22.812; 8160,22.812; 8220,22.812;
              8280,22.75; 8340,22.75; 8400,22.75; 8460,22.812; 8520,22.75; 8580,22.75;
              8640,22.75; 8700,22.75; 8760,22.687; 8820,22.687; 8880,22.687; 8940,22.687;
              9000,22.687; 9060,22.625; 9120,22.625; 9180,22.625; 9240,22.625; 9300,22.625;
              9360,22.625; 9420,22.625; 9480,22.625; 9540,22.562; 9600,22.562; 9660,22.625;
              9720,22.625; 9780,22.625; 9840,22.625; 9900,22.562; 9960,22.562; 10020,22.562;
              10080,22.562; 10140,22.562; 10201,22.562; 10261,22.562; 10321,22.562; 10381,
              22.562; 10441,22.5; 10501,22.5; 10561,22.5; 10621,22.437; 10681,22.5; 10741,
              22.437; 10801,22.437; 10861,22.5; 10921,22.5; 10981,22.5; 11041,22.5; 11101,
              22.5; 11161,22.5; 11221,22.562; 11281,22.5; 11341,22.5; 11401,22.5; 11461,
              22.5; 11521,22.437; 11581,22.437; 11641,22.437; 11701,22.5; 11761,22.5;
              11821,22.5; 11881,22.5; 11941,22.5; 12001,22.5; 12061,22.5; 12121,22.437;
              12181,22.5; 12241,22.5; 12301,22.5; 12361,22.5; 12421,22.5; 12481,22.5;
              12541,22.5; 12601,22.5; 12661,22.5; 12721,22.5; 12781,22.5; 12841,22.5;
              12901,22.5; 12961,22.5; 13021,22.5; 13081,22.5; 13141,22.5; 13201,22.5;
              13261,22.562; 13321,22.562; 13381,22.562; 13441,22.562; 13501,22.625; 13561,
              22.562; 13621,22.562; 13681,22.562; 13741,22.562; 13801,22.562; 13861,22.562;
              13921,22.562; 13981,22.562; 14041,22.562; 14101,22.562; 14161,22.562; 14221,
              22.562; 14281,22.562; 14341,22.562; 14401,22.5; 14461,22.5; 14521,22.5;
              14581,22.5; 14641,22.5; 14701,22.5; 14761,22.5; 14821,22.437; 14881,22.437;
              14941,22.437; 15001,22.437; 15061,22.437; 15121,22.375; 15181,22.375; 15241,
              22.375; 15301,22.375; 15361,22.312; 15421,22.312; 15481,22.312; 15541,22.312;
              15601,22.25; 15661,22.25; 15721,22.25; 15781,22.25; 15841,22.187; 15901,
              22.187; 15961,22.187; 16021,22.125; 16081,22.125; 16141,22.125; 16201,22.125;
              16261,22.062; 16321,22.062; 16381,22.062; 16441,22; 16501,22; 16561,22;
              16621,22; 16681,22; 16741,21.937; 16801,21.937; 16861,21.937; 16921,21.875;
              16981,21.875; 17041,21.875; 17101,21.875; 17161,21.875; 17221,21.812; 17281,
              21.812; 17341,21.812; 17401,21.75; 17461,21.75; 17521,21.75; 17581,21.75;
              17641,21.687; 17701,21.687; 17761,21.687; 17821,21.687; 17881,21.625; 17941,
              21.625; 18001,21.625; 18061,21.625; 18121,21.625; 18181,21.562; 18241,21.625;
              18301,21.562; 18361,21.562; 18421,21.562; 18481,21.562; 18541,21.562; 18601,
              21.562; 18661,21.562; 18721,21.562; 18781,21.562; 18841,21.562; 18901,21.625;
              18961,21.625; 19021,21.625; 19081,21.687; 19141,21.687; 19201,21.687; 19261,
              21.687; 19321,21.75; 19381,21.75; 19441,21.812; 19501,21.812; 19561,21.875;
              19621,21.875; 19681,21.937; 19741,21.937; 19801,22; 19861,22.062; 19921,
              22.062; 19981,22.125; 20041,22.125; 20101,22.187; 20161,22.25; 20221,22.25;
              20281,22.25; 20341,22.312; 20401,22.312; 20461,22.375; 20521,22.375; 20581,
              22.375; 20641,22.437; 20701,22.5; 20761,22.5; 20821,22.5; 20881,22.5; 20941,
              22.5; 21001,22.5; 21061,22.562; 21121,22.562; 21181,22.562; 21241,22.562;
              21301,22.562; 21361,22.562; 21421,22.5; 21481,22.562; 21541,22.562; 21601,
              22.562; 21661,22.5; 21721,22.5; 21781,22.5; 21841,22.5; 21901,22.5; 21961,
              22.437; 22021,22.437; 22081,22.437; 22141,22.437; 22201,22.437; 22261,22.375;
              22321,22.437; 22381,22.375; 22441,22.375; 22501,22.312; 22561,22.312; 22621,
              22.312; 22681,22.312; 22741,22.25; 22801,22.25; 22861,22.25; 22921,22.187;
              22981,22.187; 23041,22.187; 23101,22.187; 23161,22.125; 23221,22.125; 23281,
              22.125; 23341,22.062; 23401,22.062; 23461,22.062; 23521,22; 23581,22; 23641,
              22; 23701,22; 23761,21.937; 23821,21.937; 23881,21.937; 23941,21.875; 24001,
              21.875; 24061,21.875; 24121,21.812; 24181,21.812; 24241,21.812; 24301,21.75;
              24361,21.75; 24421,21.75; 24481,21.687; 24541,21.687; 24601,21.687; 24661,
              21.625; 24721,21.625; 24781,21.625; 24841,21.562; 24901,21.562; 24961,21.562;
              25021,21.5; 25081,21.5; 25141,21.437; 25201,21.437; 25261,21.437; 25321,
              21.437; 25381,21.437; 25441,21.437; 25501,21.437; 25561,21.437; 25621,21.5;
              25681,21.5; 25741,21.5; 25801,21.562; 25861,21.625; 25921,21.687; 25981,
              21.687; 26041,21.812; 26101,21.875; 26161,21.937; 26221,22.062; 26281,22.187;
              26341,22.187; 26401,22.312; 26461,22.437; 26521,22.5; 26581,22.562; 26641,
              22.625; 26701,22.75; 26761,22.812; 26821,22.875; 26881,22.937; 26941,23;
              27001,23.062; 27061,23.125; 27121,23.062; 27181,22.937; 27241,22.937; 27301,
              23.062; 27361,23.375; 27421,23.812; 27481,24.312; 27541,24.812; 27601,25.375;
              27661,25.875; 27721,26.375; 27781,26.812; 27841,27.25; 27901,27.687; 27961,
              28; 28021,28.375; 28081,28.687; 28141,28.937; 28201,29.25; 28261,29.5; 28321,
              29.75; 28381,29.937; 28441,30.187; 28501,30.375; 28561,30.5; 28621,30.687;
              28681,30.875; 28741,31; 28801,31.125; 28861,31.187; 28921,31.312; 28981,
              31.437; 29041,31.562; 29101,31.625; 29161,31.687; 29221,31.75; 29281,31.812;
              29341,31.875; 29401,31.937; 29461,31.937; 29521,32; 29581,32; 29641,32.062;
              29701,32.062; 29761,32.125; 29821,32.125; 29881,32.187; 29941,32.187; 30001,
              32.187; 30061,32.187; 30121,32.25; 30181,32.25; 30241,32.25; 30301,32.25;
              30361,32.25; 30421,32.312; 30481,32.312; 30541,32.312; 30601,32.312; 30661,
              32.312; 30721,32.312; 30781,32.312; 30841,32.312; 30901,32.312; 30961,32.312;
              31021,32.312; 31081,32.312; 31141,32.312; 31201,32.312; 31261,32.312; 31321,
              32.375; 31381,32.375; 31441,32.375; 31501,32.375; 31561,32.312; 31621,32.375;
              31681,32.312; 31741,32.312; 31801,32.312; 31861,32.25; 31921,32.312; 31981,
              32.312; 32041,32.312; 32101,32.312; 32161,32.312; 32221,32.375; 32281,32.312;
              32341,32.25; 32401,32.312; 32461,32.312; 32521,32.375; 32581,32.312; 32641,
              32.312; 32701,32.375; 32761,32.312; 32821,32.312; 32881,32.375; 32941,32.312;
              33001,32.312; 33061,32.25; 33121,32.25; 33181,32.187; 33241,32.125; 33301,
              32.125; 33361,32.062; 33421,32.062; 33481,32.062; 33541,32.062; 33601,32;
              33661,32; 33721,32; 33781,32.062; 33841,32; 33901,32.062; 33961,32.062;
              34021,32.062; 34081,32.062; 34141,32.062; 34201,32.125; 34261,32.125; 34321,
              32.125; 34381,32.125; 34441,32.187; 34501,32.187; 34561,32.125; 34621,32.187;
              34681,32.125; 34741,32.187; 34801,32.187; 34861,32.187; 34921,32.125; 34981,
              32.062; 35041,32.125; 35101,32.062; 35161,32.062; 35221,32.062; 35281,32;
              35341,32; 35401,32; 35461,31.937; 35521,31.937; 35581,31.875; 35641,31.812;
              35701,31.812; 35761,31.812; 35821,31.75; 35881,31.687; 35941,31.687; 36001,
              31.687; 36061,31.625; 36121,31.625; 36181,31.625; 36241,31.625; 36301,31.625;
              36361,31.625; 36421,31.562; 36481,31.625; 36541,31.625; 36601,31.687; 36661,
              31.625; 36721,31.687; 36781,31.687; 36841,31.687; 36901,31.75; 36961,31.75;
              37021,31.75; 37081,31.75; 37141,31.75; 37201,31.812; 37261,31.812; 37321,
              31.812; 37381,31.812; 37441,31.812; 37501,31.75; 37561,31.75; 37621,31.75;
              37681,31.687; 37741,31.75; 37801,31.687; 37861,31.625; 37921,31.625; 37981,
              31.625; 38041,31.562; 38101,31.562; 38161,31.562; 38221,31.5; 38281,31.5;
              38341,31.437; 38401,31.437; 38461,31.437; 38521,31.437; 38581,31.5; 38641,
              31.5; 38701,31.562; 38761,31.625; 38821,31.625; 38881,31.687; 38941,31.687;
              39001,31.687; 39061,31.75; 39121,31.75; 39181,31.75; 39241,31.75; 39301,
              31.812; 39361,31.75; 39421,31.812; 39481,31.812; 39541,31.812; 39601,31.875;
              39661,31.812; 39721,31.812; 39781,31.875; 39841,31.875; 39901,31.875; 39961,
              31.875; 40021,31.812; 40081,31.812; 40141,31.812; 40201,31.875; 40261,31.875;
              40321,31.812; 40381,31.937; 40441,31.937; 40501,32; 40561,31.937; 40621,
              31.937; 40681,31.937; 40741,32; 40801,32; 40861,32; 40921,32.062; 40981,
              32.062; 41041,32.062; 41101,32.062; 41161,32.125; 41221,32.125; 41281,32.125;
              41341,32.187; 41401,32.125; 41461,32.187; 41521,32.25; 41581,32.187; 41641,
              32.187; 41701,32.187; 41761,32.25; 41821,32.25; 41881,32.187; 41941,32.187;
              42001,32.187; 42061,32.187; 42121,32.187; 42181,32.25; 42241,32.25; 42301,
              32.187; 42361,32.187; 42421,32.125; 42481,32.062; 42541,32.062; 42601,31.937;
              42661,31.937; 42721,32; 42781,31.875; 42841,31.937; 42901,31.875; 42961,
              31.812; 43021,31.75; 43081,31.687; 43141,31.687; 43201,31.625; 43261,31.625;
              43321,31.625; 43381,31.562; 43441,31.562; 43501,31.5; 43561,31.437; 43621,
              31.375; 43681,31.312; 43741,31.375; 43801,31.375; 43861,31.5; 43921,31.437;
              43981,31.437; 44041,31.5; 44101,31.562; 44161,31.5; 44221,31.562; 44281,
              31.5; 44341,31.5; 44401,31.5; 44461,31.562; 44521,31.562; 44581,31.625;
              44641,31.625; 44701,31.562; 44761,31.625; 44821,31.562; 44881,31.562; 44941,
              31.562; 45001,31.625; 45061,31.562; 45121,31.562; 45181,31.562; 45241,31.562;
              45301,31.562; 45361,31.5; 45421,31.5; 45481,31.5; 45541,31.5; 45601,31.5;
              45661,31.5; 45721,31.437; 45781,31.437; 45841,31.437; 45901,31.375; 45961,
              31.312; 46021,31.312; 46081,31.312; 46141,31.312; 46201,31.312; 46261,31.312;
              46321,31.312; 46381,31.312; 46441,31.312; 46501,31.312; 46561,31.25; 46621,
              31.25; 46681,31.25; 46741,31.187; 46801,31.125; 46861,31.062; 46921,31;
              46981,31; 47041,30.937; 47101,30.875; 47161,30.875; 47221,30.812; 47281,
              30.75; 47341,30.687; 47401,30.625; 47461,30.625; 47521,30.562; 47581,30.5;
              47641,30.437; 47701,30.437; 47761,30.437; 47821,30.437; 47881,30.437; 47941,
              30.437; 48001,30.312; 48061,30.312; 48121,30.25; 48181,30.25; 48241,30.187;
              48301,30.187; 48361,30.125; 48421,30.062; 48481,30.062; 48541,30; 48601,
              29.937; 48661,29.875; 48721,29.812; 48781,29.75; 48841,29.687; 48901,29.687;
              48961,29.625; 49021,29.625; 49081,29.625; 49141,29.562; 49201,29.562; 49261,
              29.5; 49321,29.5; 49381,29.5; 49441,29.437; 49501,29.437; 49561,29.437;
              49621,29.375; 49681,29.312; 49741,29.312; 49801,29.25; 49861,29.25; 49921,
              29.25; 49981,29.25; 50041,29.187; 50101,29.187; 50161,29.187; 50221,29.187;
              50281,29.187; 50341,29.187; 50401,29.187; 50461,29.187; 50521,29.125; 50581,
              29.187; 50641,29.187; 50701,29.125; 50761,29.187; 50821,29.187; 50881,29.125;
              50941,29.125; 51001,29.125; 51061,29.125; 51121,29.125; 51181,29.062; 51241,
              29.125; 51301,29.187; 51361,29.125; 51421,29.187; 51481,29.187; 51541,29.125;
              51601,29.125; 51661,29.125; 51721,29.062; 51781,29.062; 51841,29; 51901,
              29.062; 51961,29; 52021,29; 52081,29; 52141,28.937; 52201,28.937; 52261,
              28.937; 52321,28.875; 52381,28.937; 52441,28.937; 52501,28.937; 52561,28.937;
              52621,28.937; 52681,28.937; 52741,28.937; 52801,28.937; 52861,29; 52921,
              29; 52981,29.062; 53041,29.062; 53101,29.062; 53161,29.125; 53221,29.125;
              53281,29.187; 53341,29.25; 53401,29.312; 53461,29.312; 53521,29.312; 53581,
              29.437; 53641,29.5; 53701,29.687; 53761,29.687; 53821,29.812; 53881,29.875;
              53941,29.937; 54001,30; 54061,30; 54121,30.062; 54181,30.125; 54241,30.125;
              54301,30.187; 54361,30.25; 54421,30.25; 54481,30.312; 54541,30.375; 54601,
              30.312; 54661,30.437; 54721,30.437; 54781,30.562; 54841,30.625; 54901,30.562;
              54961,30.562; 55021,30.625; 55081,30.562; 55141,30.5; 55201,30.625; 55261,
              30.625; 55321,30.625; 55381,30.687; 55441,30.812; 55501,30.875; 55561,30.875;
              55621,30.812; 55681,30.812; 55741,30.812; 55861,30.75; 55921,30.875; 55981,
              30.937; 56041,31; 56101,31.062; 56161,31.125; 56221,31.062; 56281,31.125;
              56341,31.125; 56401,31.187; 56461,31.125; 56521,31.125; 56581,31.125; 56641,
              31.062; 56701,31.062; 56761,31; 56821,31; 56881,30.937; 56941,30.937; 57001,
              30.875; 57061,31; 57121,30.937; 57181,30.875; 57241,30.812; 57301,30.75;
              57361,30.812; 57421,30.75; 57481,30.75; 57541,30.75; 57601,30.75; 57661,
              30.75; 57721,30.875; 57781,30.875; 57841,30.812; 57901,30.812; 57961,30.875;
              58021,30.937; 58081,31; 58141,31.062; 58201,31.125; 58261,31.187; 58321,
              31.187; 58381,31.187; 58441,31.25; 58501,31.25; 58561,31.25; 58621,31.25;
              58681,31.25; 58741,31.25; 58801,31.25; 58861,31.312; 58921,31.25; 58981,
              31.25; 59041,31.25; 59101,31.187; 59161,31.187; 59221,31.187; 59281,31.125;
              59341,31.125; 59401,31.062; 59461,31.062; 59522,31.062; 59582,31.062; 59642,
              31.062; 59702,31; 59762,31.062; 59822,31; 59882,31; 59942,31; 60002,30.937;
              60062,30.937; 60122,30.937; 60182,30.875; 60242,30.937; 60302,30.875; 60362,
              30.875; 60422,30.875; 60482,30.875; 60542,30.875; 60602,30.875; 60662,30.875;
              60722,30.875; 60782,30.875; 60842,30.937; 60902,30.937; 60962,30.875; 61022,
              30.812; 61082,30.812; 61142,30.75; 61202,30.75; 61262,30.687; 61322,30.625;
              61382,30.625; 61442,30.562; 61502,30.562; 61562,30.562; 61622,30.562; 61682,
              30.562; 61742,30.5; 61802,30.5; 61862,30.5; 61922,30.5; 61982,30.437; 62042,
              30.437; 62102,30.375; 62162,30.312; 62222,30.25; 62282,30.25; 62342,30.187;
              62402,30.125; 62462,30.125; 62522,30.062; 62582,30; 62642,30; 62702,29.937;
              62762,29.937; 62822,29.875; 62882,29.812; 62942,29.75; 63002,29.75; 63062,
              29.75; 63122,29.687; 63182,29.687; 63242,29.625; 63302,29.625; 63362,29.562;
              63422,29.5; 63482,29.437; 63542,29.375; 63602,29.312; 63662,29.25; 63722,
              29.187; 63782,29.062; 63842,29; 63902,28.937; 63962,28.875; 64022,28.812;
              64082,28.75; 64142,28.687; 64202,28.562; 64262,28.5; 64322,28.437; 64382,
              28.375; 64442,28.312; 64502,28.25; 64562,28.125; 64622,28.062; 64682,28;
              64742,27.937; 64802,27.875; 64862,27.812; 64922,27.75; 64982,27.687; 65042,
              27.625; 65102,27.625; 65162,27.5; 65222,27.437; 65282,27.375; 65342,27.312;
              65402,27.25; 65462,27.187; 65522,27.125; 65582,27.062; 65642,27; 65702,26.937;
              65762,26.937; 65822,26.812; 65882,26.75; 65942,26.687; 66002,26.687; 66062,
              26.625; 66122,26.562; 66182,26.5; 66242,26.437; 66302,26.375; 66362,26.312;
              66422,26.25; 66482,26.25; 66542,26.187; 66602,26.125; 66662,26.062; 66722,
              26.062; 66782,26; 66842,25.937; 66902,25.937; 66962,25.875; 67022,25.812;
              67082,25.75; 67142,25.75; 67202,25.687; 67262,25.625; 67322,25.562; 67382,
              25.562; 67442,25.5; 67502,25.437; 67562,25.375; 67622,25.375; 67682,25.312;
              67742,25.312; 67802,25.25; 67862,25.187; 67922,25.187; 67982,25.125; 68042,
              25.125; 68102,25.062; 68162,25; 68222,24.937; 68282,24.937; 68342,24.937;
              68402,24.875; 68462,24.812; 68522,24.812; 68582,24.75; 68642,24.75; 68702,
              24.687; 68762,24.687; 68822,24.625; 68882,24.562; 68942,24.562; 69002,24.5;
              69062,24.5; 69122,24.437; 69182,24.437; 69242,24.375; 69302,24.375; 69362,
              24.312; 69422,24.312; 69482,24.25; 69542,24.25; 69602,24.187; 69662,24.187;
              69722,24.125; 69782,24.125; 69842,24.062; 69902,24.062; 69962,24; 70022,
              24; 70082,23.937; 70142,23.937; 70202,23.875; 70262,23.875; 70322,23.875;
              70382,23.812; 70442,23.812; 70502,23.75; 70562,23.75; 70622,23.75; 70682,
              23.687; 70742,23.625; 70802,23.625; 70862,23.625; 70922,23.562; 70982,23.562;
              71042,23.5; 71102,23.5; 71162,23.5; 71222,23.437; 71282,23.437; 71342,23.375;
              71402,23.375; 71462,23.375; 71522,23.312; 71582,23.312; 71642,23.312; 71702,
              23.25; 71762,23.25; 71822,23.187; 71882,23.187; 71942,23.187; 72002,23.125;
              72062,23.125; 72122,23.125; 72182,23.062; 72242,23.062; 72302,23.062; 72362,
              23; 72422,23; 72482,22.937; 72542,22.937; 72602,22.937; 72662,22.875; 72722,
              22.875; 72782,22.875; 72842,22.875; 72902,22.875; 72962,22.875; 73022,22.812;
              73082,22.812; 73142,22.812; 73202,22.812; 73262,22.75; 73322,22.812; 73382,
              22.75; 73442,22.75; 73502,22.687; 73562,22.687; 73622,22.687; 73682,22.625;
              73742,22.625; 73802,22.625; 73862,22.625; 73922,22.562; 73982,22.562; 74042,
              22.562; 74102,22.562; 74162,22.562; 74222,22.5; 74282,22.5; 74342,22.5;
              74402,22.5; 74462,22.437; 74522,22.437; 74582,22.437; 74642,22.437; 74702,
              22.437; 74762,22.437; 74822,22.375; 74882,22.375; 74942,22.375; 75002,22.312;
              75062,22.312; 75122,22.312; 75182,22.312; 75242,22.312; 75302,22.25; 75362,
              22.25; 75422,22.25; 75482,22.187; 75542,22.187; 75602,22.187; 75662,22.187;
              75722,22.187; 75782,22.187; 75842,22.125; 75902,22.187; 75962,22.125; 76022,
              22.125; 76082,22.062; 76142,22.062; 76202,22.062; 76262,22.062; 76322,22.062;
              76382,22.062; 76442,22.062; 76502,22; 76562,22; 76622,22; 76682,21.937;
              76742,21.937; 76802,21.937; 76862,21.937; 76922,21.937; 76982,21.937; 77042,
              21.875; 77102,21.875; 77162,21.875; 77222,21.875; 77282,21.812; 77342,21.812;
              77402,21.812; 77462,21.812; 77522,21.812; 77582,21.75; 77642,21.75; 77702,
              21.75; 77762,21.75; 77822,21.687; 77882,21.687; 77942,21.687; 78002,21.687;
              78062,21.687; 78122,21.625; 78182,21.625; 78242,21.625; 78302,21.625; 78362,
              21.625; 78422,21.625; 78482,21.562; 78542,21.562; 78602,21.562; 78662,21.562;
              78722,21.5; 78782,21.5; 78842,21.5; 78902,21.5; 78962,21.5; 79022,21.437;
              79082,21.437; 79142,21.437; 79202,21.437; 79262,21.437; 79322,21.437; 79382,
              21.375; 79442,21.375; 79502,21.375; 79562,21.375; 79622,21.375; 79682,21.312;
              79742,21.375; 79802,21.312; 79862,21.312; 79922,21.312; 79982,21.25; 80042,
              21.25; 80102,21.312; 80162,21.25; 80222,21.187; 80282,21.25; 80342,21.187;
              80402,21.187; 80462,21.187; 80522,21.187; 80582,21.125; 80642,21.125; 80702,
              21.125; 80762,21.125; 80822,21.125; 80882,21.062; 80942,21.125; 81002,21.062;
              81062,21.062; 81122,21.062; 81182,21.062; 81242,21; 81302,21; 81362,21;
              81422,21; 81482,21; 81542,20.937; 81602,20.937; 81662,20.937; 81722,20.937;
              81782,20.937; 81842,20.937; 81902,20.875; 81962,20.875; 82022,20.875; 82082,
              20.875; 82142,20.812; 82202,20.812; 82262,20.812; 82322,20.812; 82382,20.812;
              82442,20.812; 82502,20.75; 82562,20.75; 82622,20.75; 82682,20.75; 82742,
              20.75; 82802,20.75; 82862,20.687; 82922,20.75; 82982,20.687; 83042,20.687;
              83102,20.687; 83162,20.687; 83222,20.687; 83282,20.625; 83342,20.625; 83402,
              20.625; 83462,20.625; 83522,20.625; 83582,20.562; 83642,20.625; 83702,20.562;
              83762,20.625; 83822,20.562; 83882,20.562; 83942,20.562; 84002,20.562; 84062,
              20.562; 84122,20.562; 84182,20.562; 84242,20.562; 84302,20.5; 84362,20.5;
              84422,20.5; 84482,20.5; 84542,20.5; 84602,20.5; 84662,20.5; 84722,20.5;
              84782,20.437; 84842,20.437; 84902,20.437; 84962,20.437; 85022,20.437; 85082,
              20.437; 85142,20.437; 85202,20.437; 85262,20.437; 85322,20.437; 85382,20.375;
              85442,20.375; 85502,20.375; 85562,20.375; 85622,20.375; 85682,20.375; 85742,
              20.375; 85802,20.312; 85862,20.375; 85922,20.312; 85982,20.312; 86042,20.312;
              86102,20.312; 86162,20.312; 86222,20.312; 86282,20.312; 86342,20.312; 86402,
              20.312; 86462,20.25; 86522,20.312; 86582,20.312; 86642,20.312; 86702,20.25;
              86762,20.25; 86822,20.25; 86882,20.25; 86942,20.25; 87002,20.25; 87062,20.25;
              87122,20.25; 87182,20.25; 87242,20.187; 87302,20.187; 87362,20.187; 87422,
              20.187; 87482,20.187; 87542,20.187; 87602,20.187; 87662,20.187; 87722,20.187;
              87782,20.187; 87842,20.187; 87902,20.187; 87962,20.187; 88022,20.187; 88082,
              20.187; 88142,20.125; 88202,20.125; 88262,20.125; 88322,20.125; 88382,20.125;
              88442,20.125; 88502,20.125; 88562,20.125; 88622,20.125; 88682,20.125; 88742,
              20.125; 88802,20.062; 88862,20.062; 88922,20.062; 88982,20.062; 89042,20.062;
              89102,20.062; 89162,20.062; 89222,20.062; 89282,20.062; 89342,20.062; 89402,
              20.062; 89462,20.062; 89522,20.062; 89582,20; 89642,20.062; 89702,20.062;
              89762,20; 89822,20; 89882,20; 89942,20; 90002,20; 90062,20; 90122,20; 90182,
              19.937; 90242,20; 90302,20; 90362,20; 90422,19.937; 90482,19.937; 90542,
              20; 90602,20; 90662,19.937; 90722,19.937; 90782,19.937; 90842,19.937; 90902,
              19.937; 90962,19.937; 91022,19.937; 91082,19.937; 91142,19.937; 91202,19.937;
              91262,19.937; 91322,19.875; 91382,19.937; 91442,19.937; 91502,19.875; 91562,
              19.875; 91622,19.875; 91682,19.875; 91742,19.875; 91802,19.875; 91862,19.875;
              91922,19.875; 91982,19.875; 92042,19.875; 92102,19.875; 92162,19.875; 92222,
              19.875; 92282,19.875; 92342,19.875; 92402,19.875; 92462,19.875; 92522,19.875;
              92582,19.812; 92642,19.812; 92702,19.812; 92762,19.812; 92822,19.812; 92882,
              19.812; 92942,19.812; 93002,19.812; 93062,19.812; 93122,19.812; 93182,19.812;
              93242,19.812; 93302,19.812; 93362,19.812; 93422,19.875; 93482,19.812; 93542,
              19.875; 93602,19.875; 93662,19.937; 93722,19.937; 93782,19.937; 93842,19.937;
              93902,20; 93962,20; 94022,20.062; 94082,20.062; 94142,20.062; 94202,20.062;
              94262,20.125; 94322,20.125; 94382,20.187; 94442,20.187; 94502,20.25; 94562,
              20.312; 94622,20.437; 94682,20.562; 94742,20.625; 94802,20.75; 94862,20.875;
              94922,21; 94982,21.187; 95042,21.312; 95102,21.437; 95162,21.625; 95222,
              21.75; 95282,21.875; 95342,21.937; 95402,22.062; 95462,22.187; 95522,22.25;
              95582,22.312; 95642,22.437; 95702,22.5; 95762,22.562; 95822,22.625; 95882,
              22.625; 95942,22.687; 96002,22.687; 96062,22.75; 96122,22.812; 96182,22.812;
              96242,22.812; 96302,22.875; 96362,22.875; 96422,22.875; 96482,22.875; 96542,
              22.875; 96602,22.875; 96662,22.875; 96722,22.812; 96782,22.812; 96842,22.812;
              96902,22.812; 96962,22.812; 97022,22.812; 97082,22.812; 97142,22.812; 97202,
              22.812; 97262,22.75; 97322,22.75; 97382,22.75; 97442,22.75; 97502,22.75;
              97562,22.687; 97622,22.687; 97682,22.687; 97742,22.625; 97802,22.625; 97862,
              22.625; 97922,22.625; 97982,22.562; 98042,22.562; 98102,22.562; 98162,22.562;
              98222,22.5; 98282,22.5; 98342,22.5; 98402,22.5; 98462,22.437; 98522,22.437;
              98582,22.437; 98642,22.375; 98702,22.375; 98762,22.375; 98822,22.312; 98882,
              22.312; 98942,22.312; 99002,22.25; 99062,22.25; 99122,22.25; 99182,22.25;
              99242,22.187; 99302,22.187; 99362,22.187; 99422,22.125; 99482,22.125; 99542,
              22.125; 99602,22.062; 99662,22.062; 99722,22.062; 99782,22.062; 99842,22;
              99902,22; 99962,22; 100022,21.937; 100082,21.937; 100142,21.937; 100202,
              21.937; 100262,21.937; 100322,21.875; 100382,21.875; 100442,21.875; 100502,
              21.812; 100562,21.812; 100622,21.812; 100682,21.812; 100742,21.75; 100802,
              21.75; 100862,21.75; 100922,21.75; 100982,21.75; 101042,21.687; 101102,21.687;
              101162,21.625; 101222,21.625; 101282,21.625; 101342,21.562; 101402,21.562;
              101462,21.562; 101522,21.562; 101582,21.5; 101642,21.5; 101702,21.5; 101762,
              21.5; 101822,21.5; 101882,21.5; 101942,21.437; 102002,21.437; 102062,21.437;
              102122,21.437; 102182,21.437; 102242,21.437; 102302,21.437; 102362,21.437;
              102422,21.437; 102482,21.437; 102542,21.437; 102602,21.437; 102662,21.5;
              102722,21.5; 102782,21.5; 102842,21.562; 102902,21.562; 102962,21.625; 103022,
              21.687; 103082,21.687; 103142,21.75; 103202,21.812; 103262,21.937; 103322,
              21.937; 103382,22; 103442,22.062; 103502,22.062; 103562,22.187; 103622,22.187;
              103682,22.25; 103742,22.312; 103802,22.375; 103862,22.437; 103922,22.437;
              103982,22.5; 104042,22.5; 104102,22.562; 104162,22.625; 104222,22.625; 104282,
              22.687; 104342,22.75; 104402,22.75; 104462,22.75; 104522,22.812; 104582,
              22.812; 104642,22.875; 104702,22.875; 104762,22.875; 104822,22.875; 104882,
              22.937; 104942,22.937; 105002,22.937; 105062,23; 105122,23; 105182,23; 105242,
              23; 105302,23; 105362,23; 105422,23; 105482,23; 105542,23; 105602,23; 105662,
              23; 105722,23; 105782,23; 105842,23; 105902,23; 105962,22.937; 106022,23;
              106082,22.937; 106142,23; 106202,22.937; 106262,23; 106322,23; 106382,22.937;
              106442,22.937; 106502,22.937; 106562,22.875; 106622,22.875; 106682,22.875;
              106742,22.875; 106802,22.875; 106862,22.812; 106922,22.812; 106982,22.812;
              107042,22.812; 107102,22.75; 107162,22.75; 107222,22.75; 107282,22.687;
              107342,22.687; 107402,22.687; 107462,22.687; 107522,22.625; 107582,22.625;
              107642,22.625; 107702,22.562; 107762,22.562; 107822,22.562; 107882,22.5;
              107942,22.5; 108002,22.5; 108062,22.5; 108122,22.437; 108182,22.437; 108242,
              22.437; 108302,22.375; 108362,22.375; 108422,22.375; 108482,22.312; 108542,
              22.312; 108602,22.312; 108662,22.312; 108722,22.25; 108782,22.312; 108842,
              22.25; 108902,22.25; 108962,22.187; 109022,22.187; 109082,22.187; 109142,
              22.187; 109202,22.125; 109262,22.125; 109322,22.125; 109382,22.125; 109442,
              22.062; 109502,22.062; 109562,22.062; 109622,22; 109682,22; 109742,22; 109802,
              22; 109862,22; 109922,21.937; 109982,21.937; 110042,21.937; 110102,21.937;
              110162,21.875; 110223,21.875; 110283,21.875; 110343,21.812; 110403,21.812;
              110463,21.812; 110523,21.75; 110583,21.75; 110643,21.75; 110703,21.75; 110763,
              21.687; 110823,21.687; 110883,21.687; 110943,21.687; 111003,21.687; 111063,
              21.625; 111123,21.625; 111183,21.625; 111243,21.625; 111303,21.562; 111363,
              21.562; 111423,21.562; 111483,21.5; 111543,21.5; 111603,21.5; 111663,21.5;
              111723,21.5; 111783,21.5; 111843,21.437; 111903,21.5; 111963,21.437; 112023,
              21.437; 112083,21.437; 112143,21.437; 112203,21.437; 112263,21.437; 112323,
              21.375; 112383,21.437; 112443,21.375; 112503,21.375; 112563,21.375; 112623,
              21.375; 112683,21.375; 112743,21.375; 112803,21.375; 112863,21.375; 112923,
              21.375; 112983,21.375; 113043,21.375; 113103,21.437; 113163,21.437; 113223,
              21.437; 113283,21.437; 113343,21.437; 113403,21.5; 113463,21.5; 113523,21.437;
              113583,21.437; 113643,21.5; 113703,21.625; 113763,21.937; 113823,22.375;
              113883,22.875; 113938,23.437; 113996,24; 114056,24.562; 114116,25.062; 114175,
              25.625; 114235,26.125; 114295,26.562; 114355,27; 114415,27.437; 114475,27.812;
              114535,28.187; 114595,28.5; 114655,28.875; 114715,29.125; 114775,29.375;
              114835,29.625; 114895,29.812; 114955,30; 115015,30.187; 115075,30.375; 115135,
              30.5; 115195,30.687; 115255,30.75; 115315,30.937; 115375,31; 115435,31.062;
              115495,31.125; 115555,31.25; 115615,31.312; 115675,31.312; 115735,31.437;
              115795,31.437; 115855,31.5; 115915,31.562; 115975,31.562; 116035,31.625;
              116095,31.562; 116155,31.625; 116215,31.625; 116275,31.625; 116335,31.625;
              116395,31.687; 116455,31.75; 116515,31.75; 116575,31.75; 116635,31.687;
              116695,31.75; 116755,31.75; 116815,31.812; 116875,31.812; 116935,31.812;
              116995,31.812; 117055,31.875; 117115,31.875; 117175,31.937; 117235,31.937;
              117295,32; 117355,32; 117415,32; 117475,32.062; 117535,32.062; 117595,32.125;
              117655,32.125; 117715,32.187; 117775,32.125; 117835,32.187; 117895,32.187;
              117955,32.187; 118015,32.187; 118075,32.187; 118135,32.187; 118195,32.187;
              118255,32.187; 118315,32.187; 118375,32.187; 118435,32.125; 118495,32.062;
              118555,32.062; 118615,32.062; 118675,32; 118735,32.062; 118795,32.062; 118855,
              32; 118915,32; 118975,32; 119035,32; 119095,32; 119155,31.937; 119215,31.937;
              119275,31.937; 119335,31.875; 119395,31.937; 119455,31.812; 119515,31.812;
              119575,31.812; 119635,31.875; 119695,31.812; 119755,31.812; 119815,31.75;
              119875,31.75; 119935,31.75; 119995,31.75; 120055,31.687; 120115,31.687;
              120175,31.687; 120235,31.687; 120295,31.687; 120355,31.687; 120415,31.687;
              120475,31.687; 120535,31.687; 120595,31.687; 120655,31.687; 120715,31.687;
              120775,31.687; 120835,31.687; 120895,31.625; 120955,31.687; 121015,31.687;
              121075,31.687; 121135,31.687; 121195,31.687; 121255,31.687; 121315,31.687;
              121375,31.687; 121435,31.687; 121495,31.687; 121555,31.687; 121615,31.687;
              121675,31.625; 121735,31.625; 121795,31.625; 121855,31.625; 121915,31.625;
              121975,31.625; 122035,31.625; 122095,31.625; 122155,31.562; 122215,31.625;
              122275,31.687; 122335,31.625; 122395,31.687; 122455,31.75; 122515,31.75;
              122575,31.687; 122635,31.75; 122695,31.75; 122755,31.75; 122815,31.75; 122875,
              31.75; 122935,31.75; 122995,31.687; 123055,31.687; 123115,31.687; 123175,
              31.687; 123235,31.687; 123295,31.687; 123355,31.625; 123415,31.625; 123475,
              31.625; 123535,31.625; 123595,31.625; 123655,31.562; 123715,31.562; 123775,
              31.625; 123835,31.562; 123895,31.5; 123955,31.437; 124015,31.375; 124075,
              31.375; 124135,31.375; 124195,31.375; 124255,31.437; 124315,31.375; 124375,
              31.312; 124435,31.25; 124495,31.187; 124555,31.187; 124615,31.25; 124675,
              31.187; 124735,31.187; 124795,31.25; 124855,31.25; 124915,31.187; 124975,
              31.187; 125035,31.312; 125095,31.312; 125155,31.312; 125215,31.375; 125275,
              31.437; 125335,31.375; 125395,31.437; 125455,31.437; 125515,31.437; 125575,
              31.437; 125635,31.5; 125695,31.5; 125755,31.437; 125815,31.5; 125875,31.5;
              125935,31.437; 125995,31.437; 126055,31.5; 126115,31.437; 126175,31.437;
              126235,31.375; 126295,31.375; 126355,31.375; 126415,31.375; 126475,31.312;
              126535,31.375; 126595,31.375; 126655,31.25; 126715,31.25; 126775,31.187;
              126835,31.25; 126895,31.25; 126955,31.25; 127015,31.25; 127075,31.312; 127135,
              31.312; 127195,31.25; 127255,31.312; 127315,31.312; 127375,31.312; 127435,
              31.312; 127495,31.375; 127555,31.437; 127615,31.437; 127675,31.5; 127735,
              31.5; 127795,31.5; 127855,31.5; 127915,31.5; 127975,31.562; 128035,31.5;
              128095,31.5; 128155,31.562; 128215,31.5; 128275,31.5; 128335,31.437; 128395,
              31.437; 128455,31.437; 128515,31.437; 128575,31.5; 128635,31.437; 128695,
              31.437; 128755,31.437; 128815,31.437; 128875,31.437; 128935,31.437; 128995,
              31.437; 129055,31.375; 129115,31.375; 129175,31.375; 129235,31.312; 129295,
              31.312; 129355,31.312; 129415,31.312; 129475,31.25; 129535,31.312; 129595,
              31.312; 129655,31.312; 129715,31.375; 129775,31.375; 129835,31.25; 129895,
              31.25; 129955,31.187; 130015,31.062; 130075,31; 130135,31; 130195,31.062;
              130255,31.187; 130315,31.187; 130375,31.125; 130435,31.187; 130495,31.125;
              130555,31.125; 130615,31.187; 130675,31.187; 130735,31.187; 130795,31.187;
              130855,31.187; 130915,31.187; 130975,31.187; 131035,31.187; 131095,31.187;
              131155,31.25; 131215,31.25; 131275,31.25; 131335,31.25; 131395,31.25; 131455,
              31.25; 131515,31.312; 131575,31.25; 131635,31.25; 131695,31.25; 131755,31.25;
              131815,31.312; 131875,31.25; 131935,31.375; 131995,31.375; 132055,31.375;
              132115,31.375; 132175,31.437; 132235,31.437; 132295,31.5; 132355,31.5; 132415,
              31.5; 132475,31.5; 132535,31.5; 132595,31.437; 132655,31.437; 132715,31.437;
              132775,31.5; 132835,31.562; 132895,31.562; 132955,31.562; 133015,31.5; 133075,
              31.5; 133135,31.562; 133195,31.625; 133255,31.625; 133315,31.625; 133375,
              31.562; 133435,31.562; 133495,31.5; 133555,31.562; 133615,31.562; 133675,
              31.5; 133735,31.5; 133795,31.437; 133855,31.437; 133915,31.437; 133975,31.437;
              134035,31.375; 134095,31.375; 134155,31.375; 134215,31.312; 134275,31.25;
              134335,31.25; 134395,31.25; 134455,31.187; 134515,31.187; 134575,31.125;
              134635,31.062; 134695,31; 134755,30.937; 134815,30.875; 134875,30.812; 134935,
              30.75; 134995,30.687; 135055,30.625; 135115,30.562; 135175,30.5; 135235,
              30.437; 135295,30.375; 135355,30.312; 135415,30.25; 135475,30.187; 135535,
              30.125; 135595,30.062; 135655,30.062; 135715,29.937; 135775,29.875; 135835,
              29.812; 135895,29.75; 135955,29.687; 136015,29.625; 136075,29.562; 136135,
              29.5; 136195,29.437; 136255,29.437; 136315,29.375; 136375,29.375; 136435,
              29.312; 136495,29.312; 136555,29.25; 136615,29.25; 136675,29.25; 136735,
              29.187; 136795,29.187; 136855,29.187; 136915,29.187; 136975,29.187; 137035,
              29.187; 137095,29.25; 137155,29.187; 137215,29.187; 137275,29.25; 137335,
              29.25; 137395,29.312; 137455,29.312; 137515,29.312; 137575,29.312; 137635,
              29.312; 137695,29.312; 137755,29.312; 137815,29.312; 137875,29.312; 137935,
              29.25; 137995,29.25; 138055,29.187; 138115,29.187; 138175,29.25; 138235,
              29.187; 138295,29.187; 138355,29.25; 138415,29.187; 138475,29.187; 138535,
              29.187; 138595,29.187; 138655,29.125; 138715,29.125; 138775,29.125; 138835,
              29.125; 138895,29.062; 138955,29.062; 139015,29.062; 139075,29.062; 139135,
              29.062; 139195,29.062; 139255,29.062; 139315,29.062; 139375,29.062; 139435,
              29.062; 139495,29; 139555,29; 139615,29.062; 139675,29; 139735,29; 139795,
              29; 139855,29; 139915,29; 139975,29; 140035,29.062; 140095,29.062; 140155,
              29.062; 140215,29.062; 140275,29.062; 140335,29.125; 140395,29.125; 140455,
              29.187; 140515,29.25; 140575,29.375; 140635,29.375; 140695,29.375; 140755,
              29.375; 140815,29.375; 140875,29.375; 140935,29.437; 140995,29.437; 141055,
              29.5; 141115,29.562; 141175,29.562; 141235,29.625; 141295,29.687; 141355,
              29.687; 141415,29.687; 141475,29.687; 141535,29.75; 141595,29.812; 141655,
              29.812; 141715,29.812; 141775,29.812; 141835,29.812; 141895,29.937; 141955,
              29.875; 142015,29.875; 142075,29.937; 142135,29.937; 142262,29.937; 142322,
              29.937; 142382,29.937; 142442,29.937; 142502,29.937; 142562,30; 142622,30.062;
              142682,30; 142742,30; 142802,30; 142862,30.062; 142922,30.062; 142982,30.125;
              143042,30.062; 143102,30; 143162,30; 143222,30; 143282,30.062; 143342,30.062;
              143402,30.062; 143462,30.062; 143522,30.062; 143582,30; 143642,30; 143702,
              30; 143762,30; 143822,30; 143882,30.062; 143942,30.062; 144002,30; 144062,
              30; 144122,29.937; 144182,29.937; 144242,30; 144302,30; 144362,30.062; 144422,
              30; 144482,30; 144542,30; 144602,30.062; 144662,30.062; 144722,30.062; 144782,
              30.062; 144842,30.062; 144902,30.062; 144962,30.062; 145022,30.062; 145082,
              30.062; 145142,30.125; 145202,30.125; 145262,30.125; 145322,30.062; 145382,
              30.125; 145442,30.125; 145502,30.187; 145562,30.187; 145622,30.187; 145682,
              30.187; 145742,30.25; 145802,30.187; 145862,30.125; 145922,30.125; 145982,
              30.062; 146042,30.187; 146102,30.25; 146162,30.187; 146222,30.187; 146282,
              30.187; 146342,30.187; 146402,30.187; 146462,30.187; 146522,30.125; 146582,
              30.125; 146642,30.187; 146702,30.125; 146762,30.125; 146822,30.125; 146882,
              30.125; 146942,30.187; 147002,30.187; 147062,30.187; 147122,30.125; 147182,
              30.125; 147242,30.125; 147302,30.187; 147362,30.125; 147422,30.187; 147482,
              30.187; 147542,30.125; 147602,30.125; 147662,30.125; 147722,30.125; 147782,
              30.125; 147842,30.125; 147902,30.125; 147962,30.125; 148022,30.125; 148082,
              30.125; 148142,30.125; 148202,30.062; 148262,30.062; 148322,30.062; 148382,
              30.062; 148442,30; 148502,30; 148562,30.062; 148622,30.062; 148682,30.062;
              148742,30.062; 148802,30.062; 148862,30.062; 148922,30.125; 148982,30.125;
              149042,30.125; 149102,30.125; 149162,30.125; 149222,30.125; 149282,30.187;
              149342,30.187; 149402,30.125; 149462,30.25; 149522,30.25; 149582,30.25;
              149642,30.25; 149702,30.25; 149762,30.187; 149822,30.187; 149882,29.875;
              149942,29.937; 150002,30; 150062,29.937; 150122,29.812; 150182,29.812; 150242,
              29.687; 150302,29.687; 150362,29.562; 150422,29.562; 150482,29.437; 150542,
              29.375; 150602,29.312; 150662,29.25; 150722,29.187; 150782,29.062; 150842,
              29; 150902,28.937; 150962,28.875; 151022,28.812; 151082,28.75; 151142,28.687;
              151202,28.625; 151262,28.562; 151322,28.5; 151382,28.375; 151442,28.375;
              151502,28.312; 151562,28.25; 151622,28.187; 151682,28.125; 151742,28.062;
              151802,28; 151862,27.875; 151922,27.875; 151982,27.75; 152042,27.75; 152102,
              27.625; 152162,27.625; 152222,27.562; 152282,27.5; 152342,27.437; 152402,
              27.375; 152462,27.312; 152522,27.25; 152582,27.187; 152642,27.125; 152702,
              27.125; 152762,27.062; 152822,27; 152882,26.937; 152942,26.875; 153002,26.875;
              153062,26.812; 153122,26.687; 153182,26.687; 153242,26.625; 153302,26.562;
              153362,26.5; 153422,26.5; 153482,26.437; 153542,26.375; 153602,26.375; 153662,
              26.312; 153722,26.25; 153782,26.187; 153842,26.125; 153902,26.062; 153962,
              26; 154022,26; 154082,25.937; 154142,25.937; 154202,25.875; 154262,25.812;
              154322,25.75; 154382,25.75; 154442,25.687; 154502,25.625; 154562,25.625;
              154622,25.562; 154682,25.562; 154742,25.5; 154802,25.437; 154862,25.437;
              154922,25.375; 154982,25.312; 155042,25.25; 155102,25.25; 155162,25.25;
              155222,25.187; 155282,25.125; 155342,25.062; 155402,25.062; 155462,25.062;
              155522,25; 155582,25; 155642,24.937; 155702,24.937; 155762,24.875; 155822,
              24.812; 155882,24.812; 155942,24.75; 156002,24.687; 156062,24.687; 156122,
              24.625; 156182,24.625; 156242,24.625; 156302,24.562; 156362,24.562; 156422,
              24.5; 156482,24.5; 156542,24.437; 156602,24.437; 156662,24.375; 156722,24.312;
              156782,24.312; 156842,24.312; 156902,24.25; 156962,24.25; 157022,24.25;
              157082,24.187; 157142,24.187; 157202,24.125; 157262,24.125; 157322,24.062;
              157382,24.062; 157442,24.062; 157502,24; 157562,23.937; 157622,23.937; 157682,
              23.937; 157742,23.937; 157802,23.875; 157862,23.812; 157922,23.812; 157982,
              23.812; 158042,23.75; 158102,23.75; 158162,23.687; 158222,23.687; 158282,
              23.687; 158342,23.625; 158402,23.625; 158463,23.625; 158523,23.562; 158583,
              23.562; 158643,23.5; 158703,23.5; 158763,23.437; 158823,23.437; 158883,23.437;
              158943,23.375; 159003,23.375; 159063,23.375; 159123,23.375; 159183,23.312;
              159243,23.312; 159303,23.312; 159363,23.25; 159423,23.25; 159483,23.187;
              159543,23.187; 159603,23.187; 159663,23.187; 159723,23.125; 159783,23.125;
              159843,23.125; 159903,23.125; 159963,23.062; 160023,23.062; 160083,23; 160143,
              23; 160203,23; 160263,23; 160323,22.937; 160383,22.937; 160443,22.937; 160503,
              22.875; 160563,22.875; 160623,22.875; 160683,22.875; 160743,22.875; 160803,
              22.812; 160863,22.812; 160923,22.812; 160983,22.75; 161043,22.812; 161103,
              22.75; 161163,22.75; 161223,22.75; 161283,22.75; 161343,22.687; 161403,22.75;
              161463,22.687; 161523,22.687; 161583,22.687; 161643,22.625; 161703,22.625;
              161763,22.625; 161823,22.625; 161883,22.562; 161943,22.625; 162003,22.625;
              162063,22.562; 162123,22.562; 162183,22.562; 162243,22.5; 162303,22.562;
              162363,22.5; 162423,22.5; 162483,22.5; 162543,22.5; 162603,22.437; 162663,
              22.437; 162723,22.437; 162783,22.437; 162843,22.375; 162903,22.437; 162963,
              22.375; 163023,22.375; 163083,22.312; 163143,22.375; 163203,22.312; 163263,
              22.312; 163323,22.312; 163383,22.312; 163443,22.25; 163503,22.25; 163563,
              22.25; 163623,22.25; 163683,22.25; 163743,22.187; 163803,22.187; 163863,
              22.187; 163923,22.187; 163983,22.187; 164043,22.125; 164103,22.125; 164163,
              22.125; 164223,22.125; 164283,22.062; 164343,22.125; 164403,22.062; 164463,
              22.062; 164523,22.062; 164583,22.062; 164643,22; 164703,22; 164763,22; 164823,
              22; 164883,22; 164943,22; 165003,21.937; 165063,21.937; 165123,21.937; 165183,
              21.937; 165243,21.875; 165303,21.875; 165363,21.875; 165423,21.875; 165483,
              21.875; 165543,21.875; 165603,21.812; 165663,21.812; 165723,21.812; 165783,
              21.812; 165843,21.812; 165903,21.812; 165963,21.75; 166023,21.75; 166083,
              21.75; 166143,21.75; 166203,21.687; 166263,21.687; 166323,21.687; 166383,
              21.687; 166443,21.687; 166503,21.687; 166563,21.687; 166623,21.687; 166683,
              21.625; 166743,21.625; 166803,21.625; 166863,21.625; 166923,21.562; 166983,
              21.562; 167043,21.562; 167103,21.562; 167163,21.562; 167223,21.5; 167283,
              21.5; 167343,21.5; 167403,21.5; 167463,21.5; 167523,21.5; 167583,21.437;
              167643,21.437; 167703,21.437; 167763,21.437; 167823,21.437; 167883,21.437;
              167943,21.375; 168003,21.375; 168063,21.375; 168123,21.312; 168183,21.375;
              168243,21.312; 168303,21.312; 168363,21.312; 168423,21.312; 168483,21.25;
              168543,21.25; 168603,21.25; 168663,21.25; 168723,21.25; 168783,21.25; 168843,
              21.187; 168903,21.187; 168963,21.187; 169023,21.187; 169083,21.187; 169143,
              21.187; 169203,21.125; 169263,21.125; 169323,21.125; 169383,21.062; 169443,
              21.125; 169503,21.062; 169563,21.062; 169623,21.062; 169683,21.062; 169743,
              21; 169803,21.062; 169863,21; 169923,21; 169983,21; 170043,21; 170103,21;
              170163,20.937; 170223,20.937; 170283,20.937; 170343,20.937; 170403,20.937;
              170463,20.875; 170523,20.875; 170583,20.875; 170643,20.875; 170703,20.875;
              170763,20.875; 170823,20.812; 170883,20.875; 170943,20.812; 171003,20.812;
              171063,20.812; 171123,20.812; 171183,20.812; 171243,20.812; 171303,20.75;
              171363,20.75; 171423,20.75; 171483,20.75; 171543,20.75; 171603,20.75; 171663,
              20.75; 171723,20.75; 171783,20.75; 171843,20.687; 171903,20.687; 171963,
              20.687; 172023,20.687; 172083,20.687; 172143,20.687; 172203,20.687; 172263,
              20.625; 172323,20.625; 172383,20.687; 172443,20.625; 172503,20.625; 172563,
              20.625; 172623,20.625; 172683,20.625; 172743,20.562; 172803,20.562; 172863,
              20.562; 172923,20.562; 172983,20.562; 173043,20.562; 173103,20.562; 173163,
              20.562; 173223,20.562; 173283,20.562; 173343,20.562; 173403,20.562; 173463,
              20.5; 173523,20.5; 173583,20.5; 173643,20.5; 173703,20.5; 173763,20.5; 173823,
              20.5; 173883,20.5; 173943,20.5; 174003,20.5; 174063,20.5; 174123,20.5; 174183,
              20.437; 174243,20.437; 174303,20.437; 174363,20.437; 174423,20.437; 174483,
              20.437; 174543,20.437; 174603,20.437; 174663,20.437; 174723,20.437; 174783,
              20.437; 174843,20.437; 174903,20.437; 174963,20.437; 175023,20.437; 175083,
              20.375; 175143,20.375; 175203,20.375; 175263,20.375; 175323,20.375; 175383,
              20.375; 175443,20.375; 175503,20.375; 175563,20.375; 175623,20.375; 175683,
              20.375; 175743,20.312; 175803,20.312; 175863,20.312; 175923,20.312; 175983,
              20.312; 176043,20.312; 176103,20.312; 176163,20.312; 176223,20.312; 176283,
              20.312; 176343,20.312; 176403,20.312; 176463,20.25; 176523,20.25; 176583,
              20.25; 176643,20.25; 176703,20.25; 176763,20.25; 176823,20.25; 176883,20.25;
              176943,20.25; 177003,20.25; 177063,20.25; 177123,20.25; 177183,20.25; 177243,
              20.25; 177303,20.25; 177363,20.25; 177423,20.25; 177483,20.25; 177543,20.187;
              177603,20.187; 177663,20.187; 177723,20.187; 177783,20.187; 177843,20.187;
              177903,20.187; 177963,20.187; 178023,20.187; 178083,20.187; 178143,20.187;
              178203,20.187; 178263,20.125; 178323,20.125; 178383,20.125; 178443,20.187;
              178503,20.125; 178563,20.125; 178623,20.125; 178683,20.125; 178743,20.125;
              178803,20.125; 178863,20.125; 178923,20.125; 178983,20.125; 179043,20.125;
              179103,20.125; 179163,20.125; 179223,20.125; 179283,20.125; 179343,20.062;
              179403,20.062; 179463,20.062; 179523,20.125; 179583,20.125; 179643,20.062;
              179703,20.062; 179763,20.062; 179823,20.125; 179883,20.062; 179943,20.062;
              180003,20.062; 180063,20; 180123,20.062; 180183,20; 180243,20; 180303,20.062;
              180363,20.062; 180423,20; 180483,20.062; 180543,20.062; 180603,20; 180663,
              20.062; 180723,20; 180783,20; 180843,20; 180903,20; 180963,20; 181023,20;
              181083,20; 181143,20; 181203,20; 181263,20; 181323,20; 181383,20; 181443,
              20; 181503,20; 181563,19.937; 181623,19.937; 181683,19.937; 181743,19.937;
              181803,19.937; 181863,19.937; 181923,19.937; 181983,19.937; 182043,19.937;
              182103,19.937; 182163,19.875; 182223,19.937; 182283,19.937; 182343,19.937;
              182403,19.937; 182463,19.937; 182523,19.937; 182583,19.875; 182643,19.875;
              182703,19.875; 182763,19.875; 182823,19.875; 182883,19.875; 182943,19.875;
              183003,19.875; 183063,19.875; 183123,19.937; 183183,19.937; 183243,19.937;
              183303,19.937; 183363,19.937; 183423,19.937; 183483,20; 183543,20; 183603,
              20.062; 183663,20.062; 183723,20.062; 183783,20.062; 183843,20.062; 183903,
              20.125; 183963,20.125; 184023,20.125; 184083,20.125; 184143,20.187; 184203,
              20.187; 184263,20.187; 184323,20.25; 184383,20.25; 184443,20.25; 184503,
              20.312; 184563,20.375; 184623,20.375; 184683,20.437; 184743,20.437; 184803,
              20.5; 184863,20.562; 184923,20.625; 184983,20.687; 185043,20.812; 185103,
              20.875; 185163,20.937; 185223,21; 185283,21.062; 185343,21.125; 185403,21.187;
              185463,21.25; 185523,21.375; 185583,21.375; 185643,21.437; 185703,21.5;
              185763,21.562; 185823,21.625; 185883,21.687; 185943,21.75; 186003,21.75;
              186063,21.812; 186123,21.875; 186183,21.875; 186243,21.937; 186303,21.937;
              186363,22; 186423,22; 186483,22; 186543,22.062; 186603,22.062; 186663,22.062;
              186723,22.062; 186783,22.125; 186843,22.125; 186903,22.125; 186963,22.187;
              187023,22.187; 187083,22.187; 187143,22.187; 187203,22.187; 187263,22.25;
              187323,22.187; 187383,22.187; 187443,22.187; 187503,22.187; 187563,22.187;
              187623,22.187; 187683,22.187; 187743,22.187; 187803,22.187; 187863,22.25;
              187923,22.187; 187983,22.187; 188043,22.187; 188103,22.125; 188163,22.187;
              188223,22.125; 188283,22.125; 188343,22.125; 188403,22.125; 188463,22.062;
              188523,22.062; 188583,22.062; 188643,22.062; 188703,22.062; 188763,22.062;
              188823,22; 188883,22; 188943,22; 189003,22; 189063,21.937; 189123,21.937;
              189183,21.937; 189243,21.937; 189303,21.937; 189363,21.937; 189423,21.875;
              189483,21.875; 189543,21.875; 189603,21.875; 189663,21.875; 189723,21.812;
              189783,21.812; 189843,21.75; 189903,21.75; 189963,21.75; 190023,21.75; 190083,
              21.687; 190143,21.687; 190203,21.687; 190263,21.625; 190323,21.625; 190383,
              21.625; 190443,21.625; 190503,21.562; 190563,21.562; 190623,21.562; 190683,
              21.5; 190743,21.5; 190803,21.5; 190863,21.5; 190923,21.5; 190983,21.5; 191043,
              21.437; 191103,21.437; 191163,21.437; 191223,21.437; 191283,21.437; 191343,
              21.437; 191403,21.375; 191463,21.437; 191523,21.437; 191583,21.437; 191643,
              21.437; 191703,21.437; 191763,21.437; 191823,21.437; 191883,21.375; 191943,
              21.375; 192003,21.437; 192063,21.437; 192123,21.437; 192183,21.437; 192243,
              21.437; 192303,21.437; 192363,21.437; 192423,21.5; 192483,21.5; 192543,21.5;
              192603,21.5; 192663,21.562; 192723,21.562; 192783,21.625; 192843,21.625;
              192903,21.625; 192963,21.687; 193023,21.687; 193083,21.687; 193143,21.75;
              193203,21.75; 193263,21.812; 193323,21.875; 193383,21.875; 193443,21.875;
              193503,21.937; 193563,21.937; 193623,22; 193683,22; 193743,22; 193803,22.062;
              193863,22.062; 193923,22.125; 193983,22.125; 194043,22.125; 194103,22.125;
              194163,22.125; 194223,22.187; 194283,22.187; 194343,22.187; 194403,22.25;
              194463,22.25; 194523,22.187; 194583,22.25; 194643,22.25; 194703,22.25; 194763,
              22.25; 194823,22.25; 194883,22.25; 194943,22.25; 195003,22.25; 195063,22.312;
              195123,22.312; 195183,22.25; 195243,22.25; 195303,22.25; 195363,22.25; 195423,
              22.25; 195483,22.25; 195543,22.25; 195603,22.25; 195663,22.25; 195723,22.187;
              195783,22.25; 195843,22.187; 195903,22.187; 195963,22.187; 196023,22.187;
              196083,22.187; 196143,22.125; 196203,22.187; 196263,22.187; 196323,22.125;
              196383,22.125; 196443,22.125; 196503,22.125; 196563,22.125; 196623,22.125;
              196683,22.125; 196743,22.062; 196803,22.062; 196863,22.062; 196923,22.062;
              196983,22.062; 197043,22; 197103,22; 197163,21.937; 197223,21.937; 197283,
              21.937; 197343,21.937; 197403,21.937; 197463,21.937; 197523,21.937; 197583,
              21.875; 197643,21.875; 197703,21.875; 197763,21.812; 197823,21.812; 197883,
              21.812; 197943,21.812; 198003,21.812; 198063,21.812; 198123,21.812; 198183,
              21.75; 198243,21.75; 198303,21.75; 198363,21.75; 198423,21.75; 198483,21.687;
              198543,21.687; 198603,21.687; 198663,21.687; 198723,21.687; 198783,21.625;
              198843,21.625; 198903,21.625; 198963,21.625; 199023,21.625; 199083,21.625;
              199143,21.625; 199203,21.562; 199263,21.562; 199323,21.562; 199383,21.562;
              199443,21.562; 199503,21.562; 199563,21.562; 199623,21.562; 199683,21.562;
              199743,21.5; 199803,21.5; 199863,21.437; 199923,21.437; 199983,21.312; 200043,
              21.375; 200103,21.437; 200163,21.687; 200223,22.125; 200283,22.562; 200343,
              23.062; 200403,23.5; 200463,24; 200523,24.437; 200583,24.875; 200643,25.375;
              200703,25.812; 200763,26.312; 200823,26.75; 200883,27.187; 200943,27.562;
              201003,27.937; 201063,28.312; 201123,28.625; 201183,28.937; 201243,29.187;
              201303,29.5; 201363,29.75; 201423,29.937; 201483,30.187; 201543,30.312;
              201603,30.437; 201663,30.625; 201723,30.75; 201783,30.875; 201843,30.937;
              201903,31.062; 201963,31.187; 202023,31.312; 202083,31.375; 202143,31.437;
              202203,31.5; 202263,31.562; 202323,31.625; 202383,31.75; 202443,31.812;
              202503,31.812; 202563,31.875; 202623,31.875; 202683,31.937; 202743,32; 202803,
              32; 202863,32.062; 202923,32.125; 202983,32.125; 203043,32.125; 203103,32.187;
              203163,32.187; 203223,32.187; 203283,32.187; 203343,32.125; 203403,32.125;
              203463,32.125; 203523,32.062; 203583,32; 203643,32; 203703,32; 203763,31.875;
              203823,31.875; 203883,31.875; 203943,31.812; 204003,31.75; 204063,31.687;
              204123,31.625; 204183,31.562; 204243,31.5; 204303,31.5; 204363,31.437; 204423,
              31.312; 204483,31.312; 204543,31.312; 204603,31.312; 204663,31.312; 204723,
              31.25; 204783,31.25; 204843,31.25; 204903,31.25; 204963,31.25; 205023,31.25;
              205083,31.187; 205143,31.25; 205203,31.25; 205263,31.312; 205323,31.25;
              205383,31.25; 205443,31.312; 205503,31.312; 205563,31.312; 205623,31.312;
              205683,31.375; 205743,31.312; 205803,31.375; 205863,31.375; 205923,31.437;
              205983,31.437; 206043,31.437; 206103,31.5; 206163,31.5; 206223,31.562; 206283,
              31.562; 206343,31.562; 206403,31.562; 206463,31.562; 206523,31.625; 206583,
              31.562; 206643,31.625; 206703,31.625; 206763,31.625; 206823,31.625; 206883,
              31.625; 206943,31.687; 207003,31.687; 207063,31.625; 207123,31.625; 207183,
              31.625; 207243,31.625; 207303,31.625; 207363,31.562; 207423,31.562; 207483,
              31.5; 207543,31.5; 207603,31.437; 207663,31.437; 207723,31.437; 207783,31.375;
              207843,31.375; 207903,31.375; 207963,31.312; 208023,31.312; 208083,31.25;
              208143,31.187; 208203,31.187; 208263,31.125; 208323,31.125; 208383,31.062;
              208443,31.062; 208503,31; 208563,30.937; 208623,30.937; 208683,30.937; 208743,
              30.937; 208803,30.937; 208863,30.937; 208924,30.937; 208984,30.937; 209044,
              30.937; 209104,31; 209164,31; 209224,31; 209284,31; 209344,31; 209404,31.062;
              209464,31.062; 209524,31.125; 209584,31.062; 209644,31.125; 209704,31.125;
              209764,31.125; 209824,31.187; 209884,31.187; 209944,31.187; 210004,31.25;
              210064,31.25; 210124,31.187; 210184,31.25; 210244,31.25; 210304,31.25; 210364,
              31.25; 210424,31.25; 210484,31.25; 210544,31.25; 210604,31.25; 210664,31.312;
              210724,31.25; 210784,31.187; 210844,31.187; 210904,31.125; 210964,31.125;
              211024,31; 211084,30.937; 211144,31; 211204,31; 211264,31.062; 211324,31.062;
              211384,31.062; 211444,31.125; 211504,31.125; 211564,31.187; 211624,31.125;
              211684,31.125; 211744,31.125; 211804,31.125; 211864,31.187; 211924,31.125;
              211984,31.062; 212044,31.062; 212104,31; 212164,31.062; 212224,31; 212284,
              31; 212344,31.062; 212404,31; 212464,31; 212524,31; 212584,31; 212644,31;
              212704,31; 212764,31; 212824,30.937; 212884,30.937; 212944,30.937; 213004,
              30.937; 213064,30.937; 213124,30.937; 213184,30.937; 213244,30.937; 213304,
              30.875; 213364,30.937; 213424,30.875; 213484,30.875; 213544,30.875; 213604,
              30.875; 213664,30.812; 213724,30.812; 213784,30.75; 213844,30.875; 213904,
              30.875; 213964,30.937; 214024,30.937; 214084,30.937; 214144,30.875; 214204,
              30.937; 214264,31; 214324,31; 214384,31; 214444,31; 214504,30.937; 214564,
              30.937; 214624,30.937; 214684,30.937; 214744,30.937; 214804,30.75; 214864,
              30.75; 214924,30.625; 214984,30.687; 215044,30.812; 215104,30.812; 215164,
              30.937; 215224,30.875; 215284,30.812; 215344,30.875; 215404,30.937; 215464,
              30.937; 215524,31; 215584,31.062; 215644,31.187; 215704,31.187; 215764,31.25;
              215824,31.375; 215884,31.375; 215944,31.312; 216004,31.375; 216064,31.437;
              216124,31.437; 216184,31.312; 216244,31.375; 216304,31.375; 216364,31.437;
              216424,31.375; 216484,31.375; 216544,31.562; 216604,31.437; 216664,31.5;
              216724,31.437; 216784,31.437; 216844,31.5; 216904,31.437; 216964,31.437;
              217024,31.437; 217084,31.312; 217144,31.312; 217204,31.437; 217264,31.375;
              217324,31.312; 217384,31.312; 217444,31.437; 217504,31.375; 217564,31.312;
              217624,31.25; 217684,31.312; 217744,31.312; 217804,31.25; 217864,31.062;
              217924,31.062; 217984,31; 218044,31; 218104,31; 218164,31.062; 218224,31.062;
              218284,31.125; 218344,31.125; 218404,31.125; 218464,31.187; 218524,31.187;
              218584,31.187; 218644,31.187; 218704,31.25; 218764,31.25; 218824,31.187;
              218884,31.187; 218944,31.187; 219004,31.187; 219064,31.187; 219124,31.187;
              219184,31.125; 219244,31.062; 219304,31.062; 219364,31.062; 219424,31.125;
              219484,31.125; 219544,31.125; 219604,31.062; 219664,31.062; 219724,31.125;
              219784,31.062; 219844,31.062; 219904,31.062; 219964,31.125; 220024,31.125;
              220084,31.187; 220144,31.187; 220204,31.25; 220264,31.312; 220324,31.375;
              220384,31.375; 220444,31.437; 220504,31.437; 220564,31.437; 220624,31.437;
              220684,31.437; 220744,31.5; 220804,31.5; 220864,31.437; 220924,31.437; 220984,
              31.437; 221044,31.375; 221104,31.25; 221164,31.187; 221224,31.062; 221284,
              31; 221344,30.875; 221404,30.75; 221464,30.687; 221524,30.625; 221584,30.562;
              221644,30.5; 221704,30.437; 221764,30.375; 221824,30.312; 221884,30.25;
              221944,30.187; 222004,30.125; 222064,30; 222124,29.937; 222184,29.937; 222244,
              29.937; 222304,29.937; 222364,29.812; 222424,29.75; 222484,29.75; 222544,
              29.75; 222604,29.75; 222664,29.75; 222724,29.687; 222784,29.687; 222844,
              29.75; 222904,29.75; 222964,29.812; 223024,29.75; 223084,29.812; 223144,
              29.812; 223204,29.875; 223264,29.875; 223324,29.875; 223384,29.937; 223444,
              29.937; 223504,30; 223564,30; 223624,30.062; 223684,30.062; 223744,30.125;
              223804,30.125; 223864,30.125; 223924,30.125; 223984,30.125; 224044,30.125;
              224104,30.125; 224164,30.062; 224224,30.125; 224284,30.062; 224344,30.062;
              224404,30; 224464,30; 224524,29.937; 224584,29.937; 224644,29.875; 224704,
              29.875; 224764,29.875; 224824,29.812; 224884,29.75; 224944,29.75; 225004,
              29.687; 225064,29.687; 225124,29.625; 225184,29.562; 225244,29.562; 225304,
              29.5; 225364,29.5; 225424,29.437; 225484,29.375; 225544,29.375; 225604,29.312;
              225664,29.312; 225724,29.25; 225784,29.25; 225844,29.187; 225904,29.187;
              225964,29.187; 226024,29.062; 226084,29; 226144,28.937; 226204,28.937; 226264,
              28.937; 226324,28.875; 226384,28.875; 226444,28.812; 226504,28.812; 226564,
              28.812; 226624,28.812; 226684,28.812; 226744,28.812; 226804,28.812; 226864,
              28.75; 226924,28.75; 226984,28.687; 227044,28.687; 227104,28.687; 227164,
              28.75; 227224,28.75; 227284,28.75; 227344,28.75; 227404,28.75; 227464,28.75;
              227524,28.75; 227584,28.75; 227644,28.75; 227704,28.75; 227764,28.812; 227824,
              28.75; 227884,28.812; 227944,28.812; 228004,28.812; 228064,28.812; 228124,
              28.75; 228184,28.812; 228244,28.812; 228304,28.812; 228364,28.875; 228424,
              28.875; 228484,28.875; 228544,28.812; 228664,28.75; 228725,28.875; 228785,
              28.937; 228845,28.937; 228905,28.937; 228965,28.937; 229025,28.937; 229085,
              28.875; 229145,28.812; 229205,28.875; 229265,28.937; 229325,28.812; 229385,
              28.937; 229445,28.937; 229505,28.937; 229565,28.875; 229625,29; 229685,29.062;
              229745,29.062; 229805,29.062; 229865,29.062; 229925,29; 229985,29.062; 230045,
              29; 230105,29; 230165,29; 230225,29; 230285,29; 230345,29; 230405,29; 230465,
              28.937; 230525,29; 230585,28.937; 230645,29; 230705,29; 230765,29; 230825,
              28.937; 230885,28.937; 230945,28.875; 231005,28.937; 231065,29; 231125,29;
              231185,28.937; 231245,28.875; 231305,28.812; 231365,28.875; 231425,28.875;
              231485,28.937; 231545,28.875; 231605,28.812; 231665,28.812; 231725,28.875;
              231785,28.812; 231845,28.812; 231905,28.75; 231965,28.75; 232025,28.687;
              232085,28.687; 232145,28.687; 232205,28.687; 232265,28.625; 232325,28.562;
              232385,28.562; 232445,28.562; 232505,28.562; 232565,28.5; 232625,28.5; 232685,
              28.5; 232745,28.5; 232805,28.437; 232865,28.5; 232925,28.5; 232985,28.5;
              233045,28.5; 233105,28.5; 233165,28.5; 233225,28.437; 233285,28.437; 233345,
              28.437; 233405,28.437; 233465,28.5; 233525,28.312; 233585,28.5; 233645,28.562;
              233705,28.625; 233765,28.625; 233825,28.687; 233885,28.75; 233945,28.812;
              234005,28.812; 234065,28.812; 234125,28.875; 234185,28.875; 234245,28.937;
              234305,29; 234365,29; 234425,29; 234485,29; 234545,29.062; 234605,29.062;
              234665,29.062; 234725,29.062; 234785,29.125; 234845,29.187; 234905,29.125;
              234965,29.187; 235025,29.25; 235085,29.25; 235145,29.312; 235205,29.375;
              235265,29.437; 235325,29.562; 235385,29.625; 235445,29.625; 235505,29.687;
              235565,29.812; 235625,29.812; 235685,29.875; 235745,29.937; 235805,29.937;
              235865,30; 235925,30.062; 235985,30.062; 236045,30.062; 236105,30; 236165,
              30; 236225,29.937; 236285,29.937; 236345,29.812; 236405,29.812; 236465,29.75;
              236525,29.687; 236585,29.562; 236645,29.562; 236705,29.375; 236765,29.375;
              236825,29.312; 236885,29.25; 236945,29.25; 237005,29.187; 237065,29.125;
              237125,29; 237185,28.937; 237245,28.875; 237305,28.812; 237365,28.812; 237425,
              28.75; 237485,28.625; 237545,28.562; 237605,28.562; 237665,28.437; 237725,
              28.375; 237785,28.312; 237845,28.25; 237905,28.187; 237965,28.125; 238025,
              28.062; 238085,28; 238145,27.937; 238205,27.937; 238265,27.875; 238325,27.812;
              238385,27.75; 238445,27.687; 238505,27.687; 238565,27.625; 238625,27.562;
              238685,27.5; 238745,27.437; 238805,27.375; 238865,27.312; 238925,27.25;
              238985,27.187; 239045,27.125; 239105,27.062; 239165,27; 239225,26.937; 239285,
              26.875; 239345,26.875; 239405,26.812; 239465,26.75; 239525,26.75; 239585,
              26.687; 239645,26.625; 239705,26.562; 239765,26.5; 239825,26.5; 239885,26.437;
              239945,26.375; 240005,26.312; 240065,26.312; 240125,26.25; 240185,26.187;
              240245,26.125; 240305,26.125; 240365,26.062; 240425,26; 240485,25.937; 240545,
              25.937; 240605,25.875; 240665,25.875; 240725,25.812; 240785,25.75; 240845,
              25.75; 240905,25.687; 240965,25.625; 241025,25.625; 241085,25.562; 241145,
              25.562; 241205,25.5; 241265,25.437; 241325,25.437; 241385,25.375; 241445,
              25.312; 241505,25.312; 241565,25.25; 241625,25.187; 241685,25.187; 241745,
              25.125; 241805,25.062; 241865,25.125; 241925,25.062; 241985,25; 242045,25;
              242105,24.937; 242165,24.875; 242225,24.875; 242285,24.812; 242345,24.812;
              242405,24.75; 242465,24.687; 242525,24.687; 242585,24.687; 242645,24.625;
              242705,24.625; 242765,24.562; 242825,24.562; 242885,24.5; 242945,24.5; 243005,
              24.437; 243065,24.437; 243125,24.375; 243185,24.375; 243245,24.312; 243305,
              24.312; 243365,24.312; 243425,24.25; 243485,24.187; 243545,24.187; 243605,
              24.187; 243665,24.125; 243725,24.125; 243785,24.062; 243845,24.062; 243905,
              24.062; 243965,24; 244025,24; 244085,23.937; 244145,23.937; 244205,23.937;
              244265,23.875; 244325,23.875; 244385,23.812; 244445,23.812; 244505,23.75;
              244565,23.75; 244625,23.75; 244685,23.687; 244745,23.687; 244805,23.687;
              244865,23.625; 244925,23.625; 244985,23.625; 245045,23.562; 245105,23.562;
              245165,23.562; 245225,23.5; 245285,23.5; 245345,23.5; 245405,23.437; 245465,
              23.437; 245525,23.437; 245585,23.375; 245645,23.375; 245705,23.375; 245765,
              23.375; 245825,23.312; 245885,23.312; 245945,23.312; 246005,23.25; 246065,
              23.25; 246125,23.25; 246185,23.25; 246245,23.25; 246305,23.187; 246365,23.187;
              246425,23.187; 246485,23.187; 246545,23.125; 246605,23.125; 246665,23.125;
              246725,23.125; 246785,23.062; 246845,23.062; 246905,23.062; 246965,23.062;
              247025,23.062; 247085,23; 247145,23; 247205,23; 247265,22.937; 247325,22.937;
              247385,22.937; 247445,22.937; 247505,22.875; 247565,22.875; 247625,22.875;
              247685,22.875; 247745,22.875; 247805,22.812; 247865,22.812; 247925,22.812;
              247985,22.75; 248045,22.75; 248105,22.75; 248165,22.75; 248225,22.75; 248285,
              22.75; 248345,22.687; 248405,22.687; 248465,22.687; 248525,22.687; 248585,
              22.625; 248645,22.625; 248705,22.625; 248765,22.625; 248825,22.562; 248885,
              22.562; 248945,22.562; 249005,22.562; 249065,22.562; 249125,22.5; 249185,
              22.5; 249245,22.5; 249305,22.5; 249365,22.5; 249425,22.437; 249485,22.437;
              249545,22.437; 249605,22.375; 249665,22.437; 249725,22.375; 249785,22.375;
              249845,22.375; 249905,22.312; 249965,22.312; 250025,22.312; 250085,22.312;
              250145,22.312; 250205,22.312; 250265,22.25; 250325,22.25; 250385,22.25;
              250445,22.25; 250505,22.187; 250565,22.187; 250625,22.187; 250685,22.125;
              250745,22.125; 250805,22.125; 250865,22.125; 250925,22.125; 250985,22.125;
              251045,22.062; 251105,22.062; 251165,22.062; 251225,22.062; 251285,22.062;
              251345,22; 251405,22; 251465,22; 251525,21.937; 251585,22; 251645,21.937;
              251705,21.937; 251765,21.937; 251825,21.937; 251885,21.875; 251945,21.875;
              252005,21.875; 252065,21.875; 252125,21.875; 252185,21.812; 252245,21.812;
              252305,21.812; 252365,21.75; 252425,21.75; 252485,21.75; 252545,21.75; 252605,
              21.75; 252665,21.687; 252725,21.687; 252785,21.687; 252845,21.687; 252905,
              21.625; 252965,21.687; 253025,21.625; 253085,21.625; 253145,21.625; 253205,
              21.562; 253265,21.562; 253325,21.562; 253385,21.562; 253445,21.5; 253505,
              21.5; 253565,21.5; 253625,21.5; 253685,21.5; 253745,21.437; 253805,21.437;
              253865,21.437; 253925,21.375; 253985,21.375; 254045,21.375; 254105,21.312;
              254165,21.312; 254225,21.312; 254285,21.312; 254345,21.25; 254405,21.312;
              254465,21.312; 254525,21.25; 254585,21.25; 254645,21.25; 254705,21.25; 254765,
              21.187; 254825,21.187; 254885,21.187; 254945,21.187; 255005,21.187; 255065,
              21.125; 255125,21.125; 255185,21.125; 255245,21.062; 255305,21.062; 255365,
              21.062; 255425,21.062; 255485,21.062; 255545,21.062; 255605,21; 255665,21;
              255725,21; 255785,21; 255845,20.937; 255905,20.937; 255965,20.937; 256025,
              20.937; 256085,20.937; 256145,20.937; 256205,20.937; 256265,20.875; 256325,
              20.875; 256385,20.875; 256445,20.875; 256505,20.875; 256565,20.812; 256625,
              20.875; 256685,20.812; 256745,20.812; 256805,20.812; 256865,20.812; 256925,
              20.812; 256985,20.812; 257045,20.75; 257105,20.75; 257165,20.75; 257225,
              20.75; 257285,20.75; 257345,20.75; 257406,20.687; 257466,20.687; 257526,
              20.687; 257586,20.687; 257646,20.687; 257706,20.687; 257766,20.687; 257826,
              20.687; 257886,20.687; 257946,20.625; 258006,20.625; 258066,20.625; 258126,
              20.625; 258186,20.625; 258246,20.625; 258306,20.625; 258366,20.625; 258426,
              20.625; 258486,20.625; 258546,20.625; 258606,20.562; 258666,20.562; 258726,
              20.625; 258786,20.562; 258846,20.562; 258906,20.562; 258966,20.562; 259026,
              20.562; 259086,20.562; 259146,20.562; 259206,20.562; 259266,20.562; 259326,
              20.562; 259386,20.562; 259446,20.562; 259506,20.562; 259566,20.562; 259626,
              20.562; 259686,20.562; 259746,20.5; 259806,20.562; 259866,20.562; 259926,
              20.5; 259986,20.5; 260046,20.5; 260106,20.562; 260166,20.5; 260226,20.5;
              260286,20.5; 260346,20.5; 260406,20.5; 260466,20.5; 260526,20.5; 260586,
              20.5; 260646,20.5; 260706,20.5; 260766,20.5; 260826,20.5; 260886,20.437;
              260946,20.5; 261006,20.437; 261066,20.437; 261126,20.437; 261186,20.437;
              261246,20.437; 261306,20.437; 261366,20.437; 261426,20.437; 261486,20.437;
              261546,20.437; 261606,20.375; 261666,20.437; 261726,20.437; 261786,20.375;
              261846,20.375; 261906,20.375; 261966,20.437; 262026,20.375; 262086,20.375;
              262146,20.375; 262206,20.375; 262266,20.375; 262326,20.375; 262386,20.375;
              262446,20.375; 262506,20.375; 262566,20.375; 262626,20.375; 262686,20.375;
              262746,20.312; 262806,20.312; 262866,20.312; 262926,20.312; 262986,20.312;
              263046,20.312; 263106,20.312; 263166,20.312; 263226,20.312; 263286,20.312;
              263346,20.25; 263406,20.312; 263466,20.312; 263526,20.25; 263586,20.25;
              263646,20.25; 263706,20.25; 263766,20.25; 263826,20.25; 263886,20.25; 263946,
              20.187; 264006,20.25; 264066,20.25; 264126,20.25; 264186,20.187; 264246,
              20.187; 264306,20.187; 264366,20.187; 264426,20.187; 264486,20.187; 264546,
              20.187; 264606,20.187; 264666,20.187; 264726,20.187; 264786,20.187; 264846,
              20.187; 264906,20.187; 264966,20.187; 265026,20.187; 265086,20.187; 265146,
              20.187; 265206,20.187; 265266,20.187; 265326,20.125; 265386,20.125; 265446,
              20.125; 265506,20.125; 265566,20.125; 265626,20.125; 265686,20.125; 265746,
              20.125; 265806,20.125; 265866,20.125; 265926,20.125; 265986,20.125; 266046,
              20.125; 266106,20.125; 266166,20.062; 266226,20.125; 266286,20.125; 266346,
              20.125; 266406,20.062; 266466,20.062; 266526,20.062; 266586,20.062; 266646,
              20.062; 266706,20.062; 266766,20.062; 266826,20.062; 266886,20.062; 266946,
              20.062; 267006,20.062; 267066,20.062; 267126,20.062; 267186,20.062; 267246,
              20; 267306,20.062; 267366,20; 267426,20; 267486,20; 267546,20; 267606,20;
              267666,20; 267726,20; 267786,20; 267846,20; 267906,20; 267966,20; 268026,
              20; 268086,20; 268146,20; 268206,20; 268266,20; 268326,20; 268386,20; 268446,
              20; 268506,20; 268566,19.937; 268626,20; 268686,19.937; 268746,19.937; 268806,
              19.937; 268866,19.937; 268926,19.937; 268986,19.937; 269046,19.937; 269106,
              19.937; 269166,19.937; 269226,19.937; 269286,19.937; 269346,19.937; 269406,
              19.937; 269466,19.937; 269526,19.937; 269586,19.937; 269646,19.937; 269706,
              19.937; 269766,19.937; 269826,19.937; 269886,19.937; 269946,20; 270006,20;
              270066,20; 270126,20.062; 270186,20.062; 270246,20.062; 270306,20.062; 270366,
              20.125; 270426,20.125; 270486,20.187; 270546,20.187; 270606,20.187; 270666,
              20.187; 270726,20.187; 270786,20.25; 270846,20.25; 270906,20.25; 270966,
              20.25; 271026,20.312; 271086,20.375; 271146,20.375; 271206,20.437; 271266,
              20.5; 271326,20.562; 271386,20.625; 271446,20.687; 271506,20.75; 271566,
              20.812; 271626,20.937; 271686,21; 271746,21.062; 271806,21.187; 271866,21.187;
              271926,21.312; 271986,21.437; 272046,21.5; 272106,21.562; 272166,21.625;
              272226,21.687; 272286,21.75; 272346,21.812; 272406,21.875; 272466,21.937;
              272526,21.937; 272586,22.062; 272646,22.062; 272706,22.125; 272766,22.125;
              272826,22.187; 272886,22.187; 272946,22.25; 273006,22.25; 273066,22.312;
              273126,22.312; 273186,22.312; 273246,22.312; 273306,22.312; 273366,22.375;
              273426,22.312; 273486,22.375; 273546,22.375; 273606,22.375; 273666,22.375;
              273726,22.375; 273786,22.375; 273846,22.375; 273906,22.375; 273966,22.375;
              274026,22.312; 274086,22.312; 274146,22.312; 274206,22.375; 274266,22.312;
              274326,22.312; 274386,22.312; 274446,22.312; 274506,22.312; 274566,22.312;
              274626,22.25; 274686,22.25; 274746,22.25; 274806,22.25; 274866,22.25; 274926,
              22.187; 274986,22.187; 275046,22.187; 275106,22.187; 275166,22.125; 275226,
              22.125; 275286,22.125; 275346,22.062; 275406,22.062; 275466,22.125; 275526,
              22.062; 275586,22.062; 275646,22; 275706,22; 275766,22; 275826,22; 275886,
              22; 275946,21.937; 276006,21.875; 276066,21.937; 276126,21.875; 276186,21.875;
              276246,21.812; 276306,21.812; 276366,21.812; 276426,21.75; 276486,21.75;
              276546,21.75; 276606,21.687; 276666,21.687; 276726,21.687; 276786,21.687;
              276846,21.625; 276906,21.625; 276966,21.625; 277026,21.562; 277086,21.562;
              277146,21.562; 277206,21.5; 277266,21.5; 277326,21.5; 277386,21.437; 277446,
              21.437; 277506,21.437; 277566,21.437; 277626,21.437; 277686,21.437; 277746,
              21.437; 277806,21.437; 277866,21.437; 277926,21.437; 277986,21.437; 278046,
              21.437; 278106,21.437; 278166,21.437; 278226,21.437; 278286,21.437; 278346,
              21.437; 278406,21.437; 278466,21.437; 278526,21.437; 278586,21.437; 278646,
              21.5; 278706,21.5; 278766,21.5; 278826,21.562; 278886,21.562; 278946,21.562;
              279006,21.562; 279066,21.625; 279126,21.687; 279186,21.75; 279246,21.75;
              279306,21.812; 279366,21.812; 279426,21.875; 279486,21.937; 279546,21.937;
              279606,22; 279666,22.062; 279726,22.125; 279786,22.125; 279846,22.187; 279906,
              22.25; 279966,22.25; 280026,22.312; 280086,22.375; 280146,22.375; 280206,
              22.375; 280266,22.437; 280326,22.437; 280386,22.5; 280446,22.5; 280506,22.562;
              280566,22.562; 280626,22.562; 280686,22.562; 280746,22.625; 280806,22.625;
              280866,22.625; 280926,22.625; 280986,22.625; 281046,22.625; 281106,22.687;
              281166,22.687; 281226,22.625; 281286,22.562; 281346,22.5; 281406,22.437;
              281466,22.437; 281526,22.437; 281586,22.437; 281646,22.437; 281706,22.437;
              281766,22.437; 281826,22.437; 281886,22.437; 281946,22.437; 282006,22.437;
              282066,22.437; 282126,22.437; 282186,22.437; 282246,22.375; 282306,22.375;
              282366,22.375; 282426,22.312; 282486,22.312; 282546,22.312; 282606,22.312;
              282666,22.312; 282726,22.312; 282786,22.25; 282846,22.25; 282906,22.25;
              282966,22.25; 283026,22.187; 283086,22.187; 283146,22.187; 283206,22.187;
              283266,22.125; 283326,22.125; 283386,22.125; 283446,22.125; 283506,22.062;
              283566,22.062; 283626,22.062; 283686,22.062; 283746,22; 283806,22; 283866,
              22; 283926,22; 283986,22; 284046,21.937; 284106,21.937; 284166,21.875; 284226,
              21.875; 284286,21.875; 284346,21.875; 284406,21.875; 284466,21.875; 284526,
              21.812; 284586,21.812; 284646,21.812; 284706,21.75; 284766,21.75; 284826,
              21.75; 284886,21.75; 284946,21.687; 285006,21.687; 285066,21.687; 285126,
              21.687; 285186,21.625; 285246,21.625; 285306,21.625; 285366,21.625; 285426,
              21.625; 285486,21.625; 285546,21.562; 285606,21.562; 285666,21.562; 285726,
              21.562; 285786,21.5; 285846,21.5; 285906,21.5; 285966,21.5; 286026,21.5;
              286086,21.437; 286146,21.437; 286206,21.437; 286266,21.437; 286326,21.375;
              286386,21.312; 286446,21.312; 286506,21.375; 286566,21.625; 286626,22.062;
              286686,22.562; 286746,23; 286806,23.5; 286866,23.937; 286926,24.312; 286986,
              24.75; 287046,25.25; 287106,25.687; 287166,26.187; 287226,26.625; 287286,
              27; 287346,27.437; 287406,27.75; 287466,28.125; 287526,28.437; 287586,28.687;
              287646,28.937; 287706,29.187; 287766,29.437; 287826,29.625; 287886,29.812;
              287946,29.937; 288006,30.062; 288066,30.25; 288126,30.375; 288186,30.5;
              288246,30.625; 288306,30.687; 288366,30.812; 288426,30.875; 288486,31; 288546,
              31.062; 288606,31.125; 288666,31.125; 288726,31.187; 288786,31.187; 288846,
              31.25; 288906,31.312; 288966,31.375; 289026,31.437; 289086,31.437; 289146,
              31.5; 289206,31.5; 289266,31.5; 289326,31.5; 289386,31.5; 289446,31.5; 289506,
              31.562; 289566,31.562; 289626,31.562; 289686,31.562; 289746,31.5; 289806,
              31.5; 289866,31.5; 289926,31.5; 289986,31.5; 290046,31.437; 290106,31.5;
              290166,31.437; 290226,31.437; 290286,31.437; 290346,31.375; 290406,31.375;
              290466,31.375; 290526,31.375; 290586,31.375; 290646,31.312; 290706,31.312;
              290766,31.375; 290826,31.375; 290886,31.437; 290946,31.437; 291006,31.437;
              291066,31.5; 291126,31.5; 291186,31.437; 291246,31.437; 291306,31.437; 291366,
              31.437; 291426,31.5; 291486,31.437; 291546,31.437; 291606,31.5; 291666,31.5;
              291726,31.5; 291786,31.5; 291846,31.5; 291906,31.562; 291966,31.562; 292026,
              31.5; 292086,31.5; 292146,31.5; 292206,31.5; 292266,31.5; 292326,31.437;
              292386,31.437; 292446,31.437; 292506,31.437; 292566,31.437; 292626,31.437;
              292686,31.375; 292746,31.437; 292806,31.375; 292866,31.375; 292926,31.375;
              292986,31.437; 293046,31.375; 293106,31.375; 293166,31.375; 293226,31.375;
              293286,31.437; 293346,31.375; 293406,31.437; 293466,31.375; 293526,31.437;
              293586,31.375; 293646,31.375; 293706,31.437; 293766,31.437; 293826,31.437;
              293886,31.5; 293946,31.5; 294006,31.5; 294066,31.562; 294126,31.562; 294186,
              31.5; 294246,31.5; 294306,31.5; 294366,31.5; 294426,31.437; 294486,31.437;
              294546,31.437; 294606,31.375; 294666,31.375; 294726,31.375; 294786,31.312;
              294846,31.312; 294906,31.25; 294966,31.312; 295026,31.375; 295086,31.437;
              295146,31.437; 295206,31.437; 295266,31.437; 295326,31.5; 295386,31.5; 295446,
              31.562; 295506,31.562; 295566,31.625; 295626,31.687; 295686,31.625; 295746,
              31.687; 295806,31.75; 295866,31.75; 295926,31.687; 295986,31.75; 296046,
              31.75; 296106,31.75; 296166,31.687; 296226,31.687; 296286,31.625; 296346,
              31.625; 296406,31.562; 296466,31.5; 296526,31.5; 296586,31.5; 296646,31.5;
              296706,31.5; 296766,31.437; 296826,31.437; 296886,31.375; 296946,31.312;
              297006,31.312; 297066,31.25; 297126,31.187; 297186,31.187; 297246,31.062;
              297306,31.062; 297366,31; 297426,31; 297486,30.937; 297546,30.937; 297606,
              30.875; 297666,30.875; 297726,30.812; 297786,30.875; 297846,30.875; 297906,
              30.875; 297966,30.937; 298026,30.812; 298086,30.937; 298146,31.062; 298206,
              31.125; 298266,31.187; 298326,31.312; 298386,31.312; 298446,31.375; 298506,
              31.437; 298566,31.437; 298626,31.437; 298686,31.5; 298746,31.5; 298806,31.562;
              298866,31.625; 298926,31.625; 298986,31.625; 299046,31.625; 299106,31.687;
              299166,31.687; 299226,31.687; 299286,31.75; 299346,31.687; 299406,31.812;
              299466,31.812; 299526,31.812; 299586,31.875; 299646,31.937; 299706,31.937;
              299766,31.937; 299826,31.937; 299886,31.875; 299946,31.875; 300006,31.812;
              300066,31.812; 300126,31.812; 300186,31.812; 300246,31.875; 300306,31.812;
              300366,31.812; 300426,31.812; 300486,31.812; 300546,31.75; 300606,31.75;
              300666,31.75; 300726,31.75; 300786,31.75; 300846,31.687; 300906,31.687;
              300966,31.687; 301026,31.687; 301086,31.687; 301146,31.687; 301206,31.687;
              301266,31.687; 301326,31.625; 301386,31.625; 301446,31.562; 301506,31.562;
              301566,31.5; 301626,31.5; 301686,31.5; 301746,31.5; 301806,31.5; 301866,
              31.5; 301926,31.375; 301986,31.375; 302046,31.375; 302106,31.312; 302166,
              31.312; 302226,31.312; 302286,31.312; 302346,31.375; 302406,31.312; 302466,
              31.25; 302526,31.25; 302586,31.187; 302646,31.125; 302706,31; 302766,31;
              302826,31; 302886,31; 302946,30.937; 303006,30.812; 303066,30.75; 303126,
              30.687; 303186,30.562; 303246,30.562; 303306,30.5; 303366,30.437; 303426,
              30.375; 303486,30.312; 303546,30.187; 303606,30.125; 303666,30.125; 303726,
              30.062; 303786,29.937; 303846,29.937; 303906,29.875; 303966,29.875; 304026,
              29.812; 304086,29.687; 304146,29.687; 304206,29.625; 304266,29.625; 304326,
              29.5; 304386,29.437; 304446,29.437; 304506,29.437; 304566,29.375; 304626,
              29.187; 304686,29.312; 304746,29.25; 304806,29.25; 304866,29.25; 304926,
              29.25; 304986,29.25; 305046,29.25; 305106,29.25; 305166,29.187; 305226,29.187;
              305286,29.187; 305346,29.187; 305406,29.187; 305466,29.187; 305526,29.187;
              305586,29.187; 305646,29.25; 305706,29.187; 305766,29.25; 305826,29.187;
              305886,29.25; 305946,29.25; 306006,29.187; 306066,29.187; 306126,29.187;
              306186,29.25; 306246,29.187; 306306,29.187; 306366,29.25; 306426,29.25;
              306486,29.25; 306546,29.25; 306606,29.25; 306666,29.25; 306726,29.25; 306786,
              29.312; 306846,29.312; 306906,29.312; 306966,29.25; 307026,29.312; 307086,
              29.312; 307146,29.312; 307206,29.375; 307266,29.312; 307327,29.312; 307387,
              29.312; 307447,29.312; 307507,29.375; 307567,29.312; 307627,29.375; 307687,
              29.375; 307747,29.375; 307807,29.375; 307867,29.312; 307927,29.312; 307987,
              29.375; 308047,29.312; 308107,29.375; 308167,29.312; 308227,29.375; 308287,
              29.375; 308347,29.375; 308407,29.375; 308467,29.375; 308527,29.375; 308587,
              29.375; 308647,29.375; 308707,29.375; 308767,29.375; 308827,29.375; 308887,
              29.437; 308947,29.437; 309007,29.5; 309067,29.437; 309127,29.5; 309187,29.5;
              309247,29.5; 309307,29.562; 309367,29.562; 309427,29.562; 309487,29.562;
              309547,29.562; 309607,29.562; 309667,29.625; 309727,29.562; 309787,29.562;
              309847,29.562; 309907,29.562; 309967,29.562; 310027,29.562; 310087,29.5;
              310147,29.5; 310207,29.5; 310267,29.437; 310327,29.437; 310387,29.375; 310447,
              29.375; 310507,29.375; 310567,29.375; 310627,29.375; 310687,29.375; 310747,
              29.375; 310807,29.312; 310867,29.25; 310927,29.25; 310987,29.25; 311047,
              29.187; 311107,29.25; 311167,29.187; 311227,29.25; 311287,29.312; 311347,
              29.25; 311407,29.312; 311467,29.312; 311527,29.375; 311587,29.312; 311647,
              29.25; 311707,29.25; 311767,29.25; 311827,29.187; 311887,29.187; 311947,
              29.312; 312007,29.312; 312067,29.312; 312127,29.25; 312187,29.187; 312247,
              29.25; 312307,29.25; 312367,29.25; 312427,29.187; 312487,29.187; 312547,
              29.187; 312607,29.125; 312667,29.125; 312727,29.062; 312787,29; 312847,28.937;
              312907,29.125; 312967,29.187; 313027,29.187; 313087,29.187; 313147,29.187;
              313207,29.187; 313267,29.125; 313327,29.125; 313387,29.187; 313447,29.187;
              313507,29.187; 313567,29.187; 313627,29.125; 313687,29.187; 313747,29.125;
              313807,29.25; 313867,29.25; 313927,29.125; 313987,29.187; 314047,29; 314107,
              29.125; 314167,29.187; 314227,29.125; 314287,29.187; 314347,29.187; 314407,
              29.062; 314467,29.125; 314527,29; 314587,29.062; 314647,29.062; 314707,28.937;
              314767,28.937; 314827,29; 314887,29; 314947,28.875; 315064,29; 315125,29.062;
              315185,28.937; 315245,29; 315305,29.062; 315365,29.062; 315425,28.937; 315485,
              29.062; 315545,29.062; 315605,29; 315665,29.062; 315725,29.062; 315785,29.125;
              315845,29.062; 315905,29.062; 315965,29.062; 316025,29.062; 316085,29; 316145,
              29; 316205,28.937; 316265,28.937; 316325,29; 316385,29; 316445,29; 316505,
              28.937; 316565,28.937; 316625,28.937; 316685,28.937; 316745,28.937; 316805,
              28.937; 316865,28.937; 316925,28.937; 316985,28.937; 317045,28.875; 317105,
              28.875; 317165,28.875; 317225,28.875; 317285,28.875; 317345,28.875; 317405,
              28.875; 317465,28.875; 317525,28.875; 317585,28.875; 317645,28.875; 317705,
              28.875; 317765,28.875; 317825,28.875; 317885,28.875; 317945,28.812; 318005,
              28.812; 318065,28.875; 318125,28.812; 318185,28.812; 318245,28.875; 318305,
              28.875; 318365,28.875; 318425,28.812; 318485,28.812; 318545,28.812; 318605,
              28.875; 318665,28.875; 318725,28.875; 318785,28.875; 318845,28.875; 318905,
              28.937; 318965,28.937; 319025,29; 319085,29; 319145,29.062; 319205,29.125;
              319265,29.125; 319325,29.125; 319385,29.187; 319445,29.187; 319505,29.187;
              319565,29.125; 319625,29.125; 319685,29.187; 319745,29.187; 319805,29.187;
              319865,29.187; 319925,29.25; 319985,29.25; 320045,29.25; 320105,29.312;
              320165,29.312; 320225,29.375; 320285,29.375; 320345,29.437; 320405,29.437;
              320465,29.437; 320525,29.437; 320585,29.437; 320645,29.5; 320705,29.437;
              320765,29.5; 320825,29.5; 320885,29.562; 320945,29.562; 321005,29.562; 321065,
              29.562; 321125,29.625; 321185,29.687; 321245,29.687; 321305,29.687; 321365,
              29.75; 321425,29.75; 321485,29.812; 321545,29.812; 321605,29.812; 321665,
              29.875; 321725,29.875; 321785,29.937; 321845,29.937; 321905,30; 321965,30;
              322025,30.062; 322085,30.062; 322145,30.062; 322205,30.125; 322265,30.125;
              322325,30.187; 322385,30.125; 322445,30.125; 322505,30.125; 322565,30.062;
              322625,30; 322685,29.937; 322745,29.937; 322805,29.875; 322865,29.812; 322925,
              29.75; 322985,29.687; 323045,29.562; 323105,29.562; 323165,29.437; 323225,
              29.375; 323285,29.312; 323345,29.25; 323405,29.187; 323465,29.062; 323525,
              29.062; 323585,28.937; 323645,28.875; 323705,28.812; 323765,28.75; 323825,
              28.687; 323885,28.562; 323945,28.5; 324005,28.437; 324065,28.375; 324125,
              28.312; 324185,28.25; 324245,28.187; 324305,28.125; 324365,28.062; 324425,
              28; 324485,27.937; 324545,27.875; 324605,27.812; 324665,27.75; 324725,27.687;
              324785,27.625; 324845,27.562; 324905,27.5; 324965,27.437; 325025,27.375;
              325085,27.312; 325145,27.25; 325205,27.187; 325265,27.187; 325325,27.062;
              325385,27; 325445,27; 325505,26.937; 325565,26.875; 325625,26.812; 325685,
              26.75; 325745,26.75; 325805,26.687; 325865,26.625; 325925,26.562; 325985,
              26.5; 326045,26.437; 326105,26.437; 326165,26.375; 326225,26.312; 326285,
              26.25; 326345,26.25; 326405,26.187; 326465,26.125; 326525,26.062; 326585,
              26.062; 326645,26; 326705,26; 326765,25.937; 326825,25.875; 326885,25.812;
              326945,25.812; 327005,25.75; 327065,25.687; 327125,25.687; 327185,25.687;
              327245,25.625; 327305,25.562; 327365,25.562; 327425,25.5; 327485,25.5; 327545,
              25.437; 327605,25.375; 327665,25.375; 327725,25.312; 327785,25.25; 327845,
              25.25; 327905,25.25; 327965,25.187; 328025,25.125; 328085,25.125; 328145,
              25.062; 328205,25.062; 328265,25; 328325,24.937; 328385,24.937; 328445,24.937;
              328505,24.875; 328565,24.875; 328625,24.812; 328685,24.812; 328745,24.75;
              328805,24.687; 328865,24.687; 328925,24.625; 328985,24.625; 329045,24.562;
              329105,24.562; 329165,24.5; 329225,24.5; 329285,24.437; 329345,24.437; 329405,
              24.437; 329465,24.375; 329525,24.375; 329585,24.312; 329645,24.25; 329705,
              24.25; 329765,24.25; 329825,24.187; 329885,24.125; 329945,24.125; 330005,
              24.125; 330065,24.125; 330125,24.062; 330185,24.062; 330245,24; 330305,24;
              330365,24; 330425,24; 330485,23.937; 330545,23.875; 330605,23.875; 330665,
              23.875; 330725,23.812; 330785,23.812; 330845,23.812; 330905,23.75; 330965,
              23.75; 331025,23.687; 331085,23.687; 331145,23.687; 331205,23.625; 331265,
              23.625; 331325,23.625; 331385,23.562; 331445,23.562; 331505,23.562; 331565,
              23.5; 331625,23.5; 331685,23.437; 331745,23.437; 331805,23.437; 331865,23.437;
              331925,23.375; 331985,23.375; 332045,23.312; 332105,23.312; 332165,23.312;
              332225,23.312; 332285,23.25; 332345,23.25; 332405,23.25; 332465,23.25; 332525,
              23.187; 332585,23.187; 332645,23.187; 332705,23.125; 332765,23.125; 332825,
              23.125; 332885,23.062; 332945,23.062; 333005,23; 333065,23.062; 333125,23;
              333185,23; 333245,22.937; 333305,22.937; 333365,23; 333425,22.937; 333485,
              22.937; 333545,22.937; 333605,22.937; 333665,22.937; 333725,22.875; 333785,
              22.875; 333845,22.875; 333905,22.875; 333965,22.812; 334025,22.812; 334085,
              22.812; 334145,22.812; 334205,22.812; 334265,22.75; 334325,22.75; 334385,
              22.75; 334445,22.75; 334505,22.75; 334565,22.687; 334625,22.687; 334685,
              22.687; 334745,22.687; 334805,22.625; 334865,22.687; 334925,22.625; 334985,
              22.625; 335045,22.625; 335105,22.625; 335165,22.562; 335225,22.562; 335285,
              22.562; 335345,22.562; 335405,22.562; 335465,22.5; 335525,22.5; 335585,22.5;
              335645,22.5; 335705,22.437; 335765,22.437; 335825,22.437; 335885,22.437;
              335945,22.375; 336005,22.375; 336065,22.375; 336125,22.375; 336185,22.375;
              336245,22.375; 336305,22.375; 336365,22.312; 336425,22.312; 336485,22.312;
              336545,22.312; 336605,22.312; 336665,22.25; 336725,22.25; 336785,22.25;
              336845,22.25; 336905,22.25; 336965,22.187; 337025,22.25; 337085,22.187;
              337145,22.187; 337205,22.187; 337265,22.125; 337325,22.125; 337385,22.125;
              337445,22.125; 337505,22.125; 337565,22.125; 337625,22.125; 337685,22.062;
              337745,22.125; 337805,22.125; 337865,22.062; 337925,22.062; 337985,22; 338045,
              22; 338105,22; 338165,22; 338225,22; 338285,22; 338345,22; 338405,21.937;
              338465,21.937; 338525,21.937; 338585,21.937; 338645,21.937; 338705,21.937;
              338765,21.937; 338825,21.875; 338885,21.875; 338945,21.875; 339005,21.875;
              339065,21.875; 339125,21.875; 339185,21.812; 339245,21.812; 339305,21.812;
              339365,21.812; 339425,21.75; 339485,21.75; 339545,21.75; 339605,21.75; 339665,
              21.687; 339725,21.687; 339785,21.687; 339845,21.687; 339905,21.687; 339965,
              21.687; 340025,21.687; 340085,21.625; 340145,21.625; 340205,21.625; 340265,
              21.625; 340325,21.625; 340385,21.625; 340445,21.562; 340505,21.562; 340565,
              21.562; 340625,21.562; 340685,21.562; 340745,21.562; 340805,21.562; 340865,
              21.5; 340925,21.5; 340985,21.5; 341045,21.437; 341105,21.437; 341165,21.437;
              341225,21.437; 341285,21.437; 341345,21.375; 341405,21.375; 341465,21.375;
              341525,21.375; 341585,21.375; 341645,21.375; 341705,21.375; 341765,21.312;
              341825,21.312; 341885,21.312; 341945,21.25; 342005,21.25; 342065,21.312;
              342125,21.312; 342185,21.312; 342245,21.25; 342305,21.25; 342365,21.25;
              342425,21.187; 342485,21.187; 342545,21.187; 342605,21.187; 342665,21.187;
              342725,21.187; 342785,21.125; 342845,21.125; 342905,21.187; 342965,21.125;
              343025,21.125; 343085,21.125; 343145,21.125; 343205,21.125; 343265,21.125;
              343325,21.062; 343385,21.062; 343445,21.062; 343505,21.062; 343565,21.062;
              343625,21.062; 343685,21.062; 343745,21.062; 343805,21.062; 343865,21; 343925,
              21; 343985,21; 344045,21; 344105,21; 344165,21; 344225,21; 344285,20.937;
              344345,20.937; 344405,20.937; 344465,20.937; 344525,20.937; 344585,20.937;
              344645,20.937; 344705,20.937; 344765,20.937; 344825,20.937; 344885,20.937;
              344945,20.937; 345005,20.937; 345065,20.875; 345125,20.875; 345185,20.937;
              345245,20.875; 345305,20.875; 345365,20.875; 345425,20.875; 345485,20.875;
              345545,20.875; 345605,20.812; 345665,20.812; 345725,20.875; 345785,20.812;
              345845,20.875; 345905,20.812; 345965,20.812; 346025,20.812; 346085,20.812;
              346145,20.812; 346205,20.812; 346265,20.812; 346325,20.812; 346385,20.75;
              346445,20.812; 346505,20.75; 346565,20.75; 346625,20.75; 346685,20.75; 346745,
              20.75; 346805,20.75; 346865,20.75; 346925,20.75; 346985,20.75; 347045,20.687;
              347105,20.687; 347165,20.75; 347225,20.687; 347285,20.687; 347345,20.687;
              347405,20.687; 347465,20.687; 347525,20.687; 347585,20.625; 347645,20.687;
              347705,20.687; 347765,20.687; 347825,20.625; 347885,20.625; 347945,20.625;
              348005,20.625; 348065,20.625; 348125,20.625; 348185,20.625; 348245,20.625;
              348305,20.562; 348365,20.562; 348425,20.625; 348485,20.562; 348545,20.562;
              348605,20.562; 348665,20.562; 348725,20.562; 348785,20.562; 348845,20.562;
              348905,20.5; 348965,20.562; 349025,20.5; 349085,20.5; 349145,20.5; 349205,
              20.5; 349265,20.5; 349325,20.5; 349385,20.5; 349445,20.5; 349505,20.5; 349565,
              20.5; 349625,20.5; 349685,20.5; 349745,20.5; 349805,20.5; 349865,20.437;
              349925,20.437; 349985,20.437; 350045,20.437; 350105,20.437; 350165,20.437;
              350225,20.437; 350285,20.437; 350345,20.437; 350405,20.437; 350465,20.437;
              350525,20.437; 350585,20.437; 350645,20.375; 350705,20.375; 350765,20.437;
              350825,20.375; 350885,20.375; 350945,20.375; 351005,20.375; 351065,20.375;
              351125,20.375; 351185,20.375; 351245,20.375; 351305,20.375; 351365,20.375;
              351425,20.375; 351485,20.375; 351545,20.375; 351605,20.312; 351665,20.312;
              351725,20.375; 351785,20.312; 351845,20.312; 351905,20.312; 351965,20.312;
              352025,20.312; 352085,20.312; 352145,20.312; 352205,20.312; 352265,20.312;
              352325,20.312; 352385,20.312; 352445,20.312; 352505,20.312; 352565,20.25;
              352625,20.25; 352685,20.25; 352745,20.25; 352805,20.25; 352865,20.312; 352925,
              20.25; 352985,20.25; 353045,20.25; 353105,20.25; 353165,20.25; 353225,20.25;
              353285,20.25; 353345,20.25; 353405,20.25; 353465,20.25; 353525,20.187; 353585,
              20.25; 353645,20.187; 353705,20.25; 353765,20.187; 353825,20.187; 353885,
              20.187; 353945,20.187; 354005,20.187; 354065,20.187; 354125,20.187; 354185,
              20.187; 354245,20.187; 354305,20.187; 354365,20.187; 354425,20.187; 354485,
              20.187; 354545,20.187; 354605,20.187; 354665,20.125; 354725,20.125; 354785,
              20.125; 354845,20.125; 354905,20.125; 354965,20.125; 355025,20.125; 355085,
              20.125; 355145,20.125; 355205,20.125; 355265,20.125; 355325,20.125; 355385,
              20.125; 355445,20.125; 355505,20.125; 355565,20.125; 355625,20.062; 355685,
              20.125; 355745,20.062; 355805,20.125; 355865,20.125; 355925,20.062; 355985,
              20.125; 356045,20.062; 356105,20.062; 356165,20.062; 356225,20.062; 356285,
              20.125; 356345,20.062; 356405,20.062; 356465,20.062; 356525,20.062; 356585,
              20.062; 356645,20.062; 356705,20.062; 356765,20.062; 356825,20.062; 356886,
              20.062; 356946,20.062; 357006,20.062; 357066,20.062; 357126,20.062; 357186,
              20.062; 357246,20; 357306,20.062; 357366,20; 357426,20; 357486,20; 357546,
              20.062; 357606,20; 357666,20; 357726,20; 357786,20; 357846,20; 357906,20;
              357966,20; 358026,20; 358086,20; 358146,20; 358206,20; 358266,19.937; 358326,
              20; 358386,19.937; 358446,20; 358506,19.937; 358566,20; 358626,19.937; 358686,
              19.937; 358746,20; 358806,19.937; 358866,19.937; 358926,19.937; 358986,19.937;
              359046,19.937; 359106,19.937; 359166,19.937; 359226,19.937; 359286,19.937;
              359346,19.937; 359406,19.937; 359466,19.937; 359526,19.937; 359586,19.937;
              359646,19.937; 359706,19.937; 359766,19.937; 359826,19.937; 359886,19.937;
              359946,19.875; 360006,19.937; 360066,19.875; 360126,19.875; 360186,19.875;
              360246,19.875; 360306,19.875; 360366,19.875; 360426,19.875; 360486,19.875;
              360546,19.875; 360606,19.875; 360666,19.875; 360726,19.875; 360786,19.875;
              360846,19.875; 360906,19.875; 360966,19.875; 361026,19.875; 361086,19.875;
              361146,19.875; 361206,19.875; 361266,19.875; 361326,19.875; 361386,19.875;
              361446,19.937; 361506,19.937; 361566,19.937; 361626,19.937; 361686,19.937;
              361746,20; 361806,20; 361866,20; 361926,20; 361986,20.062; 362046,20.062;
              362106,20.062; 362166,20.062; 362226,20.125; 362286,20.125; 362346,20.125;
              362406,20.125; 362466,20.187; 362526,20.25; 362586,20.312; 362646,20.312;
              362706,20.375; 362766,20.437; 362826,20.562; 362886,20.625; 362946,20.75;
              363006,20.875; 363066,20.937; 363126,21.125; 363186,21.187; 363246,21.312;
              363306,21.437; 363366,21.562; 363426,21.687; 363486,21.812; 363546,21.875;
              363606,21.937; 363666,22.062; 363726,22.187; 363786,22.25; 363846,22.312;
              363906,22.375; 363966,22.375; 364026,22.437; 364086,22.5; 364146,22.562;
              364206,22.562; 364266,22.625; 364326,22.625; 364386,22.687; 364446,22.687;
              364506,22.687; 364566,22.687; 364626,22.75; 364686,22.75; 364746,22.75;
              364806,22.75; 364866,22.812; 364926,22.812; 364986,22.812; 365046,22.812;
              365106,22.812; 365166,22.812; 365226,22.75; 365286,22.75; 365346,22.75;
              365406,22.75; 365466,22.75; 365526,22.75; 365586,22.812; 365646,22.75; 365706,
              22.75; 365766,22.75; 365826,22.75; 365886,22.75; 365946,22.687; 366006,22.687;
              366066,22.687; 366126,22.687; 366186,22.687; 366246,22.625; 366306,22.625;
              366366,22.625; 366426,22.562; 366486,22.562; 366546,22.562; 366606,22.562;
              366666,22.562; 366726,22.5; 366786,22.5; 366846,22.5; 366906,22.437; 366966,
              22.437; 367026,22.437; 367086,22.437; 367146,22.375; 367206,22.375; 367266,
              22.375; 367326,22.375; 367386,22.312; 367446,22.312; 367506,22.312; 367566,
              22.312; 367626,22.312; 367686,22.25; 367746,22.25; 367806,22.25; 367866,
              22.187; 367926,22.187; 367986,22.187; 368046,22.187; 368106,22.187; 368166,
              22.125; 368226,22.125; 368286,22.125; 368346,22.062; 368406,22.062; 368466,
              22.062; 368526,22.062; 368586,22.062; 368646,22; 368706,22; 368766,21.937;
              368826,22; 368886,21.937; 368946,21.937; 369006,21.937; 369066,21.937; 369126,
              21.875; 369186,21.875; 369246,21.875; 369306,21.812; 369366,21.812; 369426,
              21.812; 369486,21.812; 369546,21.75; 369606,21.75; 369666,21.75; 369726,
              21.75; 369786,21.687; 369846,21.687; 369906,21.687; 369966,21.687; 370026,
              21.625; 370086,21.625; 370146,21.625; 370206,21.562; 370266,21.562; 370326,
              21.562; 370386,21.562; 370446,21.562; 370506,21.5; 370566,21.5; 370626,21.5;
              370686,21.437; 370746,21.5; 370806,21.437; 370866,21.437; 370926,21.375;
              370986,21.437; 371046,21.375; 371106,21.375; 371166,21.375; 371226,21.312;
              371286,21.375; 371346,21.312; 371406,21.312; 371466,21.312; 371526,21.25;
              371586,21.25; 371646,21.25; 371706,21.312; 371766,21.25; 371826,21.312;
              371886,21.25; 371946,21.312; 372006,21.312; 372066,21.312; 372126,21.312;
              372186,21.312; 372246,21.312; 372306,21.312; 372366,21.375; 372426,21.375;
              372486,21.375; 372546,21.375; 372606,21.375; 372666,21.375; 372726,21.375;
              372786,21.312; 372846,21.375; 372906,21.625; 372966,22; 373026,22.5; 373086,
              23.062; 373146,23.5; 373206,23.937; 373266,24.375; 373323,24.937; 373380,
              25.5; 373440,26; 373496,26.562; 373556,27.125; 373616,27.625; 373676,28.062;
              373736,28.437; 373796,28.812; 373856,29.187; 373916,29.5; 373976,29.812;
              374036,30.062; 374096,30.312; 374156,30.562; 374216,30.75; 374276,30.875;
              374336,31.062; 374396,31.187; 374456,31.312; 374516,31.437; 374576,31.562;
              374636,31.625; 374696,31.687; 374756,31.687; 374816,31.75; 374876,31.75;
              374936,31.812; 374996,31.812; 375056,31.812; 375116,31.875; 375176,31.937;
              375236,31.875; 375296,31.875; 375356,31.875; 375416,31.875; 375476,31.875;
              375536,31.875; 375596,31.875; 375656,31.875; 375716,31.875; 375776,31.875;
              375836,31.812; 375896,31.75; 375956,31.812; 376016,31.75; 376076,31.812;
              376136,31.75; 376196,31.75; 376256,31.812; 376316,31.812; 376376,31.812;
              376436,31.812; 376496,31.812; 376556,31.812; 376616,31.812; 376676,31.812;
              376736,31.812; 376796,31.812; 376856,31.812; 376916,31.75; 376976,31.75;
              377036,31.75; 377096,31.75; 377156,31.687; 377216,31.687; 377276,31.625;
              377336,31.625; 377396,31.625; 377456,31.625; 377516,31.625; 377576,31.562;
              377636,31.562; 377696,31.562; 377756,31.625; 377816,31.625; 377876,31.562;
              377936,31.562; 377996,31.562; 378056,31.562; 378116,31.562; 378176,31.562;
              378236,31.5; 378296,31.5; 378356,31.5; 378416,31.5; 378476,31.5; 378536,
              31.5; 378596,31.5; 378656,31.5; 378716,31.5; 378776,31.5; 378836,31.562;
              378896,31.562; 378956,31.562; 379016,31.562; 379076,31.562; 379136,31.562;
              379196,31.562; 379256,31.562; 379316,31.562; 379376,31.562; 379436,31.625;
              379496,31.562; 379556,31.562; 379616,31.625; 379676,31.625; 379736,31.562;
              379796,31.625; 379856,31.562; 379916,31.562; 379976,31.625; 380036,31.625;
              380096,31.562; 380156,31.562; 380216,31.562; 380276,31.625; 380336,31.562;
              380396,31.562; 380456,31.562; 380516,31.562; 380576,31.562; 380636,31.625;
              380696,31.562; 380756,31.625; 380816,31.625; 380876,31.687; 380936,31.687;
              380996,31.687; 381056,31.75; 381116,31.75; 381176,31.75; 381236,31.75; 381296,
              31.75; 381356,31.75; 381416,31.812; 381476,31.812; 381536,31.812; 381596,
              31.812; 381656,31.875; 381716,31.812; 381776,31.812; 381836,31.812; 381896,
              31.812; 381956,31.812; 382016,31.812; 382076,31.812; 382136,31.75; 382196,
              31.812; 382256,31.812; 382316,31.75; 382376,31.75; 382436,31.75; 382496,
              31.75; 382556,31.687; 382616,31.75; 382676,31.687; 382736,31.687; 382796,
              31.687; 382856,31.687; 382916,31.687; 382976,31.687; 383036,31.687; 383096,
              31.687; 383156,31.687; 383216,31.687; 383276,31.75; 383336,31.75; 383396,
              31.75; 383456,31.812; 383516,31.812; 383576,31.875; 383636,31.937; 383696,
              31.937; 383756,32; 383816,32; 383876,32; 383936,32.062; 383996,32.062; 384056,
              32.062; 384116,32.125; 384176,32.125; 384236,32.125; 384296,32.125; 384356,
              32.125; 384416,32.125; 384476,32.125; 384536,32.125; 384596,32.125; 384656,
              32.125; 384716,32.125; 384776,32.125; 384836,32.062; 384896,32.125; 384956,
              32.125; 385016,32.125; 385076,32.125; 385136,32.187; 385196,32.125; 385256,
              32.125; 385316,32.187; 385376,32.125; 385436,32.125; 385496,32.125; 385556,
              32.125; 385616,32.125; 385676,32.125; 385736,32.125; 385796,32.062; 385856,
              32; 385916,32; 385976,32; 386036,31.937; 386096,31.937; 386156,32; 386216,
              32; 386276,32; 386336,32; 386396,32; 386456,32; 386516,31.937; 386576,32;
              386636,31.937; 386696,31.937; 386756,31.937; 386816,31.937; 386876,31.937;
              386936,32; 386996,32.062; 387056,32.125; 387116,32.125; 387176,32.187; 387236,
              32.187; 387296,32.187; 387356,32.187; 387416,32.187; 387476,32.187; 387536,
              32.187; 387596,32.187; 387656,32.125; 387716,32.125; 387776,32.125; 387836,
              32.062; 387896,32.062; 387956,32; 388016,32; 388076,31.937; 388136,31.937;
              388196,31.875; 388256,31.875; 388316,31.875; 388376,31.875; 388436,31.875;
              388496,31.875; 388556,31.875; 388616,31.875; 388676,31.875; 388736,31.812;
              388796,31.812; 388856,31.812; 388916,31.812; 388976,31.75; 389036,31.75;
              389096,31.75; 389156,31.75; 389216,31.75; 389276,31.75; 389336,31.75; 389396,
              31.75; 389456,31.75; 389516,31.75; 389576,31.812; 389636,31.812; 389696,
              31.812; 389756,31.75; 389816,31.75; 389876,31.75; 389936,31.687; 389996,
              31.625; 390056,31.625; 390116,31.562; 390176,31.562; 390236,31.5; 390296,
              31.437; 390356,31.375; 390416,31.312; 390476,31.312; 390536,31.25; 390596,
              31.25; 390656,31.25; 390716,31.25; 390776,31.125; 390836,31.125; 390896,
              31.062; 390956,31; 391016,31; 391076,31; 391136,31; 391196,30.937; 391256,
              30.937; 391316,30.875; 391376,30.875; 391436,30.812; 391496,30.812; 391556,
              30.812; 391616,30.812; 391676,30.75; 391736,30.75; 391796,30.75; 391856,
              30.687; 391916,30.687; 391976,30.687; 392036,30.625; 392096,30.625; 392156,
              30.625; 392216,30.625; 392276,30.625; 392336,30.625; 392396,30.625; 392456,
              30.562; 392516,30.562; 392576,30.562; 392636,30.562; 392696,30.5; 392756,
              30.5; 392816,30.437; 392876,30.375; 392936,30.375; 392996,30.375; 393056,
              30.312; 393116,30.25; 393176,30.25; 393236,30.187; 393296,30.125; 393356,
              30.125; 393416,30; 393476,30; 393536,29.937; 393596,29.875; 393656,29.875;
              393716,29.812; 393776,29.812; 393836,29.75; 393896,29.75; 393956,29.687;
              394016,29.687; 394076,29.687; 394136,29.687; 394196,29.625; 394256,29.625;
              394316,29.625; 394376,29.625; 394436,29.562; 394496,29.562; 394556,29.562;
              394616,29.5; 394676,29.562; 394736,29.562; 394796,29.5; 394856,29.5; 394916,
              29.5; 394976,29.5; 395036,29.437; 395096,29.437; 395156,29.437; 395216,29.375;
              395276,29.375; 395336,29.375; 395396,29.375; 395456,29.375; 395516,29.312;
              395576,29.312; 395636,29.25; 395696,29.312; 395756,29.25; 395816,29.25;
              395876,29.25; 395936,29.25; 395996,29.25; 396056,29.25; 396116,29.25; 396176,
              29.25; 396236,29.187; 396296,29.187; 396356,29.187; 396416,29.25; 396476,
              29.25; 396536,29.25; 396596,29.312; 396656,29.312; 396716,29.375; 396776,
              29.437; 396836,29.5; 396896,29.5; 396956,29.562; 397016,29.625; 397076,29.687;
              397136,29.687; 397196,29.687; 397256,29.75; 397316,29.812; 397376,29.875;
              397436,29.875; 397496,29.937; 397556,30.062; 397616,30.187; 397676,30.375;
              397736,30.562; 397796,30.687; 397856,30.812; 397916,30.875; 397976,30.937;
              398036,31; 398096,31.062; 398156,31.062; 398216,31.125; 398276,31.125; 398336,
              31.125; 398396,31.125; 398456,31.125; 398516,31.187; 398576,31.125; 398636,
              31.125; 398696,31.125; 398756,31.062; 398816,31.062; 398876,31; 398936,31.062;
              398996,31; 399056,30.937; 399116,30.937; 399176,30.937; 399236,30.875; 399296,
              30.812; 399356,30.875; 399416,30.812; 399476,30.75; 399536,30.812; 399596,
              30.75; 399656,30.75; 399716,30.687; 399776,30.687; 399836,30.687; 399896,
              30.625; 399956,30.625; 400016,30.625; 400076,30.562; 400136,30.562; 400196,
              30.562; 400256,30.562; 400316,30.5; 400376,30.5; 400436,30.5; 400496,30.437;
              400556,30.437; 400616,30.437; 400676,30.437; 400736,30.437; 400796,30.437;
              400856,30.375; 400916,30.375; 400976,30.375; 401036,30.375; 401096,30.312;
              401156,30.312; 401216,30.312; 401276,30.312; 401336,30.312; 401464,30.312;
              401524,30.25; 401584,30.25; 401644,30.25; 401704,30.25; 401764,30.25; 401824,
              30.25; 401884,30.25; 401944,30.25; 402004,30.25; 402064,30.187; 402124,30.25;
              402184,30.187; 402244,30.187; 402304,30.187; 402364,30.187; 402424,30.187;
              402484,30.125; 402544,30.125; 402604,30.187; 402664,30.187; 402724,30.125;
              402784,30.125; 402844,30.125; 402904,30.125; 402964,30.125; 403024,30.125;
              403084,30.125; 403144,30.125; 403204,30.125; 403264,30.125; 403324,30.125;
              403384,30.125; 403444,30.125; 403504,30.125; 403564,30.125; 403624,30.125;
              403684,30.062; 403744,30.125; 403804,30.125; 403864,30.125; 403924,30.187;
              403984,30.125; 404044,30.125; 404104,30.125; 404164,30.125; 404224,30.125;
              404284,30.125; 404344,30.125; 404404,30.125; 404464,30.062; 404524,30.062;
              404584,30.062; 404644,30; 404704,29.937; 404764,29.937; 404824,29.937; 404884,
              29.875; 404944,29.937; 405004,29.875; 405064,29.875; 405124,29.812; 405184,
              29.812; 405244,29.75; 405304,29.812; 405364,29.812; 405424,29.812; 405484,
              29.75; 405544,29.75; 405604,29.75; 405664,29.75; 405724,29.687; 405785,29.687;
              405845,29.687; 405905,29.75; 405965,29.75; 406025,29.75; 406085,29.812;
              406145,29.875; 406205,29.875; 406265,29.875; 406325,29.937; 406385,29.937;
              406445,29.937; 406505,30; 406565,30; 406625,30; 406685,30.062; 406745,30.062;
              406805,30.125; 406865,30.125; 406925,30.125; 406985,30.125; 407045,30.125;
              407105,30.125; 407165,30.187; 407225,30.25; 407285,30.312; 407345,30.437;
              407405,30.5; 407465,30.562; 407525,30.625; 407585,30.687; 407645,30.812;
              407705,30.812; 407765,30.812; 407825,30.812; 407885,30.875; 407945,30.875;
              408005,30.875; 408065,30.937; 408125,30.937; 408185,30.937; 408245,30.937;
              408305,30.937; 408365,30.875; 408425,30.875; 408485,30.875; 408545,30.812;
              408605,30.812; 408665,30.875; 408725,30.875; 408785,30.937; 408845,30.937;
              408905,30.875; 408965,30.875; 409025,30.812; 409085,30.812; 409145,30.687;
              409205,30.625; 409265,30.562; 409325,30.5; 409385,30.437; 409445,30.375;
              409505,30.312; 409565,30.25; 409625,30.125; 409685,30.062; 409745,29.937;
              409805,29.875; 409865,29.812; 409925,29.75; 409985,29.687; 410045,29.625;
              410105,29.5; 410165,29.437; 410225,29.312; 410285,29.25; 410345,29.187;
              410405,29.125; 410465,29.062; 410525,29; 410585,28.937; 410645,28.875; 410705,
              28.812; 410765,28.687; 410825,28.625; 410885,28.562; 410945,28.5; 411005,
              28.437; 411065,28.312; 411125,28.25; 411185,28.187; 411245,28.187; 411305,
              28.062; 411365,28; 411425,27.937; 411485,27.875; 411545,27.75; 411605,27.75;
              411665,27.687; 411725,27.625; 411785,27.5; 411845,27.5; 411905,27.437; 411965,
              27.375; 412025,27.312; 412085,27.25; 412145,27.187; 412205,27.125; 412265,
              27.062; 412325,27; 412385,26.937; 412445,26.875; 412505,26.812; 412565,26.812;
              412625,26.75; 412685,26.687; 412745,26.625; 412805,26.562; 412865,26.562;
              412925,26.5; 412985,26.437; 413045,26.375; 413105,26.375; 413165,26.312;
              413225,26.25; 413285,26.187; 413345,26.187; 413405,26.125; 413465,26.062;
              413525,26; 413585,26; 413645,25.937; 413705,25.875; 413765,25.812; 413825,
              25.812; 413885,25.75; 413945,25.75; 414005,25.687; 414065,25.625; 414125,
              25.562; 414185,25.562; 414245,25.562; 414305,25.437; 414365,25.437; 414425,
              25.375; 414485,25.375; 414545,25.312; 414605,25.25; 414665,25.25; 414725,
              25.187; 414785,25.125; 414845,25.125; 414905,25.125; 414965,25; 415025,25.062;
              415085,25; 415145,24.937; 415205,24.937; 415265,24.875; 415325,24.812; 415385,
              24.812; 415445,24.75; 415505,24.75; 415565,24.75; 415625,24.687; 415685,
              24.687; 415745,24.625; 415805,24.625; 415865,24.562; 415925,24.5; 415985,
              24.5; 416045,24.5; 416105,24.437; 416165,24.437; 416225,24.375; 416285,24.375;
              416345,24.312; 416405,24.312; 416465,24.25; 416525,24.187; 416585,24.187;
              416645,24.125; 416705,24.125; 416765,24.125; 416825,24.062; 416885,24.062;
              416945,24; 417005,24; 417065,24; 417125,23.937; 417185,23.937; 417245,23.875;
              417305,23.875; 417365,23.812; 417425,23.812; 417485,23.75; 417545,23.75;
              417605,23.75; 417665,23.687; 417725,23.687; 417785,23.687; 417845,23.625;
              417905,23.625; 417965,23.625; 418025,23.562; 418085,23.562; 418145,23.5;
              418205,23.5; 418265,23.5; 418325,23.437; 418385,23.437; 418445,23.375; 418505,
              23.375; 418565,23.375; 418625,23.312; 418685,23.312; 418745,23.312; 418805,
              23.312; 418865,23.25; 418925,23.25; 418985,23.25; 419045,23.25; 419105,23.187;
              419165,23.187; 419225,23.187; 419285,23.125; 419345,23.125; 419405,23.062;
              419465,23.062; 419525,23.062; 419585,23; 419645,23; 419705,23; 419765,22.937;
              419825,23; 419885,22.937; 419945,22.937; 420005,22.937; 420065,22.875; 420125,
              22.875; 420185,22.875; 420245,22.875; 420305,22.812; 420365,22.812; 420425,
              22.75; 420485,22.75; 420545,22.75; 420605,22.75; 420665,22.75; 420725,22.687;
              420785,22.687; 420845,22.625; 420905,22.687; 420965,22.625; 421025,22.625;
              421085,22.625; 421145,22.562; 421205,22.562; 421265,22.562; 421325,22.562;
              421385,22.5; 421445,22.5; 421505,22.5; 421565,22.437; 421625,22.437; 421685,
              22.437; 421745,22.437; 421805,22.437; 421865,22.437; 421925,22.375; 421985,
              22.375; 422045,22.375; 422105,22.375; 422165,22.375; 422225,22.375; 422285,
              22.312; 422345,22.375; 422405,22.312; 422465,22.312; 422525,22.312; 422585,
              22.25; 422645,22.25; 422705,22.25; 422765,22.25; 422825,22.25; 422885,22.25;
              422945,22.25; 423005,22.187; 423065,22.187; 423125,22.187; 423185,22.187;
              423245,22.187; 423305,22.187; 423365,22.187; 423425,22.187; 423485,22.187;
              423545,22.125; 423605,22.125; 423665,22.125; 423725,22.125; 423785,22.125;
              423845,22.125; 423905,22.062; 423965,22.062; 424025,22.062; 424085,22.062;
              424145,22.062; 424205,22.062; 424265,22.062; 424325,22.062; 424385,22.062;
              424445,22.062; 424505,22; 424565,22; 424625,22; 424685,22; 424745,22; 424805,
              21.937; 424865,21.937; 424925,21.937; 424985,21.937; 425045,21.937; 425105,
              21.875; 425165,21.875; 425225,21.875; 425285,21.875; 425345,21.875; 425405,
              21.812; 425465,21.812; 425525,21.812; 425585,21.812; 425645,21.75; 425705,
              21.75; 425765,21.75; 425825,21.75; 425885,21.75; 425945,21.687; 426005,21.687;
              426065,21.687; 426125,21.687; 426185,21.687; 426245,21.625; 426305,21.625;
              426365,21.625; 426425,21.625; 426485,21.625; 426545,21.562; 426605,21.562;
              426665,21.625; 426725,21.562; 426785,21.562; 426845,21.562; 426905,21.5;
              426965,21.5; 427025,21.5; 427085,21.5; 427145,21.5; 427205,21.437; 427265,
              21.437; 427325,21.437; 427385,21.375; 427445,21.437; 427505,21.375; 427565,
              21.375; 427625,21.375; 427685,21.375; 427745,21.375; 427805,21.312; 427865,
              21.312; 427925,21.312; 427985,21.312; 428045,21.25; 428105,21.25; 428165,
              21.25; 428225,21.25; 428285,21.187; 428345,21.25; 428405,21.187; 428465,
              21.187; 428525,21.187; 428585,21.187; 428645,21.187; 428705,21.187; 428765,
              21.125; 428825,21.125; 428885,21.125; 428945,21.125; 429005,21.125; 429065,
              21.062; 429125,21.062; 429185,21.062; 429245,21.062; 429305,21.062; 429365,
              21.062; 429425,21; 429485,21; 429545,21; 429605,21; 429665,21; 429725,21;
              429785,20.937; 429845,20.937; 429905,20.937; 429965,20.937; 430025,20.937;
              430085,20.937; 430145,20.875; 430205,20.875; 430265,20.875; 430325,20.875;
              430385,20.875; 430445,20.812; 430505,20.875; 430565,20.812; 430625,20.812;
              430685,20.812; 430745,20.812; 430805,20.812; 430865,20.812; 430925,20.812;
              430985,20.75; 431045,20.75; 431105,20.75; 431165,20.75; 431225,20.75; 431285,
              20.75; 431345,20.75; 431405,20.687; 431465,20.687; 431525,20.687; 431585,
              20.75; 431645,20.687; 431705,20.687; 431765,20.687; 431825,20.687; 431885,
              20.687; 431945,20.625; 432005,20.687; 432065,20.625; 432125,20.625; 432185,
              20.625; 432245,20.625; 432305,20.625; 432365,20.625; 432425,20.625; 432485,
              20.562; 432545,20.625; 432605,20.562; 432665,20.562; 432725,20.562; 432785,
              20.562; 432845,20.625; 432905,20.562; 432965,20.562; 433025,20.562; 433085,
              20.562; 433145,20.562; 433205,20.562; 433265,20.562; 433325,20.5; 433385,
              20.562; 433445,20.562; 433505,20.5; 433565,20.5; 433625,20.5; 433685,20.5;
              433745,20.5; 433805,20.5; 433865,20.5; 433925,20.437; 433985,20.437; 434045,
              20.437; 434105,20.437; 434165,20.437; 434225,20.437; 434285,20.437; 434345,
              20.437; 434405,20.437; 434465,20.375; 434525,20.437; 434585,20.375; 434645,
              20.375; 434705,20.375; 434765,20.375; 434825,20.375; 434885,20.312; 434945,
              20.375; 435005,20.375; 435065,20.375; 435125,20.312; 435185,20.312; 435245,
              20.312; 435305,20.312; 435365,20.312; 435425,20.312; 435485,20.312; 435545,
              20.312; 435605,20.312; 435665,20.312; 435725,20.312; 435785,20.25; 435845,
              20.25; 435905,20.25; 435965,20.25; 436025,20.25; 436085,20.25; 436145,20.25;
              436205,20.25; 436265,20.25; 436325,20.25; 436385,20.25; 436445,20.187; 436505,
              20.187; 436565,20.25; 436625,20.25; 436685,20.187; 436745,20.187; 436805,
              20.187; 436865,20.187; 436925,20.187; 436985,20.187; 437045,20.187; 437105,
              20.187; 437165,20.187; 437225,20.187; 437285,20.187; 437345,20.125; 437405,
              20.187; 437465,20.125; 437525,20.125; 437585,20.125; 437645,20.125; 437705,
              20.125; 437765,20.125; 437825,20.125; 437885,20.125; 437945,20.125; 438005,
              20.125; 438065,20.125; 438125,20.125; 438185,20.125; 438245,20.062; 438305,
              20.062; 438365,20.062; 438425,20.062; 438485,20.062; 438545,20.062; 438605,
              20.062; 438665,20.062; 438725,20.062; 438785,20.062; 438845,20; 438905,20;
              438965,20; 439025,20.062; 439085,20.062; 439145,20.062; 439205,20; 439265,
              20; 439325,20; 439385,20; 439445,20; 439505,20; 439565,20; 439625,20; 439685,
              20; 439745,20; 439805,19.937; 439865,19.937; 439925,19.937; 439985,19.937;
              440045,19.937; 440105,19.937; 440165,19.937; 440225,19.937; 440285,19.937;
              440345,19.937; 440405,19.937; 440465,19.937; 440525,19.937; 440585,19.937;
              440645,19.937; 440705,19.875; 440765,19.937; 440825,19.875; 440885,19.937;
              440945,19.875; 441005,19.875; 441065,19.875; 441125,19.875; 441185,19.875;
              441245,19.875; 441305,19.875; 441365,19.875; 441425,19.875; 441485,19.875;
              441545,19.875; 441605,19.875; 441665,19.875; 441725,19.812; 441785,19.812;
              441845,19.875; 441905,19.812; 441965,19.812; 442025,19.875; 442085,19.875;
              442145,19.875; 442205,19.875; 442265,19.875; 442325,19.937; 442385,19.937;
              442445,19.937; 442505,20; 442565,20; 442625,20; 442685,20; 442745,20.062;
              442805,20.062; 442865,20.062; 442925,20.125; 442985,20.125; 443045,20.125;
              443105,20.187; 443165,20.25; 443225,20.25; 443285,20.312; 443345,20.312;
              443405,20.375; 443465,20.437; 443525,20.5; 443585,20.625; 443645,20.687;
              443705,20.812; 443765,20.937; 443825,21.062; 443885,21.187; 443945,21.312;
              444005,21.437; 444065,21.562; 444125,21.687; 444185,21.812; 444245,21.937;
              444305,22; 444365,22.125; 444425,22.25; 444485,22.312; 444545,22.437; 444605,
              22.437; 444665,22.562; 444725,22.562; 444785,22.625; 444845,22.687; 444905,
              22.75; 444965,22.75; 445025,22.812; 445085,22.812; 445145,22.812; 445205,
              22.875; 445265,22.875; 445325,22.875; 445385,22.937; 445445,22.937; 445505,
              22.937; 445565,22.937; 445625,22.937; 445685,22.937; 445745,22.937; 445805,
              22.937; 445865,22.937; 445925,22.937; 445985,22.875; 446045,22.875; 446105,
              22.875; 446165,22.875; 446225,22.875; 446285,22.875; 446345,22.812; 446405,
              22.812; 446465,22.812; 446525,22.812; 446585,22.812; 446645,22.812; 446705,
              22.75; 446765,22.75; 446825,22.687; 446885,22.687; 446945,22.687; 447005,
              22.687; 447065,22.625; 447125,22.625; 447185,22.625; 447245,22.562; 447305,
              22.562; 447365,22.562; 447425,22.5; 447485,22.5; 447545,22.5; 447605,22.5;
              447665,22.437; 447725,22.437; 447785,22.437; 447845,22.375; 447905,22.375;
              447965,22.375; 448025,22.375; 448085,22.312; 448145,22.312; 448205,22.312;
              448265,22.25; 448325,22.25; 448385,22.25; 448445,22.187; 448505,22.187;
              448565,22.125; 448625,22.125; 448685,22.062; 448745,22.062; 448805,22.062;
              448865,22; 448925,22; 448985,21.937; 449045,21.937; 449105,21.937; 449165,
              21.875; 449225,21.875; 449285,21.875; 449345,21.875; 449405,21.812; 449465,
              21.812; 449525,21.75; 449585,21.75; 449645,21.75; 449705,21.687; 449765,
              21.687; 449825,21.625; 449885,21.625; 449945,21.562; 450005,21.562; 450065,
              21.562; 450125,21.5; 450185,21.5; 450245,21.5; 450305,21.5; 450365,21.5;
              450425,21.5; 450485,21.5; 450545,21.5; 450605,21.437; 450665,21.437; 450725,
              21.437; 450785,21.437; 450845,21.5; 450905,21.5; 450965,21.437; 451025,21.5;
              451085,21.5; 451145,21.5; 451205,21.5; 451265,21.5; 451325,21.5; 451385,
              21.5; 451445,21.5; 451505,21.5; 451565,21.5; 451625,21.562; 451685,21.562;
              451745,21.562; 451805,21.625; 451865,21.625; 451925,21.625; 451985,21.687;
              452045,21.75; 452105,21.812; 452165,21.812; 452225,21.875; 452285,21.937;
              452345,22; 452405,22.062; 452465,22.125; 452525,22.187; 452585,22.25; 452645,
              22.312; 452705,22.312; 452765,22.437; 452825,22.5; 452885,22.562; 452945,
              22.562; 453005,22.625; 453065,22.687; 453125,22.75; 453185,22.812; 453245,
              22.875; 453305,22.937; 453365,22.937; 453425,23; 453485,23; 453545,23.062;
              453605,23.062; 453665,23.125; 453725,23.125; 453785,23.125; 453845,23.125;
              453905,23.125; 453965,23.187; 454025,23.187; 454085,23.187; 454145,23.125;
              454205,23.125; 454265,23.125; 454325,23.125; 454385,23.125; 454445,23.125;
              454505,23.125; 454565,23.125; 454625,23.125; 454685,23.062; 454745,23.062;
              454805,23.062; 454865,23; 454925,23.062; 454985,23; 455045,23; 455105,23;
              455165,22.937; 455225,22.937; 455285,22.937; 455345,22.937; 455405,22.875;
              455465,22.875; 455525,22.812; 455585,22.875; 455645,22.812; 455705,22.812;
              455765,22.75; 455825,22.75; 455885,22.75; 455945,22.75; 456005,22.687; 456065,
              22.687; 456125,22.625; 456185,22.562; 456245,22.562; 456305,22.562; 456366,
              22.562; 456426,22.562; 456486,22.5; 456546,22.5; 456606,22.5; 456666,22.437;
              456726,22.437; 456786,22.375; 456846,22.375; 456906,22.375; 456966,22.375;
              457026,22.312; 457086,22.312; 457146,22.312; 457206,22.25; 457266,22.25;
              457326,22.25; 457386,22.187; 457446,22.187; 457506,22.125; 457566,22.125;
              457626,22.062; 457686,22.062; 457746,22.062; 457806,22; 457866,22; 457926,
              21.937; 457986,21.937; 458046,21.937; 458106,21.875; 458166,21.812; 458226,
              21.812; 458286,21.812; 458346,21.812; 458406,21.75; 458466,21.75; 458526,
              21.687; 458586,21.687; 458646,21.625; 458706,21.625; 458766,21.625; 458826,
              21.625; 458886,21.625; 458946,21.562; 459006,21.5; 459066,21.562; 459126,
              21.5; 459186,21.5; 459246,21.562; 459306,21.5; 459366,21.5; 459426,21.562;
              459486,21.562; 459546,21.562; 459606,21.562; 459666,21.5; 459726,21.562;
              459786,21.562; 459846,21.562; 459906,21.562; 459966,21.562; 460026,21.562;
              460086,21.562; 460146,21.562; 460206,21.562; 460266,21.625; 460326,21.625;
              460386,21.687; 460446,21.687; 460506,21.75; 460566,21.75; 460626,21.812;
              460686,21.812; 460746,21.875; 460806,21.937; 460866,22; 460926,22.062; 460986,
              22.125; 461046,22.125; 461106,22.187; 461166,22.25; 461226,22.312; 461286,
              22.375; 461346,22.437; 461406,22.437; 461466,22.562; 461526,22.562; 461586,
              22.625; 461646,22.687; 461706,22.75; 461766,22.75; 461826,22.75; 461886,
              22.75; 461946,22.812; 462006,22.75; 462066,22.812; 462126,22.937; 462186,
              22.937; 462246,22.937; 462306,23; 462366,23; 462426,23; 462486,23; 462546,
              23; 462606,23; 462666,23; 462726,23; 462786,23.062; 462846,23; 462906,23;
              462966,23; 463026,23; 463086,23; 463146,23; 463206,22.937; 463266,23; 463326,
              22.937; 463386,22.937; 463446,22.937; 463506,22.875; 463566,22.875; 463626,
              22.875; 463686,22.875; 463746,22.875; 463806,22.812; 463866,22.812; 463926,
              22.812; 463986,22.812; 464046,22.75; 464106,22.75; 464166,22.75; 464226,
              22.75; 464286,22.687; 464346,22.687; 464406,22.687; 464466,22.687; 464526,
              22.562; 464586,22.625; 464646,22.562; 464706,22.562; 464766,22.562; 464826,
              22.562; 464886,22.5; 464946,22.437; 465006,22.437; 465066,22.437; 465126,
              22.437; 465186,22.437; 465246,22.375; 465306,22.375; 465366,22.375; 465426,
              22.312; 465486,22.312; 465546,22.312; 465606,22.312; 465666,22.25; 465726,
              22.25; 465786,22.25; 465846,22.187; 465906,22.187; 465966,22.125; 466026,
              22.125; 466086,22.125; 466146,22.125; 466206,22.062; 466266,22.062; 466326,
              22; 466386,22; 466446,22; 466506,22; 466566,22; 466626,21.937; 466686,21.937;
              466746,21.937; 466806,21.875; 466866,21.875; 466926,21.875; 466986,21.875;
              467046,21.812; 467106,21.812; 467166,21.812; 467226,21.75; 467286,21.75;
              467346,21.75; 467406,21.75; 467466,21.75; 467526,21.687; 467586,21.687;
              467646,21.687; 467706,21.687; 467766,21.625; 467826,21.625; 467886,21.625;
              467946,21.562; 468006,21.562; 468066,21.562; 468126,21.5; 468186,21.5; 468246,
              21.5; 468306,21.5; 468366,21.437; 468426,21.437; 468486,21.437; 468546,21.437;
              468606,21.562; 468666,21.562; 468726,21.687; 468786,21.75; 468846,21.812;
              468906,21.875; 468966,21.875; 469026,21.937; 469086,22; 469146,22.062; 469206,
              22.062; 469266,22.125; 469326,22.125; 469386,22.187; 469446,22.187; 469506,
              22.187; 469566,22.187; 469626,22.187; 469686,22.187; 469746,22.187; 469806,
              22.187; 469866,22.187; 469926,22.187; 469986,22.187; 470046,22.187; 470106,
              22.187; 470166,22.187; 470226,22.187; 470286,22.187; 470346,22.187; 470406,
              22.187; 470466,22.187; 470526,22.187; 470586,22.187; 470646,22.187; 470706,
              22.187; 470766,22.187; 470826,22.125; 470886,22.125; 470946,22.125; 471006,
              22.125; 471066,22.062; 471126,22.125; 471186,22.062; 471246,22.062; 471306,
              22; 471366,22; 471426,22; 471486,22; 471546,22; 471606,21.937; 471666,21.937;
              471726,21.937; 471786,21.937; 471846,21.937; 471906,21.875; 471966,21.875;
              472026,21.875; 472086,21.875; 472146,21.875; 472206,21.812; 472266,21.812;
              472326,21.812; 472386,21.812; 472446,21.812; 472506,21.75; 472566,21.75;
              472626,21.75; 472686,21.75; 472746,21.75; 472806,21.687; 472866,21.687;
              472926,21.687; 472986,21.687; 473046,21.687; 473106,21.687; 473166,21.625;
              473226,21.625; 473286,21.625; 473346,21.625; 473406,21.562; 473466,21.562;
              473526,21.562; 473586,21.562; 473646,21.562; 473706,21.562; 473766,21.5;
              473826,21.5; 473886,21.5; 473946,21.5; 474006,21.5; 474066,21.437; 474126,
              21.437; 474186,21.437; 474246,21.437; 474306,21.437; 474366,21.437; 474426,
              21.437; 474486,21.437; 474546,21.375; 474606,21.375; 474666,21.375; 474726,
              21.375; 474786,21.312; 474846,21.375; 474906,21.312; 474966,21.312; 475026,
              21.312; 475086,21.312; 475146,21.312; 475206,21.312; 475266,21.312; 475326,
              21.25; 475386,21.25; 475446,21.25; 475506,21.25; 475566,21.187; 475626,21.187;
              475686,21.187; 475746,21.187; 475806,21.187; 475866,21.187; 475926,21.187;
              475986,21.125; 476046,21.125; 476106,21.125; 476166,21.125; 476226,21.125;
              476286,21.125; 476346,21.062; 476406,21.062; 476466,21.062; 476526,21.062;
              476586,21.062; 476646,21.062; 476706,21.062; 476766,21.062; 476826,21; 476886,
              21.062; 476946,21; 477006,21.062; 477066,21; 477126,21; 477186,21; 477246,
              21; 477306,21; 477366,21; 477426,21; 477486,20.937; 477546,20.937; 477606,
              21; 477666,20.937; 477726,20.937; 477786,20.937; 477846,20.937; 477906,20.937;
              477966,20.875; 478026,20.875; 478086,20.875; 478146,20.875; 478206,20.875;
              478266,20.875; 478326,20.812; 478386,20.875; 478446,20.875; 478506,20.812;
              478566,20.875; 478626,20.812; 478686,20.812; 478746,20.812; 478806,20.875;
              478866,20.812; 478926,20.812; 478986,20.812; 479046,20.812; 479106,20.75;
              479166,20.75; 479226,20.75; 479286,20.75; 479346,20.75; 479406,20.75; 479466,
              20.75; 479526,20.75; 479586,20.75; 479646,20.687; 479706,20.687; 479766,
              20.687; 479826,20.687; 479886,20.687; 479946,20.687; 480006,20.687; 480066,
              20.687; 480126,20.687; 480186,20.625; 480246,20.625; 480306,20.625; 480366,
              20.625; 480426,20.687; 480486,20.625; 480546,20.625; 480606,20.625; 480666,
              20.625; 480726,20.625; 480786,20.625; 480846,20.625; 480906,20.625; 480966,
              20.625; 481026,20.562; 481086,20.562; 481146,20.625; 481206,20.562; 481266,
              20.562; 481326,20.562; 481386,20.562; 481446,20.562; 481506,20.562; 481566,
              20.562; 481626,20.562; 481686,20.562; 481746,20.562; 481806,20.562; 481866,
              20.562; 481926,20.562; 481986,20.5; 482046,20.562; 482106,20.5; 482166,20.5;
              482226,20.5; 482286,20.5; 482346,20.5; 482406,20.5; 482466,20.5; 482526,
              20.5; 482586,20.5; 482646,20.5; 482706,20.5; 482766,20.5; 482826,20.5; 482886,
              20.5; 482946,20.5; 483006,20.437; 483066,20.5; 483126,20.5; 483186,20.437;
              483246,20.437; 483306,20.437; 483366,20.437; 483426,20.437; 483486,20.437;
              483546,20.437; 483606,20.437; 483666,20.437; 483726,20.437; 483786,20.437;
              483846,20.437; 483906,20.375; 483966,20.437; 484026,20.375; 484086,20.437;
              484146,20.375; 484206,20.375; 484266,20.375; 484326,20.375; 484386,20.375;
              484446,20.375; 484506,20.375; 484566,20.375; 484626,20.375; 484686,20.375;
              484746,20.375; 484806,20.312; 484866,20.375; 484926,20.375; 484986,20.312;
              485046,20.312; 485106,20.312; 485166,20.312; 485226,20.312; 485286,20.312;
              485346,20.312; 485406,20.312; 485466,20.312; 485526,20.312; 485586,20.312;
              485646,20.312; 485706,20.312; 485766,20.25; 485826,20.312; 485886,20.312;
              485946,20.25; 486006,20.25; 486066,20.25; 486126,20.25; 486186,20.25; 486246,
              20.25; 486306,20.25; 486366,20.25; 486426,20.25; 486486,20.25; 486546,20.25;
              486606,20.25; 486666,20.25; 486726,20.25; 486786,20.312; 486846,20.25; 486906,
              20.312; 486966,20.25; 487026,20.312; 487086,20.312; 487146,20.312; 487206,
              20.312; 487266,20.312; 487326,20.312; 487386,20.312; 487446,20.312; 487506,
              20.312; 487566,20.312; 487626,20.375; 487686,20.375; 487746,20.375; 487806,
              20.375; 487866,20.375; 487926,20.375; 487986,20.375; 488046,20.437; 488106,
              20.437; 488166,20.437; 488226,20.437; 488286,20.437; 488346,20.437; 488406,
              20.5; 488466,20.437; 488526,20.5; 488586,20.5; 488646,20.5; 488706,20.562;
              488766,20.562; 488826,20.562; 488886,20.562; 488946,20.625; 489006,20.625;
              489066,20.625; 489126,20.625; 489186,20.687; 489246,20.687; 489306,20.687;
              489366,20.687; 489426,20.687; 489486,20.75; 489546,20.75; 489606,20.75;
              489666,20.75; 489726,20.812; 489786,20.812; 489846,20.812; 489906,20.812;
              489966,20.875; 490026,20.875; 490086,20.812; 490146,20.875; 490206,20.875;
              490266,20.875; 490326,20.875; 490386,20.875; 490446,20.875; 490506,20.875;
              490566,20.875; 490626,20.875; 490686,20.875; 490746,20.875; 490806,20.875;
              490866,20.875; 490926,20.875; 490986,20.875; 491046,20.875; 491106,20.875;
              491166,20.875; 491226,20.875; 491286,20.875; 491346,20.875; 491406,20.875;
              491466,20.875; 491526,20.875; 491586,20.875; 491646,20.875; 491706,20.875;
              491766,20.875; 491826,20.875; 491886,20.875; 491946,20.875; 492006,20.875;
              492066,20.875; 492126,20.875; 492186,20.875; 492246,20.875; 492306,20.875;
              492366,20.875; 492426,20.875; 492486,20.875; 492546,20.875; 492606,20.875;
              492666,20.875; 492726,20.875; 492786,20.875; 492846,20.875; 492906,20.875;
              492966,20.875; 493026,20.875; 493086,20.875; 493146,20.875; 493206,20.875;
              493266,20.875; 493326,20.875; 493386,20.875; 493446,20.875; 493506,20.875;
              493566,20.875; 493626,20.875; 493686,20.875; 493746,20.937; 493806,20.875;
              493866,20.937; 493926,20.937; 493986,20.937; 494046,20.937; 494106,20.937;
              494166,20.937; 494226,20.937; 494286,20.937; 494346,20.937; 494406,20.937;
              494466,20.937; 494526,20.937; 494586,20.937; 494646,21; 494706,21; 494766,
              21; 494826,21; 494886,21; 494946,21.062; 495006,21.062; 495066,21.062; 495126,
              21.062; 495186,21.125; 495246,21.125; 495306,21.125; 495366,21.125; 495426,
              21.187; 495486,21.187; 495546,21.187; 495606,21.187; 495666,21.187; 495726,
              21.187; 495786,21.25; 495846,21.25; 495906,21.25; 495966,21.312; 496026,
              21.312; 496086,21.312; 496146,21.375; 496206,21.375; 496266,21.375; 496326,
              21.375; 496386,21.375; 496446,21.375; 496506,21.437; 496566,21.437; 496626,
              21.437; 496686,21.437; 496746,21.5; 496806,21.5; 496866,21.5; 496926,21.5;
              496986,21.5; 497046,21.562; 497106,21.5; 497166,21.5; 497226,21.562; 497286,
              21.5; 497346,21.562; 497406,21.562; 497466,21.562; 497526,21.562; 497586,
              21.625; 497646,21.625; 497706,21.625; 497766,21.625; 497826,21.625; 497886,
              21.625; 497946,21.625; 498006,21.625; 498066,21.625; 498126,21.687; 498186,
              21.625; 498246,21.687; 498306,21.687; 498366,21.687; 498426,21.687; 498486,
              21.687; 498546,21.687; 498606,21.687; 498666,21.687; 498726,21.687; 498786,
              21.687; 498846,21.687; 498906,21.687; 498966,21.687; 499026,21.687; 499086,
              21.687; 499146,21.687; 499206,21.75; 499266,21.75; 499326,21.687; 499386,
              21.687; 499446,21.75; 499506,21.687; 499566,21.687; 499626,21.687; 499686,
              21.75; 499746,21.75; 499806,21.75; 499866,21.75; 499926,21.75; 499986,21.75;
              500046,21.75; 500106,21.75; 500166,21.75; 500226,21.75; 500286,21.75; 500346,
              21.75; 500406,21.75; 500466,21.75; 500526,21.75; 500586,21.75; 500646,21.75;
              500706,21.75; 500766,21.75; 500826,21.75; 500886,21.75; 500946,21.812; 501006,
              21.812; 501066,21.812; 501126,21.812; 501186,21.812; 501246,21.75; 501306,
              21.812; 501366,21.812; 501426,21.812; 501486,21.812; 501546,21.812; 501606,
              21.812; 501666,21.812; 501726,21.812; 501786,21.812; 501846,21.812; 501906,
              21.812; 501966,21.812; 502026,21.875; 502086,21.812; 502146,21.812; 502206,
              21.812; 502266,21.812; 502326,21.812; 502386,21.812; 502446,21.812; 502506,
              21.875; 502566,21.812; 502626,21.812; 502686,21.875; 502746,21.875; 502806,
              21.875; 502866,21.875; 502926,21.875; 502986,21.875; 503046,21.875; 503106,
              21.875; 503166,21.875; 503226,21.875; 503286,21.875; 503346,21.875; 503406,
              21.875; 503466,21.875; 503526,21.875; 503586,21.875; 503646,21.875; 503706,
              21.875; 503766,21.875; 503826,21.875; 503886,21.875; 503946,21.875; 504006,
              21.875; 504066,21.875; 504126,21.875; 504186,21.875; 504246,21.875; 504306,
              21.875; 504366,21.875; 504426,21.875; 504486,21.937; 504546,21.875; 504606,
              21.875; 504666,21.875; 504726,21.875; 504786,21.937; 504846,21.937; 504906,
              21.875; 504966,21.875; 505026,21.875; 505086,21.937; 505146,21.937; 505206,
              21.875; 505266,21.875; 505326,21.937; 505386,21.875; 505446,21.875; 505506,
              21.937; 505566,21.875; 505626,21.937; 505686,21.937; 505746,21.875; 505806,
              21.937; 505866,21.875; 505926,21.937; 505986,21.937; 506046,21.937; 506106,
              21.937; 506166,21.937; 506226,21.937; 506286,21.937; 506346,21.937; 506406,
              21.937; 506466,21.937; 506526,21.937; 506586,21.937; 506646,21.937; 506706,
              21.937; 506766,21.937; 506826,21.937; 506886,21.937; 506946,21.937; 507006,
              21.937; 507066,21.937; 507126,21.937; 507186,21.937; 507246,21.937; 507306,
              21.937; 507366,21.937; 507426,21.937; 507486,21.937; 507546,21.937; 507606,
              21.937; 507666,21.937; 507726,22; 507786,22; 507846,21.937; 507906,21.937;
              507966,21.937; 508026,21.937; 508087,21.937; 508147,21.937; 508207,22; 508267,
              22; 508327,21.937; 508387,22; 508447,22; 508507,21.937; 508567,22; 508627,
              22; 508687,22; 508747,22; 508807,22; 508867,22; 508927,22; 508987,22; 509047,
              22; 509107,22; 509167,22; 509227,22; 509287,22; 509347,22; 509407,22; 509467,
              22; 509527,22; 509587,22; 509647,22; 509707,22; 509767,22.062; 509827,22.062;
              509887,22; 509947,22; 510007,22; 510067,22; 510127,22; 510187,22; 510247,
              22; 510307,22.062; 510367,22.062; 510427,22.062; 510487,22; 510547,22.062;
              510607,22; 510667,22; 510727,22; 510787,22; 510847,22; 510907,22; 510967,
              22; 511027,22; 511087,22; 511147,22; 511207,22; 511267,22; 511327,22; 511387,
              22; 511447,22; 511507,21.937; 511567,21.937; 511627,22; 511687,21.937; 511747,
              21.937; 511807,21.937; 511867,21.937; 511927,21.937; 511987,21.937; 512047,
              21.937; 512107,21.937; 512167,21.937; 512227,21.937; 512287,21.875; 512347,
              21.875; 512407,21.937; 512467,21.875; 512527,21.875; 512587,21.875; 512647,
              21.875; 512707,21.875; 512767,21.875; 512827,21.875; 512887,21.875; 512947,
              21.812; 513007,21.875; 513067,21.875; 513127,21.812; 513187,21.812; 513247,
              21.812; 513307,21.812; 513367,21.812; 513427,21.812; 513487,21.812; 513547,
              21.812; 513607,21.812; 513667,21.812; 513727,21.812; 513787,21.812; 513847,
              21.812; 513907,21.75; 513967,21.812; 514027,21.812; 514087,21.75; 514147,
              21.75; 514207,21.75; 514267,21.75; 514327,21.75; 514387,21.75; 514447,21.75;
              514507,21.75; 514567,21.75; 514627,21.75; 514687,21.75; 514747,21.75; 514807,
              21.75; 514867,21.75; 514927,21.687; 514987,21.687; 515047,21.687; 515107,
              21.687; 515167,21.687; 515227,21.687; 515287,21.687; 515347,21.687; 515407,
              21.687; 515467,21.687; 515527,21.687; 515587,21.687; 515647,21.687; 515707,
              21.687; 515767,21.687; 515827,21.687; 515887,21.687; 515947,21.687; 516007,
              21.687; 516067,21.687; 516127,21.687; 516187,21.687; 516247,21.625; 516307,
              21.687; 516367,21.687; 516427,21.625; 516487,21.625; 516547,21.625; 516607,
              21.625; 516667,21.687; 516727,21.687; 516787,21.687; 516847,21.625; 516907,
              21.687; 516967,21.625; 517027,21.687; 517087,21.625; 517147,21.687; 517207,
              21.625; 517267,21.625; 517327,21.625; 517387,21.625; 517447,21.625; 517507,
              21.625; 517567,21.625; 517627,21.625; 517687,21.625; 517747,21.625; 517807,
              21.625; 517867,21.625; 517927,21.625; 517987,21.625; 518047,21.625; 518107,
              21.625; 518167,21.625; 518227,21.625; 518287,21.687; 518347,21.687; 518407,
              21.687; 518467,21.687; 518527,21.687; 518587,21.687; 518647,21.687; 518707,
              21.687; 518767,21.687; 518827,21.687; 518887,21.687; 518947,21.687; 519007,
              21.75; 519067,21.75; 519127,21.812; 519187,21.812; 519247,21.812; 519307,
              21.812; 519367,21.812; 519427,21.812; 519487,21.812; 519547,21.875; 519607,
              21.875; 519667,21.875; 519727,21.875; 519787,21.875; 519847,21.875; 519907,
              21.875; 519967,21.937; 520027,21.875; 520087,21.875; 520147,21.937; 520207,
              21.937; 520267,21.937; 520327,21.937; 520387,21.937; 520447,21.937; 520507,
              22; 520567,22; 520627,22; 520687,22; 520747,22; 520807,22; 520867,22; 520927,
              22; 520987,22; 521047,22.062; 521107,22; 521167,22.062; 521227,22.062; 521287,
              22.062; 521347,22.062; 521407,22.062; 521467,22.062; 521527,22.062; 521587,
              22.062; 521647,22.062; 521707,22.062; 521767,22.062; 521827,22.125; 521887,
              22.062; 521947,22.125; 522007,22.125; 522067,22.125; 522127,22.062; 522187,
              22.125; 522247,22.125; 522307,22.125; 522367,22.062; 522427,22.125; 522487,
              22.125; 522547,22.125; 522607,22.125; 522667,22.125; 522727,22.125; 522787,
              22.125; 522847,22.062; 522907,22.125; 522967,22.062; 523027,22.062; 523087,
              22.062; 523147,22.062; 523207,22.062; 523267,22.062; 523327,22.062; 523387,
              22.062; 523447,22.062; 523507,22.062; 523567,22.062; 523627,22; 523687,22;
              523747,22; 523807,22; 523867,22; 523927,22; 523987,22; 524047,21.937; 524107,
              21.937; 524167,21.937; 524227,21.937; 524287,21.875; 524347,21.937; 524407,
              21.937; 524467,21.937; 524527,21.875; 524587,21.875; 524647,21.875; 524707,
              21.875; 524767,21.875; 524827,21.875; 524887,21.812; 524947,21.812; 525007,
              21.812; 525067,21.812; 525127,21.812; 525187,21.812; 525247,21.812; 525307,
              21.812; 525367,21.75; 525427,21.75; 525487,21.75; 525547,21.75; 529207,21.75;
              529267,21.75; 529327,21.75; 529387,21.75; 529447,21.75; 529507,21.75; 529567,
              21.75; 529627,21.75; 529687,21.75; 529747,21.75; 529807,21.687; 529867,21.75;
              529927,21.687; 529987,21.687; 530047,21.687; 530107,21.687; 530167,21.687;
              530227,21.687; 530287,21.687; 530347,21.625; 530407,21.625; 530467,21.625;
              530527,21.625; 530587,21.625; 530647,21.625; 530707,21.625; 530767,21.625;
              530827,21.562; 530887,21.625; 530947,21.625; 531007,21.562; 531067,21.562;
              531127,21.562; 531187,21.562; 531247,21.562; 531307,21.562; 531367,21.625;
              531427,21.562; 531487,21.562; 531547,21.562; 531607,21.562; 531667,21.562;
              531727,21.562; 531787,21.562; 531847,21.562; 531907,21.625; 531967,21.625;
              532027,21.562; 532087,21.562; 532147,21.625; 532207,21.625; 532267,21.625;
              532327,21.625; 532387,21.687; 532447,21.687; 532507,21.625; 532567,21.687;
              532627,21.687; 532687,21.75; 532747,21.75; 532807,21.812; 532867,21.75;
              532927,21.75; 532987,21.812; 533047,21.812; 533107,21.812; 533167,21.812;
              533227,21.812; 533287,21.812; 533347,21.875; 533407,21.875; 533467,21.875;
              533527,21.875; 533587,21.875; 533647,21.875; 533707,21.937; 533767,21.937;
              533827,22; 533887,21.937; 533947,22; 534007,22; 534067,22; 534127,22; 534187,
              22; 534247,22.062; 534307,22.062; 534367,22.062; 534427,22.062; 534487,22.062;
              534547,22.062; 534607,22.125; 534667,22.125; 534727,22.125; 534787,22.125;
              534847,22.125; 534907,22.125; 534967,22.187; 535027,22.187; 535087,22.187;
              535147,22.187; 535207,22.187; 535267,22.25; 535327,22.187; 535387,22.25;
              535447,22.25; 535507,22.25; 535567,22.25; 535627,22.312; 535687,22.312;
              535747,22.312; 535807,22.312; 535867,22.312; 535927,22.312; 535987,22.312;
              536047,22.312; 536107,22.312; 536167,22.312; 536227,22.25; 536287,22.312;
              536347,22.25; 536407,22.312; 536467,22.312; 536527,22.25; 536587,22.25;
              536647,22.312; 536707,22.25; 536767,22.25; 536827,22.25; 536887,22.25; 536947,
              22.25; 537007,22.187; 537067,22.25; 537127,22.187; 537187,22.187; 537247,
              22.187; 537307,22.187; 537367,22.187; 537427,22.187; 537487,22.187; 537547,
              22.125; 537607,22.125; 537667,22.125; 537727,22.125; 537787,22.125; 537847,
              22.062; 537907,22.062; 537967,22.062; 538027,22.062; 538087,22.062; 538147,
              22; 538207,22; 538267,22.062; 538327,22; 538387,22; 538447,22; 538507,22;
              538567,21.937; 538627,21.937; 538687,21.937; 538747,21.937; 538807,21.937;
              538867,21.875; 538927,21.875; 538987,21.937; 539047,21.875; 539107,21.875;
              539167,21.875; 539227,21.875; 539287,21.812; 539347,21.875; 539407,21.812;
              539467,21.812; 539527,21.812; 539587,21.812; 539647,21.812; 539707,21.812;
              539767,21.812; 539827,21.75; 539887,21.75; 539947,21.75; 540007,21.75; 540067,
              21.75; 540127,21.75; 540187,21.75; 540247,21.75; 540307,21.75; 540367,21.687;
              540427,21.687; 540487,21.687; 540547,21.687; 540607,21.687; 540667,21.687;
              540727,21.625; 540787,21.625; 540847,21.625; 540907,21.625; 540967,21.625;
              541027,21.625; 541087,21.625; 541147,21.562; 541207,21.562; 541267,21.562;
              541327,21.562; 541387,21.562; 541447,21.562; 541507,21.562; 541567,21.562;
              541627,21.5; 541687,21.562; 541747,21.5; 541807,21.5; 541867,21.5; 541927,
              21.562; 541987,21.5; 542047,21.5; 542107,21.5; 542167,21.5; 542227,21.5;
              542287,21.437; 542347,21.5; 542407,21.5; 542467,21.437; 542527,21.437; 542587,
              21.437; 542647,21.437; 542707,21.437; 542767,21.437; 542827,21.437; 542887,
              21.437; 542947,21.437; 543007,21.437; 543067,21.437; 543127,21.437; 543187,
              21.437; 543247,21.437; 543307,21.437; 543367,21.437; 543427,21.5; 543487,
              21.437; 543547,21.437; 543607,21.5; 543667,21.5; 543727,21.5; 543787,21.5;
              543847,21.5; 543907,21.5; 543967,21.562; 544027,21.562; 544087,21.562; 544147,
              21.562; 544207,21.562; 544267,21.562; 544327,21.625; 544387,21.625; 544447,
              21.625; 544507,21.625; 544567,21.625; 544627,21.625; 544687,21.625; 544747,
              21.687; 544807,21.687; 544867,21.687; 544927,21.75; 544987,21.75; 545047,
              21.75; 545107,21.75; 545167,21.75; 545227,21.75; 545287,21.75; 545347,21.75;
              545407,21.75; 545467,21.812; 545527,21.812; 545587,21.812; 545647,21.812;
              545707,21.812; 545767,21.875; 545827,21.875; 545887,21.875; 545947,21.875;
              546007,21.875; 546067,21.875; 546127,21.875; 546187,21.875; 546247,21.875;
              546307,21.875; 546367,21.937; 546427,21.937; 546487,21.937; 546547,21.937;
              546607,21.937; 546667,21.937; 546727,21.937; 546787,21.937; 546847,21.937;
              546907,21.937; 546967,21.937; 547027,22; 547087,22; 547147,22; 547207,22;
              547267,22; 547327,22; 547387,22.062; 547447,22.062; 547507,22.062; 547567,
              22.062; 547627,22; 547687,22.062; 547747,22.062; 547807,22.062; 547867,22.062;
              547927,22.062; 547987,22.062; 548047,22.062; 548107,22.062; 548167,22.062;
              548227,22.125; 548287,22.062; 548347,22.125; 548407,22.125; 548467,22.062;
              548527,22.125; 548587,22.125; 548647,22.062; 548707,22.062; 548767,22.125;
              548827,22.062; 548887,22.125; 548947,22.125; 549007,22.125; 549067,22.125;
              549127,22.125; 549187,22.125; 549247,22.062; 549307,22.125; 549367,22.125;
              549427,22.125; 549487,22.125; 549547,22.125; 549607,22.125; 549667,22.125;
              549727,22.125; 549787,22.125; 549847,22.125; 549907,22.125; 549967,22.125;
              550027,22.125; 550087,22.125; 550147,22.125; 550207,22.125; 550267,22.125;
              550327,22.125; 550387,22.125; 550447,22.125; 550507,22.125; 550567,22.125;
              550627,22.125; 550687,22.125; 550747,22.125; 550807,22.125; 550867,22.125;
              550927,22.125; 550987,22.125; 551047,22.125; 551107,22.125; 551167,22.125;
              551227,22.125; 551287,22.125; 551347,22.125; 551407,22.125; 551467,22.125;
              551527,22.125; 551587,22.125; 551647,22.125; 551707,22.125; 551767,22.125;
              551827,22.125; 551887,22.125; 551947,22.125; 552007,22.125; 552067,22.125;
              552127,22.187; 552187,22.187; 552247,22.187; 552307,22.125; 552367,22.187;
              552427,22.125; 552487,22.187; 552547,22.125; 552607,22.187; 552667,22.187;
              552727,22.187; 552787,22.187; 552847,22.125; 552907,22.125; 552967,22.125;
              553027,22.187; 553087,22.125; 553147,22.125; 553207,22.125; 553267,22.125;
              553327,22.125; 553387,22.125; 553447,22.125; 553507,22.187; 553567,22.187;
              553627,22.187; 553687,22.187; 553747,22.187; 553807,22.187; 553867,22.187;
              553927,22.187; 553987,22.187; 554047,22.187; 554107,22.125; 554167,22.187;
              554227,22.187; 554287,22.187; 554347,22.187; 554407,22.187; 554467,22.187;
              554527,22.187; 554587,22.187; 554647,22.187; 554707,22.187; 554767,22.187;
              554827,22.187; 554887,22.187; 554947,22.187; 555007,22.187; 555067,22.187;
              555127,22.187; 555187,22.187; 555247,22.187; 555307,22.187; 555367,22.125;
              555427,22.187; 555487,22.125; 555547,22.125; 555607,22.125; 555667,22.125;
              555727,22.125; 555787,22.125; 555847,22.125; 555907,22.062; 555967,22.062;
              556027,22.062; 556087,22.062; 556147,22.062; 556207,22.062; 556267,22; 556327,
              22.062; 556387,22.062; 556447,22; 556507,22; 556567,22; 556627,22; 556687,
              21.937; 556747,21.937; 556807,21.937; 556867,21.937; 556927,21.937; 556987,
              21.937; 557047,21.875; 557107,21.875; 557167,21.875; 557227,21.812; 557287,
              21.875; 557347,21.812; 557407,21.812; 557467,21.812; 557527,21.812; 557587,
              21.75; 557647,21.75; 557707,21.75; 557767,21.75; 557827,21.75; 557887,21.75;
              557947,21.687; 558007,21.687; 558067,21.687; 558127,21.687; 558187,21.687;
              558247,21.625; 558307,21.625; 558367,21.625; 558427,21.625; 558487,21.625;
              558547,21.562; 558607,21.562; 558667,21.562; 558727,21.562; 558787,21.562;
              558847,21.562; 558907,21.562; 558967,21.5; 559027,21.5; 559087,21.5; 559147,
              21.5; 559207,21.5; 559267,21.5; 559327,21.5; 559387,21.5; 559447,21.5; 559507,
              21.5; 559567,21.5; 559627,21.5; 559687,21.5; 559747,21.437; 559807,21.437;
              559867,21.437; 559927,21.437; 559987,21.437; 560047,21.437; 560107,21.5;
              560167,21.437; 560227,21.5; 560287,21.5; 560347,21.5; 560407,21.5; 560467,
              21.5; 560527,21.5; 560587,21.5; 560647,21.5; 560707,21.5; 560767,21.5; 560827,
              21.5; 560887,21.5; 560947,21.5; 561007,21.562; 561067,21.562; 561127,21.562;
              561187,21.562; 561247,21.625; 561307,21.625; 561367,21.625; 561427,21.625;
              561487,21.625; 561547,21.687; 561607,21.687; 561667,21.687; 561727,21.75;
              561787,21.75; 561847,21.75; 561907,21.812; 561967,21.812; 562027,21.812;
              562087,21.812; 562147,21.812; 562207,21.875; 562267,21.875; 562327,21.875;
              562387,21.875; 562447,21.937; 562507,21.937; 562567,21.937; 562627,21.937;
              562687,21.937; 562747,21.937; 562807,22; 562867,22; 562928,22; 562988,22.062;
              563048,22.062; 563108,22; 563168,22; 563228,22.062; 563288,22; 563348,22.062;
              563408,22.062; 563468,22.062; 563528,22; 563588,22; 563648,22; 563708,22;
              563768,22; 563828,22; 563888,22; 563948,22; 564008,22; 564068,22; 564128,
              22; 564188,22; 564248,22; 564308,22; 564368,21.937; 564428,21.937; 564488,
              22; 564548,21.937; 564608,21.937; 564668,21.937; 564728,21.937; 564788,21.937;
              564848,21.937; 564908,21.937; 564968,21.875; 565028,21.875; 565088,21.875;
              565148,21.875; 565208,21.875; 565268,21.875; 565328,21.812; 565388,21.812;
              565448,21.812; 565508,21.812; 565568,21.812; 565628,21.812; 565688,21.75;
              565748,21.75; 565808,21.75; 565868,21.75; 565928,21.75; 565988,21.75; 566048,
              21.687; 566108,21.687; 566168,21.687; 566228,21.687; 566288,21.687; 566348,
              21.625; 566408,21.625; 566468,21.625; 566528,21.625; 566588,21.625; 566648,
              21.625; 566708,21.562; 566768,21.562; 566828,21.562; 566888,21.562; 566948,
              21.562; 567008,21.562; 567068,21.562; 567128,21.5; 567188,21.5; 567248,21.5;
              567308,21.5; 567368,21.5; 567428,21.5; 567488,21.5; 567548,21.437; 567608,
              21.437; 567668,21.437; 567728,21.437; 567788,21.437; 567848,21.437; 567908,
              21.437; 567968,21.437; 568028,21.437; 568088,21.437; 568148,21.375; 568208,
              21.375; 568268,21.375; 568328,21.375; 568388,21.375; 568448,21.375; 568508,
              21.312; 568568,21.312; 568628,21.312; 568688,21.312; 568748,21.312; 568808,
              21.312; 568868,21.312; 568928,21.312; 568988,21.312; 569048,21.25; 569108,
              21.25; 569168,21.25; 569228,21.25; 569288,21.25; 569348,21.25; 569408,21.25;
              569468,21.25; 569528,21.187; 569588,21.187; 569648,21.187; 569708,21.187;
              569768,21.187; 569828,21.187; 569888,21.187; 569948,21.187; 570008,21.187;
              570068,21.125; 570128,21.187; 570188,21.125; 570248,21.125; 570308,21.125;
              570368,21.125; 570428,21.125; 570488,21.125; 570548,21.062; 570608,21.062;
              570668,21.125; 570728,21.062; 570788,21.062; 570848,21.062; 570908,21.062;
              570968,21.062; 571028,21.062; 571088,21; 571148,21; 571208,21; 571268,21;
              571328,21; 571388,21; 571448,21; 571508,21; 571568,21; 571628,21; 571688,
              21; 571748,21; 571808,21; 571868,20.937; 571928,21; 571988,20.937; 572048,
              20.937; 572108,20.937; 572168,20.937; 572228,20.937; 572288,20.937; 572348,
              20.875; 572408,20.937; 572468,20.937; 572528,20.875; 572588,20.875; 572648,
              20.875; 572708,20.875; 572768,20.875; 572828,20.875; 572888,20.875; 572948,
              20.875; 573008,20.875; 573068,20.812; 573128,20.875; 573188,20.875; 573248,
              20.812; 573308,20.812; 573368,20.812; 573428,20.812; 573488,20.812; 573548,
              20.812; 573608,20.812; 573668,20.812; 573728,20.812; 573788,20.812; 573848,
              20.75; 573908,20.812; 573968,20.75; 574028,20.75; 574088,20.75; 574148,20.75;
              574265,20.75; 574326,20.75; 574386,20.75; 574446,20.75; 574506,20.75; 574566,
              20.75; 574626,20.75; 574686,20.75; 574746,20.75; 574806,20.687; 574866,20.75;
              574926,20.687; 574986,20.687; 575046,20.75; 575106,20.687; 575166,20.687;
              575226,20.687; 575286,20.687; 575346,20.687; 575406,20.687; 575466,20.687;
              575526,20.687; 575586,20.687; 575646,20.687; 575706,20.687; 575766,20.625;
              575826,20.687; 575886,20.687; 575946,20.687; 576006,20.687; 576066,20.687;
              576126,20.625; 576186,20.625; 576246,20.625; 576306,20.625; 576366,20.625;
              576426,20.625; 576486,20.625; 576546,20.625; 576606,20.625; 576666,20.625;
              576726,20.625; 576786,20.625; 576846,20.625; 576906,20.562; 576966,20.562;
              577026,20.562; 577086,20.562; 577146,20.562; 577206,20.562; 577266,20.562;
              577326,20.562; 577386,20.562; 577446,20.562; 577506,20.562; 577566,20.562;
              577626,20.562; 577686,20.5; 577746,20.562; 577806,20.562; 577866,20.5; 577926,
              20.562; 577986,20.5; 578046,20.562; 578106,20.562; 578166,20.562; 578226,
              20.562; 578286,20.562; 578346,20.562; 578406,20.562; 578466,20.562; 578526,
              20.562; 578586,20.562; 578646,20.562; 578706,20.562; 578766,20.562; 578826,
              20.562; 578886,20.625; 578946,20.562; 579006,20.625; 579066,20.562; 579126,
              20.562; 579186,20.562; 579246,20.625; 579306,20.562; 579366,20.625; 579426,
              20.625; 579486,20.625; 579546,20.625; 579606,20.625; 579666,20.625; 579726,
              20.625; 579786,20.625; 579846,20.687; 579906,20.625; 579966,20.625; 580026,
              20.687; 580086,20.687; 580146,20.687; 580206,20.687; 580266,20.687; 580326,
              20.687; 580386,20.687; 580446,20.687; 580506,20.75; 580566,20.75; 580626,
              20.75; 580686,20.75; 580746,20.75; 580806,20.75; 580866,20.812; 580926,20.75;
              580986,20.812; 581046,20.812; 581106,20.812; 581166,20.812; 581226,20.875;
              581286,20.875; 581346,20.875; 581406,20.875; 581466,20.875; 581526,20.875;
              581586,20.875; 581646,20.875; 581706,20.937; 581766,20.937; 581826,20.937;
              581886,20.937; 581946,20.937; 582006,21; 582066,21; 582126,21; 582186,21;
              582246,21; 582306,21; 582366,21; 582426,21.062; 582486,21.062; 582546,21.062;
              582606,21.062; 582666,21.062; 582726,21.125; 582786,21.125; 582846,21.125;
              582906,21.125; 582966,21.125; 583026,21.125; 583086,21.125; 583146,21.125;
              583206,21.187; 583266,21.125; 583326,21.125; 583386,21.187; 583446,21.187;
              583506,21.187; 583566,21.187; 583626,21.187; 583686,21.187; 583746,21.25;
              583806,21.25; 583866,21.25; 583926,21.25; 583986,21.25; 584046,21.25; 584106,
              21.25; 584166,21.25; 584226,21.25; 584286,21.312; 584346,21.312; 584406,
              21.312; 584466,21.312; 584526,21.312; 584586,21.312; 584646,21.312; 584706,
              21.312; 584766,21.312; 584826,21.375; 584886,21.375; 584946,21.375; 585006,
              21.375; 585066,21.375; 585126,21.375; 585186,21.375; 585246,21.375; 585306,
              21.375; 585366,21.437; 585426,21.437; 585486,21.375; 585546,21.437; 585606,
              21.437; 585666,21.437; 585726,21.437; 585786,21.437; 585846,21.437; 585906,
              21.437; 585966,21.437; 586026,21.437; 586086,21.5; 586146,21.5; 586206,21.5;
              586266,21.5; 586326,21.5; 586386,21.5; 586446,21.5; 586506,21.5; 586566,
              21.5; 586626,21.5; 586686,21.5; 586746,21.5; 586806,21.5; 586866,21.562;
              586926,21.562; 586986,21.562; 587046,21.562; 587106,21.562; 587166,21.562;
              587226,21.562; 587286,21.562; 587346,21.562; 587406,21.562; 587466,21.562;
              587526,21.562; 587586,21.562; 587646,21.562; 587706,21.625; 587766,21.625;
              587826,21.625; 587886,21.625; 587946,21.562; 588006,21.625; 588066,21.625;
              588126,21.625; 588186,21.625; 588246,21.625; 588306,21.625; 588366,21.625;
              588426,21.625; 588486,21.625; 588546,21.625; 588606,21.625; 588666,21.625;
              588726,21.625; 588786,21.625; 588846,21.625; 588906,21.687; 588966,21.625;
              589026,21.625; 589086,21.625; 589146,21.687; 589206,21.687; 589266,21.687;
              589326,21.687; 589386,21.687; 589446,21.687; 589506,21.687; 589566,21.687;
              589626,21.687; 589686,21.687; 589746,21.687; 589806,21.687; 589866,21.687;
              589926,21.687; 589986,21.687; 590046,21.75; 590106,21.687; 590166,21.687;
              590226,21.687; 590286,21.687; 590346,21.687; 590406,21.75; 590466,21.75;
              590526,21.687; 590586,21.75; 590646,21.687; 590706,21.75; 590766,21.75;
              590826,21.75; 590886,21.75; 590946,21.75; 591006,21.687; 591066,21.75; 591126,
              21.75; 591186,21.75; 591246,21.75; 591306,21.75; 591366,21.75; 591426,21.75;
              591486,21.75; 591546,21.75; 591606,21.75; 591666,21.75; 591726,21.812; 591786,
              21.75; 591846,21.75; 591906,21.75; 591966,21.75; 592026,21.75; 592086,21.75;
              592146,21.75; 592206,21.75; 592266,21.75; 592326,21.75; 592386,21.812; 592446,
              21.812; 592506,21.75; 592566,21.75; 592626,21.812; 592686,21.75; 592746,
              21.75; 592806,21.75; 592866,21.812; 592926,21.812; 592986,21.812; 593046,
              21.75; 593106,21.75; 593166,21.812; 593226,21.812; 593286,21.812; 593346,
              21.812; 593406,21.75; 593466,21.812; 593526,21.812; 593586,21.812; 593646,
              21.812; 593706,21.812; 593766,21.812; 593826,21.812; 593886,21.812; 593946,
              21.812; 594006,21.875; 594066,21.875; 594126,21.812; 594186,21.812; 594246,
              21.812; 594306,21.812; 594366,21.812; 594426,21.812; 594486,21.812; 594546,
              21.875; 594606,21.812; 594666,21.812; 594726,21.812; 594786,21.812; 594846,
              21.875; 594906,21.875; 594966,21.875; 595026,21.875; 595086,21.875; 595146,
              21.875; 595206,21.875; 595266,21.812; 595326,21.875; 595386,21.812; 595446,
              21.875; 595506,21.875; 595566,21.875; 595626,21.875; 595686,21.875; 595746,
              21.875; 595806,21.875; 595866,21.875; 595926,21.875; 595986,21.875; 596046,
              21.875; 596106,21.875; 596166,21.875; 596226,21.875; 596286,21.875; 596346,
              21.875; 596406,21.875; 596466,21.875; 596526,21.875; 596586,21.875; 596646,
              21.937; 596706,21.875; 596766,21.937; 596826,21.937; 596886,21.875; 596946,
              21.937; 597006,21.875; 597066,21.875; 597126,21.875; 597186,21.937; 597246,
              21.937; 597306,21.937; 597366,21.937; 597426,21.875; 597486,21.937; 597546,
              21.937; 597606,21.937; 597666,21.937; 597726,21.937; 597786,22; 597846,21.937;
              597906,21.937; 597966,22; 598026,22; 598086,22; 598146,22; 598206,22; 598266,
              21.937; 598326,22; 598386,22; 598446,22; 598506,22; 598566,22; 598626,22;
              598686,22; 598746,22; 598806,22; 598866,22; 598926,22.062; 598986,22.062;
              599046,22; 599106,22.062; 599166,22.062; 599226,22.062; 599286,22.062; 599346,
              22.062; 599406,22.062; 599466,22.062; 599526,22.062; 599586,22.062; 599646,
              22.125; 599706,22.062; 599766,22.062; 599826,22.125; 599886,22.125; 599946,
              22.125; 600006,22.125; 600066,22.125; 600126,22.125; 600186,22.125; 600246,
              22.125; 600306,22.187; 600366,22.125; 600426,22.125; 600486,22.125; 600546,
              22.187; 600606,22.125; 600666,22.187; 600726,22.187; 600786,22.187; 600846,
              22.187; 600906,22.187; 600966,22.187; 601026,22.125; 601086,22.187; 601146,
              22.187; 601206,22.187; 601266,22.187; 601326,22.125; 601386,22.125; 601446,
              22.125; 601506,22.125; 601566,22.125; 601626,22.125; 601686,22.125; 601746,
              22.125; 601806,22.125; 601866,22.125; 601926,22.125; 601986,22.125; 602046,
              22.125; 602106,22.125; 602166,22.062; 602226,22.062; 602286,22.062; 602346,
              22.062; 602406,22.062; 602466,22; 602526,22.062; 602586,22.062; 602646,22.062;
              602706,22.062; 602766,22; 602826,22.062; 602886,22; 602946,22; 603006,22;
              603066,22; 603126,22; 603186,22; 603246,22; 603306,21.937; 603366,21.937;
              603426,22; 603486,21.937; 603546,21.937; 603606,21.937; 603666,21.937; 603726,
              21.937; 603786,21.937; 603846,21.875; 603906,21.875; 603966,21.875; 604026,
              21.875; 604086,21.875; 604146,21.875; 604206,21.875; 604266,21.875; 604326,
              21.875; 604386,21.875; 604446,21.875; 604506,21.875; 604566,21.812; 604626,
              21.812; 604686,21.875; 604746,21.875])
          "Daten bei finalem Simulationslauf aus Excel Tabelle nehmen"
                   annotation (Placement(transformation(extent={{112,90},{92,
                  110}})));
        Modelica.Thermal.HeatTransfer.Sources.PrescribedTemperature T_cool
          annotation (Placement(transformation(extent={{-60,-107},{-46,-93}},
                rotation=0)));
        Modelica.Blocks.Sources.TimeTable timeTable3(table=[0,22.875; 60,22.875;
              120.0000002,22.875; 179.9999998,22.875; 240,22.875; 300.0000002,
              22.875; 359.9999998,22.875; 420,22.875; 480.0000002,22.937;
              539.9999998,22.937; 600,22.937; 660.0000002,22.937; 719.9999998,
              22.937; 780,22.937; 840,22.937; 899.9999998,22.937; 960,23; 1020,
              22.937; 1080,22.937; 1140,22.937; 1200,23; 1260,23; 1320,23; 1380,
              23; 1440,23; 1500,23; 1560,23; 1620,23.062; 1680,23.062; 1740,
              23.062; 1800,23; 1860,23.062; 1920,23.062; 1980,23.062; 2040,
              23.062; 2100,23.062; 2160,23.062; 2220,23.062; 2280,23.062; 2340,
              23.125; 2400,23.125; 2460,23.125; 2520,23.062; 2580,23.125; 2640,
              23.125; 2700,23.125; 2760,23.125; 2820,23.125; 2880,23.125; 2940,
              23.125; 3000,23.125; 3060,23.125; 3120,23.125; 3180,23.125; 3240,
              23.125; 3300,23.125; 3360,23.125; 3420,23.187; 3480,23.125; 3540,
              23.187; 3600,23.187; 3660,23.187; 3720,23.187; 3780,23.187; 3840,
              23.125; 3900,23.187; 3960,23.187; 4020,23.187; 4080,23.187; 4140,
              23.187; 4200,23.187; 4260,23.187; 4320,23.187; 4380,23.187; 4440,
              23.187; 4500,23.187; 4560,23.187; 4620,23.187; 4680,23.187; 4740,
              23.25; 4800,23.187; 4860,23.187; 4920,23.187; 4980,23.25; 5040,
              23.187; 5100,23.187; 5160,23.187; 5220,23.187; 5280,23.25; 5340,
              23.25; 5400,23.25; 5460,23.25; 5520,23.25; 5580,23.187; 5640,
              23.187; 5700,23.187; 5760,23.187; 5820,23.187; 5880,23.187; 5940,
              23.125; 6000,23.187; 6060,23.125; 6120,23.125; 6180,23.125; 6240,
              23.187; 6300,23.125; 6360,23.125; 6420,23.125; 6480,23.125; 6540,
              23.125; 6600,23.062; 6660,23.062; 6720,23.062; 6780,23.062; 6840,
              23.062; 6900,23.062; 6960,23; 7020,23; 7080,23; 7140,23; 7200,
              22.937; 7260,22.937; 7320,23; 7380,22.937; 7440,22.937; 7500,
              22.937; 7560,22.875; 7620,22.875; 7680,22.875; 7740,22.875; 7800,
              22.875; 7860,22.875; 7920,22.875; 7980,22.875; 8040,22.812; 8100,
              22.812; 8160,22.812; 8220,22.812; 8280,22.75; 8340,22.75; 8400,
              22.75; 8460,22.812; 8520,22.75; 8580,22.75; 8640,22.75; 8700,
              22.75; 8760,22.687; 8820,22.687; 8880,22.687; 8940,22.687; 9000,
              22.687; 9060,22.625; 9120,22.625; 9180,22.625; 9240,22.625; 9300,
              22.625; 9360,22.625; 9420,22.625; 9480,22.625; 9540,22.562; 9600,
              22.562; 9660,22.625; 9720,22.625; 9780,22.625; 9840,22.625; 9900,
              22.562; 9960,22.562; 10020,22.562; 10080,22.562; 10140,22.562;
              10201,22.562; 10261,22.562; 10321,22.562; 10381,22.562; 10441,
              22.5; 10501,22.5; 10561,22.5; 10621,22.437; 10681,22.5; 10741,
              22.437; 10801,22.437; 10861,22.5; 10921,22.5; 10981,22.5; 11041,
              22.5; 11101,22.5; 11161,22.5; 11221,22.562; 11281,22.5; 11341,
              22.5; 11401,22.5; 11461,22.5; 11521,22.437; 11581,22.437; 11641,
              22.437; 11701,22.5; 11761,22.5; 11821,22.5; 11881,22.5; 11941,
              22.5; 12001,22.5; 12061,22.5; 12121,22.437; 12181,22.5; 12241,
              22.5; 12301,22.5; 12361,22.5; 12421,22.5; 12481,22.5; 12541,22.5;
              12601,22.5; 12661,22.5; 12721,22.5; 12781,22.5; 12841,22.5; 12901,
              22.5; 12961,22.5; 13021,22.5; 13081,22.5; 13141,22.5; 13201,22.5;
              13261,22.562; 13321,22.562; 13381,22.562; 13441,22.562; 13501,
              22.625; 13561,22.562; 13621,22.562; 13681,22.562; 13741,22.562;
              13801,22.562; 13861,22.562; 13921,22.562; 13981,22.562; 14041,
              22.562; 14101,22.562; 14161,22.562; 14221,22.562; 14281,22.562;
              14341,22.562; 14401,22.5; 14461,22.5; 14521,22.5; 14581,22.5;
              14641,22.5; 14701,22.5; 14761,22.5; 14821,22.437; 14881,22.437;
              14941,22.437; 15001,22.437; 15061,22.437; 15121,22.375; 15181,
              22.375; 15241,22.375; 15301,22.375; 15361,22.312; 15421,22.312;
              15481,22.312; 15541,22.312; 15601,22.25; 15661,22.25; 15721,22.25;
              15781,22.25; 15841,22.187; 15901,22.187; 15961,22.187; 16021,
              22.125; 16081,22.125; 16141,22.125; 16201,22.125; 16261,22.062;
              16321,22.062; 16381,22.062; 16441,22; 16501,22; 16561,22; 16621,
              22; 16681,22; 16741,21.937; 16801,21.937; 16861,21.937; 16921,
              21.875; 16981,21.875; 17041,21.875; 17101,21.875; 17161,21.875;
              17221,21.812; 17281,21.812; 17341,21.812; 17401,21.75; 17461,
              21.75; 17521,21.75; 17581,21.75; 17641,21.687; 17701,21.687;
              17761,21.687; 17821,21.687; 17881,21.625; 17941,21.625; 18001,
              21.625; 18061,21.625; 18121,21.625; 18181,21.562; 18241,21.625;
              18301,21.562; 18361,21.562; 18421,21.562; 18481,21.562; 18541,
              21.562; 18601,21.562; 18661,21.562; 18721,21.562; 18781,21.562;
              18841,21.562; 18901,21.625; 18961,21.625; 19021,21.625; 19081,
              21.687; 19141,21.687; 19201,21.687; 19261,21.687; 19321,21.75;
              19381,21.75; 19441,21.812; 19501,21.812; 19561,21.875; 19621,
              21.875; 19681,21.937; 19741,21.937; 19801,22; 19861,22.062; 19921,
              22.062; 19981,22.125; 20041,22.125; 20101,22.187; 20161,22.25;
              20221,22.25; 20281,22.25; 20341,22.312; 20401,22.312; 20461,
              22.375; 20521,22.375; 20581,22.375; 20641,22.437; 20701,22.5;
              20761,22.5; 20821,22.5; 20881,22.5; 20941,22.5; 21001,22.5; 21061,
              22.562; 21121,22.562; 21181,22.562; 21241,22.562; 21301,22.562;
              21361,22.562; 21421,22.5; 21481,22.562; 21541,22.562; 21601,
              22.562; 21661,22.5; 21721,22.5; 21781,22.5; 21841,22.5; 21901,
              22.5; 21961,22.437; 22021,22.437; 22081,22.437; 22141,22.437;
              22201,22.437; 22261,22.375; 22321,22.437; 22381,22.375; 22441,
              22.375; 22501,22.312; 22561,22.312; 22621,22.312; 22681,22.312;
              22741,22.25; 22801,22.25; 22861,22.25; 22921,22.187; 22981,22.187;
              23041,22.187; 23101,22.187; 23161,22.125; 23221,22.125; 23281,
              22.125; 23341,22.062; 23401,22.062; 23461,22.062; 23521,22; 23581,
              22; 23641,22; 23701,22; 23761,21.937; 23821,21.937; 23881,21.937;
              23941,21.875; 24001,21.875; 24061,21.875; 24121,21.812; 24181,
              21.812; 24241,21.812; 24301,21.75; 24361,21.75; 24421,21.75;
              24481,21.687; 24541,21.687; 24601,21.687; 24661,21.625; 24721,
              21.625; 24781,21.625; 24841,21.562; 24901,21.562; 24961,21.562;
              25021,21.5; 25081,21.5; 25141,21.437; 25201,21.437; 25261,21.437;
              25321,21.437; 25381,21.437; 25441,21.437; 25501,21.437; 25561,
              21.437; 25621,21.5; 25681,21.5; 25741,21.5; 25801,21.562; 25861,
              21.625; 25921,21.687; 25981,21.687; 26041,21.812; 26101,21.875;
              26161,21.937; 26221,22.062; 26281,22.187; 26341,22.187; 26401,
              22.312; 26461,22.437; 26521,22.5; 26581,22.562; 26641,22.625;
              26701,22.75; 26761,22.812; 26821,22.875; 26881,22.937; 26941,23;
              27001,23.062; 27061,23.125; 27121,23.062; 27181,22.937; 27241,
              22.937; 27301,23.062; 27361,23.375; 27421,23.812; 27481,24.312;
              27541,24.812; 27601,25.375; 27661,25.875; 27721,26.375; 27781,
              26.812; 27841,27.25; 27901,27.687; 27961,28; 28021,28.375; 28081,
              28.687; 28141,28.937; 28201,29.25; 28261,29.5; 28321,29.75; 28381,
              29.937; 28441,30.187; 28501,30.375; 28561,30.5; 28621,30.687;
              28681,30.875; 28741,31; 28801,31.125; 28861,31.187; 28921,31.312;
              28981,31.437; 29041,31.562; 29101,31.625; 29161,31.687; 29221,
              31.75; 29281,31.812; 29341,31.875; 29401,31.937; 29461,31.937;
              29521,32; 29581,32; 29641,32.062; 29701,32.062; 29761,32.125;
              29821,32.125; 29881,32.187; 29941,32.187; 30001,32.187; 30061,
              32.187; 30121,32.25; 30181,32.25; 30241,32.25; 30301,32.25; 30361,
              32.25; 30421,32.312; 30481,32.312; 30541,32.312; 30601,32.312;
              30661,32.312; 30721,32.312; 30781,32.312; 30841,32.312; 30901,
              32.312; 30961,32.312; 31021,32.312; 31081,32.312; 31141,32.312;
              31201,32.312; 31261,32.312; 31321,32.375; 31381,32.375; 31441,
              32.375; 31501,32.375; 31561,32.312; 31621,32.375; 31681,32.312;
              31741,32.312; 31801,32.312; 31861,32.25; 31921,32.312; 31981,
              32.312; 32041,32.312; 32101,32.312; 32161,32.312; 32221,32.375;
              32281,32.312; 32341,32.25; 32401,32.312; 32461,32.312; 32521,
              32.375; 32581,32.312; 32641,32.312; 32701,32.375; 32761,32.312;
              32821,32.312; 32881,32.375; 32941,32.312; 33001,32.312; 33061,
              32.25; 33121,32.25; 33181,32.187; 33241,32.125; 33301,32.125;
              33361,32.062; 33421,32.062; 33481,32.062; 33541,32.062; 33601,32;
              33661,32; 33721,32; 33781,32.062; 33841,32; 33901,32.062; 33961,
              32.062; 34021,32.062; 34081,32.062; 34141,32.062; 34201,32.125;
              34261,32.125; 34321,32.125; 34381,32.125; 34441,32.187; 34501,
              32.187; 34561,32.125; 34621,32.187; 34681,32.125; 34741,32.187;
              34801,32.187; 34861,32.187; 34921,32.125; 34981,32.062; 35041,
              32.125; 35101,32.062; 35161,32.062; 35221,32.062; 35281,32; 35341,
              32; 35401,32; 35461,31.937; 35521,31.937; 35581,31.875; 35641,
              31.812; 35701,31.812; 35761,31.812; 35821,31.75; 35881,31.687;
              35941,31.687; 36001,31.687; 36061,31.625; 36121,31.625; 36181,
              31.625; 36241,31.625; 36301,31.625; 36361,31.625; 36421,31.562;
              36481,31.625; 36541,31.625; 36601,31.687; 36661,31.625; 36721,
              31.687; 36781,31.687; 36841,31.687; 36901,31.75; 36961,31.75;
              37021,31.75; 37081,31.75; 37141,31.75; 37201,31.812; 37261,31.812;
              37321,31.812; 37381,31.812; 37441,31.812; 37501,31.75; 37561,
              31.75; 37621,31.75; 37681,31.687; 37741,31.75; 37801,31.687;
              37861,31.625; 37921,31.625; 37981,31.625; 38041,31.562; 38101,
              31.562; 38161,31.562; 38221,31.5; 38281,31.5; 38341,31.437; 38401,
              31.437; 38461,31.437; 38521,31.437; 38581,31.5; 38641,31.5; 38701,
              31.562; 38761,31.625; 38821,31.625; 38881,31.687; 38941,31.687;
              39001,31.687; 39061,31.75; 39121,31.75; 39181,31.75; 39241,31.75;
              39301,31.812; 39361,31.75; 39421,31.812; 39481,31.812; 39541,
              31.812; 39601,31.875; 39661,31.812; 39721,31.812; 39781,31.875;
              39841,31.875; 39901,31.875; 39961,31.875; 40021,31.812; 40081,
              31.812; 40141,31.812; 40201,31.875; 40261,31.875; 40321,31.812;
              40381,31.937; 40441,31.937; 40501,32; 40561,31.937; 40621,31.937;
              40681,31.937; 40741,32; 40801,32; 40861,32; 40921,32.062; 40981,
              32.062; 41041,32.062; 41101,32.062; 41161,32.125; 41221,32.125;
              41281,32.125; 41341,32.187; 41401,32.125; 41461,32.187; 41521,
              32.25; 41581,32.187; 41641,32.187; 41701,32.187; 41761,32.25;
              41821,32.25; 41881,32.187; 41941,32.187; 42001,32.187; 42061,
              32.187; 42121,32.187; 42181,32.25; 42241,32.25; 42301,32.187;
              42361,32.187; 42421,32.125; 42481,32.062; 42541,32.062; 42601,
              31.937; 42661,31.937; 42721,32; 42781,31.875; 42841,31.937; 42901,
              31.875; 42961,31.812; 43021,31.75; 43081,31.687; 43141,31.687;
              43201,31.625; 43261,31.625; 43321,31.625; 43381,31.562; 43441,
              31.562; 43501,31.5; 43561,31.437; 43621,31.375; 43681,31.312;
              43741,31.375; 43801,31.375; 43861,31.5; 43921,31.437; 43981,
              31.437; 44041,31.5; 44101,31.562; 44161,31.5; 44221,31.562; 44281,
              31.5; 44341,31.5; 44401,31.5; 44461,31.562; 44521,31.562; 44581,
              31.625; 44641,31.625; 44701,31.562; 44761,31.625; 44821,31.562;
              44881,31.562; 44941,31.562; 45001,31.625; 45061,31.562; 45121,
              31.562; 45181,31.562; 45241,31.562; 45301,31.562; 45361,31.5;
              45421,31.5; 45481,31.5; 45541,31.5; 45601,31.5; 45661,31.5; 45721,
              31.437; 45781,31.437; 45841,31.437; 45901,31.375; 45961,31.312;
              46021,31.312; 46081,31.312; 46141,31.312; 46201,31.312; 46261,
              31.312; 46321,31.312; 46381,31.312; 46441,31.312; 46501,31.312;
              46561,31.25; 46621,31.25; 46681,31.25; 46741,31.187; 46801,31.125;
              46861,31.062; 46921,31; 46981,31; 47041,30.937; 47101,30.875;
              47161,30.875; 47221,30.812; 47281,30.75; 47341,30.687; 47401,
              30.625; 47461,30.625; 47521,30.562; 47581,30.5; 47641,30.437;
              47701,30.437; 47761,30.437; 47821,30.437; 47881,30.437; 47941,
              30.437; 48001,30.312; 48061,30.312; 48121,30.25; 48181,30.25;
              48241,30.187; 48301,30.187; 48361,30.125; 48421,30.062; 48481,
              30.062; 48541,30; 48601,29.937; 48661,29.875; 48721,29.812; 48781,
              29.75; 48841,29.687; 48901,29.687; 48961,29.625; 49021,29.625;
              49081,29.625; 49141,29.562; 49201,29.562; 49261,29.5; 49321,29.5;
              49381,29.5; 49441,29.437; 49501,29.437; 49561,29.437; 49621,
              29.375; 49681,29.312; 49741,29.312; 49801,29.25; 49861,29.25;
              49921,29.25; 49981,29.25; 50041,29.187; 50101,29.187; 50161,
              29.187; 50221,29.187; 50281,29.187; 50341,29.187; 50401,29.187;
              50461,29.187; 50521,29.125; 50581,29.187; 50641,29.187; 50701,
              29.125; 50761,29.187; 50821,29.187; 50881,29.125; 50941,29.125;
              51001,29.125; 51061,29.125; 51121,29.125; 51181,29.062; 51241,
              29.125; 51301,29.187; 51361,29.125; 51421,29.187; 51481,29.187;
              51541,29.125; 51601,29.125; 51661,29.125; 51721,29.062; 51781,
              29.062; 51841,29; 51901,29.062; 51961,29; 52021,29; 52081,29;
              52141,28.937; 52201,28.937; 52261,28.937; 52321,28.875; 52381,
              28.937; 52441,28.937; 52501,28.937; 52561,28.937; 52621,28.937;
              52681,28.937; 52741,28.937; 52801,28.937; 52861,29; 52921,29;
              52981,29.062; 53041,29.062; 53101,29.062; 53161,29.125; 53221,
              29.125; 53281,29.187; 53341,29.25; 53401,29.312; 53461,29.312;
              53521,29.312; 53581,29.437; 53641,29.5; 53701,29.687; 53761,
              29.687; 53821,29.812; 53881,29.875; 53941,29.937; 54001,30; 54061,
              30; 54121,30.062; 54181,30.125; 54241,30.125; 54301,30.187; 54361,
              30.25; 54421,30.25; 54481,30.312; 54541,30.375; 54601,30.312;
              54661,30.437; 54721,30.437; 54781,30.562; 54841,30.625; 54901,
              30.562; 54961,30.562; 55021,30.625; 55081,30.562; 55141,30.5;
              55201,30.625; 55261,30.625; 55321,30.625; 55381,30.687; 55441,
              30.812; 55501,30.875; 55561,30.875; 55621,30.812; 55681,30.812;
              55741,30.812; 55861,30.75; 55921,30.875; 55981,30.937; 56041,31;
              56101,31.062; 56161,31.125; 56221,31.062; 56281,31.125; 56341,
              31.125; 56401,31.187; 56461,31.125; 56521,31.125; 56581,31.125;
              56641,31.062; 56701,31.062; 56761,31; 56821,31; 56881,30.937;
              56941,30.937; 57001,30.875; 57061,31; 57121,30.937; 57181,30.875;
              57241,30.812; 57301,30.75; 57361,30.812; 57421,30.75; 57481,30.75;
              57541,30.75; 57601,30.75; 57661,30.75; 57721,30.875; 57781,30.875;
              57841,30.812; 57901,30.812; 57961,30.875; 58021,30.937; 58081,31;
              58141,31.062; 58201,31.125; 58261,31.187; 58321,31.187; 58381,
              31.187; 58441,31.25; 58501,31.25; 58561,31.25; 58621,31.25; 58681,
              31.25; 58741,31.25; 58801,31.25; 58861,31.312; 58921,31.25; 58981,
              31.25; 59041,31.25; 59101,31.187; 59161,31.187; 59221,31.187;
              59281,31.125; 59341,31.125; 59401,31.062; 59461,31.062; 59522,
              31.062; 59582,31.062; 59642,31.062; 59702,31; 59762,31.062; 59822,
              31; 59882,31; 59942,31; 60002,30.937; 60062,30.937; 60122,30.937;
              60182,30.875; 60242,30.937; 60302,30.875; 60362,30.875; 60422,
              30.875; 60482,30.875; 60542,30.875; 60602,30.875; 60662,30.875;
              60722,30.875; 60782,30.875; 60842,30.937; 60902,30.937; 60962,
              30.875; 61022,30.812; 61082,30.812; 61142,30.75; 61202,30.75;
              61262,30.687; 61322,30.625; 61382,30.625; 61442,30.562; 61502,
              30.562; 61562,30.562; 61622,30.562; 61682,30.562; 61742,30.5;
              61802,30.5; 61862,30.5; 61922,30.5; 61982,30.437; 62042,30.437;
              62102,30.375; 62162,30.312; 62222,30.25; 62282,30.25; 62342,
              30.187; 62402,30.125; 62462,30.125; 62522,30.062; 62582,30; 62642,
              30; 62702,29.937; 62762,29.937; 62822,29.875; 62882,29.812; 62942,
              29.75; 63002,29.75; 63062,29.75; 63122,29.687; 63182,29.687;
              63242,29.625; 63302,29.625; 63362,29.562; 63422,29.5; 63482,
              29.437; 63542,29.375; 63602,29.312; 63662,29.25; 63722,29.187;
              63782,29.062; 63842,29; 63902,28.937; 63962,28.875; 64022,28.812;
              64082,28.75; 64142,28.687; 64202,28.562; 64262,28.5; 64322,28.437;
              64382,28.375; 64442,28.312; 64502,28.25; 64562,28.125; 64622,
              28.062; 64682,28; 64742,27.937; 64802,27.875; 64862,27.812; 64922,
              27.75; 64982,27.687; 65042,27.625; 65102,27.625; 65162,27.5;
              65222,27.437; 65282,27.375; 65342,27.312; 65402,27.25; 65462,
              27.187; 65522,27.125; 65582,27.062; 65642,27; 65702,26.937; 65762,
              26.937; 65822,26.812; 65882,26.75; 65942,26.687; 66002,26.687;
              66062,26.625; 66122,26.562; 66182,26.5; 66242,26.437; 66302,
              26.375; 66362,26.312; 66422,26.25; 66482,26.25; 66542,26.187;
              66602,26.125; 66662,26.062; 66722,26.062; 66782,26; 66842,25.937;
              66902,25.937; 66962,25.875; 67022,25.812; 67082,25.75; 67142,
              25.75; 67202,25.687; 67262,25.625; 67322,25.562; 67382,25.562;
              67442,25.5; 67502,25.437; 67562,25.375; 67622,25.375; 67682,
              25.312; 67742,25.312; 67802,25.25; 67862,25.187; 67922,25.187;
              67982,25.125; 68042,25.125; 68102,25.062; 68162,25; 68222,24.937;
              68282,24.937; 68342,24.937; 68402,24.875; 68462,24.812; 68522,
              24.812; 68582,24.75; 68642,24.75; 68702,24.687; 68762,24.687;
              68822,24.625; 68882,24.562; 68942,24.562; 69002,24.5; 69062,24.5;
              69122,24.437; 69182,24.437; 69242,24.375; 69302,24.375; 69362,
              24.312; 69422,24.312; 69482,24.25; 69542,24.25; 69602,24.187;
              69662,24.187; 69722,24.125; 69782,24.125; 69842,24.062; 69902,
              24.062; 69962,24; 70022,24; 70082,23.937; 70142,23.937; 70202,
              23.875; 70262,23.875; 70322,23.875; 70382,23.812; 70442,23.812;
              70502,23.75; 70562,23.75; 70622,23.75; 70682,23.687; 70742,23.625;
              70802,23.625; 70862,23.625; 70922,23.562; 70982,23.562; 71042,
              23.5; 71102,23.5; 71162,23.5; 71222,23.437; 71282,23.437; 71342,
              23.375; 71402,23.375; 71462,23.375; 71522,23.312; 71582,23.312;
              71642,23.312; 71702,23.25; 71762,23.25; 71822,23.187; 71882,
              23.187; 71942,23.187; 72002,23.125; 72062,23.125; 72122,23.125;
              72182,23.062; 72242,23.062; 72302,23.062; 72362,23; 72422,23;
              72482,22.937; 72542,22.937; 72602,22.937; 72662,22.875; 72722,
              22.875; 72782,22.875; 72842,22.875; 72902,22.875; 72962,22.875;
              73022,22.812; 73082,22.812; 73142,22.812; 73202,22.812; 73262,
              22.75; 73322,22.812; 73382,22.75; 73442,22.75; 73502,22.687;
              73562,22.687; 73622,22.687; 73682,22.625; 73742,22.625; 73802,
              22.625; 73862,22.625; 73922,22.562; 73982,22.562; 74042,22.562;
              74102,22.562; 74162,22.562; 74222,22.5; 74282,22.5; 74342,22.5;
              74402,22.5; 74462,22.437; 74522,22.437; 74582,22.437; 74642,
              22.437; 74702,22.437; 74762,22.437; 74822,22.375; 74882,22.375;
              74942,22.375; 75002,22.312; 75062,22.312; 75122,22.312; 75182,
              22.312; 75242,22.312; 75302,22.25; 75362,22.25; 75422,22.25;
              75482,22.187; 75542,22.187; 75602,22.187; 75662,22.187; 75722,
              22.187; 75782,22.187; 75842,22.125; 75902,22.187; 75962,22.125;
              76022,22.125; 76082,22.062; 76142,22.062; 76202,22.062; 76262,
              22.062; 76322,22.062; 76382,22.062; 76442,22.062; 76502,22; 76562,
              22; 76622,22; 76682,21.937; 76742,21.937; 76802,21.937; 76862,
              21.937; 76922,21.937; 76982,21.937; 77042,21.875; 77102,21.875;
              77162,21.875; 77222,21.875; 77282,21.812; 77342,21.812; 77402,
              21.812; 77462,21.812; 77522,21.812; 77582,21.75; 77642,21.75;
              77702,21.75; 77762,21.75; 77822,21.687; 77882,21.687; 77942,
              21.687; 78002,21.687; 78062,21.687; 78122,21.625; 78182,21.625;
              78242,21.625; 78302,21.625; 78362,21.625; 78422,21.625; 78482,
              21.562; 78542,21.562; 78602,21.562; 78662,21.562; 78722,21.5;
              78782,21.5; 78842,21.5; 78902,21.5; 78962,21.5; 79022,21.437;
              79082,21.437; 79142,21.437; 79202,21.437; 79262,21.437; 79322,
              21.437; 79382,21.375; 79442,21.375; 79502,21.375; 79562,21.375;
              79622,21.375; 79682,21.312; 79742,21.375; 79802,21.312; 79862,
              21.312; 79922,21.312; 79982,21.25; 80042,21.25; 80102,21.312;
              80162,21.25; 80222,21.187; 80282,21.25; 80342,21.187; 80402,
              21.187; 80462,21.187; 80522,21.187; 80582,21.125; 80642,21.125;
              80702,21.125; 80762,21.125; 80822,21.125; 80882,21.062; 80942,
              21.125; 81002,21.062; 81062,21.062; 81122,21.062; 81182,21.062;
              81242,21; 81302,21; 81362,21; 81422,21; 81482,21; 81542,20.937;
              81602,20.937; 81662,20.937; 81722,20.937; 81782,20.937; 81842,
              20.937; 81902,20.875; 81962,20.875; 82022,20.875; 82082,20.875;
              82142,20.812; 82202,20.812; 82262,20.812; 82322,20.812; 82382,
              20.812; 82442,20.812; 82502,20.75; 82562,20.75; 82622,20.75;
              82682,20.75; 82742,20.75; 82802,20.75; 82862,20.687; 82922,20.75;
              82982,20.687; 83042,20.687; 83102,20.687; 83162,20.687; 83222,
              20.687; 83282,20.625; 83342,20.625; 83402,20.625; 83462,20.625;
              83522,20.625; 83582,20.562; 83642,20.625; 83702,20.562; 83762,
              20.625; 83822,20.562; 83882,20.562; 83942,20.562; 84002,20.562;
              84062,20.562; 84122,20.562; 84182,20.562; 84242,20.562; 84302,
              20.5; 84362,20.5; 84422,20.5; 84482,20.5; 84542,20.5; 84602,20.5;
              84662,20.5; 84722,20.5; 84782,20.437; 84842,20.437; 84902,20.437;
              84962,20.437; 85022,20.437; 85082,20.437; 85142,20.437; 85202,
              20.437; 85262,20.437; 85322,20.437; 85382,20.375; 85442,20.375;
              85502,20.375; 85562,20.375; 85622,20.375; 85682,20.375; 85742,
              20.375; 85802,20.312; 85862,20.375; 85922,20.312; 85982,20.312;
              86042,20.312; 86102,20.312; 86162,20.312; 86222,20.312; 86282,
              20.312; 86342,20.312; 86402,20.312; 86462,20.25; 86522,20.312;
              86582,20.312; 86642,20.312; 86702,20.25; 86762,20.25; 86822,20.25;
              86882,20.25; 86942,20.25; 87002,20.25; 87062,20.25; 87122,20.25;
              87182,20.25; 87242,20.187; 87302,20.187; 87362,20.187; 87422,
              20.187; 87482,20.187; 87542,20.187; 87602,20.187; 87662,20.187;
              87722,20.187; 87782,20.187; 87842,20.187; 87902,20.187; 87962,
              20.187; 88022,20.187; 88082,20.187; 88142,20.125; 88202,20.125;
              88262,20.125; 88322,20.125; 88382,20.125; 88442,20.125; 88502,
              20.125; 88562,20.125; 88622,20.125; 88682,20.125; 88742,20.125;
              88802,20.062; 88862,20.062; 88922,20.062; 88982,20.062; 89042,
              20.062; 89102,20.062; 89162,20.062; 89222,20.062; 89282,20.062;
              89342,20.062; 89402,20.062; 89462,20.062; 89522,20.062; 89582,20;
              89642,20.062; 89702,20.062; 89762,20; 89822,20; 89882,20; 89942,
              20; 90002,20; 90062,20; 90122,20; 90182,19.937; 90242,20; 90302,
              20; 90362,20; 90422,19.937; 90482,19.937; 90542,20; 90602,20;
              90662,19.937; 90722,19.937; 90782,19.937; 90842,19.937; 90902,
              19.937; 90962,19.937; 91022,19.937; 91082,19.937; 91142,19.937;
              91202,19.937; 91262,19.937; 91322,19.875; 91382,19.937; 91442,
              19.937; 91502,19.875; 91562,19.875; 91622,19.875; 91682,19.875;
              91742,19.875; 91802,19.875; 91862,19.875; 91922,19.875; 91982,
              19.875; 92042,19.875; 92102,19.875; 92162,19.875; 92222,19.875;
              92282,19.875; 92342,19.875; 92402,19.875; 92462,19.875; 92522,
              19.875; 92582,19.812; 92642,19.812; 92702,19.812; 92762,19.812;
              92822,19.812; 92882,19.812; 92942,19.812; 93002,19.812; 93062,
              19.812; 93122,19.812; 93182,19.812; 93242,19.812; 93302,19.812;
              93362,19.812; 93422,19.875; 93482,19.812; 93542,19.875; 93602,
              19.875; 93662,19.937; 93722,19.937; 93782,19.937; 93842,19.937;
              93902,20; 93962,20; 94022,20.062; 94082,20.062; 94142,20.062;
              94202,20.062; 94262,20.125; 94322,20.125; 94382,20.187; 94442,
              20.187; 94502,20.25; 94562,20.312; 94622,20.437; 94682,20.562;
              94742,20.625; 94802,20.75; 94862,20.875; 94922,21; 94982,21.187;
              95042,21.312; 95102,21.437; 95162,21.625; 95222,21.75; 95282,
              21.875; 95342,21.937; 95402,22.062; 95462,22.187; 95522,22.25;
              95582,22.312; 95642,22.437; 95702,22.5; 95762,22.562; 95822,
              22.625; 95882,22.625; 95942,22.687; 96002,22.687; 96062,22.75;
              96122,22.812; 96182,22.812; 96242,22.812; 96302,22.875; 96362,
              22.875; 96422,22.875; 96482,22.875; 96542,22.875; 96602,22.875;
              96662,22.875; 96722,22.812; 96782,22.812; 96842,22.812; 96902,
              22.812; 96962,22.812; 97022,22.812; 97082,22.812; 97142,22.812;
              97202,22.812; 97262,22.75; 97322,22.75; 97382,22.75; 97442,22.75;
              97502,22.75; 97562,22.687; 97622,22.687; 97682,22.687; 97742,
              22.625; 97802,22.625; 97862,22.625; 97922,22.625; 97982,22.562;
              98042,22.562; 98102,22.562; 98162,22.562; 98222,22.5; 98282,22.5;
              98342,22.5; 98402,22.5; 98462,22.437; 98522,22.437; 98582,22.437;
              98642,22.375; 98702,22.375; 98762,22.375; 98822,22.312; 98882,
              22.312; 98942,22.312; 99002,22.25; 99062,22.25; 99122,22.25;
              99182,22.25; 99242,22.187; 99302,22.187; 99362,22.187; 99422,
              22.125; 99482,22.125; 99542,22.125; 99602,22.062; 99662,22.062;
              99722,22.062; 99782,22.062; 99842,22; 99902,22; 99962,22; 100022,
              21.937; 100082,21.937; 100142,21.937; 100202,21.937; 100262,
              21.937; 100322,21.875; 100382,21.875; 100442,21.875; 100502,
              21.812; 100562,21.812; 100622,21.812; 100682,21.812; 100742,21.75;
              100802,21.75; 100862,21.75; 100922,21.75; 100982,21.75; 101042,
              21.687; 101102,21.687; 101162,21.625; 101222,21.625; 101282,
              21.625; 101342,21.562; 101402,21.562; 101462,21.562; 101522,
              21.562; 101582,21.5; 101642,21.5; 101702,21.5; 101762,21.5;
              101822,21.5; 101882,21.5; 101942,21.437; 102002,21.437; 102062,
              21.437; 102122,21.437; 102182,21.437; 102242,21.437; 102302,
              21.437; 102362,21.437; 102422,21.437; 102482,21.437; 102542,
              21.437; 102602,21.437; 102662,21.5; 102722,21.5; 102782,21.5;
              102842,21.562; 102902,21.562; 102962,21.625; 103022,21.687;
              103082,21.687; 103142,21.75; 103202,21.812; 103262,21.937; 103322,
              21.937; 103382,22; 103442,22.062; 103502,22.062; 103562,22.187;
              103622,22.187; 103682,22.25; 103742,22.312; 103802,22.375; 103862,
              22.437; 103922,22.437; 103982,22.5; 104042,22.5; 104102,22.562;
              104162,22.625; 104222,22.625; 104282,22.687; 104342,22.75; 104402,
              22.75; 104462,22.75; 104522,22.812; 104582,22.812; 104642,22.875;
              104702,22.875; 104762,22.875; 104822,22.875; 104882,22.937;
              104942,22.937; 105002,22.937; 105062,23; 105122,23; 105182,23;
              105242,23; 105302,23; 105362,23; 105422,23; 105482,23; 105542,23;
              105602,23; 105662,23; 105722,23; 105782,23; 105842,23; 105902,23;
              105962,22.937; 106022,23; 106082,22.937; 106142,23; 106202,22.937;
              106262,23; 106322,23; 106382,22.937; 106442,22.937; 106502,22.937;
              106562,22.875; 106622,22.875; 106682,22.875; 106742,22.875;
              106802,22.875; 106862,22.812; 106922,22.812; 106982,22.812;
              107042,22.812; 107102,22.75; 107162,22.75; 107222,22.75; 107282,
              22.687; 107342,22.687; 107402,22.687; 107462,22.687; 107522,
              22.625; 107582,22.625; 107642,22.625; 107702,22.562; 107762,
              22.562; 107822,22.562; 107882,22.5; 107942,22.5; 108002,22.5;
              108062,22.5; 108122,22.437; 108182,22.437; 108242,22.437; 108302,
              22.375; 108362,22.375; 108422,22.375; 108482,22.312; 108542,
              22.312; 108602,22.312; 108662,22.312; 108722,22.25; 108782,22.312;
              108842,22.25; 108902,22.25; 108962,22.187; 109022,22.187; 109082,
              22.187; 109142,22.187; 109202,22.125; 109262,22.125; 109322,
              22.125; 109382,22.125; 109442,22.062; 109502,22.062; 109562,
              22.062; 109622,22; 109682,22; 109742,22; 109802,22; 109862,22;
              109922,21.937; 109982,21.937; 110042,21.937; 110102,21.937;
              110162,21.875; 110223,21.875; 110283,21.875; 110343,21.812;
              110403,21.812; 110463,21.812; 110523,21.75; 110583,21.75; 110643,
              21.75; 110703,21.75; 110763,21.687; 110823,21.687; 110883,21.687;
              110943,21.687; 111003,21.687; 111063,21.625; 111123,21.625;
              111183,21.625; 111243,21.625; 111303,21.562; 111363,21.562;
              111423,21.562; 111483,21.5; 111543,21.5; 111603,21.5; 111663,21.5;
              111723,21.5; 111783,21.5; 111843,21.437; 111903,21.5; 111963,
              21.437; 112023,21.437; 112083,21.437; 112143,21.437; 112203,
              21.437; 112263,21.437; 112323,21.375; 112383,21.437; 112443,
              21.375; 112503,21.375; 112563,21.375; 112623,21.375; 112683,
              21.375; 112743,21.375; 112803,21.375; 112863,21.375; 112923,
              21.375; 112983,21.375; 113043,21.375; 113103,21.437; 113163,
              21.437; 113223,21.437; 113283,21.437; 113343,21.437; 113403,21.5;
              113463,21.5; 113523,21.437; 113583,21.437; 113643,21.5; 113703,
              21.625; 113763,21.937; 113823,22.375; 113883,22.875; 113938,
              23.437; 113996,24; 114056,24.562; 114116,25.062; 114175,25.625;
              114235,26.125; 114295,26.562; 114355,27; 114415,27.437; 114475,
              27.812; 114535,28.187; 114595,28.5; 114655,28.875; 114715,29.125;
              114775,29.375; 114835,29.625; 114895,29.812; 114955,30; 115015,
              30.187; 115075,30.375; 115135,30.5; 115195,30.687; 115255,30.75;
              115315,30.937; 115375,31; 115435,31.062; 115495,31.125; 115555,
              31.25; 115615,31.312; 115675,31.312; 115735,31.437; 115795,31.437;
              115855,31.5; 115915,31.562; 115975,31.562; 116035,31.625; 116095,
              31.562; 116155,31.625; 116215,31.625; 116275,31.625; 116335,
              31.625; 116395,31.687; 116455,31.75; 116515,31.75; 116575,31.75;
              116635,31.687; 116695,31.75; 116755,31.75; 116815,31.812; 116875,
              31.812; 116935,31.812; 116995,31.812; 117055,31.875; 117115,
              31.875; 117175,31.937; 117235,31.937; 117295,32; 117355,32;
              117415,32; 117475,32.062; 117535,32.062; 117595,32.125; 117655,
              32.125; 117715,32.187; 117775,32.125; 117835,32.187; 117895,
              32.187; 117955,32.187; 118015,32.187; 118075,32.187; 118135,
              32.187; 118195,32.187; 118255,32.187; 118315,32.187; 118375,
              32.187; 118435,32.125; 118495,32.062; 118555,32.062; 118615,
              32.062; 118675,32; 118735,32.062; 118795,32.062; 118855,32;
              118915,32; 118975,32; 119035,32; 119095,32; 119155,31.937; 119215,
              31.937; 119275,31.937; 119335,31.875; 119395,31.937; 119455,
              31.812; 119515,31.812; 119575,31.812; 119635,31.875; 119695,
              31.812; 119755,31.812; 119815,31.75; 119875,31.75; 119935,31.75;
              119995,31.75; 120055,31.687; 120115,31.687; 120175,31.687; 120235,
              31.687; 120295,31.687; 120355,31.687; 120415,31.687; 120475,
              31.687; 120535,31.687; 120595,31.687; 120655,31.687; 120715,
              31.687; 120775,31.687; 120835,31.687; 120895,31.625; 120955,
              31.687; 121015,31.687; 121075,31.687; 121135,31.687; 121195,
              31.687; 121255,31.687; 121315,31.687; 121375,31.687; 121435,
              31.687; 121495,31.687; 121555,31.687; 121615,31.687; 121675,
              31.625; 121735,31.625; 121795,31.625; 121855,31.625; 121915,
              31.625; 121975,31.625; 122035,31.625; 122095,31.625; 122155,
              31.562; 122215,31.625; 122275,31.687; 122335,31.625; 122395,
              31.687; 122455,31.75; 122515,31.75; 122575,31.687; 122635,31.75;
              122695,31.75; 122755,31.75; 122815,31.75; 122875,31.75; 122935,
              31.75; 122995,31.687; 123055,31.687; 123115,31.687; 123175,31.687;
              123235,31.687; 123295,31.687; 123355,31.625; 123415,31.625;
              123475,31.625; 123535,31.625; 123595,31.625; 123655,31.562;
              123715,31.562; 123775,31.625; 123835,31.562; 123895,31.5; 123955,
              31.437; 124015,31.375; 124075,31.375; 124135,31.375; 124195,
              31.375; 124255,31.437; 124315,31.375; 124375,31.312; 124435,31.25;
              124495,31.187; 124555,31.187; 124615,31.25; 124675,31.187; 124735,
              31.187; 124795,31.25; 124855,31.25; 124915,31.187; 124975,31.187;
              125035,31.312; 125095,31.312; 125155,31.312; 125215,31.375;
              125275,31.437; 125335,31.375; 125395,31.437; 125455,31.437;
              125515,31.437; 125575,31.437; 125635,31.5; 125695,31.5; 125755,
              31.437; 125815,31.5; 125875,31.5; 125935,31.437; 125995,31.437;
              126055,31.5; 126115,31.437; 126175,31.437; 126235,31.375; 126295,
              31.375; 126355,31.375; 126415,31.375; 126475,31.312; 126535,
              31.375; 126595,31.375; 126655,31.25; 126715,31.25; 126775,31.187;
              126835,31.25; 126895,31.25; 126955,31.25; 127015,31.25; 127075,
              31.312; 127135,31.312; 127195,31.25; 127255,31.312; 127315,31.312;
              127375,31.312; 127435,31.312; 127495,31.375; 127555,31.437;
              127615,31.437; 127675,31.5; 127735,31.5; 127795,31.5; 127855,31.5;
              127915,31.5; 127975,31.562; 128035,31.5; 128095,31.5; 128155,
              31.562; 128215,31.5; 128275,31.5; 128335,31.437; 128395,31.437;
              128455,31.437; 128515,31.437; 128575,31.5; 128635,31.437; 128695,
              31.437; 128755,31.437; 128815,31.437; 128875,31.437; 128935,
              31.437; 128995,31.437; 129055,31.375; 129115,31.375; 129175,
              31.375; 129235,31.312; 129295,31.312; 129355,31.312; 129415,
              31.312; 129475,31.25; 129535,31.312; 129595,31.312; 129655,31.312;
              129715,31.375; 129775,31.375; 129835,31.25; 129895,31.25; 129955,
              31.187; 130015,31.062; 130075,31; 130135,31; 130195,31.062;
              130255,31.187; 130315,31.187; 130375,31.125; 130435,31.187;
              130495,31.125; 130555,31.125; 130615,31.187; 130675,31.187;
              130735,31.187; 130795,31.187; 130855,31.187; 130915,31.187;
              130975,31.187; 131035,31.187; 131095,31.187; 131155,31.25; 131215,
              31.25; 131275,31.25; 131335,31.25; 131395,31.25; 131455,31.25;
              131515,31.312; 131575,31.25; 131635,31.25; 131695,31.25; 131755,
              31.25; 131815,31.312; 131875,31.25; 131935,31.375; 131995,31.375;
              132055,31.375; 132115,31.375; 132175,31.437; 132235,31.437;
              132295,31.5; 132355,31.5; 132415,31.5; 132475,31.5; 132535,31.5;
              132595,31.437; 132655,31.437; 132715,31.437; 132775,31.5; 132835,
              31.562; 132895,31.562; 132955,31.562; 133015,31.5; 133075,31.5;
              133135,31.562; 133195,31.625; 133255,31.625; 133315,31.625;
              133375,31.562; 133435,31.562; 133495,31.5; 133555,31.562; 133615,
              31.562; 133675,31.5; 133735,31.5; 133795,31.437; 133855,31.437;
              133915,31.437; 133975,31.437; 134035,31.375; 134095,31.375;
              134155,31.375; 134215,31.312; 134275,31.25; 134335,31.25; 134395,
              31.25; 134455,31.187; 134515,31.187; 134575,31.125; 134635,31.062;
              134695,31; 134755,30.937; 134815,30.875; 134875,30.812; 134935,
              30.75; 134995,30.687; 135055,30.625; 135115,30.562; 135175,30.5;
              135235,30.437; 135295,30.375; 135355,30.312; 135415,30.25; 135475,
              30.187; 135535,30.125; 135595,30.062; 135655,30.062; 135715,
              29.937; 135775,29.875; 135835,29.812; 135895,29.75; 135955,29.687;
              136015,29.625; 136075,29.562; 136135,29.5; 136195,29.437; 136255,
              29.437; 136315,29.375; 136375,29.375; 136435,29.312; 136495,
              29.312; 136555,29.25; 136615,29.25; 136675,29.25; 136735,29.187;
              136795,29.187; 136855,29.187; 136915,29.187; 136975,29.187;
              137035,29.187; 137095,29.25; 137155,29.187; 137215,29.187; 137275,
              29.25; 137335,29.25; 137395,29.312; 137455,29.312; 137515,29.312;
              137575,29.312; 137635,29.312; 137695,29.312; 137755,29.312;
              137815,29.312; 137875,29.312; 137935,29.25; 137995,29.25; 138055,
              29.187; 138115,29.187; 138175,29.25; 138235,29.187; 138295,29.187;
              138355,29.25; 138415,29.187; 138475,29.187; 138535,29.187; 138595,
              29.187; 138655,29.125; 138715,29.125; 138775,29.125; 138835,
              29.125; 138895,29.062; 138955,29.062; 139015,29.062; 139075,
              29.062; 139135,29.062; 139195,29.062; 139255,29.062; 139315,
              29.062; 139375,29.062; 139435,29.062; 139495,29; 139555,29;
              139615,29.062; 139675,29; 139735,29; 139795,29; 139855,29; 139915,
              29; 139975,29; 140035,29.062; 140095,29.062; 140155,29.062;
              140215,29.062; 140275,29.062; 140335,29.125; 140395,29.125;
              140455,29.187; 140515,29.25; 140575,29.375; 140635,29.375; 140695,
              29.375; 140755,29.375; 140815,29.375; 140875,29.375; 140935,
              29.437; 140995,29.437; 141055,29.5; 141115,29.562; 141175,29.562;
              141235,29.625; 141295,29.687; 141355,29.687; 141415,29.687;
              141475,29.687; 141535,29.75; 141595,29.812; 141655,29.812; 141715,
              29.812; 141775,29.812; 141835,29.812; 141895,29.937; 141955,
              29.875; 142015,29.875; 142075,29.937; 142135,29.937; 142262,
              29.937; 142322,29.937; 142382,29.937; 142442,29.937; 142502,
              29.937; 142562,30; 142622,30.062; 142682,30; 142742,30; 142802,30;
              142862,30.062; 142922,30.062; 142982,30.125; 143042,30.062;
              143102,30; 143162,30; 143222,30; 143282,30.062; 143342,30.062;
              143402,30.062; 143462,30.062; 143522,30.062; 143582,30; 143642,30;
              143702,30; 143762,30; 143822,30; 143882,30.062; 143942,30.062;
              144002,30; 144062,30; 144122,29.937; 144182,29.937; 144242,30;
              144302,30; 144362,30.062; 144422,30; 144482,30; 144542,30; 144602,
              30.062; 144662,30.062; 144722,30.062; 144782,30.062; 144842,
              30.062; 144902,30.062; 144962,30.062; 145022,30.062; 145082,
              30.062; 145142,30.125; 145202,30.125; 145262,30.125; 145322,
              30.062; 145382,30.125; 145442,30.125; 145502,30.187; 145562,
              30.187; 145622,30.187; 145682,30.187; 145742,30.25; 145802,30.187;
              145862,30.125; 145922,30.125; 145982,30.062; 146042,30.187;
              146102,30.25; 146162,30.187; 146222,30.187; 146282,30.187; 146342,
              30.187; 146402,30.187; 146462,30.187; 146522,30.125; 146582,
              30.125; 146642,30.187; 146702,30.125; 146762,30.125; 146822,
              30.125; 146882,30.125; 146942,30.187; 147002,30.187; 147062,
              30.187; 147122,30.125; 147182,30.125; 147242,30.125; 147302,
              30.187; 147362,30.125; 147422,30.187; 147482,30.187; 147542,
              30.125; 147602,30.125; 147662,30.125; 147722,30.125; 147782,
              30.125; 147842,30.125; 147902,30.125; 147962,30.125; 148022,
              30.125; 148082,30.125; 148142,30.125; 148202,30.062; 148262,
              30.062; 148322,30.062; 148382,30.062; 148442,30; 148502,30;
              148562,30.062; 148622,30.062; 148682,30.062; 148742,30.062;
              148802,30.062; 148862,30.062; 148922,30.125; 148982,30.125;
              149042,30.125; 149102,30.125; 149162,30.125; 149222,30.125;
              149282,30.187; 149342,30.187; 149402,30.125; 149462,30.25; 149522,
              30.25; 149582,30.25; 149642,30.25; 149702,30.25; 149762,30.187;
              149822,30.187; 149882,29.875; 149942,29.937; 150002,30; 150062,
              29.937; 150122,29.812; 150182,29.812; 150242,29.687; 150302,
              29.687; 150362,29.562; 150422,29.562; 150482,29.437; 150542,
              29.375; 150602,29.312; 150662,29.25; 150722,29.187; 150782,29.062;
              150842,29; 150902,28.937; 150962,28.875; 151022,28.812; 151082,
              28.75; 151142,28.687; 151202,28.625; 151262,28.562; 151322,28.5;
              151382,28.375; 151442,28.375; 151502,28.312; 151562,28.25; 151622,
              28.187; 151682,28.125; 151742,28.062; 151802,28; 151862,27.875;
              151922,27.875; 151982,27.75; 152042,27.75; 152102,27.625; 152162,
              27.625; 152222,27.562; 152282,27.5; 152342,27.437; 152402,27.375;
              152462,27.312; 152522,27.25; 152582,27.187; 152642,27.125; 152702,
              27.125; 152762,27.062; 152822,27; 152882,26.937; 152942,26.875;
              153002,26.875; 153062,26.812; 153122,26.687; 153182,26.687;
              153242,26.625; 153302,26.562; 153362,26.5; 153422,26.5; 153482,
              26.437; 153542,26.375; 153602,26.375; 153662,26.312; 153722,26.25;
              153782,26.187; 153842,26.125; 153902,26.062; 153962,26; 154022,26;
              154082,25.937; 154142,25.937; 154202,25.875; 154262,25.812;
              154322,25.75; 154382,25.75; 154442,25.687; 154502,25.625; 154562,
              25.625; 154622,25.562; 154682,25.562; 154742,25.5; 154802,25.437;
              154862,25.437; 154922,25.375; 154982,25.312; 155042,25.25; 155102,
              25.25; 155162,25.25; 155222,25.187; 155282,25.125; 155342,25.062;
              155402,25.062; 155462,25.062; 155522,25; 155582,25; 155642,24.937;
              155702,24.937; 155762,24.875; 155822,24.812; 155882,24.812;
              155942,24.75; 156002,24.687; 156062,24.687; 156122,24.625; 156182,
              24.625; 156242,24.625; 156302,24.562; 156362,24.562; 156422,24.5;
              156482,24.5; 156542,24.437; 156602,24.437; 156662,24.375; 156722,
              24.312; 156782,24.312; 156842,24.312; 156902,24.25; 156962,24.25;
              157022,24.25; 157082,24.187; 157142,24.187; 157202,24.125; 157262,
              24.125; 157322,24.062; 157382,24.062; 157442,24.062; 157502,24;
              157562,23.937; 157622,23.937; 157682,23.937; 157742,23.937;
              157802,23.875; 157862,23.812; 157922,23.812; 157982,23.812;
              158042,23.75; 158102,23.75; 158162,23.687; 158222,23.687; 158282,
              23.687; 158342,23.625; 158402,23.625; 158463,23.625; 158523,
              23.562; 158583,23.562; 158643,23.5; 158703,23.5; 158763,23.437;
              158823,23.437; 158883,23.437; 158943,23.375; 159003,23.375;
              159063,23.375; 159123,23.375; 159183,23.312; 159243,23.312;
              159303,23.312; 159363,23.25; 159423,23.25; 159483,23.187; 159543,
              23.187; 159603,23.187; 159663,23.187; 159723,23.125; 159783,
              23.125; 159843,23.125; 159903,23.125; 159963,23.062; 160023,
              23.062; 160083,23; 160143,23; 160203,23; 160263,23; 160323,22.937;
              160383,22.937; 160443,22.937; 160503,22.875; 160563,22.875;
              160623,22.875; 160683,22.875; 160743,22.875; 160803,22.812;
              160863,22.812; 160923,22.812; 160983,22.75; 161043,22.812; 161103,
              22.75; 161163,22.75; 161223,22.75; 161283,22.75; 161343,22.687;
              161403,22.75; 161463,22.687; 161523,22.687; 161583,22.687; 161643,
              22.625; 161703,22.625; 161763,22.625; 161823,22.625; 161883,
              22.562; 161943,22.625; 162003,22.625; 162063,22.562; 162123,
              22.562; 162183,22.562; 162243,22.5; 162303,22.562; 162363,22.5;
              162423,22.5; 162483,22.5; 162543,22.5; 162603,22.437; 162663,
              22.437; 162723,22.437; 162783,22.437; 162843,22.375; 162903,
              22.437; 162963,22.375; 163023,22.375; 163083,22.312; 163143,
              22.375; 163203,22.312; 163263,22.312; 163323,22.312; 163383,
              22.312; 163443,22.25; 163503,22.25; 163563,22.25; 163623,22.25;
              163683,22.25; 163743,22.187; 163803,22.187; 163863,22.187; 163923,
              22.187; 163983,22.187; 164043,22.125; 164103,22.125; 164163,
              22.125; 164223,22.125; 164283,22.062; 164343,22.125; 164403,
              22.062; 164463,22.062; 164523,22.062; 164583,22.062; 164643,22;
              164703,22; 164763,22; 164823,22; 164883,22; 164943,22; 165003,
              21.937; 165063,21.937; 165123,21.937; 165183,21.937; 165243,
              21.875; 165303,21.875; 165363,21.875; 165423,21.875; 165483,
              21.875; 165543,21.875; 165603,21.812; 165663,21.812; 165723,
              21.812; 165783,21.812; 165843,21.812; 165903,21.812; 165963,21.75;
              166023,21.75; 166083,21.75; 166143,21.75; 166203,21.687; 166263,
              21.687; 166323,21.687; 166383,21.687; 166443,21.687; 166503,
              21.687; 166563,21.687; 166623,21.687; 166683,21.625; 166743,
              21.625; 166803,21.625; 166863,21.625; 166923,21.562; 166983,
              21.562; 167043,21.562; 167103,21.562; 167163,21.562; 167223,21.5;
              167283,21.5; 167343,21.5; 167403,21.5; 167463,21.5; 167523,21.5;
              167583,21.437; 167643,21.437; 167703,21.437; 167763,21.437;
              167823,21.437; 167883,21.437; 167943,21.375; 168003,21.375;
              168063,21.375; 168123,21.312; 168183,21.375; 168243,21.312;
              168303,21.312; 168363,21.312; 168423,21.312; 168483,21.25; 168543,
              21.25; 168603,21.25; 168663,21.25; 168723,21.25; 168783,21.25;
              168843,21.187; 168903,21.187; 168963,21.187; 169023,21.187;
              169083,21.187; 169143,21.187; 169203,21.125; 169263,21.125;
              169323,21.125; 169383,21.062; 169443,21.125; 169503,21.062;
              169563,21.062; 169623,21.062; 169683,21.062; 169743,21; 169803,
              21.062; 169863,21; 169923,21; 169983,21; 170043,21; 170103,21;
              170163,20.937; 170223,20.937; 170283,20.937; 170343,20.937;
              170403,20.937; 170463,20.875; 170523,20.875; 170583,20.875;
              170643,20.875; 170703,20.875; 170763,20.875; 170823,20.812;
              170883,20.875; 170943,20.812; 171003,20.812; 171063,20.812;
              171123,20.812; 171183,20.812; 171243,20.812; 171303,20.75; 171363,
              20.75; 171423,20.75; 171483,20.75; 171543,20.75; 171603,20.75;
              171663,20.75; 171723,20.75; 171783,20.75; 171843,20.687; 171903,
              20.687; 171963,20.687; 172023,20.687; 172083,20.687; 172143,
              20.687; 172203,20.687; 172263,20.625; 172323,20.625; 172383,
              20.687; 172443,20.625; 172503,20.625; 172563,20.625; 172623,
              20.625; 172683,20.625; 172743,20.562; 172803,20.562; 172863,
              20.562; 172923,20.562; 172983,20.562; 173043,20.562; 173103,
              20.562; 173163,20.562; 173223,20.562; 173283,20.562; 173343,
              20.562; 173403,20.562; 173463,20.5; 173523,20.5; 173583,20.5;
              173643,20.5; 173703,20.5; 173763,20.5; 173823,20.5; 173883,20.5;
              173943,20.5; 174003,20.5; 174063,20.5; 174123,20.5; 174183,20.437;
              174243,20.437; 174303,20.437; 174363,20.437; 174423,20.437;
              174483,20.437; 174543,20.437; 174603,20.437; 174663,20.437;
              174723,20.437; 174783,20.437; 174843,20.437; 174903,20.437;
              174963,20.437; 175023,20.437; 175083,20.375; 175143,20.375;
              175203,20.375; 175263,20.375; 175323,20.375; 175383,20.375;
              175443,20.375; 175503,20.375; 175563,20.375; 175623,20.375;
              175683,20.375; 175743,20.312; 175803,20.312; 175863,20.312;
              175923,20.312; 175983,20.312; 176043,20.312; 176103,20.312;
              176163,20.312; 176223,20.312; 176283,20.312; 176343,20.312;
              176403,20.312; 176463,20.25; 176523,20.25; 176583,20.25; 176643,
              20.25; 176703,20.25; 176763,20.25; 176823,20.25; 176883,20.25;
              176943,20.25; 177003,20.25; 177063,20.25; 177123,20.25; 177183,
              20.25; 177243,20.25; 177303,20.25; 177363,20.25; 177423,20.25;
              177483,20.25; 177543,20.187; 177603,20.187; 177663,20.187; 177723,
              20.187; 177783,20.187; 177843,20.187; 177903,20.187; 177963,
              20.187; 178023,20.187; 178083,20.187; 178143,20.187; 178203,
              20.187; 178263,20.125; 178323,20.125; 178383,20.125; 178443,
              20.187; 178503,20.125; 178563,20.125; 178623,20.125; 178683,
              20.125; 178743,20.125; 178803,20.125; 178863,20.125; 178923,
              20.125; 178983,20.125; 179043,20.125; 179103,20.125; 179163,
              20.125; 179223,20.125; 179283,20.125; 179343,20.062; 179403,
              20.062; 179463,20.062; 179523,20.125; 179583,20.125; 179643,
              20.062; 179703,20.062; 179763,20.062; 179823,20.125; 179883,
              20.062; 179943,20.062; 180003,20.062; 180063,20; 180123,20.062;
              180183,20; 180243,20; 180303,20.062; 180363,20.062; 180423,20;
              180483,20.062; 180543,20.062; 180603,20; 180663,20.062; 180723,20;
              180783,20; 180843,20; 180903,20; 180963,20; 181023,20; 181083,20;
              181143,20; 181203,20; 181263,20; 181323,20; 181383,20; 181443,20;
              181503,20; 181563,19.937; 181623,19.937; 181683,19.937; 181743,
              19.937; 181803,19.937; 181863,19.937; 181923,19.937; 181983,
              19.937; 182043,19.937; 182103,19.937; 182163,19.875; 182223,
              19.937; 182283,19.937; 182343,19.937; 182403,19.937; 182463,
              19.937; 182523,19.937; 182583,19.875; 182643,19.875; 182703,
              19.875; 182763,19.875; 182823,19.875; 182883,19.875; 182943,
              19.875; 183003,19.875; 183063,19.875; 183123,19.937; 183183,
              19.937; 183243,19.937; 183303,19.937; 183363,19.937; 183423,
              19.937; 183483,20; 183543,20; 183603,20.062; 183663,20.062;
              183723,20.062; 183783,20.062; 183843,20.062; 183903,20.125;
              183963,20.125; 184023,20.125; 184083,20.125; 184143,20.187;
              184203,20.187; 184263,20.187; 184323,20.25; 184383,20.25; 184443,
              20.25; 184503,20.312; 184563,20.375; 184623,20.375; 184683,20.437;
              184743,20.437; 184803,20.5; 184863,20.562; 184923,20.625; 184983,
              20.687; 185043,20.812; 185103,20.875; 185163,20.937; 185223,21;
              185283,21.062; 185343,21.125; 185403,21.187; 185463,21.25; 185523,
              21.375; 185583,21.375; 185643,21.437; 185703,21.5; 185763,21.562;
              185823,21.625; 185883,21.687; 185943,21.75; 186003,21.75; 186063,
              21.812; 186123,21.875; 186183,21.875; 186243,21.937; 186303,
              21.937; 186363,22; 186423,22; 186483,22; 186543,22.062; 186603,
              22.062; 186663,22.062; 186723,22.062; 186783,22.125; 186843,
              22.125; 186903,22.125; 186963,22.187; 187023,22.187; 187083,
              22.187; 187143,22.187; 187203,22.187; 187263,22.25; 187323,22.187;
              187383,22.187; 187443,22.187; 187503,22.187; 187563,22.187;
              187623,22.187; 187683,22.187; 187743,22.187; 187803,22.187;
              187863,22.25; 187923,22.187; 187983,22.187; 188043,22.187; 188103,
              22.125; 188163,22.187; 188223,22.125; 188283,22.125; 188343,
              22.125; 188403,22.125; 188463,22.062; 188523,22.062; 188583,
              22.062; 188643,22.062; 188703,22.062; 188763,22.062; 188823,22;
              188883,22; 188943,22; 189003,22; 189063,21.937; 189123,21.937;
              189183,21.937; 189243,21.937; 189303,21.937; 189363,21.937;
              189423,21.875; 189483,21.875; 189543,21.875; 189603,21.875;
              189663,21.875; 189723,21.812; 189783,21.812; 189843,21.75; 189903,
              21.75; 189963,21.75; 190023,21.75; 190083,21.687; 190143,21.687;
              190203,21.687; 190263,21.625; 190323,21.625; 190383,21.625;
              190443,21.625; 190503,21.562; 190563,21.562; 190623,21.562;
              190683,21.5; 190743,21.5; 190803,21.5; 190863,21.5; 190923,21.5;
              190983,21.5; 191043,21.437; 191103,21.437; 191163,21.437; 191223,
              21.437; 191283,21.437; 191343,21.437; 191403,21.375; 191463,
              21.437; 191523,21.437; 191583,21.437; 191643,21.437; 191703,
              21.437; 191763,21.437; 191823,21.437; 191883,21.375; 191943,
              21.375; 192003,21.437; 192063,21.437; 192123,21.437; 192183,
              21.437; 192243,21.437; 192303,21.437; 192363,21.437; 192423,21.5;
              192483,21.5; 192543,21.5; 192603,21.5; 192663,21.562; 192723,
              21.562; 192783,21.625; 192843,21.625; 192903,21.625; 192963,
              21.687; 193023,21.687; 193083,21.687; 193143,21.75; 193203,21.75;
              193263,21.812; 193323,21.875; 193383,21.875; 193443,21.875;
              193503,21.937; 193563,21.937; 193623,22; 193683,22; 193743,22;
              193803,22.062; 193863,22.062; 193923,22.125; 193983,22.125;
              194043,22.125; 194103,22.125; 194163,22.125; 194223,22.187;
              194283,22.187; 194343,22.187; 194403,22.25; 194463,22.25; 194523,
              22.187; 194583,22.25; 194643,22.25; 194703,22.25; 194763,22.25;
              194823,22.25; 194883,22.25; 194943,22.25; 195003,22.25; 195063,
              22.312; 195123,22.312; 195183,22.25; 195243,22.25; 195303,22.25;
              195363,22.25; 195423,22.25; 195483,22.25; 195543,22.25; 195603,
              22.25; 195663,22.25; 195723,22.187; 195783,22.25; 195843,22.187;
              195903,22.187; 195963,22.187; 196023,22.187; 196083,22.187;
              196143,22.125; 196203,22.187; 196263,22.187; 196323,22.125;
              196383,22.125; 196443,22.125; 196503,22.125; 196563,22.125;
              196623,22.125; 196683,22.125; 196743,22.062; 196803,22.062;
              196863,22.062; 196923,22.062; 196983,22.062; 197043,22; 197103,22;
              197163,21.937; 197223,21.937; 197283,21.937; 197343,21.937;
              197403,21.937; 197463,21.937; 197523,21.937; 197583,21.875;
              197643,21.875; 197703,21.875; 197763,21.812; 197823,21.812;
              197883,21.812; 197943,21.812; 198003,21.812; 198063,21.812;
              198123,21.812; 198183,21.75; 198243,21.75; 198303,21.75; 198363,
              21.75; 198423,21.75; 198483,21.687; 198543,21.687; 198603,21.687;
              198663,21.687; 198723,21.687; 198783,21.625; 198843,21.625;
              198903,21.625; 198963,21.625; 199023,21.625; 199083,21.625;
              199143,21.625; 199203,21.562; 199263,21.562; 199323,21.562;
              199383,21.562; 199443,21.562; 199503,21.562; 199563,21.562;
              199623,21.562; 199683,21.562; 199743,21.5; 199803,21.5; 199863,
              21.437; 199923,21.437; 199983,21.312; 200043,21.375; 200103,
              21.437; 200163,21.687; 200223,22.125; 200283,22.562; 200343,
              23.062; 200403,23.5; 200463,24; 200523,24.437; 200583,24.875;
              200643,25.375; 200703,25.812; 200763,26.312; 200823,26.75; 200883,
              27.187; 200943,27.562; 201003,27.937; 201063,28.312; 201123,
              28.625; 201183,28.937; 201243,29.187; 201303,29.5; 201363,29.75;
              201423,29.937; 201483,30.187; 201543,30.312; 201603,30.437;
              201663,30.625; 201723,30.75; 201783,30.875; 201843,30.937; 201903,
              31.062; 201963,31.187; 202023,31.312; 202083,31.375; 202143,
              31.437; 202203,31.5; 202263,31.562; 202323,31.625; 202383,31.75;
              202443,31.812; 202503,31.812; 202563,31.875; 202623,31.875;
              202683,31.937; 202743,32; 202803,32; 202863,32.062; 202923,32.125;
              202983,32.125; 203043,32.125; 203103,32.187; 203163,32.187;
              203223,32.187; 203283,32.187; 203343,32.125; 203403,32.125;
              203463,32.125; 203523,32.062; 203583,32; 203643,32; 203703,32;
              203763,31.875; 203823,31.875; 203883,31.875; 203943,31.812;
              204003,31.75; 204063,31.687; 204123,31.625; 204183,31.562; 204243,
              31.5; 204303,31.5; 204363,31.437; 204423,31.312; 204483,31.312;
              204543,31.312; 204603,31.312; 204663,31.312; 204723,31.25; 204783,
              31.25; 204843,31.25; 204903,31.25; 204963,31.25; 205023,31.25;
              205083,31.187; 205143,31.25; 205203,31.25; 205263,31.312; 205323,
              31.25; 205383,31.25; 205443,31.312; 205503,31.312; 205563,31.312;
              205623,31.312; 205683,31.375; 205743,31.312; 205803,31.375;
              205863,31.375; 205923,31.437; 205983,31.437; 206043,31.437;
              206103,31.5; 206163,31.5; 206223,31.562; 206283,31.562; 206343,
              31.562; 206403,31.562; 206463,31.562; 206523,31.625; 206583,
              31.562; 206643,31.625; 206703,31.625; 206763,31.625; 206823,
              31.625; 206883,31.625; 206943,31.687; 207003,31.687; 207063,
              31.625; 207123,31.625; 207183,31.625; 207243,31.625; 207303,
              31.625; 207363,31.562; 207423,31.562; 207483,31.5; 207543,31.5;
              207603,31.437; 207663,31.437; 207723,31.437; 207783,31.375;
              207843,31.375; 207903,31.375; 207963,31.312; 208023,31.312;
              208083,31.25; 208143,31.187; 208203,31.187; 208263,31.125; 208323,
              31.125; 208383,31.062; 208443,31.062; 208503,31; 208563,30.937;
              208623,30.937; 208683,30.937; 208743,30.937; 208803,30.937;
              208863,30.937; 208924,30.937; 208984,30.937; 209044,30.937;
              209104,31; 209164,31; 209224,31; 209284,31; 209344,31; 209404,
              31.062; 209464,31.062; 209524,31.125; 209584,31.062; 209644,
              31.125; 209704,31.125; 209764,31.125; 209824,31.187; 209884,
              31.187; 209944,31.187; 210004,31.25; 210064,31.25; 210124,31.187;
              210184,31.25; 210244,31.25; 210304,31.25; 210364,31.25; 210424,
              31.25; 210484,31.25; 210544,31.25; 210604,31.25; 210664,31.312;
              210724,31.25; 210784,31.187; 210844,31.187; 210904,31.125; 210964,
              31.125; 211024,31; 211084,30.937; 211144,31; 211204,31; 211264,
              31.062; 211324,31.062; 211384,31.062; 211444,31.125; 211504,
              31.125; 211564,31.187; 211624,31.125; 211684,31.125; 211744,
              31.125; 211804,31.125; 211864,31.187; 211924,31.125; 211984,
              31.062; 212044,31.062; 212104,31; 212164,31.062; 212224,31;
              212284,31; 212344,31.062; 212404,31; 212464,31; 212524,31; 212584,
              31; 212644,31; 212704,31; 212764,31; 212824,30.937; 212884,30.937;
              212944,30.937; 213004,30.937; 213064,30.937; 213124,30.937;
              213184,30.937; 213244,30.937; 213304,30.875; 213364,30.937;
              213424,30.875; 213484,30.875; 213544,30.875; 213604,30.875;
              213664,30.812; 213724,30.812; 213784,30.75; 213844,30.875; 213904,
              30.875; 213964,30.937; 214024,30.937; 214084,30.937; 214144,
              30.875; 214204,30.937; 214264,31; 214324,31; 214384,31; 214444,31;
              214504,30.937; 214564,30.937; 214624,30.937; 214684,30.937;
              214744,30.937; 214804,30.75; 214864,30.75; 214924,30.625; 214984,
              30.687; 215044,30.812; 215104,30.812; 215164,30.937; 215224,
              30.875; 215284,30.812; 215344,30.875; 215404,30.937; 215464,
              30.937; 215524,31; 215584,31.062; 215644,31.187; 215704,31.187;
              215764,31.25; 215824,31.375; 215884,31.375; 215944,31.312; 216004,
              31.375; 216064,31.437; 216124,31.437; 216184,31.312; 216244,
              31.375; 216304,31.375; 216364,31.437; 216424,31.375; 216484,
              31.375; 216544,31.562; 216604,31.437; 216664,31.5; 216724,31.437;
              216784,31.437; 216844,31.5; 216904,31.437; 216964,31.437; 217024,
              31.437; 217084,31.312; 217144,31.312; 217204,31.437; 217264,
              31.375; 217324,31.312; 217384,31.312; 217444,31.437; 217504,
              31.375; 217564,31.312; 217624,31.25; 217684,31.312; 217744,31.312;
              217804,31.25; 217864,31.062; 217924,31.062; 217984,31; 218044,31;
              218104,31; 218164,31.062; 218224,31.062; 218284,31.125; 218344,
              31.125; 218404,31.125; 218464,31.187; 218524,31.187; 218584,
              31.187; 218644,31.187; 218704,31.25; 218764,31.25; 218824,31.187;
              218884,31.187; 218944,31.187; 219004,31.187; 219064,31.187;
              219124,31.187; 219184,31.125; 219244,31.062; 219304,31.062;
              219364,31.062; 219424,31.125; 219484,31.125; 219544,31.125;
              219604,31.062; 219664,31.062; 219724,31.125; 219784,31.062;
              219844,31.062; 219904,31.062; 219964,31.125; 220024,31.125;
              220084,31.187; 220144,31.187; 220204,31.25; 220264,31.312; 220324,
              31.375; 220384,31.375; 220444,31.437; 220504,31.437; 220564,
              31.437; 220624,31.437; 220684,31.437; 220744,31.5; 220804,31.5;
              220864,31.437; 220924,31.437; 220984,31.437; 221044,31.375;
              221104,31.25; 221164,31.187; 221224,31.062; 221284,31; 221344,
              30.875; 221404,30.75; 221464,30.687; 221524,30.625; 221584,30.562;
              221644,30.5; 221704,30.437; 221764,30.375; 221824,30.312; 221884,
              30.25; 221944,30.187; 222004,30.125; 222064,30; 222124,29.937;
              222184,29.937; 222244,29.937; 222304,29.937; 222364,29.812;
              222424,29.75; 222484,29.75; 222544,29.75; 222604,29.75; 222664,
              29.75; 222724,29.687; 222784,29.687; 222844,29.75; 222904,29.75;
              222964,29.812; 223024,29.75; 223084,29.812; 223144,29.812; 223204,
              29.875; 223264,29.875; 223324,29.875; 223384,29.937; 223444,
              29.937; 223504,30; 223564,30; 223624,30.062; 223684,30.062;
              223744,30.125; 223804,30.125; 223864,30.125; 223924,30.125;
              223984,30.125; 224044,30.125; 224104,30.125; 224164,30.062;
              224224,30.125; 224284,30.062; 224344,30.062; 224404,30; 224464,30;
              224524,29.937; 224584,29.937; 224644,29.875; 224704,29.875;
              224764,29.875; 224824,29.812; 224884,29.75; 224944,29.75; 225004,
              29.687; 225064,29.687; 225124,29.625; 225184,29.562; 225244,
              29.562; 225304,29.5; 225364,29.5; 225424,29.437; 225484,29.375;
              225544,29.375; 225604,29.312; 225664,29.312; 225724,29.25; 225784,
              29.25; 225844,29.187; 225904,29.187; 225964,29.187; 226024,29.062;
              226084,29; 226144,28.937; 226204,28.937; 226264,28.937; 226324,
              28.875; 226384,28.875; 226444,28.812; 226504,28.812; 226564,
              28.812; 226624,28.812; 226684,28.812; 226744,28.812; 226804,
              28.812; 226864,28.75; 226924,28.75; 226984,28.687; 227044,28.687;
              227104,28.687; 227164,28.75; 227224,28.75; 227284,28.75; 227344,
              28.75; 227404,28.75; 227464,28.75; 227524,28.75; 227584,28.75;
              227644,28.75; 227704,28.75; 227764,28.812; 227824,28.75; 227884,
              28.812; 227944,28.812; 228004,28.812; 228064,28.812; 228124,28.75;
              228184,28.812; 228244,28.812; 228304,28.812; 228364,28.875;
              228424,28.875; 228484,28.875; 228544,28.812; 228664,28.75; 228725,
              28.875; 228785,28.937; 228845,28.937; 228905,28.937; 228965,
              28.937; 229025,28.937; 229085,28.875; 229145,28.812; 229205,
              28.875; 229265,28.937; 229325,28.812; 229385,28.937; 229445,
              28.937; 229505,28.937; 229565,28.875; 229625,29; 229685,29.062;
              229745,29.062; 229805,29.062; 229865,29.062; 229925,29; 229985,
              29.062; 230045,29; 230105,29; 230165,29; 230225,29; 230285,29;
              230345,29; 230405,29; 230465,28.937; 230525,29; 230585,28.937;
              230645,29; 230705,29; 230765,29; 230825,28.937; 230885,28.937;
              230945,28.875; 231005,28.937; 231065,29; 231125,29; 231185,28.937;
              231245,28.875; 231305,28.812; 231365,28.875; 231425,28.875;
              231485,28.937; 231545,28.875; 231605,28.812; 231665,28.812;
              231725,28.875; 231785,28.812; 231845,28.812; 231905,28.75; 231965,
              28.75; 232025,28.687; 232085,28.687; 232145,28.687; 232205,28.687;
              232265,28.625; 232325,28.562; 232385,28.562; 232445,28.562;
              232505,28.562; 232565,28.5; 232625,28.5; 232685,28.5; 232745,28.5;
              232805,28.437; 232865,28.5; 232925,28.5; 232985,28.5; 233045,28.5;
              233105,28.5; 233165,28.5; 233225,28.437; 233285,28.437; 233345,
              28.437; 233405,28.437; 233465,28.5; 233525,28.312; 233585,28.5;
              233645,28.562; 233705,28.625; 233765,28.625; 233825,28.687;
              233885,28.75; 233945,28.812; 234005,28.812; 234065,28.812; 234125,
              28.875; 234185,28.875; 234245,28.937; 234305,29; 234365,29;
              234425,29; 234485,29; 234545,29.062; 234605,29.062; 234665,29.062;
              234725,29.062; 234785,29.125; 234845,29.187; 234905,29.125;
              234965,29.187; 235025,29.25; 235085,29.25; 235145,29.312; 235205,
              29.375; 235265,29.437; 235325,29.562; 235385,29.625; 235445,
              29.625; 235505,29.687; 235565,29.812; 235625,29.812; 235685,
              29.875; 235745,29.937; 235805,29.937; 235865,30; 235925,30.062;
              235985,30.062; 236045,30.062; 236105,30; 236165,30; 236225,29.937;
              236285,29.937; 236345,29.812; 236405,29.812; 236465,29.75; 236525,
              29.687; 236585,29.562; 236645,29.562; 236705,29.375; 236765,
              29.375; 236825,29.312; 236885,29.25; 236945,29.25; 237005,29.187;
              237065,29.125; 237125,29; 237185,28.937; 237245,28.875; 237305,
              28.812; 237365,28.812; 237425,28.75; 237485,28.625; 237545,28.562;
              237605,28.562; 237665,28.437; 237725,28.375; 237785,28.312;
              237845,28.25; 237905,28.187; 237965,28.125; 238025,28.062; 238085,
              28; 238145,27.937; 238205,27.937; 238265,27.875; 238325,27.812;
              238385,27.75; 238445,27.687; 238505,27.687; 238565,27.625; 238625,
              27.562; 238685,27.5; 238745,27.437; 238805,27.375; 238865,27.312;
              238925,27.25; 238985,27.187; 239045,27.125; 239105,27.062; 239165,
              27; 239225,26.937; 239285,26.875; 239345,26.875; 239405,26.812;
              239465,26.75; 239525,26.75; 239585,26.687; 239645,26.625; 239705,
              26.562; 239765,26.5; 239825,26.5; 239885,26.437; 239945,26.375;
              240005,26.312; 240065,26.312; 240125,26.25; 240185,26.187; 240245,
              26.125; 240305,26.125; 240365,26.062; 240425,26; 240485,25.937;
              240545,25.937; 240605,25.875; 240665,25.875; 240725,25.812;
              240785,25.75; 240845,25.75; 240905,25.687; 240965,25.625; 241025,
              25.625; 241085,25.562; 241145,25.562; 241205,25.5; 241265,25.437;
              241325,25.437; 241385,25.375; 241445,25.312; 241505,25.312;
              241565,25.25; 241625,25.187; 241685,25.187; 241745,25.125; 241805,
              25.062; 241865,25.125; 241925,25.062; 241985,25; 242045,25;
              242105,24.937; 242165,24.875; 242225,24.875; 242285,24.812;
              242345,24.812; 242405,24.75; 242465,24.687; 242525,24.687; 242585,
              24.687; 242645,24.625; 242705,24.625; 242765,24.562; 242825,
              24.562; 242885,24.5; 242945,24.5; 243005,24.437; 243065,24.437;
              243125,24.375; 243185,24.375; 243245,24.312; 243305,24.312;
              243365,24.312; 243425,24.25; 243485,24.187; 243545,24.187; 243605,
              24.187; 243665,24.125; 243725,24.125; 243785,24.062; 243845,
              24.062; 243905,24.062; 243965,24; 244025,24; 244085,23.937;
              244145,23.937; 244205,23.937; 244265,23.875; 244325,23.875;
              244385,23.812; 244445,23.812; 244505,23.75; 244565,23.75; 244625,
              23.75; 244685,23.687; 244745,23.687; 244805,23.687; 244865,23.625;
              244925,23.625; 244985,23.625; 245045,23.562; 245105,23.562;
              245165,23.562; 245225,23.5; 245285,23.5; 245345,23.5; 245405,
              23.437; 245465,23.437; 245525,23.437; 245585,23.375; 245645,
              23.375; 245705,23.375; 245765,23.375; 245825,23.312; 245885,
              23.312; 245945,23.312; 246005,23.25; 246065,23.25; 246125,23.25;
              246185,23.25; 246245,23.25; 246305,23.187; 246365,23.187; 246425,
              23.187; 246485,23.187; 246545,23.125; 246605,23.125; 246665,
              23.125; 246725,23.125; 246785,23.062; 246845,23.062; 246905,
              23.062; 246965,23.062; 247025,23.062; 247085,23; 247145,23;
              247205,23; 247265,22.937; 247325,22.937; 247385,22.937; 247445,
              22.937; 247505,22.875; 247565,22.875; 247625,22.875; 247685,
              22.875; 247745,22.875; 247805,22.812; 247865,22.812; 247925,
              22.812; 247985,22.75; 248045,22.75; 248105,22.75; 248165,22.75;
              248225,22.75; 248285,22.75; 248345,22.687; 248405,22.687; 248465,
              22.687; 248525,22.687; 248585,22.625; 248645,22.625; 248705,
              22.625; 248765,22.625; 248825,22.562; 248885,22.562; 248945,
              22.562; 249005,22.562; 249065,22.562; 249125,22.5; 249185,22.5;
              249245,22.5; 249305,22.5; 249365,22.5; 249425,22.437; 249485,
              22.437; 249545,22.437; 249605,22.375; 249665,22.437; 249725,
              22.375; 249785,22.375; 249845,22.375; 249905,22.312; 249965,
              22.312; 250025,22.312; 250085,22.312; 250145,22.312; 250205,
              22.312; 250265,22.25; 250325,22.25; 250385,22.25; 250445,22.25;
              250505,22.187; 250565,22.187; 250625,22.187; 250685,22.125;
              250745,22.125; 250805,22.125; 250865,22.125; 250925,22.125;
              250985,22.125; 251045,22.062; 251105,22.062; 251165,22.062;
              251225,22.062; 251285,22.062; 251345,22; 251405,22; 251465,22;
              251525,21.937; 251585,22; 251645,21.937; 251705,21.937; 251765,
              21.937; 251825,21.937; 251885,21.875; 251945,21.875; 252005,
              21.875; 252065,21.875; 252125,21.875; 252185,21.812; 252245,
              21.812; 252305,21.812; 252365,21.75; 252425,21.75; 252485,21.75;
              252545,21.75; 252605,21.75; 252665,21.687; 252725,21.687; 252785,
              21.687; 252845,21.687; 252905,21.625; 252965,21.687; 253025,
              21.625; 253085,21.625; 253145,21.625; 253205,21.562; 253265,
              21.562; 253325,21.562; 253385,21.562; 253445,21.5; 253505,21.5;
              253565,21.5; 253625,21.5; 253685,21.5; 253745,21.437; 253805,
              21.437; 253865,21.437; 253925,21.375; 253985,21.375; 254045,
              21.375; 254105,21.312; 254165,21.312; 254225,21.312; 254285,
              21.312; 254345,21.25; 254405,21.312; 254465,21.312; 254525,21.25;
              254585,21.25; 254645,21.25; 254705,21.25; 254765,21.187; 254825,
              21.187; 254885,21.187; 254945,21.187; 255005,21.187; 255065,
              21.125; 255125,21.125; 255185,21.125; 255245,21.062; 255305,
              21.062; 255365,21.062; 255425,21.062; 255485,21.062; 255545,
              21.062; 255605,21; 255665,21; 255725,21; 255785,21; 255845,20.937;
              255905,20.937; 255965,20.937; 256025,20.937; 256085,20.937;
              256145,20.937; 256205,20.937; 256265,20.875; 256325,20.875;
              256385,20.875; 256445,20.875; 256505,20.875; 256565,20.812;
              256625,20.875; 256685,20.812; 256745,20.812; 256805,20.812;
              256865,20.812; 256925,20.812; 256985,20.812; 257045,20.75; 257105,
              20.75; 257165,20.75; 257225,20.75; 257285,20.75; 257345,20.75;
              257406,20.687; 257466,20.687; 257526,20.687; 257586,20.687;
              257646,20.687; 257706,20.687; 257766,20.687; 257826,20.687;
              257886,20.687; 257946,20.625; 258006,20.625; 258066,20.625;
              258126,20.625; 258186,20.625; 258246,20.625; 258306,20.625;
              258366,20.625; 258426,20.625; 258486,20.625; 258546,20.625;
              258606,20.562; 258666,20.562; 258726,20.625; 258786,20.562;
              258846,20.562; 258906,20.562; 258966,20.562; 259026,20.562;
              259086,20.562; 259146,20.562; 259206,20.562; 259266,20.562;
              259326,20.562; 259386,20.562; 259446,20.562; 259506,20.562;
              259566,20.562; 259626,20.562; 259686,20.562; 259746,20.5; 259806,
              20.562; 259866,20.562; 259926,20.5; 259986,20.5; 260046,20.5;
              260106,20.562; 260166,20.5; 260226,20.5; 260286,20.5; 260346,20.5;
              260406,20.5; 260466,20.5; 260526,20.5; 260586,20.5; 260646,20.5;
              260706,20.5; 260766,20.5; 260826,20.5; 260886,20.437; 260946,20.5;
              261006,20.437; 261066,20.437; 261126,20.437; 261186,20.437;
              261246,20.437; 261306,20.437; 261366,20.437; 261426,20.437;
              261486,20.437; 261546,20.437; 261606,20.375; 261666,20.437;
              261726,20.437; 261786,20.375; 261846,20.375; 261906,20.375;
              261966,20.437; 262026,20.375; 262086,20.375; 262146,20.375;
              262206,20.375; 262266,20.375; 262326,20.375; 262386,20.375;
              262446,20.375; 262506,20.375; 262566,20.375; 262626,20.375;
              262686,20.375; 262746,20.312; 262806,20.312; 262866,20.312;
              262926,20.312; 262986,20.312; 263046,20.312; 263106,20.312;
              263166,20.312; 263226,20.312; 263286,20.312; 263346,20.25; 263406,
              20.312; 263466,20.312; 263526,20.25; 263586,20.25; 263646,20.25;
              263706,20.25; 263766,20.25; 263826,20.25; 263886,20.25; 263946,
              20.187; 264006,20.25; 264066,20.25; 264126,20.25; 264186,20.187;
              264246,20.187; 264306,20.187; 264366,20.187; 264426,20.187;
              264486,20.187; 264546,20.187; 264606,20.187; 264666,20.187;
              264726,20.187; 264786,20.187; 264846,20.187; 264906,20.187;
              264966,20.187; 265026,20.187; 265086,20.187; 265146,20.187;
              265206,20.187; 265266,20.187; 265326,20.125; 265386,20.125;
              265446,20.125; 265506,20.125; 265566,20.125; 265626,20.125;
              265686,20.125; 265746,20.125; 265806,20.125; 265866,20.125;
              265926,20.125; 265986,20.125; 266046,20.125; 266106,20.125;
              266166,20.062; 266226,20.125; 266286,20.125; 266346,20.125;
              266406,20.062; 266466,20.062; 266526,20.062; 266586,20.062;
              266646,20.062; 266706,20.062; 266766,20.062; 266826,20.062;
              266886,20.062; 266946,20.062; 267006,20.062; 267066,20.062;
              267126,20.062; 267186,20.062; 267246,20; 267306,20.062; 267366,20;
              267426,20; 267486,20; 267546,20; 267606,20; 267666,20; 267726,20;
              267786,20; 267846,20; 267906,20; 267966,20; 268026,20; 268086,20;
              268146,20; 268206,20; 268266,20; 268326,20; 268386,20; 268446,20;
              268506,20; 268566,19.937; 268626,20; 268686,19.937; 268746,19.937;
              268806,19.937; 268866,19.937; 268926,19.937; 268986,19.937;
              269046,19.937; 269106,19.937; 269166,19.937; 269226,19.937;
              269286,19.937; 269346,19.937; 269406,19.937; 269466,19.937;
              269526,19.937; 269586,19.937; 269646,19.937; 269706,19.937;
              269766,19.937; 269826,19.937; 269886,19.937; 269946,20; 270006,20;
              270066,20; 270126,20.062; 270186,20.062; 270246,20.062; 270306,
              20.062; 270366,20.125; 270426,20.125; 270486,20.187; 270546,
              20.187; 270606,20.187; 270666,20.187; 270726,20.187; 270786,20.25;
              270846,20.25; 270906,20.25; 270966,20.25; 271026,20.312; 271086,
              20.375; 271146,20.375; 271206,20.437; 271266,20.5; 271326,20.562;
              271386,20.625; 271446,20.687; 271506,20.75; 271566,20.812; 271626,
              20.937; 271686,21; 271746,21.062; 271806,21.187; 271866,21.187;
              271926,21.312; 271986,21.437; 272046,21.5; 272106,21.562; 272166,
              21.625; 272226,21.687; 272286,21.75; 272346,21.812; 272406,21.875;
              272466,21.937; 272526,21.937; 272586,22.062; 272646,22.062;
              272706,22.125; 272766,22.125; 272826,22.187; 272886,22.187;
              272946,22.25; 273006,22.25; 273066,22.312; 273126,22.312; 273186,
              22.312; 273246,22.312; 273306,22.312; 273366,22.375; 273426,
              22.312; 273486,22.375; 273546,22.375; 273606,22.375; 273666,
              22.375; 273726,22.375; 273786,22.375; 273846,22.375; 273906,
              22.375; 273966,22.375; 274026,22.312; 274086,22.312; 274146,
              22.312; 274206,22.375; 274266,22.312; 274326,22.312; 274386,
              22.312; 274446,22.312; 274506,22.312; 274566,22.312; 274626,22.25;
              274686,22.25; 274746,22.25; 274806,22.25; 274866,22.25; 274926,
              22.187; 274986,22.187; 275046,22.187; 275106,22.187; 275166,
              22.125; 275226,22.125; 275286,22.125; 275346,22.062; 275406,
              22.062; 275466,22.125; 275526,22.062; 275586,22.062; 275646,22;
              275706,22; 275766,22; 275826,22; 275886,22; 275946,21.937; 276006,
              21.875; 276066,21.937; 276126,21.875; 276186,21.875; 276246,
              21.812; 276306,21.812; 276366,21.812; 276426,21.75; 276486,21.75;
              276546,21.75; 276606,21.687; 276666,21.687; 276726,21.687; 276786,
              21.687; 276846,21.625; 276906,21.625; 276966,21.625; 277026,
              21.562; 277086,21.562; 277146,21.562; 277206,21.5; 277266,21.5;
              277326,21.5; 277386,21.437; 277446,21.437; 277506,21.437; 277566,
              21.437; 277626,21.437; 277686,21.437; 277746,21.437; 277806,
              21.437; 277866,21.437; 277926,21.437; 277986,21.437; 278046,
              21.437; 278106,21.437; 278166,21.437; 278226,21.437; 278286,
              21.437; 278346,21.437; 278406,21.437; 278466,21.437; 278526,
              21.437; 278586,21.437; 278646,21.5; 278706,21.5; 278766,21.5;
              278826,21.562; 278886,21.562; 278946,21.562; 279006,21.562;
              279066,21.625; 279126,21.687; 279186,21.75; 279246,21.75; 279306,
              21.812; 279366,21.812; 279426,21.875; 279486,21.937; 279546,
              21.937; 279606,22; 279666,22.062; 279726,22.125; 279786,22.125;
              279846,22.187; 279906,22.25; 279966,22.25; 280026,22.312; 280086,
              22.375; 280146,22.375; 280206,22.375; 280266,22.437; 280326,
              22.437; 280386,22.5; 280446,22.5; 280506,22.562; 280566,22.562;
              280626,22.562; 280686,22.562; 280746,22.625; 280806,22.625;
              280866,22.625; 280926,22.625; 280986,22.625; 281046,22.625;
              281106,22.687; 281166,22.687; 281226,22.625; 281286,22.562;
              281346,22.5; 281406,22.437; 281466,22.437; 281526,22.437; 281586,
              22.437; 281646,22.437; 281706,22.437; 281766,22.437; 281826,
              22.437; 281886,22.437; 281946,22.437; 282006,22.437; 282066,
              22.437; 282126,22.437; 282186,22.437; 282246,22.375; 282306,
              22.375; 282366,22.375; 282426,22.312; 282486,22.312; 282546,
              22.312; 282606,22.312; 282666,22.312; 282726,22.312; 282786,22.25;
              282846,22.25; 282906,22.25; 282966,22.25; 283026,22.187; 283086,
              22.187; 283146,22.187; 283206,22.187; 283266,22.125; 283326,
              22.125; 283386,22.125; 283446,22.125; 283506,22.062; 283566,
              22.062; 283626,22.062; 283686,22.062; 283746,22; 283806,22;
              283866,22; 283926,22; 283986,22; 284046,21.937; 284106,21.937;
              284166,21.875; 284226,21.875; 284286,21.875; 284346,21.875;
              284406,21.875; 284466,21.875; 284526,21.812; 284586,21.812;
              284646,21.812; 284706,21.75; 284766,21.75; 284826,21.75; 284886,
              21.75; 284946,21.687; 285006,21.687; 285066,21.687; 285126,21.687;
              285186,21.625; 285246,21.625; 285306,21.625; 285366,21.625;
              285426,21.625; 285486,21.625; 285546,21.562; 285606,21.562;
              285666,21.562; 285726,21.562; 285786,21.5; 285846,21.5; 285906,
              21.5; 285966,21.5; 286026,21.5; 286086,21.437; 286146,21.437;
              286206,21.437; 286266,21.437; 286326,21.375; 286386,21.312;
              286446,21.312; 286506,21.375; 286566,21.625; 286626,22.062;
              286686,22.562; 286746,23; 286806,23.5; 286866,23.937; 286926,
              24.312; 286986,24.75; 287046,25.25; 287106,25.687; 287166,26.187;
              287226,26.625; 287286,27; 287346,27.437; 287406,27.75; 287466,
              28.125; 287526,28.437; 287586,28.687; 287646,28.937; 287706,
              29.187; 287766,29.437; 287826,29.625; 287886,29.812; 287946,
              29.937; 288006,30.062; 288066,30.25; 288126,30.375; 288186,30.5;
              288246,30.625; 288306,30.687; 288366,30.812; 288426,30.875;
              288486,31; 288546,31.062; 288606,31.125; 288666,31.125; 288726,
              31.187; 288786,31.187; 288846,31.25; 288906,31.312; 288966,31.375;
              289026,31.437; 289086,31.437; 289146,31.5; 289206,31.5; 289266,
              31.5; 289326,31.5; 289386,31.5; 289446,31.5; 289506,31.562;
              289566,31.562; 289626,31.562; 289686,31.562; 289746,31.5; 289806,
              31.5; 289866,31.5; 289926,31.5; 289986,31.5; 290046,31.437;
              290106,31.5; 290166,31.437; 290226,31.437; 290286,31.437; 290346,
              31.375; 290406,31.375; 290466,31.375; 290526,31.375; 290586,
              31.375; 290646,31.312; 290706,31.312; 290766,31.375; 290826,
              31.375; 290886,31.437; 290946,31.437; 291006,31.437; 291066,31.5;
              291126,31.5; 291186,31.437; 291246,31.437; 291306,31.437; 291366,
              31.437; 291426,31.5; 291486,31.437; 291546,31.437; 291606,31.5;
              291666,31.5; 291726,31.5; 291786,31.5; 291846,31.5; 291906,31.562;
              291966,31.562; 292026,31.5; 292086,31.5; 292146,31.5; 292206,31.5;
              292266,31.5; 292326,31.437; 292386,31.437; 292446,31.437; 292506,
              31.437; 292566,31.437; 292626,31.437; 292686,31.375; 292746,
              31.437; 292806,31.375; 292866,31.375; 292926,31.375; 292986,
              31.437; 293046,31.375; 293106,31.375; 293166,31.375; 293226,
              31.375; 293286,31.437; 293346,31.375; 293406,31.437; 293466,
              31.375; 293526,31.437; 293586,31.375; 293646,31.375; 293706,
              31.437; 293766,31.437; 293826,31.437; 293886,31.5; 293946,31.5;
              294006,31.5; 294066,31.562; 294126,31.562; 294186,31.5; 294246,
              31.5; 294306,31.5; 294366,31.5; 294426,31.437; 294486,31.437;
              294546,31.437; 294606,31.375; 294666,31.375; 294726,31.375;
              294786,31.312; 294846,31.312; 294906,31.25; 294966,31.312; 295026,
              31.375; 295086,31.437; 295146,31.437; 295206,31.437; 295266,
              31.437; 295326,31.5; 295386,31.5; 295446,31.562; 295506,31.562;
              295566,31.625; 295626,31.687; 295686,31.625; 295746,31.687;
              295806,31.75; 295866,31.75; 295926,31.687; 295986,31.75; 296046,
              31.75; 296106,31.75; 296166,31.687; 296226,31.687; 296286,31.625;
              296346,31.625; 296406,31.562; 296466,31.5; 296526,31.5; 296586,
              31.5; 296646,31.5; 296706,31.5; 296766,31.437; 296826,31.437;
              296886,31.375; 296946,31.312; 297006,31.312; 297066,31.25; 297126,
              31.187; 297186,31.187; 297246,31.062; 297306,31.062; 297366,31;
              297426,31; 297486,30.937; 297546,30.937; 297606,30.875; 297666,
              30.875; 297726,30.812; 297786,30.875; 297846,30.875; 297906,
              30.875; 297966,30.937; 298026,30.812; 298086,30.937; 298146,
              31.062; 298206,31.125; 298266,31.187; 298326,31.312; 298386,
              31.312; 298446,31.375; 298506,31.437; 298566,31.437; 298626,
              31.437; 298686,31.5; 298746,31.5; 298806,31.562; 298866,31.625;
              298926,31.625; 298986,31.625; 299046,31.625; 299106,31.687;
              299166,31.687; 299226,31.687; 299286,31.75; 299346,31.687; 299406,
              31.812; 299466,31.812; 299526,31.812; 299586,31.875; 299646,
              31.937; 299706,31.937; 299766,31.937; 299826,31.937; 299886,
              31.875; 299946,31.875; 300006,31.812; 300066,31.812; 300126,
              31.812; 300186,31.812; 300246,31.875; 300306,31.812; 300366,
              31.812; 300426,31.812; 300486,31.812; 300546,31.75; 300606,31.75;
              300666,31.75; 300726,31.75; 300786,31.75; 300846,31.687; 300906,
              31.687; 300966,31.687; 301026,31.687; 301086,31.687; 301146,
              31.687; 301206,31.687; 301266,31.687; 301326,31.625; 301386,
              31.625; 301446,31.562; 301506,31.562; 301566,31.5; 301626,31.5;
              301686,31.5; 301746,31.5; 301806,31.5; 301866,31.5; 301926,31.375;
              301986,31.375; 302046,31.375; 302106,31.312; 302166,31.312;
              302226,31.312; 302286,31.312; 302346,31.375; 302406,31.312;
              302466,31.25; 302526,31.25; 302586,31.187; 302646,31.125; 302706,
              31; 302766,31; 302826,31; 302886,31; 302946,30.937; 303006,30.812;
              303066,30.75; 303126,30.687; 303186,30.562; 303246,30.562; 303306,
              30.5; 303366,30.437; 303426,30.375; 303486,30.312; 303546,30.187;
              303606,30.125; 303666,30.125; 303726,30.062; 303786,29.937;
              303846,29.937; 303906,29.875; 303966,29.875; 304026,29.812;
              304086,29.687; 304146,29.687; 304206,29.625; 304266,29.625;
              304326,29.5; 304386,29.437; 304446,29.437; 304506,29.437; 304566,
              29.375; 304626,29.187; 304686,29.312; 304746,29.25; 304806,29.25;
              304866,29.25; 304926,29.25; 304986,29.25; 305046,29.25; 305106,
              29.25; 305166,29.187; 305226,29.187; 305286,29.187; 305346,29.187;
              305406,29.187; 305466,29.187; 305526,29.187; 305586,29.187;
              305646,29.25; 305706,29.187; 305766,29.25; 305826,29.187; 305886,
              29.25; 305946,29.25; 306006,29.187; 306066,29.187; 306126,29.187;
              306186,29.25; 306246,29.187; 306306,29.187; 306366,29.25; 306426,
              29.25; 306486,29.25; 306546,29.25; 306606,29.25; 306666,29.25;
              306726,29.25; 306786,29.312; 306846,29.312; 306906,29.312; 306966,
              29.25; 307026,29.312; 307086,29.312; 307146,29.312; 307206,29.375;
              307266,29.312; 307327,29.312; 307387,29.312; 307447,29.312;
              307507,29.375; 307567,29.312; 307627,29.375; 307687,29.375;
              307747,29.375; 307807,29.375; 307867,29.312; 307927,29.312;
              307987,29.375; 308047,29.312; 308107,29.375; 308167,29.312;
              308227,29.375; 308287,29.375; 308347,29.375; 308407,29.375;
              308467,29.375; 308527,29.375; 308587,29.375; 308647,29.375;
              308707,29.375; 308767,29.375; 308827,29.375; 308887,29.437;
              308947,29.437; 309007,29.5; 309067,29.437; 309127,29.5; 309187,
              29.5; 309247,29.5; 309307,29.562; 309367,29.562; 309427,29.562;
              309487,29.562; 309547,29.562; 309607,29.562; 309667,29.625;
              309727,29.562; 309787,29.562; 309847,29.562; 309907,29.562;
              309967,29.562; 310027,29.562; 310087,29.5; 310147,29.5; 310207,
              29.5; 310267,29.437; 310327,29.437; 310387,29.375; 310447,29.375;
              310507,29.375; 310567,29.375; 310627,29.375; 310687,29.375;
              310747,29.375; 310807,29.312; 310867,29.25; 310927,29.25; 310987,
              29.25; 311047,29.187; 311107,29.25; 311167,29.187; 311227,29.25;
              311287,29.312; 311347,29.25; 311407,29.312; 311467,29.312; 311527,
              29.375; 311587,29.312; 311647,29.25; 311707,29.25; 311767,29.25;
              311827,29.187; 311887,29.187; 311947,29.312; 312007,29.312;
              312067,29.312; 312127,29.25; 312187,29.187; 312247,29.25; 312307,
              29.25; 312367,29.25; 312427,29.187; 312487,29.187; 312547,29.187;
              312607,29.125; 312667,29.125; 312727,29.062; 312787,29; 312847,
              28.937; 312907,29.125; 312967,29.187; 313027,29.187; 313087,
              29.187; 313147,29.187; 313207,29.187; 313267,29.125; 313327,
              29.125; 313387,29.187; 313447,29.187; 313507,29.187; 313567,
              29.187; 313627,29.125; 313687,29.187; 313747,29.125; 313807,29.25;
              313867,29.25; 313927,29.125; 313987,29.187; 314047,29; 314107,
              29.125; 314167,29.187; 314227,29.125; 314287,29.187; 314347,
              29.187; 314407,29.062; 314467,29.125; 314527,29; 314587,29.062;
              314647,29.062; 314707,28.937; 314767,28.937; 314827,29; 314887,29;
              314947,28.875; 315064,29; 315125,29.062; 315185,28.937; 315245,29;
              315305,29.062; 315365,29.062; 315425,28.937; 315485,29.062;
              315545,29.062; 315605,29; 315665,29.062; 315725,29.062; 315785,
              29.125; 315845,29.062; 315905,29.062; 315965,29.062; 316025,
              29.062; 316085,29; 316145,29; 316205,28.937; 316265,28.937;
              316325,29; 316385,29; 316445,29; 316505,28.937; 316565,28.937;
              316625,28.937; 316685,28.937; 316745,28.937; 316805,28.937;
              316865,28.937; 316925,28.937; 316985,28.937; 317045,28.875;
              317105,28.875; 317165,28.875; 317225,28.875; 317285,28.875;
              317345,28.875; 317405,28.875; 317465,28.875; 317525,28.875;
              317585,28.875; 317645,28.875; 317705,28.875; 317765,28.875;
              317825,28.875; 317885,28.875; 317945,28.812; 318005,28.812;
              318065,28.875; 318125,28.812; 318185,28.812; 318245,28.875;
              318305,28.875; 318365,28.875; 318425,28.812; 318485,28.812;
              318545,28.812; 318605,28.875; 318665,28.875; 318725,28.875;
              318785,28.875; 318845,28.875; 318905,28.937; 318965,28.937;
              319025,29; 319085,29; 319145,29.062; 319205,29.125; 319265,29.125;
              319325,29.125; 319385,29.187; 319445,29.187; 319505,29.187;
              319565,29.125; 319625,29.125; 319685,29.187; 319745,29.187;
              319805,29.187; 319865,29.187; 319925,29.25; 319985,29.25; 320045,
              29.25; 320105,29.312; 320165,29.312; 320225,29.375; 320285,29.375;
              320345,29.437; 320405,29.437; 320465,29.437; 320525,29.437;
              320585,29.437; 320645,29.5; 320705,29.437; 320765,29.5; 320825,
              29.5; 320885,29.562; 320945,29.562; 321005,29.562; 321065,29.562;
              321125,29.625; 321185,29.687; 321245,29.687; 321305,29.687;
              321365,29.75; 321425,29.75; 321485,29.812; 321545,29.812; 321605,
              29.812; 321665,29.875; 321725,29.875; 321785,29.937; 321845,
              29.937; 321905,30; 321965,30; 322025,30.062; 322085,30.062;
              322145,30.062; 322205,30.125; 322265,30.125; 322325,30.187;
              322385,30.125; 322445,30.125; 322505,30.125; 322565,30.062;
              322625,30; 322685,29.937; 322745,29.937; 322805,29.875; 322865,
              29.812; 322925,29.75; 322985,29.687; 323045,29.562; 323105,29.562;
              323165,29.437; 323225,29.375; 323285,29.312; 323345,29.25; 323405,
              29.187; 323465,29.062; 323525,29.062; 323585,28.937; 323645,
              28.875; 323705,28.812; 323765,28.75; 323825,28.687; 323885,28.562;
              323945,28.5; 324005,28.437; 324065,28.375; 324125,28.312; 324185,
              28.25; 324245,28.187; 324305,28.125; 324365,28.062; 324425,28;
              324485,27.937; 324545,27.875; 324605,27.812; 324665,27.75; 324725,
              27.687; 324785,27.625; 324845,27.562; 324905,27.5; 324965,27.437;
              325025,27.375; 325085,27.312; 325145,27.25; 325205,27.187; 325265,
              27.187; 325325,27.062; 325385,27; 325445,27; 325505,26.937;
              325565,26.875; 325625,26.812; 325685,26.75; 325745,26.75; 325805,
              26.687; 325865,26.625; 325925,26.562; 325985,26.5; 326045,26.437;
              326105,26.437; 326165,26.375; 326225,26.312; 326285,26.25; 326345,
              26.25; 326405,26.187; 326465,26.125; 326525,26.062; 326585,26.062;
              326645,26; 326705,26; 326765,25.937; 326825,25.875; 326885,25.812;
              326945,25.812; 327005,25.75; 327065,25.687; 327125,25.687; 327185,
              25.687; 327245,25.625; 327305,25.562; 327365,25.562; 327425,25.5;
              327485,25.5; 327545,25.437; 327605,25.375; 327665,25.375; 327725,
              25.312; 327785,25.25; 327845,25.25; 327905,25.25; 327965,25.187;
              328025,25.125; 328085,25.125; 328145,25.062; 328205,25.062;
              328265,25; 328325,24.937; 328385,24.937; 328445,24.937; 328505,
              24.875; 328565,24.875; 328625,24.812; 328685,24.812; 328745,24.75;
              328805,24.687; 328865,24.687; 328925,24.625; 328985,24.625;
              329045,24.562; 329105,24.562; 329165,24.5; 329225,24.5; 329285,
              24.437; 329345,24.437; 329405,24.437; 329465,24.375; 329525,
              24.375; 329585,24.312; 329645,24.25; 329705,24.25; 329765,24.25;
              329825,24.187; 329885,24.125; 329945,24.125; 330005,24.125;
              330065,24.125; 330125,24.062; 330185,24.062; 330245,24; 330305,24;
              330365,24; 330425,24; 330485,23.937; 330545,23.875; 330605,23.875;
              330665,23.875; 330725,23.812; 330785,23.812; 330845,23.812;
              330905,23.75; 330965,23.75; 331025,23.687; 331085,23.687; 331145,
              23.687; 331205,23.625; 331265,23.625; 331325,23.625; 331385,
              23.562; 331445,23.562; 331505,23.562; 331565,23.5; 331625,23.5;
              331685,23.437; 331745,23.437; 331805,23.437; 331865,23.437;
              331925,23.375; 331985,23.375; 332045,23.312; 332105,23.312;
              332165,23.312; 332225,23.312; 332285,23.25; 332345,23.25; 332405,
              23.25; 332465,23.25; 332525,23.187; 332585,23.187; 332645,23.187;
              332705,23.125; 332765,23.125; 332825,23.125; 332885,23.062;
              332945,23.062; 333005,23; 333065,23.062; 333125,23; 333185,23;
              333245,22.937; 333305,22.937; 333365,23; 333425,22.937; 333485,
              22.937; 333545,22.937; 333605,22.937; 333665,22.937; 333725,
              22.875; 333785,22.875; 333845,22.875; 333905,22.875; 333965,
              22.812; 334025,22.812; 334085,22.812; 334145,22.812; 334205,
              22.812; 334265,22.75; 334325,22.75; 334385,22.75; 334445,22.75;
              334505,22.75; 334565,22.687; 334625,22.687; 334685,22.687; 334745,
              22.687; 334805,22.625; 334865,22.687; 334925,22.625; 334985,
              22.625; 335045,22.625; 335105,22.625; 335165,22.562; 335225,
              22.562; 335285,22.562; 335345,22.562; 335405,22.562; 335465,22.5;
              335525,22.5; 335585,22.5; 335645,22.5; 335705,22.437; 335765,
              22.437; 335825,22.437; 335885,22.437; 335945,22.375; 336005,
              22.375; 336065,22.375; 336125,22.375; 336185,22.375; 336245,
              22.375; 336305,22.375; 336365,22.312; 336425,22.312; 336485,
              22.312; 336545,22.312; 336605,22.312; 336665,22.25; 336725,22.25;
              336785,22.25; 336845,22.25; 336905,22.25; 336965,22.187; 337025,
              22.25; 337085,22.187; 337145,22.187; 337205,22.187; 337265,22.125;
              337325,22.125; 337385,22.125; 337445,22.125; 337505,22.125;
              337565,22.125; 337625,22.125; 337685,22.062; 337745,22.125;
              337805,22.125; 337865,22.062; 337925,22.062; 337985,22; 338045,22;
              338105,22; 338165,22; 338225,22; 338285,22; 338345,22; 338405,
              21.937; 338465,21.937; 338525,21.937; 338585,21.937; 338645,
              21.937; 338705,21.937; 338765,21.937; 338825,21.875; 338885,
              21.875; 338945,21.875; 339005,21.875; 339065,21.875; 339125,
              21.875; 339185,21.812; 339245,21.812; 339305,21.812; 339365,
              21.812; 339425,21.75; 339485,21.75; 339545,21.75; 339605,21.75;
              339665,21.687; 339725,21.687; 339785,21.687; 339845,21.687;
              339905,21.687; 339965,21.687; 340025,21.687; 340085,21.625;
              340145,21.625; 340205,21.625; 340265,21.625; 340325,21.625;
              340385,21.625; 340445,21.562; 340505,21.562; 340565,21.562;
              340625,21.562; 340685,21.562; 340745,21.562; 340805,21.562;
              340865,21.5; 340925,21.5; 340985,21.5; 341045,21.437; 341105,
              21.437; 341165,21.437; 341225,21.437; 341285,21.437; 341345,
              21.375; 341405,21.375; 341465,21.375; 341525,21.375; 341585,
              21.375; 341645,21.375; 341705,21.375; 341765,21.312; 341825,
              21.312; 341885,21.312; 341945,21.25; 342005,21.25; 342065,21.312;
              342125,21.312; 342185,21.312; 342245,21.25; 342305,21.25; 342365,
              21.25; 342425,21.187; 342485,21.187; 342545,21.187; 342605,21.187;
              342665,21.187; 342725,21.187; 342785,21.125; 342845,21.125;
              342905,21.187; 342965,21.125; 343025,21.125; 343085,21.125;
              343145,21.125; 343205,21.125; 343265,21.125; 343325,21.062;
              343385,21.062; 343445,21.062; 343505,21.062; 343565,21.062;
              343625,21.062; 343685,21.062; 343745,21.062; 343805,21.062;
              343865,21; 343925,21; 343985,21; 344045,21; 344105,21; 344165,21;
              344225,21; 344285,20.937; 344345,20.937; 344405,20.937; 344465,
              20.937; 344525,20.937; 344585,20.937; 344645,20.937; 344705,
              20.937; 344765,20.937; 344825,20.937; 344885,20.937; 344945,
              20.937; 345005,20.937; 345065,20.875; 345125,20.875; 345185,
              20.937; 345245,20.875; 345305,20.875; 345365,20.875; 345425,
              20.875; 345485,20.875; 345545,20.875; 345605,20.812; 345665,
              20.812; 345725,20.875; 345785,20.812; 345845,20.875; 345905,
              20.812; 345965,20.812; 346025,20.812; 346085,20.812; 346145,
              20.812; 346205,20.812; 346265,20.812; 346325,20.812; 346385,20.75;
              346445,20.812; 346505,20.75; 346565,20.75; 346625,20.75; 346685,
              20.75; 346745,20.75; 346805,20.75; 346865,20.75; 346925,20.75;
              346985,20.75; 347045,20.687; 347105,20.687; 347165,20.75; 347225,
              20.687; 347285,20.687; 347345,20.687; 347405,20.687; 347465,
              20.687; 347525,20.687; 347585,20.625; 347645,20.687; 347705,
              20.687; 347765,20.687; 347825,20.625; 347885,20.625; 347945,
              20.625; 348005,20.625; 348065,20.625; 348125,20.625; 348185,
              20.625; 348245,20.625; 348305,20.562; 348365,20.562; 348425,
              20.625; 348485,20.562; 348545,20.562; 348605,20.562; 348665,
              20.562; 348725,20.562; 348785,20.562; 348845,20.562; 348905,20.5;
              348965,20.562; 349025,20.5; 349085,20.5; 349145,20.5; 349205,20.5;
              349265,20.5; 349325,20.5; 349385,20.5; 349445,20.5; 349505,20.5;
              349565,20.5; 349625,20.5; 349685,20.5; 349745,20.5; 349805,20.5;
              349865,20.437; 349925,20.437; 349985,20.437; 350045,20.437;
              350105,20.437; 350165,20.437; 350225,20.437; 350285,20.437;
              350345,20.437; 350405,20.437; 350465,20.437; 350525,20.437;
              350585,20.437; 350645,20.375; 350705,20.375; 350765,20.437;
              350825,20.375; 350885,20.375; 350945,20.375; 351005,20.375;
              351065,20.375; 351125,20.375; 351185,20.375; 351245,20.375;
              351305,20.375; 351365,20.375; 351425,20.375; 351485,20.375;
              351545,20.375; 351605,20.312; 351665,20.312; 351725,20.375;
              351785,20.312; 351845,20.312; 351905,20.312; 351965,20.312;
              352025,20.312; 352085,20.312; 352145,20.312; 352205,20.312;
              352265,20.312; 352325,20.312; 352385,20.312; 352445,20.312;
              352505,20.312; 352565,20.25; 352625,20.25; 352685,20.25; 352745,
              20.25; 352805,20.25; 352865,20.312; 352925,20.25; 352985,20.25;
              353045,20.25; 353105,20.25; 353165,20.25; 353225,20.25; 353285,
              20.25; 353345,20.25; 353405,20.25; 353465,20.25; 353525,20.187;
              353585,20.25; 353645,20.187; 353705,20.25; 353765,20.187; 353825,
              20.187; 353885,20.187; 353945,20.187; 354005,20.187; 354065,
              20.187; 354125,20.187; 354185,20.187; 354245,20.187; 354305,
              20.187; 354365,20.187; 354425,20.187; 354485,20.187; 354545,
              20.187; 354605,20.187; 354665,20.125; 354725,20.125; 354785,
              20.125; 354845,20.125; 354905,20.125; 354965,20.125; 355025,
              20.125; 355085,20.125; 355145,20.125; 355205,20.125; 355265,
              20.125; 355325,20.125; 355385,20.125; 355445,20.125; 355505,
              20.125; 355565,20.125; 355625,20.062; 355685,20.125; 355745,
              20.062; 355805,20.125; 355865,20.125; 355925,20.062; 355985,
              20.125; 356045,20.062; 356105,20.062; 356165,20.062; 356225,
              20.062; 356285,20.125; 356345,20.062; 356405,20.062; 356465,
              20.062; 356525,20.062; 356585,20.062; 356645,20.062; 356705,
              20.062; 356765,20.062; 356825,20.062; 356886,20.062; 356946,
              20.062; 357006,20.062; 357066,20.062; 357126,20.062; 357186,
              20.062; 357246,20; 357306,20.062; 357366,20; 357426,20; 357486,20;
              357546,20.062; 357606,20; 357666,20; 357726,20; 357786,20; 357846,
              20; 357906,20; 357966,20; 358026,20; 358086,20; 358146,20; 358206,
              20; 358266,19.937; 358326,20; 358386,19.937; 358446,20; 358506,
              19.937; 358566,20; 358626,19.937; 358686,19.937; 358746,20;
              358806,19.937; 358866,19.937; 358926,19.937; 358986,19.937;
              359046,19.937; 359106,19.937; 359166,19.937; 359226,19.937;
              359286,19.937; 359346,19.937; 359406,19.937; 359466,19.937;
              359526,19.937; 359586,19.937; 359646,19.937; 359706,19.937;
              359766,19.937; 359826,19.937; 359886,19.937; 359946,19.875;
              360006,19.937; 360066,19.875; 360126,19.875; 360186,19.875;
              360246,19.875; 360306,19.875; 360366,19.875; 360426,19.875;
              360486,19.875; 360546,19.875; 360606,19.875; 360666,19.875;
              360726,19.875; 360786,19.875; 360846,19.875; 360906,19.875;
              360966,19.875; 361026,19.875; 361086,19.875; 361146,19.875;
              361206,19.875; 361266,19.875; 361326,19.875; 361386,19.875;
              361446,19.937; 361506,19.937; 361566,19.937; 361626,19.937;
              361686,19.937; 361746,20; 361806,20; 361866,20; 361926,20; 361986,
              20.062; 362046,20.062; 362106,20.062; 362166,20.062; 362226,
              20.125; 362286,20.125; 362346,20.125; 362406,20.125; 362466,
              20.187; 362526,20.25; 362586,20.312; 362646,20.312; 362706,20.375;
              362766,20.437; 362826,20.562; 362886,20.625; 362946,20.75; 363006,
              20.875; 363066,20.937; 363126,21.125; 363186,21.187; 363246,
              21.312; 363306,21.437; 363366,21.562; 363426,21.687; 363486,
              21.812; 363546,21.875; 363606,21.937; 363666,22.062; 363726,
              22.187; 363786,22.25; 363846,22.312; 363906,22.375; 363966,22.375;
              364026,22.437; 364086,22.5; 364146,22.562; 364206,22.562; 364266,
              22.625; 364326,22.625; 364386,22.687; 364446,22.687; 364506,
              22.687; 364566,22.687; 364626,22.75; 364686,22.75; 364746,22.75;
              364806,22.75; 364866,22.812; 364926,22.812; 364986,22.812; 365046,
              22.812; 365106,22.812; 365166,22.812; 365226,22.75; 365286,22.75;
              365346,22.75; 365406,22.75; 365466,22.75; 365526,22.75; 365586,
              22.812; 365646,22.75; 365706,22.75; 365766,22.75; 365826,22.75;
              365886,22.75; 365946,22.687; 366006,22.687; 366066,22.687; 366126,
              22.687; 366186,22.687; 366246,22.625; 366306,22.625; 366366,
              22.625; 366426,22.562; 366486,22.562; 366546,22.562; 366606,
              22.562; 366666,22.562; 366726,22.5; 366786,22.5; 366846,22.5;
              366906,22.437; 366966,22.437; 367026,22.437; 367086,22.437;
              367146,22.375; 367206,22.375; 367266,22.375; 367326,22.375;
              367386,22.312; 367446,22.312; 367506,22.312; 367566,22.312;
              367626,22.312; 367686,22.25; 367746,22.25; 367806,22.25; 367866,
              22.187; 367926,22.187; 367986,22.187; 368046,22.187; 368106,
              22.187; 368166,22.125; 368226,22.125; 368286,22.125; 368346,
              22.062; 368406,22.062; 368466,22.062; 368526,22.062; 368586,
              22.062; 368646,22; 368706,22; 368766,21.937; 368826,22; 368886,
              21.937; 368946,21.937; 369006,21.937; 369066,21.937; 369126,
              21.875; 369186,21.875; 369246,21.875; 369306,21.812; 369366,
              21.812; 369426,21.812; 369486,21.812; 369546,21.75; 369606,21.75;
              369666,21.75; 369726,21.75; 369786,21.687; 369846,21.687; 369906,
              21.687; 369966,21.687; 370026,21.625; 370086,21.625; 370146,
              21.625; 370206,21.562; 370266,21.562; 370326,21.562; 370386,
              21.562; 370446,21.562; 370506,21.5; 370566,21.5; 370626,21.5;
              370686,21.437; 370746,21.5; 370806,21.437; 370866,21.437; 370926,
              21.375; 370986,21.437; 371046,21.375; 371106,21.375; 371166,
              21.375; 371226,21.312; 371286,21.375; 371346,21.312; 371406,
              21.312; 371466,21.312; 371526,21.25; 371586,21.25; 371646,21.25;
              371706,21.312; 371766,21.25; 371826,21.312; 371886,21.25; 371946,
              21.312; 372006,21.312; 372066,21.312; 372126,21.312; 372186,
              21.312; 372246,21.312; 372306,21.312; 372366,21.375; 372426,
              21.375; 372486,21.375; 372546,21.375; 372606,21.375; 372666,
              21.375; 372726,21.375; 372786,21.312; 372846,21.375; 372906,
              21.625; 372966,22; 373026,22.5; 373086,23.062; 373146,23.5;
              373206,23.937; 373266,24.375; 373323,24.937; 373380,25.5; 373440,
              26; 373496,26.562; 373556,27.125; 373616,27.625; 373676,28.062;
              373736,28.437; 373796,28.812; 373856,29.187; 373916,29.5; 373976,
              29.812; 374036,30.062; 374096,30.312; 374156,30.562; 374216,30.75;
              374276,30.875; 374336,31.062; 374396,31.187; 374456,31.312;
              374516,31.437; 374576,31.562; 374636,31.625; 374696,31.687;
              374756,31.687; 374816,31.75; 374876,31.75; 374936,31.812; 374996,
              31.812; 375056,31.812; 375116,31.875; 375176,31.937; 375236,
              31.875; 375296,31.875; 375356,31.875; 375416,31.875; 375476,
              31.875; 375536,31.875; 375596,31.875; 375656,31.875; 375716,
              31.875; 375776,31.875; 375836,31.812; 375896,31.75; 375956,31.812;
              376016,31.75; 376076,31.812; 376136,31.75; 376196,31.75; 376256,
              31.812; 376316,31.812; 376376,31.812; 376436,31.812; 376496,
              31.812; 376556,31.812; 376616,31.812; 376676,31.812; 376736,
              31.812; 376796,31.812; 376856,31.812; 376916,31.75; 376976,31.75;
              377036,31.75; 377096,31.75; 377156,31.687; 377216,31.687; 377276,
              31.625; 377336,31.625; 377396,31.625; 377456,31.625; 377516,
              31.625; 377576,31.562; 377636,31.562; 377696,31.562; 377756,
              31.625; 377816,31.625; 377876,31.562; 377936,31.562; 377996,
              31.562; 378056,31.562; 378116,31.562; 378176,31.562; 378236,31.5;
              378296,31.5; 378356,31.5; 378416,31.5; 378476,31.5; 378536,31.5;
              378596,31.5; 378656,31.5; 378716,31.5; 378776,31.5; 378836,31.562;
              378896,31.562; 378956,31.562; 379016,31.562; 379076,31.562;
              379136,31.562; 379196,31.562; 379256,31.562; 379316,31.562;
              379376,31.562; 379436,31.625; 379496,31.562; 379556,31.562;
              379616,31.625; 379676,31.625; 379736,31.562; 379796,31.625;
              379856,31.562; 379916,31.562; 379976,31.625; 380036,31.625;
              380096,31.562; 380156,31.562; 380216,31.562; 380276,31.625;
              380336,31.562; 380396,31.562; 380456,31.562; 380516,31.562;
              380576,31.562; 380636,31.625; 380696,31.562; 380756,31.625;
              380816,31.625; 380876,31.687; 380936,31.687; 380996,31.687;
              381056,31.75; 381116,31.75; 381176,31.75; 381236,31.75; 381296,
              31.75; 381356,31.75; 381416,31.812; 381476,31.812; 381536,31.812;
              381596,31.812; 381656,31.875; 381716,31.812; 381776,31.812;
              381836,31.812; 381896,31.812; 381956,31.812; 382016,31.812;
              382076,31.812; 382136,31.75; 382196,31.812; 382256,31.812; 382316,
              31.75; 382376,31.75; 382436,31.75; 382496,31.75; 382556,31.687;
              382616,31.75; 382676,31.687; 382736,31.687; 382796,31.687; 382856,
              31.687; 382916,31.687; 382976,31.687; 383036,31.687; 383096,
              31.687; 383156,31.687; 383216,31.687; 383276,31.75; 383336,31.75;
              383396,31.75; 383456,31.812; 383516,31.812; 383576,31.875; 383636,
              31.937; 383696,31.937; 383756,32; 383816,32; 383876,32; 383936,
              32.062; 383996,32.062; 384056,32.062; 384116,32.125; 384176,
              32.125; 384236,32.125; 384296,32.125; 384356,32.125; 384416,
              32.125; 384476,32.125; 384536,32.125; 384596,32.125; 384656,
              32.125; 384716,32.125; 384776,32.125; 384836,32.062; 384896,
              32.125; 384956,32.125; 385016,32.125; 385076,32.125; 385136,
              32.187; 385196,32.125; 385256,32.125; 385316,32.187; 385376,
              32.125; 385436,32.125; 385496,32.125; 385556,32.125; 385616,
              32.125; 385676,32.125; 385736,32.125; 385796,32.062; 385856,32;
              385916,32; 385976,32; 386036,31.937; 386096,31.937; 386156,32;
              386216,32; 386276,32; 386336,32; 386396,32; 386456,32; 386516,
              31.937; 386576,32; 386636,31.937; 386696,31.937; 386756,31.937;
              386816,31.937; 386876,31.937; 386936,32; 386996,32.062; 387056,
              32.125; 387116,32.125; 387176,32.187; 387236,32.187; 387296,
              32.187; 387356,32.187; 387416,32.187; 387476,32.187; 387536,
              32.187; 387596,32.187; 387656,32.125; 387716,32.125; 387776,
              32.125; 387836,32.062; 387896,32.062; 387956,32; 388016,32;
              388076,31.937; 388136,31.937; 388196,31.875; 388256,31.875;
              388316,31.875; 388376,31.875; 388436,31.875; 388496,31.875;
              388556,31.875; 388616,31.875; 388676,31.875; 388736,31.812;
              388796,31.812; 388856,31.812; 388916,31.812; 388976,31.75; 389036,
              31.75; 389096,31.75; 389156,31.75; 389216,31.75; 389276,31.75;
              389336,31.75; 389396,31.75; 389456,31.75; 389516,31.75; 389576,
              31.812; 389636,31.812; 389696,31.812; 389756,31.75; 389816,31.75;
              389876,31.75; 389936,31.687; 389996,31.625; 390056,31.625; 390116,
              31.562; 390176,31.562; 390236,31.5; 390296,31.437; 390356,31.375;
              390416,31.312; 390476,31.312; 390536,31.25; 390596,31.25; 390656,
              31.25; 390716,31.25; 390776,31.125; 390836,31.125; 390896,31.062;
              390956,31; 391016,31; 391076,31; 391136,31; 391196,30.937; 391256,
              30.937; 391316,30.875; 391376,30.875; 391436,30.812; 391496,
              30.812; 391556,30.812; 391616,30.812; 391676,30.75; 391736,30.75;
              391796,30.75; 391856,30.687; 391916,30.687; 391976,30.687; 392036,
              30.625; 392096,30.625; 392156,30.625; 392216,30.625; 392276,
              30.625; 392336,30.625; 392396,30.625; 392456,30.562; 392516,
              30.562; 392576,30.562; 392636,30.562; 392696,30.5; 392756,30.5;
              392816,30.437; 392876,30.375; 392936,30.375; 392996,30.375;
              393056,30.312; 393116,30.25; 393176,30.25; 393236,30.187; 393296,
              30.125; 393356,30.125; 393416,30; 393476,30; 393536,29.937;
              393596,29.875; 393656,29.875; 393716,29.812; 393776,29.812;
              393836,29.75; 393896,29.75; 393956,29.687; 394016,29.687; 394076,
              29.687; 394136,29.687; 394196,29.625; 394256,29.625; 394316,
              29.625; 394376,29.625; 394436,29.562; 394496,29.562; 394556,
              29.562; 394616,29.5; 394676,29.562; 394736,29.562; 394796,29.5;
              394856,29.5; 394916,29.5; 394976,29.5; 395036,29.437; 395096,
              29.437; 395156,29.437; 395216,29.375; 395276,29.375; 395336,
              29.375; 395396,29.375; 395456,29.375; 395516,29.312; 395576,
              29.312; 395636,29.25; 395696,29.312; 395756,29.25; 395816,29.25;
              395876,29.25; 395936,29.25; 395996,29.25; 396056,29.25; 396116,
              29.25; 396176,29.25; 396236,29.187; 396296,29.187; 396356,29.187;
              396416,29.25; 396476,29.25; 396536,29.25; 396596,29.312; 396656,
              29.312; 396716,29.375; 396776,29.437; 396836,29.5; 396896,29.5;
              396956,29.562; 397016,29.625; 397076,29.687; 397136,29.687;
              397196,29.687; 397256,29.75; 397316,29.812; 397376,29.875; 397436,
              29.875; 397496,29.937; 397556,30.062; 397616,30.187; 397676,
              30.375; 397736,30.562; 397796,30.687; 397856,30.812; 397916,
              30.875; 397976,30.937; 398036,31; 398096,31.062; 398156,31.062;
              398216,31.125; 398276,31.125; 398336,31.125; 398396,31.125;
              398456,31.125; 398516,31.187; 398576,31.125; 398636,31.125;
              398696,31.125; 398756,31.062; 398816,31.062; 398876,31; 398936,
              31.062; 398996,31; 399056,30.937; 399116,30.937; 399176,30.937;
              399236,30.875; 399296,30.812; 399356,30.875; 399416,30.812;
              399476,30.75; 399536,30.812; 399596,30.75; 399656,30.75; 399716,
              30.687; 399776,30.687; 399836,30.687; 399896,30.625; 399956,
              30.625; 400016,30.625; 400076,30.562; 400136,30.562; 400196,
              30.562; 400256,30.562; 400316,30.5; 400376,30.5; 400436,30.5;
              400496,30.437; 400556,30.437; 400616,30.437; 400676,30.437;
              400736,30.437; 400796,30.437; 400856,30.375; 400916,30.375;
              400976,30.375; 401036,30.375; 401096,30.312; 401156,30.312;
              401216,30.312; 401276,30.312; 401336,30.312; 401464,30.312;
              401524,30.25; 401584,30.25; 401644,30.25; 401704,30.25; 401764,
              30.25; 401824,30.25; 401884,30.25; 401944,30.25; 402004,30.25;
              402064,30.187; 402124,30.25; 402184,30.187; 402244,30.187; 402304,
              30.187; 402364,30.187; 402424,30.187; 402484,30.125; 402544,
              30.125; 402604,30.187; 402664,30.187; 402724,30.125; 402784,
              30.125; 402844,30.125; 402904,30.125; 402964,30.125; 403024,
              30.125; 403084,30.125; 403144,30.125; 403204,30.125; 403264,
              30.125; 403324,30.125; 403384,30.125; 403444,30.125; 403504,
              30.125; 403564,30.125; 403624,30.125; 403684,30.062; 403744,
              30.125; 403804,30.125; 403864,30.125; 403924,30.187; 403984,
              30.125; 404044,30.125; 404104,30.125; 404164,30.125; 404224,
              30.125; 404284,30.125; 404344,30.125; 404404,30.125; 404464,
              30.062; 404524,30.062; 404584,30.062; 404644,30; 404704,29.937;
              404764,29.937; 404824,29.937; 404884,29.875; 404944,29.937;
              405004,29.875; 405064,29.875; 405124,29.812; 405184,29.812;
              405244,29.75; 405304,29.812; 405364,29.812; 405424,29.812; 405484,
              29.75; 405544,29.75; 405604,29.75; 405664,29.75; 405724,29.687;
              405785,29.687; 405845,29.687; 405905,29.75; 405965,29.75; 406025,
              29.75; 406085,29.812; 406145,29.875; 406205,29.875; 406265,29.875;
              406325,29.937; 406385,29.937; 406445,29.937; 406505,30; 406565,30;
              406625,30; 406685,30.062; 406745,30.062; 406805,30.125; 406865,
              30.125; 406925,30.125; 406985,30.125; 407045,30.125; 407105,
              30.125; 407165,30.187; 407225,30.25; 407285,30.312; 407345,30.437;
              407405,30.5; 407465,30.562; 407525,30.625; 407585,30.687; 407645,
              30.812; 407705,30.812; 407765,30.812; 407825,30.812; 407885,
              30.875; 407945,30.875; 408005,30.875; 408065,30.937; 408125,
              30.937; 408185,30.937; 408245,30.937; 408305,30.937; 408365,
              30.875; 408425,30.875; 408485,30.875; 408545,30.812; 408605,
              30.812; 408665,30.875; 408725,30.875; 408785,30.937; 408845,
              30.937; 408905,30.875; 408965,30.875; 409025,30.812; 409085,
              30.812; 409145,30.687; 409205,30.625; 409265,30.562; 409325,30.5;
              409385,30.437; 409445,30.375; 409505,30.312; 409565,30.25; 409625,
              30.125; 409685,30.062; 409745,29.937; 409805,29.875; 409865,
              29.812; 409925,29.75; 409985,29.687; 410045,29.625; 410105,29.5;
              410165,29.437; 410225,29.312; 410285,29.25; 410345,29.187; 410405,
              29.125; 410465,29.062; 410525,29; 410585,28.937; 410645,28.875;
              410705,28.812; 410765,28.687; 410825,28.625; 410885,28.562;
              410945,28.5; 411005,28.437; 411065,28.312; 411125,28.25; 411185,
              28.187; 411245,28.187; 411305,28.062; 411365,28; 411425,27.937;
              411485,27.875; 411545,27.75; 411605,27.75; 411665,27.687; 411725,
              27.625; 411785,27.5; 411845,27.5; 411905,27.437; 411965,27.375;
              412025,27.312; 412085,27.25; 412145,27.187; 412205,27.125; 412265,
              27.062; 412325,27; 412385,26.937; 412445,26.875; 412505,26.812;
              412565,26.812; 412625,26.75; 412685,26.687; 412745,26.625; 412805,
              26.562; 412865,26.562; 412925,26.5; 412985,26.437; 413045,26.375;
              413105,26.375; 413165,26.312; 413225,26.25; 413285,26.187; 413345,
              26.187; 413405,26.125; 413465,26.062; 413525,26; 413585,26;
              413645,25.937; 413705,25.875; 413765,25.812; 413825,25.812;
              413885,25.75; 413945,25.75; 414005,25.687; 414065,25.625; 414125,
              25.562; 414185,25.562; 414245,25.562; 414305,25.437; 414365,
              25.437; 414425,25.375; 414485,25.375; 414545,25.312; 414605,25.25;
              414665,25.25; 414725,25.187; 414785,25.125; 414845,25.125; 414905,
              25.125; 414965,25; 415025,25.062; 415085,25; 415145,24.937;
              415205,24.937; 415265,24.875; 415325,24.812; 415385,24.812;
              415445,24.75; 415505,24.75; 415565,24.75; 415625,24.687; 415685,
              24.687; 415745,24.625; 415805,24.625; 415865,24.562; 415925,24.5;
              415985,24.5; 416045,24.5; 416105,24.437; 416165,24.437; 416225,
              24.375; 416285,24.375; 416345,24.312; 416405,24.312; 416465,24.25;
              416525,24.187; 416585,24.187; 416645,24.125; 416705,24.125;
              416765,24.125; 416825,24.062; 416885,24.062; 416945,24; 417005,24;
              417065,24; 417125,23.937; 417185,23.937; 417245,23.875; 417305,
              23.875; 417365,23.812; 417425,23.812; 417485,23.75; 417545,23.75;
              417605,23.75; 417665,23.687; 417725,23.687; 417785,23.687; 417845,
              23.625; 417905,23.625; 417965,23.625; 418025,23.562; 418085,
              23.562; 418145,23.5; 418205,23.5; 418265,23.5; 418325,23.437;
              418385,23.437; 418445,23.375; 418505,23.375; 418565,23.375;
              418625,23.312; 418685,23.312; 418745,23.312; 418805,23.312;
              418865,23.25; 418925,23.25; 418985,23.25; 419045,23.25; 419105,
              23.187; 419165,23.187; 419225,23.187; 419285,23.125; 419345,
              23.125; 419405,23.062; 419465,23.062; 419525,23.062; 419585,23;
              419645,23; 419705,23; 419765,22.937; 419825,23; 419885,22.937;
              419945,22.937; 420005,22.937; 420065,22.875; 420125,22.875;
              420185,22.875; 420245,22.875; 420305,22.812; 420365,22.812;
              420425,22.75; 420485,22.75; 420545,22.75; 420605,22.75; 420665,
              22.75; 420725,22.687; 420785,22.687; 420845,22.625; 420905,22.687;
              420965,22.625; 421025,22.625; 421085,22.625; 421145,22.562;
              421205,22.562; 421265,22.562; 421325,22.562; 421385,22.5; 421445,
              22.5; 421505,22.5; 421565,22.437; 421625,22.437; 421685,22.437;
              421745,22.437; 421805,22.437; 421865,22.437; 421925,22.375;
              421985,22.375; 422045,22.375; 422105,22.375; 422165,22.375;
              422225,22.375; 422285,22.312; 422345,22.375; 422405,22.312;
              422465,22.312; 422525,22.312; 422585,22.25; 422645,22.25; 422705,
              22.25; 422765,22.25; 422825,22.25; 422885,22.25; 422945,22.25;
              423005,22.187; 423065,22.187; 423125,22.187; 423185,22.187;
              423245,22.187; 423305,22.187; 423365,22.187; 423425,22.187;
              423485,22.187; 423545,22.125; 423605,22.125; 423665,22.125;
              423725,22.125; 423785,22.125; 423845,22.125; 423905,22.062;
              423965,22.062; 424025,22.062; 424085,22.062; 424145,22.062;
              424205,22.062; 424265,22.062; 424325,22.062; 424385,22.062;
              424445,22.062; 424505,22; 424565,22; 424625,22; 424685,22; 424745,
              22; 424805,21.937; 424865,21.937; 424925,21.937; 424985,21.937;
              425045,21.937; 425105,21.875; 425165,21.875; 425225,21.875;
              425285,21.875; 425345,21.875; 425405,21.812; 425465,21.812;
              425525,21.812; 425585,21.812; 425645,21.75; 425705,21.75; 425765,
              21.75; 425825,21.75; 425885,21.75; 425945,21.687; 426005,21.687;
              426065,21.687; 426125,21.687; 426185,21.687; 426245,21.625;
              426305,21.625; 426365,21.625; 426425,21.625; 426485,21.625;
              426545,21.562; 426605,21.562; 426665,21.625; 426725,21.562;
              426785,21.562; 426845,21.562; 426905,21.5; 426965,21.5; 427025,
              21.5; 427085,21.5; 427145,21.5; 427205,21.437; 427265,21.437;
              427325,21.437; 427385,21.375; 427445,21.437; 427505,21.375;
              427565,21.375; 427625,21.375; 427685,21.375; 427745,21.375;
              427805,21.312; 427865,21.312; 427925,21.312; 427985,21.312;
              428045,21.25; 428105,21.25; 428165,21.25; 428225,21.25; 428285,
              21.187; 428345,21.25; 428405,21.187; 428465,21.187; 428525,21.187;
              428585,21.187; 428645,21.187; 428705,21.187; 428765,21.125;
              428825,21.125; 428885,21.125; 428945,21.125; 429005,21.125;
              429065,21.062; 429125,21.062; 429185,21.062; 429245,21.062;
              429305,21.062; 429365,21.062; 429425,21; 429485,21; 429545,21;
              429605,21; 429665,21; 429725,21; 429785,20.937; 429845,20.937;
              429905,20.937; 429965,20.937; 430025,20.937; 430085,20.937;
              430145,20.875; 430205,20.875; 430265,20.875; 430325,20.875;
              430385,20.875; 430445,20.812; 430505,20.875; 430565,20.812;
              430625,20.812; 430685,20.812; 430745,20.812; 430805,20.812;
              430865,20.812; 430925,20.812; 430985,20.75; 431045,20.75; 431105,
              20.75; 431165,20.75; 431225,20.75; 431285,20.75; 431345,20.75;
              431405,20.687; 431465,20.687; 431525,20.687; 431585,20.75; 431645,
              20.687; 431705,20.687; 431765,20.687; 431825,20.687; 431885,
              20.687; 431945,20.625; 432005,20.687; 432065,20.625; 432125,
              20.625; 432185,20.625; 432245,20.625; 432305,20.625; 432365,
              20.625; 432425,20.625; 432485,20.562; 432545,20.625; 432605,
              20.562; 432665,20.562; 432725,20.562; 432785,20.562; 432845,
              20.625; 432905,20.562; 432965,20.562; 433025,20.562; 433085,
              20.562; 433145,20.562; 433205,20.562; 433265,20.562; 433325,20.5;
              433385,20.562; 433445,20.562; 433505,20.5; 433565,20.5; 433625,
              20.5; 433685,20.5; 433745,20.5; 433805,20.5; 433865,20.5; 433925,
              20.437; 433985,20.437; 434045,20.437; 434105,20.437; 434165,
              20.437; 434225,20.437; 434285,20.437; 434345,20.437; 434405,
              20.437; 434465,20.375; 434525,20.437; 434585,20.375; 434645,
              20.375; 434705,20.375; 434765,20.375; 434825,20.375; 434885,
              20.312; 434945,20.375; 435005,20.375; 435065,20.375; 435125,
              20.312; 435185,20.312; 435245,20.312; 435305,20.312; 435365,
              20.312; 435425,20.312; 435485,20.312; 435545,20.312; 435605,
              20.312; 435665,20.312; 435725,20.312; 435785,20.25; 435845,20.25;
              435905,20.25; 435965,20.25; 436025,20.25; 436085,20.25; 436145,
              20.25; 436205,20.25; 436265,20.25; 436325,20.25; 436385,20.25;
              436445,20.187; 436505,20.187; 436565,20.25; 436625,20.25; 436685,
              20.187; 436745,20.187; 436805,20.187; 436865,20.187; 436925,
              20.187; 436985,20.187; 437045,20.187; 437105,20.187; 437165,
              20.187; 437225,20.187; 437285,20.187; 437345,20.125; 437405,
              20.187; 437465,20.125; 437525,20.125; 437585,20.125; 437645,
              20.125; 437705,20.125; 437765,20.125; 437825,20.125; 437885,
              20.125; 437945,20.125; 438005,20.125; 438065,20.125; 438125,
              20.125; 438185,20.125; 438245,20.062; 438305,20.062; 438365,
              20.062; 438425,20.062; 438485,20.062; 438545,20.062; 438605,
              20.062; 438665,20.062; 438725,20.062; 438785,20.062; 438845,20;
              438905,20; 438965,20; 439025,20.062; 439085,20.062; 439145,20.062;
              439205,20; 439265,20; 439325,20; 439385,20; 439445,20; 439505,20;
              439565,20; 439625,20; 439685,20; 439745,20; 439805,19.937; 439865,
              19.937; 439925,19.937; 439985,19.937; 440045,19.937; 440105,
              19.937; 440165,19.937; 440225,19.937; 440285,19.937; 440345,
              19.937; 440405,19.937; 440465,19.937; 440525,19.937; 440585,
              19.937; 440645,19.937; 440705,19.875; 440765,19.937; 440825,
              19.875; 440885,19.937; 440945,19.875; 441005,19.875; 441065,
              19.875; 441125,19.875; 441185,19.875; 441245,19.875; 441305,
              19.875; 441365,19.875; 441425,19.875; 441485,19.875; 441545,
              19.875; 441605,19.875; 441665,19.875; 441725,19.812; 441785,
              19.812; 441845,19.875; 441905,19.812; 441965,19.812; 442025,
              19.875; 442085,19.875; 442145,19.875; 442205,19.875; 442265,
              19.875; 442325,19.937; 442385,19.937; 442445,19.937; 442505,20;
              442565,20; 442625,20; 442685,20; 442745,20.062; 442805,20.062;
              442865,20.062; 442925,20.125; 442985,20.125; 443045,20.125;
              443105,20.187; 443165,20.25; 443225,20.25; 443285,20.312; 443345,
              20.312; 443405,20.375; 443465,20.437; 443525,20.5; 443585,20.625;
              443645,20.687; 443705,20.812; 443765,20.937; 443825,21.062;
              443885,21.187; 443945,21.312; 444005,21.437; 444065,21.562;
              444125,21.687; 444185,21.812; 444245,21.937; 444305,22; 444365,
              22.125; 444425,22.25; 444485,22.312; 444545,22.437; 444605,22.437;
              444665,22.562; 444725,22.562; 444785,22.625; 444845,22.687;
              444905,22.75; 444965,22.75; 445025,22.812; 445085,22.812; 445145,
              22.812; 445205,22.875; 445265,22.875; 445325,22.875; 445385,
              22.937; 445445,22.937; 445505,22.937; 445565,22.937; 445625,
              22.937; 445685,22.937; 445745,22.937; 445805,22.937; 445865,
              22.937; 445925,22.937; 445985,22.875; 446045,22.875; 446105,
              22.875; 446165,22.875; 446225,22.875; 446285,22.875; 446345,
              22.812; 446405,22.812; 446465,22.812; 446525,22.812; 446585,
              22.812; 446645,22.812; 446705,22.75; 446765,22.75; 446825,22.687;
              446885,22.687; 446945,22.687; 447005,22.687; 447065,22.625;
              447125,22.625; 447185,22.625; 447245,22.562; 447305,22.562;
              447365,22.562; 447425,22.5; 447485,22.5; 447545,22.5; 447605,22.5;
              447665,22.437; 447725,22.437; 447785,22.437; 447845,22.375;
              447905,22.375; 447965,22.375; 448025,22.375; 448085,22.312;
              448145,22.312; 448205,22.312; 448265,22.25; 448325,22.25; 448385,
              22.25; 448445,22.187; 448505,22.187; 448565,22.125; 448625,22.125;
              448685,22.062; 448745,22.062; 448805,22.062; 448865,22; 448925,22;
              448985,21.937; 449045,21.937; 449105,21.937; 449165,21.875;
              449225,21.875; 449285,21.875; 449345,21.875; 449405,21.812;
              449465,21.812; 449525,21.75; 449585,21.75; 449645,21.75; 449705,
              21.687; 449765,21.687; 449825,21.625; 449885,21.625; 449945,
              21.562; 450005,21.562; 450065,21.562; 450125,21.5; 450185,21.5;
              450245,21.5; 450305,21.5; 450365,21.5; 450425,21.5; 450485,21.5;
              450545,21.5; 450605,21.437; 450665,21.437; 450725,21.437; 450785,
              21.437; 450845,21.5; 450905,21.5; 450965,21.437; 451025,21.5;
              451085,21.5; 451145,21.5; 451205,21.5; 451265,21.5; 451325,21.5;
              451385,21.5; 451445,21.5; 451505,21.5; 451565,21.5; 451625,21.562;
              451685,21.562; 451745,21.562; 451805,21.625; 451865,21.625;
              451925,21.625; 451985,21.687; 452045,21.75; 452105,21.812; 452165,
              21.812; 452225,21.875; 452285,21.937; 452345,22; 452405,22.062;
              452465,22.125; 452525,22.187; 452585,22.25; 452645,22.312; 452705,
              22.312; 452765,22.437; 452825,22.5; 452885,22.562; 452945,22.562;
              453005,22.625; 453065,22.687; 453125,22.75; 453185,22.812; 453245,
              22.875; 453305,22.937; 453365,22.937; 453425,23; 453485,23;
              453545,23.062; 453605,23.062; 453665,23.125; 453725,23.125;
              453785,23.125; 453845,23.125; 453905,23.125; 453965,23.187;
              454025,23.187; 454085,23.187; 454145,23.125; 454205,23.125;
              454265,23.125; 454325,23.125; 454385,23.125; 454445,23.125;
              454505,23.125; 454565,23.125; 454625,23.125; 454685,23.062;
              454745,23.062; 454805,23.062; 454865,23; 454925,23.062; 454985,23;
              455045,23; 455105,23; 455165,22.937; 455225,22.937; 455285,22.937;
              455345,22.937; 455405,22.875; 455465,22.875; 455525,22.812;
              455585,22.875; 455645,22.812; 455705,22.812; 455765,22.75; 455825,
              22.75; 455885,22.75; 455945,22.75; 456005,22.687; 456065,22.687;
              456125,22.625; 456185,22.562; 456245,22.562; 456305,22.562;
              456366,22.562; 456426,22.562; 456486,22.5; 456546,22.5; 456606,
              22.5; 456666,22.437; 456726,22.437; 456786,22.375; 456846,22.375;
              456906,22.375; 456966,22.375; 457026,22.312; 457086,22.312;
              457146,22.312; 457206,22.25; 457266,22.25; 457326,22.25; 457386,
              22.187; 457446,22.187; 457506,22.125; 457566,22.125; 457626,
              22.062; 457686,22.062; 457746,22.062; 457806,22; 457866,22;
              457926,21.937; 457986,21.937; 458046,21.937; 458106,21.875;
              458166,21.812; 458226,21.812; 458286,21.812; 458346,21.812;
              458406,21.75; 458466,21.75; 458526,21.687; 458586,21.687; 458646,
              21.625; 458706,21.625; 458766,21.625; 458826,21.625; 458886,
              21.625; 458946,21.562; 459006,21.5; 459066,21.562; 459126,21.5;
              459186,21.5; 459246,21.562; 459306,21.5; 459366,21.5; 459426,
              21.562; 459486,21.562; 459546,21.562; 459606,21.562; 459666,21.5;
              459726,21.562; 459786,21.562; 459846,21.562; 459906,21.562;
              459966,21.562; 460026,21.562; 460086,21.562; 460146,21.562;
              460206,21.562; 460266,21.625; 460326,21.625; 460386,21.687;
              460446,21.687; 460506,21.75; 460566,21.75; 460626,21.812; 460686,
              21.812; 460746,21.875; 460806,21.937; 460866,22; 460926,22.062;
              460986,22.125; 461046,22.125; 461106,22.187; 461166,22.25; 461226,
              22.312; 461286,22.375; 461346,22.437; 461406,22.437; 461466,
              22.562; 461526,22.562; 461586,22.625; 461646,22.687; 461706,22.75;
              461766,22.75; 461826,22.75; 461886,22.75; 461946,22.812; 462006,
              22.75; 462066,22.812; 462126,22.937; 462186,22.937; 462246,22.937;
              462306,23; 462366,23; 462426,23; 462486,23; 462546,23; 462606,23;
              462666,23; 462726,23; 462786,23.062; 462846,23; 462906,23; 462966,
              23; 463026,23; 463086,23; 463146,23; 463206,22.937; 463266,23;
              463326,22.937; 463386,22.937; 463446,22.937; 463506,22.875;
              463566,22.875; 463626,22.875; 463686,22.875; 463746,22.875;
              463806,22.812; 463866,22.812; 463926,22.812; 463986,22.812;
              464046,22.75; 464106,22.75; 464166,22.75; 464226,22.75; 464286,
              22.687; 464346,22.687; 464406,22.687; 464466,22.687; 464526,
              22.562; 464586,22.625; 464646,22.562; 464706,22.562; 464766,
              22.562; 464826,22.562; 464886,22.5; 464946,22.437; 465006,22.437;
              465066,22.437; 465126,22.437; 465186,22.437; 465246,22.375;
              465306,22.375; 465366,22.375; 465426,22.312; 465486,22.312;
              465546,22.312; 465606,22.312; 465666,22.25; 465726,22.25; 465786,
              22.25; 465846,22.187; 465906,22.187; 465966,22.125; 466026,22.125;
              466086,22.125; 466146,22.125; 466206,22.062; 466266,22.062;
              466326,22; 466386,22; 466446,22; 466506,22; 466566,22; 466626,
              21.937; 466686,21.937; 466746,21.937; 466806,21.875; 466866,
              21.875; 466926,21.875; 466986,21.875; 467046,21.812; 467106,
              21.812; 467166,21.812; 467226,21.75; 467286,21.75; 467346,21.75;
              467406,21.75; 467466,21.75; 467526,21.687; 467586,21.687; 467646,
              21.687; 467706,21.687; 467766,21.625; 467826,21.625; 467886,
              21.625; 467946,21.562; 468006,21.562; 468066,21.562; 468126,21.5;
              468186,21.5; 468246,21.5; 468306,21.5; 468366,21.437; 468426,
              21.437; 468486,21.437; 468546,21.437; 468606,21.562; 468666,
              21.562; 468726,21.687; 468786,21.75; 468846,21.812; 468906,21.875;
              468966,21.875; 469026,21.937; 469086,22; 469146,22.062; 469206,
              22.062; 469266,22.125; 469326,22.125; 469386,22.187; 469446,
              22.187; 469506,22.187; 469566,22.187; 469626,22.187; 469686,
              22.187; 469746,22.187; 469806,22.187; 469866,22.187; 469926,
              22.187; 469986,22.187; 470046,22.187; 470106,22.187; 470166,
              22.187; 470226,22.187; 470286,22.187; 470346,22.187; 470406,
              22.187; 470466,22.187; 470526,22.187; 470586,22.187; 470646,
              22.187; 470706,22.187; 470766,22.187; 470826,22.125; 470886,
              22.125; 470946,22.125; 471006,22.125; 471066,22.062; 471126,
              22.125; 471186,22.062; 471246,22.062; 471306,22; 471366,22;
              471426,22; 471486,22; 471546,22; 471606,21.937; 471666,21.937;
              471726,21.937; 471786,21.937; 471846,21.937; 471906,21.875;
              471966,21.875; 472026,21.875; 472086,21.875; 472146,21.875;
              472206,21.812; 472266,21.812; 472326,21.812; 472386,21.812;
              472446,21.812; 472506,21.75; 472566,21.75; 472626,21.75; 472686,
              21.75; 472746,21.75; 472806,21.687; 472866,21.687; 472926,21.687;
              472986,21.687; 473046,21.687; 473106,21.687; 473166,21.625;
              473226,21.625; 473286,21.625; 473346,21.625; 473406,21.562;
              473466,21.562; 473526,21.562; 473586,21.562; 473646,21.562;
              473706,21.562; 473766,21.5; 473826,21.5; 473886,21.5; 473946,21.5;
              474006,21.5; 474066,21.437; 474126,21.437; 474186,21.437; 474246,
              21.437; 474306,21.437; 474366,21.437; 474426,21.437; 474486,
              21.437; 474546,21.375; 474606,21.375; 474666,21.375; 474726,
              21.375; 474786,21.312; 474846,21.375; 474906,21.312; 474966,
              21.312; 475026,21.312; 475086,21.312; 475146,21.312; 475206,
              21.312; 475266,21.312; 475326,21.25; 475386,21.25; 475446,21.25;
              475506,21.25; 475566,21.187; 475626,21.187; 475686,21.187; 475746,
              21.187; 475806,21.187; 475866,21.187; 475926,21.187; 475986,
              21.125; 476046,21.125; 476106,21.125; 476166,21.125; 476226,
              21.125; 476286,21.125; 476346,21.062; 476406,21.062; 476466,
              21.062; 476526,21.062; 476586,21.062; 476646,21.062; 476706,
              21.062; 476766,21.062; 476826,21; 476886,21.062; 476946,21;
              477006,21.062; 477066,21; 477126,21; 477186,21; 477246,21; 477306,
              21; 477366,21; 477426,21; 477486,20.937; 477546,20.937; 477606,21;
              477666,20.937; 477726,20.937; 477786,20.937; 477846,20.937;
              477906,20.937; 477966,20.875; 478026,20.875; 478086,20.875;
              478146,20.875; 478206,20.875; 478266,20.875; 478326,20.812;
              478386,20.875; 478446,20.875; 478506,20.812; 478566,20.875;
              478626,20.812; 478686,20.812; 478746,20.812; 478806,20.875;
              478866,20.812; 478926,20.812; 478986,20.812; 479046,20.812;
              479106,20.75; 479166,20.75; 479226,20.75; 479286,20.75; 479346,
              20.75; 479406,20.75; 479466,20.75; 479526,20.75; 479586,20.75;
              479646,20.687; 479706,20.687; 479766,20.687; 479826,20.687;
              479886,20.687; 479946,20.687; 480006,20.687; 480066,20.687;
              480126,20.687; 480186,20.625; 480246,20.625; 480306,20.625;
              480366,20.625; 480426,20.687; 480486,20.625; 480546,20.625;
              480606,20.625; 480666,20.625; 480726,20.625; 480786,20.625;
              480846,20.625; 480906,20.625; 480966,20.625; 481026,20.562;
              481086,20.562; 481146,20.625; 481206,20.562; 481266,20.562;
              481326,20.562; 481386,20.562; 481446,20.562; 481506,20.562;
              481566,20.562; 481626,20.562; 481686,20.562; 481746,20.562;
              481806,20.562; 481866,20.562; 481926,20.562; 481986,20.5; 482046,
              20.562; 482106,20.5; 482166,20.5; 482226,20.5; 482286,20.5;
              482346,20.5; 482406,20.5; 482466,20.5; 482526,20.5; 482586,20.5;
              482646,20.5; 482706,20.5; 482766,20.5; 482826,20.5; 482886,20.5;
              482946,20.5; 483006,20.437; 483066,20.5; 483126,20.5; 483186,
              20.437; 483246,20.437; 483306,20.437; 483366,20.437; 483426,
              20.437; 483486,20.437; 483546,20.437; 483606,20.437; 483666,
              20.437; 483726,20.437; 483786,20.437; 483846,20.437; 483906,
              20.375; 483966,20.437; 484026,20.375; 484086,20.437; 484146,
              20.375; 484206,20.375; 484266,20.375; 484326,20.375; 484386,
              20.375; 484446,20.375; 484506,20.375; 484566,20.375; 484626,
              20.375; 484686,20.375; 484746,20.375; 484806,20.312; 484866,
              20.375; 484926,20.375; 484986,20.312; 485046,20.312; 485106,
              20.312; 485166,20.312; 485226,20.312; 485286,20.312; 485346,
              20.312; 485406,20.312; 485466,20.312; 485526,20.312; 485586,
              20.312; 485646,20.312; 485706,20.312; 485766,20.25; 485826,20.312;
              485886,20.312; 485946,20.25; 486006,20.25; 486066,20.25; 486126,
              20.25; 486186,20.25; 486246,20.25; 486306,20.25; 486366,20.25;
              486426,20.25; 486486,20.25; 486546,20.25; 486606,20.25; 486666,
              20.25; 486726,20.25; 486786,20.312; 486846,20.25; 486906,20.312;
              486966,20.25; 487026,20.312; 487086,20.312; 487146,20.312; 487206,
              20.312; 487266,20.312; 487326,20.312; 487386,20.312; 487446,
              20.312; 487506,20.312; 487566,20.312; 487626,20.375; 487686,
              20.375; 487746,20.375; 487806,20.375; 487866,20.375; 487926,
              20.375; 487986,20.375; 488046,20.437; 488106,20.437; 488166,
              20.437; 488226,20.437; 488286,20.437; 488346,20.437; 488406,20.5;
              488466,20.437; 488526,20.5; 488586,20.5; 488646,20.5; 488706,
              20.562; 488766,20.562; 488826,20.562; 488886,20.562; 488946,
              20.625; 489006,20.625; 489066,20.625; 489126,20.625; 489186,
              20.687; 489246,20.687; 489306,20.687; 489366,20.687; 489426,
              20.687; 489486,20.75; 489546,20.75; 489606,20.75; 489666,20.75;
              489726,20.812; 489786,20.812; 489846,20.812; 489906,20.812;
              489966,20.875; 490026,20.875; 490086,20.812; 490146,20.875;
              490206,20.875; 490266,20.875; 490326,20.875; 490386,20.875;
              490446,20.875; 490506,20.875; 490566,20.875; 490626,20.875;
              490686,20.875; 490746,20.875; 490806,20.875; 490866,20.875;
              490926,20.875; 490986,20.875; 491046,20.875; 491106,20.875;
              491166,20.875; 491226,20.875; 491286,20.875; 491346,20.875;
              491406,20.875; 491466,20.875; 491526,20.875; 491586,20.875;
              491646,20.875; 491706,20.875; 491766,20.875; 491826,20.875;
              491886,20.875; 491946,20.875; 492006,20.875; 492066,20.875;
              492126,20.875; 492186,20.875; 492246,20.875; 492306,20.875;
              492366,20.875; 492426,20.875; 492486,20.875; 492546,20.875;
              492606,20.875; 492666,20.875; 492726,20.875; 492786,20.875;
              492846,20.875; 492906,20.875; 492966,20.875; 493026,20.875;
              493086,20.875; 493146,20.875; 493206,20.875; 493266,20.875;
              493326,20.875; 493386,20.875; 493446,20.875; 493506,20.875;
              493566,20.875; 493626,20.875; 493686,20.875; 493746,20.937;
              493806,20.875; 493866,20.937; 493926,20.937; 493986,20.937;
              494046,20.937; 494106,20.937; 494166,20.937; 494226,20.937;
              494286,20.937; 494346,20.937; 494406,20.937; 494466,20.937;
              494526,20.937; 494586,20.937; 494646,21; 494706,21; 494766,21;
              494826,21; 494886,21; 494946,21.062; 495006,21.062; 495066,21.062;
              495126,21.062; 495186,21.125; 495246,21.125; 495306,21.125;
              495366,21.125; 495426,21.187; 495486,21.187; 495546,21.187;
              495606,21.187; 495666,21.187; 495726,21.187; 495786,21.25; 495846,
              21.25; 495906,21.25; 495966,21.312; 496026,21.312; 496086,21.312;
              496146,21.375; 496206,21.375; 496266,21.375; 496326,21.375;
              496386,21.375; 496446,21.375; 496506,21.437; 496566,21.437;
              496626,21.437; 496686,21.437; 496746,21.5; 496806,21.5; 496866,
              21.5; 496926,21.5; 496986,21.5; 497046,21.562; 497106,21.5;
              497166,21.5; 497226,21.562; 497286,21.5; 497346,21.562; 497406,
              21.562; 497466,21.562; 497526,21.562; 497586,21.625; 497646,
              21.625; 497706,21.625; 497766,21.625; 497826,21.625; 497886,
              21.625; 497946,21.625; 498006,21.625; 498066,21.625; 498126,
              21.687; 498186,21.625; 498246,21.687; 498306,21.687; 498366,
              21.687; 498426,21.687; 498486,21.687; 498546,21.687; 498606,
              21.687; 498666,21.687; 498726,21.687; 498786,21.687; 498846,
              21.687; 498906,21.687; 498966,21.687; 499026,21.687; 499086,
              21.687; 499146,21.687; 499206,21.75; 499266,21.75; 499326,21.687;
              499386,21.687; 499446,21.75; 499506,21.687; 499566,21.687; 499626,
              21.687; 499686,21.75; 499746,21.75; 499806,21.75; 499866,21.75;
              499926,21.75; 499986,21.75; 500046,21.75; 500106,21.75; 500166,
              21.75; 500226,21.75; 500286,21.75; 500346,21.75; 500406,21.75;
              500466,21.75; 500526,21.75; 500586,21.75; 500646,21.75; 500706,
              21.75; 500766,21.75; 500826,21.75; 500886,21.75; 500946,21.812;
              501006,21.812; 501066,21.812; 501126,21.812; 501186,21.812;
              501246,21.75; 501306,21.812; 501366,21.812; 501426,21.812; 501486,
              21.812; 501546,21.812; 501606,21.812; 501666,21.812; 501726,
              21.812; 501786,21.812; 501846,21.812; 501906,21.812; 501966,
              21.812; 502026,21.875; 502086,21.812; 502146,21.812; 502206,
              21.812; 502266,21.812; 502326,21.812; 502386,21.812; 502446,
              21.812; 502506,21.875; 502566,21.812; 502626,21.812; 502686,
              21.875; 502746,21.875; 502806,21.875; 502866,21.875; 502926,
              21.875; 502986,21.875; 503046,21.875; 503106,21.875; 503166,
              21.875; 503226,21.875; 503286,21.875; 503346,21.875; 503406,
              21.875; 503466,21.875; 503526,21.875; 503586,21.875; 503646,
              21.875; 503706,21.875; 503766,21.875; 503826,21.875; 503886,
              21.875; 503946,21.875; 504006,21.875; 504066,21.875; 504126,
              21.875; 504186,21.875; 504246,21.875; 504306,21.875; 504366,
              21.875; 504426,21.875; 504486,21.937; 504546,21.875; 504606,
              21.875; 504666,21.875; 504726,21.875; 504786,21.937; 504846,
              21.937; 504906,21.875; 504966,21.875; 505026,21.875; 505086,
              21.937; 505146,21.937; 505206,21.875; 505266,21.875; 505326,
              21.937; 505386,21.875; 505446,21.875; 505506,21.937; 505566,
              21.875; 505626,21.937; 505686,21.937; 505746,21.875; 505806,
              21.937; 505866,21.875; 505926,21.937; 505986,21.937; 506046,
              21.937; 506106,21.937; 506166,21.937; 506226,21.937; 506286,
              21.937; 506346,21.937; 506406,21.937; 506466,21.937; 506526,
              21.937; 506586,21.937; 506646,21.937; 506706,21.937; 506766,
              21.937; 506826,21.937; 506886,21.937; 506946,21.937; 507006,
              21.937; 507066,21.937; 507126,21.937; 507186,21.937; 507246,
              21.937; 507306,21.937; 507366,21.937; 507426,21.937; 507486,
              21.937; 507546,21.937; 507606,21.937; 507666,21.937; 507726,22;
              507786,22; 507846,21.937; 507906,21.937; 507966,21.937; 508026,
              21.937; 508087,21.937; 508147,21.937; 508207,22; 508267,22;
              508327,21.937; 508387,22; 508447,22; 508507,21.937; 508567,22;
              508627,22; 508687,22; 508747,22; 508807,22; 508867,22; 508927,22;
              508987,22; 509047,22; 509107,22; 509167,22; 509227,22; 509287,22;
              509347,22; 509407,22; 509467,22; 509527,22; 509587,22; 509647,22;
              509707,22; 509767,22.062; 509827,22.062; 509887,22; 509947,22;
              510007,22; 510067,22; 510127,22; 510187,22; 510247,22; 510307,
              22.062; 510367,22.062; 510427,22.062; 510487,22; 510547,22.062;
              510607,22; 510667,22; 510727,22; 510787,22; 510847,22; 510907,22;
              510967,22; 511027,22; 511087,22; 511147,22; 511207,22; 511267,22;
              511327,22; 511387,22; 511447,22; 511507,21.937; 511567,21.937;
              511627,22; 511687,21.937; 511747,21.937; 511807,21.937; 511867,
              21.937; 511927,21.937; 511987,21.937; 512047,21.937; 512107,
              21.937; 512167,21.937; 512227,21.937; 512287,21.875; 512347,
              21.875; 512407,21.937; 512467,21.875; 512527,21.875; 512587,
              21.875; 512647,21.875; 512707,21.875; 512767,21.875; 512827,
              21.875; 512887,21.875; 512947,21.812; 513007,21.875; 513067,
              21.875; 513127,21.812; 513187,21.812; 513247,21.812; 513307,
              21.812; 513367,21.812; 513427,21.812; 513487,21.812; 513547,
              21.812; 513607,21.812; 513667,21.812; 513727,21.812; 513787,
              21.812; 513847,21.812; 513907,21.75; 513967,21.812; 514027,21.812;
              514087,21.75; 514147,21.75; 514207,21.75; 514267,21.75; 514327,
              21.75; 514387,21.75; 514447,21.75; 514507,21.75; 514567,21.75;
              514627,21.75; 514687,21.75; 514747,21.75; 514807,21.75; 514867,
              21.75; 514927,21.687; 514987,21.687; 515047,21.687; 515107,21.687;
              515167,21.687; 515227,21.687; 515287,21.687; 515347,21.687;
              515407,21.687; 515467,21.687; 515527,21.687; 515587,21.687;
              515647,21.687; 515707,21.687; 515767,21.687; 515827,21.687;
              515887,21.687; 515947,21.687; 516007,21.687; 516067,21.687;
              516127,21.687; 516187,21.687; 516247,21.625; 516307,21.687;
              516367,21.687; 516427,21.625; 516487,21.625; 516547,21.625;
              516607,21.625; 516667,21.687; 516727,21.687; 516787,21.687;
              516847,21.625; 516907,21.687; 516967,21.625; 517027,21.687;
              517087,21.625; 517147,21.687; 517207,21.625; 517267,21.625;
              517327,21.625; 517387,21.625; 517447,21.625; 517507,21.625;
              517567,21.625; 517627,21.625; 517687,21.625; 517747,21.625;
              517807,21.625; 517867,21.625; 517927,21.625; 517987,21.625;
              518047,21.625; 518107,21.625; 518167,21.625; 518227,21.625;
              518287,21.687; 518347,21.687; 518407,21.687; 518467,21.687;
              518527,21.687; 518587,21.687; 518647,21.687; 518707,21.687;
              518767,21.687; 518827,21.687; 518887,21.687; 518947,21.687;
              519007,21.75; 519067,21.75; 519127,21.812; 519187,21.812; 519247,
              21.812; 519307,21.812; 519367,21.812; 519427,21.812; 519487,
              21.812; 519547,21.875; 519607,21.875; 519667,21.875; 519727,
              21.875; 519787,21.875; 519847,21.875; 519907,21.875; 519967,
              21.937; 520027,21.875; 520087,21.875; 520147,21.937; 520207,
              21.937; 520267,21.937; 520327,21.937; 520387,21.937; 520447,
              21.937; 520507,22; 520567,22; 520627,22; 520687,22; 520747,22;
              520807,22; 520867,22; 520927,22; 520987,22; 521047,22.062; 521107,
              22; 521167,22.062; 521227,22.062; 521287,22.062; 521347,22.062;
              521407,22.062; 521467,22.062; 521527,22.062; 521587,22.062;
              521647,22.062; 521707,22.062; 521767,22.062; 521827,22.125;
              521887,22.062; 521947,22.125; 522007,22.125; 522067,22.125;
              522127,22.062; 522187,22.125; 522247,22.125; 522307,22.125;
              522367,22.062; 522427,22.125; 522487,22.125; 522547,22.125;
              522607,22.125; 522667,22.125; 522727,22.125; 522787,22.125;
              522847,22.062; 522907,22.125; 522967,22.062; 523027,22.062;
              523087,22.062; 523147,22.062; 523207,22.062; 523267,22.062;
              523327,22.062; 523387,22.062; 523447,22.062; 523507,22.062;
              523567,22.062; 523627,22; 523687,22; 523747,22; 523807,22; 523867,
              22; 523927,22; 523987,22; 524047,21.937; 524107,21.937; 524167,
              21.937; 524227,21.937; 524287,21.875; 524347,21.937; 524407,
              21.937; 524467,21.937; 524527,21.875; 524587,21.875; 524647,
              21.875; 524707,21.875; 524767,21.875; 524827,21.875; 524887,
              21.812; 524947,21.812; 525007,21.812; 525067,21.812; 525127,
              21.812; 525187,21.812; 525247,21.812; 525307,21.812; 525367,21.75;
              525427,21.75; 525487,21.75; 525547,21.75; 529207,21.75; 529267,
              21.75; 529327,21.75; 529387,21.75; 529447,21.75; 529507,21.75;
              529567,21.75; 529627,21.75; 529687,21.75; 529747,21.75; 529807,
              21.687; 529867,21.75; 529927,21.687; 529987,21.687; 530047,21.687;
              530107,21.687; 530167,21.687; 530227,21.687; 530287,21.687;
              530347,21.625; 530407,21.625; 530467,21.625; 530527,21.625;
              530587,21.625; 530647,21.625; 530707,21.625; 530767,21.625;
              530827,21.562; 530887,21.625; 530947,21.625; 531007,21.562;
              531067,21.562; 531127,21.562; 531187,21.562; 531247,21.562;
              531307,21.562; 531367,21.625; 531427,21.562; 531487,21.562;
              531547,21.562; 531607,21.562; 531667,21.562; 531727,21.562;
              531787,21.562; 531847,21.562; 531907,21.625; 531967,21.625;
              532027,21.562; 532087,21.562; 532147,21.625; 532207,21.625;
              532267,21.625; 532327,21.625; 532387,21.687; 532447,21.687;
              532507,21.625; 532567,21.687; 532627,21.687; 532687,21.75; 532747,
              21.75; 532807,21.812; 532867,21.75; 532927,21.75; 532987,21.812;
              533047,21.812; 533107,21.812; 533167,21.812; 533227,21.812;
              533287,21.812; 533347,21.875; 533407,21.875; 533467,21.875;
              533527,21.875; 533587,21.875; 533647,21.875; 533707,21.937;
              533767,21.937; 533827,22; 533887,21.937; 533947,22; 534007,22;
              534067,22; 534127,22; 534187,22; 534247,22.062; 534307,22.062;
              534367,22.062; 534427,22.062; 534487,22.062; 534547,22.062;
              534607,22.125; 534667,22.125; 534727,22.125; 534787,22.125;
              534847,22.125; 534907,22.125; 534967,22.187; 535027,22.187;
              535087,22.187; 535147,22.187; 535207,22.187; 535267,22.25; 535327,
              22.187; 535387,22.25; 535447,22.25; 535507,22.25; 535567,22.25;
              535627,22.312; 535687,22.312; 535747,22.312; 535807,22.312;
              535867,22.312; 535927,22.312; 535987,22.312; 536047,22.312;
              536107,22.312; 536167,22.312; 536227,22.25; 536287,22.312; 536347,
              22.25; 536407,22.312; 536467,22.312; 536527,22.25; 536587,22.25;
              536647,22.312; 536707,22.25; 536767,22.25; 536827,22.25; 536887,
              22.25; 536947,22.25; 537007,22.187; 537067,22.25; 537127,22.187;
              537187,22.187; 537247,22.187; 537307,22.187; 537367,22.187;
              537427,22.187; 537487,22.187; 537547,22.125; 537607,22.125;
              537667,22.125; 537727,22.125; 537787,22.125; 537847,22.062;
              537907,22.062; 537967,22.062; 538027,22.062; 538087,22.062;
              538147,22; 538207,22; 538267,22.062; 538327,22; 538387,22; 538447,
              22; 538507,22; 538567,21.937; 538627,21.937; 538687,21.937;
              538747,21.937; 538807,21.937; 538867,21.875; 538927,21.875;
              538987,21.937; 539047,21.875; 539107,21.875; 539167,21.875;
              539227,21.875; 539287,21.812; 539347,21.875; 539407,21.812;
              539467,21.812; 539527,21.812; 539587,21.812; 539647,21.812;
              539707,21.812; 539767,21.812; 539827,21.75; 539887,21.75; 539947,
              21.75; 540007,21.75; 540067,21.75; 540127,21.75; 540187,21.75;
              540247,21.75; 540307,21.75; 540367,21.687; 540427,21.687; 540487,
              21.687; 540547,21.687; 540607,21.687; 540667,21.687; 540727,
              21.625; 540787,21.625; 540847,21.625; 540907,21.625; 540967,
              21.625; 541027,21.625; 541087,21.625; 541147,21.562; 541207,
              21.562; 541267,21.562; 541327,21.562; 541387,21.562; 541447,
              21.562; 541507,21.562; 541567,21.562; 541627,21.5; 541687,21.562;
              541747,21.5; 541807,21.5; 541867,21.5; 541927,21.562; 541987,21.5;
              542047,21.5; 542107,21.5; 542167,21.5; 542227,21.5; 542287,21.437;
              542347,21.5; 542407,21.5; 542467,21.437; 542527,21.437; 542587,
              21.437; 542647,21.437; 542707,21.437; 542767,21.437; 542827,
              21.437; 542887,21.437; 542947,21.437; 543007,21.437; 543067,
              21.437; 543127,21.437; 543187,21.437; 543247,21.437; 543307,
              21.437; 543367,21.437; 543427,21.5; 543487,21.437; 543547,21.437;
              543607,21.5; 543667,21.5; 543727,21.5; 543787,21.5; 543847,21.5;
              543907,21.5; 543967,21.562; 544027,21.562; 544087,21.562; 544147,
              21.562; 544207,21.562; 544267,21.562; 544327,21.625; 544387,
              21.625; 544447,21.625; 544507,21.625; 544567,21.625; 544627,
              21.625; 544687,21.625; 544747,21.687; 544807,21.687; 544867,
              21.687; 544927,21.75; 544987,21.75; 545047,21.75; 545107,21.75;
              545167,21.75; 545227,21.75; 545287,21.75; 545347,21.75; 545407,
              21.75; 545467,21.812; 545527,21.812; 545587,21.812; 545647,21.812;
              545707,21.812; 545767,21.875; 545827,21.875; 545887,21.875;
              545947,21.875; 546007,21.875; 546067,21.875; 546127,21.875;
              546187,21.875; 546247,21.875; 546307,21.875; 546367,21.937;
              546427,21.937; 546487,21.937; 546547,21.937; 546607,21.937;
              546667,21.937; 546727,21.937; 546787,21.937; 546847,21.937;
              546907,21.937; 546967,21.937; 547027,22; 547087,22; 547147,22;
              547207,22; 547267,22; 547327,22; 547387,22.062; 547447,22.062;
              547507,22.062; 547567,22.062; 547627,22; 547687,22.062; 547747,
              22.062; 547807,22.062; 547867,22.062; 547927,22.062; 547987,
              22.062; 548047,22.062; 548107,22.062; 548167,22.062; 548227,
              22.125; 548287,22.062; 548347,22.125; 548407,22.125; 548467,
              22.062; 548527,22.125; 548587,22.125; 548647,22.062; 548707,
              22.062; 548767,22.125; 548827,22.062; 548887,22.125; 548947,
              22.125; 549007,22.125; 549067,22.125; 549127,22.125; 549187,
              22.125; 549247,22.062; 549307,22.125; 549367,22.125; 549427,
              22.125; 549487,22.125; 549547,22.125; 549607,22.125; 549667,
              22.125; 549727,22.125; 549787,22.125; 549847,22.125; 549907,
              22.125; 549967,22.125; 550027,22.125; 550087,22.125; 550147,
              22.125; 550207,22.125; 550267,22.125; 550327,22.125; 550387,
              22.125; 550447,22.125; 550507,22.125; 550567,22.125; 550627,
              22.125; 550687,22.125; 550747,22.125; 550807,22.125; 550867,
              22.125; 550927,22.125; 550987,22.125; 551047,22.125; 551107,
              22.125; 551167,22.125; 551227,22.125; 551287,22.125; 551347,
              22.125; 551407,22.125; 551467,22.125; 551527,22.125; 551587,
              22.125; 551647,22.125; 551707,22.125; 551767,22.125; 551827,
              22.125; 551887,22.125; 551947,22.125; 552007,22.125; 552067,
              22.125; 552127,22.187; 552187,22.187; 552247,22.187; 552307,
              22.125; 552367,22.187; 552427,22.125; 552487,22.187; 552547,
              22.125; 552607,22.187; 552667,22.187; 552727,22.187; 552787,
              22.187; 552847,22.125; 552907,22.125; 552967,22.125; 553027,
              22.187; 553087,22.125; 553147,22.125; 553207,22.125; 553267,
              22.125; 553327,22.125; 553387,22.125; 553447,22.125; 553507,
              22.187; 553567,22.187; 553627,22.187; 553687,22.187; 553747,
              22.187; 553807,22.187; 553867,22.187; 553927,22.187; 553987,
              22.187; 554047,22.187; 554107,22.125; 554167,22.187; 554227,
              22.187; 554287,22.187; 554347,22.187; 554407,22.187; 554467,
              22.187; 554527,22.187; 554587,22.187; 554647,22.187; 554707,
              22.187; 554767,22.187; 554827,22.187; 554887,22.187; 554947,
              22.187; 555007,22.187; 555067,22.187; 555127,22.187; 555187,
              22.187; 555247,22.187; 555307,22.187; 555367,22.125; 555427,
              22.187; 555487,22.125; 555547,22.125; 555607,22.125; 555667,
              22.125; 555727,22.125; 555787,22.125; 555847,22.125; 555907,
              22.062; 555967,22.062; 556027,22.062; 556087,22.062; 556147,
              22.062; 556207,22.062; 556267,22; 556327,22.062; 556387,22.062;
              556447,22; 556507,22; 556567,22; 556627,22; 556687,21.937; 556747,
              21.937; 556807,21.937; 556867,21.937; 556927,21.937; 556987,
              21.937; 557047,21.875; 557107,21.875; 557167,21.875; 557227,
              21.812; 557287,21.875; 557347,21.812; 557407,21.812; 557467,
              21.812; 557527,21.812; 557587,21.75; 557647,21.75; 557707,21.75;
              557767,21.75; 557827,21.75; 557887,21.75; 557947,21.687; 558007,
              21.687; 558067,21.687; 558127,21.687; 558187,21.687; 558247,
              21.625; 558307,21.625; 558367,21.625; 558427,21.625; 558487,
              21.625; 558547,21.562; 558607,21.562; 558667,21.562; 558727,
              21.562; 558787,21.562; 558847,21.562; 558907,21.562; 558967,21.5;
              559027,21.5; 559087,21.5; 559147,21.5; 559207,21.5; 559267,21.5;
              559327,21.5; 559387,21.5; 559447,21.5; 559507,21.5; 559567,21.5;
              559627,21.5; 559687,21.5; 559747,21.437; 559807,21.437; 559867,
              21.437; 559927,21.437; 559987,21.437; 560047,21.437; 560107,21.5;
              560167,21.437; 560227,21.5; 560287,21.5; 560347,21.5; 560407,21.5;
              560467,21.5; 560527,21.5; 560587,21.5; 560647,21.5; 560707,21.5;
              560767,21.5; 560827,21.5; 560887,21.5; 560947,21.5; 561007,21.562;
              561067,21.562; 561127,21.562; 561187,21.562; 561247,21.625;
              561307,21.625; 561367,21.625; 561427,21.625; 561487,21.625;
              561547,21.687; 561607,21.687; 561667,21.687; 561727,21.75; 561787,
              21.75; 561847,21.75; 561907,21.812; 561967,21.812; 562027,21.812;
              562087,21.812; 562147,21.812; 562207,21.875; 562267,21.875;
              562327,21.875; 562387,21.875; 562447,21.937; 562507,21.937;
              562567,21.937; 562627,21.937; 562687,21.937; 562747,21.937;
              562807,22; 562867,22; 562928,22; 562988,22.062; 563048,22.062;
              563108,22; 563168,22; 563228,22.062; 563288,22; 563348,22.062;
              563408,22.062; 563468,22.062; 563528,22; 563588,22; 563648,22;
              563708,22; 563768,22; 563828,22; 563888,22; 563948,22; 564008,22;
              564068,22; 564128,22; 564188,22; 564248,22; 564308,22; 564368,
              21.937; 564428,21.937; 564488,22; 564548,21.937; 564608,21.937;
              564668,21.937; 564728,21.937; 564788,21.937; 564848,21.937;
              564908,21.937; 564968,21.875; 565028,21.875; 565088,21.875;
              565148,21.875; 565208,21.875; 565268,21.875; 565328,21.812;
              565388,21.812; 565448,21.812; 565508,21.812; 565568,21.812;
              565628,21.812; 565688,21.75; 565748,21.75; 565808,21.75; 565868,
              21.75; 565928,21.75; 565988,21.75; 566048,21.687; 566108,21.687;
              566168,21.687; 566228,21.687; 566288,21.687; 566348,21.625;
              566408,21.625; 566468,21.625; 566528,21.625; 566588,21.625;
              566648,21.625; 566708,21.562; 566768,21.562; 566828,21.562;
              566888,21.562; 566948,21.562; 567008,21.562; 567068,21.562;
              567128,21.5; 567188,21.5; 567248,21.5; 567308,21.5; 567368,21.5;
              567428,21.5; 567488,21.5; 567548,21.437; 567608,21.437; 567668,
              21.437; 567728,21.437; 567788,21.437; 567848,21.437; 567908,
              21.437; 567968,21.437; 568028,21.437; 568088,21.437; 568148,
              21.375; 568208,21.375; 568268,21.375; 568328,21.375; 568388,
              21.375; 568448,21.375; 568508,21.312; 568568,21.312; 568628,
              21.312; 568688,21.312; 568748,21.312; 568808,21.312; 568868,
              21.312; 568928,21.312; 568988,21.312; 569048,21.25; 569108,21.25;
              569168,21.25; 569228,21.25; 569288,21.25; 569348,21.25; 569408,
              21.25; 569468,21.25; 569528,21.187; 569588,21.187; 569648,21.187;
              569708,21.187; 569768,21.187; 569828,21.187; 569888,21.187;
              569948,21.187; 570008,21.187; 570068,21.125; 570128,21.187;
              570188,21.125; 570248,21.125; 570308,21.125; 570368,21.125;
              570428,21.125; 570488,21.125; 570548,21.062; 570608,21.062;
              570668,21.125; 570728,21.062; 570788,21.062; 570848,21.062;
              570908,21.062; 570968,21.062; 571028,21.062; 571088,21; 571148,21;
              571208,21; 571268,21; 571328,21; 571388,21; 571448,21; 571508,21;
              571568,21; 571628,21; 571688,21; 571748,21; 571808,21; 571868,
              20.937; 571928,21; 571988,20.937; 572048,20.937; 572108,20.937;
              572168,20.937; 572228,20.937; 572288,20.937; 572348,20.875;
              572408,20.937; 572468,20.937; 572528,20.875; 572588,20.875;
              572648,20.875; 572708,20.875; 572768,20.875; 572828,20.875;
              572888,20.875; 572948,20.875; 573008,20.875; 573068,20.812;
              573128,20.875; 573188,20.875; 573248,20.812; 573308,20.812;
              573368,20.812; 573428,20.812; 573488,20.812; 573548,20.812;
              573608,20.812; 573668,20.812; 573728,20.812; 573788,20.812;
              573848,20.75; 573908,20.812; 573968,20.75; 574028,20.75; 574088,
              20.75; 574148,20.75; 574265,20.75; 574326,20.75; 574386,20.75;
              574446,20.75; 574506,20.75; 574566,20.75; 574626,20.75; 574686,
              20.75; 574746,20.75; 574806,20.687; 574866,20.75; 574926,20.687;
              574986,20.687; 575046,20.75; 575106,20.687; 575166,20.687; 575226,
              20.687; 575286,20.687; 575346,20.687; 575406,20.687; 575466,
              20.687; 575526,20.687; 575586,20.687; 575646,20.687; 575706,
              20.687; 575766,20.625; 575826,20.687; 575886,20.687; 575946,
              20.687; 576006,20.687; 576066,20.687; 576126,20.625; 576186,
              20.625; 576246,20.625; 576306,20.625; 576366,20.625; 576426,
              20.625; 576486,20.625; 576546,20.625; 576606,20.625; 576666,
              20.625; 576726,20.625; 576786,20.625; 576846,20.625; 576906,
              20.562; 576966,20.562; 577026,20.562; 577086,20.562; 577146,
              20.562; 577206,20.562; 577266,20.562; 577326,20.562; 577386,
              20.562; 577446,20.562; 577506,20.562; 577566,20.562; 577626,
              20.562; 577686,20.5; 577746,20.562; 577806,20.562; 577866,20.5;
              577926,20.562; 577986,20.5; 578046,20.562; 578106,20.562; 578166,
              20.562; 578226,20.562; 578286,20.562; 578346,20.562; 578406,
              20.562; 578466,20.562; 578526,20.562; 578586,20.562; 578646,
              20.562; 578706,20.562; 578766,20.562; 578826,20.562; 578886,
              20.625; 578946,20.562; 579006,20.625; 579066,20.562; 579126,
              20.562; 579186,20.562; 579246,20.625; 579306,20.562; 579366,
              20.625; 579426,20.625; 579486,20.625; 579546,20.625; 579606,
              20.625; 579666,20.625; 579726,20.625; 579786,20.625; 579846,
              20.687; 579906,20.625; 579966,20.625; 580026,20.687; 580086,
              20.687; 580146,20.687; 580206,20.687; 580266,20.687; 580326,
              20.687; 580386,20.687; 580446,20.687; 580506,20.75; 580566,20.75;
              580626,20.75; 580686,20.75; 580746,20.75; 580806,20.75; 580866,
              20.812; 580926,20.75; 580986,20.812; 581046,20.812; 581106,20.812;
              581166,20.812; 581226,20.875; 581286,20.875; 581346,20.875;
              581406,20.875; 581466,20.875; 581526,20.875; 581586,20.875;
              581646,20.875; 581706,20.937; 581766,20.937; 581826,20.937;
              581886,20.937; 581946,20.937; 582006,21; 582066,21; 582126,21;
              582186,21; 582246,21; 582306,21; 582366,21; 582426,21.062; 582486,
              21.062; 582546,21.062; 582606,21.062; 582666,21.062; 582726,
              21.125; 582786,21.125; 582846,21.125; 582906,21.125; 582966,
              21.125; 583026,21.125; 583086,21.125; 583146,21.125; 583206,
              21.187; 583266,21.125; 583326,21.125; 583386,21.187; 583446,
              21.187; 583506,21.187; 583566,21.187; 583626,21.187; 583686,
              21.187; 583746,21.25; 583806,21.25; 583866,21.25; 583926,21.25;
              583986,21.25; 584046,21.25; 584106,21.25; 584166,21.25; 584226,
              21.25; 584286,21.312; 584346,21.312; 584406,21.312; 584466,21.312;
              584526,21.312; 584586,21.312; 584646,21.312; 584706,21.312;
              584766,21.312; 584826,21.375; 584886,21.375; 584946,21.375;
              585006,21.375; 585066,21.375; 585126,21.375; 585186,21.375;
              585246,21.375; 585306,21.375; 585366,21.437; 585426,21.437;
              585486,21.375; 585546,21.437; 585606,21.437; 585666,21.437;
              585726,21.437; 585786,21.437; 585846,21.437; 585906,21.437;
              585966,21.437; 586026,21.437; 586086,21.5; 586146,21.5; 586206,
              21.5; 586266,21.5; 586326,21.5; 586386,21.5; 586446,21.5; 586506,
              21.5; 586566,21.5; 586626,21.5; 586686,21.5; 586746,21.5; 586806,
              21.5; 586866,21.562; 586926,21.562; 586986,21.562; 587046,21.562;
              587106,21.562; 587166,21.562; 587226,21.562; 587286,21.562;
              587346,21.562; 587406,21.562; 587466,21.562; 587526,21.562;
              587586,21.562; 587646,21.562; 587706,21.625; 587766,21.625;
              587826,21.625; 587886,21.625; 587946,21.562; 588006,21.625;
              588066,21.625; 588126,21.625; 588186,21.625; 588246,21.625;
              588306,21.625; 588366,21.625; 588426,21.625; 588486,21.625;
              588546,21.625; 588606,21.625; 588666,21.625; 588726,21.625;
              588786,21.625; 588846,21.625; 588906,21.687; 588966,21.625;
              589026,21.625; 589086,21.625; 589146,21.687; 589206,21.687;
              589266,21.687; 589326,21.687; 589386,21.687; 589446,21.687;
              589506,21.687; 589566,21.687; 589626,21.687; 589686,21.687;
              589746,21.687; 589806,21.687; 589866,21.687; 589926,21.687;
              589986,21.687; 590046,21.75; 590106,21.687; 590166,21.687; 590226,
              21.687; 590286,21.687; 590346,21.687; 590406,21.75; 590466,21.75;
              590526,21.687; 590586,21.75; 590646,21.687; 590706,21.75; 590766,
              21.75; 590826,21.75; 590886,21.75; 590946,21.75; 591006,21.687;
              591066,21.75; 591126,21.75; 591186,21.75; 591246,21.75; 591306,
              21.75; 591366,21.75; 591426,21.75; 591486,21.75; 591546,21.75;
              591606,21.75; 591666,21.75; 591726,21.812; 591786,21.75; 591846,
              21.75; 591906,21.75; 591966,21.75; 592026,21.75; 592086,21.75;
              592146,21.75; 592206,21.75; 592266,21.75; 592326,21.75; 592386,
              21.812; 592446,21.812; 592506,21.75; 592566,21.75; 592626,21.812;
              592686,21.75; 592746,21.75; 592806,21.75; 592866,21.812; 592926,
              21.812; 592986,21.812; 593046,21.75; 593106,21.75; 593166,21.812;
              593226,21.812; 593286,21.812; 593346,21.812; 593406,21.75; 593466,
              21.812; 593526,21.812; 593586,21.812; 593646,21.812; 593706,
              21.812; 593766,21.812; 593826,21.812; 593886,21.812; 593946,
              21.812; 594006,21.875; 594066,21.875; 594126,21.812; 594186,
              21.812; 594246,21.812; 594306,21.812; 594366,21.812; 594426,
              21.812; 594486,21.812; 594546,21.875; 594606,21.812; 594666,
              21.812; 594726,21.812; 594786,21.812; 594846,21.875; 594906,
              21.875; 594966,21.875; 595026,21.875; 595086,21.875; 595146,
              21.875; 595206,21.875; 595266,21.812; 595326,21.875; 595386,
              21.812; 595446,21.875; 595506,21.875; 595566,21.875; 595626,
              21.875; 595686,21.875; 595746,21.875; 595806,21.875; 595866,
              21.875; 595926,21.875; 595986,21.875; 596046,21.875; 596106,
              21.875; 596166,21.875; 596226,21.875; 596286,21.875; 596346,
              21.875; 596406,21.875; 596466,21.875; 596526,21.875; 596586,
              21.875; 596646,21.937; 596706,21.875; 596766,21.937; 596826,
              21.937; 596886,21.875; 596946,21.937; 597006,21.875; 597066,
              21.875; 597126,21.875; 597186,21.937; 597246,21.937; 597306,
              21.937; 597366,21.937; 597426,21.875; 597486,21.937; 597546,
              21.937; 597606,21.937; 597666,21.937; 597726,21.937; 597786,22;
              597846,21.937; 597906,21.937; 597966,22; 598026,22; 598086,22;
              598146,22; 598206,22; 598266,21.937; 598326,22; 598386,22; 598446,
              22; 598506,22; 598566,22; 598626,22; 598686,22; 598746,22; 598806,
              22; 598866,22; 598926,22.062; 598986,22.062; 599046,22; 599106,
              22.062; 599166,22.062; 599226,22.062; 599286,22.062; 599346,
              22.062; 599406,22.062; 599466,22.062; 599526,22.062; 599586,
              22.062; 599646,22.125; 599706,22.062; 599766,22.062; 599826,
              22.125; 599886,22.125; 599946,22.125; 600006,22.125; 600066,
              22.125; 600126,22.125; 600186,22.125; 600246,22.125; 600306,
              22.187; 600366,22.125; 600426,22.125; 600486,22.125; 600546,
              22.187; 600606,22.125; 600666,22.187; 600726,22.187; 600786,
              22.187; 600846,22.187; 600906,22.187; 600966,22.187; 601026,
              22.125; 601086,22.187; 601146,22.187; 601206,22.187; 601266,
              22.187; 601326,22.125; 601386,22.125; 601446,22.125; 601506,
              22.125; 601566,22.125; 601626,22.125; 601686,22.125; 601746,
              22.125; 601806,22.125; 601866,22.125; 601926,22.125; 601986,
              22.125; 602046,22.125; 602106,22.125; 602166,22.062; 602226,
              22.062; 602286,22.062; 602346,22.062; 602406,22.062; 602466,22;
              602526,22.062; 602586,22.062; 602646,22.062; 602706,22.062;
              602766,22; 602826,22.062; 602886,22; 602946,22; 603006,22; 603066,
              22; 603126,22; 603186,22; 603246,22; 603306,21.937; 603366,21.937;
              603426,22; 603486,21.937; 603546,21.937; 603606,21.937; 603666,
              21.937; 603726,21.937; 603786,21.937; 603846,21.875; 603906,
              21.875; 603966,21.875; 604026,21.875; 604086,21.875; 604146,
              21.875; 604206,21.875; 604266,21.875; 604326,21.875; 604386,
              21.875; 604446,21.875; 604506,21.875; 604566,21.812; 604626,
              21.812; 604686,21.875; 604746,21.875])
          "Daten bei finalem Simulationslauf aus Excel Tabelle nehmen"
                   annotation (Placement(transformation(extent={{-100,-94},{-88,
                  -82}})));
        Modelica.Blocks.Math.Add add1
          annotation (Placement(transformation(extent={{-80,-106},{-68,-94}})));
        Modelica.Blocks.Sources.Constant const1(
                                               k=273.15)
          annotation (Placement(transformation(extent={{-100,-114},{-88,-102}})));
        Components.HeatTransfer.AirGap airGap(d_Air=0.00002) annotation (
            Placement(transformation(
              extent={{-10,-10},{10,10}},
              rotation=270,
              origin={24,-54})));
        Components.HeatTransfer.AirGap airGap1(d_Air=0.00002) annotation (
            Placement(transformation(
              extent={{-10,-10},{10,10}},
              rotation=270,
              origin={24,-80})));
        Components.HeatTransfer.AirGap airGap2(d_Air=0.00002) annotation (
            Placement(transformation(
              extent={{-10,-10},{10,10}},
              rotation=270,
              origin={48,-54})));
        Components.HeatTransfer.AirGap airGap3(d_Air=0.00002) annotation (
            Placement(transformation(
              extent={{-10,-10},{10,10}},
              rotation=270,
              origin={48,-80})));
        Components.HeatTransfer.AirGap airGap4(A_Air=0.049*0.012, d_Air=
              0.000017) annotation (Placement(transformation(
              extent={{-10,-10},{10,10}},
              rotation=270,
              origin={80,-54})));
        Components.HeatTransfer.AirGap airGap5(A_Air=0.049*0.012, d_Air=
              0.000017) annotation (Placement(transformation(
              extent={{-10,-10},{10,10}},
              rotation=270,
              origin={80,-80})));
      //*****************************************************************************/

      //equations********************************************************************/
      equation
        tankLevel = tank.level;

        //****************************************************************************
        // MPPT (load matching)
        //****************************************************************************
        R_in = tEG_Module.tEG_Module.inner_TEG.R + tEG_Module1.tEG_Module.inner_TEG.R;
        R_in = idealMPPT.R;
        //****************************************************************************

        connect(sensor_T_return.port, radiator.port_b)
                                                  annotation (Line(points={{-46,-12},{
                -46,-14},{-16,-14}},color={0,127,255}));
        connect(tank.ports[2], pump.port_a) annotation (Line(
            points={{-36.4,36},{-36.4,34},{-24,34}},
            color={0,127,255},
            smooth=Smooth.None));
        connect(sensor_T_forward.port, heater.port_b)
                                                    annotation (Line(
            points={{51,40},{51,34},{32,34}},
            color={0,127,255},
            smooth=Smooth.None));
        connect(heater.port_b, pipe.port_a) annotation (Line(
            points={{32,34},{72,34},{72,18}},
            color={0,127,255},
            smooth=Smooth.None), Advanced(
                                InvisibleConnections =        true));
        connect(radiator.port_b, tank.ports[1]) annotation (Line(
            points={{-16,-14},{-39.6,-14},{-39.6,36}},
            color={0,127,255},
            smooth=Smooth.None));
        connect(flange.port_b, radiator.port_a) annotation (Line(
            points={{18,-14},{0,-14}},
            color={0,127,255},
            smooth=Smooth.None));
        connect(burner.port, heater.heatPorts[1]) annotation (Line(
            points={{25,40},{24.08,40},{24.08,37.52}},
            color={191,0,0},
            smooth=Smooth.None));
        connect(pump.port_b, heater.port_a) annotation (Line(
            points={{-8,34},{16,34}},
            color={0,127,255},
            smooth=Smooth.None));
        connect(sensor_T_forward.T, T_forward) annotation (Line(
            points={{55.9,46},{72,46}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(radiator.heatPorts[1], wall.port_a) annotation (Line(
            points={{-6.42667,-10.48},{-6.42667,-2.8},{-7,-2.8},{-7,
                8.88178e-016}},
            color={127,0,0},
            smooth=Smooth.None));
        connect(T_return, sensor_T_return.T) annotation (Line(
            points={{-58,-6},{-58,-5},{-51.6,-5}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(flange.port_a, valve.port_b) annotation (Line(
            points={{34,-14},{48,-14}},
            color={0,127,255},
            smooth=Smooth.None));
        connect(T_ambient.port, wall1.port_b) annotation (Line(
            points={{-56,26},{-46,26},{-46,16},{27,16},{27,10}},
            color={191,0,0},
            visible=false));
        connect(Burner_power.y, burner.Q_flow) annotation (Line(
            points={{18.8,49},{20,49},{20,54},{25,54}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(timeTable.y, valve.opening) annotation (Line(
            points={{50.5,7},{56,7},{56,-7.6}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(flange.heatPorts[1], wall1.port_a) annotation (Line(
            points={{25.92,-10.48},{25.92,8.88178e-016},{27,8.88178e-016}},
            color={127,0,0},
            smooth=Smooth.None));
        connect(valve.port_a, pipe.port_b) annotation (Line(
            points={{64,-14},{72,-14},{72,2}},
            color={0,127,255},
            smooth=Smooth.None));
        connect(flange.heatPorts[1], heatCapacitor.port) annotation (Line(
            points={{25.92,-10.48},{19.96,-10.48},{19.96,0},{15,0}},
            color={127,0,0},
            smooth=Smooth.None));
        connect(wall.port_b, wall1.port_b) annotation (Line(
            points={{-7,10},{-2,10},{-2,26},{27,26},{27,10}},
            color={191,0,0},
            visible=false));
        connect(tEG_Module.pin_p1, tEG_Module1.pin_n1) annotation (Line(points={{36,-63},
                {36,-71}},                    color={0,0,255}));
        connect(aluminumHalfShell1.port_b, hTP1.port_a1)
          annotation (Line(points={{65.2,-80},{61,-80}},
                                                       color={191,0,0}));
        connect(hTP3.port_a1, aluminumHalfShell2.port_b) annotation (Line(
              points={{61,-54},{65.2,-54}},        color={191,0,0}));
        connect(hTP2.port_a1, radiator.heatPorts[3]) annotation (Line(points={{95,-54},
                {96,-54},{96,-40},{96,-32},{16,-32},{16,-6},{-9.73333,-6},{
                -9.73333,-10.48}},  color={191,0,0}));
        connect(hTP.port_a1, radiator.heatPorts[2]) annotation (Line(points={{95,-80},
                {98,-80},{98,-4},{-8.08,-4},{-8.08,-10.48}},         color={191,
                0,0}));
        connect(idealMPPT.p1, tEG_Module.pin_n1) annotation (Line(points={{-16,-46},
                {-16,-46},{-16,-38},{36,-38},{36,-45}},
                                                   color={0,0,255}));
        connect(idealMPPT.n1, tEG_Module1.pin_p1) annotation (Line(points={{-16,-86},
                {-16,-86},{-16,-92},{-16,-94},{36,-94},{36,-89}},color={0,0,255}));
        connect(aluminumHalfShell2.fluid1, T_ambient.port) annotation (Line(
            points={{66.4,-46},{64,-46},{64,-36},{64,-32},{-40,-32},{-40,26},{
                -56,26}},
            color={191,0,0},
            visible=false));
        connect(aluminumHalfShell1.fluid1, wall1.port_b) annotation (Line(
            points={{66.4,-72},{56,-72},{56,-28},{-56,-28},{-56,26},{-52,26},{
                -52,16},{27,16},{27,10}},
            color={191,0,0},
            visible=false));
        connect(coolingElement.port1, hTP4.port_b1) annotation (Line(points={{6,-54},
                {9,-54}},                   color={191,0,0}));
        connect(coolingElement1.port1, hTP5.port_b1) annotation (Line(points={{6,-80},
                {11,-80}},                  color={191,0,0}));
        connect(TEG_COLD.port, hTP5.port_b1) annotation (Line(points={{22,-110},
                {10,-110},{10,-80},{11,-80}}, color={191,0,0}));
        connect(add1.y, T_cool.T) annotation (Line(points={{-67.4,-100},{-67.4,
                -100},{-61.4,-100}},
                        color={0,0,127}));
        connect(tEG_Module.port_b1, airGap.port_a1)
          annotation (Line(points={{31,-54},{27,-54}}, color={191,0,0}));
        connect(hTP4.port_a1, airGap.port_b1)
          annotation (Line(points={{15,-54},{21,-54}}, color={191,0,0}));
        connect(tEG_Module1.port_b1, airGap1.port_a1)
          annotation (Line(points={{31,-80},{27,-80}}, color={191,0,0}));
        connect(hTP5.port_a1, airGap1.port_b1)
          annotation (Line(points={{17,-80},{21,-80}}, color={191,0,0}));
        connect(hTP3.port_b1, airGap2.port_a1)
          annotation (Line(points={{55,-54},{51,-54}}, color={191,0,0}));
        connect(tEG_Module.port_a1, airGap2.port_b1)
          annotation (Line(points={{41,-54},{45,-54}}, color={191,0,0}));
        connect(airGap3.port_b1, tEG_Module1.port_a1)
          annotation (Line(points={{45,-80},{41,-80}}, color={191,0,0}));
        connect(airGap3.port_a1, hTP1.port_b1) annotation (Line(points={{51,-80},
                {51,-80},{55,-80}}, color={191,0,0}));
        connect(aluminumHalfShell1.port_a, airGap5.port_b1)
          annotation (Line(points={{70,-80},{77,-80}}, color={191,0,0}));
        connect(airGap5.port_a1, hTP.port_b1)
          annotation (Line(points={{83,-80},{89,-80}}, color={191,0,0}));
        connect(airGap4.port_a1, hTP2.port_b1)
          annotation (Line(points={{83,-54},{89,-54}}, color={191,0,0}));
        connect(airGap4.port_b1, aluminumHalfShell2.port_a) annotation (Line(
              points={{77,-54},{77,-54},{70,-54}}, color={191,0,0}));
        connect(TEG_HOT.port, aluminumHalfShell1.port_b) annotation (Line(
              points={{78,-110},{65.2,-110},{65.2,-80}}, color={191,0,0}));
        connect(T_cool.port, coolingElement1.fluid1) annotation (Line(
            points={{-46,-100},{-28,-100},{-28,-80},{-8,-80}},
            color={191,0,0},
            visible=false));
        connect(coolingElement.fluid1, coolingElement1.fluid1) annotation (Line(
            points={{-8,-54},{-28,-54},{-28,-80},{-8,-80}},
            color={191,0,0},
            visible=false));
        connect(add.y, T_ambient.T) annotation (Line(points={{-75.4,26},{-71.4,
                26},{-71.4,26}}, color={0,0,127}));
        connect(timeTable1.y, add.u1) annotation (Line(points={{-99.4,38},{-94,
                38},{-94,29.6},{-89.2,29.6}}, color={0,0,127}));
        connect(const.y, add.u2) annotation (Line(points={{-99.4,10},{-94,10},{
                -94,22.4},{-89.2,22.4}}, color={0,0,127}));
        connect(realValue.numberPort, idealMPPT.electrical_Power) annotation (
            Line(points={{-46.8,-66},{-36.4,-66},{-26,-66}}, color={0,0,127}));
        connect(integrator.u, idealMPPT.electrical_Power) annotation (Line(
              points={{-45,-45},{-38,-45},{-38,-66},{-26,-66}}, color={0,0,127}));
        connect(timeTable3.y, add1.u1) annotation (Line(points={{-87.4,-88},{
                -84,-88},{-84,-96.4},{-81.2,-96.4}}, color={0,0,127}));
        connect(const1.y, add1.u2) annotation (Line(points={{-87.4,-108},{-84,
                -108},{-84,-103.6},{-81.2,-103.6}}, color={0,0,127}));
      //*****************************************************************************/
      annotation (Documentation(info="<html>
   <p>
**************************************************************************** <br>
  <b> Copyright (C) 2015-2017 Chair of Automation and Energy Systems, Saarland University </b> <br>
------------------------------------------------------------------------------------------------------------------ <br>
  This file is part of EHSTEG. <p>                    
  
  For more information see <a href=\"//EHSTEG.UsersGuide\">User's Guide</a> <p>
  
**************************************************************************** <p>
</html>
"),       Advanced( InvisibleConnections =        true),Diagram(coordinateSystem(preserveAspectRatio=false, extent={{-120,
                  -120},{100,60}}),
                            graphics={Text(
                extent={{-68,-62},{-44,-58}},
                lineColor={0,0,0},
                fillColor={215,215,215},
                fillPattern=FillPattern.Solid,
                textString="Power  [W]")}),
                             Icon(coordinateSystem(preserveAspectRatio=false, extent={{-120,
                  -120},{100,60}}),  graphics),
                                    experiment(
            StopTime=640800,
            __Dymola_NumberOfIntervals=5000,
            __Dymola_Algorithm="Dassl"),
          __Dymola_Commands(file(ensureSimulated=true)=
              "modelica://Modelica/Resources/Scripts/Dymola/Fluid/HeatingSystem/plotResults.mos"
              "plotResults"),
          __Dymola_experimentSetupOutput);
      end ThermostatOfficeRoom;
    annotation (Documentation(info="<html>
   <p>
**************************************************************************** <br>
  <b> Copyright (C) 2015-2017 Chair of Automation and Energy Systems, Saarland University </b> <br>
------------------------------------------------------------------------------------------------------------------ <br>
  This file is part of EHSTEG. <p>                    
  
  For more information see <a href=\"//EHSTEG.UsersGuide\">User's Guide</a> <p>
  
**************************************************************************** <p>
</html>
"));
    end Thermostat;

  annotation (Documentation(info="<html>
   <p>
**************************************************************************** <br>
  <b> Copyright (C) 2015-2017 Chair of Automation and Energy Systems, Saarland University </b> <br>
------------------------------------------------------------------------------------------------------------------ <br>
  This file is part of EHSTEG. <p>                    
  
  For more information see <a href=\"//EHSTEG.UsersGuide\">User's Guide</a> <p>
  
**************************************************************************** <p>
</html>
"));
  end Examples;
  annotation (Documentation(info="<html>
  
**************************************************************************** <br>
<b> EHSTEG </b> - Energy Harvesting Systems based on Thermoelectric Generators <br>
------------------------------------------------------------------------------------------------------------------ <br>
  <b> Copyright (C) 2015-2017 Chair of Automation and Energy Systems, Saarland University </b> <br>
------------------------------------------------------------------------------------------------------------------ <br>
  This program is free software: you can redistribute it and/or modify it under the terms of the <br> 
  <b> GNU General Public License </b> as published by the Free Software Foundation, either <br>
  <b>version 3</b> of the License, or any later version. <p>

  This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; <br> 
  without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR <br>
  PURPOSE. See the GNU General PUblic License for more details. <p> 

  You should have received a copy of the GNU General Public License along with this program. <br>
  If not, see http://www.gnu.org/licenses/. <br>
------------------------------------------------------------------------------------------------------------------ <br>
  Type classes, parts of models, blocks, functions, records and/or connector classes are also <br> 
  under the GNU General Public License, version 3 of the License, or any later version, according <br>
  to article 2d) of The ModelicaLicense 2. <br>
------------------------------------------------------------------------------------------------------------------ <br>
  <b> <u> Comment:<p> </b> </u>
  
  If you do some improvements or extensions at EHSTEG, please let us know! <p> 
  If you use EHSTEG for scientific research, please quote the dissertation of Marco Nesarajah: <p>
  Model-based Development of Thermoelectric Energy Harvesting Systems <p>
------------------------------------------------------------------------------------------------------------------ <br>
  <u> Contact details:</u> <p>
  <table>
  <tr> <td> Dipl.-Ing. Marco Nesarajah </td> <td> Secretariat </td> </tr>
  <tr> <td> </td> <td> </td> </tr>
  <tr> <td> Saarland University </td> <td> Saarland University </td> </tr>
  <tr> <td> Faculty Natural Sciences and Technology NT </td> <td> Faculty Natural Sciences and Technology NT </td> </tr>
  <tr> <td> Chair of Automation and Energy Systems </td> <td> Chair of Automation and Energy Systems </td> </tr>
  <tr> <td> D-66123 Saarbruecken </td> <td> D-66123 Saarbruecken </td> </tr>
  <tr> <td> Germany </td> <td> Germany </td> </tr>
  <tr> <td> Building A5 1 / Room 1.28 </td> <td> Building A5 1 / Room 1.34  </td> </tr>
  <tr> <td> Tel: +49-(0)681-302-57566 </td> <td> Tel: +49-(0)681-302-57595 </td> </tr>
  <tr> <td> Fax: +49-(0)681-302-57599 </td> <td> Fax: +49-(0)681-302-57599 </td> </tr>
  <tr> <td> marco.nesarajah@aut.uni-saarland.de </td> <td> sekretariat@aut.uni-saarland.de </td> </tr>
  <tr> <td> </td> </tr>
  <tr> <td> <a href=\"http://www.aut.uni-saarland.de\">www.aut.uni-saarland.de</a> </td> </tr>
  </table>    
------------------------------------------------------------------------------------------------------------------ <br>
For more information see <a href=\"//EHSTEG.UsersGuide\">UsersGuide</a>. <p> <br>
**************************************************************************** <p>
</html>
"),uses(Modelica(version="3.2.1"),
      ThermoelectricGenerator_V5_5(version="1"),
      ThermoelectricGenerator_V5_7(version="1")),
    Icon(coordinateSystem(preserveAspectRatio=false, extent={{-100,-100},{100,100}}),
                    graphics={Text(
          extent={{-92,44},{92,-46}},
          lineColor={0,0,0},
          textString="EHS TEG")}));
end EHSTEG;
